(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsEu = factory();
  }
})(this, function () {
  var patterns =
    '{"b":[{"a":[{},[1]],"e":[{},[1]],"o":[{},[1]],"i":[{},[1]],"u":[{},[1]],"l":[{"a":[{},[1,2]],"e":[{},[1,2]],"o":[{},[1,2]],"i":[{},[1,2]],"u":[{},[1,2]]}],"r":[{"a":[{},[1,2]],"e":[{},[1,2]],"o":[{},[1,2]],"i":[{},[1,2]],"u":[{},[1,2]]}]}],"c":[{"a":[{},[1]],"e":[{},[1]],"o":[{},[1]],"i":[{},[1]],"u":[{},[1]]}],"d":[{"a":[{},[1]],"e":[{},[1]],"o":[{},[1]],"i":[{},[1]],"u":[{},[1]],"r":[{"a":[{},[1,2]],"e":[{},[1,2]],"o":[{},[1,2]],"i":[{},[1,2]],"u":[{},[1,2]]}]}],"f":[{"a":[{},[1]],"e":[{},[1]],"o":[{},[1]],"i":[{},[1]],"u":[{},[1]],"l":[{"a":[{},[1,2]],"e":[{},[1,2]],"o":[{},[1,2]],"i":[{},[1,2]],"u":[{},[1,2]]}],"r":[{"a":[{},[1,2]],"e":[{},[1,2]],"o":[{},[1,2]],"i":[{},[1,2]],"u":[{},[1,2]]}]}],"g":[{"a":[{},[1]],"e":[{},[1]],"o":[{},[1]],"i":[{},[1]],"u":[{},[1]],"l":[{"a":[{},[1,2]],"e":[{},[1,2]],"o":[{},[1,2]],"i":[{},[1,2]],"u":[{},[1,2]]}],"r":[{"a":[{},[1,2]],"e":[{},[1,2]],"o":[{},[1,2]],"i":[{},[1,2]],"u":[{},[1,2]]}]}],"j":[{"a":[{},[1]],"e":[{},[1]],"o":[{},[1]],"i":[{},[1]],"u":[{},[1]]}],"k":[{"a":[{},[1]],"e":[{},[1]],"o":[{},[1]],"i":[{},[1]],"u":[{},[1]],"l":[{"a":[{},[1,2]],"e":[{},[1,2]],"o":[{},[1,2]],"i":[{},[1,2]],"u":[{},[1,2]]}],"r":[{"a":[{},[1,2]],"e":[{},[1,2]],"o":[{},[1,2]],"i":[{},[1,2]],"u":[{},[1,2]]}]}],"l":[{"a":[{},[1]],"e":[{},[1]],"o":[{},[1]],"i":[{},[1]],"u":[{},[1]],"l":[{"a":[{},[1,2]],"e":[{},[1,2]],"o":[{},[1,2]],"i":[{},[1,2]],"u":[{},[1,2]]}]}],"m":[{"a":[{},[1]],"e":[{},[1]],"o":[{},[1]],"i":[{},[1]],"u":[{},[1]]}],"n":[{"a":[{},[1]],"e":[{},[1]],"o":[{},[1]],"i":[{},[1]],"u":[{},[1]]}],"ñ":[{"a":[{},[1]],"e":[{},[1]],"o":[{},[1]],"i":[{},[1]],"u":[{},[1]]}],"p":[{"a":[{},[1]],"e":[{},[1]],"o":[{},[1]],"i":[{},[1]],"u":[{},[1]],"l":[{"a":[{},[1,2]],"e":[{},[1,2]],"o":[{},[1,2]],"i":[{},[1,2]],"u":[{},[1,2]]}],"r":[{"a":[{},[1,2]],"e":[{},[1,2]],"o":[{},[1,2]],"i":[{},[1,2]],"u":[{},[1,2]]}]}],"q":[{"a":[{},[1]],"e":[{},[1]],"o":[{},[1]],"i":[{},[1]],"u":[{},[1]]}],"r":[{"a":[{},[1]],"e":[{},[1]],"o":[{},[1]],"i":[{},[1]],"u":[{},[1]],"r":[{"a":[{},[1,2]],"e":[{},[1,2]],"o":[{},[1,2]],"i":[{},[1,2]],"u":[{},[1,2]]}]}],"s":[{"a":[{},[1]],"e":[{},[1]],"o":[{},[1]],"i":[{},[1]],"u":[{"b":[{"r":[{},[0,0,2,2]],"l":[{},[0,0,2,2]]}]},[1]]}],"t":[{"a":[{},[1]],"e":[{},[1]],"o":[{},[1]],"i":[{},[1]],"u":[{},[1]],"s":[{"a":[{},[1,2]],"e":[{},[1,2]],"o":[{},[1,2]],"i":[{},[1,2]],"u":[{},[1,2]]}],"x":[{"a":[{},[1,2]],"e":[{},[1,2]],"o":[{},[1,2]],"i":[{},[1,2]],"u":[{},[1,2]]}],"z":[{"a":[{},[1,2]],"e":[{},[1,2]],"o":[{},[1,2]],"i":[{},[1,2]],"u":[{},[1,2]]}],"r":[{"a":[{},[1,2]],"e":[{},[1,2]],"o":[{},[1,2]],"i":[{},[1,2]],"u":[{},[1,2]]}]}],"v":[{"a":[{},[1]],"e":[{},[1]],"o":[{},[1]],"i":[{},[1]],"u":[{},[1]]}],"w":[{"a":[{},[1]],"e":[{},[1]],"o":[{},[1]],"i":[{},[1]],"u":[{},[1]]}],"x":[{"a":[{},[1]],"e":[{},[1]],"o":[{},[1]],"i":[{},[1]],"u":[{},[1]]}],"y":[{"a":[{},[1]],"e":[{},[1]],"o":[{},[1]],"i":[{},[1]],"u":[{},[1]]}],"z":[{"a":[{},[1]],"e":[{},[1]],"o":[{},[1]],"i":[{},[1]],"u":[{},[1]]}]}';
  var hyphenation = [];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
