(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsFi = factory();
  }
})(this, function () {
  var patterns =
    '{"b":[{"a":[{},[1]],"e":[{},[1]],"i":[{"b":[{"l":[{"i":[{},[0,0,0,3]]}]}]},[1]],"o":[{},[1]],"u":[{},[1]],"y":[{},[1]],"l":[{"o":[{},[1,2]]},[0,2]],"r":[{"i":[{},[1,2]],"o":[{},[1,2]],"u":[{},[1,2]]},[0,2]]}],"d":[{"a":[{},[1]],"e":[{},[1]],"i":[{},[1]],"o":[{},[1]],"u":[{},[1]],"y":[{},[1]],"ä":[{},[1]],"ö":[{},[1]],"r":[{"a":[{},[1,2]]},[0,2]]}],"f":[{"a":[{},[1]],"e":[{},[1]],"i":[{},[1]],"o":[{},[1]],"u":[{},[1]],"y":[{},[1]],"l":[{"a":[{},[1,2]]},[0,2]],"r":[{"a":[{},[1,2]],"e":[{},[1,2]]},[0,2]]}],"g":[{"a":[{},[1]],"e":[{},[1]],"i":[{},[1]],"o":[{},[1]],"u":[{},[1]],"y":[{},[1]],"ä":[{},[1]],"ö":[{},[1]],"l":[{"o":[{},[1,2]]},[0,2]],"r":[{"a":[{},[1,2]]},[0,2]]}],"h":[{"a":[{},[1]],"e":[{},[1]],"i":[{},[1]],"o":[{},[1]],"u":[{},[1]],"y":[{},[1]],"ä":[{},[1]],"ö":[{},[1]]}],"j":[{"a":[{},[1]],"e":[{},[1]],"i":[{},[1]],"o":[{},[1]],"u":[{},[1]],"y":[{},[1]],"ä":[{},[1]],"ö":[{},[1]]}],"k":[{"a":[{},[1]],"e":[{"u":[{"s":[{},[0,0,0,0,1]]}]},[1]],"i":[{},[1]],"o":[{},[1]],"u":[{},[1]],"y":[{},[1]],"ä":[{},[1]],"ö":[{},[1]],"l":[{},[0,2]],"r":[{"a":[{},[1,2]],"e":[{},[1,2]],"i":[{},[1,2]]}],"v":[{"a":[{},[1,2]]},[1,2]]}],"l":[{"a":[{"s":[{},[0,2]]},[1]],"e":[{},[1]],"i":[{},[1]],"o":[{},[1]],"u":[{},[1]],"y":[{},[1]],"ä":[{},[1]],"ö":[{},[1]]}],"m":[{"a":[{},[1]],"e":[{},[1]],"i":[{},[1]],"o":[{},[1]],"u":[{},[1]],"y":[{},[1]],"ä":[{},[1]],"ö":[{},[1]]}],"n":[{"a":[{"n":[{"t":[{"o":[{},[2,1]]}],"n":[{"o":[{},[2,1]]}]}],"j":[{"a":[{"n":[{},[2,1,2]]}],"o":[{},[2,1,2]]}],"i":[{"k":[{"a":[{},[2,1]]}]}],"l":[{"e":[{"n":[{},[2,1,2]]}]}]},[1]],"e":[{"d":[{"u":[{"s":[{},[2,1,2]]}]}]},[1]],"i":[{},[1]],"o":[{"p":[{"e":[{"t":[{},[2,1,2]]}],"i":[{"s":[{"t":[{},[2,1,2]]}]}]}],"s":[{"a":[{},[2,1,2]]}],"t":[{"t":[{"o":[{},[2,1]]}],"o":[{"n":[{},[2,1]]}]}],"m":[{"a":[{"i":[{},[2,1,2]]}]}]},[1]],"u":[{},[1]],"y":[{"l":[{"i":[{"t":[{},[2,1,2]]}]}]},[1]],"ä":[{},[1]],"ö":[{},[1]]}],"p":[{"a":[{},[1]],"e":[{"r":[{"u":[{"s":[{},[0,0,0,0,0,1]]}]}]},[1]],"i":[{},[1]],"o":[{},[1]],"u":[{},[1]],"y":[{},[1]],"ä":[{},[1]],"ö":[{},[1]],"l":[{},[0,2]],"r":[{"o":[{},[1,2]]},[0,2]]}],"r":[{"a":[{"s":[{},[0,2]]},[1]],"e":[{},[1]],"i":[{},[1]],"o":[{},[1]],"u":[{},[1]],"y":[{},[1]],"ä":[{},[1]],"ö":[{},[1]],"t":[{"a":[{"u":[{"s":[{},[0,0,0,0,0,1]]}]}]}]}],"s":[{"a":[{"s":[{"i":[{"a":[{},[2,1,2]]}],"e":[{},[2,1]]}],"l":[{"o":[{"i":[{},[2,1,2]]}],"e":[{"n":[{},[2,1,2]]}]}],"j":[{"a":[{"t":[{"u":[{},[2,1]]}]}],"o":[{},[2,1,2]]}],"p":[{"u":[{},[2,1]]}]},[1]],"e":[{"s":[{"i":[{"t":[{"y":[{},[2,1,2]]}]}]}]},[1]],"i":[{"d":[{"e":[{"a":[{".":[{},[2,1,2]],"n":[{},[2,1,2]]}]}]}]},[1]],"o":[{"h":[{"j":[{"e":[{},[2,1]]}]}],"p":[{"i":[{"s":[{"k":[{},[2,1,2]],"t":[{},[2,1,2]]}]}]}],"s":[{"a":[{},[2,1,2]]}]},[1]],"u":[{},[1]],"y":[{"r":[{"i":[{"t":[{},[2,1,2]]}]}],"h":[{"t":[{"i":[{},[2,1,2]]}]}]},[1]],"ä":[{},[1]],"ö":[{},[1]],"t":[{"r":[{},[1,0,2]]}],"p":[{"l":[{"i":[{},[1,0,2]]}]}],"c":[{"h":[{},[0,0,2]]}]}],"t":[{"a":[{},[1]],"e":[{},[1]],"i":[{},[1]],"o":[{},[1]],"u":[{},[1]],"y":[{},[1]],"ä":[{},[1]],"ö":[{},[1]],"s":[{"h":[{},[0,0,2]]}]}],"v":[{"a":[{},[1]],"e":[{},[1]],"i":[{},[1]],"o":[{},[1]],"u":[{},[1]],"y":[{},[1]],"ä":[{},[1]],"ö":[{},[1]]}],"ä":[{"y":[{},[0,2]],"a":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,1,2]],"ä":[{"i":[{},[0,0,1]],"e":[{},[0,0,1]],"y":[{},[0,0,3]]},[0,2]],"ö":[{},[0,2]]}],"y":[{"a":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"ä":[{"ä":[{},[0,1]]}],"e":[{"i":[{},[0,1]]}],"l":[{"i":[{"o":[{"p":[{},[0,0,0,1,2]]}]}]}]}],"o":[{"y":[{},[0,1]],"ä":[{},[0,1]],"ö":[{},[0,1]],"a":[{"a":[{},[0,1]]}],"u":[{"u":[{},[0,1]],"i":[{},[0,1]],"e":[{},[0,0,1]],"o":[{},[0,0,1]]}],"i":[{"a":[{},[0,0,1]],"e":[{},[0,0,1]],"o":[{},[0,0,1]],"u":[{},[0,0,1]]}]}],"ö":[{"y":[{},[0,2]],"a":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,1,2]],"ö":[{},[0,2]],"ä":[{},[0,2]],"e":[{},[0,1,2]]}],"u":[{"y":[{},[0,1,2]],"ä":[{},[0,1,2]],"ö":[{},[0,1,2]],"u":[{"a":[{},[0,0,1,2]],"e":[{},[0,0,1,2]],"o":[{},[0,0,1,2]],"i":[{},[0,0,1,2]]}],"a":[{"a":[{},[0,1]]}],"e":[{"e":[{},[0,1]],"a":[{},[0,0,1]]}],"i":[{"e":[{},[0,0,1]]}],"o":[{"a":[{},[0,0,1]],"u":[{},[0,0,1]]}],"s":[{},[0,2]],"l":[{"o":[{"s":[{},[0,0,0,2,1]]}]}]}],"a":[{"ä":[{},[0,1]],"ö":[{},[0,1]],"a":[{"i":[{},[0,0,1,2]],"e":[{},[0,0,1,2]],"o":[{},[0,0,1,2]],"u":[{},[0,0,1,2]]}],"u":[{"u":[{},[0,1]],"a":[{},[0,0,1]],"e":[{},[0,0,1]]}],"e":[{"i":[{},[0,1]]}],"o":[{"i":[{},[0,1]]}],"i":[{"a":[{},[0,0,1]],"e":[{},[0,0,1]],"o":[{},[0,0,1]],"u":[{},[0,0,1]]}],"l":[{"i":[{"a":[{"v":[{},[0,0,0,1,2]]}]}],"o":[{"u":[{"s":[{},[0,0,0,0,0,1]]}]}],"k":[{"e":[{"i":[{"s":[{},[0,0,0,0,0,2,1]]}]}]}]}],"s":[{"i":[{"a":[{"n":[{},[1,2]],"t":[{},[1,2]],"k":[{"a":[{"s":[{},[1,2,0,0,0,0,2,1]]}]}]}],"o":[{"i":[{},[1,2]]}]}]}]}],"e":[{"e":[{"a":[{},[0,0,1,2]],"i":[{},[0,0,1,2]],"u":[{},[0,0,1,2]],"y":[{},[0,0,1,2]]}],"a":[{"a":[{},[0,1]],"i":[{},[0,1]]}],"u":[{"u":[{},[0,1]],"a":[{},[0,0,1]]}],"ä":[{"ä":[{},[0,1]]}],"ö":[{},[0,1,2]]}],"i":[{"i":[{"a":[{},[0,0,1,2]],"e":[{},[0,0,1,2]],"o":[{},[0,0,1,2]]}],"a":[{"a":[{},[0,1]],"u":[{},[0,1]]}],"u":[{"u":[{},[0,1]],"a":[{},[0,0,1]],"e":[{},[0,0,1]],"o":[{},[0,0,1]]}],"ä":[{"ä":[{},[0,1]]}],"ö":[{"ö":[{},[0,1]]}],"e":[{"a":[{},[0,0,1]],"o":[{},[0,0,1]],"y":[{},[0,0,1]]}],"o":[{"a":[{},[0,0,1,2]],"e":[{},[0,0,1,2]]}]}],".":[{"ä":[{},[0,2]],"y":[{"d":[{"i":[{"n":[{},[0,0,0,2,1]]}]}]}],"s":[{"u":[{"u":[{"r":[{"a":[{},[0,0,0,2,1,2]]}]}]}]}]}],"c":[{"l":[{},[0,2]],"h":[{"r":[{},[0,0,2]]}]}],"q":[{"v":[{"i":[{},[1,2]]},[0,2]]}]}';
  var hyphenation = [];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
