(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsIt = factory();
  }
})(this, function () {
  var patterns =
    '{".":[{"a":[{"p":[{"n":[{},[0,3,2]]}],"n":[{"t":[{"i":[{"m":[{"n":[{},[0,0,0,0,3,2]]}]},[0,0,0,0,1]]}]}]}],"b":[{"i":[{"o":[{},[0,0,0,1]]}]}],"c":[{"a":[{"p":[{"s":[{},[0,0,4,3]]}]}],"i":[{"r":[{"c":[{"u":[{"m":[{},[0,0,0,0,0,2,1]]}]}]}]}],"o":[{"n":[{"t":[{"r":[{"o":[{},[0,0,0,0,0,0,1]]}]}]}]}]},[0,2]],"d":[{"i":[{"s":[{"c":[{"i":[{"n":[{"e":[{},[0,0,2,3]]}]}]}]}]}]},[0,2]],"e":[{"x":[{"e":[{"u":[{},[0,2,1]]}]}]}],"f":[{"r":[{"a":[{"n":[{"k":[{},[0,0,0,0,2,3]]}]}],"e":[{"e":[{},[0,0,0,0,3]]}]}]}],"l":[{"i":[{"p":[{"s":[{"a":[{},[0,0,3,2]]}]}]}]}],"n":[{"a":[{"r":[{"c":[{"o":[{},[0,0,0,0,0,1]]}]}]}]}],"o":[{"p":[{"t":[{"o":[{},[0,0,0,0,1]]}]}],"r":[{"t":[{"o":[{"p":[{},[0,0,0,0,3,2]]}]}]}]}],"p":[{"a":[{"r":[{"a":[{},[0,0,0,0,1]]}]}],"h":[{"l":[{},[0,0,2]],"r":[{},[0,0,2]]}],"o":[{"l":[{"i":[{"p":[{},[0,0,0,0,3,2]]}]}]}],"r":[{"e":[{},[0,0,0,1]]}],"s":[{},[0,2]]}],"r":[{"e":[{"i":[{"s":[{"c":[{"r":[{},[0,0,1,2]]}]}]}]}]}],"s":[{"h":[{"a":[{"r":[{"e":[{},[0,0,0,2,0,3]]}]}]}],"u":[{"b":[{"l":[{"u":[{},[0,0,2,3]]}],"r":[{},[0,0,2,3]]}]}]}],"t":[{"r":[{"a":[{"n":[{"s":[{"c":[{},[0,0,0,0,2,3]],"d":[{},[0,0,0,0,2,3]],"l":[{},[0,0,0,0,2,3]],"n":[{},[0,0,0,0,2,3]],"p":[{},[0,0,0,0,2,3]],"r":[{},[0,0,0,0,2,3]],"t":[{},[0,0,0,0,2,3]]}]}]}]}]},[0,2]],"w":[{"a":[{"g":[{"n":[{},[0,0,2,3]]}]}],"e":[{"l":[{"t":[{},[0,0,0,2,1]]}]}]}],"h":[{},[0,2]],"j":[{},[0,2]],"k":[{},[0,2]],"z":[{},[0,2]]}],"\'":[{},[2,2]],"a":[{"i":[{"a":[{},[0,1]],"e":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"u":[{"o":[{},[0,1]]}],"y":[{"a":[{},[0,1]]}],"t":[{".":[{},[2]]}]}],"e":[{"i":[{"u":[{},[0,1]]}],"w":[{},[0,2]]}],"o":[{"i":[{"a":[{},[0,1]],"e":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}]}],"b":[{"b":[{},[2]],"c":[{},[2]],"d":[{},[2]],"f":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"s":[{},[2]],"t":[{},[2]],"v":[{},[2]],"l":[{},[0,2]],"r":[{},[0,2]],".":[{},[2]],"\'":[{},[2]]},[1]],"c":[{"b":[{},[2]],"c":[{},[2]],"d":[{},[2]],"f":[{},[2]],"k":[{},[2]],"m":[{},[2]],"n":[{},[2]],"q":[{},[2]],"s":[{},[2]],"t":[{},[2]],"z":[{},[2]],"h":[{"h":[{},[2]],".":[{},[2]],"\'":[{".":[{},[2]],"\'":[{".":[{},[2]]}]}],"b":[{},[2]],"r":[{},[0,0,2]],"n":[{},[2]]},[0,2]],"l":[{},[0,2]],"r":[{},[0,2]],".":[{},[2]],"\'":[{},[2]]},[1]],"d":[{"b":[{},[2]],"d":[{},[2]],"g":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"r":[{},[0,2]],"s":[{},[2]],"t":[{},[2]],"v":[{},[2]],"w":[{},[2]],".":[{},[2]],"\'":[{},[2]]},[1]],"f":[{"b":[{},[2]],"g":[{},[2]],"f":[{},[2]],"n":[{},[2]],"l":[{},[0,2]],"r":[{},[0,2]],"s":[{},[2]],"t":[{},[2]],".":[{},[2]],"\'":[{},[2]]},[1]],"g":[{"b":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"h":[{"t":[{},[2,0,2]]},[0,2]],"l":[{},[0,2]],"m":[{},[2]],"n":[{},[0,2]],"p":[{},[2]],"r":[{},[0,2]],"s":[{},[2]],"t":[{},[2]],"v":[{},[2]],"w":[{},[2]],"z":[{},[2]],".":[{},[2]],"\'":[{},[2]]},[1]],"h":[{"b":[{},[2]],"d":[{},[2]],"h":[{},[2]],"i":[{"p":[{"n":[{},[0,0,3,2]]}]}],"l":[{},[0,2]],"m":[{},[2]],"n":[{},[2]],"r":[{},[2]],"v":[{},[2]],".":[{},[2]],"\'":[{},[2]]},[1]],"j":[{".":[{},[2]],"\'":[{},[2]]},[1]],"k":[{"g":[{},[2]],"f":[{},[2]],"h":[{},[0,2]],"k":[{},[2]],"l":[{},[0,2]],"m":[{},[2]],"r":[{},[0,2]],"s":[{},[2]],"t":[{},[2]],".":[{},[2]],"\'":[{},[2]]},[1]],"l":[{"b":[{},[2]],"c":[{},[2]],"d":[{},[2]],"f":[{},[2,3,2]],"g":[{},[2]],"h":[{},[0,2]],"j":[{},[0,2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"q":[{},[2]],"r":[{},[2]],"s":[{},[2]],"t":[{},[2]],"v":[{},[2]],"w":[{},[2]],"z":[{},[2]],".":[{},[2]],"\'":[{".":[{},[2]],"\'":[{},[2]]}]},[1]],"m":[{"b":[{},[2]],"c":[{},[2]],"f":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"q":[{},[2]],"r":[{},[2]],"s":[{},[2]],"t":[{},[2]],"v":[{},[2]],"w":[{},[2]],".":[{},[2]],"\'":[{},[2]]},[1]],"n":[{"b":[{},[2]],"c":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{"n":[{},[0,2,3]]},[2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"q":[{},[2]],"r":[{},[2]],"s":[{"f":[{"e":[{"r":[{},[0,2,3]]}]}]},[2]],"t":[{},[2]],"v":[{},[2]],"z":[{},[2]],"h":[{"e":[{"i":[{"t":[{},[2]]}]}]}],".":[{},[2]],"\'":[{},[2]]},[1]],"p":[{"d":[{},[2]],"h":[{},[0,2]],"l":[{},[0,2]],"n":[{"e":[{},[3,2]]},[2]],"p":[{},[2]],"r":[{},[0,2]],"s":[{"i":[{"c":[{},[3,2]]}]},[2]],"t":[{},[2]],"z":[{},[2]],".":[{},[2]],"\'":[{},[2]]},[1]],"q":[{"q":[{},[2]],".":[{},[2]],"\'":[{},[2]]},[1]],"r":[{"b":[{},[2]],"c":[{},[2]],"d":[{},[2]],"f":[{},[2]],"h":[{},[0,2]],"g":[{},[2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"q":[{},[2]],"r":[{},[2]],"s":[{},[2]],"t":[{"s":[{},[0,2,2,3]]},[2]],"v":[{},[2]],"x":[{},[2]],"w":[{},[2]],"z":[{},[2]],".":[{},[2]],"\'":[{},[2]]},[1]],"s":[{"h":[{"m":[{},[2]],".":[{},[2]],"\'":[{},[2]]}],"s":[{"m":[{},[0,4,3]]},[2,3]],"p":[{"n":[{},[2,3,2]]}],"t":[{"b":[{},[2]],"c":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"s":[{},[2]],"t":[{},[2]],"v":[{},[2]]}],"z":[{},[2]],".":[{},[4]],"\'":[{".":[{},[4]],"\'":[{},[4]]}]},[1,2]],"t":[{"b":[{},[2]],"c":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"h":[{".":[{},[2]]},[0,2]],"l":[{},[0,2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"r":[{},[0,2]],"s":[{"c":[{"h":[{},[3,2]]}]},[0,2]],"t":[{"s":[{},[0,2,3]]},[2]],"v":[{},[2]],"w":[{},[2]],"z":[{"k":[{},[2]],"s":[{},[0,0,2]]},[0,2]],".":[{},[2]],"\'":[{".":[{},[2]],"\'":[{},[2]]}]},[1]],"v":[{"c":[{},[2]],"l":[{},[0,2]],"r":[{},[0,2]],"v":[{},[2]],".":[{},[2]],"\'":[{".":[{},[2]],"\'":[{},[2]]}]},[1]],"w":[{"h":[{},[0,2]],"a":[{"r":[{},[0,0,2]]}],"y":[{},[2,1]],".":[{},[2]],"\'":[{},[2]]},[1]],"x":[{"b":[{},[2]],"c":[{},[2]],"f":[{},[2]],"h":[{},[2]],"m":[{},[2]],"p":[{},[2]],"t":[{},[2]],"w":[{},[2]],".":[{},[2]],"\'":[{},[2]]},[1]],"y":[{"o":[{"u":[{},[0,1]]}],"i":[{},[0,1]]}],"z":[{"b":[{},[2]],"d":[{},[2]],"l":[{},[2]],"n":[{},[2]],"p":[{},[2]],"t":[{},[2]],"s":[{},[2]],"v":[{},[2]],"z":[{},[2]],".":[{},[2]],"\'":[{".":[{},[2]],"\'":[{},[2]]}]},[1]]}';
  var hyphenation = [];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
