(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsLa = factory();
  }
})(this, function () {
  var patterns =
    '{".":[{"a":[{"b":[{"l":[{},[0,2,3]]}],"n":[{"t":[{"i":[{"m":[{"n":[{},[0,0,0,0,3,2]]}]},[0,0,0,0,1]]}]}]}],"c":[{"i":[{"r":[{"c":[{"u":[{"m":[{},[0,0,0,0,0,2,1]]}]}]}]}],"o":[{"n":[{"i":[{"u":[{"n":[{},[0,0,2,1]]}]}]}]}]}],"d":[{"i":[{"s":[{"c":[{"i":[{"n":[{"e":[{},[0,0,2,3]]}]}]}]}]}]}],"e":[{"x":[{},[0,2,1]]}],"o":[{"b":[{},[0,2,3]]}],"p":[{"a":[{"r":[{"a":[{"i":[{},[0,0,0,0,1]],"u":[{},[0,0,0,0,1]]}]}]}]}],"s":[{"u":[{"b":[{"l":[{"u":[{},[0,0,2,3]]}],"r":[{},[0,0,2,3]]}]}]}]}],"s":[{"q":[{"u":[{"e":[{".":[{},[2,3]]}]}]}],"d":[{"e":[{"m":[{".":[{},[2,3]]}]}]}],"p":[{"h":[{},[2,3]]}],"s":[{},[2,3]],"t":[{"b":[{},[2]],"c":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"l":[{},[2,0,3]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"q":[{},[2]],"s":[{},[2]],"t":[{},[2]],"v":[{},[2]],".":[{},[2]]}],".":[{},[2]]},[1,2]],"p":[{"s":[{"i":[{"c":[{},[3,2]]}]},[2]],"n":[{"e":[{"u":[{},[3,2]]}]},[2]],"h":[{"p":[{},[2]],"t":[{},[2]]},[0,2]],"l":[{},[0,2]],"p":[{},[2]],"r":[{},[0,2]],"t":[{},[2]],"z":[{},[2]],".":[{},[2]]},[1]],"æ":[{},[0,1]],"œ":[{},[0,1]],"a":[{"i":[{"a":[{},[0,1]],"e":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"e":[{"a":[{},[0,0,1]],"o":[{},[0,0,1]],"u":[{},[0,0,1]]}],"u":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"l":[{"u":[{"a":[{},[0,2,1]],"e":[{},[0,2,1]],"i":[{},[0,2,1]],"o":[{},[0,2,1]],"u":[{},[0,2,1]]}]}],"m":[{"u":[{"a":[{},[0,2,1]],"e":[{},[0,2,1]],"i":[{},[0,2,1]],"o":[{},[0,2,1]],"u":[{},[0,2,1]]}]}],"n":[{"u":[{"a":[{},[0,2,1]],"e":[{},[0,2,1]],"i":[{},[0,2,1]],"o":[{},[0,2,1]],"u":[{},[0,2,1]]}]}],"r":[{"u":[{"a":[{},[0,2,1]],"e":[{},[0,2,1]],"i":[{},[0,2,1]],"o":[{},[0,2,1]],"u":[{},[0,2,1]]}]}]}],"e":[{"i":[{"u":[{},[0,1]]}],"u":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"l":[{"u":[{"a":[{},[0,2,1]],"e":[{},[0,2,1]],"i":[{},[0,2,1]],"o":[{},[0,2,1]],"u":[{},[0,2,1]]}]}],"m":[{"u":[{"a":[{},[0,2,1]],"e":[{},[0,2,1]],"i":[{},[0,2,1]],"o":[{},[0,2,1]],"u":[{},[0,2,1]]}]}],"n":[{"u":[{"a":[{},[0,2,1]],"e":[{},[0,2,1]],"i":[{},[0,2,1]],"o":[{},[0,2,1]],"u":[{},[0,2,1]]}]}],"r":[{"u":[{"a":[{},[0,2,1]],"e":[{},[0,2,1]],"i":[{},[0,2,1]],"o":[{},[0,2,1]],"u":[{},[0,2,1]]}]}]}],"i":[{"o":[{"i":[{},[0,0,1]]}],"u":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"l":[{"u":[{"a":[{},[0,2,1]],"e":[{},[0,2,1]],"i":[{},[0,2,1]],"o":[{},[0,2,1]],"u":[{},[0,2,1]]}]}],"m":[{"u":[{"a":[{},[0,2,1]],"e":[{},[0,2,1]],"i":[{},[0,2,1]],"o":[{},[0,2,1]],"u":[{},[0,2,1]]}]}],"n":[{"u":[{"a":[{},[0,2,1]],"e":[{},[0,2,1]],"i":[{},[0,2,1]],"o":[{},[0,2,1]],"u":[{},[0,2,1]]}]}],"r":[{"u":[{"a":[{},[0,2,1]],"e":[{},[0,2,1]],"i":[{},[0,2,1]],"o":[{},[0,2,1]],"u":[{},[0,2,1]]}]}]}],"o":[{"i":[{"a":[{},[0,1]],"e":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"u":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"l":[{"u":[{"a":[{},[0,2,1]],"e":[{},[0,2,1]],"i":[{},[0,2,1]],"o":[{},[0,2,1]],"u":[{},[0,2,1]]}]}],"m":[{"u":[{"a":[{},[0,2,1]],"e":[{},[0,2,1]],"i":[{},[0,2,1]],"o":[{},[0,2,1]],"u":[{},[0,2,1]]}]}],"n":[{"u":[{"a":[{},[0,2,1]],"e":[{},[0,2,1]],"i":[{},[0,2,1]],"o":[{},[0,2,1]],"u":[{},[0,2,1]]}]}],"r":[{"u":[{"a":[{},[0,2,1]],"e":[{},[0,2,1]],"i":[{},[0,2,1]],"o":[{},[0,2,1]],"u":[{},[0,2,1]]}]}]}],"u":[{"o":[{"u":[{},[0,0,3]]}],"u":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"l":[{"u":[{"a":[{},[0,2,1]],"e":[{},[0,2,1]],"i":[{},[0,2,1]],"o":[{},[0,2,1]],"u":[{},[0,2,1]]}]}],"m":[{"u":[{"a":[{},[0,2,1]],"e":[{},[0,2,1]],"i":[{},[0,2,1]],"o":[{},[0,2,1]],"u":[{},[0,2,1]]}]}],"n":[{"u":[{"a":[{},[0,2,1]],"e":[{},[0,2,1]],"i":[{},[0,2,1]],"o":[{},[0,2,1]],"u":[{},[0,2,1]]}]}],"r":[{"u":[{"a":[{},[0,2,1]],"e":[{},[0,2,1]],"i":[{},[0,2,1]],"o":[{},[0,2,1]],"u":[{},[0,2,1]]}]}]}],"b":[{"b":[{},[2]],"c":[{},[2]],"d":[{},[2]],"l":[{},[0,2]],"m":[{},[2]],"n":[{},[2]],"r":[{},[0,2]],"t":[{},[2]],"s":[{},[2]],".":[{},[2]]},[1]],"c":[{"c":[{},[2]],"h":[{},[0,2,2]],"l":[{},[0,2]],"m":[{},[2]],"n":[{},[2]],"q":[{},[2]],"r":[{},[0,2]],"s":[{},[2]],"t":[{},[2]],"z":[{},[2]],".":[{},[2]]},[1]],"d":[{"d":[{},[2]],"g":[{},[2]],"m":[{},[2]],"r":[{},[0,2]],"s":[{},[2]],"v":[{},[2]],".":[{},[2]]},[1]],"f":[{"f":[{},[2]],"l":[{},[0,2]],"n":[{},[2]],"r":[{},[0,2]],"t":[{},[2]],".":[{},[2]]},[1]],"g":[{"g":[{},[2]],"d":[{},[2]],"f":[{},[2]],"l":[{},[0,2]],"m":[{},[2]],"n":[{},[0,2]],"r":[{},[0,2]],"s":[{},[2]],"v":[{},[2]],".":[{},[2]]},[1]],"h":[{"p":[{},[2]],"t":[{},[2]],".":[{},[2]]},[1]],"j":[{},[1]],"k":[{"k":[{},[2]],"h":[{},[0,2,2]]},[1]],"l":[{"b":[{},[2]],"c":[{},[2]],"d":[{},[2]],"f":[{"t":[{},[0,3,2]]},[2]],"g":[{},[2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"q":[{},[2]],"r":[{},[2]],"s":[{},[2]],"t":[{},[2]],"v":[{},[2]],".":[{},[2]]},[1]],"m":[{"m":[{},[2]],"b":[{},[2]],"p":[{},[2]],"l":[{},[2]],"n":[{},[2]],"q":[{},[2]],"r":[{},[2]],"v":[{},[2]],".":[{},[2]]},[1]],"n":[{"b":[{},[2]],"c":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"q":[{},[2]],"r":[{},[2]],"s":[{"m":[{},[0,2,3]],"f":[{},[0,2,3]]},[2]],"t":[{},[2]],"v":[{},[2]],"x":[{},[2]],".":[{},[2]]},[1]],"q":[{"u":[{},[1,0,2]]}],"r":[{"b":[{},[2]],"c":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"h":[{},[0,2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"q":[{},[2]],"r":[{},[2]],"s":[{},[2]],"t":[{},[2]],"v":[{},[2]],"z":[{},[2]],".":[{},[2]]},[1]],"t":[{"b":[{},[2]],"c":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"h":[{},[0,2]],"l":[{},[0,2]],"r":[{},[0,2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"q":[{},[2]],"t":[{},[2]],"v":[{},[2]],".":[{},[2]]},[1]],"v":[{"l":[{},[0,2]],"r":[{},[0,2]],"v":[{},[2]]},[1]],"x":[{"t":[{},[2]],"x":[{},[2]],".":[{},[2]]},[1]],"z":[{".":[{},[2]]},[1]]}';
  var hyphenation = [];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
