(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsPms = factory();
  }
})(this, function () {
  var patterns =
    '{".":[{"\'":[{"s":[{},[0,2,2]],"n":[{},[0,0,2]]}],"a":[{"p":[{"n":[{},[0,3,2]]}],"n":[{"t":[{"i":[{"m":[{"n":[{},[0,0,0,0,3,2]]}]},[0,0,0,0,1]]}]}]}],"b":[{"i":[{"o":[{},[0,0,0,1]]}]}],"c":[{"a":[{"p":[{"s":[{},[0,0,4,3]]}]}],"i":[{"r":[{"c":[{"u":[{"m":[{},[0,0,0,0,0,2,1]]}]}]}]}],"o":[{"o":[{"p":[{},[0,0,1,2]]}]}]},[0,2]],"d":[{"i":[{"s":[{},[0,0,2,3]]}]},[0,2]],"e":[{"x":[{"e":[{},[0,2,1]],"t":[{"r":[{"a":[{},[0,0,2,0,0,3]]}]}]}]}],"f":[{"r":[{"a":[{"n":[{"k":[{},[0,0,0,0,2,3]]}]}],"e":[{"e":[{},[0,0,0,0,3]]}]}]}],"l":[{"i":[{"p":[{"s":[{"a":[{},[0,0,3,2]]}]}]}]}],"n":[{"a":[{"r":[{"c":[{"o":[{},[0,0,0,0,0,1]]}]}]}]}],"o":[{"p":[{"t":[{"o":[{},[0,0,0,0,1]]}]}],"r":[{"t":[{"o":[{"p":[{},[0,0,0,0,3,2]]}]}]}]}],"p":[{"a":[{"r":[{"a":[{},[0,0,0,0,1]]}]}],"o":[{"l":[{"i":[{"p":[{},[0,0,0,0,3,2]]}]}]}],"r":[{"e":[{},[0,0,0,1]]}],"s":[{},[0,2]]}],"r":[{"e":[{"a":[{"c":[{},[0,0,1]]}],"i":[{"s":[{"c":[{"r":[{},[0,0,1,2]]}]}]}]}]}],"t":[{"r":[{"a":[{"n":[{"s":[{"a":[{"c":[{},[0,0,0,0,2,3]]}],"c":[{},[0,0,0,0,2,3]],"d":[{},[0,0,0,0,2,3]],"l":[{},[0,0,0,0,2,3]],"n":[{},[0,0,0,0,2,3]],"p":[{},[0,0,0,0,2,3]],"r":[{},[0,0,0,0,2,3]],"t":[{},[0,0,0,0,2,3]]}]}]}]}]}],"s":[{"u":[{"b":[{"l":[{"u":[{},[0,0,2,3]]}],"r":[{},[0,0,2,3]]}]}]},[0,2]],"w":[{"a":[{"g":[{"n":[{},[0,0,2,3]]}]}],"e":[{"l":[{"t":[{},[0,0,0,2,1]]}]}]}],"z":[{},[0,2]]}],"\'":[{".":[{},[2]]},[2,2]],"b":[{"\'":[{},[2]],"b":[{},[2]],"c":[{},[2]],"d":[{},[2]],"f":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"s":[{},[2]],"t":[{},[2]],"v":[{},[2]],"l":[{},[0,2]],"r":[{},[0,2]],".":[{},[2]]},[1]],"c":[{"\'":[{},[2]],"b":[{},[2]],"c":[{".":[{},[0,2]]},[2]],"d":[{},[2]],"f":[{},[2]],"j":[{".":[{},[2]]},[0,2]],"k":[{},[2]],"m":[{},[2]],"n":[{},[2]],"q":[{},[2]],"s":[{},[2]],"t":[{},[2]],"z":[{},[2]],"h":[{"h":[{},[2]],".":[{},[2]],"b":[{},[2]],"r":[{},[0,0,2]],"n":[{},[2]]},[0,2]],"l":[{},[0,2]],"r":[{},[0,2]],".":[{},[2]]},[1]],"d":[{"\'":[{},[2]],"b":[{},[2]],"d":[{},[2]],"g":[{},[2]],"h":[{},[0,2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"r":[{},[0,2]],"s":[{},[2]],"t":[{},[2]],"v":[{},[2]],"w":[{},[2]],".":[{},[2]]},[1]],"f":[{"\'":[{},[2]],"b":[{},[2]],"g":[{},[2]],"f":[{},[2]],"n":[{},[2]],"l":[{},[0,2]],"r":[{},[0,2]],"s":[{},[2]],"t":[{},[2]],".":[{},[2]]},[1]],"g":[{"\'":[{},[2]],"b":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{".":[{},[0,2]]},[2]],"h":[{"t":[{},[2,0,2]]},[0,2]],"j":[{},[0,2]],"l":[{},[0,2]],"m":[{},[2]],"n":[{".":[{},[2]]},[0,2]],"p":[{},[2]],"r":[{},[0,2]],"s":[{},[2]],"t":[{},[2]],"v":[{},[2]],"w":[{},[2]],"z":[{},[2]],".":[{},[2]]},[1]],"h":[{"\'":[{},[2]],"b":[{},[2]],"d":[{},[2]],"h":[{},[2]],"i":[{"p":[{"n":[{},[0,0,3,2]]}]}],"l":[{},[0,2]],"m":[{},[2]],"n":[{},[2]],"r":[{},[2]],"v":[{},[2]],".":[{},[2]]},[1]],"j":[{"\'":[{},[2]],".":[{},[2]]},[1]],"k":[{"\'":[{},[2]],"g":[{},[2]],"f":[{},[2]],"h":[{},[0,2]],"k":[{},[2]],"l":[{},[0,2]],"m":[{},[2]],"r":[{},[0,2]],"s":[{},[2]],"t":[{},[2]],".":[{},[2]]},[1]],"l":[{"\'":[{".":[{},[2]],"\'":[{},[2]]}],"b":[{},[2]],"c":[{},[2]],"d":[{},[2]],"f":[{},[2,3,2]],"g":[{},[2]],"h":[{},[0,2]],"j":[{},[0,2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"q":[{},[2]],"r":[{},[2]],"s":[{},[2]],"t":[{},[2]],"v":[{},[2]],"w":[{},[2]],"z":[{},[2]],".":[{},[2]]},[1]],"m":[{"\'":[{},[2]],"b":[{},[2]],"c":[{},[2]],"f":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"q":[{},[2]],"r":[{},[2]],"s":[{},[2]],"t":[{},[2]],"v":[{},[2]],"w":[{},[2]],".":[{},[2]]},[1]],"n":[{"\'":[{},[2]],"b":[{},[2]],"c":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{"n":[{},[0,2,3]]},[2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"q":[{},[2]],"r":[{},[2]],"s":[{".":[{},[0,2]],"f":[{"e":[{"r":[{},[0,2,3]]}]}]},[2]],"t":[{".":[{},[0,2]]},[2]],"v":[{},[2]],"z":[{},[2]],"h":[{"e":[{"i":[{"t":[{},[2]]}]}]}],".":[{},[2]]},[1]],"p":[{"\'":[{},[2]],"d":[{},[2]],"h":[{},[0,2]],"l":[{},[0,2]],"n":[{"e":[{},[3,2]]},[2]],"p":[{},[2]],"r":[{},[0,2]],"s":[{"i":[{"c":[{},[3,2]]}]},[2]],"t":[{},[2]],"z":[{},[2]],".":[{},[2]]},[1]],"q":[{"\'":[{},[2]],"q":[{},[2]],".":[{},[2]]},[1]],"r":[{"\'":[{},[2]],"b":[{},[2]],"c":[{},[2]],"d":[{},[2]],"f":[{},[2]],"h":[{},[0,2]],"g":[{},[2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"q":[{},[2]],"r":[{},[2]],"s":[{},[2]],"t":[{"s":[{},[0,2,2,3]]},[2]],"v":[{},[2]],"x":[{},[2]],"w":[{},[2]],"z":[{},[2]],".":[{},[2]]},[1]],"s":[{"\'":[{".":[{},[4]],"\'":[{},[4]]}],"t":[{"\'":[{},[2]],".":[{},[2,2]],"b":[{},[2,2]],"c":[{},[2,2]],"d":[{},[2,2]],"f":[{},[2,2]],"m":[{},[2,2]],"n":[{},[2,2]],"p":[{},[2,2]],"s":[{},[2,2]],"t":[{},[2,2]],"v":[{},[2,2]]}],".":[{},[4]],"s":[{".":[{},[4]],"m":[{},[2,4,3]]},[2,3]],"p":[{"n":[{},[2,3,2]]}]},[1,2]],"t":[{"\'":[{".":[{},[2]],"\'":[{},[2]]}],"b":[{},[2]],"c":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[0,2]],"h":[{},[0,2]],"l":[{},[0,2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"r":[{},[0,2]],"s":[{".":[{},[2]]},[2,2]],"t":[{"m":[{},[0,2,3]],"s":[{},[0,2,3]]},[2]],"v":[{},[2]],"w":[{},[2]],"z":[{"k":[{},[2]],"s":[{},[0,0,2]]},[0,2]],".":[{},[2]]},[1]],"v":[{"\'":[{".":[{},[2]],"\'":[{},[2]]}],"c":[{},[2]],"l":[{},[0,2]],"r":[{},[0,2]],"s":[{".":[{},[2]]}],"v":[{},[2]],".":[{},[2]]},[1]],"w":[{"\'":[{},[2]],"h":[{},[0,2]],"a":[{"r":[{},[0,0,2]]}],"y":[{},[2,1]],".":[{},[2]]},[1]],"x":[{"\'":[{},[2]],"b":[{},[2]],"c":[{},[2]],"f":[{},[2]],"h":[{},[2]],"m":[{},[2]],"p":[{},[2]],"t":[{},[2]],"w":[{},[2]],".":[{},[2]]},[1]],"z":[{"\'":[{".":[{},[2]],"\'":[{},[2]]}],"b":[{},[2]],"d":[{},[2]],"l":[{},[2]],"n":[{},[2]],"p":[{},[2]],"r":[{},[2]],"s":[{},[2]],"t":[{},[2]],"v":[{},[2]],"z":[{},[2]],".":[{},[2]]},[1]],"a":[{"i":[{"a":[{},[0,1]],"e":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"u":[{"o":[{},[0,1]]}],"t":[{".":[{},[2]]}]}],"e":[{"i":[{"u":[{},[0,1]]}],"w":[{},[0,2]]}],"o":[{"a":[{},[0,2]],"e":[{},[0,2]],"i":[{},[0,2]],"u":[{},[0,2]]}],"y":[{"o":[{"u":[{},[0,1]]}],"i":[{},[0,1]]}]}';
  var hyphenation = [];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
