(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsZhLatnPinyin = factory();
  }
})(this, function () {
  var patterns =
    '{"a":[{"b":[{},[0,1]],"c":[{},[0,1]],"d":[{},[0,1]],"f":[{},[0,1]],"g":[{},[0,1]],"h":[{},[0,1]],"j":[{},[0,1]],"k":[{},[0,1]],"l":[{},[0,1]],"m":[{},[0,1]],"p":[{},[0,1]],"q":[{},[0,1]],"r":[{},[0,1]],"s":[{},[0,1]],"t":[{},[0,1]],"w":[{},[0,1]],"x":[{},[0,1]],"y":[{},[0,1]],"z":[{},[0,1]]}],"e":[{"b":[{},[0,1]],"c":[{},[0,1]],"d":[{},[0,1]],"f":[{},[0,1]],"g":[{},[0,1]],"h":[{},[0,1]],"j":[{},[0,1]],"k":[{},[0,1]],"l":[{},[0,1]],"m":[{},[0,1]],"p":[{},[0,1]],"q":[{},[0,1]],"s":[{},[0,1]],"t":[{},[0,1]],"w":[{},[0,1]],"x":[{},[0,1]],"y":[{},[0,1]],"z":[{},[0,1]]}],"g":[{"a":[{},[1]],"b":[{},[0,1]],"c":[{},[0,1]],"d":[{},[0,1]],"e":[{},[1]],"f":[{},[0,1]],"g":[{},[0,1]],"h":[{},[0,1]],"j":[{},[0,1]],"k":[{},[0,1]],"l":[{},[0,1]],"m":[{},[0,1]],"n":[{},[0,1]],"o":[{},[1]],"p":[{},[0,1]],"q":[{},[0,1]],"r":[{},[0,1]],"s":[{},[0,1]],"t":[{},[0,1]],"u":[{},[1]],"w":[{},[0,1]],"x":[{},[0,1]],"y":[{},[0,1]],"z":[{},[0,1]]}],"i":[{"b":[{},[0,1]],"c":[{},[0,1]],"d":[{},[0,1]],"f":[{},[0,1]],"g":[{},[0,1]],"h":[{},[0,1]],"j":[{},[0,1]],"k":[{},[0,1]],"l":[{},[0,1]],"m":[{},[0,1]],"p":[{},[0,1]],"q":[{},[0,1]],"r":[{},[0,1]],"s":[{},[0,1]],"t":[{},[0,1]],"w":[{},[0,1]],"x":[{},[0,1]],"y":[{},[0,1]],"z":[{},[0,1]]}],"n":[{"a":[{},[1]],"b":[{},[0,1]],"c":[{},[0,1]],"d":[{},[0,1]],"e":[{},[1]],"f":[{},[0,1]],"h":[{},[0,1]],"i":[{},[1]],"j":[{},[0,1]],"k":[{},[0,1]],"l":[{},[0,1]],"m":[{},[0,1]],"n":[{},[0,1]],"o":[{},[1]],"p":[{},[0,1]],"q":[{},[0,1]],"r":[{},[0,1]],"s":[{},[0,1]],"t":[{},[0,1]],"u":[{},[1]],"ü":[{},[1]],"w":[{},[0,1]],"x":[{},[0,1]],"y":[{},[0,1]],"z":[{},[0,1]]}],"o":[{"b":[{},[0,1]],"c":[{},[0,1]],"d":[{},[0,1]],"f":[{},[0,1]],"g":[{},[0,1]],"h":[{},[0,1]],"j":[{},[0,1]],"k":[{},[0,1]],"l":[{},[0,1]],"m":[{},[0,1]],"p":[{},[0,1]],"q":[{},[0,1]],"r":[{},[0,1]],"s":[{},[0,1]],"t":[{},[0,1]],"w":[{},[0,1]],"x":[{},[0,1]],"y":[{},[0,1]],"z":[{},[0,1]]}],"r":[{"a":[{},[1]],"b":[{},[0,1]],"c":[{},[0,1]],"d":[{},[0,1]],"e":[{},[1]],"f":[{},[0,1]],"g":[{},[0,1]],"h":[{},[0,1]],"i":[{},[1]],"j":[{},[0,1]],"k":[{},[0,1]],"l":[{},[0,1]],"m":[{},[0,1]],"n":[{},[0,1]],"o":[{},[1]],"p":[{},[0,1]],"q":[{},[0,1]],"r":[{},[0,1]],"s":[{},[0,1]],"t":[{},[0,1]],"u":[{},[1]],"w":[{},[0,1]],"x":[{},[0,1]],"y":[{},[0,1]],"z":[{},[0,1]]}],"u":[{"b":[{},[0,1]],"c":[{},[0,1]],"d":[{},[0,1]],"f":[{},[0,1]],"g":[{},[0,1]],"h":[{},[0,1]],"j":[{},[0,1]],"k":[{},[0,1]],"l":[{},[0,1]],"m":[{},[0,1]],"p":[{},[0,1]],"q":[{},[0,1]],"r":[{},[0,1]],"s":[{},[0,1]],"t":[{},[0,1]],"w":[{},[0,1]],"x":[{},[0,1]],"y":[{},[0,1]],"z":[{},[0,1]]}],"ü":[{"b":[{},[0,1]],"c":[{},[0,1]],"d":[{},[0,1]],"f":[{},[0,1]],"g":[{},[0,1]],"h":[{},[0,1]],"j":[{},[0,1]],"k":[{},[0,1]],"l":[{},[0,1]],"m":[{},[0,1]],"n":[{},[0,1]],"p":[{},[0,1]],"q":[{},[0,1]],"r":[{},[0,1]],"s":[{},[0,1]],"t":[{},[0,1]],"w":[{},[0,1]],"x":[{},[0,1]],"y":[{},[0,1]],"z":[{},[0,1]]}],"\'":[{"a":[{},[0,1]],"e":[{},[0,1]],"o":[{},[0,1]]}]}';
  var hyphenation = [];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
