(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsAf = factory();
  }
})(this, function () {
  var patterns =
    '{".":[{"a":[{"a":[{"n":[{"s":[{},[0,0,0,5,4]]}]}],"ä":[{"l":[{"a":[{"w":[{"a":[{},[0,0,7]]}]}]}]}],"b":[{"c":[{"-":[{"b":[{},[0,6]]}]}],"l":[{"a":[{},[0,4,5]]}],"s":[{"a":[{"l":[{"o":[{},[0,0,7]]}]}]}],"-":[{"j":[{"a":[{},[0,6]]}]}]}],"c":[{"c":[{"r":[{"a":[{".":[{},[0,0,7]]}]}]}]}],"f":[{"a":[{"r":[{"m":[{".":[{},[0,0,7]]},[0,6]]}]}],"e":[{"e":[{"t":[{".":[{},[0,0,7]]},[0,6]]}],"n":[{},[0,4,5]],"t":[{"s":[{".":[{},[0,0,7]]},[0,6]]}]}],"o":[{"e":[{"s":[{".":[{},[0,0,7]]},[0,6]]}],"o":[{},[0,4,5]]}],"r":[{"a":[{},[0,4,5]],"o":[{"\'":[{"s":[{},[0,7]]},[0,0,6]],"-":[{"h":[{},[0,7]]},[0,0,6]]}],"y":[{".":[{},[0,6]]}]}],"s":[{},[0,0,3]]}],"g":[{"a":[{"a":[{"m":[{},[0,0,6]]}]}],"t":[{"e":[{"r":[{},[0,0,0,0,6,5]]}]}],"u":[{"u":[{"r":[{},[0,6]]}]}]}],"h":[{"a":[{".":[{},[0,9]]}],"l":[{"e":[{"r":[{"s":[{},[0,0,7]]}]}]}]}],"k":[{"w":[{},[0,3]]}],"l":[{"e":[{"e":[{"r":[{".":[{},[0,0,7]]},[0,6]]}]}],"f":[{"a":[{"g":[{"r":[{},[0,0,7]]}]}],"r":[{},[0,0,5]]},[0,0,0,4]],"l":[{"d":[{"a":[{},[0,0,6]]}]}],"o":[{"ï":[{"e":[{"n":[{},[0,7]]},[0,0,6]]}]},[0,4,3]],"p":[{},[0,0,3]],"s":[{"t":[{},[0,0,5]]}],"t":[{"h":[{"e":[{"a":[{},[0,0,7]]}]}],"w":[{"e":[{"e":[{},[0,0,7]]}]}]}],"z":[{"h":[{"e":[{},[0,0,6]]}]}]}],"m":[{"p":[{"s":[{"w":[{},[0,0,0,0,5]]},[0,0,0,4]]}]}],"n":[{"a":[{"ë":[{"r":[{"o":[{},[0,0,7]]},[0,6]]}]}],"c":[{"p":[{"l":[{},[0,0,6]]}]}],"d":[{"r":[{},[0,0,5]]},[0,0,0,4]],"g":[{"l":[{},[0,0,5]],"s":[{},[0,0,0,0,5]]},[0,0,0,4]],"i":[{"o":[{},[0,4,5]]}],"t":[{"h":[{"r":[{"o":[{},[0,0,7]]}]}]}]}],"p":[{"r":[{},[0,3]],"s":[{"i":[{"d":[{"e":[{},[0,0,7]]}]}]}]}],"r":[{"a":[{"g":[{},[0,5]],"p":[{".":[{},[0,0,0,6]]}]}],"t":[{"h":[{"u":[{"r":[{},[0,0,7]]}]}]}],"z":[{"b":[{"e":[{},[0,0,6]]}]}]}],"s":[{"j":[{"a":[{"s":[{".":[{},[0,0,7]]}]}]}],"n":[{"o":[{"g":[{},[0,6]]}]}],"o":[{"f":[{".":[{},[0,6]]}]}],"t":[{"i":[{},[0,5]],"r":[{"a":[{"a":[{},[0,7]],"l":[{},[0,7,6]]}]}]}]}],"t":[{"h":[{"o":[{"l":[{".":[{},[0,7]]},[0,0,6]]}]}],"s":[{"j":[{},[0,5]]}],"t":[{"e":[{},[0,0,0,0,4]]}]}],"u":[{"d":[{"r":[{"e":[{"y":[{},[0,0,7]]}]}]}]}]}],"b":[{"a":[{"a":[{"n":[{"v":[{},[0,6]]}]}],"d":[{"i":[{"n":[{},[0,0,6]]}],"o":[{},[0,0,4,5]]}],"l":[{"o":[{"i":[{".":[{},[0,0,7]]}]}]}],"r":[{"a":[{"g":[{"w":[{},[0,0,7]]}]}],"i":[{"n":[{"s":[{},[0,0,7]]}]}]}],"s":[{"e":[{"k":[{},[0,0,6]]}]}],"t":[{"h":[{"o":[{".":[{},[0,0,7]]}]}]}]}],"e":[{"d":[{"e":[{"k":[{"s":[{},[0,0,7]]}]}]}],"k":[{"a":[{"f":[{".":[{},[0,0,0,7]]},[0,0,6]]}]}],"l":[{"a":[{},[0,0,5]],"o":[{"l":[{".":[{},[0,0,7]]}]}]}],"s":[{"k":[{"o":[{"s":[{},[0,0,7]]}]}]}],"t":[{"h":[{"e":[{"l":[{},[0,0,7]]}],"u":[{"l":[{},[0,0,7]]}]}]}]}],"i":[{"s":[{"h":[{"o":[{".":[{},[0,0,7]]}]}]}]}],"l":[{"i":[{},[0,0,0,4]],"u":[{"s":[{},[0,0,0,0,5]]}]}],"o":[{"k":[{"e":[{"r":[{"f":[{},[0,0,7]]}]}],"i":[{"e":[{"s":[{},[0,0,7]]}]}],"o":[{"r":[{"s":[{},[0,0,7]]}]}]}],"m":[{"a":[{"a":[{"t":[{},[0,0,7]]}]}]}],"n":[{},[0,4]],"p":[{"l":[{"a":[{"a":[{},[0,0,7]]}]}]}],"r":[{"o":[{},[0,0,5]]}],"s":[{"o":[{"r":[{".":[{},[0,0,7]]}]}],"t":[{"a":[{},[0,0,5]]}]}],"t":[{"r":[{"i":[{"t":[{},[0,0,7]]}]}],"s":[{"w":[{"a":[{},[0,0,7]]}]}]}],"u":[{"i":[{"t":[{".":[{},[0,0,7]]}]}],"t":[{"j":[{},[0,0,0,0,5]]}]}]}],"r":[{"e":[{},[0,4]]}],"u":[{"e":[{"n":[{"o":[{},[0,0,6]]}]}],"l":[{"o":[{"l":[{},[0,0,6]]}]}],"t":[{"h":[{"e":[{"l":[{},[0,0,7]]}]}]}]}],"y":[{"l":[{"d":[{"r":[{},[0,0,6]]}],"h":[{"o":[{},[0,0,6]]}],"n":[{"e":[{},[0,0,6]]}],"p":[{"i":[{},[0,0,6]]}]}],"p":[{"o":[{"r":[{"t":[{},[0,0,7]]}]}]}],"s":[{},[0,0,0,4]],"t":[{"a":[{"l":[{},[0,0,6]]}]}]}]}],"c":[{"a":[{"t":[{"h":[{"y":[{".":[{},[0,0,7]]}]}]}],"y":[{"e":[{"n":[{"n":[{},[0,0,7]]}]}]}]}],"h":[{"l":[{"o":[{"e":[{".":[{},[0,0,0,0,7]]}]}]}]}],"i":[{"r":[{"c":[{"a":[{},[0,0,6]]}]}],"t":[{"r":[{"u":[{"s":[{},[0,0,7]]}]}]}]}],"o":[{"s":[{"t":[{"a":[{".":[{},[0,0,0,7]]}]}]}]}],"y":[{"p":[{"r":[{"i":[{},[0,0,6]]}]}]}]}],"d":[{"a":[{"g":[{"o":[{"n":[{".":[{},[0,0,7]]}]}],"s":[{},[0,0,0,5]]}],"k":[{"a":[{"t":[{},[0,0,6]]}],"o":[{"o":[{},[0,0,6]]}]}],"t":[{"a":[{"g":[{"e":[{},[0,0,7]]}]}],"j":[{"i":[{"e":[{},[0,0,0,7]]},[0,0,6]]}]}],"w":[{"k":[{"i":[{},[0,0,6]]}]}]}],"e":[{"k":[{"l":[{"a":[{"a":[{},[0,0,6,7]]}],"o":[{},[0,0,6]]}],"w":[{"e":[{},[0,0,6]]}]}],"l":[{"a":[{},[0,0,5]]}],"r":[{"o":[{"g":[{"a":[{},[0,0,7]]}]}]}],"s":[{"a":[{"l":[{},[0,0,6]]}],"o":[{"k":[{},[0,0,6]]}],"p":[{},[0,0,4]]}]}],"i":[{"e":[{"p":[{"l":[{},[0,0,0,0,5]]}]}],"j":[{"k":[{"s":[{},[0,0,6]]}]}],"s":[{"i":[{},[0,0,4]]}],"t":[{"h":[{"a":[{"k":[{},[0,0,7]]}]}]}]}],"o":[{"m":[{"a":[{},[0,0,4,5]],"o":[{},[0,0,4,5]]}],"r":[{"s":[{"t":[{"e":[{".":[{},[0,0,0,7]]}]}]}]}]}],"r":[{"o":[{"e":[{"f":[{},[0,0,6]]}]}]}],"u":[{"n":[{"s":[{},[0,0,0,5]]}],"p":[{"r":[{"e":[{},[0,0,6]]}]}],"t":[{"j":[{},[0,0,0,5]]}]}],"y":[{"s":[{"p":[{"i":[{"e":[{},[0,0,7]]}]}]}]}]},[0,2]],"e":[{"b":[{"c":[{"u":[{".":[{},[0,6]]}]}]}],"d":[{"w":[{"a":[{},[0,0,5]],"i":[{"n":[{".":[{},[0,0,7]]}]}]}]}],"e":[{"r":[{"s":[{"k":[{},[0,0,0,6]]}]}],"t":[{},[0,0,4]]}],"f":[{"r":[{"o":[{"n":[{".":[{},[0,0,7]]},[0,6]]}]}]}],"g":[{"g":[{"o":[{"f":[{"o":[{},[0,0,7]]}]}]}]}],"i":[{"n":[{"d":[{"u":[{},[0,6]]}]}],"s":[{"t":[{},[0,0,5]]}]}],"k":[{"s":[{"k":[{},[0,0,4,5]],"o":[{"p":[{"a":[{},[0,0,7]]}],"r":[{"d":[{},[0,0,7]]}]}],"t":[{"r":[{"i":[{},[0,0,0,7]],"o":[{},[0,0,0,7]]}]}]}]}],"n":[{"d":[{"r":[{"e":[{"s":[{},[0,0,7]]}]}]}],"k":[{"l":[{},[0,0,5]]},[0,0,0,4]],"o":[{"f":[{"t":[{"a":[{},[0,0,7]]},[0,6]]}]}],"t":[{"j":[{},[0,0,4,5]],"o":[{"p":[{"t":[{},[0,0,7]]}]}]}]}],"p":[{"s":[{"o":[{"m":[{"s":[{},[0,0,7]]}]}]}]}],"r":[{"d":[{"a":[{},[0,0,4,5]],"w":[{"o":[{},[0,0,6]]}]}],"f":[{"l":[{"e":[{},[0,0,6]]}],"o":[{"o":[{},[0,0,6]]}]}],"i":[{"n":[{"v":[{},[0,0,6]]}]}],"n":[{},[0,0,0,4]],"t":[{"e":[{},[0,0,5]],"j":[{},[0,0,0,5]],"s":[{"e":[{".":[{},[0,0,0,7]]}],"w":[{},[0,0,0,0,5]]}]},[0,0,4,4]]}],"s":[{"a":[{"u":[{},[0,9]]}],"k":[{},[0,4,3]],"o":[{},[0,3]],"p":[{".":[{},[0,0,8]],"m":[{"a":[{},[0,0,6]]}]},[0,0,3]],"t":[{"c":[{"o":[{},[0,0,6]]}],"n":[{"i":[{},[0,0,6]]}],"r":[{},[0,0,5]]},[0,0,3]]},[0,2]],"t":[{"a":[{"g":[{"e":[{".":[{},[0,7]]}]}]}],"s":[{"n":[{},[0,0,4]]}]}],"u":[{"r":[{"a":[{},[0,0,0,5]]}],"s":[{"t":[{"a":[{"c":[{},[0,0,7]]}]}]}]}],"x":[{"o":[{"d":[{"u":[{"s":[{},[0,0,7]]}]}]}]}],"z":[{"r":[{"a":[{".":[{},[0,6]]}]}]}]}],"f":[{"o":[{"c":[{"h":[{"v":[{},[0,0,6]]}]}],"w":[{"l":[{"e":[{},[0,0,6]]}]}]}],"r":[{"i":[{},[0,4]]}],"y":[{"t":[{"j":[{"i":[{},[0,0,6]]}]}]}]},[0,2]],"g":[{"a":[{"l":[{"a":[{"g":[{"e":[{},[0,0,7]],"o":[{},[0,0,7]]}],"p":[{},[0,0,6]]}],"o":[{"o":[{},[0,0,6]]}]}],"r":[{"b":[{"o":[{},[0,6]]}]}],"s":[{"e":[{"n":[{},[0,0,6]]}]}]}],"e":[{"d":[{"a":[{"r":[{"t":[{},[0,0,7]]}]}]}],"g":[{"e":[{"k":[{"s":[{},[0,0,7]]}]}],"u":[{"i":[{"l":[{},[0,0,7]]}]}]},[0,0,3]],"k":[{"u":[{"n":[{"s":[{},[0,0,0,0,0,0,6]]},[0,0,0,0,0,5]]}]}],"l":[{"a":[{},[0,0,5]]}],"m":[{"o":[{"p":[{"p":[{},[0,0,7]]}]}],"u":[{"i":[{"t":[{},[0,0,7]]}]}]}],"n":[{"è":[{"v":[{"e":[{},[0,0,7]]}]}]}],"r":[{"o":[{"g":[{"g":[{},[0,0,7]]}]}]}],"s":[{"j":[{"a":[{"b":[{},[0,0,7]],"r":[{},[0,0,7]]}]}],"k":[{},[0,0,5]],"o":[{},[0,0,5]],"p":[{"e":[{".":[{},[0,0,0,7]],"r":[{".":[{},[0,0,7]]}]}]}],"t":[{"e":[{"g":[{},[0,0,7]]}]}]},[0,0,0,4]]}],"i":[{"f":[{},[0,0,0,3]],"g":[{"a":[{"g":[{"r":[{},[0,0,7]]}]}]}],"s":[{"e":[{"n":[{},[0,0,6]]}]}]}],"l":[{"y":[{"k":[{},[0,0,0,5]],"n":[{"a":[{},[0,6]]}]},[0,0,0,3]]}],"o":[{"o":[{},[0,4]],"u":[{"d":[{"a":[{".":[{},[0,0,0,7]]}]}]}]}],"r":[{"ä":[{"b":[{"e":[{},[0,0,6]]}]}],"u":[{"b":[{"a":[{},[0,6]]}]}]}],"u":[{"i":[{"d":[{"o":[{".":[{},[0,0,0,7]]}]}]}]}]},[0,2]],"h":[{"a":[{"n":[{"g":[{"s":[{},[0,0,0,0,5]]}]}]}],"e":[{"b":[{"l":[{"u":[{},[0,0,6]]}]}],"g":[{"o":[{"r":[{},[0,0,6]]}],"r":[{"a":[{},[0,0,6]]}]}],"i":[{"n":[{"d":[{},[0,6]]}]}],"k":[{"o":[{},[0,0,0,5]]}],"r":[{"a":[{"k":[{"l":[{},[0,0,7]]}]}],"e":[{"n":[{},[0,0,6,5]]}]}],"w":[{"l":[{"e":[{},[0,0,6]]}]}]}],"i":[{"v":[{".":[{},[0,0,8]]}]}],"o":[{"f":[{"e":[{"t":[{},[0,0,6]]}]}],"l":[{"a":[{"a":[{},[0,0,6]]}],"o":[{"o":[{},[0,0,6]]}]}],"o":[{"i":[{},[0,0,0,0,5]]}],"t":[{"a":[{"z":[{"e":[{},[0,0,7]]}]}],"o":[{},[0,0,4,5]]}]}],"y":[{"g":[{"r":[{"o":[{},[0,0,6]]}]}]}]}],"i":[{"c":[{"t":[{"e":[{"r":[{"u":[{},[0,0,7]]}]}]}]}],"g":[{"l":[{},[0,4]]}],"l":[{"e":[{"u":[{"s":[{".":[{},[0,0,0,7]]}]}]}]}],"n":[{"a":[{".":[{},[0,9,8]],"r":[{"i":[{"e":[{},[0,7]]},[0,0,6]]}]}],"d":[{"w":[{"a":[{"r":[{},[0,0,7]]}]}]},[0,0,0,4]],"g":[{"r":[{},[0,0,5]],"w":[{},[0,0,5]]},[0,0,0,4]],"i":[{"t":[{"i":[{},[0,0,6]]}]}],"k":[{"l":[{"y":[{},[0,0,6]]},[0,0,5]],"n":[{},[0,0,5]],"w":[{},[0,0,5]]}],"o":[{"s":[{"i":[{"e":[{},[0,7]]},[0,0,6]]}]}],"s":[{"n":[{"e":[{"e":[{},[0,0,7]]}]}]},[0,0,3,4]],"t":[{"w":[{"y":[{"f":[{},[0,0,7]]}]}]}]},[0,2,1]],"r":[{"a":[{"a":[{},[0,5]]}]}],"s":[{"a":[{},[0,3]],"k":[{},[0,4]],"o":[{},[0,3]]}]}],"j":[{"a":[{"g":[{"l":[{"i":[{},[0,0,6]]}]}],"h":[{"w":[{"e":[{".":[{},[0,0,0,7]]}]}]}],"s":[{"p":[{"a":[{},[0,0,6]]}]}],"t":[{"a":[{"g":[{"a":[{},[0,0,7]]}]}]}]}],"ä":[{"g":[{"e":[{"r":[{},[0,6]]}]}]}],"e":[{"s":[{"o":[{"p":[{"p":[{},[0,0,7]]}]}]}]}],"o":[{"d":[{"o":[{"f":[{"o":[{},[0,0,7]]}]}]}],"s":[{"a":[{"f":[{"a":[{},[0,0,7]]}]}]}]}],"u":[{"k":[{"o":[{"s":[{".":[{},[0,0,0,7]]},[0,0,6]]}]}]}],"ü":[{"r":[{"g":[{"e":[{},[0,6,6]]}]}]}],"y":[{"s":[{"e":[{"l":[{},[0,0,6]]}]}]}]}],"k":[{"a":[{"a":[{"r":[{},[0,0,0,0,4]]}],"d":[{"e":[{"t":[{},[0,0,0,0,0,5]]},[0,0,0,0,4]]}],"f":[{},[0,4]],"ï":[{"r":[{"o":[{".":[{},[0,0,0,7]]}]}]}],"n":[{"o":[{"n":[{"t":[{},[0,0,7]]}]}]}],"p":[{"l":[{"a":[{"k":[{},[0,0,7]]},[0,0,6]]}]}],"r":[{"b":[{"e":[{},[0,6]]}]}],"t":[{"h":[{"a":[{"r":[{},[0,0,7]]}],"u":[{".":[{},[0,0,7]]}]}],"o":[{"ë":[{".":[{},[0,0,0,7]]},[0,0,6]]}],"u":[{"i":[{},[0,0,6]]}]}]}],"e":[{"p":[{"l":[{"e":[{},[0,0,6]]}]}],"r":[{"k":[{"a":[{},[0,0,0,6,5]],"l":[{},[0,0,0,6,5]],"r":[{},[0,0,0,0,5]]}],"s":[{"a":[{},[0,0,0,6]],"l":[{},[0,0,0,6]],"p":[{},[0,0,0,6,5]]}]}],"s":[{"t":[{},[0,0,4,5]]}]}],"i":[{"e":[{"s":[{"t":[{},[0,0,0,6]]}]}],"p":[{"l":[{"i":[{},[0,0,6]]}]}],"r":[{},[0,0,4]],"t":[{"s":[{"e":[{".":[{},[0,0,0,7]]}]}]}]}],"l":[{"a":[{},[0,4]],"e":[{"y":[{"n":[{},[0,6]]}]}],"i":[{"p":[{},[0,0,0,0,5]]},[0,4]]}],"n":[{"i":[{"k":[{},[0,0,0,0,5]]}],"o":[{"p":[{"n":[{},[0,0,6]]}]}]}],"o":[{"m":[{"a":[{"a":[{},[0,0,6]],"f":[{},[0,0,6]]}]}],"p":[{"e":[{"r":[{"a":[{},[0,0,0,0,0,7]]}]},[0,0,0,0,4]],"l":[{"a":[{},[0,0,6]]}],"o":[{},[0,0,0,5]]},[0,4]],"r":[{"a":[{"g":[{".":[{},[0,0,7]]}]}],"s":[{"t":[{"e":[{".":[{},[0,0,0,0,7]]}]},[0,0,0,6]]}]}]}],"r":[{"a":[{"k":[{".":[{},[0,6]]}]}],"ü":[{"g":[{"e":[{},[0,0,6]]}]}],"y":[{"t":[{},[0,0,0,0,5]]}]}],"u":[{"m":[{"o":[{"n":[{".":[{},[0,0,7]]}]}]}]}],"w":[{"e":[{},[0,4]],"o":[{},[0,4]]}],"y":[{"o":[{"t":[{"o":[{"p":[{},[0,0,7]]}]}]}]}]},[0,2]],"l":[{"\'":[{"e":[{"t":[{"j":[{"i":[{},[0,0,7]]}]}]}]}],"a":[{"e":[{"t":[{"i":[{},[0,0,6]]}]}],"k":[{"w":[{"a":[{},[0,0,6]]}]}],"s":[{"a":[{},[0,0,5]]}]}],"e":[{"i":[{"s":[{},[0,0,0,5,4]]}],"k":[{"o":[{"ë":[{".":[{},[0,0,0,7]]}]}]}],"p":[{"o":[{"o":[{},[0,0,6]]}],"r":[{},[0,0,5]]}],"s":[{"h":[{"a":[{"b":[{},[0,0,7]]}]}],"o":[{"n":[{},[0,0,6]]}],"p":[{},[0,0,4]],"t":[{},[0,0,0,5]],"u":[{"u":[{},[0,0,6]]}]}]}],"i":[{"g":[{"e":[{},[0,0,0,5]],"i":[{},[0,0,4]],"o":[{"m":[{},[0,0,6]]}],"r":[{"e":[{},[0,0,6]]}]}],"p":[{"a":[{"s":[{"e":[{},[0,0,7]]}]}]}]}],"l":[{"o":[{"y":[{"d":[{},[0,6]]}]}]}],"o":[{"c":[{"h":[{"n":[{},[0,0,6]]}]}],"f":[{"u":[{"i":[{".":[{},[0,0,0,7]]}]}]}],"g":[{"l":[{"ê":[{},[0,0,6]]}]}],"n":[{"t":[{"d":[{},[0,6]]}]}],"s":[{"k":[{},[0,0,0,5]]}]}],"u":[{"g":[{"e":[{"n":[{},[0,0,6]]}]}],"i":[{"s":[{"l":[{},[0,0,0,5]]}]}]}],"ü":[{"d":[{"e":[{"r":[{},[0,6]]}]}]}]}],"m":[{"\'":[{"e":[{"t":[{"j":[{"i":[{},[0,0,7]]}]}]}]}],"a":[{"c":[{"d":[{"o":[{},[0,0,6]]}]}],"n":[{"a":[{"l":[{},[0,0,6]]}],"u":[{"r":[{},[0,0,6]]}]}],"s":[{"t":[{"e":[{"k":[{},[0,0,7]]}]}]}],"t":[{"h":[{"e":[{"s":[{},[0,0,7]]}]}]}],"z":[{"d":[{"a":[{},[0,0,6]]}]}]}],"e":[{"l":[{"k":[{"a":[{},[0,0,0,6,5]],"l":[{},[0,0,0,6,5]]}]}],"r":[{"k":[{"l":[{},[0,0,0,6,5]]}]}],"s":[{"m":[{},[0,0,0,5]],"w":[{},[0,0,4]]}],"t":[{"e":[{"m":[{},[0,0,6]]}]}]}],"i":[{"d":[{"o":[{"s":[{},[0,0,6]]}]}],"r":[{"b":[{"a":[{},[0,0,6]]}]}],"t":[{"r":[{"a":[{"a":[{},[0,0,7]]}]}]}]}],"n":[{"e":[{},[0,4]]}],"o":[{"d":[{"j":[{"a":[{"d":[{},[0,0,7]]}]}]}],"f":[{"l":[{"a":[{"m":[{},[0,0,7]]}]}]}],"s":[{"i":[{"n":[{},[0,0,6]]}],"k":[{},[0,0,4]]}]}],"u":[{"e":[{},[0,0,4]]}],"y":[{"n":[{"e":[{"n":[{},[0,0,6]]}],"i":[{"n":[{},[0,0,6,5]]}]}],"u":[{"n":[{"i":[{"s":[{},[0,0,7]]}]}]}]}]},[0,2]],"n":[{"a":[{"a":[{"n":[{"d":[{},[0,6]]}]}],"f":[{"l":[{},[0,0,5]]}],"g":[{"r":[{"o":[{"e":[{},[0,0,7]]},[0,0,6]]}]}],"s":[{"m":[{"a":[{"a":[{},[0,0,7]]}]}],"t":[{"o":[{"r":[{},[0,0,7]]}]}]}],"u":[{"u":[{"r":[{"s":[{},[0,0,7]]}]}]}]}],"e":[{"k":[{"a":[{},[0,0,4,5]],"o":[{},[0,0,4,5]],"r":[{"i":[{"n":[{},[0,0,0,7]]},[0,0,6]]}],"y":[{"s":[{},[0,0,6]]}]}],"s":[{"e":[{"r":[{"h":[{},[0,0,7]]}]}]},[0,0,4,3]],"t":[{"i":[{"k":[{},[0,6]]}],"j":[{},[0,0,4,5]],"r":[{"u":[{},[0,0,6]]}]}],"w":[{"c":[{"a":[{},[0,0,6]]}],"f":[{"o":[{},[0,0,6]]}],"l":[{"a":[{},[0,0,6]]}],"m":[{"a":[{},[0,0,6]]}]}]}],"i":[{"e":[{},[0,0,4]],"j":[{"h":[{"o":[{},[0,0,6]]}]}],"r":[{"v":[{"a":[{},[0,0,6]]}]}],"x":[{"o":[{"n":[{".":[{},[0,0,0,7]]}]}]}]}],"k":[{"o":[{"s":[{"a":[{},[0,6]]}]}]}],"o":[{"e":[{"t":[{"j":[{},[0,0,0,5]]},[0,0,0,0,4]]}],"g":[{"e":[{"e":[{},[0,0,6]]}]}],"k":[{},[0,0,4]],"n":[{"d":[{"u":[{},[0,6]]}]}]}],"u":[{"l":[{},[0,0,4]]}],"y":[{"l":[{"o":[{"n":[{"t":[{},[0,0,7]]}]}]}]}]},[0,2]],"o":[{"e":[{"k":[{"r":[{},[0,0,5]]}],"r":[{"a":[{"l":[{"g":[{},[0,0,7]]}],"n":[{"g":[{},[0,0,7]]}]}],"o":[{"s":[{".":[{},[0,0,0,7]]}]}]},[0,0,4]],"s":[{},[0,0,4,3]]}],"g":[{"l":[{},[0,4]]}],"h":[{"r":[{"i":[{"g":[{"s":[{},[0,0,7]]}]}]}]}],"k":[{"l":[{"a":[{"h":[{"o":[{},[0,0,7]]},[0,6]]}]}]}],"l":[{"i":[{"e":[{"u":[{"i":[{},[0,7]]},[0,0,6]]}]}]}],"m":[{"s":[{},[0,0,0,4]]}],"n":[{"d":[{"u":[{"i":[{"t":[{},[0,0,7]]},[0,0,0,6]]}]}],"e":[{"m":[{"o":[{},[0,6]]}]}],"i":[{"a":[{"s":[{".":[{},[0,7]]},[0,0,6]]}]}],"k":[{},[0,0,3]],"p":[{"a":[{"r":[{"m":[{},[0,0,7]]}]}]}],"s":[{"h":[{"e":[{},[0,0,6]]}],"s":[{"e":[{},[0,0,6]]}]},[0,0,3,4]],"t":[{"e":[{"e":[{"r":[{},[0,0,6,7]]}],"r":[{},[0,0,6,5]]}],"r":[{"a":[{"s":[{},[0,0,0,7]]}],"i":[{},[0,0,0,5]]},[0,0,4]]}],"u":[{"s":[{".":[{},[0,0,6]]},[0,9]]}]},[0,2,1]],"o":[{"n":[{"d":[{"e":[{".":[{},[0,0,0,7]]}]}]},[0,0,0,4]],"p":[{},[0,4]],"r":[{"n":[{},[0,0,0,5]],"s":[{},[0,0,0,5,4]]}],"s":[{},[0,0,4]]}],"p":[{"e":[{"e":[{"t":[{".":[{},[0,0,7]]},[0,6]]}],"g":[{".":[{},[0,6]]}],"i":[{"n":[{},[0,6]]}],"r":[{"d":[{},[0,6,5]]}]}],"o":[{"f":[{},[0,4]]}],"r":[{"a":[{},[0,0,5]]},[0,4]],"s":[{"m":[{"u":[{"k":[{},[0,0,7]]}]}]},[0,0,0,4]]}],"r":[{"a":[{"g":[{"i":[{"e":[{},[0,7]]}]}]}],"k":[{"n":[{"e":[{},[0,0,6]]}]}],"o":[{},[0,3]],"t":[{"o":[{},[0,0,0,0,5]]}]}],"s":[{"k":[{"o":[{},[0,0,5]]},[0,4]],"o":[{"o":[{"g":[{".":[{},[0,0,7]]}]}]}]}],"t":[{"h":[{"e":[{"l":[{"l":[{},[0,7]]},[0,0,6]]}]}]}],"u":[{"d":[{"o":[{"o":[{},[0,0,6]]}]}],"n":[{"ô":[{"i":[{".":[{},[0,0,7]]}]}]}],"t":[{"j":[{},[0,0,5]]}]}]}],"p":[{"a":[{"d":[{"i":[{"e":[{".":[{},[0,0,7]]}]}]},[0,0,4,3]],"v":[{"l":[{"o":[{},[0,0,6]]}]}]}],"e":[{"l":[{"a":[{},[0,0,5]],"s":[{"k":[{},[0,0,0,6]]}]}],"r":[{"s":[{"t":[{},[0,0,0,6]]}]}],"s":[{"k":[{},[0,0,4]],"t":[{},[0,0,4]]}]}],"i":[{"e":[{"t":[{"j":[{},[0,0,0,6]]}]}],"l":[{"a":[{"f":[{".":[{},[0,0,7]]}]}]}],"t":[{"s":[{},[0,0,0,5]]}]}],"l":[{"a":[{},[0,4]]}],"o":[{"d":[{"z":[{"o":[{},[0,0,6]]}]}],"e":[{"f":[{"e":[{},[0,6]]}],"n":[{},[0,0,0,0,4]]}],"n":[{"t":[{"w":[{},[0,6]]}]}],"s":[{"a":[{"d":[{},[0,0,6]]}]}]}],"r":[{"e":[{},[0,4]]}],"u":[{"t":[{"a":[{"d":[{},[0,0,6]]}]}]}],"y":[{"p":[{"a":[{"a":[{},[0,0,6]]}],"l":[{"a":[{},[0,0,6]]}],"o":[{"l":[{},[0,0,6]]}],"r":[{},[0,0,0,5]]}],"t":[{"h":[{"o":[{"n":[{},[0,0,7]]}]}]}]}]},[0,2]],"r":[{"\'":[{"e":[{"t":[{"j":[{"i":[{},[0,0,7]]}]}]}]}],"a":[{"a":[{"r":[{"d":[{},[0,6]]}]}],"d":[{"a":[{"r":[{"t":[{},[0,0,7]]}]}]}],"s":[{"e":[{"g":[{".":[{},[0,0,0,7]]},[0,0,6]]}]}]}],"e":[{"a":[{"u":[{"m":[{"u":[{},[0,0,7]]}]}]}],"g":[{"r":[{"u":[{},[0,0,6]]}]}],"k":[{"s":[{},[0,0,0,5]]}],"m":[{"a":[{"s":[{".":[{},[0,0,0,7]]},[0,0,6]]}],"c":[{"o":[{},[0,0,6]]}]}],"s":[{"l":[{},[0,0,4]]}]}],"i":[{"e":[{"t":[{"j":[{},[0,0,0,0,5]],"r":[{},[0,0,0,0,5]]},[0,0,0,4]]}],"p":[{"l":[{"e":[{},[0,0,6]]}]}]}],"o":[{"c":[{"k":[{"y":[{".":[{},[0,0,0,7]]}]}]}],"g":[{"a":[{"k":[{},[0,0,6]]}]}],"n":[{"d":[{"o":[{".":[{},[0,0,0,7]]}],"s":[{},[0,0,0,0,5]]}]}],"p":[{"y":[{},[0,0,5]]}],"s":[{"t":[{},[0,0,0,5]]}],"t":[{"r":[{"e":[{},[0,0,6]]}]}],"w":[{"l":[{"i":[{},[0,0,6]]}]}]}],"u":[{"k":[{"l":[{"i":[{"p":[{},[0,0,7]]}]}],"o":[{"p":[{"e":[{},[0,0,7]]}]},[0,0,0,4]]}],"s":[{"t":[{"a":[{"a":[{},[0,0,7]]}]}],"u":[{"u":[{},[0,0,6]]}]}]}],"y":[{"k":[{"a":[{},[0,0,4,5]]}],"s":[{"t":[{"e":[{},[0,0,6]]}]}]}]},[0,2]],"s":[{"a":[{"a":[{"n":[{"s":[{},[0,6]]}]}],"f":[{},[0,4]],"g":[{"o":[{"p":[{"a":[{},[0,0,7]]}]}]},[0,4]],"k":[{"t":[{"y":[{},[0,6]]}]}],"m":[{},[0,4]],"v":[{"l":[{"o":[{},[0,0,6]]}]}]}],"c":[{"a":[{},[0,4]]}],"e":[{"a":[{"n":[{".":[{},[0,0,6]]}]}],"e":[{"r":[{"a":[{},[0,0,0,5]]}],"y":[{"s":[{".":[{},[0,0,0,7]]}]}]}],"k":[{"h":[{"u":[{"k":[{},[0,0,7]]}]}]}],"l":[{"a":[{"a":[{},[0,0,6]]}],"o":[{"p":[{},[0,0,6]]}]}],"r":[{"e":[{"n":[{"i":[{},[0,0,7]]}]}]}],"s":[{"l":[{"e":[{},[0,0,6]]}],"t":[{},[0,0,0,5]],"u":[{"u":[{},[0,0,6]]}]}],"t":[{"a":[{"p":[{},[0,0,6]]}],"r":[{},[0,0,4]]}],"x":[{"y":[{},[0,0,0,5]]}]}],"f":[{"a":[{"l":[{"e":[{},[0,6]]}]}],"i":[{},[0,4]]}],"g":[{"r":[{},[0,4]]}],"h":[{"a":[{},[0,4,0,4]],"e":[{},[0,4]],"i":[{},[0,4]],"o":[{},[0,4]],"u":[{},[0,4]]}],"i":[{"n":[{"e":[{"s":[{},[0,0,6]]}]},[0,4]],"p":[{"h":[{"o":[{".":[{},[0,0,7]]}]}]}],"r":[{"a":[{"g":[{".":[{},[0,0,7]]}]}]}]}],"j":[{"a":[{},[0,4]]}],"k":[{"a":[{},[0,4]],"e":[{},[0,4]],"l":[{},[0,4]],"o":[{},[0,4]],"r":[{},[0,4]],"u":[{},[0,4]]}],"l":[{"a":[{"g":[{},[0,0,0,0,5]]}]}],"m":[{"a":[{},[0,4]],"e":[{},[0,4]],"i":[{},[0,4]],"o":[{},[0,4]],"u":[{},[0,4]]}],"n":[{"a":[{"g":[{"s":[{},[0,6]]}]}],"e":[{},[0,4]]}],"o":[{"d":[{"a":[{"f":[{"a":[{},[0,0,7]]}]}],"w":[{"a":[{"n":[{},[0,0,7]]}]}]},[0,0,0,4]],"i":[{"e":[{"t":[{"s":[{},[0,0,7]]}]}]}],"k":[{"o":[{"p":[{},[0,0,6]]}]}],"m":[{"e":[{},[0,0,0,0,4]],"s":[{".":[{},[0,6]]}]}],"n":[{"e":[{"g":[{},[0,0,6]]}]},[0,4]],"p":[{"e":[{"k":[{},[0,0,6]]}],"h":[{"o":[{"k":[{},[0,0,7]]}]}]},[0,4]],"r":[{"o":[{"s":[{"s":[{},[0,0,7]]}]}]}]}],"p":[{"e":[{},[0,4]],"l":[{},[0,4]],"o":[{"g":[{},[0,0,0,4]]}],"r":[{"e":[{"n":[{},[0,6]]}]}],"y":[{},[0,4]]}],"r":[{"i":[{".":[{},[0,8]]}]}],"t":[{"a":[{},[0,4]],"e":[{"m":[{"p":[{},[0,6]]}],"r":[{"o":[{"l":[{},[0,0,0,7]]}],"t":[{"a":[{},[0,0,0,0,6]],"j":[{},[0,0,0,0,6,7]]}]}]}],"i":[{},[0,4]],"o":[{},[0,4]],"r":[{"a":[{"f":[{},[0,0,0,0,0,5]]}],"e":[{"i":[{},[0,6]]}]}],"u":[{"a":[{"r":[{},[0,6]]}],"c":[{},[0,0,0,0,5]]}]}],"u":[{"b":[{"i":[{"e":[{"t":[{},[0,0,7]]}]}],"m":[{},[0,0,0,5]],"p":[{},[0,0,0,5]]}],"e":[{".":[{},[0,0,8]]}],"i":[{},[0,4]],"k":[{"r":[{},[0,0,5]]}],"t":[{"h":[{"e":[{"r":[{},[0,0,7]]}]}],"r":[{"a":[{".":[{},[0,0,7]]}]}]}]}],"w":[{"e":[{},[0,4]],"i":[{},[0,4]],"o":[{},[0,4]]}],"y":[{"l":[{"v":[{"i":[{},[0,0,6]]}]}],"n":[{"a":[{"g":[{"r":[{},[0,0,7]]}]}]}],"s":[{"l":[{"a":[{"g":[{},[0,0,7]]}]}]}]},[0,0,1]]}],"t":[{"a":[{"f":[{"s":[{"y":[{},[0,6]]}]}],"g":[{},[0,4]]}],"e":[{"e":[{"k":[{},[0,0,0,5]]}],"f":[{"l":[{"o":[{},[0,0,6]]}]}],"r":[{"a":[{"f":[{"i":[{},[0,0,7]]}],"g":[{"r":[{},[0,0,7]]}]}],"t":[{"j":[{"i":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"s":[{"t":[{"u":[{"d":[{},[0,0,7]]}]},[0,0,4,5]]}]}],"i":[{"e":[{"n":[{"e":[{},[0,0,6]]}],"t":[{"j":[{},[0,0,0,6,5]]}]}],"k":[{},[0,0,4]],"n":[{"e":[{"r":[{},[0,0,6]]}]}]}],"j":[{"a":[{"a":[{"i":[{},[0,6]]}]}],"o":[{"k":[{},[0,0,0,0,5]]}]}],"o":[{"e":[{"y":[{"s":[{".":[{},[0,0,0,7]]}]}]}],"k":[{"l":[{"a":[{},[0,0,6]]}],"y":[{"o":[{".":[{},[0,0,7,0,7]]}]}]}],"l":[{"u":[{"n":[{},[0,0,6]]}]}],"r":[{"o":[{"n":[{"t":[{},[0,0,7]]}]}]}],"u":[{},[0,0,0,3]]}],"r":[{"a":[{"p":[{"r":[{},[0,0,0,0,5]]}]}],"e":[{"k":[{},[0,0,0,0,5]],"s":[{},[0,0,0,4]]}],"i":[{"e":[{"s":[{},[0,0,0,0,0,5]]},[0,0,0,0,4]]}]}],"s":[{"a":[{},[0,4]],"h":[{},[0,0,4]],"j":[{"a":[{"a":[{},[0,0,6]]}]}]}],"y":[{"d":[{"a":[{"a":[{},[0,0,6]]}],"o":[{"r":[{},[0,0,6]]}],"r":[{"a":[{},[0,0,6]]}]}]}]},[0,2]],"u":[{"i":[{"l":[{"a":[{"a":[{},[0,0,6]]}]}],"t":[{"i":[{},[0,0,5]],"j":[{"i":[{},[0,0,5,6]]}]},[0,0,4,3]]}],"m":[{"h":[{"l":[{"a":[{"n":[{},[0,0,7]]}]}]}]}],"n":[{"s":[{"t":[{},[0,0,5]]},[0,0,0,4]]}],"r":[{"a":[{"a":[{},[0,5]]}]}],"t":[{"r":[{"a":[{},[0,5]]}]}]}],"v":[{"a":[{"k":[{"a":[{"d":[{},[0,0,6]]}],"e":[{"i":[{},[0,0,6]]}]}],"n":[{"a":[{"f":[{},[0,0,6]]}],"o":[{},[0,0,4,5]]}],"r":[{"a":[{"a":[{"n":[{},[0,0,7]]}]}]}],"s":[{"e":[{"n":[{},[0,0,6]]}],"w":[{"a":[{},[0,0,6]]}],"y":[{"s":[{".":[{},[0,0,0,7]]}]}]}]}],"e":[{"c":[{"i":[{"n":[{"o":[{},[0,0,7]]}]}]}],"l":[{"a":[{"a":[{"r":[{},[0,0,7]]}],"r":[{"e":[{},[0,0,7]]}]}],"ê":[{"r":[{".":[{},[0,0,7]]}]}],"o":[{"e":[{"r":[{},[0,0,7]]}],"m":[{"e":[{},[0,0,7]]}]}]}],"m":[{"e":[{"n":[{"g":[{},[0,0,7]]}]}]}],"r":[{"e":[{"m":[{"a":[{},[0,0,7]]}],"n":[{"a":[{},[0,0,7]]}],"v":[{"e":[{},[0,0,7]]}]}]}],"s":[{"k":[{"a":[{"f":[{},[0,0,7]]}]}]}],"t":[{"o":[{"r":[{"e":[{},[0,0,7]]}]}]}]}],"l":[{"a":[{"s":[{},[0,0,0,0,5]]}]}],"o":[{"g":[{"i":[{"n":[{},[0,0,6]]}]}],"l":[{"y":[{"w":[{},[0,0,6]]}]}],"s":[{"k":[{"o":[{},[0,0,6]]}]}]}]}],"w":[{"a":[{"g":[{"h":[{"r":[{"i":[{},[0,0,7]]}]}]}],"n":[{},[0,0,4]],"s":[{"m":[{"o":[{"u":[{},[0,0,7]]}]}],"p":[{"a":[{},[0,0,6]]}]}]}],"e":[{"b":[{"m":[{},[0,0,0,5]],"o":[{},[0,0,4]],"-":[{"o":[{},[0,0,6]]}]}],"e":[{"k":[{"l":[{"a":[{"n":[{},[0,0,0,0,7]]}]}]}],"t":[{},[0,0,0,4,5]]}],"k":[{"u":[{"u":[{},[0,0,6]]}]}],"l":[{"a":[{},[0,0,4,5]],"i":[{"n":[{"g":[{},[0,0,0,7]]},[0,0,6]]}]}],"n":[{"a":[{"n":[{},[0,0,6]]}]}],"r":[{"k":[{"l":[{},[0,0,0,0,5]],"r":[{},[0,0,0,6,5]]}]}],"s":[{"k":[{},[0,0,4,5]],"o":[{"e":[{},[0,0,6]]}],"w":[{"a":[{},[0,0,6]]}]}]}],"h":[{"ê":[{".":[{},[0,8]]}],"i":[{},[0,4]]}],"i":[{"i":[{"d":[{".":[{},[0,0,6]]}]}],"n":[{"s":[{},[0,0,0,0,5]]}],"p":[{},[0,0,4]],"t":[{},[0,0,4]]}],"î":[{"e":[{".":[{},[0,0,9]]}]}],"y":[{"k":[{"w":[{"a":[{"s":[{},[0,0,7]]}]}]}],"n":[{"a":[{"n":[{"d":[{},[0,0,7]]}]}],"e":[{"t":[{},[0,0,6]]}]}]}]}],"x":[{},[0,2]],"y":[{"a":[{"m":[{"i":[{"n":[{},[0,6]]}]}],"n":[{"n":[{"i":[{},[0,6]]}]}],"s":[{"u":[{"d":[{},[0,6]]}]}]}],"k":[{"l":[{"o":[{"o":[{"n":[{},[0,0,7]]}]}]}]}],"s":[{"e":[{"r":[{"e":[{},[0,0,6]]}]}],"l":[{"a":[{},[0,0,5]]}]},[0,0,3]]}],"z":[{"e":[{"u":[{"s":[{},[0,0,5]]}]}],"ü":[{"r":[{"i":[{"c":[{},[0,6]]}]}]}],"w":[{"a":[{},[0,4]],"i":[{},[0,4]]}]}]}],"a":[{"a":[{"d":[{"a":[{},[0,0,4]],"e":[{},[0,0,4]],"o":[{},[0,0,4]],"r":[{},[0,0,4,3]]},[0,0,0,1]],"f":[{"e":[{"m":[{"m":[{"e":[{},[0,0,0,7]]}]}]}],"s":[{"a":[{"t":[{},[0,0,0,6]]}]}]}],"g":[{"a":[{"l":[{},[0,0,0,5]],"s":[{"e":[{"m":[{},[0,0,0,7]]}]}]}],"e":[{"l":[{"a":[{"s":[{},[0,0,0,7]]}]}]}],"r":[{"o":[{"n":[{"d":[{},[0,0,0,7]]}]}]},[0,0,0,3]],"s":[{"l":[{},[0,0,0,5,4]],"p":[{},[0,0,0,5]],"t":[{},[0,0,0,5]],"w":[{"e":[{"e":[{},[0,0,0,7]]}]}]}]}],"i":[{"l":[{"a":[{"g":[{".":[{},[0,0,0,7]]}]}]}]}],"k":[{"a":[{},[0,0,4]],"o":[{},[0,0,4]],"r":[{},[0,0,0,3]],"s":[{"t":[{"e":[{"r":[{},[0,0,0,7]]}]}]}],"w":[{},[0,0,0,3]]},[0,0,0,1]],"l":[{"d":[{"y":[{"s":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"f":[{"e":[{},[0,0,0,5]],"p":[{"o":[{},[0,0,0,6]]}]}],"s":[{"a":[{},[0,0,0,5]],"f":[{"e":[{"e":[{},[0,0,0,7]]}]}]}]},[0,0,0,1]],"m":[{"a":[{},[0,0,4]],"e":[{},[0,0,4]],"o":[{},[0,0,4]],"s":[{"m":[{"u":[{"l":[{},[0,0,0,7]]}]}]}]},[0,0,0,1]],"n":[{"d":[{"o":[{"u":[{},[0,0,0,6]]}],"r":[{"e":[{"n":[{},[0,0,0,7]]},[0,0,0,0,6]],"o":[{"s":[{},[0,0,0,7]]}]}]}],"g":[{"o":[{"n":[{"s":[{},[0,0,0,7]]}]}]}],"k":[{"l":[{},[0,0,0,5]],"o":[{"n":[{},[5]]}],"r":[{"y":[{".":[{},[0,0,0,7]]}]}]},[0,0,0,3,4]],"l":[{"e":[{"g":[{},[5]]}]}],"s":[{"a":[{"g":[{"e":[{},[0,0,0,7]]}]}],"e":[{"e":[{"r":[{},[0,0,0,0,7]]},[0,0,0,6]],"k":[{},[0,0,0,6]]}],"i":[{"g":[{},[5]]}],"k":[{"e":[{"m":[{},[0,0,0,7]]}]}],"l":[{},[0,0,0,5]],"n":[{},[0,0,0,5]],"o":[{"m":[{},[0,0,0,6]],"n":[{},[0,0,0,6]]}],"p":[{},[0,0,0,5]]}],"t":[{"u":[{"i":[{"g":[{},[0,0,0,7]]}]}]}],"v":[{"a":[{},[5]]}]},[0,0,0,1]],"p":[{"a":[{},[0,0,4]],"o":[{},[0,0,4]],"r":[{},[0,0,0,3]],"u":[{},[0,0,4]]},[0,0,0,1]],"r":[{"a":[{},[0,0,0,3]],"d":[{"a":[{"n":[{"g":[{},[0,0,0,0,7]]},[0,0,0,6]],"s":[{".":[{},[0,0,0,0,7]]}]}],"e":[{},[0,0,0,5]],"i":[{"n":[{"g":[{},[0,0,0,7]]}]}],"u":[{},[0,0,0,4]]}],"e":[{},[0,0,0,3]],"i":[{},[0,0,0,3]],"k":[{"w":[{"e":[{"k":[{},[0,0,0,7]]}]}]}],"l":[{"b":[{"e":[{},[0,0,0,6]]}],"k":[{"a":[{},[0,0,0,6]]}],"v":[{"a":[{},[0,0,0,6]]}],"z":[{"i":[{},[0,0,0,6]]}],"-":[{"o":[{},[0,0,0,6]]}]}],"o":[{},[0,0,0,3]],"s":[{"e":[{"r":[{".":[{},[0,0,0,7]],"i":[{},[0,0,0,7]]}]}],"i":[{"d":[{},[0,0,0,6]]}],"t":[{"e":[{"e":[{"k":[{},[0,0,0,0,8]]}],"l":[{"l":[{},[0,0,0,0,8]]}]}],"i":[{},[0,0,0,0,6]]}]}],"t":[{"a":[{"p":[{},[5]]}],"i":[{"n":[{},[0,0,0,6]]}],"o":[{"m":[{"o":[{},[0,0,0,7]]}]}],"r":[{"y":[{"b":[{},[0,0,0,7]]}]}]}],"u":[{},[0,0,0,3]]}],"s":[{"o":[{"m":[{"e":[{"l":[{},[0,0,0,7]]}]}]},[0,0,4]]},[0,0,0,3]],"t":[{"n":[{"a":[{"g":[{"t":[{},[0,0,0,7]]}]}]}],"o":[{},[0,0,4]],"r":[{},[0,0,0,3]],"s":[{"e":[{"f":[{},[0,0,0,6]]}],"f":[{"e":[{"e":[{},[0,0,0,7]]}]}],"l":[{"i":[{"m":[{},[0,0,0,7]]}],"o":[{},[0,0,0,6]],"y":[{},[0,0,0,6]]}],"o":[{"n":[{"n":[{},[0,0,0,7]]}],"w":[{},[0,0,0,6]]}],"t":[{"i":[{},[0,0,0,6]]}]}]},[0,0,0,1]],"u":[{"w":[{"b":[{"e":[{},[0,0,0,6]]}]}]}]},[0,0,2]],"ä":[{"r":[{"o":[{"n":[{},[0,0,5]]}]}]}],"b":[{"a":[{"k":[{"a":[{"s":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}],"o":[{"m":[{"b":[{},[0,0,0,7]]}]}]}],"r":[{"e":[{},[0,0,0,0,0,4]]}],"s":[{"t":[{"e":[{"r":[{},[0,0,0,7]]}]}]}]}],"d":[{},[0,0,3]],"e":[{"r":[{"s":[{"p":[{},[0,0,0,0,6]]}]}]}],"l":[{"a":[{"u":[{},[0,0,5]]}]}],"r":[{"u":[{"p":[{},[0,0,5]]}]}],"s":[{"o":[{},[3]]}],"u":[{"s":[{"c":[{"h":[{"a":[{},[0,0,0,7]]}]}]}]}],"w":[{"i":[{"e":[{},[0,0,5]]}]}]}],"c":[{"q":[{"u":[{"e":[{},[0,0,5]]}]}]}],"d":[{"a":[{"a":[{},[0,4,3]],"m":[{"p":[{"e":[{".":[{},[0,0,0,0,7]]}]}]},[0,0,0,0,4]],"r":[{},[0,0,0,4]]},[0,3]],"e":[{"s":[{"l":[{"a":[{"n":[{},[0,0,0,0,7]]}]}],"m":[{"e":[{"e":[{},[0,0,0,7]]}]}]}]},[0,3]],"i":[{"e":[{"u":[{"s":[{},[0,0,0,6]]}]}]},[0,3]],"j":[{"u":[{"d":[{},[5]]}]}],"m":[{"i":[{"n":[{},[5]]}]}],"o":[{"w":[{},[0,4]]},[0,3]],"r":[{"e":[{"s":[{".":[{},[5]]}]}]},[0,3]],"s":[{"e":[{"r":[{"w":[{"e":[{},[0,0,0,7]]}]}]}],"n":[{},[0,0,4]],"o":[{"p":[{".":[{},[0,0,0,6]]}],"r":[{},[0,0,5]]}],"t":[{"e":[{"s":[{"o":[{},[0,0,0,7]]}]}]}],"u":[{},[0,0,4]]}],"u":[{"i":[{"t":[{},[0,0,5]]}],"s":[{"p":[{"e":[{"l":[{},[0,0,0,7]]}]}]}],"t":[{"j":[{},[0,0,0,5]]}]},[0,3]],"v":[{"e":[{"r":[{"t":[{},[5]]}]}]}],"y":[{"s":[{"m":[{"i":[{"t":[{},[0,0,0,7]]}]}]}]},[0,3]]},[0,2]],"e":[{"l":[{"a":[{"t":[{"o":[{"o":[{},[0,0,0,7]]}]}]}],"e":[{"i":[{},[0,0,4,5]]}],"o":[{},[0,0,4]]}],"s":[{"t":[{"o":[{},[0,0,0,5]],"r":[{},[0,0,0,5]],"u":[{"u":[{"r":[{},[0,0,0,7]]}]}]}]}]},[0,1]],"ë":[{},[0,0,1]],"f":[{"e":[{"e":[{},[4]],"k":[{"s":[{},[0,0,5]]}],"l":[{"a":[{"a":[{},[0,0,0,0,5]]}]}]}],"f":[{"r":[{"e":[{},[0,0,4]]}]}],"g":[{"h":[{"a":[{},[0,0,5]]}]}],"i":[{"n":[{"r":[{},[0,0,5]]}]}],"l":[{},[0,0,3]],"o":[{"f":[{},[0,4]]}],"r":[{"a":[{"a":[{},[0,0,5]],"m":[{},[0,0,5]],"n":[{},[0,0,5]]}],"e":[{},[0,4,3]],"i":[{"t":[{},[0,4,5]]},[3]],"o":[{"d":[{},[0,5]]},[0,4,3]],"u":[{},[0,4,3]]},[0,0,1]],"s":[{"w":[{},[0,0,3,4]]}],"v":[{"a":[{"l":[{},[0,0,0,0,0,5]]},[3]]}]}],"g":[{"a":[{"a":[{"n":[{"v":[{},[0,6]]}],"r":[{},[0,4]]},[0,0,3]],"d":[{"v":[{},[0,0,5]]}],"k":[{},[0,4,3]],"l":[{"g":[{},[0,0,5]]}],"p":[{"i":[{},[0,0,5]]}],"r":[{"e":[{},[0,0,5]]}]}],"e":[{".":[{},[4]],"b":[{},[4]],"d":[{"d":[{"o":[{},[0,0,0,6]]}]},[4]],"i":[{},[0,4]],"m":[{},[4]],"r":[{"v":[{},[0,4,5]]}],"s":[{},[4]],"w":[{"e":[{"n":[{},[0,6,5]]}]}]}],"g":[{"e":[{"u":[{"s":[{".":[{},[0,0,0,0,7]]}]}]}]}],"i":[{"n":[{"g":[{},[0,5]],"s":[{},[0,4,5]]}],"s":[{"t":[{"r":[{},[0,0,0,5,6]]}]}]},[0,3]],"l":[{},[0,0,1]],"o":[{"g":[{"g":[{},[0,0,5]]}],"r":[{"d":[{},[0,0,5]],"k":[{},[0,0,5]]}],"u":[{"d":[{},[0,0,5]]}]}],"r":[{"e":[{"i":[{},[0,0,5]]},[0,4,3]],"u":[{},[0,4,3]]}],"s":[{"a":[{"b":[{"n":[{"o":[{},[0,0,0,7]]}]}]},[0,0,3]],"i":[{"n":[{"s":[{},[0,0,6]]}]}],"k":[{"a":[{},[0,0,5]],"o":[{"e":[{"v":[{},[0,0,0,7]]}],"l":[{},[0,0,5]]}],"r":[{},[0,0,5]],"y":[{},[0,0,5]]}],"l":[{"o":[{},[0,0,0,4]]}],"n":[{},[0,0,4]],"o":[{"e":[{"p":[{},[0,0,0,6]]}],"m":[{".":[{},[0,0,5]]}],"o":[{"m":[{},[0,0,0,6]]}],"p":[{".":[{},[0,0,0,6]]}]}],"p":[{"e":[{},[0,0,5]],"o":[{"r":[{},[0,0,5,6]]}]}],"t":[{"a":[{"a":[{"l":[{},[0,0,0,7]]}]}],"i":[{},[0,0,5]]},[0,0,0,4]],"w":[{"a":[{"a":[{},[0,0,0,6]]}],"e":[{"e":[{},[0,0,0,6]]}]}]}],"t":[{"u":[{"u":[{"r":[{".":[{},[0,0,0,7]]}]}]},[0,0,4]]}],"u":[{"i":[{},[0,4,3]],"r":[{"e":[{},[0,0,5]]}],"u":[{"r":[{},[0,0,5]]}]}],"-":[{"l":[{"a":[{"g":[{".":[{},[0,0,0,7]]}]}]}]}]}],"h":[{"e":[{"r":[{"i":[{},[0,0,0,5]]},[0,0,0,0,4]]}],"s":[{".":[{},[0,4]]}]}],"i":[{"g":[{"n":[{"e":[{".":[{},[0,0,0,6]]}]}]}],"ï":[{"e":[{"r":[{},[0,0,0,5]]}]}],"l":[{"p":[{},[0,0,4]]}],"n":[{"s":[{"t":[{"e":[{},[0,0,0,6]]}]}]}],"p":[{"e":[{"i":[{"s":[{},[0,0,0,6]]}]}]}],"s":[{"k":[{},[0,0,3,4]],"l":[{"a":[{},[0,0,5]]}],"p":[{"r":[{"y":[{"s":[{},[0,0,0,7]]}]}]},[0,0,0,4]],"t":[{},[0,0,0,4]]}],"t":[{"j":[{},[0,0,3]],"r":[{},[0,0,3,4]]}]},[0,0,1]],"k":[{"a":[{"a":[{"n":[{},[0,4,5]]}],"r":[{"b":[{},[0,0,5]]}]}],"e":[{"l":[{"e":[{"e":[{},[0,0,0,6]]}],"o":[{"f":[{},[0,0,0,6]]}]}],"s":[{"s":[{},[0,0,5]]}]}],"i":[{"n":[{"s":[{},[0,0,5]]}],"s":[{"t":[{"e":[{".":[{},[0,0,0,0,7]]}]}]},[0,0,0,0,4]]}],"k":[{"o":[{"o":[{},[5]]}]}],"l":[{"a":[{"n":[{"k":[{},[0,5]]}]}],"e":[{"e":[{"t":[{},[0,0,6]]}]}]},[0,2,3]],"n":[{},[0,2,3]],"o":[{"b":[{"r":[{"e":[{},[0,0,0,6]]}]}],"m":[{"s":[{},[0,0,5]]}]}],"r":[{"e":[{},[0,4,3]],"i":[{"g":[{},[0,0,5]]}]},[0,1]],"s":[{"c":[{},[0,0,4]],"m":[{"e":[{},[0,0,5]]}],"p":[{},[0,0,3]]}],"u":[{"i":[{},[0,4,3]]}],"w":[{"e":[{},[0,0,3]],"i":[{"n":[{},[0,0,5]]}]},[0,2]],"y":[{"s":[{},[0,4]]},[0,3]]}],"l":[{"a":[{"g":[{"a":[{"d":[{"i":[{},[0,0,0,7]]}]}],"m":[{},[0,5]],"t":[{},[0,0,5]]}],"k":[{"l":[{"e":[{"d":[{},[0,0,0,7]]}]}]}],"n":[{"g":[{"a":[{"a":[{},[0,0,0,0,7]]}]}]}]},[0,1]],"d":[{"e":[{"i":[{},[0,0,5]]}]}],"e":[{"f":[{},[0,4]],"s":[{"t":[{"r":[{},[0,0,0,6]]}]}]}],"f":[{"e":[{"n":[{"i":[{},[0,0,0,6]]}]},[0,0,4,3]],"h":[{},[0,0,4]],"i":[{"e":[{},[0,0,5]]}],"j":[{},[0,0,4]],"o":[{"l":[{"i":[{"e":[{},[0,0,0,7]]}]}]}],"s":[{"k":[{"o":[{},[0,0,0,6]]}],"n":[{"i":[{},[0,0,0,6]]}],"t":[{"a":[{"n":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"u":[{},[0,0,4]],"-":[{},[0,0,0,4]]}],"g":[{"o":[{"r":[{"i":[{},[5]]}]}]}],"i":[{"e":[{"n":[{"s":[{},[0,0,0,0,0,5]]}]}],"g":[{"a":[{"l":[{},[0,0,0,6]]}],"l":[{"a":[{"s":[{},[0,0,0,7]]}]}]}]}],"k":[{"a":[{"a":[{"r":[{"d":[{},[0,0,0,7]]}]}]}],"l":[{"a":[{"a":[{"g":[{},[0,0,0,7]]}]}]}],"o":[{"o":[{"n":[{"d":[{},[0,0,0,7]]}]}]}],"s":[{"p":[{},[0,0,0,5]]}],"u":[{"i":[{},[0,0,4]]}],"w":[{"y":[{"k":[{".":[{},[0,0,0,7]]}]}]}]}],"l":[{"e":[{"e":[{"n":[{},[5]]}]}]}],"m":[{"e":[{"i":[{"e":[{"r":[{},[0,0,0,7]]}]}]}],"l":[{"o":[{"n":[{"t":[{},[0,0,0,7]]}]}]}]}],"o":[{},[0,1]],"s":[{"a":[{"g":[{"t":[{"i":[{},[0,0,0,7]]}]}]},[0,0,0,4]],"g":[{"h":[{"a":[{"a":[{},[0,0,0,7]]}]}]}],"k":[{"e":[{"l":[{"k":[{},[0,0,0,7]]},[0,0,6]]}]}],"l":[{"i":[{},[0,0,0,5]]}],"o":[{"o":[{},[0,0,4,5]]}],"p":[{"r":[{"e":[{"t":[{},[0,0,0,7]]}]}]}],"w":[{"a":[{"a":[{},[0,0,0,5]]}],"e":[{"r":[{"w":[{},[0,0,0,7]]}]}]}]}],"t":[{"h":[{"e":[{"a":[{},[0,0,0,6]]}],"u":[{"s":[{},[0,0,0,6]]}]}],"r":[{"o":[{"t":[{"s":[{},[0,0,0,7]]}]}]}],"s":[{"a":[{"s":[{},[0,0,0,6]]}]}],"w":[{"e":[{"e":[{},[0,0,0,6]]}]}]}],"u":[{},[0,1]],"v":[{"e":[{"o":[{},[0,0,0,0,5]]}]}]}],"m":[{"a":[{"k":[{},[0,0,0,3,4]],"n":[{"t":[{"j":[{},[0,0,0,0,6,5]]}]}],"r":[{"i":[{"n":[{"s":[{},[0,0,0,7]]}]}]}],"t":[{"o":[{"o":[{},[0,0,5]]}]}]},[0,3]],"b":[{"a":[{"g":[{},[5]],"s":[{"s":[{},[5]]}]}]}],"e":[{"g":[{"t":[{},[0,0,5]]}],"s":[{"i":[{"n":[{},[0,0,0,6]]}],"m":[{},[0,0,0,5]],"p":[{"o":[{},[0,0,0,6]]}]}]},[0,3]],"i":[{"s":[{"k":[{"y":[{"w":[{},[0,0,0,7]]}]}]}]},[0,3]],"m":[{"a":[{"f":[{"u":[{},[0,0,0,6]]}]}],"u":[{"n":[{},[5]]}]}],"o":[{},[0,3]],"p":[{"a":[{"r":[{"r":[{"e":[{},[0,0,0,7]]}]}]}],"l":[{"a":[{"g":[{".":[{},[0,0,0,7]]}]}],"e":[{"e":[{"r":[{},[0,0,0,7]]}]}],"i":[{"g":[{".":[{},[0,0,0,7]]}]}],"u":[{"g":[{".":[{},[0,0,0,7]]}]}]}],"o":[{"m":[{"h":[{"e":[{},[0,0,0,7]]}]}]}],"s":[{"e":[{"ë":[{"l":[{},[0,0,0,7]]}]}],"f":[{"e":[{"e":[{},[0,0,0,7]]}]}],"i":[{"e":[{"r":[{},[0,0,0,7]]}]}],"t":[{"a":[{"f":[{},[0,0,0,7]],"w":[{},[0,0,0,7]]}]}]}]}],"s":[{"e":[{"s":[{"e":[{"l":[{},[0,0,0,7]]}]}]}],"k":[{"o":[{"p":[{},[0,0,6,5]]}]}],"l":[{"e":[{"n":[{"d":[{},[0,0,0,7]]}]}]}],"m":[{"e":[{"t":[{"i":[{},[0,0,0,7]]},[0,0,6]]}],"u":[{"l":[{},[0,0,0,6]]}]}],"o":[{},[0,0,4,3]],"p":[{"e":[{"l":[{"s":[{},[0,0,0,7]]}]}]}],"w":[{"a":[{"n":[{},[0,0,6]],"r":[{},[0,0,6]]}],"y":[{"n":[{".":[{},[0,0,0,7]]}]}]}]}],"u":[{"i":[{"t":[{},[0,0,5]]},[0,4]]},[0,3]],"y":[{},[0,3]]},[0,2]],"n":[{"a":[{"g":[{"t":[{},[0,0,5]]}],"k":[{"w":[{"a":[{"l":[{},[0,0,0,7]]}]}]}],"l":[{"f":[{},[0,0,5]]}],"s":[{"p":[{"i":[{},[0,0,0,6]]}]}]}],"c":[{"-":[{},[0,0,4]]}],"d":[{"a":[{"a":[{"n":[{"s":[{},[0,0,0,7]]}]}],"d":[{"e":[{"l":[{},[0,0,0,7]]}]}],"k":[{"t":[{},[0,0,6]]}],"n":[{"a":[{"l":[{},[0,0,0,7]]}]},[0,0,5]],"p":[{},[0,0,4]],"s":[{"e":[{},[0,0,6]]}],"t":[{"t":[{"r":[{},[0,0,0,7]]},[0,0,6]]}]}],"e":[{"g":[{"t":[{"e":[{},[0,0,0,7]]},[0,0,6]]}],"k":[{"s":[{},[0,0,0,5]]}],"m":[{"a":[{"l":[{},[0,0,0,7]]}]}],"r":[{"f":[{".":[{},[0,0,0,7]]},[0,0,6]]}],"t":[{"e":[{"s":[{},[0,0,0,7]]},[0,0,6]]}],"v":[{"a":[{"l":[{},[0,0,0,7]]}]}]}],"i":[{"n":[{"w":[{"a":[{},[0,0,0,7]]},[0,0,6]]}]}],"j":[{"a":[{".":[{},[0,0,0,6]],"r":[{},[0,0,0,6]]}]}],"o":[{"m":[{},[0,0,4,5]],"n":[{},[0,0,4]],"p":[{},[0,0,4,5]],"u":[{"d":[{".":[{},[0,0,0,7]]}]}]}],"r":[{"a":[{"k":[{},[0,0,6]]}],"o":[{},[0,0,4]]}],"s":[{"e":[{"r":[{},[0,0,0,6]]}],"k":[{"o":[{"p":[{},[0,0,0,6,7]]}]}],"p":[{"a":[{"a":[{},[0,0,0,7]]}],"r":[{"e":[{},[0,0,0,7]]}]}],"t":[{"e":[{"g":[{},[0,0,0,7]]}]}],"w":[{"e":[{"e":[{},[0,0,0,7]]}]}]}],"w":[{"i":[{"n":[{"g":[{},[0,0,7]]}]}],"y":[{"n":[{".":[{},[0,0,0,7]]}]}]}]}],"e":[{"r":[{"o":[{"n":[{},[0,0,0,6]]}]}]}],"g":[{"a":[{"a":[{"l":[{".":[{},[0,0,0,7]]}]}],"d":[{"e":[{"m":[{},[0,0,0,7]]}]}]}],"g":[{"h":[{"o":[{"r":[{},[0,0,0,7]]}]}]}],"h":[{"a":[{"i":[{},[0,0,0,6]]}]}],"l":[{"a":[{"d":[{},[0,0,0,6]]}],"i":[{"g":[{".":[{},[0,0,0,7]]},[0,0,6]],"p":[{".":[{},[0,0,0,7]]}]},[0,0,5,4]]}],"n":[{"o":[{"l":[{},[0,0,0,6]]}]}],"o":[{"n":[{"s":[{},[0,0,0,6]]}],"r":[{"e":[{".":[{},[0,0,0,7]]}]}]}],"r":[{"e":[{"p":[{"u":[{},[0,0,0,7]]}]}]}],"s":[{"a":[{"k":[{"m":[{},[0,0,0,7]]}]}],"k":[{"a":[{},[0,0,0,6]]}],"n":[{"e":[{"e":[{},[0,0,0,7]]}]}],"t":[{"e":[{".":[{},[0,0,0,6,7]],"m":[{},[0,0,0,7]]}]}],"u":[{"r":[{},[0,0,0,6]]}]}],"u":[{"r":[{"e":[{".":[{},[0,0,0,7]]}]}]}]}],"i":[{"e":[{"t":[{"r":[{},[0,0,0,0,6,5]]}]}],"n":[{"l":[{},[0,0,5]]}],"s":[{"f":[{},[0,0,0,5]],"l":[{"a":[{"w":[{},[0,0,0,7]]}]}]}]}],"k":[{"a":[{"s":[{"e":[{"m":[{},[0,0,0,7]]},[0,0,6]]}]}],"r":[{"e":[{"f":[{"e":[{},[0,0,0,7]]}]}],"y":[{},[0,0,4]]}],"w":[{},[0,0,0,3]]}],"o":[{"p":[{"s":[{},[0,0,5]],"t":[{},[0,0,5]],"v":[{},[0,0,5]]}],"r":[{"d":[{},[0,0,5]],"g":[{},[0,0,5]],"o":[{"e":[{"i":[{},[0,0,0,7]]}]}]}],"s":[{"t":[{"o":[{"e":[{},[0,0,0,7]]}]}]}]}],"r":[{"h":[{"y":[{"n":[{},[0,0,0,6]]}]}]}],"s":[{"a":[{"a":[{"l":[{"w":[{},[0,0,0,7]]}]}],"m":[{},[0,0,4,5]],"s":[{"s":[{"e":[{},[0,0,0,7]]},[0,0,6]]}]}],"c":[{},[0,0,4]],"e":[{"i":[{"l":[{"a":[{},[0,0,0,7]]}]}],"u":[{"r":[{"a":[{},[0,0,0,7]]}]}]}],"i":[{"n":[{"k":[{".":[{},[0,0,0,7]]},[0,0,6]]}]}],"j":[{"e":[{"k":[{"k":[{},[0,0,0,7]]},[0,0,6]]}],"o":[{"r":[{"d":[{},[0,0,0,7]]}]}]}],"k":[{"e":[{"i":[{},[0,0,0,5]]},[0,0,4]],"i":[{"n":[{},[0,0,6]]}],"o":[{"p":[{},[0,0,6,5]],"u":[{"s":[{},[0,0,0,7]]}]}]}],"l":[{"a":[{"t":[{},[0,0,6]]}]}],"m":[{"a":[{"d":[{"a":[{},[0,0,0,7]]}]}]}],"n":[{},[0,0,4]],"o":[{"r":[{"a":[{"n":[{},[0,0,0,7]]}]}]}],"p":[{"a":[{},[0,0,4,5]],"e":[{"r":[{},[0,0,6]],"t":[{".":[{},[0,0,0,7]]}]}],"o":[{},[0,0,4]]}],"t":[{"i":[{},[0,0,0,4]],"o":[{"i":[{"l":[{},[0,0,0,7]]}]}]}]}],"t":[{"a":[{"a":[{"n":[{},[0,0,0,5]],"r":[{},[0,0,0,5]]}],"s":[{"s":[{"o":[{},[0,0,0,7]]},[0,0,6]]}]}],"e":[{"i":[{},[0,0,4]],"k":[{"s":[{"t":[{},[0,0,0,7]]},[0,0,6]]}],"n":[{"n":[{},[5]]}],"t":[{"e":[{".":[{},[0,0,0,7]]}]}]}],"i":[{"n":[{"s":[{},[0,0,6]]}]}],"j":[{"o":[{},[0,0,0,5]]}],"o":[{"l":[{},[0,0,4]],"p":[{"r":[{"u":[{},[0,0,0,7]]}]}]}],"r":[{"e":[{"s":[{"t":[{},[0,0,0,7]]}]}],"i":[{"n":[{},[0,0,0,5]]}],"o":[{"b":[{".":[{},[0,0,0,7]]}]}]}],"s":[{"k":[{"i":[{},[0,0,0,6]],"o":[{},[0,0,0,6]]}]}],"u":[{"i":[{},[0,0,4]]}],"w":[{"o":[{},[5]]}]}],"y":[{},[0,1]]}],"o":[{},[0,1]],"p":[{"a":[{"a":[{"n":[{},[0,4,5]]}],"g":[{"t":[{},[0,4,5]]}],"k":[{"s":[{},[0,0,5]]}],"r":[{"m":[{},[0,0,5]],"t":[{"h":[{},[5]]}]}]},[0,3]],"e":[{"n":[{"o":[{"p":[{},[0,0,0,6]]}]}]},[0,3]],"i":[{"r":[{"f":[{"a":[{},[0,0,0,6]]}]}]},[0,3]],"l":[{},[0,0,3]],"o":[{"k":[{"a":[{"a":[{},[0,0,0,6]]}]}],"n":[{"d":[{},[0,0,5]]}],"s":[{"t":[{"a":[{},[0,0,0,5]]}]}]},[0,3]],"p":[{"a":[{"r":[{},[5]]}]}],"r":[{"o":[{"l":[{},[0,0,5]]}],"u":[{},[0,0,3]],"y":[{"k":[{},[0,0,5]],"s":[{},[0,5]]},[0,4]]},[0,0,1]],"s":[{"a":[{"l":[{"l":[{"i":[{},[0,0,0,7]]},[0,0,6]]}]}],"e":[{"k":[{"o":[{},[0,0,6]]}]}],"i":[{"d":[{"e":[{"n":[{},[0,0,0,7]]}]}]}],"k":[{"o":[{"f":[{},[0,0,6]]}]}],"t":[{"a":[{"a":[{},[0,0,6,5]]}],"i":[{},[0,0,5]],"o":[{"e":[{"t":[{},[0,0,0,7]]}]}]}],"w":[{"e":[{},[0,0,0,5]]}]}],"u":[{"i":[{"t":[{},[0,0,5]]},[0,4]]},[0,3]],"y":[{},[0,3]]},[0,2]],"r":[{"a":[{"g":[{"w":[{"a":[{"n":[{},[0,0,0,7]]}]}]}],"k":[{"l":[{"e":[{"e":[{},[0,0,0,7]]}]}],"o":[{"p":[{},[0,0,0,6]]}]}],"p":[{"p":[{"a":[{},[0,0,0,6]]}]},[0,0,0,3,4]]},[0,1]],"d":[{"a":[{"g":[{"t":[{},[0,0,6,5]]}],"s":[{".":[{},[0,0,6]]}],"t":[{"m":[{},[0,0,6]]}]}],"e":[{"r":[{},[0,0,5]],"t":[{"i":[{},[0,0,6]]}]}],"o":[{"p":[{"p":[{},[0,0,6,5]]}]}]}],"e":[{"a":[{},[3]],"e":[{"s":[{},[0,0,0,0,5]]}],"g":[{"s":[{"w":[{"e":[{},[0,0,0,0,7]]}]}]}],"i":[{},[0,0,3]],"k":[{"n":[{"i":[{"p":[{},[0,0,0,7]]}]}]}]}],"f":[{"l":[{"a":[{},[0,0,5]]}]}],"g":[{"h":[{"a":[{},[0,0,5]]},[0,0,0,4]],"i":[{"t":[{"e":[{},[5]]}]}],"l":[{},[0,0,4]],"o":[{},[0,0,0,4]]}],"i":[{"e":[{"f":[{},[0,0,0,0,4]]}],"j":[{"k":[{"e":[{},[0,0,0,6]]}]}]}],"k":[{"a":[{"n":[{"a":[{},[0,0,6,5]]}]}],"i":[{"n":[{"i":[{},[0,0,6]]}]}],"l":[{"e":[{"e":[{"r":[{},[0,0,0,7]]}]}],"o":[{"s":[{},[0,0,0,6]]},[0,0,5]]}],"o":[{"n":[{"v":[{"o":[{},[0,0,0,7]]}]}],"v":[{".":[{},[0,0,0,0,6]]}]}],"s":[{"n":[{"u":[{"i":[{},[0,0,0,7]]}]}],"p":[{},[0,0,0,5]]}],"w":[{"a":[{},[0,0,0,5]]},[0,0,4]]}],"n":[{"a":[{"v":[{"o":[{},[0,0,0,6]]}]}]}],"o":[{"e":[{"t":[{"j":[{"i":[{},[0,0,0,0,7]]},[0,0,0,0,0,6]]}]}],"o":[{"h":[{},[0,0,0,0,5]],"m":[{},[0,0,0,0,0,4]],"p":[{},[0,0,0,0,5]],"s":[{},[0,0,0,0,5]]}],"p":[{},[0,0,3]],"w":[{"v":[{"a":[{},[0,0,0,6]]}]}]},[0,1]],"r":[{"a":[{"g":[{},[0,0,5]]}],"e":[{"s":[{"t":[{},[0,0,0,0,0,5]]}]}]}],"s":[{"a":[{"g":[{},[0,0,0,5]]}],"e":[{"l":[{"e":[{"k":[{},[0,0,0,7]]}]}],"n":[{"a":[{},[5]]}]}],"i":[{"e":[{},[0,0,5]]}],"k":[{"o":[{"u":[{},[0,0,0,6]]}],"r":[{"a":[{"p":[{},[0,0,0,7]]}],"e":[{"e":[{},[0,0,0,7]]},[0,0,6]],"o":[{},[0,0,6]]}]}],"p":[{"a":[{"n":[{".":[{},[0,0,0,7]]}]}],"r":[{},[0,0,4]]}],"t":[{"a":[{"l":[{"l":[{},[0,0,0,7]]},[0,0,6]]}],"e":[{"e":[{".":[{},[0,0,0,7]]}]}]}],"-":[{"i":[{"n":[{},[0,0,0,6]]}]}]}],"t":[{"a":[{"a":[{"s":[{"v":[{},[0,0,0,7]]},[0,0,6]]}],"l":[{"b":[{"u":[{},[0,0,0,7]]},[0,0,6]]}],"s":[{},[0,0,4,5]]}],"c":[{},[0,0,4]],"e":[{".":[{},[0,0,5]],"e":[{"n":[{"d":[{},[0,0,0,7]]}]}],"h":[{},[0,0,5]],"i":[{},[0,0,4]]}],"h":[{"o":[{"l":[{},[0,0,0,6]]}],"u":[{"r":[{},[0,0,0,6]]}]}],"o":[{"m":[{"o":[{},[0,0,0,6]]}],"o":[{"g":[{},[0,0,0,5]],"r":[{},[0,0,0,5]]}],"r":[{},[0,0,4]]}],"r":[{"e":[{"e":[{"k":[{},[0,0,0,7]]}]}],"o":[{"e":[{"p":[{},[0,0,0,7]]}]}],"y":[{"b":[{},[0,0,0,6]]}]}],"s":[{"a":[{"m":[{"b":[{},[0,0,0,7]]}]}],"l":[{"u":[{},[0,0,0,6]]}],"p":[{"r":[{},[0,0,0,6]],"y":[{"n":[{},[0,0,0,7]]}]}]}]}],"u":[{"s":[{"o":[{".":[{},[0,0,0,0,6]]}]}]},[0,1]],"y":[{"t":[{"a":[{"a":[{"l":[{},[0,0,0,7]]}]}]}]},[0,1]]}],"s":[{"a":[{"g":[{},[0,0,3]],"p":[{"p":[{},[0,0,5]]}]}],"c":[{},[0,0,3]],"d":[{".":[{},[0,0,4]],"h":[{},[0,0,4]]}],"e":[{"g":[{"t":[{},[0,0,5]]}],"r":[{"a":[{"k":[{},[0,0,0,6]]}]}],"t":[{"e":[{},[0,0,5]]}]}],"f":[{},[0,0,3]],"g":[{"h":[{"i":[{"t":[{},[0,0,0,6]]}]}]}],"h":[{"i":[{},[0,0,4]]}],"i":[{"f":[{"r":[{"e":[{"u":[{},[0,0,0,7]]}]}]}]}],"j":[{".":[{},[0,4]],"m":[{},[0,4]]}],"k":[{"o":[{"o":[{"l":[{},[0,5]]}]}],"r":[{"i":[{},[0,5]],"u":[{},[0,0,5]]}]},[0,2,3]],"l":[{"a":[{"a":[{"g":[{},[0,0,5]]}]}]},[0,2,3]],"m":[{"y":[{},[0,4]]},[0,0,3]],"n":[{"a":[{},[0,4]],"o":[{},[0,0,3]]}],"o":[{"f":[{".":[{},[0,0,9]]}],"g":[{"i":[{},[0,0,5]]}],"o":[{},[0,4,3]],"p":[{},[0,0,3]]}],"p":[{"o":[{"r":[{},[0,0,4]]}]},[0,0,3]],"t":[{".":[{},[0,0,4]],"a":[{"a":[{},[0,5]]}],"h":[{},[0,0,4]],"l":[{"e":[{"s":[{},[0,0,0,6]]}]}],"o":[{"f":[{},[0,5]]}],"r":[{"a":[{"k":[{".":[{},[0,7]]}],"n":[{},[0,5,6]]}],"o":[{"o":[{},[0,5,6]]}]}]},[0,0,3]],"w":[{},[0,0,3]],"y":[{"s":[{"t":[{},[0,0,5]]},[0,4]]}]}],"t":[{"a":[{"a":[{"r":[{},[0,0,5]]}],"g":[{},[0,4]],"s":[{"s":[{"e":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]},[0,0,0,3,4]],"w":[{"b":[{"a":[{},[0,0,0,6]]}]}]}],"e":[{"i":[{"t":[{},[0,0,0,5]]}],"l":[{"j":[{},[5]]}],"r":[{"a":[{"r":[{},[0,0,0,6]]}],"e":[{"r":[{},[0,0,0,6]]}],"o":[{"n":[{},[0,0,0,6]]}]}],"t":[{"e":[{"s":[{},[0,6]]}]}]}],"h":[{"c":[{"a":[{"r":[{"t":[{},[0,0,0,7]]}]}]}],"e":[{"e":[{},[0,5,4]]}],"k":[{"i":[{"n":[{"p":[{},[0,0,0,7]]}]}]}],"l":[{"o":[{"n":[{"e":[{},[0,0,0,7]]}]}]}]}],"i":[{"e":[{"t":[{"e":[{},[0,0,0,0,6]]}]}]}],"j":[{},[0,2,3]],"k":[{"v":[{"-":[{"s":[{},[0,0,0,6]]}]}]}],"l":[{"e":[{"e":[{"t":[{},[5]]}]}]}],"m":[{"o":[{"s":[{},[5]]}]}],"o":[{"o":[{"g":[{},[0,0,5]]}]}],"r":[{"y":[{".":[{},[0,0,5]]}]}],"s":[{"a":[{"l":[{"m":[{"a":[{},[0,0,0,7]]}]}]}],"i":[{"n":[{"t":[{"e":[{},[0,0,0,7]]},[0,0,6]]}]}],"j":[{},[0,0,4]],"k":[{"i":[{"n":[{},[0,0,6]]}],"o":[{"m":[{},[0,0,0,6]],"p":[{".":[{},[0,0,0,7]]},[0,0,6]]}],"r":[{"i":[{"p":[{},[0,0,0,7]]}]}]}],"l":[{"e":[{},[0,0,4,5]],"y":[{"k":[{"h":[{},[0,0,0,7]]}]}]}],"m":[{"a":[{"a":[{},[0,0,0,6]]}]},[0,0,4]],"n":[{"o":[{"o":[{"d":[{},[0,0,0,7]]}]}]}],"o":[{"m":[{"w":[{"e":[{},[0,0,0,7]]},[0,0,6]]}],"n":[{"d":[{},[0,0,0,5]],"k":[{"o":[{},[0,0,0,7]]}],"l":[{"u":[{},[0,0,0,7]]}]},[0,0,4]],"p":[{},[0,0,0,5]],"w":[{"e":[{"r":[{},[0,0,0,7]]}]}]}],"t":[{"e":[{"n":[{"d":[{},[0,0,0,7]]}]}],"r":[{"e":[{"k":[{"e":[{},[0,0,0,8]]},[0,0,0,7]]}],"o":[{},[0,0,6]]}]}],"w":[{},[0,0,0,3]]}],"t":[{"h":[{"e":[{},[0,0,5]],"y":[{"s":[{},[0,0,0,6]]}]}],"u":[{},[0,0,4]]}],"u":[{"m":[{"a":[{"a":[{},[0,0,0,6]]}]}]}]}],"u":[{"d":[{"r":[{"e":[{"y":[{},[0,0,0,6]]}]}]}],"g":[{"r":[{"a":[{},[0,0,5]]}],"s":[{"b":[{"u":[{},[0,0,0,6]]}]}]}],"l":[{"s":[{"p":[{"o":[{},[0,0,0,6]]}]}]}],"p":[{},[0,0,3]],"r":[{"e":[{"u":[{},[0,0,0,0,5]]}],"i":[{"s":[{},[0,0,0,0,5,4]]}]}],"s":[{"t":[{"i":[{"n":[{".":[{},[0,0,0,7]]}]}],"r":[{},[0,0,5]],"u":[{"s":[{".":[{},[0,0,0,7]]}]}]},[0,0,0,4]]}],"t":[{"s":[{"t":[{"e":[{},[0,0,0,6]]}]}]}]},[2]],"v":[{"a":[{"l":[{"o":[{"p":[{},[0,0,0,6]]}]}]}],"e":[{"l":[{"o":[{"t":[{"t":[{},[0,0,0,7]]}]}]}]}],"l":[{"o":[{"v":[{".":[{},[0,0,0,0,6]]}]}]}],"o":[{"n":[{},[3]]}]}],"w":[{"a":[{"g":[{"l":[{"a":[{"s":[{},[0,0,0,7]]}]}]}],"s":[{},[0,0,0,0,4]]}],"e":[{"g":[{"a":[{},[0,0,0,5]]}],"r":[{"a":[{},[0,0,0,4,5]],"u":[{"i":[{},[0,0,0,0,6]]}]}]}],"s":[{"h":[{"a":[{"n":[{},[0,0,0,6]]}]}]}]}],"x":[{"o":[{"f":[{"o":[{},[0,0,5]]}]}]}],"y":[{"a":[{".":[{},[0,0,4]]},[0,3]],"i":[{"s":[{"t":[{},[0,0,5]]}]}],"n":[{"a":[{"r":[{"d":[{},[0,0,0,6]]}]}],"o":[{"r":[{".":[{},[0,0,0,6]]}]}]}],"o":[{},[0,3]],"w":[{},[0,3]]}],"z":[{"o":[{"o":[{"k":[{"a":[{".":[{},[0,0,0,0,7]]}]}]}]}],"z":[{"a":[{"g":[{"t":[{"i":[{},[0,0,0,7]]}]}]}],"l":[{},[0,0,4]],"o":[{"r":[{"k":[{"e":[{},[0,0,0,7]]}]}]}]}]}]}],"ä":[{},[1]],"b":[{".":[{},[2]],"a":[{"b":[{"a":[{"k":[{},[0,0,0,0,0,4]]}],"w":[{"i":[{"ë":[{"r":[{},[0,0,0,7]]}]}]}]}],"d":[{"r":[{"a":[{},[0,0,4,5]]}],"s":[{"p":[{},[0,0,0,5]]}]}],"k":[{"i":[{"n":[{},[0,0,4]]}],"l":[{"a":[{},[0,0,4]],"e":[{"u":[{},[0,0,6]]}]},[0,0,3]],"o":[{},[0,0,4,3]],"r":[{},[0,0,4,3]],"w":[{},[0,0,0,3]]}],"l":[{"k":[{"l":[{"a":[{},[0,0,0,6]]}]}],"o":[{"n":[{"t":[{"s":[{},[0,0,0,7]]}]}],"r":[{},[0,0,0,5]]},[0,0,4]],"t":[{"s":[{"a":[{"s":[{},[0,0,0,7]]}]}]}]}],"n":[{"d":[{"a":[{},[0,0,0,4]],"e":[{"k":[{},[0,0,0,6]]}],"r":[{},[0,0,0,4,5]]}],"g":[{"l":[{"a":[{"d":[{},[0,0,0,7]]}]}],"s":[{"t":[{"e":[{".":[{},[0,0,0,0,0,8]]},[0,0,0,0,7]]}]}]}],"k":[{"a":[{},[0,0,0,4,5]],"r":[{"e":[{},[0,0,0,6]]}],"w":[{},[0,0,0,4]]}]}],"r":[{"k":[{"a":[{"a":[{"n":[{},[0,0,0,7]]}]}]}],"s":[{},[0,0,0,4,3]],"t":[{"h":[{},[0,0,0,5]]}]}],"s":[{"e":[{"k":[{"s":[{"t":[{},[0,0,0,7]]}]}]}],"g":[{"h":[{"i":[{"t":[{},[0,0,0,7]]}]}]}],"j":[{"a":[{"n":[{".":[{},[0,0,0,7]]}]}]}],"n":[{},[0,0,4]],"p":[{"e":[{"e":[{"r":[{},[0,0,0,7]]}]},[0,0,5]]}]}],"t":[{"a":[{"a":[{"n":[{},[0,0,0,5]]}]}],"j":[{},[0,0,3,4]]}]}],"b":[{"a":[{},[0,3]],"e":[{},[0,3]],"i":[{},[0,3]],"l":[{},[0,3]],"o":[{},[0,3]],"y":[{},[0,3]]},[2]],"d":[{"e":[{},[0,3]],"i":[{},[0,3]],"o":[{},[0,3]]},[2]],"e":[{"d":[{"s":[{"l":[{"a":[{"a":[{},[0,0,0,7]]}]}],"t":[{"a":[{"a":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"w":[{},[0,0,3]]}],"e":[{"l":[{"d":[{"r":[{},[0,0,0,0,6]]}]}]}],"k":[{"n":[{"e":[{"u":[{"s":[{},[0,0,0,7]]}]}]}],"w":[{"i":[{"n":[{"d":[{},[0,0,0,7]]}]}]}]}],"l":[{"a":[{"g":[{"a":[{},[0,0,0,6]]}]}],"k":[{"l":[{"i":[{"k":[{},[0,0,0,7]]},[0,0,0,0,6]]}]}],"l":[{"d":[{"o":[{},[0,0,0,6]]}]}]}],"r":[{"g":[{"a":[{"a":[{"r":[{},[0,0,0,0,7]]},[0,0,0,6]]}],"l":[{},[0,0,0,4]],"r":[{"y":[{"s":[{},[0,0,0,7]]}]},[0,0,0,4,5]],"z":[{"i":[{},[0,0,0,6]]}]}],"s":[{"p":[{"a":[{"n":[{},[0,0,0,0,7]]}],"r":[{"e":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"t":[{"s":[{"k":[{},[0,0,0,0,6]]}]}]}],"s":[{"a":[{"a":[{"n":[{},[0,0,0,6]]}]}],"k":[{"a":[{},[0,0,5]]},[0,0,0,4]],"l":[{},[0,0,3]],"m":[{},[0,0,3]],"o":[{"n":[{},[0,0,5]]},[0,0,3]],"ô":[{"r":[{},[0,0,5]]}],"t":[{"e":[{"r":[{},[0,0,6,5]]}],"i":[{"a":[{"l":[{},[0,0,0,7]]},[0,0,6]]},[0,0,5]],"r":[{"o":[{"l":[{},[0,0,0,7]]}]}]},[0,0,3,4]]}],"t":[{"h":[{"a":[{},[0,0,5]],"e":[{"s":[{"d":[{},[0,0,0,7]]}]}]},[0,0,0,4]],"o":[{"n":[{},[0,0,5]]}],"w":[{},[0,0,3]]}]}],"f":[{},[2,1]],"g":[{"e":[{},[0,3]]},[2,1]],"i":[{"d":[{"s":[{},[0,0,0,3]],"u":[{"r":[{"e":[{".":[{},[0,0,0,7]]}]}]},[0,0,4]]}],"e":[{"d":[{"u":[{"i":[{},[0,0,0,6]]}]}],"g":[{"r":[{},[0,0,0,0,5]]},[0,0,0,4]]}],"j":[{"l":[{},[0,0,4]]}],"n":[{"d":[{"r":[{"i":[{},[0,0,0,6]]}]}]}],"o":[{"s":[{"f":[{"e":[{"e":[{},[0,0,0,7]]}]}]}]}],"r":[{"c":[{},[0,0,4]]}],"s":[{"a":[{},[0,0,0,4]],"h":[{"o":[{".":[{},[0,0,0,6]]}]}],"s":[{"c":[{"h":[{"o":[{},[0,0,0,7]]}]}]}]}],"t":[{"r":[{},[0,0,3]]}]}],"j":[{"e":[{},[0,3]]},[2]],"k":[{"l":[{},[0,3]],"o":[{},[0,3]],"u":[{},[0,3]]},[2,1]],"l":[{"a":[{"d":[{"a":[{},[0,0,0,4,5]],"o":[{"n":[{},[0,0,0,6]]}],"r":[{},[0,0,0,4,5]]}],"s":[{"o":[{},[0,0,0,5]]}],"u":[{},[4]]}],"e":[{"e":[{"m":[{},[0,0,0,0,0,5]]}],"s":[{"e":[{"r":[{".":[{},[0,0,0,7]]}]}],"k":[{},[0,0,0,0,5]]},[0,0,0,4]],"t":[{"j":[{"i":[{"e":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}]}],"ê":[{"r":[{"f":[{"l":[{},[0,0,0,6]]}]}]}],"i":[{"k":[{"o":[{},[0,0,0,0,5]]}],"x":[{"e":[{"n":[{".":[{},[0,0,0,0,7]]}]}]}]}],"o":[{"k":[{"a":[{"a":[{"l":[{},[0,0,0,7]]}]}]},[0,0,0,4,3]],"m":[{},[0,0,0,4,3]]}],"u":[{"s":[{"e":[{"m":[{},[0,0,0,6]]}]}]}],"y":[{"m":[{"a":[{"r":[{"e":[{},[0,0,0,7]]}]}]}],"s":[{},[0,0,0,3,4]]}]}],"n":[{"o":[{},[0,3]]},[2,1]],"o":[{"b":[{"s":[{"l":[{"e":[{"e":[{},[0,0,0,7]]}]}]}]}],"e":[{"k":[{"i":[{"l":[{},[0,0,0,6]]}],"o":[{"m":[{},[0,0,0,6]],"o":[{},[0,0,0,6]]}]}],"r":[{"s":[{"t":[{"e":[{},[0,0,0,0,0,7]]},[0,0,0,0,6]]}]}],"s":[{"k":[{},[0,0,0,4,5]]}]}],"g":[{"g":[{"h":[{"e":[{"r":[{},[0,0,0,7]]}]}]}],"s":[{"k":[{"u":[{"t":[{},[0,0,0,7]]}]}]}]}],"k":[{"a":[{"a":[{"k":[{},[0,0,0,6]]}],"l":[{"e":[{},[0,0,0,6]]}],"s":[{".":[{},[0,0,0,6]]}]},[0,0,3]],"e":[{"r":[{"f":[{},[0,0,0,6]]}]}],"i":[{"e":[{"s":[{},[0,0,0,6]]}]}],"l":[{"e":[{"e":[{"d":[{},[0,0,7]]}]}]},[0,0,0,3]],"o":[{"m":[{".":[{},[0,0,0,6]]}],"r":[{"s":[{},[0,0,0,6]]}],"s":[{"t":[{},[0,0,0,6]]}]}],"r":[{"a":[{"g":[{},[0,0,0,6]]}]},[0,0,0,3]]},[0,0,2,1]],"m":[{"a":[{"a":[{"t":[{},[0,0,0,6]]},[0,0,4,5]]}],"o":[{},[0,0,4,3]]}],"n":[{"d":[{"a":[{"m":[{},[0,0,0,6]]}],"r":[{"a":[{"a":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"t":[{"e":[{"l":[{},[0,0,0,6]]}],"r":[{},[0,0,0,4,5]]}]}],"o":[{"p":[{".":[{},[0,0,9]]}]}],"p":[{"l":[{"a":[{"a":[{},[0,0,0,6]]}]}]}],"r":[{"d":[{"a":[{"k":[{},[0,0,0,6]]}],"e":[{"s":[{},[0,0,0,6]]}]}],"g":[{"a":[{},[0,0,0,4,5]],"r":[{"i":[{},[0,0,0,6]]}]}],"s":[{"a":[{"a":[{},[0,0,0,6]]}],"k":[{},[0,0,0,4,5]],"l":[{},[0,0,0,4,5]],"t":[{},[0,0,0,4,5]]},[0,4]]}],"s":[{"a":[{"n":[{"e":[{"m":[{},[0,0,0,7]]}]}]}],"j":[{"a":[{"m":[{"b":[{},[0,0,0,7]]}]}]}],"p":[{"e":[{"p":[{"e":[{},[0,0,0,7]]}]}]}],"t":[{"a":[{"a":[{"i":[{},[0,0,0,7]]}]}],"r":[{},[0,0,5,4]]}],"u":[{"i":[{"l":[{".":[{},[0,0,0,7]]}]}]}]},[0,0,2]],"t":[{"h":[{"a":[{},[0,0,5,4]]}],"s":[{"t":[{"o":[{},[0,0,0,6]]}]}]}],"u":[{"i":[{"t":[{".":[{},[0,0,0,6]]}]}],"s":[{},[0,0,0,3,4]]}]}],"p":[{"r":[{},[0,3]]}],"r":[{"a":[{"n":[{"d":[{"a":[{},[0,0,0,0,0,5]]}]}]}],"e":[{"e":[{"k":[{},[0,0,0,0,0,5]]}],"i":[{"s":[{},[0,0,0,0,5,4]]},[0,0,4]],"n":[{"g":[{"s":[{"t":[{},[0,0,0,0,0,0,7]]}]}]}]}],"i":[{"e":[{"k":[{"w":[{"a":[{},[0,0,0,0,0,7]]},[0,0,0,0,6]]}]}]}],"o":[{"n":[{},[0,0,0,4]],"s":[{"k":[{},[0,0,0,4]]}],"v":[{"n":[{"i":[{},[0,0,0,6]]}]}],"w":[{"n":[{"i":[{},[0,0,0,6]]}]}]},[3]],"u":[{"l":[{},[0,0,0,4]],"p":[{},[4]]}],"ü":[{"m":[{},[0,0,4]]}]}],"s":[{"e":[{},[0,3]],"i":[{},[0,3]],"k":[{},[0,3]],"o":[{},[0,3]],"p":[{},[0,3]],"t":[{"i":[{},[0,0,4]]},[0,3]],"u":[{},[0,3]]},[2,1]],"t":[{"e":[{},[0,3]],"i":[{},[0,3]]},[2]],"u":[{"c":[{"c":[{"l":[{"e":[{"u":[{},[0,0,0,7]]}]}]}]}],"i":[{"k":[{"s":[{},[0,0,0,0,5]]}],"t":[{"j":[{},[0,0,0,5,4]]}]}],"l":[{"t":[{"a":[{"f":[{".":[{},[0,0,0,0,7]]}]}],"j":[{},[0,0,0,4,5]],"o":[{"p":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}],"u":[{"i":[{},[0,0,0,6]]}]}]}],"n":[{"s":[{"e":[{"n":[{"b":[{},[0,0,0,7]]}]}]}]}],"s":[{"h":[{"a":[{"d":[{},[0,0,0,6]]}]}],"t":[{"o":[{"e":[{"r":[{},[0,0,0,7]]}]}]}]}],"t":[{"h":[{"e":[{"l":[{},[0,0,0,6]]}]}]}],"u":[{"r":[{"e":[{"n":[{"d":[{},[0,0,0,7]]}]}]}]}]}],"v":[{"e":[{},[0,3]],"i":[{},[0,3]]},[2]],"w":[{"e":[{},[0,3]]},[2]],"y":[{"d":[{},[0,0,3]],"k":[{},[0,0,3]],"l":[{"b":[{},[0,0,4]],"t":[{},[0,0,4]]}],"n":[{"a":[{},[0,0,3,4]]}],"s":[{"k":[{"o":[{"t":[{},[0,0,0,6]]}]}],"l":[{},[0,0,0,4]],"t":[{"e":[{"k":[{},[0,0,0,6]],"r":[{".":[{},[0,0,0,7]]}]}],"o":[{"r":[{},[0,0,0,6]]}]}],"w":[{},[0,0,0,4]]},[0,0,3]],"t":[{"a":[{"l":[{"k":[{"a":[{},[0,0,0,7]]}]}]}],"e":[{"i":[{"e":[{"r":[{},[0,0,0,7]]}]}]}],"r":[{},[0,0,3]]}]},[0,0,1]]},[1,2]],"c":[{".":[{},[2]],"a":[{"e":[{"s":[{},[0,0,4]]}],"m":[{"p":[{"h":[{},[0,0,0,5]]}]}],"p":[{"r":[{},[0,0,3]]}],"r":[{"a":[{},[0,0,3]],"l":[{"t":[{"o":[{},[0,0,0,6]]}]}],"u":[{"s":[{"o":[{".":[{},[0,0,0,0,7]]}]}]}]}],"t":[{"h":[{"a":[{},[0,0,5]]},[0,0,0,4]]}]}],"c":[{"a":[{},[0,3]],"h":[{},[0,3]],"i":[{},[0,3]],"o":[{},[0,3]]},[2]],"e":[{"s":[{"t":[{"e":[{},[0,0,0,5]]},[0,0,4]]}]}],"h":[{".":[{},[2]],"e":[{"l":[{"a":[{"n":[{},[0,0,0,6]]}]}],"m":[{"i":[{},[5]]}],"r":[{"e":[{"g":[{},[0,0,0,6]]}],"i":[{},[0,0,0,5,4]],"y":[{"l":[{".":[{},[0,0,0,7]]}]}]}],"s":[{"t":[{"y":[{"l":[{},[0,0,0,7]]}]}]}],"v":[{"v":[{"i":[{},[0,0,0,6]]}]}]}],"h":[{"o":[{"e":[{},[0,0,5]]}]}],"l":[{"e":[{"i":[{},[0,0,5]]}]}],"n":[{"i":[{"k":[{},[0,0,5]]}]}],"o":[{"r":[{"a":[{"g":[{"e":[{},[0,0,0,7]]}]}]}]}],"s":[{"i":[{"a":[{},[0,0,5]]}]}],"t":[{},[2]]}],"k":[{"e":[{},[0,3]]},[2]],"o":[{"t":[{"r":[{"a":[{"n":[{"d":[{},[0,0,0,7]]}]}]}]}],"v":[{"e":[{"r":[{"y":[{".":[{},[0,0,0,0,7]]}]}]}]}]}],"t":[{"a":[{},[0,3]],"o":[{},[0,3]],"u":[{},[0,3]]},[2]],"u":[{"s":[{"t":[{"o":[{},[0,0,0,5]]}]}]}],"y":[{"p":[{"r":[{"i":[{"a":[{"n":[{},[0,0,0,7]]}]}]}]}]}]},[1,2]],"d":[{".":[{},[2]],"a":[{"a":[{"n":[{"b":[{},[4,5]],"d":[{},[0,5]],"k":[{},[4,5]],"s":[{"l":[{},[0,5]]}]}],"r":[{"d":[{"u":[{},[0,0,0,0,0,5]]}]}]}],"b":[{"s":[{},[4]]}],"f":[{},[2,1]],"g":[{"a":[{"s":[{},[0,0,5]]}],"e":[{"t":[{},[0,0,0,5]]}],"h":[{"a":[{"m":[{},[0,0,0,6]]},[0,0,5]]}],"r":[{"a":[{},[0,0,5]]}],"s":[{"k":[{},[0,0,0,4]],"o":[{},[0,0,0,5]],"t":[{"e":[{"r":[{},[0,0,0,7]]}]}]}]},[0,0,2]],"k":[{"l":[{"e":[{"i":[{".":[{},[0,0,0,7]]}]}]}],"o":[{"o":[{"r":[{"h":[{},[0,0,0,7]]}]}]}],"r":[{},[0,0,4,3]],"w":[{"a":[{},[0,0,0,5]]}]}],"l":[{"a":[{"r":[{},[4,5]]}]}],"m":[{"b":[{},[4]],"p":[{"l":[{"u":[{},[0,0,0,6]]}]}]}],"n":[{"k":[{"e":[{"r":[{"k":[{},[0,0,0,6,7]]}]}]}],"s":[{"a":[{"k":[{},[0,0,0,6]]}],"k":[{"o":[{},[0,0,0,6]]}],"m":[{},[0,0,0,0,5]],"o":[{},[0,0,0,4]],"t":[{},[0,0,0,4,5]]}],"t":[{"r":[{},[0,0,0,4,5]]}]},[3]],"p":[{"h":[{"n":[{"e":[{".":[{},[0,0,0,0,7]]}]}]}],"l":[{"a":[{},[0,0,5]]},[0,0,0,4]]}],"r":[{"m":[{},[4,3]],"t":[{"i":[{},[0,5]]},[4]]}],"s":[{".":[{},[0,0,4]],"l":[{"a":[{"g":[{".":[{},[0,0,0,7]]}]}]}],"t":[{"r":[{"a":[{"a":[{},[0,0,0,7]]}]}]}]}],"t":[{"j":[{},[0,0,3,4]]}]}],"b":[{"y":[{"l":[{"v":[{"o":[{},[0,0,0,6]]}]}]}]},[2]],"d":[{"a":[{"k":[{"l":[{},[0,0,0,5]]}],"s":[{},[0,0,0,3,4]]}],"e":[{"l":[{"e":[{"e":[{},[0,0,0,6]]}],"s":[{"o":[{},[0,0,0,0,5]]}]}],"r":[{"a":[{"a":[{"l":[{},[0,0,0,0,7]]}],"s":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}]}],"h":[{"i":[{},[0,0,4]]},[0,3]]},[2]],"e":[{"b":[{"a":[{"t":[{},[0,0,0,0,4]]}]}],"e":[{"g":[{"r":[{},[0,0,0,0,5]]},[0,0,0,4]],"l":[{"i":[{"g":[{".":[{},[0,0,0,7]]}]}]},[0,0,0,4]],"n":[{"h":[{},[4,5]]}]}],"ë":[{"s":[{"k":[{"o":[{"u":[{},[0,0,0,7]]}]}]}]}],"g":[{".":[{},[4]]}],"i":[{},[2]],"k":[{"a":[{"a":[{"n":[{},[0,0,0,6]]}]},[0,0,3]],"l":[{"a":[{"d":[{},[0,0,6]],"t":[{},[0,0,6,5]]}],"e":[{"i":[{".":[{},[0,0,0,7]]},[0,0,6]]}]}],"n":[{"a":[{},[0,0,4]]}],"o":[{"n":[{"o":[{},[6]]}]}],"r":[{"i":[{"e":[{"t":[{},[0,0,0,7]]},[0,0,6]]}]}],"s":[{"a":[{},[4]],"k":[{"a":[{},[0,0,0,6]]}]}]}],"l":[{"a":[{"p":[{"p":[{"e":[{},[0,0,0,7]]}]}]}],"e":[{"e":[{"u":[{},[0,0,0,5]]}],"g":[{"g":[{},[0,0,0,5]]}],"k":[{"t":[{},[0,5]]}],"l":[{"e":[{"k":[{},[0,0,0,7]]}]}],"m":[{"e":[{},[6,5]]}],"n":[{"g":[{"e":[{},[0,0,0,7]]},[0,0,6]]}]}],"f":[{"e":[{"r":[{},[0,0,0,6]]}],"i":[{},[0,0,0,5]],"o":[{"s":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"o":[{"o":[{"r":[{},[0,0,0,5]]}],"p":[{"e":[{"r":[{},[0,0,0,7]]}]}]}],"s":[{"e":[{"r":[{},[0,0,0,6]]}],"o":[{"l":[{"d":[{},[0,0,0,7]]}],"n":[{"e":[{},[0,0,0,7]]}]},[0,0,0,4]],"p":[{},[0,0,0,4]],"t":[{"r":[{"e":[{},[0,0,0,7]]},[0,0,0,6]]}]}],"t":[{"a":[{"g":[{"t":[{},[0,0,0,7]]},[0,0,0,0,6]]}]}],"w":[{"e":[{"i":[{"s":[{},[0,0,0,7]]}]}]}]}],"m":[{"m":[{},[4]],"p":[{"l":[{"a":[{},[0,0,0,6]]}]}]}],"n":[{"d":[{"i":[{"n":[{},[0,0,0,6]]}]}],"g":[{},[4,3]],"j":[{},[4]],"k":[{"a":[{"r":[{},[0,0,0,6]]}],"j":[{"a":[{},[0,0,0,6]]}],"l":[{},[0,0,0,4,5]],"r":[{},[0,0,0,4]]}],"s":[{"p":[{"r":[{"e":[{},[0,0,0,0,7]]}]}]}],"t":[{"j":[{},[0,0,0,4,5]],"r":[{"i":[{},[0,0,0,6]]}]}]}],"o":[{"p":[{"l":[{"e":[{"k":[{},[0,0,0,7]]}]}]}],"s":[{"f":[{"e":[{"e":[{},[0,0,0,7]]}]}]}]}],"p":[{},[3]],"r":[{"a":[{"s":[{"t":[{},[0,0,0,5]]}]}],"e":[{"e":[{"n":[{".":[{},[0,0,0,7]]},[0,0,6]]}],"m":[{"i":[{"g":[{},[0,0,0,7]]}]}],"n":[{"t":[{".":[{},[0,0,0,7]]}]}]}],"f":[{"l":[{"a":[{"p":[{},[0,0,0,7]]}]}]}],"i":[{"n":[{".":[{},[0,0,6]]}]}],"m":[{"i":[{"n":[{"s":[{},[0,0,0,0,7]]}]}]}],"n":[{"a":[{},[0,0,0,5]]}],"o":[{"b":[{},[0,0,5]],"e":[{},[0,0,5]],"f":[{},[0,0,0,5]],"l":[{},[0,0,5]],"n":[{},[0,0,0,5]],"w":[{},[0,0,0,5]]},[0,0,4]],"p":[{"s":[{},[0,0,0,5]]}],"s":[{"j":[{"o":[{},[0,0,0,6]]}],"k":[{"r":[{},[0,0,0,5,6]]}],"l":[{"u":[{},[0,0,0,6]]}],"p":[{"u":[{},[0,0,0,6]]}]}],"t":[{"h":[{"a":[{"l":[{},[0,0,0,7]]}]}]}],"u":[{"i":[{"t":[{},[0,0,0,6]]}]}]}],"s":[{"a":[{"g":[{},[0,0,5]],"l":[{"n":[{"i":[{},[0,0,0,7]]}]}],"p":[{},[0,0,0,5]]}],"e":[{"n":[{"g":[{"e":[{},[0,0,0,7]]},[0,0,6]]}]}],"i":[{"n":[{},[0,0,4,5]]}],"k":[{"a":[{"t":[{},[0,0,0,0,0,0,5]]}],"o":[{"r":[{},[0,0,6]]}]}],"l":[{"e":[{"e":[{"d":[{},[0,0,0,7]]}]}]}],"n":[{},[0,0,4]],"o":[{"f":[{"f":[{"e":[{},[0,0,0,7]]}]}],"k":[{"s":[{"i":[{},[0,0,0,7]]}]}],"n":[{},[0,0,4,5]],"r":[{},[0,0,4]]}],"p":[{"a":[{"r":[{"i":[{},[0,0,0,7]]}]},[0,0,4]],"o":[{"ë":[{"s":[{},[0,0,0,7]]}]}],"r":[{"i":[{"k":[{},[0,0,0,7]]}]}]}],"t":[{"a":[{"a":[{"l":[{},[0,0,0,7]]}]}],"e":[{"l":[{"e":[{},[0,0,0,7]]}]}],"i":[{"g":[{},[0,0,5]]},[0,0,4]]}],"w":[{"e":[{"ë":[{".":[{},[0,0,0,7]]}]}]},[0,0,4]]}],"t":[{"e":[{".":[{},[4,5]],"n":[{"t":[{"e":[{},[0,0,0,0,0,6]]}]}]}],"w":[{},[0,0,3]]}],"u":[{"r":[{"o":[{},[4]],"s":[{"w":[{},[0,0,0,0,5,6]]}]}]}]}],"f":[{},[2,1]],"g":[{"e":[{"s":[{"p":[{},[0,0,0,5]]}]}],"l":[{"i":[{},[0,0,4]]}]},[2,1]],"h":[{},[2]],"i":[{"a":[{"s":[{"t":[{"o":[{"l":[{},[0,0,0,7]]}]}]},[0,0,0,0,4]],"z":[{"v":[{"i":[{},[0,0,0,6]]}]}]}],"c":[{"k":[{"i":[{"e":[{".":[{},[0,0,0,7]]}]}]}],"t":[{"i":[{"o":[{".":[{},[0,0,0,7]]}]}]}]}],"e":[{"f":[{"a":[{"l":[{},[0,0,0,6]]}]}],"k":[{"e":[{"s":[{},[0,0,0,6]]}]}],"n":[{"s":[{},[5]]}],"p":[{"l":[{},[0,0,0,4]]}],"t":[{"o":[{"m":[{},[0,0,0,6]]}],"u":[{},[0,0,0,4,5]]}]}],"g":[{"o":[{"f":[{"a":[{},[0,0,0,6]]}]}],"r":[{"e":[{},[0,0,4]]}],"s":[{"k":[{"r":[{"o":[{},[0,0,0,7]]}]}],"o":[{"m":[{".":[{},[0,0,0,7]]}]}]},[0,0,0,0,4]]}],"k":[{"a":[{"m":[{"p":[{".":[{},[0,0,0,7]]},[0,0,6]]}]}],"l":[{},[0,0,4,3]],"r":[{"i":[{"b":[{"s":[{},[0,0,0,7]]}]}]},[0,0,4]],"w":[{"y":[{"n":[{".":[{},[0,0,0,7]]}]}]},[0,0,4]]}],"l":[{"a":[{"l":[{},[0,0,4,5]]}]}],"n":[{"g":[{"a":[{"s":[{},[0,0,0,6]]}],"r":[{},[0,0,0,4]]}],"l":[{},[4,3]],"s":[{},[4]],"t":[{},[4,3]],"v":[{},[4,3]]}],"s":[{"a":[{"s":[{"s":[{"i":[{},[0,0,0,7]]},[0,0,6]]}]}],"o":[{"n":[{},[0,0,5]]},[0,0,4]],"p":[{"n":[{"e":[{},[0,0,0,6]]}]}],"q":[{"u":[{"i":[{"s":[{},[0,0,0,7]]}]}]}]}],"t":[{"h":[{"a":[{"k":[{},[0,0,0,6]]}]}],"j":[{"i":[{"e":[{"s":[{},[0,0,0,7]]}]}]}]}]}],"j":[{"a":[{"d":[{"j":[{"i":[{".":[{},[0,0,0,7]]}]}]}]}],"i":[{".":[{},[0,4]],"a":[{},[0,4]]}]},[2]],"k":[{"l":[{"o":[{},[0,0,0,0,4]]}]},[2,1]],"l":[{"a":[{},[0,3]]},[2,1]],"m":[{},[2]],"n":[{},[2,1]],"o":[{"e":[{"k":[{"r":[{},[0,0,0,0,5]]}],"l":[{"o":[{"n":[{},[0,0,0,6]]}]}],"s":[{"k":[{"o":[{"p":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}]}],"f":[{},[2]],"g":[{"i":[{},[4]]}],"l":[{"o":[{"s":[{},[0,0,4,5]]}],"s":[{"o":[{"u":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}]}],"m":[{"p":[{"l":[{"i":[{},[0,0,0,6]]}]}],"s":[{"a":[{"p":[{},[0,0,0,6]]}],"e":[{},[4,5]],"l":[{"i":[{"m":[{},[0,0,0,7]]}]}],"w":[{"ê":[{},[0,0,0,6]]}]}],"t":[{},[4]]},[3]],"n":[{"s":[{"k":[{},[0,0,0,4]]}]}],"o":[{"r":[{"d":[{},[4,5]]}]}],"p":[{"n":[{},[4]],"r":[{"o":[{"f":[{},[0,0,0,6]]}],"y":[{"s":[{},[0,0,0,6]]}]}]}],"r":[{"g":[{},[4,3]],"o":[{"t":[{"h":[{"y":[{},[0,0,0,7]]}]}]}],"s":[{"l":[{},[0,0,0,4]],"t":[{},[0,0,0,4]]}]},[3]],"s":[{"t":[{"e":[{"l":[{},[0,0,0,6]]}]}]}],"u":[{"t":[{},[0,0,0,3]]}],"y":[{"e":[{},[0,0,0,4]]},[0,0,3]]}],"p":[{},[2]],"r":[{"a":[{"g":[{"a":[{"a":[{},[0,0,0,6]]}]}],"n":[{"d":[{},[4,5]]}],"s":[{"t":[{"a":[{"n":[{},[0,0,0,7]]}]}]}]},[3]],"e":[{"ë":[{},[4]],"g":[{},[4,3]],"l":[{"a":[{},[0,4]]}],"w":[{},[0,4]]}],"i":[{"f":[{"f":[{},[4]]}],"g":[{"t":[{},[0,5]]}],"s":[{"s":[{},[0,5]]}],"v":[{},[4]]}],"o":[{"ë":[{"y":[{"s":[{".":[{},[0,0,0,0,7]]}]}]}],"n":[{"d":[{},[4,5]]}],"o":[{"i":[{},[0,5]],"s":[{},[4,5]]}],"p":[{"a":[{"n":[{},[0,0,0,6]]}],"n":[{},[0,0,0,5]]},[0,0,4]],"s":[{"f":[{"e":[{"e":[{},[0,0,0,7]]}]}]}]}],"u":[{"g":[{},[4,3]],"i":[{"m":[{},[0,5]],"t":[{},[0,5]]}],"s":[{},[4,3]]}],"y":[{".":[{},[4,3]],"e":[{},[4,3]],"k":[{},[4,3]],"m":[{},[4]],"w":[{},[0,4]]}]},[0,2]],"s":[{"a":[{"a":[{"m":[{"b":[{},[0,0,5]]}],"r":[{},[0,0,5]]}],"d":[{},[0,4,3]],"k":[{"r":[{},[0,5]],"s":[{},[0,0,5]]}],"n":[{"g":[{"s":[{},[0,0,5]]}]}],"r":[{},[0,4,3]],"s":[{},[0,0,3]]}],"e":[{"e":[{"n":[{},[0,4,5]]}],"i":[{"s":[{".":[{},[0,0,5]]}]}],"k":[{"o":[{},[0,4,5]]}],"l":[{"e":[{"e":[{"r":[{},[0,0,0,7]]}]}]},[0,0,0,4]],"n":[{"g":[{},[0,4,5]]}],"r":[{"a":[{},[0,4,5]],"t":[{"j":[{"i":[{},[0,0,0,0,0,7]]},[0,0,0,0,6]]}],"v":[{},[0,4,5]]}]},[0,3]],"f":[{"e":[{"e":[{"r":[{},[0,5]]}]}]}],"i":[{"d":[{},[0,0,3]],"m":[{"p":[{},[0,0,5]]}],"n":[{"d":[{"e":[{},[0,0,5]]}],"s":[{},[0,4,5]],"t":[{},[0,0,5]]}]}],"j":[{},[0,2,3]],"k":[{"e":[{"e":[{},[0,5]]}],"i":[{"n":[{"d":[{},[0,0,5]]},[0,4]],"s":[{},[0,4]]}],"o":[{"l":[{"e":[{},[0,5]]}],"m":[{},[0,4]],"o":[{},[0,5]]}],"r":[{"a":[{"a":[{},[0,6]]}],"i":[{"t":[{},[0,6]]}],"o":[{"o":[{},[0,6]]}]}]}],"l":[{"e":[{},[0,4,3]],"i":[{},[0,0,3]],"u":[{"i":[{"e":[{},[0,0,6]]}]}]}],"m":[{"e":[{"e":[{},[0,5,4]]}],"o":[{"o":[{"r":[{},[0,0,6]]}]}]},[0,0,3]],"n":[{"a":[{},[0,4]],"e":[{"u":[{},[0,0,5]]}],"o":[{"o":[{},[0,0,5]],"t":[{},[0,0,5]]}]}],"o":[{"e":[{},[0,3]],"m":[{"e":[{},[0,5]]}],"n":[{"d":[{"e":[{".":[{},[0,7]],"s":[{},[0,7]]}]}],"t":[{},[0,0,0,0,4]]},[0,0,3]],"o":[{"g":[{},[0,0,5]]}],"p":[{},[0,0,3]],"w":[{},[0,0,3]]},[0,2,1]],"p":[{"e":[{"l":[{},[0,5,4]],"s":[{},[0,5]]}],"i":[{},[0,3]],"o":[{"p":[{},[0,0,5]]}],"r":[{"e":[{"k":[{"e":[{"r":[{},[0,7]]}],"i":[{},[0,0,7]]},[0,0,6]]}]}]}],"t":[{"a":[{"a":[{"k":[{},[0,0,5]]}],"f":[{},[0,4]],"n":[{"d":[{},[0,5]]}]}],"e":[{"a":[{},[0,0,5]],"l":[{},[0,5]],"n":[{"t":[{},[0,0,5]]}],"r":[{".":[{},[0,5]],"r":[{},[0,0,5]],"s":[{},[0,5]]}]}],"i":[{},[0,0,4]],"r":[{},[0,3]],"u":[{},[0,3]]},[0,1]],"w":[{},[0,0,3]],"y":[{},[0,3]]},[2]],"t":[{"e":[{"r":[{"t":[{"j":[{"i":[{},[0,0,0,0,0,7]]},[0,0,0,0,6]]}]}]}]},[2]],"u":[{"e":[{"-":[{},[0,0,4]]}],"n":[{"s":[{"t":[{"e":[{},[0,0,0,0,6]]}]}]}],"r":[{"r":[{"h":[{"e":[{},[0,0,0,6]]}]}]}],"s":[{"i":[{"e":[{"k":[{},[0,0,0,0,0,5]]}]}],"k":[{"a":[{"p":[{},[0,0,0,6]]}]}],"p":[{"e":[{"l":[{},[0,0,0,6]]}]}]}]}],"v":[{"e":[{"r":[{"d":[{"i":[{"e":[{"n":[{"s":[{"t":[{},[0,0,0,0,0,0,0,0,8]]},[0,0,0,0,0,0,0,0,0,9]]}]}]}]}]}],"s":[{"i":[{"d":[{},[0,0,0,6]]}]}]}],"i":[{"e":[{},[0,0,0,0,4]]}]},[2]],"w":[{"a":[{"a":[{"l":[{},[0,4]],"r":[{},[0,5]]}],"n":[{"g":[{},[5,4]],"o":[{"r":[{},[0,0,0,6]]}]}],"r":[{"m":[{},[4]],"s":[{"e":[{".":[{},[0,0,0,0,7]]}]}]}],"t":[{},[0,3]]}],"e":[{"i":[{"l":[{},[0,4]]}],"r":[{"g":[{},[5]],"k":[{"o":[{},[0,0,0,0,0,5]]}]}],"t":[{"a":[{"r":[{},[0,0,0,6]]}]}]}],"i":[{"l":[{},[0,3]],"n":[{"g":[{},[0,4]]}]}],"o":[{"o":[{},[4]]}],"y":[{"n":[{},[0,4]]}]},[2]],"y":[{"s":[{"a":[{"g":[{},[0,0,0,5]]}],"m":[{"i":[{"t":[{},[0,0,0,6]]}]}],"t":[{"u":[{"i":[{"n":[{},[0,0,0,7]]}]}]}]}]}],"-":[{"r":[{"h":[{"o":[{"d":[{},[0,0,0,6]]}]}]}]},[2]]},[1]],"e":[{"a":[{"m":[{"s":[{"e":[{"s":[{},[0,0,0,6]]}]}]}],"n":[{"g":[{},[0,0,0,0,4]]}],"t":[{"e":[{},[0,0,0,0,4]]}],"u":[{"m":[{"o":[{"n":[{"t":[{},[0,0,0,7]]}]}]}]}]},[0,1]],"b":[{"a":[{"d":[{"r":[{},[0,0,5]]}]},[0,3]],"c":[{"u":[{".":[{},[0,0,9]]}]}],"o":[{"u":[{"t":[{".":[{},[0,0,0,0,6]]},[0,0,0,0,5]]}]}],"r":[{"e":[{},[0,0,4]],"o":[{"n":[{"s":[{},[0,0,0,0,0,0,5]]}]}]}],"t":[{"u":[{"i":[{},[0,0,5]]}]}]}],"c":[{"c":[{"l":[{"e":[{},[0,0,5]]}]}],"h":[{"n":[{},[0,4]],"t":[{"i":[{"a":[{"a":[{},[0,0,0,7]]}]}]}]}]}],"d":[{"a":[{"g":[{"a":[{"a":[{"t":[{},[0,0,0,7]]}]}],"o":[{},[0,0,0,5]]}]}],"e":[{"i":[{"s":[{},[0,0,5]]}],"r":[{"a":[{"s":[{".":[{},[0,0,0,0,7]]}]}],"i":[{"n":[{"g":[{},[0,0,0,7]]}]}]}],"s":[{"a":[{"p":[{},[0,0,0,6]]}]}]},[0,3]],"o":[{"f":[{"f":[{},[0,0,5]]}],"r":[{"s":[{},[0,0,0,0,0,5]]}]}],"r":[{"a":[{},[0,0,4]],"e":[{"p":[{},[0,0,5]]}]}],"s":[{"a":[{"k":[{"s":[{},[0,0,6]]}]}],"k":[{"a":[{"l":[{"m":[{},[0,0,0,7]]}]}]}],"l":[{"a":[{"f":[{"e":[{},[0,0,0,7]]}]}]},[0,0,4]],"o":[{"m":[{},[0,0,0,5]]}],"p":[{},[0,0,3]],"w":[{"e":[{},[0,0,5,4]]}]}],"u":[{"i":[{"t":[{},[0,0,5]]}]}],"w":[{"o":[{"o":[{},[0,0,5]]}]},[0,0,2]],"y":[{"s":[{"t":[{},[0,0,5]]}],"w":[{},[0,0,3]]}]}],"e":[{"a":[{"g":[{"t":[{},[0,0,5]]}]}],"d":[{"a":[{"t":[{"u":[{},[0,0,0,6]]}]}],"w":[{"e":[{},[0,0,0,5]]}],"y":[{},[0,0,4]]}],"f":[{"l":[{"a":[{"a":[{"g":[{},[0,0,0,7]]}]}],"o":[{"p":[{"i":[{},[0,0,0,7]]}]}]}],"r":[{"a":[{"n":[{"t":[{},[0,0,0,7]]}]}],"e":[{"k":[{".":[{},[0,0,0,7]]}]}]}]},[0,0,2]],"g":[{"l":[{},[0,0,0,3]],"r":[{"u":[{},[0,0,0,5]]}],"s":[{"d":[{"i":[{},[0,0,0,6]]}]},[0,0,0,3,4]]}],"i":[{"l":[{"a":[{},[0,5]]}]}],"k":[{"a":[{"s":[{"s":[{},[0,0,0,5]]}]}],"l":[{"a":[{"a":[{},[0,0,5]],"g":[{},[0,0,5]]}],"o":[{},[0,0,0,5]]}],"n":[{},[0,0,0,3]],"o":[{"g":[{},[0,0,0,5]],"o":[{"r":[{"s":[{},[0,0,0,7]]}]}]}],"r":[{"o":[{"o":[{"i":[{},[0,0,0,7]]}]}]}],"w":[{"a":[{"l":[{},[0,0,0,6]]}]},[0,0,0,3]]},[0,0,2]],"l":[{"a":[{"p":[{},[0,0,0,5]]}],"d":[{"o":[{"o":[{"s":[{},[0,0,0,7]]},[0,0,0,6]]}]}],"e":[{"e":[{"n":[{},[0,0,0,5]],"r":[{".":[{},[0,0,0,7]]}]}],"i":[{},[0,0,0,5]]}],"i":[{"n":[{"d":[{"r":[{},[0,0,0,7]]}],"g":[{"s":[{},[0,0,0,0,0,0,7,6]]}],"s":[{},[0,0,6]],"t":[{},[0,0,0,5]]}]}],"o":[{"b":[{},[0,0,5]],"o":[{"d":[{},[0,0,0,6]],"n":[{},[0,0,0,6]]}]},[0,0,4,3]],"s":[{"a":[{},[0,0,0,5]],"n":[{"a":[{"g":[{},[0,0,0,7]]}]}]}]}],"m":[{"o":[{"n":[{"d":[{"e":[{},[0,0,0,7]]}]}],"u":[{},[0,0,0,5]]}]}],"n":[{"d":[{"j":[{},[5]]}],"e":[{"m":[{"a":[{},[0,0,0,6]]}],"n":[{},[0,0,5]]}],"j":[{},[3]],"k":[{"l":[{},[0,0,0,5]]},[0,0,0,0,4]],"s":[{"l":[{"o":[{"t":[{},[0,0,0,7]]}]}],"m":[{},[0,0,0,5]],"p":[{"a":[{},[0,0,0,0,6]]}],"w":[{"e":[{"e":[{},[0,0,0,7]]}]}]}],"t":[{"o":[{"p":[{"p":[{},[0,0,0,7]]}]}]}],"y":[{},[0,0,4]]},[0,0,2,1]],"p":[{"e":[{"s":[{"e":[{"l":[{},[0,0,0,7]]}]}]}],"l":[{"e":[{"e":[{"r":[{},[0,0,0,7]]}]}],"o":[{"o":[{"g":[{},[0,0,0,7]]}]}]}],"o":[{"p":[{},[0,0,4]]}],"r":[{"o":[{"e":[{"s":[{},[0,0,0,7]]}]}]}],"s":[{"a":[{"m":[{},[0,0,0,6]]}],"k":[{"e":[{"p":[{},[0,0,0,7]]}],"o":[{},[0,0,0,0,5]],"u":[{"i":[{},[0,0,0,7]]}]}],"t":[{"i":[{},[0,0,0,6]]}]}]}],"r":[{"a":[{"p":[{},[0,0,0,5]]}],"e":[{"d":[{},[0,0,5]],"e":[{},[0,0,0,5]],"n":[{"d":[{},[0,0,0,5]]}]}],"i":[{"n":[{},[0,0,0,5]]}],"o":[{"b":[{},[0,0,5]],"e":[{"s":[{".":[{},[0,0,0,7]]}]}],"m":[{},[0,0,0,5]],"n":[{},[0,0,0,5]],"w":[{},[0,0,5]]}],"p":[{"s":[{},[0,0,0,5]]}],"s":[{"k":[{"u":[{"r":[{},[0,0,0,7]]}]}],"l":[{"a":[{"m":[{},[0,0,0,0,7]]}]}],"m":[{"e":[{"d":[{},[0,0,0,7]]}]}],"o":[{"w":[{},[0,0,0,6]]}]}],"u":[{"s":[{"t":[{},[0,0,0,6]]}]},[0,0,0,3]],"y":[{"s":[{},[0,0,0,5]]},[0,0,0,0,4]]},[0,0,2]],"s":[{".":[{},[0,0,4]],"a":[{"l":[{"a":[{},[0,0,0,6]]}],"p":[{".":[{},[0,0,0,6]]}]}],"l":[{"e":[{"p":[{},[0,0,0,6]]}]}],"m":[{"e":[{},[0,0,0,5]],"u":[{"i":[{"l":[{},[0,0,0,7]]}]}]}],"n":[{"a":[{},[0,0,5]],"y":[{},[0,0,5]]}],"o":[{"p":[{".":[{},[0,0,0,6]]}]}],"p":[{"r":[{"e":[{},[0,0,0,6]]}]}],"t":[{"a":[{"a":[{},[0,0,5]],"l":[{},[0,0,0,6]]}],"r":[{},[0,0,0,4]],"y":[{"d":[{},[0,0,6]]}]}],"w":[{},[0,0,4]],"y":[{"d":[{},[0,0,5]],"f":[{"e":[{},[0,0,0,6]]}]}]},[0,0,2,3]],"t":[{"a":[{"p":[{"p":[{"e":[{},[0,0,0,7]]}]}]}],"e":[{"e":[{"n":[{"h":[{},[0,0,0,7]]}]}]}],"i":[{"n":[{},[0,0,0,5]]},[0,0,4]],"r":[{"e":[{"k":[{".":[{},[0,0,0,7]]}]}],"o":[{"e":[{"d":[{},[0,0,0,7]]},[0,0,6]]}],"u":[{"i":[{"k":[{},[0,0,0,7]]}]}]}],"w":[{"i":[{"e":[{"l":[{},[0,0,0,7]]}]}]}]}],"u":[{"g":[{},[0,0,0,3,4]],"i":[{"n":[{},[0,0,0,5]]}],"s":[{"p":[{"o":[{"e":[{},[0,0,0,7]]}]}]},[0,0,0,0,4]],"t":[{"j":[{},[0,0,0,5]]}],"u":[{"r":[{".":[{},[0,0,0,6]]}]}]}],"y":[{"s":[{"t":[{},[0,0,5]]}]}]}],"ê":[{"r":[{},[0,3]]}],"ë":[{"a":[{"a":[{"n":[{},[0,0,5]]}]}],"k":[{"s":[{"t":[{},[0,0,0,0,5]]}]}],"l":[{"e":[{"i":[{"e":[{"r":[{},[0,0,0,7]]}]}]}],"y":[{"s":[{"t":[{"e":[{},[0,0,0,7]]}]}]}]}],"n":[{"a":[{},[0,0,4]]}],"r":[{"a":[{"g":[{"t":[{"i":[{},[0,0,0,7]]}]}],"n":[{},[0,0,5]],"r":[{"m":[{".":[{},[0,0,0,7]]}]}]}],"o":[{"d":[{},[0,0,5]]}],"s":[{"k":[{"e":[{},[0,0,0,6]]}]}]},[0,3]],"s":[{"k":[{},[0,0,4]]}],"t":[{"s":[{"t":[{"e":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}]}]}],"f":[{"a":[{"f":[{"s":[{},[0,0,5]]},[0,4]]}],"e":[{"k":[{"s":[{},[0,0,5]]}]}],"f":[{"e":[{"k":[{},[5]]}]}],"i":[{"n":[{"h":[{},[0,0,5]]}]}],"l":[{"o":[{"o":[{},[0,0,5]]}],"y":[{},[0,4]]},[0,1]],"o":[{"m":[{"s":[{},[0,0,5]]}],"u":[{"e":[{},[0,0,5]]}]}],"s":[{"t":[{"a":[{"l":[{},[0,0,0,6]]}]},[0,0,3]]}]}],"g":[{"a":[{"m":[{"p":[{},[0,0,5]]}],"s":[{"k":[{},[0,0,0,5,4]]}]}],"e":[{"l":[{"a":[{"s":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"s":[{"p":[{"e":[{"r":[{},[0,0,0,0,7]]}]}],"t":[{},[0,0,0,0,4]]}],"v":[{"w":[{"o":[{},[0,0,0,6]]}]}]},[0,3]],"i":[{"n":[{"k":[{"o":[{},[0,6]]}]}]}],"o":[{"g":[{"g":[{},[0,0,5]]}]}],"r":[{"i":[{"g":[{},[0,0,5]]}]}],"s":[{"e":[{"n":[{"t":[{"i":[{},[0,0,0,7]]}]}]}],"i":[{"n":[{"s":[{},[0,0,6]],"t":[{},[0,0,6,5]]}]}],"k":[{},[0,0,3]],"l":[{"o":[{"t":[{},[0,0,0,6]]}]}],"p":[{"r":[{"e":[{},[0,0,0,6]],"i":[{},[0,0,0,6]]}],"y":[{"k":[{},[0,0,0,6]]}]}],"t":[{"a":[{"a":[{"l":[{},[0,0,6,7]]}]}]}]}],"t":[{"e":[{"r":[{"e":[{},[0,0,0,0,6]]}]}]}],"u":[{"i":[{},[0,4,3]]}]}],"h":[{"e":[{"r":[{"i":[{"n":[{"n":[{},[0,0,0,7]]},[0,0,0,0,6]]}]}]}],"o":[{"k":[{"r":[{"a":[{},[0,0,0,6]]}]}]}]}],"i":[{"b":[{"n":[{"i":[{"z":[{".":[{},[0,0,0,7]]}]}]}]}],"d":[{"r":[{"o":[{"k":[{".":[{},[0,0,0,7]]}]}]}],"s":[{"a":[{"a":[{"m":[{},[0,0,0,7]]}],"l":[{"o":[{},[0,0,0,7]]}]}],"i":[{"r":[{"k":[{},[0,0,0,7]]}]}],"k":[{"o":[{"u":[{},[0,0,0,7]]}],"u":[{".":[{},[0,0,0,7]]}]}],"p":[{"a":[{".":[{},[0,0,0,7]]}],"e":[{"k":[{},[0,0,0,7]]}]}],"t":[{"e":[{".":[{},[0,0,0,7]]}],"o":[{"o":[{},[0,0,0,7]]}]}],"u":[{"g":[{".":[{},[0,0,0,7]]}]}]}]}],"e":[{"n":[{"a":[{"a":[{"n":[{},[0,0,0,7]]}]}]}]},[0,0,1]],"g":[{"h":[{"-":[{"n":[{},[0,0,0,6]]}]}],"o":[{"p":[{"r":[{"o":[{},[0,0,0,7]]}]}]}]}],"k":[{"a":[{"a":[{"r":[{"d":[{},[0,0,0,7]]}]}]}],"n":[{"o":[{},[0,0,5]]}],"w":[{"y":[{"d":[{"t":[{},[0,0,0,7]]}]}]}]}],"l":[{"s":[{"p":[{"a":[{},[0,0,0,6]]}]}]}],"n":[{"d":[{},[3]],"e":[{"d":[{},[0,0,4,5]],"e":[{"d":[{".":[{},[0,0,0,7]]}]}]}],"g":[{"l":[{"a":[{"s":[{},[0,0,0,7]]}]}]}],"o":[{"n":[{},[0,0,4]],"o":[{"r":[{"d":[{},[0,0,0,7]]}]}],"p":[{},[0,0,4,5]],"t":[{"t":[{"e":[{},[0,0,0,7]]}]}]}],"s":[{"a":[{"d":[{},[0,0,0,6]]}],"e":[{"p":[{},[0,0,0,6]]}]}]}],"s":[{"a":[{"n":[{"g":[{"s":[{},[0,0,0,7]]}]}]}],"e":[{"i":[{},[0,0,5]]}],"i":[{"n":[{"d":[{},[0,0,6,5]]}]}],"j":[{"a":[{},[0,0,5]]}],"k":[{"a":[{"m":[{"m":[{},[0,0,0,7]]}],"w":[{},[0,0,0,6]]}],"ê":[{},[0,0,5]],"o":[{"t":[{},[0,0,0,6]]}]}],"l":[{"a":[{"a":[{},[0,0,0,6]]}]}],"o":[{"u":[{"e":[{"r":[{},[0,0,0,7]]}]}]},[4]],"p":[{"i":[{"r":[{},[0,0,0,6]]}]}],"t":[{"e":[{"l":[{},[0,0,5,6]]}],"r":[{"e":[{},[0,0,5,6]]}]}]}],"t":[{"h":[{"a":[{"n":[{"d":[{},[0,0,0,7]]}]}]}],"j":[{},[0,0,3]],"k":[{"l":[{"i":[{"n":[{},[0,0,0,7]]}]}]}],"n":[{"i":[{"s":[{"p":[{},[0,0,0,7]]}]}]}],"o":[{"n":[{"d":[{"e":[{},[0,0,0,7]]}]}]}],"r":[{"a":[{},[0,0,5]]}],"s":[{"k":[{"o":[{},[0,0,0,0,5]]}],"l":[{},[0,0,0,0,5]],"o":[{},[0,0,0,0,5]],"p":[{"o":[{"r":[{},[0,0,0,7]]}]}],"t":[{"a":[{"k":[{},[0,0,0,7]]}],"r":[{"a":[{},[0,0,0,7]]}]}],"w":[{},[0,0,0,0,5]]}]},[0,0,0,2]]}],"ï":[{"m":[{"i":[{"t":[{},[0,0,5]]}]}],"n":[{"a":[{},[0,0,4]],"k":[{"l":[{"i":[{"n":[{},[0,0,0,7]]}]}]}],"o":[{},[0,0,4]],"u":[{},[0,0,4]]}],"o":[{"n":[{"i":[{},[0,0,5]]}]}],"s":[{"l":[{},[0,0,4]]}]}],"j":[{"a":[{"s":[{"t":[{"a":[{"s":[{},[0,0,0,7]]}]}]}]}]}],"k":[{"a":[{"a":[{"n":[{},[0,0,5]],"r":[{"s":[{"t":[{"e":[{},[0,0,0,0,0,0,8]]}]}]}]}],"k":[{"s":[{},[0,0,5]]}],"n":[{},[0,3]],"s":[{"g":[{},[0,0,5]]}]}],"e":[{"e":[{"n":[{},[0,0,5]]}],"n":[{"a":[{"a":[{"r":[{},[0,0,0,7]]}]}]}],"t":[{"a":[{"m":[{},[0,0,0,6]]}]}]},[0,3]],"ê":[{},[0,3]],"i":[{"n":[{"s":[{},[0,4,5]]}]}],"k":[{},[0,0,3]],"l":[{"e":[{"s":[{},[0,4,5]],"u":[{},[0,5]]}],"ê":[{},[0,4]],"o":[{"g":[{},[0,0,5]]}]}],"o":[{"e":[{},[0,3]],"m":[{"o":[{"l":[{},[0,0,0,6]]}],"s":[{"l":[{},[0,0,5]],"t":[{},[0,0,0,0,0,5]]},[0,0,0,0,4]]}],"n":[{"o":[{},[5]]}],"o":[{"i":[{},[0,0,5]]}],"p":[{"a":[{"p":[{},[0,0,0,6]]}],"m":[{},[0,4,5]],"n":[{},[0,0,5]]},[0,3]],"r":[{"d":[{"a":[{},[0,0,0,0,6]]}],"u":[{"m":[{".":[{},[0,0,0,7]]}]}]}],"u":[{"s":[{"t":[{},[0,0,0,0,6]]}]}],"w":[{"e":[{},[0,0,5]]}]}],"r":[{"a":[{"d":[{},[0,0,5]]}],"o":[{"k":[{},[0,4,5]],"m":[{},[0,5]]}],"u":[{"g":[{},[0,0,5]]}]},[0,1]],"s":[{"a":[{"p":[{"p":[{},[0,0,6]]}]}],"e":[{"m":[{"p":[{},[5]]}],"s":[{"k":[{},[0,0,0,5]]}]}],"i":[{"n":[{"g":[{"e":[{},[0,0,0,7]]}]}]}],"l":[{"o":[{"g":[{"i":[{},[0,0,0,7]]}],"k":[{"s":[{},[0,0,0,7]]}]}]}],"o":[{"u":[{"t":[{"o":[{},[0,0,0,7]]}]}]}],"p":[{"i":[{"r":[{},[0,0,0,5]]}],"o":[{"e":[{},[0,0,0,6]]},[0,0,0,5]]}],"t":[{"e":[{"l":[{},[0,0,0,6]],"n":[{},[0,0,6]]}],"i":[{},[0,0,4]]}],"u":[{"u":[{"r":[{".":[{},[0,0,0,7]]}]}]}]}],"u":[{"i":[{"t":[{},[0,0,5]]}]}],"w":[{"ê":[{},[0,4]],"i":[{"e":[{},[0,0,5]]}],"u":[{},[0,4]]}],"y":[{},[0,1]]}],"l":[{"a":[{"a":[{"n":[{"d":[{},[0,6,5]],"h":[{},[0,0,5]],"v":[{},[0,6]]}],"r":[{"d":[{},[0,0,5]]}]}],"d":[{"m":[{},[0,0,5]],"v":[{},[0,0,5]]}],"f":[{},[0,0,3]],"g":[{".":[{},[0,5]]},[0,0,3]],"k":[{"l":[{"o":[{"n":[{},[0,0,0,7]]}]}]}],"l":[{},[0,4,3]],"r":[{"i":[{},[0,5]],"m":[{},[0,4,5]]}],"s":[{"l":[{"a":[{"n":[{},[0,0,0,7]]}]}],"p":[{},[0,0,5]]}]},[0,1]],"d":[{"a":[{"d":[{"e":[{"l":[{},[0,0,0,7]]}]}],"p":[{},[0,0,4]]}],"e":[{".":[{},[0,0,5]],"l":[{"e":[{},[0,0,6,5]]}],"r":[{"f":[{"e":[{},[0,0,0,7]]}]}],"v":[{"a":[{"n":[{},[0,0,0,7]]}]}]}],"o":[{"l":[{"i":[{"e":[{},[0,0,0,7]]}]}],"n":[{"d":[{"e":[{},[0,0,0,7]]}]}]}],"s":[{"m":[{"i":[{"d":[{},[0,0,0,7]]}]}]}]}],"e":[{"i":[{"e":[{"n":[{},[0,0,5]]}],"s":[{"t":[{"a":[{},[0,0,0,0,7]]},[0,0,0,0,0,6]]}]}],"l":[{"e":[{"k":[{},[0,6]]}]}],"r":[{"t":[{"s":[{},[0,0,5]]}]}],"s":[{"e":[{"t":[{"t":[{},[0,0,0,7]]}]}]}],"t":[{"o":[{"o":[{},[0,0,0,6]]}]}]},[0,3]],"f":[{"a":[{"a":[{},[0,0,4]],"b":[{"r":[{},[0,0,0,6]]}]}],"e":[{"i":[{"t":[{},[0,0,0,6]]}],"n":[{"-":[{"d":[{},[0,0,0,7]]}]}],"r":[{"k":[{},[0,0,0,5]]}]}],"l":[{"a":[{"n":[{},[0,0,0,6]]}],"e":[{"s":[{},[0,0,0,6]]}]}],"o":[{"n":[{"t":[{"h":[{},[0,0,0,7]],"p":[{},[0,0,0,7]]}]},[0,0,4]],"o":[{"p":[{"s":[{},[0,0,0,7]]},[0,0,6]],"r":[{"s":[{},[0,0,0,7]]},[0,0,6]]}]}],"r":[{"o":[{"n":[{},[0,0,0,6]]}]}],"t":[{"w":[{"y":[{"f":[{},[0,0,0,7]]}]}]}]}],"i":[{"n":[{"g":[{"s":[{"t":[{"e":[{"l":[{"l":[{},[0,0,0,0,0,8]]}]}]}]}]}],"h":[{},[0,0,5]],"k":[{"o":[{},[0,6]]}],"v":[{},[0,0,5]]}]},[0,3]],"k":[{"n":[{"a":[{"g":[{"e":[{},[0,0,0,7]]}]}]}],"s":[{},[0,0,0,0,4]],"w":[{"i":[{},[0,0,4]]}]}],"l":[{"v":[{},[0,0,4]]}],"m":[{"a":[{"g":[{"t":[{},[0,0,0,5]]}]}]}],"o":[{"b":[{},[0,0,4]],"l":[{"i":[{},[0,0,5]]},[0,4]],"n":[{"d":[{},[0,0,5]],"t":[{},[0,0,5]]}],"o":[{"r":[{},[0,4]]}],"p":[{"d":[{},[0,4,5]],"e":[{".":[{},[0,0,6]]}]}],"r":[{},[0,4,3]]},[0,1]],"p":[{"h":[{"i":[{},[0,0,5]]}]}],"s":[{"a":[{"n":[{"g":[{"s":[{},[0,0,0,7]]}]}]}],"f":[{"e":[{},[0,0,5]]}],"i":[{"n":[{"d":[{"r":[{},[0,0,0,7]]},[0,0,6]]}]}],"k":[{"a":[{"n":[{},[0,0,6]]}],"o":[{"m":[{},[0,0,6]],"r":[{"r":[{},[0,0,0,7]]}]}],"r":[{"i":[{"t":[{},[0,0,0,7]]}]}]}],"l":[{"o":[{"f":[{".":[{},[0,0,0,7]]}]}]}],"m":[{"i":[{},[0,0,5]],"o":[{"r":[{"a":[{},[0,0,0,7]]}]}]}],"n":[{"a":[{"g":[{},[0,0,0,6]]}],"o":[{"o":[{"d":[{},[0,0,0,7]]}]}]}],"o":[{"n":[{"d":[{"e":[{},[0,0,0,7]]}]}],"o":[{"r":[{"k":[{},[0,0,0,7]]}]}]}],"t":[{"e":[{"k":[{},[0,0,6]]}],"r":[{"a":[{"n":[{},[0,0,6,7]]}]}]}],"w":[{"a":[{"r":[{"e":[{},[0,0,0,7]]}]}],"e":[{"e":[{},[0,0,5]]}]}]}],"t":[{"a":[{"k":[{"k":[{"e":[{},[0,0,0,7]]}]}]}]}],"u":[{"i":[{"t":[{"j":[{"i":[{},[0,0,0,0,7]]},[0,0,0,0,0,6]]},[0,0,5]]}]},[0,1]],"y":[{"k":[{"a":[{"a":[{},[0,0,0,6]]}]}]},[0,3]]}],"m":[{"a":[{"p":[{"p":[{},[0,0,5]]}],"s":[{"j":[{},[0,5]]}]}],"e":[{"l":[{"e":[{"k":[{},[0,0,0,6]],"w":[{},[0,0,0,6]]}]}],"r":[{"o":[{"n":[{},[0,0,0,6]]}]}],"s":[{"i":[{"s":[{".":[{},[0,0,0,7]]}]}],"m":[{},[0,0,0,0,5]],"t":[{},[0,0,0,0,5]]},[0,0,0,4]],"t":[{"f":[{},[0,5]]}],"v":[{"a":[{},[0,0,5]]}]}],"o":[{"e":[{"f":[{},[0,4]]}],"p":[{},[0,0,3]],"r":[{"g":[{},[0,0,5]]}]}],"p":[{"l":[{"a":[{"a":[{"g":[{},[0,0,0,7]]}]}]}],"s":[{"k":[{"r":[{},[0,0,0,6]]}]}]}],"s":[{"p":[{"l":[{},[0,0,5]]},[0,0,0,4]]}]}],"n":[{"a":[{"f":[{},[0,4]],"g":[{"l":[{"a":[{"s":[{},[0,0,0,7]]}]}],"t":[{},[0,0,5]]}],"k":[{"k":[{},[0,0,5]]}],"l":[{"t":[{},[0,0,5]]}],"r":[{"t":[{},[0,4,5]]}],"s":[{"p":[{"e":[{},[0,0,0,6]]}]}]}],"d":[{"a":[{"g":[{"t":[{},[0,0,6,5]]}]}],"e":[{"r":[{"o":[{".":[{},[0,0,0,0,7]]}]}]}],"r":[{"a":[{"a":[{"k":[{},[0,0,0,7]]}]}],"i":[{"t":[{".":[{},[0,0,0,7]]}]}]}],"s":[{"o":[{"ë":[{".":[{},[0,0,0,0,7]]}],"n":[{"s":[{},[0,0,0,7]]}]}]}],"u":[{"r":[{"e":[{".":[{},[0,0,0,7]]}]}]}],"w":[{"e":[{"r":[{},[0,0,0,6]]}]}]}],"e":[{"i":[{"l":[{},[0,0,5]]}],"n":[{"t":[{},[0,4,5]]},[0,0,4]],"r":[{"g":[{},[5]],"t":[{"j":[{"i":[{},[0,0,0,0,0,7]]},[0,0,0,0,6]]}]}]}],"g":[{"h":[{"o":[{"r":[{},[0,0,0,6]]}]}],"l":[{"a":[{},[0,0,0,4]],"o":[{"r":[{},[0,0,0,6]]}]}]}],"i":[{"g":[{},[0,0,4]],"m":[{},[0,0,4]],"n":[{"h":[{},[0,0,5]],"k":[{".":[{},[0,6,5]]}]}],"s":[{"o":[{"m":[{"s":[{},[0,0,0,7]]}]}]}]},[0,3]],"j":[{"i":[{},[3]]}],"k":[{"i":[{"n":[{"h":[{},[0,0,6]]}]}],"o":[{"m":[{"s":[{},[0,0,0,0,0,0,5]]},[0,0,0,0,0,4]]}],"w":[{},[0,0,0,3]]}],"o":[{"m":[{"m":[{},[0,5]]}],"r":[{"y":[{"n":[{".":[{},[0,0,0,7]]}]}]}],"u":[{"t":[{},[0,0,5]]}]}],"s":[{"a":[{"d":[{"e":[{"m":[{},[0,0,0,7]]}]}],"l":[{"l":[{},[0,0,6]]}],"r":[{"e":[{".":[{},[0,0,0,7]]}]}]}],"e":[{"i":[{"s":[{"e":[{},[0,0,0,7]]}]}],"l":[{"e":[{"k":[{},[0,0,0,7]]}],"i":[{"k":[{},[0,0,0,7]]}]}],"n":[{},[0,0,5]],"r":[{"v":[{},[0,0,0,5]]}],"s":[{"s":[{"e":[{},[0,0,0,7]]}]}]}],"h":[{"a":[{"w":[{},[0,0,0,6]]}]}],"i":[{"e":[{},[0,0,5]],"n":[{"g":[{"a":[{},[0,0,0,7]]}]}]}],"j":[{"i":[{},[0,0,5]]}],"k":[{"o":[{"e":[{"i":[{},[0,0,0,7]]}]}],"y":[{"k":[{"e":[{},[0,0,0,7]]}]}]}],"l":[{"u":[{"i":[{"k":[{},[0,0,0,7]]}]}]}],"m":[{"e":[{"d":[{},[0,0,0,6]]}]}],"n":[{"u":[{"k":[{".":[{},[0,0,0,7]]}]}]}],"o":[{"n":[{"r":[{"u":[{},[0,0,0,7]]}],"v":[{"a":[{},[0,0,0,7]]}]},[0,0,4]]}],"p":[{"e":[{"i":[{},[0,0,6]]}],"i":[{"s":[{"t":[{},[0,0,0,7]]}]}],"o":[{"t":[{".":[{},[0,0,0,7]]}],"u":[{"s":[{},[0,0,0,7]]},[0,0,6]]}]}],"t":[{"a":[{"a":[{"k":[{},[0,0,0,7]]}],"k":[{},[0,0,6]],"m":[{},[0,0,0,6]]}],"e":[{"h":[{},[0,0,6]],"i":[{},[0,0,0,6]],"l":[{"e":[{},[0,0,0,7]]},[0,0,0,6]],"r":[{"s":[{},[0,0,7]]}],"s":[{".":[{},[0,0,7,6]]}],"t":[{},[0,0,0,6]],"u":[{},[0,0,0,6]]}],"o":[{"o":[{"m":[{},[0,0,0,7]]},[0,0,0,6]]}],"r":[{"e":[{"k":[{},[0,0,0,7]]}]}]}],"u":[{"i":[{"l":[{".":[{},[0,0,0,7]]}]}],"r":[{"e":[{".":[{},[0,0,0,7]]}]}]}],"y":[{".":[{},[0,0,5]]}]}],"t":[{"a":[{"k":[{"t":[{},[0,0,0,5]]}]}],"e":[{"k":[{"s":[{},[0,0,6]]}]}],"i":[{"n":[{"t":[{"e":[{},[0,0,0,7]]}]}]}],"r":[{"i":[{"f":[{".":[{},[0,0,0,7]]}]}],"o":[{"k":[{".":[{},[0,0,0,7]]}]}]}],"s":[{"i":[{"n":[{},[0,0,0,6]]}],"o":[{"n":[{},[0,0,0,6]]}],"p":[{"a":[{},[0,0,0,6]]}]}],"w":[{"e":[{"n":[{},[0,0,0,6]]}]}]}],"u":[{"i":[{},[0,0,3]],"l":[{"i":[{"n":[{},[0,0,0,6]]}]}],"s":[{"k":[{},[0,0,0,5]],"t":[{},[0,0,0,5]]}]}],"y":[{},[0,3]],"-":[{"s":[{"t":[{"e":[{"g":[{},[0,0,0,7]]}]}]}]}]}],"o":[{"e":[{"s":[{},[0,0,0,4]]}],"f":[{"a":[{"g":[{},[0,0,5]]}]}],"g":[{"n":[{},[0,0,3,4]]}],"i":[{"s":[{"t":[{"e":[{},[0,0,0,6]]}]}]}],"p":[{"l":[{"e":[{"k":[{},[0,0,0,6]]}]}]}],"r":[{"o":[{},[0,0,3]]}],"s":[{"t":[{},[0,0,0,4]]},[0,0,1]],"t":[{"r":[{},[0,0,3]]}]},[0,1]],"p":[{"a":[{"f":[{},[0,4]],"g":[{},[0,4,3]]}],"e":[{"l":[{"o":[{"o":[{},[0,0,0,6]]}]}],"m":[{"m":[{},[0,0,5]]}],"p":[{"i":[{},[0,0,5]]}],"r":[{"s":[{"t":[{"e":[{},[0,0,0,0,0,7]]}]}]}]}],"i":[{"d":[{"e":[{"m":[{},[5]]}]}],"n":[{"t":[{},[0,4,5]]}]}],"l":[{"a":[{"p":[{},[0,0,5]]},[0,0,4]],"i":[{"g":[{"g":[{},[0,0,5]]}]}],"u":[{"s":[{},[0,0,5]]}]}],"o":[{"e":[{"t":[{},[0,0,0,0,0,4]]}],"n":[{"i":[{"n":[{},[0,0,0,6]]}]}],"p":[{"s":[{},[0,0,5]]}]}],"r":[{"e":[{"i":[{},[0,4,5]]}]}],"s":[{"a":[{"m":[{"e":[{"u":[{},[0,0,0,7]]}]}]}],"e":[{"i":[{"s":[{},[0,0,6,5]]}]}],"i":[{"d":[{},[0,0,0,5]]}],"j":[{},[0,0,4]],"k":[{"a":[{"n":[{"o":[{},[0,0,0,7]]}]}],"i":[{},[0,0,5]],"o":[{"h":[{"e":[{},[0,0,0,7]]}]}]},[0,0,4]],"l":[{"u":[{"i":[{"k":[{},[0,0,0,7]]}]},[0,0,4]]}],"o":[{"m":[{"s":[{},[0,0,0,6]]}],"n":[{},[0,0,0,5]]}],"p":[{"r":[{},[0,0,4,5]]}],"w":[{"a":[{"a":[{"r":[{},[0,0,0,7]]}]}]}]}],"u":[{"i":[{"t":[{},[0,0,5]]}]}]}],"r":[{"a":[{".":[{},[0,0,4]],"a":[{"n":[{},[0,0,5]]}],"f":[{"d":[{},[0,0,5]],"h":[{},[0,0,5]],"s":[{"k":[{},[0,0,5]]}],"t":[{},[0,0,5]],"v":[{},[0,0,5]],"w":[{},[0,0,5]]}],"g":[{"r":[{"e":[{"e":[{},[0,0,0,7]]}]}]},[0,0,3]],"k":[{"l":[{"e":[{"s":[{},[0,0,0,7]]}]}],"s":[{},[0,0,5]],"t":[{},[0,0,5]]}],"l":[{"b":[{},[0,0,5]],"d":[{".":[{},[0,0,6]]}],"t":[{},[0,0,5]]}],"n":[{"a":[{},[0,0,5]],"d":[{"a":[{},[0,5]]}]}],"p":[{"p":[{},[0,4]]}],"r":[{},[0,0,3]],"s":[{"e":[{"r":[{},[0,0,0,6]]}]}],"u":[{"i":[{"t":[{"v":[{},[0,0,0,7]]}]}]}]},[0,1]],"d":[{"r":[{"y":[{"l":[{"e":[{},[0,0,0,7]]}]}]}],"s":[{"l":[{"i":[{"p":[{},[0,0,0,7]]}]}]}],"t":[{"r":[{"e":[{"e":[{},[0,0,0,7]]}]}]}],"w":[{},[0,0,3]]}],"e":[{"b":[{},[0,0,4]],"e":[{"n":[{"k":[{},[0,0,6]]}],"r":[{"s":[{},[0,0,5]]}]}],"f":[{"f":[{},[0,0,5]]}],"i":[{"e":[{},[0,0,5]],"l":[{},[0,0,5]]}],"k":[{"s":[{"t":[{},[0,0,5]]}]},[0,0,4]],"l":[{"m":[{},[0,0,5]]}],"m":[{"m":[{},[0,4,5]]}],"n":[{"g":[{"t":[{},[0,6]]}],"i":[{},[0,4]],"j":[{},[0,4]]}],"r":[{"g":[{},[0,0,5]],"v":[{},[0,0,5]]}],"s":[{"e":[{"l":[{},[0,0,5]]}],"p":[{"i":[{"o":[{},[0,0,0,7]]}]}],"t":[{"a":[{},[0,0,0,0,6]],"p":[{},[0,0,0,6]]}]},[0,3,4]],"t":[{"e":[{"m":[{"m":[{},[0,0,0,7]]}]}]}],"w":[{"a":[{},[0,5]]}]}],"ê":[{},[0,1]],"f":[{"h":[{},[0,0,4]],"l":[{"a":[{"a":[{},[0,0,6]]}],"e":[{"e":[{"n":[{},[0,0,0,7]]}],"t":[{"t":[{},[0,0,0,7]]},[0,0,6]]}],"o":[{},[0,0,5]],"u":[{"g":[{".":[{},[0,0,0,7]]}],"s":[{".":[{},[0,0,0,7]]}]}]}],"o":[{"m":[{"h":[{"e":[{},[0,0,0,7]]}]}],"o":[{"m":[{".":[{},[0,0,0,7]]}]}]}],"p":[{},[0,0,4]],"r":[{"e":[{"u":[{"k":[{},[0,0,0,7]]}]}],"u":[{"i":[{"k":[{},[0,0,0,7]]}]}]}]}],"g":[{"a":[{"r":[{"e":[{"n":[{},[0,0,0,7]]}]}]}],"l":[{"y":[{"n":[{".":[{},[0,0,0,7]]}]}]}],"r":[{"e":[{"n":[{"m":[{},[0,0,0,7]]}]}],"y":[{"m":[{"p":[{},[0,0,0,7]]}],"s":[{},[0,0,0,6]]}]}],"s":[{"h":[{"o":[{},[0,0,0,6]]}],"t":[{"r":[{"a":[{},[0,0,0,7]]}]}]}],"u":[{"i":[{"t":[{"j":[{},[0,0,0,7]]}]}]}]}],"i":[{"d":[{},[0,0,4]],"f":[{"r":[{},[0,0,0,5]]}],"g":[{"a":[{},[0,0,0,4,5]]},[0,3]],"n":[{"d":[{},[0,4,5]],"k":[{".":[{},[0,6]]}],"n":[{"a":[{},[0,6]]}],"s":[{},[0,0,5]],"t":[{},[0,4,5]]}],"t":[{"a":[{"l":[{},[0,6,5]]}],"r":[{"e":[{"a":[{},[0,0,0,7]]}]}]}]}],"k":[{"a":[{"a":[{"n":[{},[0,0,0,5]]}]}],"e":[{"s":[{"e":[{"l":[{},[0,0,0,7]]}]}]}],"h":[{"a":[{"s":[{},[0,0,0,6]]}]}],"i":[{"n":[{"k":[{".":[{},[0,0,0,7]]}],"s":[{},[0,0,6]],"w":[{"y":[{},[0,0,0,7]]}]}]}],"j":[{},[0,0,4]],"l":[{"a":[{"t":[{},[0,0,6]]}],"e":[{},[0,0,5]]}],"o":[{"n":[{"d":[{"e":[{},[0,0,0,7]]}]}],"p":[{"n":[{},[0,0,0,6]]}]}],"s":[{"o":[{"n":[{},[0,0,0,6,5]]}],"p":[{"a":[{"s":[{},[0,0,0,7]]}]}],"t":[{"o":[{},[0,0,0,6]]}]}],"u":[{"u":[{"r":[{"r":[{},[0,0,0,7]]}]}]}],"w":[{"e":[{"ë":[{".":[{},[0,0,0,7]]},[0,0,6]]}]}],"y":[{"w":[{"e":[{"r":[{},[0,0,0,7]]}]}]}]}],"l":[{"i":[{"k":[{},[0,0,5]]}],"u":[{"i":[{},[0,0,5]]}]}],"m":[{"a":[{"a":[{"n":[{"h":[{},[0,0,0,7]]}]}],"f":[{"s":[{"l":[{},[0,0,0,7]]}]}]},[0,0,0,4]]}],"n":[{"e":[{"i":[{"w":[{"i":[{},[0,0,0,7]]}]}]}],"k":[{"w":[{"e":[{"s":[{},[0,0,0,7]]}]}]}],"m":[{},[0,0,4]],"n":[{},[0,0,4]],"o":[{"e":[{"s":[{".":[{},[0,0,0,7]]}]}]}],"r":[{},[0,0,4]]}],"o":[{"e":[{"w":[{},[0,0,5]]}],"ë":[{},[0,0,3]],"g":[{"g":[{},[0,0,5]]}],"ï":[{},[0,3]],"k":[{".":[{},[0,5]],"s":[{},[0,4,5]]}],"l":[{"i":[{},[0,4,5]]}],"m":[{".":[{},[0,0,5]],"h":[{},[0,0,5]],"s":[{},[0,0,5]]}],"n":[{"a":[{".":[{},[0,0,6]]}]}],"o":[{"g":[{},[0,0,5]],"m":[{},[0,5]],"n":[{"d":[{},[0,0,5]]}],"s":[{},[0,5]]}],"p":[{"a":[{},[0,5]],"l":[{"a":[{},[0,0,6]]}],"o":[{},[0,5]]},[0,4,3]],"r":[{"a":[{},[0,5]]},[0,4]],"s":[{"i":[{},[5]],"s":[{},[0,4,5]],"t":[{"i":[{"l":[{},[0,0,0,7]]}]}]}],"u":[{"d":[{},[0,0,5]],"e":[{},[0,0,5]],"t":[{".":[{},[0,0,0,0,6]]}]}]},[0,1]],"p":[{"a":[{"n":[{"k":[{"e":[{},[0,0,0,7]]}]}]}],"i":[{"n":[{"h":[{"o":[{},[0,0,0,7]]},[0,0,6]]}]}],"l":[{"a":[{"n":[{},[0,0,0,6]]}]}],"r":[{"u":[{"i":[{"k":[{},[0,0,0,7]]}]}]}],"s":[{"i":[{"g":[{},[0,0,0,6]]}]}]}],"r":[{"e":[{"i":[{"n":[{},[0,0,0,6]]}]}]}],"s":[{"a":[{"s":[{"s":[{"i":[{},[0,0,0,7]]}]}]}],"e":[{"l":[{"i":[{},[0,0,6,5]]}],"t":[{"e":[{".":[{},[0,0,0,7]]}]}]}],"i":[{"n":[{"d":[{"a":[{},[0,0,0,7]]}]}]}],"j":[{"e":[{"a":[{"n":[{},[0,0,0,7]]}]}]}],"k":[{"a":[{"i":[{"a":[{},[0,0,0,7]]}],"j":[{"u":[{},[0,0,0,7]]},[0,0,6]],"k":[{"e":[{},[0,0,7]],"i":[{},[0,0,0,7]]}]}],"e":[{"t":[{"e":[{},[0,0,0,7]]}]}],"i":[{"s":[{"s":[{},[0,0,0,7]]}]}],"o":[{"e":[{"t":[{},[0,0,0,7]]}],"o":[{"r":[{},[0,0,0,7]]}],"p":[{".":[{},[0,0,0,7]]}]}],"y":[{},[0,0,5]]}],"l":[{"e":[{"s":[{"s":[{},[0,0,0,7]]}]}],"o":[{"n":[{"e":[{},[0,0,0,7]]}]}],"u":[{"i":[{"d":[{},[0,0,0,7]]}]}]}],"m":[{"a":[{"l":[{},[0,0,0,6]],"r":[{"a":[{},[0,0,7]]}],"t":[{},[0,0,6]]}]}],"o":[{"m":[{},[0,0,4,5]],"n":[{"v":[{"r":[{},[0,0,0,7]]}]}],"p":[{"n":[{},[0,0,0,6]]}],"w":[{"e":[{"r":[{},[0,0,0,7]]}]}]}],"p":[{"i":[{"e":[{"n":[{},[0,0,0,7]]}]}],"u":[{"t":[{".":[{},[0,0,0,7]]}]}]}],"s":[{"c":[{"e":[{"n":[{},[0,0,0,7]]}]}]}],"t":[{"e":[{"l":[{"e":[{},[0,0,0,7]]}],"o":[{},[0,0,0,6]]},[0,0,5]],"i":[{},[0,0,0,4]],"r":[{"e":[{"g":[{},[0,0,0,7]]}]}]}],"w":[{"a":[{"a":[{"r":[{},[0,0,0,7]]}]}]}]}],"t":[{"a":[{"a":[{"n":[{},[0,0,0,5]],"p":[{".":[{},[0,0,0,7]]},[0,0,6]]}],"p":[{"e":[{".":[{},[0,0,0,7]]}]},[0,0,5]]}],"e":[{"n":[{"d":[{".":[{},[0,0,0,7]]},[0,0,6]]}],"s":[{},[0,0,5]]}],"h":[{"a":[{"l":[{},[0,0,0,6]]}]}],"j":[{"a":[{"k":[{"k":[{},[0,0,0,7]]}]}]}],"o":[{"p":[{"i":[{"n":[{},[0,0,0,7]]}]}],"r":[{"r":[{"e":[{},[0,0,0,7]]}]}]}],"r":[{"e":[{"s":[{},[0,0,6]]}],"o":[{"k":[{".":[{},[0,0,0,7]]}]}]}],"s":[{"l":[{},[0,0,0,0,5]]}],"u":[{"u":[{"r":[{".":[{},[0,0,0,7]]}]}]}],"w":[{"a":[{"k":[{},[0,0,0,6]]}],"i":[{},[0,0,5]]}]}],"u":[{"g":[{},[0,0,0,0,3]],"i":[{"n":[{},[0,0,5]],"t":[{},[0,0,5]]}],"u":[{},[0,0,3]]},[0,1]],"y":[{"d":[{"o":[{"e":[{"l":[{},[0,0,0,7]]}]}]}],"s":[{"a":[{"l":[{"f":[{},[0,0,0,7]]}]}],"m":[{"a":[{"a":[{},[0,0,0,7]]},[0,0,0,0,6]]}],"u":[{"u":[{"r":[{},[0,0,0,7]]}]}]}],"t":[{"r":[{"e":[{"k":[{},[0,0,0,7]]}]}]}]},[0,1]]}],"s":[{"a":[{"a":[{"n":[{".":[{},[0,5]]}]}],"g":[{"e":[{},[0,5]],"t":[{},[0,0,5]]}],"k":[{},[0,0,4]],"l":[{"l":[{},[0,0,5]]}],"m":[{"o":[{"l":[{},[0,0,0,6]]}]}],"n":[{},[0,0,4]]}],"c":[{},[0,0,3]],"d":[{"h":[{},[0,0,4]]}],"e":[{"e":[{"n":[{},[0,4,5]]}],"p":[{"i":[{},[0,4,5]]}],"r":[{},[0,0,4]]},[0,3]],"i":[{"a":[{},[0,0,4]],"e":[{},[0,0,4]],"f":[{},[0,0,4]],"g":[{"e":[{"i":[{},[0,0,0,6]]}]}],"l":[{"l":[{},[0,4]]}],"n":[{"s":[{"i":[{},[0,0,0,0,6,5]]}]}],"t":[{},[0,0,4]]},[0,3]],"j":[{},[0,2]],"k":[{"e":[{".":[{},[0,4,5]]}],"l":[{"e":[{},[0,0,5]]}],"o":[{"r":[{"s":[{"t":[{},[0,0,0,0,0,0,7]]},[0,0,0,0,0,6]]}]}],"u":[{"t":[{},[0,5,4]]}]}],"l":[{"a":[{},[0,3]],"e":[{"m":[{},[0,0,5]]}],"i":[{"p":[{},[0,0,4]]}]}],"m":[{"e":[{".":[{},[0,0,5]],"n":[{},[0,0,5]]},[0,0,4]],"è":[{".":[{},[0,0,9]]}],"o":[{"u":[{},[0,5]]}],"u":[{},[0,0,4]]},[0,1]],"n":[{"i":[{"e":[{},[0,0,5]]}],"o":[{"o":[{},[0,0,5]]}],"y":[{},[0,0,4]]}],"o":[{"e":[{"t":[{"j":[{"i":[{},[0,0,0,0,7]]},[0,0,0,0,0,6]]}]}],"f":[{"a":[{"g":[{"u":[{},[0,0,0,7]]}]}]}],"l":[{},[0,0,4]],"o":[{},[0,3,4]],"u":[{},[0,0,4]]}],"p":[{"e":[{"l":[{},[0,5]],"n":[{},[0,0,5]],"r":[{},[0,4]],"t":[{},[0,0,5]]}],"i":[{"r":[{},[0,0,5]]}],"l":[{"i":[{},[0,0,4]]}],"r":[{"a":[{},[0,0,4]]}]},[0,1]],"s":[{"o":[{"p":[{"v":[{},[0,0,0,6]]}]}]}],"t":[{".":[{},[0,0,4]],"a":[{"d":[{},[0,5]],"s":[{},[0,0,5]]}],"e":[{".":[{},[0,4,5]],"a":[{},[0,0,5]],"l":[{"i":[{},[0,0,5]]}],"s":[{"o":[{},[0,0,0,0,0,5]]},[0,4,5]]}],"h":[{"e":[{"r":[{},[0,0,0,6]]}]}],"i":[{"k":[{".":[{},[0,0,6]]}]}],"o":[{"i":[{},[0,0,5]],"s":[{},[0,0,5]]}],"r":[{"a":[{"k":[{},[0,6]]}],"e":[{},[0,0,4]]}],"u":[{"k":[{},[0,5]]}]},[0,1]],"w":[{},[0,3]],"y":[{"d":[{},[0,0,4]]}]}],"t":[{"a":[{"g":[{},[0,4,3]],"s":[{"t":[{"a":[{"s":[{},[0,0,0,7]]}]}]}]}],"e":[{"i":[{"e":[{},[0,4,5]]}],"r":[{"a":[{"a":[{},[0,0,0,5,6]]}]}]},[0,3]],"i":[{"e":[{"l":[{},[0,0,0,0,4,5]]}],"k":[{"e":[{},[5]]}]}],"j":[{"i":[{"e":[{"-":[{"k":[{},[0,0,7]]}]}]}]}],"k":[{"y":[{"s":[{"i":[{},[0,0,0,6]]}]}]}],"o":[{"n":[{"o":[{"p":[{},[0,0,0,6]]}]}],"p":[{"v":[{},[0,0,5]]}],"r":[{"d":[{},[0,4,5]]}]}],"r":[{"a":[{"m":[{},[0,4,5]]}],"e":[{"k":[{"e":[{},[0,6]],"o":[{"r":[{},[0,0,0,0,7]]},[0,6]]}]}],"i":[{"m":[{},[0,0,5]]}]}],"s":[{"f":[{"y":[{"n":[{".":[{},[0,0,0,7]]}]}]}],"k":[{"a":[{"t":[{"o":[{},[0,0,0,7]]},[0,0,6]]}],"o":[{"u":[{"s":[{},[0,0,0,7]]}]}],"r":[{"i":[{"e":[{},[0,0,0,7]]}]}]}],"l":[{"a":[{"p":[{},[0,0,6,5]]}]}],"m":[{"a":[{"a":[{},[0,0,0,6]]}]}],"o":[{"n":[{"g":[{},[0,0,0,5]]}]}],"p":[{"a":[{"a":[{},[0,0,6]]}],"r":[{},[0,0,4]]}],"t":[{"e":[{"k":[{},[0,0,6]]}]}]}],"t":[{"r":[{"e":[{".":[{},[0,0,0,6]]}]}]}],"u":[{"i":[{"t":[{"s":[{},[0,0,5]]}]}],"n":[{"i":[{"e":[{},[0,0,5]]}]}]}],"w":[{"i":[{"n":[{},[0,0,5]]},[0,0,4]],"y":[{},[0,0,4]]}],"y":[{"s":[{"t":[{},[0,0,5]]}]}]}],"u":[{".":[{},[2]],"g":[{"r":[{"i":[{"e":[{},[0,0,0,6]]}]}]}],"i":[{"t":[{},[0,3]]}],"k":[{"i":[{"n":[{"t":[{"e":[{},[0,0,0,7]]}]}]}],"l":[{},[0,0,0,4]]}],"l":[{"e":[{"i":[{"e":[{"n":[{},[0,0,0,7]]}]}]}],"o":[{"o":[{},[0,0,4]]}]}],"m":[{"o":[{"n":[{},[0,0,5]]}],"u":[{"i":[{"t":[{"g":[{},[0,0,0,7]]}]}]}]}],"n":[{"a":[{},[0,0,4]],"s":[{"l":[{"a":[{},[0,0,0,6]]}]}]}],"p":[{"a":[{"a":[{"n":[{"d":[{},[0,0,0,7]]}]}]}]}],"r":[{"a":[{"a":[{"l":[{},[0,0,0,6]]},[0,0,0,5]],"l":[{},[0,0,5]]},[0,0,4]],"e":[{"e":[{"t":[{".":[{},[0,0,0,7]]}]},[0,0,4]],"g":[{".":[{},[0,0,6]],"t":[{"h":[{},[0,0,0,7]]},[0,0,6]]}],"k":[{"s":[{"t":[{},[0,0,0,7]]}]}],"l":[{"e":[{"m":[{},[0,0,0,7]]}]}]}],"s":[{"p":[{"a":[{"r":[{},[0,0,0,7]]}]}]}]}],"s":[{"a":[{"p":[{"e":[{".":[{},[0,0,0,7]]}]}]},[0,0,4]],"j":[{"i":[{"g":[{".":[{},[0,0,0,7]]}]}]}],"k":[{"o":[{"t":[{},[0,0,0,6]]}]}],"t":[{"a":[{"c":[{},[0,0,0,6]]}]}]}],"t":[{"e":[{"l":[{},[0,0,0,0,4]],"m":[{},[0,0,5]]}],"r":[{},[0,0,3]]}],"u":[{},[0,1]],"-":[{},[2]]}],"v":[{"a":[{"k":[{"w":[{"a":[{"a":[{},[0,0,0,7]]}]}]}],"l":[{"e":[{"s":[{},[0,0,0,6]]}]}]}],"r":[{"o":[{"r":[{"e":[{},[0,0,0,6]]}]}]}],"u":[{"e":[{"s":[{".":[{},[0,0,0,6]]}]}]}]}],"w":[{"a":[{"l":[{"s":[{},[0,0,0,0,4,5]]}],"r":[{},[0,0,4]]}],"e":[{"e":[{},[0,0,0,0,4]],"g":[{"a":[{"a":[{"n":[{},[0,0,0,7]]}]}],"o":[{"e":[{"d":[{},[0,0,0,7]]}]}]}],"i":[{"n":[{"d":[{"e":[{},[0,0,0,7]]}]}],"s":[{},[0,5]]}],"n":[{"e":[{"e":[{},[0,0,0,6]]}],"s":[{"t":[{"e":[{"s":[{},[0,0,0,0,8]]}]}]}]}],"r":[{"e":[{"s":[{},[0,0,0,6]]}]}],"s":[{"p":[{"a":[{"n":[{},[0,0,0,7]]}]}]}]}],"i":[{"k":[{"s":[{"t":[{"e":[{},[0,0,0,0,0,7]]}]},[0,0,0,0,4]]}]}]}],"x":[{"y":[{"s":[{"t":[{"e":[{".":[{},[0,0,0,7]]}]}]}]}]}],"y":[{"n":[{"o":[{},[0,0,0,4]]}],"s":[{"t":[{"e":[{},[0,5]]}]}],"w":[{},[0,3]]}],"z":[{"k":[{"a":[{},[0,4]]}],"r":[{"a":[{".":[{},[0,0,9]]}]}]}]}],"è":[{"r":[{},[0,1]]}],"ê":[{"e":[{"r":[{"o":[{},[0,0,4]]}]}],"l":[{"a":[{"f":[{"l":[{"u":[{"i":[{},[0,0,0,7]]}]}]}]}]}],"r":[{"d":[{"e":[{},[0,4]]}],"e":[{"l":[{"o":[{"e":[{},[0,0,0,6]]}]}]}],"h":[{"e":[{},[0,4]]}]}]},[0,1]],"ë":[{"g":[{},[0,1]],"i":[{"e":[{},[0,0,3]]}],"k":[{"s":[{"k":[{},[0,0,4]],"p":[{"e":[{"k":[{},[0,0,0,6]]}]},[0,0,0,3]],"t":[{},[0,0,4]]}]}],"l":[{"a":[{"a":[{},[0,3]],"g":[{"t":[{},[0,0,5]]}],"l":[{"b":[{},[0,0,5]]}],"s":[{".":[{},[0,0,5]]}]}],"e":[{"i":[{},[0,4]],"n":[{"t":[{},[0,0,5]]}]}],"f":[{"l":[{"e":[{},[0,0,5]]},[0,0,0,4]]}],"o":[{"o":[{"p":[{},[0,5]]}]}],"s":[{"k":[{"u":[{"i":[{"l":[{},[0,0,0,7]]}]}]}]}]}],"n":[{"a":[{"g":[{"t":[{},[0,0,5]]}]}],"t":[{"r":[{"e":[{},[0,0,0,5]]},[0,0,4]]}]}],"p":[{"r":[{"e":[{},[0,0,0,0,4]]}]}],"r":[{"a":[{"a":[{"n":[{},[0,0,5]]}],"f":[{"d":[{},[0,0,5]]}]}],"o":[{"f":[{"f":[{},[0,0,5]]}],"g":[{},[0,0,0,0,4]],"s":[{},[0,0,0,3]],"w":[{"e":[{},[0,0,5]]}]}],"s":[{"k":[{"e":[{"n":[{"t":[{},[0,0,0,7]]}]}]}]}],"y":[{},[0,1]]}],"s":[{},[0,1]]},[1]],"f":[{".":[{},[2]],"a":[{"a":[{"n":[{"b":[{},[0,5]]}],"r":[{},[0,3]]}],"d":[{},[0,3]],"g":[{"i":[{},[0,4]]},[2,1]],"h":[{"r":[{"e":[{"n":[{"h":[{},[0,0,0,7]]}]}]}]}],"i":[{"r":[{"-":[{"n":[{},[0,0,0,6]]}]}]}],"k":[{"s":[{"t":[{"e":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}]}],"n":[{"t":[{"j":[{},[0,0,0,4,5]],"r":[{},[0,0,0,4]],"s":[{"t":[{},[0,0,0,0,6,5]]}]}]}],"p":[{},[0,3]],"r":[{"t":[{},[0,3]],"u":[{"q":[{".":[{},[0,0,0,0,6]]}]}]}]},[1]],"b":[{},[2]],"d":[{"e":[{"i":[{"n":[{},[0,5]]}],"s":[{"a":[{"k":[{"e":[{},[0,0,0,7]]}]}],"e":[{"s":[{"s":[{},[0,0,0,7]]}]}],"k":[{"e":[{"i":[{},[0,0,0,7]]}]}],"t":[{"o":[{"r":[{},[0,0,0,7]]}],"r":[{"a":[{},[0,0,0,7]]}]}],"u":[{"s":[{"t":[{},[0,0,0,7]]}]}]},[0,0,0,4]]}],"w":[{},[0,3,2]]},[2]],"e":[{"e":[{"n":[{},[4]],"s":[{},[3,4]]}],"i":[{"e":[{},[0,3]]}],"l":[{"a":[{"p":[{},[0,0,4,5]],"s":[{"e":[{"m":[{},[0,0,0,7]]}]}]}],"e":[{"n":[{"t":[{"i":[{},[0,0,0,7]]}]}]}],"o":[{"o":[{"n":[{"d":[{},[0,0,0,7]]},[0,0,6]]}]}],"s":[{"m":[{},[0,0,0,5,4]],"p":[{"o":[{"o":[{},[0,0,0,6]]}]}]}],"u":[{},[0,0,4]],"y":[{"s":[{},[0,0,0,5]]},[0,0,4]]}],"r":[{"s":[{"k":[{"r":[{"a":[{},[0,0,0,0,7]]},[0,0,0,6]],"u":[{"i":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"t":[{"s":[{},[0,5]]}]}],"s":[{"t":[{},[0,0,0,3]]},[0,0,2]],"t":[{"e":[{"t":[{"e":[{".":[{},[0,0,0,7]]}]}]}]}]},[1]],"f":[{"e":[{"l":[{"a":[{"s":[{},[0,0,0,6]]}]}],"r":[{"e":[{"t":[{},[0,0,0,6]]}]}],"t":[{"e":[{"t":[{},[0,0,0,6]]}]}]}],"i":[{"e":[{"e":[{"k":[{},[0,0,0,6]]}],"s":[{"m":[{},[0,0,0,0,0,6]]}]}]}],"r":[{"e":[{"i":[{},[0,0,5]]}]}]},[0,1]],"g":[{"e":[{"s":[{"p":[{"e":[{"r":[{},[0,0,0,7]]}]}]}]}],"h":[{"a":[{},[0,0,4]]}],"l":[{"i":[{},[0,0,4]],"y":[{},[0,0,4]]}],"o":[{"d":[{"s":[{},[0,0,0,0,4,5]]}]}]},[0,1]],"i":[{"d":[{"j":[{"i":[{"-":[{},[0,0,0,6]]}]}]},[0,0,3]],"e":[{"e":[{"k":[{"s":[{"t":[{},[0,0,0,7]]}]}]}],"l":[{"a":[{"f":[{"o":[{},[0,0,0,7]]}]}]}],"s":[{"m":[{"a":[{"a":[{},[0,0,0,7]]}]}],"o":[{},[0,0,0,4,5]]}],"t":[{"o":[{"l":[{},[0,0,0,6]]}]}]}],"l":[{"a":[{"g":[{},[0,0,5]]}],"m":[{"a":[{},[0,0,0,4,5]]}]}],"n":[{"r":[{},[4]]}],"s":[{"t":[{"o":[{},[0,0,5]]}]}],"t":[{"z":[{},[0,0,0,4]]}]},[1]],"k":[{"o":[{"m":[{"s":[{"t":[{"e":[{},[0,0,0,0,0,7]]},[0,0,0,0,6]]}]}]}]},[2,1]],"l":[{"a":[{"p":[{"o":[{},[0,0,0,0,5]]},[0,0,0,4]]}],"e":[{"e":[{"s":[{},[0,5]]}],"s":[{"e":[{},[0,5]]}],"t":[{"j":[{},[0,0,0,0,5]]},[0,0,0,4]],"x":[{"o":[{"r":[{".":[{},[0,0,0,0,7]]}]}]}]},[0,2]],"i":[{"e":[{"k":[{},[5,4]]}],"t":[{},[3,4]]},[2]]}],"m":[{"o":[{"n":[{"o":[{},[0,0,0,4]]}]}]},[2]],"n":[{"i":[{"s":[{},[0,0,0,4,3]]}]},[0,1]],"o":[{"f":[{"f":[{},[4]]},[0,3]],"k":[{"s":[{"t":[{},[0,0,0,4,5]]}]}],"l":[{"k":[{},[0,0,0,4,3]]}],"m":[{"s":[{},[4]]}],"n":[{"d":[{"s":[{"k":[{},[0,0,0,0,6]],"t":[{"e":[{},[0,0,0,0,0,7]]},[0,0,0,0,6]]},[5]]}],"t":[{"b":[{},[0,5]],"e":[{},[5]],"l":[{},[0,5]]}]}],"o":[{"r":[{"l":[{},[0,5]]}]}],"p":[{"o":[{},[0,0,4]],"s":[{"p":[{"e":[{"n":[{},[0,0,0,7]]}]}]}]},[2]],"r":[{"d":[{"e":[{},[0,5]]}],"g":[{},[0,3]],"o":[{"k":[{"s":[{"i":[{},[0,0,0,7]]}]}],"m":[{},[0,0,5]]}],"u":[{},[0,0,3]]}],"s":[{"f":[{"e":[{"e":[{"n":[{},[0,0,0,7]]}]}]}]}],"u":[{"t":[{"j":[{},[0,0,0,0,5]]}]}],"x":[{"h":[{"i":[{"l":[{"l":[{},[0,0,0,7]]}]}]}],"s":[{"t":[{"r":[{"a":[{},[0,0,0,7]]}]}]}]}]},[1]],"p":[{"s":[{"a":[{},[0,0,4]]}]}],"r":[{"a":[{"g":[{"a":[{"a":[{},[0,0,0,0,6]]}]}],"m":[{},[4]],"s":[{},[0,4]]}],"e":[{"n":[{},[0,4]],"s":[{"k":[{},[0,0,0,4,5]]}]}],"i":[{"g":[{},[4,3]],"t":[{"o":[{"o":[{},[0,0,0,6]]}]}]}],"o":[{"d":[{},[0,4]]}],"u":[{"g":[{"a":[{},[0,0,0,5]]}]}],"y":[{},[0,3]]},[1,2]],"s":[{"a":[{"g":[{"t":[{},[0,0,5]]}],"n":[{"k":[{},[0,4,5]]}]}],"e":[{"k":[{"o":[{},[0,4,5]]}]}],"k":[{"o":[{"n":[{},[0,4]]}]}],"l":[{"o":[{"g":[{},[0,0,5]]}]}],"m":[{"a":[{},[0,4]],"e":[{},[0,0,4]],"i":[{},[0,0,4]]},[0,3]],"p":[{"l":[{},[0,0,4]],"r":[{"o":[{},[0,4]]}]},[0,3]],"t":[{"a":[{"k":[{},[0,4,5]]}],"i":[{},[0,0,4]]}]},[2,1]],"t":[{"r":[{"e":[{"d":[{},[0,0,0,0,5]],"k":[{},[0,0,0,0,0,5]]},[0,0,0,0,4]]}]},[2]],"u":[{"c":[{"h":[{},[0,0,4]]}],"r":[{"o":[{"r":[{"e":[{},[0,0,0,6]]}]}]}],"s":[{"o":[{},[0,0,3]]}],"u":[{"r":[{".":[{},[0,5]]},[4]]}]},[1]],"v":[{"a":[{"l":[{},[0,0,0,4]]}]},[2]],"w":[{},[2]],"y":[{"n":[{"g":[{"o":[{"u":[{"d":[{},[0,0,0,7]]}]}]}]}],"s":[{},[2,1]],"t":[{"a":[{"p":[{"p":[{"e":[{},[0,0,0,7]]}]}]}],"j":[{"i":[{"e":[{".":[{},[0,0,0,7]]}]}]}]}]},[1]]}],"g":[{".":[{},[2]],"a":[{"a":[{"i":[{},[0,4]],"m":[{"s":[{"t":[{"e":[{},[0,0,0,0,6,7]]}]}]}],"n":[{".":[{},[0,4]],"b":[{"i":[{},[0,5]]}],"d":[{"h":[{},[0,6]]}],"l":[{},[0,5]],"w":[{},[0,5]]}],"t":[{},[0,4]]}],"d":[{"d":[{},[4,3]]}],"f":[{"o":[{},[0,4]]},[2,1]],"g":[{"r":[{"e":[{"p":[{},[0,0,0,6]]},[0,0,5]]},[0,4]]},[2,1]],"k":[{"l":[{"a":[{},[0,0,5]]},[0,0,0,4]]}],"l":[{"a":[{"f":[{"s":[{"k":[{},[0,0,0,7]]}]}],"p":[{"p":[{"e":[{},[0,0,0,7]]}]}]}],"e":[{"i":[{},[0,0,0,0,0,5]]}],"o":[{"o":[{"g":[{".":[{},[0,0,0,7]]}]}]}]}],"n":[{"g":[{"r":[{"a":[{},[0,0,0,6]]}]}],"k":[{"e":[{},[4,5]]}],"s":[{"k":[{"e":[{".":[{},[0,0,0,0,7]]}]}]}]}],"p":[{"p":[{},[0,3]]}],"r":[{"a":[{},[0,0,3]],"b":[{},[4,3]],"m":[{},[4,3]],"s":[{"t":[{"i":[{"g":[{},[0,0,0,7]]},[0,0,0,0,6]]}]},[0,0,0,4,3]],"t":[{"i":[{},[0,5]]}]}],"s":[{"a":[{"r":[{"m":[{".":[{},[0,0,0,7]]},[0,0,6]]}]}],"m":[{"o":[{"k":[{},[0,0,0,6]]}]}],"o":[{"l":[{},[0,0,5]]},[0,0,4]],"p":[{"e":[{"l":[{},[0,0,0,6]]}]}],"t":[{"r":[{"e":[{},[0,0,0,6]]}]}]}],"t":[{"r":[{"u":[{"i":[{"k":[{},[0,0,0,7]]}]}]},[0,0,4]]}],"y":[{"n":[{"o":[{"r":[{".":[{},[0,0,0,7]]}]}]}]}]},[1]],"b":[{"y":[{"s":[{},[0,0,0,0,4]]}]},[2]],"d":[{"e":[{"r":[{"o":[{"o":[{"f":[{},[0,0,0,7]]}]}]}]}],"u":[{"t":[{"j":[{"i":[{"e":[{},[0,0,0,0,7]]}]}]}]}],"w":[{"a":[{},[0,0,4]]},[0,3]]},[2]],"e":[{"d":[{"i":[{"s":[{},[0,0,0,0,4]]}]},[0,0,3]],"e":[{"n":[{"h":[{},[0,5]]}],"t":[{"a":[{"l":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}]}],"ë":[{"s":[{"t":[{"i":[{},[0,0,0,6]]}]},[0,0,0,0,3]]}],"f":[{"f":[{},[4,0,4]],"l":[{},[0,0,0,4]]},[0,0,3]],"g":[{".":[{},[4]],"e":[{"s":[{"p":[{},[0,0,0,0,0,5]]}]}],"u":[{"i":[{"l":[{},[0,0,0,6]]}]}]},[0,0,1,2]],"i":[{"e":[{},[0,3]]}],"ï":[{"m":[{"i":[{"g":[{"r":[{},[0,0,0,7]]}]}]}]}],"k":[{"l":[{"i":[{"k":[{".":[{},[0,0,7,6]]}]}]}],"s":[{},[4]],"y":[{},[0,0,0,4]]}],"l":[{"a":[{"g":[{"k":[{},[0,0,0,6]]}]}],"d":[{"a":[{"d":[{},[0,0,0,6]]}],"o":[{},[0,0,0,4]]}],"o":[{"l":[{},[0,0,5]],"o":[{"n":[{"d":[{},[0,0,0,7]]},[0,0,6]]},[0,0,5]]}],"s":[{"t":[{"e":[{".":[{},[0,0,0,6,7]]}]}]}]}],"m":[{"i":[{"a":[{"u":[{".":[{},[0,0,0,0,7]]}]}]}],"o":[{"p":[{"p":[{},[0,0,0,6]]}]}]}],"n":[{"d":[{"r":[{},[0,0,0,4]],"u":[{"r":[{},[0,0,0,6]]}]}],"e":[{"s":[{"t":[{},[0,0,0,0,0,5]]}]}],"g":[{},[4]]},[3]],"o":[{"i":[{},[0,0,4]]}],"p":[{"a":[{"g":[{},[0,0,5]]},[0,0,0,4]],"e":[{"r":[{"s":[{"t":[{},[0,0,0,0,0,6]]}]}]}],"o":[{"n":[{"s":[{},[0,0,0,0,0,6]]}]}]}],"r":[{"a":[{"p":[{},[0,0,5]],"r":[{"d":[{},[0,0,0,6]]}]}],"e":[{"t":[{"e":[{},[0,0,0,5]]}]}],"i":[{"d":[{"e":[{"n":[{},[0,0,0,7]]}]}]}],"o":[{"e":[{"f":[{},[0,0,6]]}],"g":[{"g":[{},[0,0,0,6]]}]}],"s":[{"p":[{"o":[{},[0,0,0,6]]}],"w":[{},[0,0,0,5]]}],"u":[{"i":[{"t":[{},[0,0,0,6]]}]}]},[3]],"s":[{"a":[{},[0,0,3]],"f":[{"e":[{},[0,0,5]]}],"i":[{"n":[{},[0,0,5]]}],"j":[{"a":[{"g":[{"t":[{},[0,0,0,7]]}]}]}],"k":[{"a":[{"d":[{"e":[{},[0,0,0,7]]}]}]},[0,0,0,4]],"l":[{},[0,0,3]],"m":[{},[0,0,3,4]],"n":[{"e":[{},[0,0,5]]}],"p":[{"e":[{"r":[{"b":[{},[0,0,0,7]],"s":[{},[0,0,0,7]]}],"s":[{".":[{},[0,0,0,7]]}]}]},[0,0,3]],"t":[{"a":[{"s":[{},[0,0,0,6]]}],"i":[{"g":[{},[0,0,0,6]]}]},[0,0,3]],"w":[{},[0,0,0,4]]}],"t":[{"j":[{"a":[{},[0,0,5]]}],"w":[{},[0,0,3]]}],"u":[{"i":[{},[0,0,3]],"m":[{".":[{},[0,0,5]]}]}],"v":[{"w":[{"o":[{"e":[{"s":[{},[0,0,0,7]]}]}]}]}],"w":[{"e":[{"n":[{"s":[{"t":[{"e":[{},[0,0,0,0,0,0,7]]}]}]}]}]}],"y":[{},[0,0,1]]},[1]],"f":[{"l":[{"i":[{},[0,0,4]]},[0,3]]},[2,1]],"g":[{"a":[{"k":[{"w":[{"e":[{"e":[{},[0,0,0,7]]}]}]}],"s":[{"t":[{"r":[{"e":[{},[0,0,0,7]]}]}]}],"t":[{"j":[{},[0,0,0,5,4]]}]},[0,3]],"e":[{"s":[{"t":[{"i":[{},[0,0,0,6]]}]}]}]},[2,1,2]],"h":[{"o":[{"e":[{"r":[{},[5,4]]}],"g":[{"h":[{"o":[{"k":[{},[0,0,0,7]]}]}]}],"l":[{"f":[{},[5]]},[0,0,0,4]]}],"s":[{".":[{},[0,4]]}],"u":[{"m":[{"o":[{"e":[{},[0,0,0,6]]}]}]}]},[2]],"i":[{"d":[{"e":[{"n":[{},[0,5]]}]}],"e":[{"f":[{"a":[{"r":[{},[0,0,0,6]]}]}]}],"f":[{"a":[{},[0,0,4]]}],"m":[{"p":[{},[4]]}],"n":[{"g":[{"a":[{"a":[{},[0,0,0,6]]}]}],"r":[{"i":[{},[4,5]]}]}],"p":[{"s":[{"i":[{"e":[{"t":[{},[0,0,0,7]]}]}]},[0,0,0,4]]}],"s":[{"e":[{"n":[{"t":[{"i":[{},[0,0,0,7]]}]}]}]}],"t":[{"r":[{"a":[{},[0,0,5]]}],"s":[{"w":[{},[0,0,0,5]]}]}]},[1]],"k":[{"a":[{"a":[{"r":[{},[0,0,0,0,0,4]]}]}]},[2,1]],"l":[{"a":[{"n":[{"s":[{},[5,4]]}],"s":[{"a":[{},[0,0,0,4]],"e":[{"l":[{},[0,0,0,6]]}],"k":[{"a":[{},[0,0,0,6]]}],"o":[{},[0,0,0,0,5]]}]}],"e":[{".":[{},[0,4]],"n":[{".":[{},[5,4]]}]}],"i":[{"d":[{"o":[{"n":[{},[0,0,0,6]]}]}],"f":[{},[0,4]],"g":[{"u":[{"r":[{},[0,0,0,6]]}]}],"k":[{},[4]],"m":[{},[0,4]],"p":[{},[0,4]],"s":[{},[3]]}],"o":[{"b":[{},[0,4]],"d":[{},[4]],"e":[{},[3,4]],"f":[{},[0,4]],"m":[{},[3,4]],"p":[{},[0,3]],"t":[{},[3,4]],"-":[{},[0,4]]}],"u":[{"s":[{},[0,3]],"u":[{},[3,4]]}],"y":[{".":[{},[0,4]],"n":[{},[4]]}]}],"m":[{"a":[{"s":[{"k":[{"u":[{"i":[{},[0,0,0,7]]}]}]}]}]},[2]],"n":[{"e":[{"e":[{"m":[{},[0,0,0,0,0,5]],"t":[{},[0,0,0,0,0,5]]}]}],"i":[{"e":[{"k":[{"o":[{},[0,0,0,0,6]]}]}]}]},[2,1]],"o":[{"d":[{"s":[{"a":[{"k":[{},[0,0,0,6]]}],"i":[{"d":[{},[0,0,0,6]]}]}]}],"e":[{"f":[{},[4,3]],"k":[{"r":[{"u":[{"i":[{},[0,0,0,7]]}]}]}],"s":[{".":[{},[0,5]]},[4]],"t":[{"a":[{},[0,5]],"h":[{"e":[{".":[{},[0,0,0,7]]}]}]}]}],"ë":[{"l":[{"a":[{"r":[{"y":[{},[0,0,0,7]]}]}]}]}],"f":[{},[2,1]],"g":[{"i":[{},[3]]}],"l":[{"f":[{"o":[{},[0,0,0,4,5]]}],"i":[{"e":[{},[4,5]]}]}],"m":[{"a":[{"g":[{},[0,0,4]]}]}],"n":[{"g":[{},[4,3]],"s":[{"t":[{"o":[{},[0,0,0,6]]}]}],"t":[{},[0,3]]}],"o":[{"g":[{"l":[{},[0,0,0,5]]}],"r":[{},[4,3]]}],"p":[{"l":[{"a":[{},[0,0,5]]}],"o":[{},[3,4]]},[2,1]],"r":[{"i":[{"g":[{},[0,5]]}]}],"s":[{"l":[{},[0,0,3]],"p":[{"e":[{"l":[{"r":[{},[0,0,0,7]]}]}]}],"s":[{"e":[{},[0,5]]}],"t":[{},[0,0,3,4]]}],"u":[{"d":[{"a":[{".":[{},[0,0,0,0,6]]}],"i":[{"e":[{"f":[{},[0,0,0,7]]}],"n":[{"i":[{},[0,0,0,7]],"k":[{},[0,0,0,7]]}]}],"s":[{".":[{},[0,0,0,0,6]]}]},[0,0,0,4,3]]}],"w":[{"r":[{"i":[{"e":[{".":[{},[0,0,0,7]]}]}]}]}],"y":[{"a":[{".":[{},[0,0,9]]}]}]},[1]],"p":[{},[2]],"r":[{"a":[{"b":[{},[0,4]],"k":[{".":[{},[0,5]]}],"m":[{"a":[{"d":[{"o":[{},[0,0,0,7]]}]},[0,0,0,4]],"o":[{},[0,0,0,4,5]]}],"s":[{"a":[{},[0,0,0,4,5]],"e":[{},[0,0,0,4]]},[0,4]]}],"e":[{"d":[{},[4,3]],"e":[{"k":[{},[0,5]],"p":[{},[0,0,0,0,0,5]]},[0,4,0,0,4]],"ë":[{},[4]],"n":[{"s":[{"t":[{},[0,0,0,0,6]]}]},[0,4]],"s":[{"e":[{},[0,5]],"p":[{},[0,0,0,4]],"u":[{"r":[{},[0,0,0,6]]}]}],"t":[{"j":[{"i":[{"e":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"u":[{},[0,4]]}],"i":[{"e":[{"k":[{"s":[{"t":[{},[0,0,0,0,0,6,7]]}]}],"t":[{"j":[{},[0,0,0,0,6,5]]}]}],"g":[{},[4]],"p":[{},[0,0,0,4]],"t":[{".":[{},[0,5]]}]}],"o":[{"k":[{},[4,3]],"n":[{},[0,4]],"o":[{"i":[{},[4,5]],"k":[{},[0,5]],"m":[{},[0,5]]}],"w":[{"e":[{},[0,5]]}]}],"u":[{"g":[{},[4]],"i":[{"m":[{},[0,5]]}]}],"y":[{"k":[{},[4,3]],"m":[{},[4]],"s":[{"t":[{"e":[{},[0,0,0,6]]}]}]}]},[1,2]],"s":[{"a":[{"a":[{"m":[{},[0,5]]}],"d":[{"e":[{".":[{},[0,0,6]]}]},[0,0,3]],"f":[{},[0,4]],"g":[{"t":[{},[0,0,5]]}],"k":[{"s":[{},[0,0,5]]}],"l":[{"a":[{},[0,5]],"e":[{},[0,5]]}],"n":[{"a":[{},[0,0,5]],"t":[{},[0,0,5]]}],"p":[{"p":[{"e":[{},[0,0,6]]},[0,0,5]]}],"r":[{},[0,0,3]],"s":[{},[0,0,3]]},[0,2,1]],"e":[{"e":[{"n":[{},[0,4,5]]}],"f":[{},[0,4,3]],"i":[{"s":[{".":[{},[0,0,5]],"e":[{},[0,6]]}]}],"k":[{"o":[{},[0,0,5]],"s":[{},[0,0,5]],"t":[{},[0,5]]}],"l":[{"e":[{},[0,4,5]],"i":[{},[0,4,5]]}],"n":[{"e":[{},[0,4,5]]}],"s":[{"t":[{},[0,4,5]]}],"w":[{"e":[{},[0,0,5]]},[0,4]]}],"f":[{"e":[{"e":[{"r":[{},[0,5,6]]}]}]},[0,0,3]],"i":[{"d":[{"e":[{},[0,0,5]]},[0,4]],"m":[{"p":[{"a":[{},[0,6]]}]}],"n":[{"d":[{"e":[{},[0,0,5]]}],"i":[{},[0,0,5]],"l":[{},[0,0,5]],"s":[{},[0,0,5]]}]}],"j":[{},[0,2,3]],"k":[{"a":[{"a":[{"l":[{},[0,5]]}],"b":[{},[0,0,5]],"d":[{},[0,5]],"p":[{"a":[{},[0,6]]}],"t":[{"t":[{},[0,5]]}]}],"e":[{"d":[{},[0,5]],"r":[{},[0,5]],"u":[{"r":[{".":[{},[0,7]],"d":[{},[0,0,7]]}]}]}],"i":[{"n":[{},[0,4,5]]},[0,3]],"l":[{},[0,4]],"o":[{"f":[{},[0,5]],"l":[{"e":[{},[0,5]]}],"m":[{},[0,4]],"o":[{"r":[{},[0,6,5]]},[0,5]],"r":[{"r":[{},[0,0,5]]}],"t":[{},[0,5]],"u":[{},[0,5]]}],"r":[{},[0,0,3]]},[0,2,1]],"l":[{"a":[{},[0,3,4]],"o":[{"p":[{},[0,5,4]]}]},[0,2,3]],"m":[{},[0,0,3]],"n":[{"e":[{"l":[{},[0,5]]}]}],"o":[{"l":[{},[0,0,4]],"p":[{"r":[{"o":[{},[0,0,0,6]]}]}],"u":[{},[0,0,4]]},[0,2,3]],"p":[{"e":[{"l":[{},[0,5,4]],"r":[{},[0,0,5]],"s":[{},[0,5]]}],"i":[{"l":[{"l":[{},[0,6]]}]},[0,3,4]],"o":[{"e":[{},[0,0,4]],"r":[{"e":[{},[0,0,6]],"t":[{"s":[{},[0,7]]}]}]}],"r":[{"u":[{},[0,5,4]]}]},[0,0,3]],"t":[{"a":[{"a":[{"k":[{},[0,6,5]]}],"b":[{"i":[{},[0,0,6]]},[0,4,5]],"k":[{},[0,4]],"l":[{},[0,4]],"r":[{},[0,4]]}],"e":[{"k":[{},[0,4,5]],"l":[{"g":[{},[0,6]]}],"r":[{"a":[{},[0,6]],"i":[{},[0,0,5]],"r":[{},[0,6]],"s":[{},[0,0,0,0,0,6]]}],"s":[{"e":[{},[0,6]]}]}],"i":[{"g":[{"t":[{},[0,5]]}]},[0,4]],"o":[{"e":[{"l":[{"e":[{},[0,7]]}],"r":[{},[0,0,5]],"t":[{},[0,0,5]]},[0,4]],"n":[{},[0,4,5]]}],"r":[{"a":[{"d":[{},[0,0,5]],"k":[{},[0,6]],"n":[{},[0,6]],"p":[{},[0,6]]}],"i":[{"b":[{},[0,6]]}],"o":[{"e":[{},[0,0,5]],"o":[{"n":[{},[0,0,7]]}]}],"u":[{"u":[{},[0,6]]}]}]},[0,1]],"u":[{"i":[{},[0,4,3]]}],"w":[{"e":[{"r":[{"w":[{},[0,0,6]]}]}]},[0,0,3]]},[2]],"t":[{"e":[{"e":[{"e":[{"n":[{"h":[{},[0,0,0,7]]}]}]}],"l":[{"a":[{"g":[{"i":[{},[0,0,0,7]]}]}]}],"r":[{"a":[{"s":[{},[0,0,0,6]]}],"e":[{"r":[{},[0,0,0,6]]}],"o":[{"e":[{"r":[{},[0,0,0,7]]}],"l":[{".":[{},[0,0,0,7]]}]},[0,0,0,4]]}],"s":[{"f":[{"e":[{"e":[{},[0,0,0,7]]}]}],"m":[{"e":[{"e":[{},[0,0,0,7]]}]}]},[0,0,0,0,4]]}],"u":[{"r":[{"i":[{},[0,0,5]]}]}]},[2]],"u":[{"a":[{},[0,0,2]],"e":[{"l":[{"a":[{},[0,0,5]]}]},[0,0,2]],"i":[{"d":[{"o":[{".":[{},[0,0,0,0,6]]}]}],"r":[{"l":[{"a":[{},[0,0,0,6]]}]}],"t":[{},[4]]}]},[1]],"v":[{},[2]],"w":[{},[2]],"y":[{"s":[{"t":[{},[0,3]]}]}],"-":[{},[2]]}],"h":[{".":[{},[2]],"a":[{".":[{},[2]],"l":[{"f":[{},[0,0,0,4,3]],"m":[{"a":[{"g":[{},[0,0,0,6,5]]}]}],"o":[{},[4]],"s":[{"k":[{},[0,0,0,4,5]],"t":[{"r":[{},[0,0,0,6,5]]}]}]}],"m":[{"p":[{"a":[{"g":[{"n":[{},[0,0,0,7]]}]}]}],"s":[{"k":[{"r":[{"a":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}]}],"n":[{"d":[{"a":[{"n":[{},[0,0,0,6]]}],"j":[{"a":[{".":[{},[0,0,0,7]]}]}],"r":[{},[0,0,0,4]],"u":[{},[0,0,0,4]]}],"g":[{"l":[{"i":[{},[0,0,0,6]]}],"o":[{"r":[{},[0,0,0,6]]}],"s":[{"l":[{},[0,0,0,0,0,6]],"w":[{},[0,0,0,0,5,6]]}]}],"s":[{"k":[{"a":[{},[0,0,0,6]]},[0,0,0,4,5]]}]}],"r":[{"d":[{"o":[{"p":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"s":[{"e":[{"l":[{},[0,0,0,6]]}],"o":[{"l":[{},[0,0,0,6]]}],"p":[{"a":[{},[0,0,0,6]]}]}],"t":[{"a":[{"a":[{},[0,0,0,6,5]]}],"j":[{},[0,0,0,4,5]],"o":[{"e":[{"m":[{},[0,0,0,7]]}]},[0,0,0,4]]}]}],"w":[{"k":[{},[0,0,4]],"s":[{"h":[{"a":[{"n":[{},[0,0,0,7]]}]}]}]}],"y":[{"e":[{"l":[{"i":[{},[0,0,0,6]]}]}]}]}],"e":[{"b":[{"l":[{"u":[{"s":[{".":[{},[0,0,0,7]]}]}]}]}],"e":[{"l":[{},[0,0,0,4]],"r":[{"s":[{"t":[{"e":[{".":[{},[0,0,0,0,8,7]]}]}]}]}],"s":[{"e":[{".":[{},[0,0,0,0,6]]}]}]}],"g":[{"o":[{"r":[{"g":[{"a":[{},[0,0,0,7]]}]}]}],"r":[{"a":[{"n":[{"k":[{},[0,0,0,7]]}]}]}],"s":[{"p":[{"y":[{"k":[{},[0,0,0,7]]}]}]}]}],"i":[{"d":[{".":[{},[5]],"s":[{"t":[{"e":[{"m":[{},[0,0,0,0,7]]}]}]}]}]}],"k":[{"o":[{},[0,0,4]],"s":[{"a":[{"a":[{"n":[{},[0,0,0,7]]}]}]}],"w":[{},[0,0,4,3]]}],"l":[{"a":[{"n":[{"g":[{"e":[{},[0,0,0,7]]}]}]}]}],"n":[{"d":[{},[0,0,0,0,4]],"s":[{"o":[{},[0,0,0,4]]}]}],"r":[{"a":[{".":[{},[0,0,9]],"k":[{"l":[{},[0,0,0,6]]}],"l":[{"d":[{".":[{},[0,0,7]]}]}],"n":[{},[0,0,5,4]]},[0,0,0,3]],"e":[{"g":[{"p":[{"a":[{},[0,0,0,7]]}]}],"k":[{},[0,0,4,5]],"v":[{},[0,0,4,5]]},[0,0,3]],"f":[{"s":[{},[0,0,0,0,0,5]]},[0,0,0,0,4]],"i":[{"b":[{".":[{},[0,0,0,6]]}],"d":[{},[0,0,5]]},[0,0,0,3]],"o":[{"d":[{},[0,0,5]],"l":[{},[0,0,5]],"n":[{"d":[{},[0,0,0,5]],"t":[{"m":[{},[0,0,0,7]]}]}],"s":[{"s":[{},[0,0,0,6]]},[0,0,5]],"u":[{},[0,0,5]],"w":[{},[0,0,0,5]]}],"s":[{"c":[{"h":[{"e":[{},[0,0,0,7]]}]}]}],"u":[{},[0,0,0,3]],"y":[{"k":[{},[0,0,0,5]]}]},[0,0,2]],"s":[{"p":[{"e":[{"r":[{"u":[{},[0,0,0,7]]}]}]},[0,0,4]],"t":[{},[0,0,4,3]]}],"t":[{"e":[{"r":[{"o":[{},[0,0,0,0,5,6]]}]}]}],"u":[{"p":[{"a":[{"a":[{},[0,0,0,6]]}]}],"s":[{},[0,0,3]]}],"v":[{"r":[{},[0,0,4]]},[0,0,0,3]],"w":[{"e":[{"n":[{"s":[{"t":[{},[0,0,0,0,0,7]]}]}]}]}]}],"i":[{"e":[{"r":[{"i":[{"n":[{".":[{},[0,0,0,0,7]]}]}],"o":[{"n":[{"i":[{},[0,0,0,7]],"y":[{},[0,0,0,7]]}]}]},[0,0,0,4]]}],"ë":[{},[0,0,0,1]],"l":[{"l":[{"b":[{"r":[{},[0,0,0,6]]}]}]}],"n":[{"g":[{"s":[{"t":[{},[0,0,0,0,6,5]]},[5]]}]}],"p":[{"e":[{},[0,0,0,0,4]]}],"r":[{"l":[{},[0,0,4]]}],"s":[{"p":[{"a":[{},[0,0,0,5]]},[0,0,4]]}],"v":[{"-":[{},[0,0,4]]}]}],"l":[{"i":[{},[0,3]]},[2]],"m":[{"a":[{},[0,3]]},[2]],"n":[{},[2]],"o":[{"d":[{"e":[{"s":[{"l":[{"a":[{},[0,0,0,0,0,7]]},[0,0,0,0,6]]}]}]}],"e":[{"k":[{"a":[{"a":[{"i":[{},[0,0,0,7]]}]}],"y":[{"s":[{},[0,0,0,6]]}]}],"s":[{"p":[{"i":[{},[0,0,0,6]]}],"t":[{},[0,0,0,4,5]]}]}],"ë":[{"r":[{"o":[{"p":[{".":[{},[0,0,0,0,7]]}]}]}]}],"f":[{"a":[{"a":[{},[0,0,0,5]],"m":[{"p":[{".":[{},[0,0,0,7]]}]}]},[0,0,4]],"u":[{"i":[{"t":[{"s":[{},[0,0,0,7]]}]}]}]}],"g":[{"h":[{"o":[{"k":[{},[0,0,0,6]]}]}]}],"i":[{"s":[{"w":[{"e":[{"r":[{},[0,0,0,7]]}]}]}]}],"k":[{"r":[{"a":[{"k":[{"k":[{},[0,0,0,7]]}]}]}]}],"l":[{"a":[{"a":[{"r":[{".":[{},[0,0,0,7]]}]}]}],"e":[{"s":[{},[0,0,0,0,0,5]]}],"f":[{},[4]],"i":[{"n":[{},[0,0,0,5]]}],"o":[{"o":[{"g":[{".":[{},[0,0,0,7]]}]}]}]}],"n":[{".":[{},[4]],"d":[{"a":[{"a":[{},[0,0,0,6]],"g":[{},[0,0,0,6]]}],"r":[{"o":[{},[0,0,0,6]]}]}]}],"p":[{"l":[{"a":[{"n":[{"d":[{},[0,0,0,7]]}]}]}],"s":[{"m":[{"a":[{"a":[{},[0,0,0,7]]}]}]}]}],"r":[{"o":[{},[0,0,3]],"s":[{},[0,0,0,4]],"t":[{"j":[{},[0,0,0,4,5]]}]}],"s":[{"h":[{"o":[{"l":[{},[0,0,0,6]]}]}]}],"t":[{"a":[{},[0,0,4]]}],"u":[{"t":[{"a":[{},[0,0,0,4,5]],"j":[{},[0,0,0,0,5]],"o":[{"l":[{},[0,0,0,6]],"m":[{},[0,0,0,6]]}]}],"w":[{"h":[{"o":[{},[0,0,0,6]]}]}]}]}],"r":[{"e":[{"s":[{"t":[{"o":[{},[0,0,0,6]]}]}]}],"i":[{"e":[{"s":[{},[0,0,0,0,0,5]]},[0,0,0,0,4]],"s":[{"t":[{},[0,0,0,0,5]]}]}]},[2]],"t":[{"e":[{},[0,3]],"o":[{},[0,3]]}],"u":[{"g":[{"o":[{".":[{},[0,0,9]]}]}],"i":[{"d":[{"a":[{"a":[{},[0,0,0,6]]}],"u":[{"i":[{},[0,0,0,6]]}]}],"s":[{"e":[{"f":[{},[0,0,0,6]]}]}],"t":[{"j":[{"i":[{"e":[{},[0,0,0,7]]},[0,0,0,0,6]]}]}]}],"k":[{"h":[{"u":[{"n":[{},[0,0,0,6]]}]}]}],"l":[{"p":[{"a":[{},[0,0,0,4,5]],"e":[{"k":[{},[0,0,0,6]]}],"l":[{"e":[{},[0,0,0,6]]}],"o":[{"r":[{},[0,0,0,6]]}]}],"s":[{"t":[{"e":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}]}],"m":[{"o":[{"e":[{"s":[{".":[{},[0,0,0,7]]}]}]},[0,0,3]],"u":[{"s":[{},[0,0,0,0,0,5]]}]}],"t":[{"e":[{"r":[{"s":[{},[0,0,0,0,0,6]]}]}],"j":[{"i":[{"e":[{".":[{},[0,0,0,7]]}]}]}],"s":[{"p":[{"o":[{},[0,0,0,6]]}],"t":[{"e":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}]}]}],"v":[{"i":[{"l":[{"l":[{},[0,5]]}]}]}],"w":[{},[2]],"y":[{"g":[{"r":[{"o":[{"m":[{"a":[{},[0,0,0,7]]}]}]}]}],"s":[{"k":[{},[0,0,0,3]],"t":[{"a":[{"n":[{"g":[{},[0,0,0,7]]}]}]}]}]}]},[1,2]],"i":[{"a":[{"a":[{"n":[{"s":[{"o":[{},[0,0,0,0,6]],"p":[{},[0,0,0,0,6]],"t":[{"e":[{},[0,0,0,0,0,7]]},[0,0,0,0,6]]}]}]}],"m":[{"s":[{"o":[{"n":[{".":[{},[0,0,0,7]]}]}]}]}],"n":[{"o":[{"p":[{},[0,0,4]]}]}],"s":[{"k":[{"o":[{"o":[{},[0,0,0,6]]}]}],"p":[{"o":[{},[0,0,5]]}],"t":[{"a":[{},[0,0,5]],"r":[{},[0,0,5,4]]}]}]},[0,1]],"b":[{"a":[{"f":[{},[0,4]],"g":[{},[0,4]]}],"o":[{"u":[{"s":[{".":[{},[0,0,0,0,6]]}]}]}]}],"c":[{"k":[{"y":[{".":[{},[0,0,5]]}]}]}],"d":[{"a":[{"g":[{"r":[{"o":[{"e":[{},[0,0,0,7]]}]}],"t":[{},[0,0,5]]}]},[0,3]],"d":[{"e":[{"r":[{"a":[{},[0,0,0,0,6]]}]}]}],"e":[{"s":[{"n":[{"u":[{"i":[{},[0,0,0,7]]}]}]}]},[0,3]],"ê":[{},[0,3]],"i":[{"a":[{"s":[{},[0,0,0,0,5]]}]},[0,3]],"j":[{"a":[{"n":[{},[0,5]]},[0,0,4]]}],"o":[{},[0,3]],"r":[{},[0,3]],"s":[{"e":[{"t":[{},[0,0,4,5]]}],"i":[{"n":[{"o":[{"e":[{},[0,0,0,7]]}]}]}],"k":[{"a":[{},[0,0,4]],"e":[{"r":[{"m":[{},[0,0,0,7]]}]}],"r":[{},[0,0,0,5]]}],"l":[{"a":[{"g":[{"s":[{},[0,0,0,7]]}]}]},[0,0,0,3]],"n":[{"y":[{"e":[{".":[{},[0,0,0,7]]}]}]}],"o":[{},[0,0,0,3]],"p":[{"a":[{".":[{},[0,0,0,6]]}],"e":[{"k":[{},[0,0,0,6]]}],"i":[{"e":[{},[0,0,0,6]],"l":[{},[0,0,6]]}],"r":[{"i":[{},[0,0,0,6]],"y":[{},[0,0,6]]}]},[0,0,0,3]],"t":[{"a":[{"a":[{"l":[{},[0,0,0,7]]}]}],"e":[{"e":[{".":[{},[0,0,0,7]]}],"k":[{"s":[{},[0,0,0,7]]}],"l":[{"e":[{},[0,0,0,7]]}]}],"i":[{},[0,0,0,5]],"o":[{"e":[{},[0,0,0,5]]}],"r":[{"e":[{"k":[{},[0,0,6,7]]}]}]}],"u":[{"r":[{"e":[{".":[{},[0,0,0,7]]}]}]}]},[0,0,2,1]],"u":[{"u":[{},[0,0,3]]},[0,3]]},[0,2]],"e":[{"d":[{"i":[{"n":[{"g":[{"s":[{},[0,0,0,0,0,0,6,7]]}]}],"o":[{"n":[{"e":[{},[0,0,0,7]]}]}]}],"r":[{"o":[{"l":[{},[0,0,0,5]]}]}],"w":[{},[0,0,0,3]]}],"e":[{"e":[{"n":[{},[0,0,5]]},[0,4]]},[0,1]],"ë":[{"a":[{"a":[{"r":[{"d":[{},[0,0,0,7]]}]}]}],"l":[{"y":[{"s":[{},[0,0,0,6]]}]}]}],"f":[{"a":[{"l":[{"a":[{"r":[{},[0,0,0,7]]}]}]}],"i":[{"e":[{},[0,0,5]]}],"r":[{},[0,0,4,3]],"s":[{"t":[{"a":[{"l":[{},[0,0,0,7]]}]}]}],"u":[{"i":[{"t":[{"g":[{},[0,0,0,7]]}]}]}]}],"g":[{"l":[{"a":[{},[0,0,5]],"o":[{"k":[{"a":[{},[0,0,0,7]]}]}]}],"r":[{"i":[{"e":[{"m":[{},[0,0,0,7]]}],"t":[{},[0,0,6]]}]}],"s":[{"t":[{},[0,0,0,5]]}]}],"k":[{"a":[{"s":[{"y":[{"n":[{},[0,0,0,7]]}]}]}],"e":[{".":[{},[0,0,5]],"r":[{"v":[{},[0,0,6,5]]}],"s":[{"s":[{"e":[{},[0,0,0,7]]}]}]}],"i":[{"e":[{},[0,0,5]]}],"l":[{"a":[{"a":[{"i":[{},[0,0,0,7]]},[0,0,6]]}]}],"n":[{"i":[{},[0,0,4]]}],"o":[{"n":[{"d":[{},[0,0,6,5]]}],"p":[{"l":[{"e":[{},[0,0,0,7]]}],"s":[{"e":[{},[0,0,0,7]]},[0,0,6]],"v":[{},[0,0,0,5]]}]}],"r":[{"e":[{"v":[{"u":[{},[0,0,0,7]]}]},[0,0,4]],"i":[{"g":[{"t":[{},[0,0,0,7]]}]}]}],"w":[{"a":[{"r":[{"e":[{},[0,0,0,7]]}]}],"e":[{"e":[{"s":[{},[0,0,0,7]]}]}],"i":[{},[0,0,4,5]],"o":[{"s":[{},[0,0,0,6]]}],"y":[{"d":[{".":[{},[0,0,0,7]]}]}]}]}],"l":[{"a":[{"a":[{},[0,0,4]],"f":[{"o":[{},[0,0,0,6]]}]}],"e":[{"n":[{"e":[{},[0,0,6]]}]}],"o":[{"o":[{"r":[{".":[{},[0,0,0,7]]}]}]}],"s":[{"a":[{"n":[{},[0,0,0,6]]}],"o":[{"n":[{},[0,0,0,6,5]]}]}]}],"n":[{"a":[{"n":[{"a":[{"l":[{},[0,0,0,7]]}]}]}],"g":[{"l":[{"o":[{"r":[{},[0,0,0,7]]}]}]}],"k":[{"r":[{"o":[{},[0,0,0,6]]}]}],"o":[{"l":[{"i":[{"e":[{},[0,0,0,7]]}]}],"o":[{},[0,0,4,5]]}],"s":[{"a":[{"k":[{"k":[{},[0,0,0,7]]}]}],"o":[{"r":[{},[0,0,0,0,5]],"u":[{"t":[{},[0,0,0,7]]}]}],"p":[{"a":[{"n":[{},[0,0,0,7]]}]}],"t":[{"a":[{"m":[{},[0,0,0,7]]}],"e":[{"l":[{"e":[{},[0,0,0,8]]},[0,0,0,7]],"t":[{},[0,0,0,7]]}],"o":[{"o":[{},[0,0,0,7]]}]},[0,0,0,0,5]],"u":[{"u":[{},[0,0,0,5]]}]},[0,0,0,4]],"u":[{"r":[{},[0,0,4,5]]}]}],"p":[{"o":[{"o":[{"g":[{".":[{},[0,0,0,7]]},[0,0,6]]}]}],"r":[{"o":[{"o":[{"i":[{},[0,0,0,7]]},[0,0,6]]}]}]}],"r":[{"a":[{"f":[{"m":[{"a":[{},[0,0,0,7]]}],"s":[{},[0,0,6]]}]}],"e":[{"n":[{"g":[{"t":[{},[0,0,0,7]]}]}],"t":[{"e":[{"r":[{},[0,0,0,7]]}]}]}],"n":[{"e":[{"f":[{"f":[{},[0,0,0,7]]}]}]}],"o":[{"m":[{"t":[{"r":[{},[0,0,0,7]]}]}],"n":[{"i":[{},[0,0,0,6]],"y":[{},[0,0,0,6]]},[0,0,4,5]]}],"s":[{"w":[{"e":[{"e":[{},[0,0,0,7]]}]}]}]}],"s":[{"a":[{"m":[{"p":[{},[0,0,0,6]]}]}],"e":[{".":[{},[0,0,5]],"n":[{"k":[{"e":[{},[0,0,0,7]]},[0,0,6]],"t":[{"s":[{},[0,0,0,7]]}]}]}],"f":[{"e":[{"r":[{"w":[{},[0,0,0,7]]}]}]}],"k":[{"a":[{"f":[{".":[{},[0,0,0,7]]}]}],"o":[{"n":[{},[0,0,6]],"p":[{".":[{},[0,0,0,7]]}]}],"r":[{"a":[{"a":[{},[0,0,0,7]]}],"y":[{},[0,0,0,6]]}]}],"l":[{"a":[{"a":[{"g":[{},[0,0,0,7]]}]}],"e":[{"p":[{"e":[{},[0,0,0,7]]},[0,0,6]]}],"i":[{},[0,0,0,5]],"u":[{"i":[{"k":[{},[0,0,0,7]]}]}]}],"m":[{"e":[{"u":[{"b":[{},[0,0,0,7]]}]}],"o":[{"o":[{"i":[{},[0,0,0,7]]}]}]}],"o":[{"e":[{"s":[{".":[{},[0,0,0,7]]}]}],"n":[{"d":[{},[0,0,0,5]]}],"o":[{"r":[{"p":[{},[0,0,0,7]]}]}],"p":[{"n":[{"e":[{},[0,0,0,7]]},[0,0,6]]}]},[0,0,3]],"p":[{"a":[{"n":[{"e":[{},[0,0,0,7]]}]}],"e":[{"r":[{},[0,0,0,5]]}],"l":[{"i":[{"g":[{},[0,0,0,7]]}]}]}],"t":[{"a":[{"a":[{"l":[{},[0,0,6,7]]}],"s":[{},[0,0,0,6]]}],"e":[{"e":[{".":[{},[0,0,0,7]]}],"h":[{},[0,0,6]],"l":[{"e":[{},[0,0,0,7]]}],"n":[{"t":[{},[0,0,0,7]]}]}],"i":[{"n":[{},[0,0,0,6]]}]}],"u":[{"i":[{"l":[{},[0,0,0,5]]}]}],"w":[{},[0,0,4,3]]}],"t":[{"a":[{"a":[{"n":[{"s":[{},[0,0,0,7]]}],"r":[{"d":[{},[0,0,0,7]]}]}],"l":[{"b":[{"a":[{},[0,0,0,7]]}]}]}],"e":[{".":[{},[0,0,5]],"r":[{"t":[{"s":[{},[0,0,0,7]]}]}]}],"o":[{"m":[{"s":[{"e":[{},[0,0,0,7]]}]}]}],"r":[{"e":[{"k":[{"e":[{},[0,0,0,7]],"o":[{},[0,0,0,7]]}]}]}],"s":[{"l":[{},[0,0,0,4]]}],"u":[{"i":[{"e":[{".":[{},[0,0,0,7]]}]}]}],"w":[{"i":[{},[0,0,5]]}],"y":[{"s":[{},[0,0,4]]}]}],"u":[{"b":[{},[0,4]],"d":[{},[0,4]],"g":[{"r":[{"i":[{"e":[{},[0,0,0,7]]}]}]},[0,4]],"i":[{"n":[{"g":[{".":[{},[0,0,0,7]]}]}]},[0,4,3]],"l":[{},[0,4]],"m":[{},[0,4]],"s":[{"k":[{"o":[{"t":[{},[0,0,0,7]]}]}]}],"u":[{},[0,4]],"v":[{},[0,4]],"w":[{},[0,4]]},[0,1]],"w":[{"i":[{"e":[{},[0,0,5]]}],"-":[{},[0,0,4]]}],"y":[{"s":[{"t":[{},[0,0,5]]}]}],"-":[{"k":[{"l":[{"i":[{"k":[{},[0,0,0,7]]}]}]}]}]}],"è":[{"r":[{},[0,3]]}],"ê":[{},[0,1]],"ë":[{"l":[{"s":[{"k":[{"u":[{},[0,0,0,6]]}]}]}],"n":[{"t":[{"j":[{"i":[{"e":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}]}],"s":[{"t":[{},[0,0,4,3]]}]}],"f":[{"e":[{"i":[{},[0,4]]}],"i":[{"m":[{},[0,4]],"n":[{},[0,4]]}],"l":[{},[0,0,1]],"r":[{},[0,2,3]],"u":[{"i":[{},[0,4,3]]}]}],"g":[{"a":[{"a":[{"n":[{},[0,4,5]]}],"p":[{},[0,4]],"r":[{"e":[{"t":[{},[0,0,0,0,0,0,5]]},[0,0,0,0,0,4]]}]}],"e":[{"f":[{"f":[{},[0,0,5]]}],"n":[{"a":[{"a":[{},[0,0,0,6]]}]}],"t":[{"e":[{},[0,0,5]]}]}],"i":[{"n":[{"s":[{},[0,0,5]]}]}],"l":[{"o":[{"e":[{},[0,0,5]]}]},[0,0,1]],"o":[{"p":[{"t":[{},[0,0,5]]},[0,0,4]],"r":[{"g":[{},[0,0,5]],"o":[{"o":[{"s":[{},[0,0,0,7]]}]}]}]}],"r":[{"e":[{"s":[{},[0,0,5]]}],"o":[{"o":[{},[0,0,5]]}],"y":[{},[0,4,3]]}],"s":[{"a":[{},[0,0,3]],"i":[{"n":[{"s":[{},[0,0,0,6]]}]}],"k":[{"a":[{"p":[{"s":[{},[0,0,0,7]]}]}],"e":[{"n":[{"d":[{},[0,0,7]]}]}],"o":[{},[0,0,0,5]],"u":[{},[0,0,5]]}],"m":[{"e":[{"e":[{},[0,0,0,6]]}]}],"o":[{"n":[{"a":[{},[0,0,0,6]]}],"o":[{},[0,0,5]]}],"p":[{"o":[{"e":[{"i":[{},[0,0,0,7]]}]}]}],"t":[{"i":[{},[0,0,5]],"o":[{"e":[{"i":[{},[0,0,7]]}]}]}]}],"u":[{"e":[{"r":[{"a":[{".":[{},[0,0,0,7]]}]}]}]}]}],"h":[{"u":[{"a":[{"h":[{"u":[{},[0,0,0,6]]}]}]}]}],"i":[{},[0,1]],"k":[{"e":[{"r":[{"o":[{"e":[{},[0,0,0,6]]}]}],"t":[{"j":[{},[0,0,0,0,5]]}]}],"k":[{"l":[{"i":[{},[0,0,5]]}]}],"n":[{},[0,2,3]],"o":[{"n":[{"a":[{"t":[{},[0,0,0,6]]}]}]}],"r":[{},[0,1]],"s":[{"a":[{"k":[{"t":[{"e":[{},[0,0,0,7]]},[0,0,6]]}]}],"i":[{"d":[{"e":[{"n":[{},[0,0,0,7]]}]}],"n":[{"v":[{"e":[{},[0,0,0,7]]}]},[0,0,4]]}],"j":[{"u":[{"k":[{".":[{},[0,0,0,7]]}]}]}],"k":[{"o":[{"m":[{},[0,0,6]]}]}],"p":[{"a":[{"a":[{"r":[{},[0,0,0,7]]}],"d":[{},[0,0,0,6]],"r":[{"e":[{},[0,0,0,7]]}]}]}],"t":[{"i":[{"k":[{},[0,0,0,6]]}],"u":[{"u":[{},[0,0,0,6]]}]}],"w":[{"e":[{"l":[{},[0,0,0,6]]}]}]}],"w":[{"a":[{"n":[{},[0,0,5]]}],"e":[{},[0,4,3]],"y":[{},[0,4]]}]}],"l":[{"a":[{"g":[{"t":[{},[0,0,5]]}],"t":[{"o":[{"o":[{},[0,0,0,6]]}]}]},[0,1]],"b":[{"e":[{"s":[{"t":[{},[0,0,0,0,6]]}]}]}],"d":[{"a":[{"g":[{"t":[{"i":[{},[0,0,0,7]]}]}]}],"s":[{"m":[{"a":[{"a":[{},[0,0,0,7]]}]}],"t":[{"j":[{},[0,0,0,6]]}]}],"t":[{"e":[{"m":[{"m":[{},[0,0,0,7]]}]}]}]}],"e":[{"t":[{"a":[{},[0,0,0,0,5]],"j":[{"i":[{"e":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}]}],"f":[{"l":[{"i":[{},[0,0,5]]},[0,0,0,4]]}],"g":[{"h":[{"a":[{},[0,0,5]]}]}],"i":[{"n":[{"d":[{"e":[{},[0,0,0,0,0,0,6]]}]}]}],"l":[{"o":[{"w":[{},[0,0,0,0,4]]}],"u":[{},[3]]}],"m":[{"a":[{"t":[{},[0,0,4,5]]}],"o":[{"p":[{"e":[{"r":[{},[0,0,0,7]]}]}]}]}],"o":[{"s":[{"k":[{},[0,0,0,5]]}]},[0,1]],"s":[{"i":[{"n":[{"s":[{"p":[{},[0,0,0,7]]}]}]}],"o":[{"r":[{"d":[{"e":[{},[0,0,0,7]]}]}]}],"p":[{"r":[{},[0,0,4]]}]}],"t":[{"a":[{"a":[{"r":[{".":[{},[0,0,0,7]]}]}]}]}],"u":[{},[0,1]]},[2]],"m":[{"a":[{"g":[{"t":[{},[0,0,5]]}]},[0,3]],"e":[{"k":[{"s":[{},[0,0,5]]},[0,4]],"l":[{"a":[{"a":[{"r":[{},[0,0,0,7]]}]}]}],"n":[{"t":[{"s":[{},[0,0,0,0,0,6]]}]}],"s":[{"t":[{},[0,0,0,0,5]]},[0,0,0,4]]},[0,3]],"ê":[{},[0,3]],"i":[{},[0,3]],"m":[{"i":[{"g":[{"r":[{},[5]]}]}]}],"o":[{"p":[{},[0,4,3,4]],"t":[{"h":[{"e":[{"u":[{},[0,0,0,7]]}]}]}]},[0,3]],"p":[{"l":[{"i":[{"k":[{},[5]]}]}]}],"u":[{"m":[{"a":[{"a":[{},[0,0,0,6]]}]}]},[0,3]]},[0,2]],"n":[{"a":[{"a":[{"r":[{"d":[{},[0,0,5]]}]}],"f":[{},[0,4]],"g":[{},[0,4,3]],"k":[{"k":[{},[0,0,5]]}],"r":[{"g":[{},[0,0,5]]}]}],"d":[{"a":[{"a":[{},[0,0,4,5]],"s":[{},[0,0,4]]}],"e":[{"r":[{"a":[{"s":[{},[0,0,0,0,0,7]]}]}]}],"i":[{"v":[{},[5]]}],"o":[{"e":[{"f":[{},[0,0,0,6]]}],"o":[{"g":[{"m":[{},[0,0,0,7]]},[0,0,6]],"r":[{},[0,0,6,5]]}]}],"s":[{"l":[{"e":[{"u":[{},[0,0,0,7]]}]}],"w":[{},[0,0,0,5]]}],"u":[{},[3]],"w":[{"i":[{},[0,0,5]]}]}],"e":[{"e":[{"t":[{"j":[{"i":[{},[0,0,0,0,7]]}]}]}],"r":[{"a":[{},[0,0,0,5]]}]}],"f":[{},[2]],"g":[{"a":[{"a":[{"r":[{"s":[{},[0,0,0,7]]}]}],"n":[{},[0,0,5]]}],"e":[{"t":[{"e":[{"r":[{},[0,0,0,7]]}]}]}],"h":[{"p":[{"a":[{},[0,0,0,6]]}]}],"i":[{"n":[{"d":[{},[0,0,6]],"f":[{"r":[{},[0,0,0,7]]},[0,0,6]],"s":[{"t":[{},[0,0,0,7]]}]}]}],"l":[{"e":[{"b":[{},[0,0,0,6]]}]}],"o":[{"p":[{"e":[{},[0,0,0,6]],"l":[{},[0,0,0,6]]}],"u":[{},[0,0,0,5]]}],"p":[{"s":[{"e":[{"u":[{},[0,0,0,7]]}]}]}],"r":[{"u":[{},[0,0,4,5]]}],"s":[{"a":[{"a":[{"g":[{},[0,0,0,7]]}],"p":[{".":[{},[0,0,0,7]]}]}],"e":[{"e":[{".":[{},[0,0,0,7]]}],"k":[{"r":[{},[0,0,0,7]],"u":[{},[0,0,0,7]]}]}],"f":[{"e":[{"r":[{},[0,0,0,7]]}]}],"i":[{"n":[{".":[{},[0,0,0,7]],"j":[{},[0,0,0,7]]}]}],"k":[{"a":[{"l":[{},[0,0,0,7]]}],"ê":[{"r":[{},[0,0,0,7]]}],"u":[{"d":[{},[0,0,0,7]]}]}],"l":[{"e":[{"p":[{},[0,0,0,7]]}],"y":[{"m":[{},[0,0,0,7]]}]}],"o":[{"f":[{"a":[{},[0,0,0,7]]}],"m":[{".":[{},[0,0,0,7]],"m":[{},[0,0,0,7]]}]}],"p":[{"i":[{"l":[{},[0,0,0,6,7]]}]}],"t":[{"e":[{"l":[{"l":[{"e":[{},[0,0,0,0,9]]}]}]}],"i":[{"n":[{},[0,0,0,7]]}]}],"u":[{"i":[{"e":[{},[0,0,0,7]],"l":[{},[0,0,0,7]]}]}],"w":[{"e":[{"l":[{},[0,0,0,7]]}]}]}],"u":[{"i":[{"l":[{".":[{},[0,0,0,7]]}]}]}]}],"i":[{"g":[{"a":[{"a":[{},[0,0,0,6]]}]}],"k":[{},[0,0,4]],"n":[{"f":[{},[0,0,5]]}],"s":[{"i":[{"a":[{},[5]]}]}]},[0,3]],"k":[{"e":[{"r":[{"t":[{"s":[{},[0,0,0,7]]}]}]}],"l":[{"a":[{"a":[{"g":[{},[0,0,0,7]]}]}],"e":[{"r":[{".":[{},[0,0,0,7]]}]}]}],"n":[{"e":[{"r":[{"f":[{},[0,0,0,7]]}]}],"u":[{},[0,0,0,5]]}],"o":[{"g":[{"i":[{"e":[{},[0,0,0,7]]}]}],"l":[{"i":[{"e":[{},[0,0,0,7]]}]},[0,0,4]],"m":[{},[5]]}],"r":[{"i":[{"n":[{"g":[{},[0,0,0,7]]}]}],"o":[{"l":[{},[0,0,6]]}]}],"s":[{"t":[{},[0,0,0,5]]}],"w":[{"i":[{"t":[{".":[{},[0,0,0,7]]}]}]}]}],"n":[{"a":[{"m":[{},[5]]}],"e":[{"m":[{"i":[{},[5]]}],"s":[{"t":[{"e":[{},[0,0,0,0,7]]},[0,0,0,0,0,6]]}]}]}],"o":[{"n":[{"g":[{},[0,0,5]]}],"s":[{"k":[{"a":[{"a":[{},[0,0,0,7]]}]}]}]}],"r":[{"a":[{"g":[{},[0,0,5]]}],"i":[{"g":[{},[5]]}]}],"s":[{"e":[{"p":[{"o":[{"u":[{},[0,0,0,7]]}]}],"t":[{"e":[{},[0,0,6,5]],"s":[{},[5]]}]}],"g":[{},[0,0,4]],"k":[{"a":[{"p":[{"s":[{},[0,0,0,7]]}]}],"i":[{"n":[{},[0,0,0,6]]}]}],"l":[{},[0,0,3]],"m":[{"o":[{"l":[{"t":[{},[0,0,0,7]]}],"o":[{"r":[{},[0,0,0,7]]}]}]}],"o":[{"n":[{"d":[{},[0,0,0,6]]}]}],"p":[{"e":[{"k":[{},[5]]}],"r":[{"i":[{"e":[{},[0,0,0,7]]}]}]}],"t":[{"i":[{"t":[{".":[{},[0,0,0,0,0,7]]}]},[5]],"o":[{"n":[{},[0,0,0,6]]}],"w":[{"i":[{"s":[{},[0,0,0,7]]}]}]},[0,0,0,4]]}],"t":[{"a":[{"p":[{"p":[{"e":[{},[0,0,0,7]]}]}]}],"e":[{"s":[{"s":[{},[0,0,0,5]],"t":[{},[0,0,0,0,6,5]]}]}],"h":[{"e":[{".":[{},[0,0,0,6]]}]}],"u":[{"i":[{"t":[{},[0,0,0,6]]}]}],"w":[{"y":[{"f":[{},[0,0,0,6]]}]}]}],"u":[{"e":[{".":[{},[0,0,0,5]]}]}],"v":[{"l":[{"o":[{},[5]]}]}]}],"o":[{"p":[{"r":[{},[0,0,3]]}],"r":[{"u":[{"b":[{"r":[{},[0,0,0,6]]}]}]}],"s":[{"k":[{"l":[{},[0,0,5]]},[0,0,0,4]],"p":[{},[0,0,0,4]],"t":[{},[0,0,0,4]]},[0,0,1]],"t":[{"r":[{},[0,0,3]]}]},[0,1]],"p":[{"a":[{"g":[{},[0,4,3]]},[0,3]],"e":[{},[0,3]],"i":[{},[0,3]],"l":[{"o":[{},[0,0,4]]},[0,3]],"o":[{"s":[{"t":[{},[0,0,0,4,5]]}]},[0,3]],"r":[{"e":[{},[0,0,0,0,4]]},[0,3]],"s":[{".":[{},[0,0,4]],"k":[{"o":[{"p":[{"i":[{},[0,0,0,7]]}]}]}]}],"u":[{"i":[{},[0,4]]},[0,3]],"y":[{},[0,3]]},[0,2]],"r":[{"c":[{"h":[{},[0,0,4]]}],"k":[{"e":[{"l":[{"o":[{},[0,0,0,0,0,5]]}]},[0,0,0,0,4]]}],"o":[{"p":[{"r":[{},[0,0,0,5]]},[0,0,0,0,4]]}],"u":[{"s":[{},[0,0,0,4]]}],"w":[{"a":[{},[0,4]]}]},[0,1]],"s":[{"a":[{"g":[{"i":[{},[0,5]]},[0,0,3]],"k":[{"s":[{},[0,4,5]]}],"n":[{"g":[{"s":[{},[0,6]]}]}],"r":[{"g":[{},[0,4]]},[0,0,3]],"s":[{"p":[{},[0,0,5]]}],"v":[{},[0,4]]}],"c":[{},[0,0,3]],"e":[{"i":[{},[0,4,3]],"t":[{},[0,4,3]],"u":[{"m":[{},[0,0,0,5]]}]}],"f":[{"e":[{"e":[{"r":[{},[0,5]]}]}]}],"h":[{"n":[{"i":[{"e":[{".":[{},[0,0,0,7]]}]}]}]}],"i":[{"n":[{"t":[{},[0,4,5]],"v":[{},[0,0,5]]}]}],"j":[{".":[{},[0,4]],"a":[{"n":[{},[0,0,5]]}],"o":[{"e":[{},[0,0,5]]}]},[0,2]],"k":[{".":[{},[0,0,4]],"a":[{"a":[{"f":[{},[0,0,6]]}],"n":[{},[0,0,5]]},[0,4]],"ê":[{},[0,0,4]],"u":[{"i":[{},[0,0,5]]}]},[0,2,3]],"l":[{"a":[{"a":[{},[0,0,5]],"g":[{},[0,5]]}]},[0,2,3]],"m":[{"i":[{"t":[{},[0,5,4]]}]},[0,0,3]],"n":[{},[0,2,3]],"o":[{"e":[{"s":[{},[0,0,5]]}],"n":[{"d":[{},[0,0,5]]}],"r":[{},[0,0,3]]}],"p":[{".":[{},[0,0,4]]},[0,0,3]],"t":[{".":[{},[0,0,4]],"h":[{},[0,0,4]],"o":[{"p":[{"h":[{"o":[{},[0,0,0,0,7]]}]}]}],"y":[{"n":[{},[0,5,4]]}]},[0,0,3]],"u":[{"i":[{"k":[{},[0,5]]},[0,4,3]],"m":[{"a":[{"a":[{},[0,0,0,6]]}]}]}],"w":[{},[0,0,3]]}],"t":[{"a":[{"g":[{},[0,0,3]],"t":[{"i":[{"s":[{},[0,0,0,6]]}]}]},[0,3]],"b":[{},[0,0,3]],"e":[{"d":[{"w":[{"a":[{"l":[{},[0,0,0,7]]}]}]}],"g":[{"l":[{"a":[{"s":[{},[0,0,0,7]]}]}]}],"k":[{"t":[{"e":[{".":[{},[0,0,0,0,7]]}]}]}],"m":[{"a":[{"s":[{},[0,0,0,6]]}]}],"n":[{"h":[{},[0,5]]}],"r":[{"u":[{},[0,0,0,5]]},[0,0,4]],"t":[{"e":[{},[0,4,5]]}]},[0,3]],"ê":[{},[0,3]],"i":[{"n":[{"s":[{},[0,4,5]]},[0,0,4]]},[0,3]],"o":[{"f":[{"a":[{},[0,0,0,5]]}],"p":[{"l":[{"a":[{"n":[{},[0,0,0,7]]}]}]}],"r":[{"o":[{"w":[{"e":[{},[0,0,0,7]]}]}]}]},[0,3]],"r":[{"e":[{},[0,0,3]],"y":[{},[0,0,3]]},[0,0,1]],"s":[{"c":[{},[0,0,4]],"e":[{"r":[{},[0,0,5]],"t":[{"e":[{},[0,0,0,5]]}]}],"j":[{"o":[{"o":[{"d":[{},[0,0,0,7]]}]}]}],"o":[{"o":[{},[0,0,4,5]]}],"p":[{"e":[{"r":[{"k":[{},[0,0,0,7]]}]}]}],"t":[{"e":[{"k":[{},[0,0,0,6]]}],"o":[{"r":[{"i":[{},[0,0,0,7]]}]}]}],"u":[{"u":[{"r":[{".":[{},[0,0,0,7]]}]}]}]}],"u":[{"s":[{"a":[{"a":[{},[0,0,0,6]]}]}]},[0,3]],"w":[{"i":[{"n":[{},[0,0,5]]}]}],"y":[{"s":[{"o":[{"k":[{"k":[{},[0,0,0,7]]}]}]}]},[0,3]],"z":[{"l":[{"a":[{"a":[{"n":[{},[0,0,0,7]]}]}]}]}]},[0,2]],"u":[{"m":[{"a":[{},[0,0,4]],"e":[{},[0,0,4]],"i":[{"e":[{},[0,0,5]]},[0,0,4]],"u":[{"u":[{"r":[{},[0,0,0,6]]}]}]},[0,0,0,1]]},[0,1]],"w":[{"e":[{"l":[{"s":[{"k":[{},[0,0,0,0,6,5]]}]}],"m":[{"o":[{"s":[{".":[{},[0,0,0,7]]}]}]}],"s":[{"p":[{"o":[{"r":[{},[0,0,0,7]]}]}],"t":[{},[0,0,0,5]]},[0,0,0,0,4]]}]}]}],"ï":[{"m":[{},[0,2]],"n":[{"a":[{"k":[{"t":[{},[0,0,5]]}]}],"o":[{},[0,0,3]],"s":[{"t":[{},[0,0,0,4]]}],"u":[{"n":[{"d":[{},[0,0,5]]}]}]}],"s":[{"l":[{"a":[{"m":[{},[0,0,5]]}]}],"t":[{},[0,0,3]]}]},[1]],"j":[{"a":[{"a":[{"r":[{"s":[{"k":[{"r":[{},[0,0,0,0,6,7]]}]}]}]},[3]],"c":[{"q":[{},[0,0,4]]},[3]],"g":[{"a":[{},[0,0,4]]},[3]],"n":[{"g":[{"h":[{"a":[{"i":[{},[0,0,0,7]]}]}]}],"k":[{"n":[{"a":[{"p":[{},[0,0,0,7]]}]}]}]}],"p":[{"l":[{"a":[{},[0,0,5]]},[0,0,0,4]]}],"r":[{"e":[{},[3]],"i":[{},[3]]}],"s":[{"m":[{},[0,0,4]],"p":[{"a":[{"n":[{"t":[{},[0,0,0,7]]}]}]}],"t":[{"a":[{"s":[{},[0,0,0,6]]}]}]}],"z":[{"z":[{"e":[{"r":[{"i":[{},[0,0,0,7]]}]}]},[0,0,0,4]]}]}],"e":[{"k":[{"n":[{},[0,0,4]],"r":[{"a":[{"s":[{"i":[{},[0,0,0,7]]}]}]},[0,0,4]]}],"r":[{"o":[{"p":[{},[0,0,5]]}]}],"s":[{"n":[{"i":[{"ë":[{".":[{},[0,0,0,7]]}]}]}],"t":[{},[0,0,0,4]]}],"t":[{"r":[{},[0,0,4,3]],"s":[{"j":[{"n":[{},[0,0,0,6]]}]}]}],"u":[{"g":[{},[0,0,0,4]]}]}],"i":[{"e":[{"k":[{"n":[{},[5,0,0,5]]}],"n":[{"a":[{"n":[{},[0,0,0,6]]}],"o":[{"l":[{},[0,0,0,6]]}],"s":[{},[0,0,0,0,5]]}],"o":[{"n":[{},[5]],"p":[{},[5]]}],"s":[{"k":[{"a":[{"p":[{},[0,0,0,7]],"t":[{},[0,0,0,0,7]]},[0,0,0,6]],"i":[{},[0,0,0,6]],"o":[{"p":[{},[0,0,0,6]]}]}],"l":[{"o":[{},[0,0,0,6,5]],"u":[{},[0,0,0,6]]}],"o":[{"l":[{},[0,0,0,6]],"n":[{},[0,0,0,6]]}],"p":[{"a":[{},[0,0,0,6]]}],"t":[{"r":[{},[0,0,0,6,5]]}],"u":[{"i":[{"k":[{},[0,0,0,7]]},[0,0,0,6]]}]}],"u":[{},[0,0,4]]}],"n":[{"g":[{"o":[{"p":[{"e":[{},[0,0,0,7]]}]}]}]}],"r":[{"p":[{},[0,0,4]]}]}],"o":[{"b":[{"s":[{},[0,0,0,4,3]]}],"e":[{"k":[{"w":[{"e":[{"e":[{},[0,0,0,7]]}]}]}],"n":[{"s":[{"k":[{},[0,0,0,0,6]]}]}],"r":[{"n":[{},[5]]}]}],"n":[{"g":[{},[3]]}],"s":[{"a":[{"f":[{"a":[{},[0,0,0,6]]}]}]}],"u":[{"k":[{"u":[{"i":[{"t":[{},[0,0,0,7]]}]}]}]}]}],"u":[{"i":[{"t":[{"s":[{"p":[{},[0,0,0,0,6]]}]}]}],"k":[{"r":[{"i":[{"e":[{"m":[{},[0,0,0,7]]}]}]}]}],"n":[{"k":[{"r":[{"e":[{},[0,0,0,6]]}]}]},[3]]}]},[1]],"k":[{".":[{},[2]],"a":[{"a":[{"l":[{},[0,4]],"n":[{"d":[{},[0,5]],"s":[{"t":[{"e":[{".":[{},[0,0,0,0,8,7]]}]}]}],"w":[{},[0,5]]}],"r":[{"s":[{"e":[{".":[{},[0,0,0,0,7]]}],"t":[{"e":[{},[0,0,0,0,0,7]]}]}],"t":[{"i":[{},[0,0,0,0,6]],"j":[{},[0,0,0,0,6,5]]},[5]]}]}],"d":[{"e":[{"l":[{"a":[{},[0,0,0,0,6]]}],"s":[{"l":[{},[0,0,0,0,6]]}]}],"v":[{},[4,3]]}],"f":[{"e":[{"e":[{},[5]]}],"o":[{"e":[{"f":[{},[0,0,0,6]]}]}],"r":[{},[4]],"s":[{},[4,3]]}],"g":[{"e":[{"m":[{},[5]]}],"g":[{"e":[{},[5]]},[0,4]],"o":[{},[0,4]],"r":[{},[0,4]]},[2,1]],"k":[{"s":[{},[4]]}],"l":[{"k":[{"a":[{},[0,0,0,4,5]],"l":[{},[0,0,0,4,5]],"o":[{"o":[{},[0,0,0,6]]},[5]],"w":[{},[0,0,0,4]]}],"s":[{"p":[{},[0,0,0,4,5]],"t":[{},[0,0,0,4]]}]}],"m":[{"p":[{"a":[{"r":[{},[0,0,0,6]]}],"l":[{"e":[{},[0,0,0,6]]}]}],"s":[{},[0,0,0,0,4]]},[3]],"n":[{"a":[{},[3]],"e":[{"r":[{"o":[{},[0,0,0,0,0,5]]}]}],"k":[{},[3]],"o":[{"n":[{"t":[{},[0,0,0,6]]}]}],"s":[{"k":[{"o":[{},[0,0,0,6]]}],"t":[{"e":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"t":[{"j":[{},[0,0,0,4,5]],"o":[{"m":[{".":[{},[0,0,0,0,7]]}]}],"r":[{},[0,0,0,4,5]]},[3]]}],"p":[{"a":[{"k":[{},[0,0,4]],"s":[{},[5]]}],"i":[{"n":[{"t":[{"e":[{},[0,0,0,7]]}]}],"t":[{},[5]]}],"l":[{"a":[{"k":[{},[0,0,0,6]],"t":[{".":[{},[0,0,0,7]]}]}]}],"o":[{},[0,0,0,0,4]],"r":[{"i":[{},[0,0,5]]}],"s":[{"e":[{"i":[{"s":[{},[0,0,0,7]]}]}],"p":[{"r":[{},[0,0,0,6]]}],"t":[{"e":[{"k":[{},[0,0,0,6]]}]}]}],"t":[{"e":[{},[5]]}]}],"r":[{".":[{},[3]],"a":[{"k":[{},[5]]}],"b":[{"e":[{},[4,5]]}],"m":[{".":[{},[0,5]]}],"o":[{"o":[{"r":[{},[0,0,0,6]]},[0,0,5]]}],"s":[{"t":[{},[0,0,0,4]]}],"t":[{"i":[{},[0,5]],"o":[{},[0,0,0,5]]}]}],"s":[{"g":[{},[4]],"l":[{"a":[{"a":[{"i":[{},[0,0,0,7]]}]}]}],"m":[{"a":[{"a":[{},[0,0,0,6]]}]}],"t":[{"r":[{"a":[{"a":[{},[0,0,0,7]]}],"o":[{},[0,0,5,6]]}]}]},[3]],"t":[{"e":[{"g":[{},[5]],"t":[{"e":[{"s":[{},[0,0,0,7]]}]}]}],"h":[{"a":[{"r":[{},[0,0,0,6]]}],"u":[{".":[{},[0,0,0,6]]}]}],"o":[{"o":[{},[0,0,4]]}],"r":[{"y":[{"k":[{".":[{},[0,0,0,7]]}]}]}],"s":[{"w":[{},[0,0,0,5]]},[0,0,0,0,4]],"u":[{"i":[{"l":[{".":[{},[0,0,0,7]]}]}]}]}],"y":[{"a":[{"k":[{"u":[{},[0,0,0,6]]}]}]}]},[1]],"b":[{"e":[{"k":[{"w":[{"i":[{},[0,0,0,6]]}]}]}],"o":[{"u":[{"t":[{"j":[{"i":[{},[0,0,0,0,0,7]]}]}]}]}]},[2]],"d":[{"e":[{},[0,3]]},[2]],"e":[{"d":[{"e":[{"l":[{"o":[{},[0,0,0,0,6]]}]}]}],"e":[{"l":[{"a":[{},[0,0,0,0,5]]}],"n":[{},[4]],"p":[{"s":[{"t":[{},[0,0,0,0,6,5]]}]}],"r":[{"s":[{"o":[{},[0,0,0,0,6]],"t":[{"e":[{},[0,0,0,0,6]]}]}]}]},[0,0,0,2]],"ë":[{"l":[{"a":[{"a":[{"r":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}]}],"f":[{"f":[{},[4]]}],"i":[{"d":[{"r":[{"o":[{},[0,0,0,6]]}],"s":[{"p":[{"r":[{},[0,0,0,0,0,7]]}]}]}],"k":[{},[4]],"s":[{"t":[{},[0,0,0,5]]},[0,0,0,0,4]]}],"k":[{"s":[{},[4,3]]}],"l":[{"a":[{"k":[{},[0,0,4,5]],"n":[{"e":[{"m":[{},[0,0,0,7]]},[0,0,6]]}],"s":[{"s":[{"i":[{},[0,0,0,7]]}]}]}],"e":[{"e":[{"n":[{"h":[{},[0,0,0,7]]}]}],"m":[{},[4,5]]}],"i":[{"n":[{"b":[{"r":[{},[0,0,0,7]]},[0,0,6]]}]}],"m":[{"a":[{"g":[{},[0,0,0,6]]}]}],"o":[{"u":[{},[0,0,4,5]]}],"s":[{"o":[{"n":[{"d":[{"e":[{},[0,0,0,0,8]]}]}]}]}]}],"m":[{"a":[{"f":[{"a":[{},[0,0,0,6]]}]}],"m":[{},[4,3]]}],"n":[{"a":[{"a":[{"r":[{},[0,0,0,6]]}]}],"d":[{"r":[{"a":[{},[0,0,0,6]]}]}],"e":[{"e":[{"l":[{".":[{},[0,0,0,7]]}]}]}],"j":[{},[4,3]],"m":[{},[3]],"n":[{},[3]],"o":[{"u":[{},[0,0,4]]}],"s":[{"o":[{"n":[{".":[{},[0,0,0,7]]}]}]}]}],"p":[{"l":[{"a":[{"a":[{"i":[{},[0,0,0,7]]}]}],"e":[{"r":[{".":[{},[0,0,0,7]]}]}],"o":[{},[0,0,4,5]]}],"s":[{"k":[{},[0,0,0,5]]}]}],"r":[{"e":[{"e":[{"n":[{".":[{},[0,0,0,7]]}]}],"l":[{"s":[{".":[{},[0,0,0,7]]}]},[0,0,4]]}],"f":[{"l":[{"a":[{"n":[{},[0,0,0,7]]}]}]}],"k":[{"a":[{"l":[{},[0,0,0,6]]}],"i":[{"n":[{},[0,0,0,6]]}],"o":[{"r":[{},[0,0,0,6,5]],"w":[{},[0,0,0,6]]}],"r":[{"i":[{"s":[{},[0,0,0,7]]}]},[0,0,0,4]],"u":[{"i":[{"l":[{},[0,0,0,0,7]]},[0,0,0,6]]}],"w":[{"y":[{},[0,0,0,0,5]]}]},[3]],"m":[{"e":[{"n":[{"g":[{},[0,0,0,6,7]]}]}]}],"n":[{"a":[{"f":[{},[0,0,0,6]]}],"e":[{"i":[{},[0,0,0,6]],"n":[{},[0,0,0,6]]}],"o":[{},[0,0,0,4,5]]}],"o":[{"e":[{"s":[{".":[{},[0,0,0,7]]}]}],"n":[{},[0,0,4,5]]}],"p":[{"r":[{"u":[{},[0,0,0,6]]}]}],"s":[{"e":[{"t":[{},[0,0,0,6]]}],"k":[{"i":[{"l":[{},[0,0,0,7]]}],"o":[{"m":[{},[0,0,0,0,7]]}]},[0,0,0,4]],"l":[{"o":[{},[0,0,0,6]]}],"n":[{},[0,0,0,4]],"o":[{"n":[{".":[{},[0,0,0,7]]}]},[0,0,0,4]],"p":[{"i":[{},[0,0,0,6,5]]}],"w":[{},[0,0,0,0,5]]}],"t":[{"s":[{},[4]]}],"v":[{"a":[{"r":[{},[6,5]]}]}]}],"s":[{"e":[{"l":[{".":[{},[0,0,0,6]]}]}],"n":[{},[0,0,4]]}],"t":[{"r":[{"o":[{"l":[{},[0,0,6]]}]}],"s":[{"k":[{"a":[{},[0,0,0,6]]}]}],"t":[{"i":[{},[5]]}],"u":[{},[0,0,4]]}],"u":[{"r":[{"o":[{"r":[{},[0,0,0,6]]}]}],"s":[{},[3]],"t":[{"j":[{"i":[{"e":[{},[0,0,0,0,7]]}]}]}]}],"y":[{"k":[{"l":[{"e":[{"u":[{},[0,0,0,7]]}]}]}],"n":[{"o":[{"o":[{"i":[{},[0,0,0,7]]}]}]}]}]},[1]],"ê":[{"r":[{"b":[{},[0,0,4]]}]}],"f":[{},[2,1]],"g":[{"a":[{"l":[{"a":[{"g":[{"a":[{},[0,0,0,7]]}]}]}]}],"e":[{"l":[{"a":[{},[0,0,0,5]]}]}]},[2,1]],"h":[{"a":[{"y":[{"e":[{"l":[{"i":[{},[0,0,0,7]]}]}]}]}],"o":[{"i":[{},[0,4]]}],"u":[{"k":[{"h":[{"u":[{"n":[{},[0,0,0,7]]}]}]}]}]},[2]],"i":[{"e":[{"d":[{"r":[{"o":[{},[0,0,0,6]]}]}],"l":[{"a":[{"a":[{"i":[{},[0,0,0,7]]}]}]}],"m":[{"a":[{"s":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"s":[{"e":[{"n":[{"t":[{},[0,0,0,6]]}]}],"k":[{"r":[{"y":[{},[0,0,0,7]]}]},[0,0,0,4,5]],"l":[{"o":[{},[0,0,0,6]]},[0,0,0,0,5]],"t":[{"a":[{"n":[{},[0,0,0,0,7]]}]}]}],"t":[{"a":[{},[0,0,0,4]]}],"u":[{"s":[{},[0,0,0,0,5]]}]},[0,0,2]],"k":[{"l":[{},[0,0,4]]}],"m":[{"a":[{},[0,0,4]],"m":[{},[4]]}],"n":[{"d":[{".":[{},[5]],"e":[{"l":[{},[6,5]]}],"r":[{},[0,0,0,5]],"u":[{},[4]]}],"h":[{},[0,3]],"l":[{},[4]],"s":[{"t":[{},[4,5]]}]}],"o":[{"s":[{"k":[{"e":[{".":[{},[0,0,0,0,7]]}]}]},[0,0,0,4]]}],"p":[{"l":[{"i":[{"n":[{"g":[{},[0,0,0,7]]}]}]}]}],"r":[{"c":[{},[0,0,4]]}],"s":[{".":[{},[3]],"o":[{"b":[{"l":[{"i":[{},[0,0,0,7]]}]}]}],"p":[{"o":[{},[0,0,5,4]]}],"t":[{"e":[{"w":[{},[0,0,5,6]]}]}]}],"t":[{"s":[{"k":[{},[0,0,0,0,5]]},[0,0,0,4]]}]},[1]],"k":[{"a":[{"g":[{},[0,0,4]],"s":[{"m":[{"a":[{"a":[{},[0,0,0,7]]}]}],"t":[{"r":[{},[0,0,0,5]]}]}]}],"e":[{"n":[{"e":[{"e":[{},[0,0,0,6]]}]}],"r":[{"k":[{"r":[{},[0,0,0,0,5]]}]}]},[0,3]],"l":[{"i":[{},[0,0,4]]}]},[2,1]],"l":[{"a":[{"d":[{"i":[{},[0,5]]}],"n":[{"d":[{},[4]],"g":[{},[0,5]],"k":[{},[0,4]]}],"s":[{"e":[{".":[{},[0,0,0,0,6]]}],"i":[{"n":[{},[0,0,0,6]]}]},[0,0,0,0,3]]}],"e":[{"e":[{"r":[{"d":[{},[0,5]]}]}],"g":[{"e":[{},[0,5]]},[4]],"i":[{},[0,4,4]],"l":[{},[4]],"n":[{},[4,3]],"p":[{"a":[{"s":[{".":[{},[0,0,0,0,7]]}]}]},[3,0,0,4]],"r":[{"e":[{},[5]]},[0,4]],"u":[{"s":[{},[0,0,0,5]]}]}],"ê":[{},[0,3]],"i":[{"e":[{"d":[{},[4]],"r":[{},[0,4]]}],"g":[{},[4,3]],"k":[{"k":[{},[5]],"o":[{"p":[{},[0,0,0,6]]}]},[4,3]],"m":[{"o":[{"e":[{},[0,0,0,6]]}]},[0,4]],"n":[{"k":[{},[5]],"n":[{},[0,5]]},[0,4]],"p":[{},[0,0,0,4,3]],"s":[{"j":[{"e":[{"e":[{},[0,0,0,7]]}]}]},[0,4]]}],"o":[{"g":[{},[4]],"k":[{"o":[{"n":[{},[0,0,0,6]]}]}],"o":[{"s":[{".":[{},[0,5]]}]}],"u":[{},[0,4]]}],"u":[{"b":[{"h":[{},[0,0,0,0,5]],"r":[{"e":[{},[0,0,0,6]]}]}],"g":[{},[4]]}],"y":[{},[2,3]]},[1,2]],"m":[{"a":[{"n":[{"s":[{"p":[{"o":[{},[0,0,0,0,7]]}]}]}]}]},[2]],"n":[{"a":[{"p":[{},[0,4]],"v":[{},[4]]}],"e":[{"g":[{".":[{},[5]]}],"i":[{},[4]],"m":[{},[4]],"t":[{"j":[{},[0,0,0,0,5]]},[0,0,0,4]]}],"i":[{"k":[{"l":[{"a":[{},[0,0,0,6]]}]}],"p":[{},[0,0,0,4,3]]},[3]],"o":[{"e":[{"t":[{"e":[{".":[{},[0,0,0,0,7]]}]}]},[0,0,0,0,4]],"m":[{},[4,3]],"o":[{"t":[{},[0,5]]}],"p":[{},[0,4]],"r":[{"o":[{"s":[{".":[{},[0,0,0,0,7]]}]}]}]}]},[1,2]],"o":[{"b":[{"r":[{"e":[{"g":[{"o":[{},[0,0,0,7]]}]}]}]}],"d":[{},[3]],"e":[{"f":[{},[4,3]],"k":[{"e":[{"i":[{},[0,0,0,6]]}]},[3]],"l":[{"o":[{},[0,0,0,4,5]]}],"p":[{"l":[{},[0,0,0,5]]}],"r":[{},[3]],"s":[{"i":[{"s":[{"t":[{},[0,0,0,7]]}]}]},[0,0,0,4,3]]}],"ë":[{".":[{},[4]]},[3]],"f":[{"i":[{},[0,4]]}],"g":[{"i":[{},[4]]}],"k":[{"o":[{"n":[{"t":[{"h":[{},[0,0,0,7]]}]}]}],"s":[{"k":[{"r":[{},[0,0,0,6]]}]}]}],"l":[{"a":[{"g":[{},[0,0,5]]}],"f":[{"o":[{"r":[{},[0,0,0,6]]}]}],"l":[{},[3]],"o":[{},[3]],"w":[{},[3]]}],"m":[{"a":[{"a":[{"n":[{".":[{},[0,0,0,7]]}]}]}],"b":[{"i":[{"n":[{"a":[{},[0,0,0,7]]}]}]}],"g":[{"h":[{"a":[{"d":[{},[0,0,0,7]]}]}]},[4]],"h":[{"u":[{},[0,5]]}],"m":[{"i":[{"s":[{"s":[{},[0,0,0,7]]}]}]}],"s":[{"a":[{"a":[{"l":[{},[0,0,0,7]]}]}],"p":[{},[0,0,0,4]]}]},[3]],"n":[{"a":[{"t":[{"o":[{"o":[{},[0,0,0,7]]}]}]}],"t":[{"l":[{},[4,5]],"r":[{},[0,0,0,5]],"s":[{},[4,5]]}]}],"o":[{"g":[{},[4,3]],"p":[{},[0,0,4]],"r":[{"d":[{},[5]]}]}],"ö":[{},[3]],"p":[{"a":[{"g":[{},[0,0,4]],"p":[{"e":[{".":[{},[0,0,0,7]]}]}]}],"e":[{"l":[{"a":[{".":[{},[0,0,0,0,7]]}]}]}],"l":[{"a":[{"s":[{".":[{},[0,0,0,7]]}]}],"o":[{},[4]]}],"m":[{},[3]],"n":[{"o":[{},[5]]},[4]],"o":[{},[0,0,4]],"p":[{"e":[{"r":[{},[6]]}]}],"u":[{"i":[{"t":[{"s":[{},[0,0,0,7]]}]}]}]}],"r":[{"d":[{"a":[{"a":[{"n":[{},[0,0,0,0,7]]}]}],"o":[{"e":[{},[0,0,0,6]]}]}],"f":[{"o":[{"o":[{},[0,0,0,6]]}]}],"g":[{},[0,3]],"i":[{"n":[{"g":[{"s":[{},[0,0,0,0,0,0,7]]}]}]}],"k":[{},[0,3]],"o":[{},[0,0,3]],"p":[{},[3]],"s":[{"l":[{},[0,0,0,4,5]],"t":[{"e":[{"n":[{},[0,0,0,7]]}]}]}],"t":[{"a":[{},[0,0,0,4,5]],"j":[{"i":[{"e":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}]}],"s":[{"e":[{"e":[{"t":[{"p":[{},[0,0,0,7]]}]}]}],"i":[{"n":[{"k":[{"o":[{},[0,0,0,7]]}]}]}],"j":[{"u":[{"f":[{"f":[{},[0,0,0,7]]}]}]}],"k":[{"i":[{},[0,0,5]],"o":[{},[0,0,0,5]]},[0,0,4]],"p":[{"e":[{},[0,0,0,5]]}],"t":[{"a":[{"a":[{},[0,0,0,5]]}]}]},[3]],"t":[{"a":[{"k":[{},[0,0,4,5]]}],"e":[{"l":[{},[5]]}]}],"u":[{"s":[{"t":[{"e":[{".":[{},[0,0,0,0,7]]}]}]}],"t":[{"j":[{},[0,0,0,5]]}]}],"v":[{"i":[{"e":[{"v":[{".":[{},[0,0,0,0,7]]}]}]}],"k":[{},[0,0,4]],"s":[{},[0,0,4]]}],"w":[{"e":[{"r":[{"h":[{},[0,5]]}]}]}]},[1]],"p":[{"r":[{"o":[{"p":[{"a":[{},[0,0,0,0,6]]}]}]}],"s":[{"i":[{},[0,0,4]]}]},[2]],"r":[{"a":[{"a":[{"d":[{},[0,5]]}],"g":[{"e":[{"r":[{"s":[{},[0,0,0,7]]}]}],"o":[{},[0,0,0,0,5]]},[3,0,0,4]],"k":[{".":[{},[0,5]]}],"n":[{"d":[{},[4]],"k":[{},[5]]}]}],"e":[{"d":[{"i":[{},[5]]}],"e":[{"t":[{".":[{},[5]]}]}],"ë":[{"e":[{},[0,4]]}],"g":[{},[4,3]],"k":[{},[4,3]],"l":[{},[0,3]],"s":[{"e":[{},[0,5]]}],"t":[{},[3]]}],"i":[{"f":[{},[4,0,0,4,3]],"g":[{},[4]],"k":[{},[0,0,0,4,3]],"m":[{"o":[{"o":[{},[0,0,0,6]]}]}],"n":[{},[3]],"p":[{"l":[{"e":[{"e":[{},[0,0,0,0,7]]}]}]},[0,0,0,4]],"s":[{},[3]],"v":[{},[4,3]]}],"o":[{"e":[{"t":[{},[0,5]]}],"l":[{"p":[{},[0,5]]}],"o":[{"n":[{},[5]]}],"r":[{},[0,0,4]],"w":[{},[4,3]]}],"u":[{"b":[{},[4]],"i":[{"m":[{},[4]]},[3]],"k":[{"a":[{"s":[{},[0,0,0,6]]}],"s":[{".":[{},[0,0,0,0,6]]}]}],"l":[{},[0,0,0,4]],"s":[{"p":[{},[0,5]]}]}],"y":[{"f":[{"i":[{"n":[{},[0,0,0,6]]}]}],"g":[{"s":[{"t":[{},[0,0,0,0,0,5]]}]}],"k":[{},[4,3]],"s":[{"k":[{"e":[{"t":[{},[0,0,0,7]]}]}]}],"t":[{},[3]]}]},[0,2]],"s":[{"a":[{"a":[{"n":[{".":[{},[0,0,6]]}]}],"g":[{"t":[{},[0,0,5]]}],"k":[{},[0,0,4]]}],"c":[{"h":[{"i":[{},[0,0,5]]}]}],"e":[{"e":[{"n":[{},[0,4,5]]}],"r":[{"v":[{},[0,4,5]]}],"t":[{"i":[{},[0,4,5]]}]}],"i":[{"n":[{"g":[{"e":[{},[0,6]]}],"s":[{},[0,0,5]]}]},[0,3]],"j":[{"a":[{"r":[{"i":[{},[0,0,6]]}]}]}],"k":[{"a":[{"n":[{},[0,4]]}],"i":[{"n":[{},[0,0,5]]}],"o":[{"n":[{},[0,4]]}]}],"l":[{"ê":[{},[0,4]],"i":[{},[0,0,3]]}],"m":[{"a":[{"a":[{"k":[{},[0,5,6]]}]}],"o":[{"o":[{},[0,0,5]],"u":[{},[0,5]]}]}],"n":[{"o":[{"b":[{},[0,5]]}]},[0,2,3]],"o":[{"b":[{"j":[{},[0,0,5]]},[0,4]],"n":[{"d":[{},[0,4,5]],"l":[{},[0,0,5]]}],"p":[{"k":[{},[0,0,5]]}]}],"p":[{"e":[{"k":[{},[0,5]],"l":[{},[0,5]],"n":[{},[0,0,5]],"r":[{},[0,0,5]],"s":[{},[0,5]]}],"i":[{"r":[{},[0,4]]},[0,3]],"r":[{"a":[{},[0,5]],"i":[{},[0,5]]}],"u":[{"r":[{},[0,0,5]]}]},[0,2]],"t":[{"a":[{"a":[{"l":[{},[0,6,5]]}],"n":[{"t":[{},[0,0,5]]}]}],"e":[{"k":[{"e":[{"n":[{},[0,6]]}]}],"m":[{"p":[{},[0,6]]}],"n":[{"s":[{},[0,0,5]]}],"r":[{"a":[{},[0,6]],"i":[{},[0,6,5]],"r":[{},[0,6]],"t":[{"j":[{},[0,0,0,0,0,6,7]]}]}],"t":[{},[0,0,5]]}],"i":[{"p":[{},[0,0,5]]}],"r":[{"a":[{"d":[{"o":[{},[0,7]]}],"h":[{},[0,6,5]],"k":[{},[0,5,6]]}]}],"u":[{"r":[{},[0,0,5]],"u":[{},[0,0,5]]}],"y":[{},[0,3]]}],"u":[{"i":[{},[0,0,3]],"r":[{"e":[{},[0,4,5]]}]}],"w":[{"e":[{"i":[{},[0,5]]}]},[0,0,3]],"y":[{"n":[{},[0,0,0,0,4]]}]},[2,1]],"t":[{"e":[{"r":[{"a":[{"d":[{},[0,0,0,6]]}],"o":[{"n":[{},[0,0,0,6]]}],"s":[{"p":[{},[0,0,0,0,6]]}]}],"s":[{},[0,0,0,0,4]]}],"h":[{"e":[{},[0,4]]}],"i":[{},[0,3]],"o":[{"r":[{"e":[{"v":[{},[0,0,0,6]]}]}]},[0,3]],"u":[{},[0,3]],"w":[{"i":[{},[0,0,4]]}]},[2]],"u":[{"d":[{"a":[{"k":[{"s":[{"i":[{},[0,0,0,7]]}]}]}]}],"i":[{"k":[{},[3]],"m":[{},[4]],"n":[{"s":[{"t":[{},[0,0,0,0,0,5]]}]},[0,0,0,0,4]],"t":[{},[4]]}],"l":[{"d":[{"e":[{"r":[{},[0,0,0,6]]}]}],"p":[{"l":[{"o":[{},[0,0,0,6]]}],"o":[{"o":[{},[0,0,0,6]]}]}],"t":[{},[3]]}],"n":[{"i":[{},[4,3]],"s":[{"i":[{"n":[{},[0,0,0,6]]}]}]},[3]],"r":[{"s":[{},[3]]}],"s":[{"e":[{"e":[{"n":[{},[0,0,6]]}]}],"l":[{"a":[{"n":[{"g":[{},[0,0,0,7]]}]}]}],"n":[{"o":[{"d":[{"e":[{},[0,0,0,7]]}]}]}],"t":[{"a":[{"a":[{"k":[{},[0,0,0,7]]}]}]}]},[3]],"t":[{"r":[{},[0,0,0,3]],"s":[{"l":[{"u":[{},[0,0,0,6]]}]}]}],"u":[{"s":[{"t":[{"e":[{".":[{},[0,0,0,7]]},[0,0,0,0,6]]}]}]}]},[1]],"v":[{"a":[{"n":[{"g":[{"s":[{},[0,0,0,0,0,6]]}]}]}]},[2]],"w":[{"a":[{"a":[{"r":[{},[4,5]]}],"e":[{},[0,3]],"n":[{},[0,4]],"r":[{},[3,4]],"s":[{"k":[{"a":[{"a":[{},[0,0,0,7]]}]}]}]}],"e":[{"e":[{"k":[{},[0,4]],"s":[{},[4]]}],"g":[{},[4]],"r":[{},[4,3]]}],"ê":[{"l":[{"a":[{"f":[{"l":[{},[0,0,0,7]]}]}]}]}],"i":[{"k":[{"w":[{"a":[{},[0,0,0,6]]}]},[0,0,0,0,3]],"s":[{},[3]]}],"o":[{"t":[{},[3,4]]},[2,3]],"u":[{},[0,3]]},[1,2]],"y":[{"f":[{"a":[{},[0,0,4]]}],"k":[{"u":[{"i":[{"t":[{".":[{},[0,0,0,7]]}]}]}]}],"s":[{},[0,1]]}],"-":[{"k":[{"l":[{"i":[{},[0,0,5]]}]}]},[2]]}],"l":[{".":[{},[2]],"a":[{"a":[{"n":[{"b":[{},[4]],"h":[{},[4]]}],"r":[{"d":[{},[4]]}],"t":[{"s":[{"l":[{"o":[{},[0,0,0,0,7]]}],"t":[{"r":[{},[0,0,0,0,6]]}]}]}]}],"d":[{"o":[{"n":[{"d":[{"e":[{},[0,0,0,7]]}]}]}],"u":[{},[0,0,4]],"v":[{},[4]]}],"f":[{"a":[{},[0,0,4]],"d":[{},[0,3]]},[2]],"g":[{".":[{},[0,4]],"a":[{".":[{},[0,0,5]],"s":[{},[0,0,5]]},[0,0,4]],"i":[{"e":[{},[0,0,5]]},[0,4]],"l":[{"a":[{"g":[{".":[{},[0,0,0,7]]}]}]},[0,4]],"o":[{},[0,4]],"r":[{"i":[{},[0,0,0,5]]}],"s":[{"o":[{"m":[{"e":[{},[0,0,0,7]]}]}]}]},[2]],"i":[{"r":[{"g":[{"o":[{},[0,0,0,6]]}]}]}],"k":[{"a":[{"l":[{"b":[{"u":[{},[0,0,0,7]]}]}]}],"l":[{"e":[{"d":[{},[0,0,0,6]]}]}],"o":[{"k":[{"u":[{"l":[{},[0,0,0,7]]}]}],"o":[{"r":[{"e":[{},[0,0,0,7]]}]}]}],"s":[{"i":[{},[4,5]]}],"w":[{"a":[{"r":[{"e":[{},[0,0,0,7]]}]}]},[0,0,0,3]]}],"m":[{"b":[{"d":[{"a":[{".":[{},[0,0,0,0,7]]}]}]}],"o":[{"o":[{},[0,0,4,5]]}],"p":[{"l":[{"i":[{},[0,0,0,6]]}],"o":[{"l":[{"i":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"s":[{"k":[{"o":[{},[0,0,0,6]]}],"l":[{"e":[{},[0,0,0,6]]}],"p":[{"e":[{},[0,0,0,6]]}]}]}],"n":[{"d":[{"a":[{"a":[{"r":[{},[0,0,0,0,7]]},[0,0,0,6]],"d":[{},[0,0,0,6]]}],"r":[{},[0,0,0,4,5]],"s":[{"t":[{"a":[{},[0,0,0,0,6]],"e":[{},[0,0,0,0,6,7]]}]}]},[3]],"g":[{"a":[{"a":[{},[0,0,0,6]]}],"n":[{"o":[{"l":[{},[0,0,0,7]]}]}],"o":[{},[0,0,0,4]],"s":[{"t":[{"e":[{".":[{},[0,0,0,0,0,8]]},[0,0,0,0,7]]}]}],"u":[{"r":[{},[0,0,0,6]]}]}],"k":[{"a":[{},[0,0,0,4,5]],"l":[{},[0,0,0,4,5]],"o":[{"p":[{"e":[{},[0,0,0,0,7]]},[0,0,0,6]]}],"r":[{},[0,0,0,4,5]],"w":[{"i":[{},[0,0,0,6]]}]}],"s":[{"k":[{},[0,0,0,4,5]],"p":[{},[0,0,0,4]],"t":[{},[0,0,0,4,5]]}],"t":[{"a":[{"a":[{"t":[{},[0,0,0,7]]},[0,0,0,6]]}],"j":[{},[0,0,0,4,5]],"r":[{"e":[{},[0,0,0,6]]}],"w":[{},[4]]}]}],"p":[{"r":[{},[0,0,0,3]]}],"r":[{"t":[{},[4,3]]}],"s":[{"e":[{"l":[{"e":[{"k":[{},[0,0,0,7]]}]}]}],"i":[{"e":[{".":[{},[0,0,0,6]]}]}],"n":[{},[0,0,4]],"o":[{"l":[{},[0,0,5]]},[0,0,4]],"p":[{"a":[{},[0,0,0,5]]},[0,0,4]]}],"t":[{"e":[{"r":[{"a":[{},[0,0,0,0,5,6]]}]}]}],"w":[{"a":[{"a":[{},[5]]}]}]}],"b":[{"a":[{"s":[{"p":[{"e":[{},[0,0,0,6]]}]}]}],"e":[{"k":[{"n":[{"e":[{},[0,0,0,6]]}]}]}],"o":[{"w":[{"v":[{"i":[{},[0,0,0,6]]}]}]}],"r":[{"e":[{},[0,0,4]]}]}],"d":[{"a":[{"m":[{"b":[{},[0,0,5]]}],"n":[{"h":[{"a":[{".":[{},[0,0,0,0,7]]}]}]}],"p":[{"t":[{},[0,0,5]]}]}],"e":[{"e":[{"n":[{},[0,4,5]]}],"i":[{"s":[{},[0,0,5]]}],"r":[{"a":[{"t":[{},[0,0,0,6]]}],"o":[{"s":[{".":[{},[0,0,0,0,7]]}]}]}]}],"i":[{"n":[{"s":[{},[0,0,5]]}]}],"o":[{"f":[{},[0,0,3]],"o":[{"r":[{".":[{},[0,0,6]]},[0,0,5]]}],"r":[{"d":[{},[0,0,5]]}],"w":[{"e":[{},[0,0,5]]},[0,4]]}],"r":[{"a":[{"a":[{},[0,5]]}],"e":[{},[0,4,3]]}],"s":[{"k":[{},[0,0,0,4]],"m":[{"a":[{"a":[{},[0,0,0,6]]}]}],"o":[{"n":[{"d":[{},[0,0,0,6]]}]},[0,0,3]],"p":[{},[0,0,3]]}],"u":[{"i":[{"t":[{},[0,4,5]]}]}]}],"e":[{"c":[{"t":[{"r":[{},[0,0,0,5]]}]}],"e":[{"g":[{},[0,0,0,4,3]],"p":[{},[4,0,0,0,3]],"r":[{"a":[{},[0,0,0,0,5]],"e":[{"i":[{"s":[{},[0,0,0,0,7]]}]}],"l":[{},[5]],"o":[{},[0,0,0,0,5]],"s":[{},[0,0,0,0,5]]}],"s":[{"t":[{"r":[{"a":[{},[0,0,0,0,7]]}]}]},[0,0,0,4]],"t":[{"j":[{"i":[{"e":[{},[0,0,0,7]]}]}]}],"v":[{"a":[{"a":[{"r":[{},[0,0,0,7]]}]}]}]},[0,0,0,2]],"f":[{"f":[{},[4,3]]}],"g":[{"s":[{"l":[{"o":[{"t":[{},[0,0,0,7]]}]}]}]}],"i":[{"e":[{"n":[{},[4]]}],"g":[{"l":[{"e":[{"u":[{},[0,0,0,7]]}]}]}],"k":[{"a":[{"a":[{},[0,0,0,6]]}]}],"n":[{"a":[{"a":[{},[0,0,0,6]]}],"o":[{"t":[{},[0,0,0,6]]}]}],"s":[{"k":[{"o":[{"o":[{},[0,0,0,7]]}]}],"p":[{"a":[{"n":[{},[0,0,0,0,7]]},[0,0,0,6]],"i":[{"r":[{},[0,0,0,7]]}]}]}],"t":[{"s":[{},[0,0,0,0,5]]}]}],"k":[{"l":[{"o":[{"t":[{"i":[{},[0,0,0,7]]}]}]}],"n":[{},[0,0,4]],"s":[{"u":[{"u":[{},[0,0,0,6]]}]}]}],"l":[{"i":[{},[3]]}],"n":[{"g":[{"t":[{},[5]]}],"j":[{},[4]],"s":[{"e":[{"l":[{},[0,0,0,6]]}],"t":[{"e":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"t":[{"j":[{"i":[{"e":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}]}],"p":[{"e":[{"l":[{},[0,0,5]]}],"l":[{"i":[{},[0,0,0,5]]}],"o":[{"o":[{"g":[{".":[{},[0,0,0,7]]}]}]}],"r":[{"a":[{"t":[{"w":[{},[0,0,0,7]]}]}]}],"s":[{"k":[{},[0,0,0,5]],"z":[{"y":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}]}],"r":[{"a":[{"a":[{},[5]]},[0,0,0,4]],"k":[{"a":[{"m":[{"p":[{},[0,0,0,0,7]]},[0,0,0,6]]}],"s":[{"p":[{},[0,0,0,0,5]]}]}],"t":[{"s":[{},[4]]}]}],"s":[{"e":[{"e":[{},[0,0,4]],"t":[{"e":[{},[0,0,0,5]]},[0,0,4]]}],"h":[{"a":[{"b":[{},[0,0,0,6]]}]}],"i":[{"n":[{"s":[{"l":[{},[0,0,0,7]]}]}]}],"k":[{"e":[{"s":[{".":[{},[0,0,0,7]]}]},[0,0,4]]}],"l":[{"i":[{"e":[{".":[{},[0,0,0,7]]}]}]}],"o":[{"n":[{"d":[{"e":[{},[0,0,0,7]]}]}],"o":[{},[0,0,4,5]]}],"t":[{"a":[{"a":[{"k":[{},[0,0,0,7]]}]}],"e":[{"l":[{},[0,0,5]]},[0,0,4]],"i":[{"n":[{},[0,0,0,6]]}],"r":[{"a":[{},[0,0,0,5]]}],"y":[{},[0,0,0,4]]},[0,0,3]],"u":[{"u":[{"r":[{".":[{},[0,0,0,7]]}]}]}],"w":[{"e":[{"t":[{"e":[{},[0,0,0,7]]}]}]}]}],"t":[{"a":[{"n":[{},[0,5]]}],"c":[{},[0,0,4]],"e":[{"m":[{},[0,0,0,5]]}],"o":[{"o":[{"r":[{"b":[{},[0,0,0,7]]}]}]}],"r":[{"o":[{"l":[{".":[{},[0,0,0,7]]}]}]}],"s":[{"k":[{"o":[{},[0,0,0,6]]}]}]}],"u":[{"f":[{},[4]],"m":[{},[0,0,3,4]],"n":[{"s":[{},[0,0,0,0,5]]}],"r":[{"e":[{"g":[{".":[{},[0,0,0,0,7]]}]}],"o":[{},[0,0,0,4,5]]}],"t":[{"e":[{},[0,0,0,0,0,4]]}]}],"w":[{"e":[{"i":[{"n":[{},[0,0,0,6]]}],"n":[{"a":[{},[6,5]]}]}],"i":[{"g":[{},[4,5]]}]}],"y":[{},[3]]},[1]],"ê":[{"r":[{"w":[{},[0,0,4]]}]},[1]],"f":[{"a":[{"a":[{"n":[{},[0,0,5]]}],"s":[{"t":[{"r":[{"a":[{},[0,0,0,7]]}]}]}]}],"e":[{"i":[{},[0,0,3]],"k":[{"s":[{},[0,0,5]]},[0,4]],"n":[{},[0,4]],"v":[{},[0,4,3]]}],"i":[{"e":[{},[0,0,4]],"n":[{"g":[{},[0,0,5]]},[0,4]]}],"l":[{"a":[{"p":[{},[0,5]]}]},[0,0,3]],"o":[{"n":[{"d":[{"e":[{},[0,0,5]]}],"e":[{},[0,5]],"t":[{"s":[{},[0,0,5]]}]}],"p":[{},[0,0,3]]}],"r":[{},[0,2,3]],"s":[{"k":[{"a":[{"r":[{"m":[{},[0,0,0,7]]},[0,0,6]]}],"o":[{"p":[{".":[{},[0,0,0,7]]}]}],"u":[{"i":[{"l":[{},[0,0,0,7]]}]}]}],"n":[{"i":[{"e":[{"r":[{},[0,0,0,7]]}]}]}],"o":[{"o":[{"g":[{".":[{},[0,0,0,7]]}]}]}],"p":[{"e":[{"r":[{"k":[{},[0,0,0,7]]}]}]}]}],"t":[{"w":[{},[0,0,0,4]]}],"u":[{"i":[{},[0,4,3]],"u":[{},[0,4,3]]}]}],"g":[{"h":[{"a":[{},[0,0,4]]}],"l":[{"i":[{},[0,4]]}],"o":[{"l":[{"a":[{"g":[{"n":[{},[0,0,0,7]]}]}]}],"r":[{"d":[{"y":[{},[0,0,6]]}]}]}],"s":[{"m":[{"e":[{"e":[{},[0,0,0,6]]}]}]}]},[0,1]],"i":[{"a":[{"t":[{"j":[{"i":[{"e":[{},[0,0,0,7]]},[0,0,0,0,6]]}]}]}],"d":[{"o":[{"n":[{"t":[{"s":[{},[0,0,0,7]]}]}]}]},[3]],"e":[{"d":[{},[3]],"g":[{"l":[{"i":[{},[0,0,0,6]]}]}],"k":[{"w":[{"y":[{},[0,0,0,6]]}]}],"l":[{"a":[{},[0,0,0,5]]}],"r":[{"s":[{"w":[{},[0,0,0,0,0,5]]}]}],"s":[{"m":[{"e":[{},[0,0,0,5]]}],"t":[{"e":[{"g":[{},[0,0,0,7]]}],"y":[{"s":[{},[0,0,0,7]]}]}],"w":[{"a":[{"k":[{},[0,0,0,7]]}]}]}],"u":[{},[4,3,4]]}],"g":[{"i":[{"n":[{"t":[{"e":[{},[0,0,0,7]]}]}]}],"l":[{"a":[{"s":[{},[0,0,0,6]]}]}],"n":[{"y":[{".":[{},[0,0,0,6]]}]}],"o":[{"m":[{"g":[{"e":[{},[0,0,0,7]]}]}]}],"r":[{"e":[{"k":[{"l":[{},[0,0,0,7]]}]}],"i":[{"e":[{"t":[{},[0,0,0,7]]}]}],"o":[{},[0,0,4]]}],"s":[{"k":[{"a":[{"g":[{},[0,0,0,7]]}]}],"o":[{"n":[{"a":[{},[0,0,0,7]]}]}],"p":[{},[0,0,0,5,4]],"w":[{},[0,0,0,5,4]]}],"u":[{"r":[{"e":[{".":[{},[0,0,0,7]]}]}]}]}],"k":[{"a":[{"s":[{"p":[{"a":[{},[0,0,0,7]]}]}]}],"k":[{"e":[{"w":[{},[5]]}]},[4]],"l":[{},[0,0,4]],"o":[{"p":[{"s":[{"i":[{},[0,0,0,7]]}]}]}],"s":[{"e":[{"e":[{},[0,0,0,6]]}],"j":[{"u":[{},[0,0,0,6]]}],"o":[{"o":[{},[0,0,0,6]]}]}],"w":[{"a":[{},[0,0,4,5]]}]}],"n":[{"g":[{"i":[{"d":[{},[0,0,0,6]],"n":[{},[0,0,0,6]]}],"l":[{"i":[{},[0,0,0,6]]}],"o":[{"o":[{"i":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"h":[{},[4]],"k":[{"l":[{},[0,0,0,4,5]],"r":[{},[0,0,0,4]]}],"l":[{"i":[{},[0,5]]}],"r":[{},[4,3]],"s":[{"p":[{},[0,5]]}],"t":[{"j":[{},[0,0,0,4,5]]}],"v":[{},[4]]}],"p":[{"a":[{},[0,0,4]],"l":[{"a":[{},[0,0,0,5]],"o":[{},[0,0,5]]},[0,0,4,3]],"o":[{"m":[{"l":[{"y":[{},[0,0,0,7]]},[0,0,6]]}]}],"r":[{},[0,0,4,3]],"s":[{"o":[{"o":[{"m":[{},[0,0,0,7]]}]}]},[0,0,0,0,4]]}],"s":[{"e":[{"n":[{},[5]]}]}],"t":[{"e":[{"m":[{},[0,5]],"r":[{"t":[{"j":[{},[0,0,0,0,0,6,7]]}]}]}],"j":[{"i":[{"e":[{},[0,0,0,0,0,0,6]]}]},[0,0,0,3]],"r":[{},[0,0,0,3]],"s":[{"h":[{"a":[{".":[{},[0,0,0,7]]}]}],"p":[{},[0,0,0,4]],"t":[{},[0,0,0,4,5]]}],"z":[{"d":[{"o":[{},[0,0,0,6]]}]}]}]},[1]],"j":[{"u":[{"s":[{},[0,0,0,0,4]]}]}],"k":[{"a":[{"f":[{},[0,4]],"t":[{"i":[{"o":[{"n":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}]}],"e":[{"e":[{"n":[{},[0,0,5]]}]}],"s":[{"e":[{"m":[{"o":[{"s":[{},[0,0,0,7]]}]}],"p":[{"o":[{"s":[{},[0,0,0,7]]}]}]}],"k":[{"a":[{"p":[{},[0,0,6]]}],"u":[{},[0,0,4]]}],"l":[{},[0,0,4]],"o":[{"n":[{},[0,0,4]],"w":[{"e":[{"r":[{},[0,0,0,7]]}]}]}],"p":[{"e":[{},[0,0,5]],"r":[{},[0,0,5]]}],"t":[{"e":[{"l":[{"l":[{},[0,0,0,7]]},[0,0,6]]}]}]}],"t":[{"e":[{"r":[{"t":[{"j":[{},[0,0,0,0,0,0,7]]},[0,0,0,0,0,6]]}]}]}],"u":[{"i":[{"l":[{},[0,0,5]]}]}],"w":[{"a":[{"t":[{},[0,0,5]]}],"i":[{"t":[{},[0,0,5]]}],"y":[{"f":[{},[0,0,5]]},[0,4]]}]},[0,1]],"l":[{"a":[{"t":[{"j":[{"i":[{"e":[{},[0,0,0,7]]},[0,0,0,0,6]]}]}]},[0,3]],"e":[{"i":[{"s":[{},[0,0,0,0,5]]}],"k":[{"n":[{"o":[{"p":[{},[0,0,0,7]]}]}]}],"r":[{"u":[{"i":[{},[0,0,0,6]]}]}],"s":[{"w":[{"e":[{},[0,0,0,6]]}]}],"v":[{"e":[{"ë":[{".":[{},[0,0,0,0,0,7]]}]}]}]}],"o":[{"s":[{"k":[{},[0,0,0,5]]}]}],"s":[{"m":[{"o":[{"o":[{"r":[{},[0,0,0,7]]}]}]}]}]},[2,1]],"m":[{"a":[{"f":[{},[0,4]]}],"o":[{"k":[{"a":[{"l":[{},[0,0,0,6]]}]}],"n":[{"o":[{},[0,0,0,4]]}]}],"s":[{"m":[{},[0,0,3]]}]}],"n":[{"e":[{"s":[{},[0,0,0,4]]}]},[0,1]],"o":[{"b":[{"e":[{"e":[{"n":[{"d":[{},[0,0,0,7]]}]}]}]}],"e":[{"d":[{"a":[{"l":[{},[0,0,0,6]]}],"e":[{"t":[{},[0,0,0,6]]}],"j":[{"a":[{".":[{},[0,0,0,7]]}]}],"o":[{"n":[{},[0,0,0,6]]}],"r":[{},[0,0,0,4,5]]}],"f":[{},[4]],"g":[{"o":[{"s":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"r":[{"s":[{"t":[{"e":[{},[0,0,0,0,0,7]]}]}]}],"s":[{"k":[{"r":[{},[0,0,0,6]]}],"t":[{},[0,0,0,4]]}]}],"f":[{"o":[{"p":[{"r":[{"i":[{},[0,0,0,7]]}]}]}],"s":[{"p":[{"a":[{},[0,0,0,6]]}]}]}],"g":[{"i":[{"g":[{},[4]]}],"o":[{"p":[{},[0,0,5]]},[0,0,0,4]],"s":[{"o":[{"t":[{".":[{},[0,0,0,7]]}]}],"t":[{"o":[{"k":[{},[0,0,0,7]]}]},[0,0,0,4]]}]}],"k":[{"l":[{},[0,0,4,3]],"o":[{"n":[{"d":[{"e":[{},[0,0,0,7]]}]}]}],"s":[{"w":[{"i":[{"n":[{},[0,0,0,7]]}]}]}],"w":[{"i":[{},[0,0,5]]}]}],"l":[{"i":[{"e":[{".":[{},[0,5]]}]}]}],"m":[{"e":[{"r":[{"t":[{},[0,0,0,0,0,0,5]]},[0,0,0,0,0,4]]}],"s":[{},[0,0,0,0,4]]}],"n":[{"d":[{},[4]],"g":[{"a":[{"a":[{"r":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"s":[{"p":[{"a":[{},[0,0,0,6]]}],"t":[{"e":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"t":[{"j":[{},[0,0,0,4,5]]},[4]]}],"o":[{"d":[{},[3]],"f":[{"s":[{"w":[{},[0,0,0,0,0,5]]}]}],"p":[{"b":[{},[5]]},[0,4]],"r":[{"e":[{},[0,5]]}],"s":[{"h":[{},[5]],"t":[{"r":[{"a":[{},[0,0,0,7]]}]}]}]}],"p":[{"e":[{"m":[{"m":[{"e":[{},[0,0,0,7]]}]}]}],"l":[{},[4]],"r":[{"y":[{"s":[{},[0,0,0,6]]}]}]}],"r":[{"o":[{},[0,0,3]],"y":[{"n":[{},[0,0,5]]}]}],"s":[{"e":[{".":[{},[5]]}],"j":[{},[0,0,4]],"k":[{},[0,0,4]],"l":[{"a":[{"a":[{"t":[{},[0,0,0,7]]}]}]}],"t":[{"a":[{},[0,0,0,5]],"r":[{"u":[{"m":[{},[0,0,0,7]]}]}]}],"w":[{"i":[{"k":[{"k":[{},[0,0,0,7]]}]}]}]}],"t":[{"a":[{"k":[{},[0,0,4]]}],"r":[{"i":[{"e":[{"t":[{},[0,0,0,7]]}]}],"u":[{"ï":[{"n":[{},[0,0,0,7]]}]}]}],"s":[{"w":[{"a":[{"n":[{},[0,0,0,7]]}]}]}],"u":[{"i":[{},[0,0,0,5]]}]}],"u":[{"i":[{"s":[{"a":[{".":[{},[0,0,0,0,7]]}]}]}],"t":[{},[0,0,0,3]],"w":[{"n":[{"a":[{},[0,0,0,6]]}],"r":[{"e":[{},[0,0,0,6]]}],"t":[{"j":[{},[0,0,0,6]]}]}]}],"w":[{"r":[{"y":[{},[0,0,0,5]]},[0,0,4]]}],"x":[{"e":[{"r":[{"a":[{".":[{},[0,0,0,7]]}]}]}]}]}],"ö":[{"j":[{"d":[{"o":[{"n":[{},[0,0,0,6]]}]},[0,0,4]]}]}],"p":[{"a":[{"a":[{"n":[{},[0,0,5]]}]}],"e":[{"n":[{"i":[{"n":[{},[0,0,0,6]]}]}]}],"h":[{"e":[{},[0,0,4]]}],"o":[{"n":[{"d":[{},[0,0,5]]},[0,4]]}]}],"r":[{},[0,1]],"s":[{"a":[{"a":[{"r":[{},[0,4,5]]}],"d":[{},[0,4]],"r":[{"m":[{},[0,0,5]]}],"s":[{"p":[{},[0,4,5]]}]}],"e":[{"k":[{"o":[{},[0,4,5]]}],"l":[{"e":[{},[0,0,0,5]]},[0,0,0,4]],"m":[{"e":[{"k":[{},[0,0,0,6]]}]}],"r":[{"v":[{"a":[{},[0,0,5]]}]}]}],"f":[{"e":[{"i":[{},[0,0,5]]}]}],"g":[{"h":[{"a":[{"a":[{},[0,0,0,6]]}]}]}],"i":[{"g":[{"a":[{"a":[{},[0,0,0,6,5]]}]}]}],"j":[{"a":[{"s":[{},[0,0,5]]}]}],"k":[{"i":[{"n":[{},[0,4,5]]}],"o":[{"n":[{},[0,4]],"r":[{"r":[{},[0,6]]}]}],"r":[{"e":[{},[0,4]],"u":[{},[0,4]]}]}],"m":[{"a":[{"a":[{"k":[{},[0,5,6]]}]}],"e":[{"e":[{},[0,5,4]]}]}],"n":[{"a":[{"a":[{},[0,4]]}]}],"o":[{"p":[{"w":[{},[0,0,5]]}]}],"p":[{"l":[{"e":[{"t":[{},[0,0,6]]}],"i":[{},[0,5,4]]}],"u":[{},[0,4]]}],"t":[{"i":[{},[0,0,4]],"o":[{"e":[{"g":[{},[0,6]]}]}]},[0,3]],"w":[{"a":[{"a":[{"r":[{},[0,0,5]]}]}],"e":[{"t":[{},[0,0,5]]}],"y":[{"n":[{},[0,0,5]]}]}]},[2,1]],"t":[{"a":[{"g":[{},[0,4,3]],"m":[{"p":[{},[0,4,5]]}],"s":[{"p":[{"i":[{"e":[{},[0,0,0,7]]}]}]}]}],"e":[{"r":[{"s":[{"k":[{},[0,0,0,0,6]]}]}]}],"o":[{"o":[{"n":[{"d":[{},[0,0,5]]}]}]}],"w":[{"a":[{"k":[{},[0,5,4]]}]}]}],"u":[{"b":[{"h":[{},[0,0,4]],"l":[{"e":[{},[0,0,0,5]],"o":[{"k":[{"a":[{},[0,0,0,7]]}]}]},[0,0,4]]}],"g":[{"e":[{"r":[{".":[{},[0,0,0,6]]}]}],"u":[{"b":[{},[0,0,5]]}]},[0,0,2,1]],"i":[{".":[{},[3]],"e":[{".":[{},[4,5]]}],"m":[{"a":[{"s":[{"i":[{},[0,0,0,7]]}]}]}],"s":[{"l":[{"a":[{"n":[{},[0,0,0,7]]}]}]}],"t":[{},[4]]}],"k":[{"r":[{"a":[{"a":[{},[0,0,0,5]],"k":[{"e":[{},[0,0,0,7]]}]}]}],"s":[{"p":[{"a":[{},[0,0,0,6,5]]}]}]}],"n":[{"i":[{"e":[{".":[{},[0,5]]}]}],"s":[{"a":[{".":[{},[0,0,0,0,6]]}]}]}],"r":[{"p":[{"a":[{"g":[{},[0,0,0,6]]}]}]}],"s":[{"m":[{"o":[{"o":[{"r":[{},[0,0,0,7]]}]}]}]}],"t":[{"h":[{},[0,0,3,4]],"z":[{"p":[{"u":[{},[0,0,0,6]]}]}]}],"u":[{"s":[{"t":[{"e":[{".":[{},[0,0,0,7]]},[0,0,0,0,6]]}]}]}]}],"v":[{"a":[{"s":[{"o":[{"o":[{"r":[{},[0,0,0,7]]}]}]}]}],"e":[{"t":[{"i":[{},[0,0,0,5]]}]}]}],"w":[{"e":[{"r":[{"a":[{},[0,0,0,4,5]],"u":[{"i":[{},[0,0,0,6]]}]}]}]}],"y":[{"c":[{"e":[{"u":[{"m":[{".":[{},[0,0,0,0,7]]}]}]}]}],"f":[{"e":[{},[0,0,4]],"o":[{},[0,0,4]]}],"k":[{"a":[{"a":[{"n":[{"t":[{},[0,0,0,7]]}]}]}],"l":[{"o":[{"p":[{"e":[{},[0,0,0,7]]}]}],"u":[{"g":[{".":[{},[0,0,0,7]]}]}]}],"n":[{},[0,0,4]],"o":[{"n":[{"t":[{},[0,0,0,6]]}]},[0,0,4,3]],"r":[{"e":[{"d":[{"e":[{},[0,0,0,7]]}]}]}],"s":[{"k":[{},[0,0,0,5]]}]}],"m":[{"a":[{"g":[{},[0,0,0,5]]},[0,0,4]],"u":[{"i":[{"n":[{"t":[{},[0,0,0,7]]}]}]}]}],"n":[{"a":[{"a":[{"f":[{},[0,0,0,6]]}]}]},[3]],"p":[{"l":[{},[0,0,3]]}],"s":[{"p":[{},[0,0,3]]}],"t":[{"r":[{"i":[{"n":[{"g":[{},[0,0,0,7]]}]}]}]}]},[1]]}],"m":[{".":[{},[2]],"a":[{"c":[{"d":[{"o":[{"n":[{"a":[{},[0,0,0,7]]}]}]}]}],"d":[{"e":[{"u":[{"s":[{".":[{},[0,0,0,0,7]]}]}]}]}],"e":[{"s":[{},[0,0,0,4]]}],"f":[{"d":[{},[4]],"o":[{},[0,4]],"r":[{"o":[{},[0,0,5]]}],"s":[{},[4]]},[0,1]],"g":[{"s":[{"t":[{"a":[{},[0,0,0,6]]}]}]}],"h":[{"d":[{"i":[{},[0,0,0,5]]},[0,0,4]]}],"k":[{"l":[{"o":[{"t":[{},[0,0,0,6]]}]}],"w":[{},[0,0,3]]}],"l":[{"a":[{"g":[{},[0,0,5]]}],"t":[{"h":[{"u":[{"s":[{},[0,0,0,7]]}]}]}]}],"m":[{"a":[{"t":[{"j":[{"i":[{},[0,0,0,0,7]]},[0,0,0,0,0,6]]}]}]}],"n":[{"d":[{"j":[{"a":[{"r":[{},[0,0,0,7]]}]}]}],"g":[{"o":[{"n":[{"a":[{},[0,0,0,7]]}]}]},[0,0,0,3,4]],"n":[{"-":[{"p":[{},[0,0,0,6]]}]}],"s":[{"a":[{"l":[{"m":[{},[0,0,0,7]]}]}],"p":[{"e":[{"n":[{},[0,0,0,7]]}],"r":[{},[0,0,0,6]]}],"t":[{"a":[{"a":[{},[0,0,0,6,7]]}],"o":[{},[0,0,0,6]]}]}],"u":[{"r":[{"e":[{".":[{},[0,0,0,7]]}]}]}]}],"p":[{"l":[{},[0,0,0,4]]}],"r":[{"a":[{},[0,0,3]],"k":[{"e":[{"k":[{},[0,0,0,6]]}],"l":[{"e":[{},[0,0,0,6]]}],"o":[{"m":[{},[0,0,0,6]],"n":[{},[0,0,0,6]]}],"r":[{},[0,0,0,4,5]]}],"l":[{"p":[{"r":[{},[0,0,0,6]]}]}],"s":[{"k":[{},[0,0,0,4,5]],"t":[{},[0,0,0,4,5]]}],"t":[{"r":[{"o":[{},[0,0,0,6]]}]}],"y":[{"n":[{"a":[{".":[{},[0,0,0,0,7]]}]}]}]}],"s":[{"k":[{"o":[{"o":[{},[0,0,0,6]]}],"r":[{"i":[{},[0,0,0,6]]}],"u":[{"i":[{},[0,0,0,6]]}]}],"t":[{"e":[{"k":[{},[0,0,0,6]]}],"r":[{},[0,0,5,4]]}]}],"t":[{"h":[{"e":[{"s":[{},[0,0,0,6]]}]}],"t":[{"h":[{"y":[{"s":[{},[0,0,0,7]]}]}]}]}],"y":[{"n":[{"a":[{"r":[{"d":[{},[0,0,0,7]]}]}]}]}]}],"b":[{"r":[{"e":[{},[0,0,4]]}]},[2]],"d":[{"o":[{"p":[{"o":[{"ë":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}]}],"s":[{"o":[{"o":[{},[0,0,5]]}]}],"w":[{"a":[{},[0,0,4]]},[0,3]]},[2]],"e":[{"d":[{"e":[{"r":[{},[4]]}]}],"e":[{"k":[{"o":[{"l":[{"e":[{},[0,0,0,7]]}]}],"r":[{},[0,0,0,5]]}],"l":[{".":[{},[5]],"o":[{},[0,0,0,5,4]]}],"n":[{"e":[{},[0,0,0,5]]}],"r":[{"e":[{"i":[{"s":[{},[0,0,0,7]]}],"k":[{"e":[{},[0,0,0,7]]}]}]}],"s":[{"l":[{},[0,0,0,5]],"p":[{"r":[{"e":[{},[0,0,0,7]]}]}],"t":[{"a":[{"l":[{},[0,0,0,0,0,7]]}]}]}],"t":[{"r":[{"e":[{},[0,0,0,6]]}]}]}],"g":[{"a":[{"s":[{"t":[{},[0,0,0,0,5]]},[0,0,0,0,0,4]]},[0,0,3]],"t":[{},[4]]}],"i":[{"n":[{"e":[{"e":[{},[0,0,0,6]]}]}]}],"l":[{"a":[{"a":[{"r":[{},[0,0,0,6]]}]}],"e":[{"k":[{"w":[{"a":[{},[0,0,0,7]]}]}]}],"k":[{"a":[{"l":[{},[0,0,0,6]]}],"j":[{"o":[{},[0,0,0,6]]}],"l":[{"a":[{},[0,0,0,6]]}],"n":[{"a":[{},[0,0,0,6]]}],"r":[{},[0,0,0,4,5]],"s":[{},[0,0,0,0,5]],"w":[{},[0,0,0,4,5]]}],"s":[{"p":[{"u":[{"l":[{},[0,0,0,7]]}]}]}],"t":[{"o":[{"o":[{},[0,0,0,6]]}]}]}],"m":[{"p":[{"h":[{"i":[{"s":[{},[0,0,0,7]]}]}]}]}],"n":[{"a":[{"n":[{"g":[{"s":[{},[0,0,0,7]]}]}]}],"e":[{"i":[{"s":[{"e":[{},[0,0,0,7]]}]}]}],"o":[{"p":[{"g":[{"a":[{},[0,0,0,7]]}]}]}],"s":[{"k":[{"y":[{},[0,0,0,6]]}],"n":[{"u":[{},[0,0,0,6]]}],"p":[{},[0,0,0,4,5]],"t":[{"a":[{},[0,0,0,6,5]]}]}],"t":[{"i":[{"n":[{},[0,0,0,6]]}],"j":[{},[0,0,0,4,5]],"r":[{},[0,0,0,4,5]]}]}],"p":[{"h":[{"i":[{},[0,0,5]]}]}],"r":[{"a":[{"k":[{},[0,0,4]],"s":[{"s":[{"e":[{},[0,0,0,7]]},[0,0,6]],"t":[{},[0,0,0,5]]}]}],"d":[{"e":[{"i":[{"n":[{},[0,0,0,7]]}]}]}],"e":[{"i":[{},[0,0,4]],"n":[{"g":[{"e":[{},[0,0,0,7]]},[0,0,6]]}],"s":[{"s":[{"e":[{},[0,0,0,7]]}]}]}],"i":[{"n":[{"g":[{"s":[{"t":[{"a":[{"a":[{},[0,0,0,0,0,0,8,9]]}]}]}]}]}]}],"k":[{"l":[{"i":[{},[0,0,0,6]]}],"n":[{"a":[{},[0,0,0,6]]}],"o":[{"p":[{"n":[{},[0,0,0,7]]}]}],"w":[{"a":[{"r":[{},[0,0,0,7]]}]},[0,0,0,4]]}],"o":[{"e":[{"s":[{},[0,0,0,5]]}],"n":[{"t":[{"h":[{},[0,0,0,7]]}]}]}],"t":[{"r":[{"e":[{"ë":[{},[0,0,0,7]]}]}]}]}],"s":[{"a":[{"l":[{},[0,0,4]]},[0,0,0,4]],"k":[{"a":[{},[0,0,4,5]],"o":[{"o":[{"r":[{},[0,0,6,7]]}],"r":[{"e":[{},[0,0,0,7]]},[0,0,6]]}],"r":[{"o":[{"e":[{},[0,0,0,7]]},[0,0,6]]}]}],"l":[{"u":[{},[0,0,5]]},[0,0,4]],"m":[{"o":[{"s":[{"s":[{},[0,0,0,7]]}]}]}],"p":[{"o":[{"r":[{"t":[{},[0,0,0,7]]}]}]}],"t":[{"a":[{"s":[{},[0,0,6]]}],"o":[{},[0,0,4,5]]}],"w":[{"a":[{"r":[{"e":[{},[0,0,0,7]]}]}]}]}],"t":[{"e":[{"e":[{},[0,0,4,5]],"m":[{"p":[{"s":[{},[0,0,0,7]]}]}],"r":[{"s":[{"o":[{},[0,0,0,0,0,6]]}]}]}]}],"u":[{"l":[{"a":[{"s":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}]}]}],"f":[{"l":[{"o":[{"e":[{"r":[{},[0,0,0,0,0,0,6]]}]}]}]},[2,1]],"g":[{"a":[{"n":[{"g":[{"s":[{},[0,0,0,0,0,0,5]]},[0,0,0,0,0,4]]}]}],"e":[{"p":[{"e":[{"r":[{},[0,0,0,0,0,0,6]]}]}],"s":[{"p":[{"e":[{"r":[{},[0,0,0,0,7]]}]}]}]}]},[2,1]],"h":[{"e":[{"i":[{},[0,0,4]]}]},[2]],"i":[{"d":[{".":[{},[4]],"o":[{"s":[{"e":[{"a":[{},[0,0,0,7]]}]}]}],"s":[{"t":[{},[0,0,0,0,5]]},[4]]}],"e":[{"k":[{"a":[{"s":[{},[0,0,0,6]]}],"w":[{"a":[{},[0,0,0,6]]}]}],"r":[{"e":[{"t":[{},[0,0,0,6]]}],"y":[{},[0,0,0,4,5]]}],"s":[{"k":[{"r":[{},[0,0,0,6]]}]}],"t":[{"a":[{"a":[{},[0,0,0,6]]}],"j":[{"i":[{"e":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}]}],"g":[{"r":[{"e":[{".":[{},[0,0,0,6]]}]}],"u":[{"e":[{"l":[{".":[{},[0,0,0,0,7]]}]}]}]}],"h":[{"r":[{"a":[{"b":[{".":[{},[0,0,0,7]]}]}]}]}],"l":[{"t":[{"a":[{"a":[{},[0,0,0,6]]}]}]}],"n":[{"g":[{"o":[{"p":[{"l":[{},[0,0,0,7]]}]}]}],"s":[{"p":[{},[4,5]],"t":[{"u":[{},[6]]}]}]}],"r":[{"l":[{},[0,0,4]]}],"s":[{"f":[{},[0,0,3]],"s":[{"ê":[{"r":[{".":[{},[0,0,0,7]]}]}]}],"t":[{"k":[{"r":[{},[0,0,0,6]]}],"o":[{"k":[{},[0,0,0,6]]}]}]}],"t":[{"s":[{"w":[{"a":[{".":[{},[0,0,0,7]]}]}]}]}],"v":[{"-":[{},[0,0,4]]}]}],"k":[{"a":[{"a":[{"r":[{},[0,0,0,0,0,4]]}]}],"o":[{"m":[{"s":[{"t":[{"e":[{},[0,0,0,0,0,7]]},[0,0,0,0,6]]}]}]}]},[2,1]],"l":[{"a":[{},[0,3]]},[2,1]],"m":[{"a":[{"s":[{"p":[{},[0,0,0,5]],"t":[{"o":[{"r":[{},[0,0,0,7]]},[0,0,0,0,6]]}]}],"t":[{"j":[{"i":[{"e":[{},[0,0,0,7]]},[0,0,0,0,6]]}]}]}],"e":[{"l":[{"o":[{"o":[{"r":[{},[0,0,0,7]]}]}]}],"r":[{"e":[{"s":[{},[0,0,0,6]]}],"o":[{},[0,0,0,4,5]]}]}],"i":[{"s":[{"t":[{"o":[{"k":[{},[0,0,0,7]]}]}]}]}]},[2]],"n":[{},[2,1]],"o":[{"d":[{"e":[{"l":[{},[0,0,0,0,4]]}],"j":[{"a":[{"d":[{},[0,0,0,6]]}]}]},[3]],"e":[{"d":[{"s":[{},[0,0,0,0,4]]}],"n":[{"e":[{"s":[{},[0,0,0,6]]}]}],"s":[{"t":[{},[0,0,0,4]]}]},[3]],"f":[{"l":[{"a":[{"m":[{},[0,0,0,6]]}]}]}],"k":[{"a":[{"l":[{"b":[{"a":[{},[0,0,0,7]]}]}]}]}],"l":[{"e":[{"s":[{},[0,0,0,0,4,5]]}],"i":[{"e":[{".":[{},[0,5]]}]}],"m":[{"a":[{},[0,0,0,4,5]]}]}],"n":[{"d":[{"c":[{"h":[{},[0,0,0,6]]}],"o":[{"p":[{},[0,0,0,6]]}]}],"t":[{"s":[{},[4,5]]}]}],"o":[{"n":[{},[3]],"r":[{"d":[{"a":[{},[0,0,0,0,6]]}]}]}],"p":[{"l":[{},[0,3]]},[2]],"r":[{"g":[{},[4]],"o":[{},[0,0,3]],"s":[{"j":[{"u":[{},[0,0,0,6]]}],"p":[{"o":[{},[0,0,0,6]]}],"t":[{},[0,0,0,4,5]]}]}],"s":[{"a":[{"a":[{},[0,0,5]]}],"f":[{"l":[{"e":[{"s":[{},[0,0,0,7]]}]}]},[0,0,0,3]],"i":[{"n":[{"e":[{"n":[{},[0,0,0,7]]}]}]}],"k":[{"e":[{"ë":[{".":[{},[0,0,0,7]]}]},[0,0,4]]}],"t":[{"a":[{},[0,0,5]]}]}],"t":[{"e":[{"u":[{"s":[{".":[{},[0,0,0,0,7]]}]}]}],"h":[{"e":[{"u":[{},[0,0,0,6]]}]}],"o":[{"r":[{"a":[{},[0,0,0,0,0,5]]}]}]},[3]],"u":[{"f":[{"l":[{},[0,0,0,5]]}],"s":[{"l":[{"i":[{"p":[{},[0,0,0,7]]}]}],"t":[{"e":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"t":[{"e":[{"k":[{},[0,0,0,6]]}]}]}],"y":[{"a":[{".":[{},[0,0,9]]}]}]}],"ô":[{"r":[{"e":[{".":[{},[5]]}]}]}],"p":[{"a":[{"g":[{"n":[{"e":[{".":[{},[0,0,0,7]]}]}],"t":[{},[0,0,5]]},[0,4]]}],"e":[{"l":[{"y":[{"s":[{},[0,0,0,6]]}]}],"n":[{"t":[{"o":[{},[0,0,0,0,6]]}]}]}],"h":[{"e":[{"r":[{},[0,0,4]]}]}],"o":[{"p":[{"s":[{},[0,0,5]]}]}],"s":[{"k":[{"r":[{"a":[{"a":[{},[0,0,0,7]]}]}]}],"l":[{"i":[{},[0,0,5]]}],"t":[{"a":[{"a":[{"l":[{},[0,0,0,7]]}]}]}]}]},[2]],"r":[{},[2,1]],"s":[{"a":[{"p":[{"p":[{},[0,0,5]]}]}],"k":[{"a":[{"t":[{},[0,4,5]]}],"o":[{"n":[{},[0,4]]}],"r":[{"a":[{"a":[{"l":[{},[0,0,7]]}]}]}]}],"l":[{"i":[{"n":[{},[0,5]]}]}],"m":[{"e":[{},[0,3,4]]}],"o":[{"p":[{},[0,0,3]]}],"p":[{"e":[{"n":[{},[0,0,5]]}]}],"t":[{"a":[{"a":[{"l":[{},[0,6,5]]}]}],"e":[{"g":[{},[0,5]],"o":[{},[0,5]]},[0,0,4]]}],"w":[{},[0,3]]},[2,1]],"t":[{"e":[{"r":[{"t":[{"j":[{},[0,0,0,0,6,5]]}]}]}]},[2]],"u":[{"c":[{"k":[{"l":[{"e":[{"n":[{},[0,0,0,7]]}]}]}]}],"e":[{"s":[{"l":[{"i":[{".":[{},[0,0,0,0,7]]}]}]}]}],"f":[{"s":[{"m":[{"a":[{"a":[{},[0,0,0,7]]}]}]}]}],"i":[{"l":[{"e":[{"s":[{},[0,0,0,6]]}]}],"t":[{},[4]]}],"l":[{},[3]],"m":[{"a":[{"a":[{"n":[{"t":[{},[0,0,0,7]]}]}]}]}],"n":[{"s":[{"t":[{},[0,0,0,5]]},[0,0,0,0,4]],"t":[{"o":[{"u":[{},[0,0,0,6]]}]}]}],"r":[{"g":[{"i":[{"e":[{".":[{},[0,0,0,7]]}]}]},[0,0,0,4]]}],"s":[{},[3]]}],"v":[{"i":[{"t":[{"r":[{"a":[{},[0,0,0,6]]}]}]}]},[2]],"w":[{},[2]],"y":[{"l":[{"a":[{"f":[{"s":[{"t":[{},[0,0,0,7]]}]}]}],"s":[{"l":[{"a":[{},[0,0,0,6]]}]}]}],"n":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,7]]}]}]}],"i":[{"m":[{"p":[{"a":[{},[0,0,0,7]]}]}],"n":[{"g":[{"e":[{},[0,0,0,7]]}]}]}]},[3]],"s":[{},[0,1]]}],"-":[{},[2]]},[1]],"n":[{".":[{},[2]],"a":[{"a":[{"l":[{},[3]],"m":[{},[3,4]],"n":[{},[4,3]],"r":[{"d":[{"i":[{},[6,5]]}],"s":[{"k":[{"r":[{},[0,0,0,0,6]]}]}]}]}],"d":[{"m":[{"i":[{},[0,5]]}],"v":[{},[4,3]]}],"e":[{"l":[{"y":[{"s":[{"t":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}]}],"f":[{"i":[{},[0,4]],"l":[{"a":[{"d":[{},[0,0,0,6]]}]}]},[0,1]],"g":[{"a":[{"a":[{"n":[{"d":[{},[0,0,0,6]]}],"p":[{},[0,0,6]]}],"p":[{},[0,0,4,5]]}],"e":[{"m":[{"m":[{"e":[{},[0,0,0,7]]},[0,0,6]]}]}],"l":[{"a":[{"s":[{},[0,0,0,6]]}]}],"o":[{},[0,4]],"r":[{"o":[{"n":[{},[0,0,0,5]]}]}],"s":[{},[0,0,0,3]],"t":[{"i":[{"g":[{},[0,5]]}]},[4]],"u":[{},[0,0,4]]}],"i":[{"s":[{"e":[{"t":[{".":[{},[0,0,0,7]]}]}]}]}],"k":[{"l":[{"i":[{"p":[{},[0,0,0,6]]},[0,0,5]]}]}],"l":[{"f":[{},[4]],"t":[{},[4]]}],"m":[{},[3]],"p":[{"l":[{},[0,0,3,4]],"r":[{"o":[{"e":[{"t":[{},[0,0,0,7]]}]}]},[0,0,3]]}],"r":[{"b":[{},[4,3]],"e":[{"a":[{},[4]]}]}],"s":[{"k":[{"l":[{"i":[{"p":[{},[0,0,0,7]]}]}]},[0,0,3,4]],"l":[{},[0,0,3,4]],"m":[{"a":[{"a":[{},[0,0,0,6]]}]}],"p":[{"e":[{"l":[{},[0,0,0,6]]}],"r":[{},[0,0,0,4]]},[0,0,3]],"t":[{"a":[{},[0,0,5,4]],"e":[{"n":[{},[0,0,0,6]]}],"o":[{"r":[{},[0,0,0,6]]}],"r":[{},[0,0,5,4]],"u":[{"u":[{},[0,0,0,6]]},[0,0,5]]}],"w":[{"e":[{},[0,0,5]]},[0,0,0,4]]}],"t":[{"h":[{"a":[{},[0,0,5,4]]}],"j":[{"i":[{"e":[{},[0,0,0,6]]}]}],"o":[{"n":[{"d":[{"e":[{},[0,0,0,7]]}]}]}]}],"v":[{},[3]],"w":[{"e":[{"e":[{},[5]]}]}],"y":[{"l":[{".":[{},[0,0,9]]}]}]},[1]],"b":[{"a":[{"c":[{"h":[{"s":[{},[0,0,0,6]]}]}]}]},[2]],"c":[{"h":[{"e":[{},[4]]}]}],"d":[{"a":[{"g":[{"e":[{"s":[{"k":[{},[0,0,0,7]]}]}]}],"k":[{"t":[{},[0,0,5]]}],"p":[{"p":[{},[0,0,5]]}],"r":[{"b":[{},[0,4,5]],"t":[{},[0,0,5]]}],"s":[{"s":[{},[0,4,5]],"t":[{"o":[{"e":[{},[0,0,0,7]]}]}]}]}],"e":[{"e":[{"i":[{"e":[{"r":[{},[0,0,0,7]]}]}],"n":[{},[0,4,5]]}],"g":[{".":[{},[0,0,5]]}],"i":[{},[0,0,3]],"k":[{"s":[{"a":[{},[0,0,5]]}]}],"l":[{"s":[{"k":[{"o":[{"r":[{},[0,0,0,0,8,7]]}]}],"t":[{"a":[{"a":[{},[0,0,0,0,8,7]]}]}]}]}],"m":[{"m":[{},[0,0,5]]}],"r":[{"a":[{"d":[{},[0,0,0,6]],"f":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]],"r":[{},[0,0,0,6]]}],"e":[{"m":[{},[0,0,0,6]],"n":[{"t":[{},[0,0,0,6,7]]}],"s":[{"s":[{},[0,0,0,6,7]]}]}],"i":[{"m":[{},[0,0,0,6]],"n":[{".":[{},[0,0,0,0,7]]}]}],"o":[{"s":[{"i":[{},[0,0,0,7]]},[0,6]]}]}],"s":[{"i":[{"l":[{"l":[{},[0,0,0,7]]}]}]}],"z":[{"v":[{"o":[{},[0,0,0,6]]}]}]}],"i":[{"d":[{"e":[{},[0,0,5]]}],"g":[{"o":[{},[0,0,0,5]]}],"n":[{"s":[{},[0,0,5]]}]}],"o":[{"f":[{},[0,0,3]],"m":[{"e":[{},[0,5]],"t":[{},[0,0,5]]}],"n":[{"d":[{},[0,0,5]],"t":[{},[0,0,5]]}],"p":[{"b":[{},[0,4,5]]}],"s":[{"t":[{},[0,0,0,5]]}]}],"r":[{"a":[{"k":[{},[0,0,5]],"t":[{},[0,0,5]]}],"e":[{"s":[{"d":[{},[0,0,6]]}]},[0,4,3]],"i":[{"f":[{"f":[{},[0,0,5]]}],"v":[{},[0,0,5]]}],"o":[{"e":[{},[0,0,5]],"k":[{},[0,0,5]],"t":[{},[0,0,5]]}],"u":[{"i":[{"m":[{},[0,6]]}]}]}],"s":[{"e":[{"r":[{"t":[{"j":[{},[0,0,0,7]]}]}]}],"g":[{"e":[{"r":[{"u":[{},[0,0,0,7]]}]}]}],"i":[{"n":[{"l":[{},[0,0,6]]}]}],"k":[{"e":[{"n":[{"n":[{},[0,0,0,7]]}]}],"o":[{"o":[{"r":[{},[0,0,0,7]]}]}],"r":[{"a":[{"a":[{},[0,0,0,7]]}]}]}],"l":[{"a":[{"a":[{"g":[{},[0,0,6,7]]}]}],"e":[{"g":[{},[0,0,0,6]]}]}],"m":[{"a":[{"a":[{},[0,0,5,6]]}]}],"o":[{"n":[{"s":[{},[0,0,0,6]]}],"o":[{"r":[{"n":[{},[0,0,0,7]]}]}],"r":[{},[0,0,5]]}],"p":[{"r":[{"e":[{},[0,0,6]]}],"u":[{},[0,0,5]]}],"t":[{"a":[{"a":[{"l":[{},[0,0,0,7]]}]}],"e":[{"k":[{},[0,0,6]]}],"o":[{"e":[{"t":[{},[0,0,0,7]]}]}],"r":[{"o":[{"e":[{},[0,0,0,7]]}]}]}],"w":[{"e":[{"e":[{},[0,0,0,6]]}]}]}],"t":[{"w":[{"i":[{"s":[{},[0,0,0,6]]}]}]}],"u":[{"e":[{},[0,0,0,4]],"i":[{"t":[{},[0,4,5]]}],"k":[{"r":[{"a":[{"a":[{},[0,0,0,7]]}]}]}]}],"y":[{"s":[{},[0,4,3]]}]},[2]],"e":[{"b":[{"e":[{"s":[{"t":[{},[0,0,0,0,6]]}]}]}],"c":[{"t":[{"i":[{"c":[{"u":[{},[0,0,0,7]]}]}]}]}],"d":[{"e":[{"r":[{},[5]]}]}],"e":[{"l":[{"a":[{},[0,0,0,0,5]]},[0,0,0,4]],"m":[{},[0,4]],"n":[{"d":[{},[4,5]],"h":[{},[4,5]]}],"r":[{"o":[{},[0,0,0,0,5]],"s":[{},[0,0,0,0,5]]}],"t":[{"e":[{"w":[{},[0,0,0,6]]}]}],"u":[{"u":[{"r":[{".":[{},[0,0,0,7]]}]}]},[0,0,0,0,3]],"w":[{"o":[{"o":[{"r":[{},[0,0,0,7]]}]}]}]},[0,0,0,2]],"f":[{"f":[{},[4]]}],"g":[{".":[{},[4]],"l":[{"a":[{},[0,0,5]]}]}],"i":[{"e":[{},[0,3]],"l":[{},[4]]}],"k":[{"s":[{"p":[{"e":[{},[0,5]]},[4]]}]}],"l":[{"l":[{"m":[{"a":[{},[0,0,0,6]]}]}],"o":[{"o":[{"n":[{"d":[{},[0,0,0,7]]},[0,0,6]]}]}],"s":[{"p":[{"o":[{},[0,0,0,6]]}]}]}],"m":[{"a":[{"f":[{"i":[{},[0,0,0,6]]}]}]},[3]],"n":[{"s":[{"l":[{},[0,0,0,4]]}]}],"p":[{"o":[{"l":[{"i":[{"e":[{},[0,0,0,7]]}]}]}]}],"r":[{".":[{},[3]],"f":[{"a":[{"f":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"o":[{"s":[{},[0,0,4]]}],"p":[{"s":[{"i":[{"g":[{},[0,0,0,7]]}]}]}],"s":[{"l":[{"e":[{},[0,0,0,6]]}],"w":[{"e":[{},[0,0,0,0,6]]},[0,0,0,5]]}]}],"s":[{"e":[{"v":[{"a":[{"n":[{},[0,0,0,7]]}]}]}],"t":[{"a":[{"s":[{},[0,0,0,6]]}],"e":[{},[0,0,4]]}]}],"t":[{"o":[{"m":[{"g":[{"e":[{},[0,0,0,7]]}]}]}],"r":[{"i":[{},[0,0,4]]}]}],"u":[{"m":[{".":[{},[0,0,5]],"o":[{"k":[{"o":[{},[0,0,0,7]]}]}]}],"r":[{"a":[{"a":[{"l":[{},[0,0,0,7]]}]}]}],"s":[{"j":[{"i":[{},[0,0,0,6]]}],"k":[{"a":[{},[0,0,0,6]]}],"t":[{"o":[{"o":[{},[0,0,0,7]]}]}]}],"t":[{"o":[{"ë":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}]}],"w":[{"t":[{},[0,0,4]]}],"z":[{},[3]]},[1]],"ê":[{},[1]],"f":[{"l":[{},[0,3]],"y":[{"t":[{"a":[{"p":[{},[0,0,0,6]]}]}]}]},[2,1,2]],"g":[{"a":[{"d":[{},[0,4]],"k":[{},[0,4,3]],"p":[{"t":[{},[0,4,5]]}],"s":[{"e":[{},[0,4,5]],"s":[{},[0,0,5]]}]}],"e":[{"e":[{"n":[{},[0,4,5]]}],"i":[{},[0,4,3]],"k":[{"s":[{},[0,0,5]]}],"r":[{"a":[{"a":[{"p":[{},[0,0,0,6,7]]}],"l":[{},[0,0,0,6,5]]}],"d":[{"r":[{},[0,0,0,0,6,5]]}],"e":[{"t":[{},[0,0,0,6]]}]}],"s":[{"p":[{"e":[{"r":[{},[0,0,0,0,7]]}]}]}],"t":[{"e":[{"n":[{},[0,0,5]],"r":[{},[0,6]]}]}]}],"i":[{"m":[{"p":[{},[0,0,5]]}],"n":[{"k":[{},[0,4,5]],"s":[{"t":[{},[0,6]]}]}]}],"l":[{"a":[{"s":[{"u":[{},[0,0,6]]}]}]},[0,0,1]],"o":[{"ë":[{".":[{},[0,0,5]]},[0,4]],"n":[{},[0,4,3]],"o":[{"g":[{},[0,4,5]]}],"u":[{},[0,4]]}],"p":[{"s":[{"e":[{"u":[{},[0,0,0,6]]}]}]}],"r":[{"a":[{"a":[{"d":[{},[0,6,5]]}],"n":[{},[0,0,5]],"t":[{},[0,0,5]]}],"i":[{},[0,4,3]]}],"s":[{"a":[{"d":[{"e":[{".":[{},[0,0,7]]}]}],"g":[{"i":[{"t":[{},[0,0,0,7]]}]}],"p":[{"p":[{"e":[{},[0,0,7]]}]}]}],"e":[{"e":[{},[0,0,4]],"i":[{"s":[{"e":[{},[0,0,0,7]]}]}],"k":[{},[0,0,4]],"r":[{"k":[{"e":[{},[0,0,0,7]]},[0,0,6]],"o":[{},[0,0,6]],"v":[{},[0,0,6]]}]}],"f":[{"e":[{"r":[{},[0,0,0,6]]}]}],"i":[{"m":[{"p":[{"a":[{},[0,0,0,7]]}]}],"n":[{"t":[{},[0,0,0,5]]},[0,0,4]]}],"k":[{"a":[{"n":[{},[0,0,0,5]],"t":[{".":[{},[0,0,7]]}]}],"o":[{"e":[{"l":[{},[0,0,7]],"p":[{},[0,0,0,7]]}],"p":[{".":[{},[0,0,0,7]]}],"r":[{"s":[{},[0,0,7]],"t":[{},[0,0,0,7]]}]}],"u":[{"r":[{"w":[{},[0,0,0,7]]}],"u":[{"r":[{},[0,0,0,7]]}]}]}],"l":[{"a":[{"a":[{},[0,0,6,5]],"b":[{"o":[{},[0,0,0,7]]},[0,0,6]],"d":[{"i":[{},[0,0,0,7]]}]}],"e":[{"p":[{},[0,0,0,6]]}],"o":[{"o":[{"p":[{},[0,0,7,6]]}]}],"y":[{"m":[{},[0,0,0,6]]}]}],"n":[{"i":[{},[0,0,5]]},[0,0,4]],"o":[{"e":[{"t":[{},[0,0,0,6]]}],"f":[{"a":[{},[0,0,0,6]]}],"m":[{"m":[{},[0,0,0,6]]}]}],"p":[{"e":[{"l":[{"o":[{},[0,0,0,7]]}]}],"i":[{"l":[{"l":[{},[0,0,0,7]]}]}],"o":[{"e":[{},[0,0,5]]}]}],"t":[{"a":[{"b":[{"i":[{},[0,0,7]]}],"l":[{".":[{},[0,0,0,7]]}]}],"e":[{"h":[{},[0,0,6]],"i":[{"k":[{},[0,0,0,7]]},[0,0,6]],"l":[{"g":[{},[0,0,0,7]]}],"m":[{"a":[{},[0,0,0,7]],"m":[{},[0,0,7]],"p":[{},[0,0,0,7]]},[0,0,6]],"n":[{},[0,0,6,5]],"s":[{"e":[{},[0,0,0,7]]}]}],"i":[{"n":[{},[0,0,0,6]]}],"o":[{"u":[{".":[{},[0,0,0,7]]},[0,0,6]]}],"r":[{"a":[{"p":[{},[0,0,0,7]]}],"u":[{"u":[{},[0,0,0,7]]}]}]}],"u":[{"i":[{"e":[{},[0,0,0,6]]}],"r":[{"e":[{".":[{},[0,0,0,7]]}]}]}],"w":[{"e":[{"l":[{},[0,0,0,6]]}]}]}],"u":[{"i":[{"t":[{},[0,0,5]]}]}]},[2]],"h":[{},[2]],"i":[{"e":[{"k":[{"a":[{"a":[{},[0,0,0,6]]}],"n":[{"i":[{"k":[{},[0,0,0,7]]}]}]}],"r":[{"a":[{"a":[{"r":[{},[0,0,0,0,7]]},[0,0,0,6]]}],"s":[{"w":[{},[0,0,0,0,0,5]]}]}],"u":[{"i":[{"n":[{},[0,0,0,6]]}]}]}],"g":[{"a":[{"a":[{"r":[{"d":[{},[0,0,0,7]]}]}]}],"e":[{"e":[{},[0,0,4,5]]}],"i":[{"e":[{},[0,0,4,5]]}]}],"k":[{"s":[{"p":[{"y":[{".":[{},[0,0,0,0,7]]}]}]}],"w":[{"a":[{"r":[{"m":[{},[0,0,0,7]]}]}]}]}],"n":[{"d":[{},[4,3]],"f":[{},[4]],"g":[{"e":[{"l":[{"e":[{},[0,0,0,6,7]]}],"t":[{},[0,0,0,6]]}]}],"h":[{},[4]],"s":[{},[4,3]],"t":[{},[4,3]],"v":[{"o":[{},[0,5]]},[4]]}],"s":[{"a":[{"l":[{"m":[{"a":[{},[0,0,0,7]]}]}],"r":[{"a":[{},[0,0,0,6]]}]}],"e":[{"e":[{},[0,0,5]]}],"i":[{"d":[{},[0,0,0,5]],"n":[{"s":[{"p":[{},[0,0,0,7]]}]}]}],"o":[{"m":[{"s":[{},[0,0,0,6]]}],"n":[{},[0,0,4]]}]},[0,2]],"t":[{"r":[{},[0,0,3]],"s":[{"a":[{"r":[{"e":[{},[0,0,0,7]]}]}]}]}]},[1]],"j":[{"e":[{"g":[{"l":[{"a":[{"s":[{},[0,0,0,7]]}]}]}],"k":[{"r":[{"u":[{"i":[{},[0,0,0,7]]}]}]}]}],"i":[{"e":[{"s":[{"t":[{},[0,0,0,0,6]]}]}]}]}],"k":[{"a":[{"a":[{"r":[{"d":[{},[0,0,5]]},[0,0,0,0,0,4]]}],"f":[{},[0,4,3]],"k":[{"s":[{},[0,0,5]]},[0,4]]}],"e":[{"f":[{"f":[{},[0,0,5]]}],"i":[{"e":[{},[0,0,5]]},[0,4]],"l":[{"a":[{"s":[{},[0,0,0,6]]}],"i":[{"t":[{},[0,0,0,6]]}]}],"r":[{"e":[{"e":[{},[0,0,0,6]]}],"s":[{"w":[{"e":[{},[0,0,0,0,7]]},[0,0,0,0,0,6]]}]}]}],"l":[{"i":[{},[0,4,3]]}],"n":[{"a":[{},[0,0,3]],"e":[{"s":[{},[0,0,5]],"u":[{},[0,0,5]]}]},[0,2]],"o":[{"f":[{"i":[{},[0,5]]},[0,4,3]]}],"p":[{"s":[{"i":[{},[0,0,5]]}]}],"r":[{"i":[{"g":[{},[0,0,5]]}],"o":[{"l":[{},[0,0,5]],"o":[{},[0,4,5]],"s":[{},[0,0,5]]}],"y":[{"e":[{},[0,0,5]]}]}],"s":[{"n":[{"o":[{"e":[{},[0,0,0,6]]}]}],"o":[{"m":[{},[0,0,4,5]]}],"p":[{},[0,0,3]],"t":[{},[0,0,0,4]],"w":[{},[0,0,3,4]]}],"u":[{"i":[{"t":[{},[0,0,5]]}]}],"w":[{"a":[{"t":[{},[0,0,5]]}],"e":[{"n":[{},[0,5]]}]},[0,2]]},[2,1]],"l":[{"a":[{},[0,3]],"i":[{"g":[{"a":[{},[0,0,0,4]]}]}],"u":[{"s":[{},[0,0,0,4]]}]},[2,1]],"n":[{"a":[{"s":[{"p":[{"o":[{},[0,0,0,6]]}]}],"t":[{"j":[{"i":[{"e":[{},[0,0,0,7]]}]}]}]}],"e":[{"p":[{"o":[{"l":[{},[0,0,0,6]]}]}],"s":[{"e":[{"v":[{},[0,0,0,6]]}]}]}],"i":[{"s":[{},[0,0,0,4]]}]},[0,1]],"o":[{"e":[{"f":[{},[4]],"s":[{"t":[{},[0,0,0,4]]},[4]]}],"g":[{"a":[{"l":[{},[0,0,4,5]]}],"e":[{"e":[{"n":[{"s":[{},[0,0,0,7]]}]}]}]}],"k":[{"a":[{"s":[{},[0,0,0,5]]}],"o":[{".":[{},[0,0,9]]}],"r":[{"i":[{"w":[{"w":[{},[0,0,0,7]]}]}]}]}],"m":[{"a":[{},[3,4]],"m":[{},[0,4]],"o":[{"y":[{"i":[{".":[{},[0,0,0,0,7]]}]}]}]}],"n":[{"a":[{},[0,0,4,3]],"d":[{},[4,3]],"t":[{},[4,3]]}],"o":[{"d":[{"a":[{"n":[{},[0,0,0,6]]}]}],"g":[{},[0,3]],"r":[{"d":[{"i":[{},[0,0,0,0,6]]}]}]}],"p":[{"b":[{},[4]],"l":[{"a":[{"a":[{},[0,0,0,6]]},[0,0,5]],"o":[{},[4]]}],"o":[{"m":[{"h":[{"u":[{},[0,0,0,7]]}]}]}],"r":[{"o":[{"d":[{},[0,0,0,6]]}]}]}],"r":[{"g":[{"a":[{},[0,5]]},[4]],"k":[{"l":[{"a":[{},[0,0,0,6]]}]}],"m":[{},[3]],"t":[{"h":[{"a":[{"m":[{},[0,0,0,7]]}]}]}]}],"s":[{"k":[{"a":[{"a":[{},[0,0,0,6]]}]}],"p":[{},[0,0,3]]}],"t":[{"a":[{},[3]],"e":[{},[3]],"r":[{"e":[{},[0,0,5]]},[0,0,0,4]]}]},[1]],"p":[{},[2]],"r":[{"o":[{"e":[{"t":[{"j":[{"i":[{},[0,0,0,0,7]]},[0,0,0,0,0,6]]}]}]}]},[0,1]],"s":[{"a":[{"a":[{"r":[{},[0,4,5]]}],"g":[{},[0,0,3]],"n":[{"g":[{"s":[{},[0,0,5]]}]},[0,0,4]]}],"e":[{".":[{},[0,0,4]],"l":[{},[0,0,4]],"p":[{"r":[{},[0,0,0,4]]}],"r":[{"t":[{"o":[{},[0,0,0,0,6]],"r":[{},[0,0,0,0,6]]}]}]}],"f":[{"e":[{"e":[{"r":[{},[0,0,6]]}]}]},[0,0,3]],"g":[{"e":[{"l":[{},[0,0,5]]}]}],"i":[{"a":[{},[0,0,4]],"e":[{},[0,0,4]],"g":[{"a":[{"r":[{},[0,0,0,6]]}]},[0,0,4]],"n":[{"g":[{"e":[{"s":[{},[0,0,7]]}]}]}],"t":[{"r":[{"i":[{},[0,0,0,6]]}]}],"u":[{},[0,0,4]]},[0,3]],"j":[{"a":[{},[0,0,3]]}],"k":[{"a":[{"f":[{"e":[{},[0,6]]}],"p":[{},[0,5]],"r":[{},[0,4]]}],"e":[{"l":[{},[0,4,5]]}],"i":[{"n":[{},[0,0,5]]}],"o":[{"u":[{"s":[{},[0,6]]}]}],"r":[{"a":[{},[0,4,5]]}]}],"l":[{"a":[{"m":[{},[0,0,5]],"n":[{"d":[{},[0,6]]}]},[0,3]],"e":[{},[0,0,3]],"i":[{},[0,4,3]],"o":[{"t":[{"g":[{},[0,0,6]],"t":[{},[0,0,6]]}]},[0,4,3]],"u":[{},[0,3]]},[0,2]],"m":[{"e":[{"e":[{},[0,0,4]]}]}],"n":[{"a":[{"r":[{},[0,5]]}],"e":[{"l":[{},[0,5]]},[0,4]],"o":[{"o":[{},[0,0,5]]}]}],"o":[{"e":[{"k":[{},[0,5]]}],"ë":[{".":[{},[0,0,5]]},[0,4]],"n":[{"d":[{},[0,0,5]],"t":[{},[0,0,0,0,4,5]],"w":[{},[0,0,5]]}],"p":[{},[0,0,3]]}],"p":[{"a":[{"r":[{},[0,0,5]],"s":[{},[0,0,5]]}],"e":[{"r":[{},[0,4,5]]}],"o":[{"r":[{"t":[{"r":[{},[0,0,7]]}]}],"t":[{},[0,4]]}],"r":[{"a":[{"t":[{},[0,6]]}],"e":[{"k":[{},[0,0,6]]}]}]}],"t":[{"a":[{"a":[{"k":[{},[0,6]]}],"f":[{},[0,4]]}],"e":[{"h":[{},[0,0,5]],"l":[{".":[{},[0,0,6]],"s":[{},[0,0,6]]}],"r":[{".":[{},[0,5,6]],"s":[{},[0,0,6]]}]}],"r":[{"a":[{"k":[{},[0,0,5]]}]}],"u":[{},[0,3,4]],"w":[{"y":[{"f":[{},[0,0,0,6]]}]},[0,4,3]],"y":[{"d":[{},[0,0,5]]}]}],"w":[{"e":[{"e":[{"r":[{},[0,0,6]]}]}]},[0,0,3]],"y":[{"w":[{"e":[{},[0,0,5]]},[0,4]]}]},[2,1]],"t":[{"a":[{"g":[{"s":[{},[0,0,5]]}],"r":[{"k":[{},[0,0,5]],"t":[{},[0,4,5]]}],"t":[{"j":[{},[0,0,0,5]]}]}],"e":[{"i":[{"e":[{},[0,4,5]]}],"r":[{"a":[{"m":[{},[0,0,0,6]]}]}],"s":[{"m":[{},[0,0,0,5]],"t":[{"i":[{},[0,0,0,6]]}]}]}],"h":[{"o":[{"n":[{},[0,5,4]]}]}],"i":[{"k":[{"w":[{"a":[{"a":[{},[0,0,0,7]]}]}]}],"n":[{"v":[{},[0,0,5]]}]}],"j":[{"a":[{},[0,0,3]],"o":[{},[0,4]]}],"o":[{"f":[{"a":[{"k":[{"t":[{},[0,0,0,7]]}]}]}],"k":[{"s":[{"i":[{"e":[{},[0,0,7]]}]}]}],"l":[{"i":[{},[0,4,5]]}],"n":[{"a":[{"d":[{},[0,0,0,6]]}],"d":[{},[0,0,5]]}],"p":[{"s":[{},[0,0,5]]},[0,4]],"r":[{"g":[{},[0,4,5]]}]}],"r":[{"a":[{"d":[{"i":[{"n":[{},[0,0,7]]}]}],"f":[{},[0,0,5]]}],"e":[{"f":[{},[0,5]],"k":[{"o":[{"r":[{},[0,0,0,0,7]]}]}]}],"i":[{"m":[{},[0,0,5]]}],"o":[{"e":[{},[0,0,5]],"m":[{},[0,0,5]],"n":[{},[0,0,5]],"o":[{"m":[{},[0,0,5]],"s":[{},[0,5]]}],"u":[{},[0,5]],"w":[{},[0,0,5]]}],"u":[{"i":[{},[0,0,5]]}],"y":[{"k":[{},[0,0,5]]}]}],"s":[{"a":[{},[0,0,3]],"i":[{"n":[{"g":[{"e":[{},[0,0,0,7]]}]}]}],"k":[{"a":[{"n":[{"d":[{},[0,0,0,7]]},[0,0,6]]}]}],"l":[{"e":[{},[0,0,4,5]]}],"m":[{},[0,0,3,4]],"o":[{"n":[{"d":[{"e":[{},[0,0,0,7]]}]}]}],"p":[{"a":[{"a":[{},[0,0,0,5]]}]}],"t":[{},[0,0,3]]}],"u":[{"i":[{"t":[{},[0,0,5]]}],"m":[{},[0,0,0,4,3]]}],"y":[{"s":[{},[0,4,3]]}]},[2]],"u":[{"a":[{},[3]],"e":[{".":[{},[0,0,4]],"s":[{".":[{},[0,0,4]]}]}],"i":[{},[2]],"k":[{"w":[{"a":[{},[0,0,5]]},[0,0,0,4]]}],"l":[{"s":[{"o":[{"m":[{"s":[{},[0,0,0,7]]}]}]}]}],"n":[{"i":[{},[4]]}],"s":[{"k":[{"r":[{"a":[{},[0,0,6]]},[0,0,5]]}],"t":[{},[0,0,0,4]]}],"t":[{"r":[{},[0,0,3]]}],"u":[{"r":[{},[4,3]]}]},[1]],"v":[{"a":[{"l":[{"i":[{"s":[{},[0,0,0,6]]}]}]}]},[2]],"w":[{},[2]],"y":[{"s":[{"o":[{},[0,0,4]]}]}],"z":[{"a":[{"c":[{"s":[{".":[{},[0,0,0,6]]}]}]}]}]}],"o":[{"a":[{},[0,1]],"b":[{"a":[{"g":[{"t":[{},[0,0,5]]},[0,4]]}],"o":[{},[0,3]],"v":[{"o":[{"r":[{},[0,0,5]]}]}],"y":[{"n":[{"r":[{"o":[{},[0,0,0,6]]}]}]}]}],"c":[{"k":[{"w":[{"y":[{"n":[{".":[{},[0,0,0,7]]}]}]}]}]}],"d":[{"a":[{"g":[{"r":[{},[0,0,0,5]]}]}],"e":[{"e":[{"n":[{},[0,0,5]]}],"l":[{"e":[{"i":[{"e":[{},[0,0,0,7]]}]}]}],"s":[{"p":[{"a":[{"a":[{},[0,0,0,7]]}]}]}]}],"l":[{"u":[{"i":[{},[0,0,5]]}]}],"o":[{"p":[{},[0,0,3]]}],"r":[{"e":[{},[0,0,3]]}],"s":[{"a":[{"k":[{"k":[{"e":[{},[0,0,0,7]]}]}]}],"k":[{"i":[{"s":[{"h":[{},[0,0,0,7]]}]}]}],"l":[{"a":[{"k":[{"e":[{},[0,0,0,7]]},[0,0,6]]}],"o":[{"p":[{"i":[{},[0,0,0,7]]}]}]}],"o":[{"o":[{},[0,0,0,5]],"p":[{".":[{},[0,0,0,6]]}],"r":[{"g":[{},[0,0,0,6]]}]}],"p":[{"a":[{"a":[{"r":[{},[0,0,0,7]]}]}]}],"r":[{"o":[{"g":[{"g":[{},[0,0,0,7]]}]}]}],"u":[{"i":[{"t":[{},[0,0,0,6]]}]}],"w":[{"a":[{"a":[{},[0,0,0,6]],"r":[{},[0,0,0,6]]}],"y":[{"g":[{},[0,0,0,6]]}]}]}],"u":[{"k":[{},[0,0,0,4]]}]}],"e":[{"d":[{"a":[{"a":[{},[0,0,4,5]],"g":[{},[0,0,4,5]]}],"e":[{"i":[{"e":[{".":[{},[0,0,0,7]]}]},[0,0,4]],"t":[{"t":[{"e":[{},[0,0,0,7]]}]}]}],"i":[{"n":[{"d":[{},[0,0,6]]}]}],"j":[{"a":[{".":[{},[0,0,0,6]]}]}],"o":[{"n":[{"d":[{"e":[{},[0,0,0,7]]}]}],"o":[{},[0,0,4,5]],"p":[{},[0,0,4,5]],"r":[{},[0,0,4,5]]}],"r":[{"o":[{},[0,0,4,5]]}],"s":[{"t":[{"r":[{"y":[{},[0,0,0,7]]}]}]}],"u":[{},[0,0,4]],"w":[{"y":[{"n":[{".":[{},[0,0,0,7]]}]}]},[0,0,0,3]]}],"f":[{"a":[{"a":[{},[0,0,4,5]],"n":[{},[0,0,4,5]]}],"e":[{"k":[{},[0,0,4]]},[3]],"l":[{"o":[{},[0,0,4,5]]}],"o":[{},[0,0,4,3]],"r":[{"i":[{"t":[{".":[{},[0,0,0,7]]}]}]}]}],"g":[{"a":[{"a":[{"n":[{"d":[{},[0,0,0,7]]}]}]}],"l":[{"a":[{"e":[{"r":[{},[0,0,0,7]]}],"m":[{".":[{},[0,0,0,7]]}]}]}],"o":[{"g":[{},[0,0,4]]}],"s":[{},[0,0,0,3]],"y":[{"s":[{"k":[{"a":[{},[0,0,0,7]]}]}]}]}],"i":[{"e":[{"n":[{"a":[{},[0,0,0,0,0,6]]}]}],"s":[{"k":[{"e":[{"r":[{},[0,0,0,7]]}]}]},[0,0,0,0,4]]},[0,0,0,1]],"k":[{"a":[{"a":[{},[0,0,4]]}],"e":[{"i":[{"e":[{"r":[{},[0,0,0,7]]}]}],"r":[{"f":[{".":[{},[0,0,0,7]]},[0,0,6]]}],"v":[{"a":[{"l":[{},[0,0,0,7]]}]}]}],"l":[{"a":[{"p":[{},[0,0,0,6]]}]},[0,0,4,3]],"o":[{"l":[{"i":[{"e":[{},[0,0,0,7]]}]}],"o":[{"r":[{"t":[{},[0,0,0,7]]}]}]}],"r":[{"a":[{"k":[{},[0,0,0,5]]}],"e":[{},[0,0,0,5]],"o":[{},[0,0,0,5]]},[0,0,4]],"s":[{"t":[{"e":[{"n":[{},[0,0,0,7]]}]}]}],"w":[{},[0,0,4,3]]}],"l":[{"e":[{"i":[{"e":[{},[0,0,5]]},[0,0,4]],"m":[{"m":[{"e":[{},[0,0,0,7]]},[0,0,6]]}],"t":[{"e":[{"r":[{},[0,0,0,7]]}]}]}],"i":[{"n":[{"g":[{"s":[{},[0,0,0,0,0,0,0,7]]},[0,0,0,0,0,0,6]],"s":[{"t":[{},[0,0,0,7]]},[0,0,6]]}]}],"o":[{"n":[{"b":[{"e":[{},[0,0,0,7]]}]}],"p":[{"r":[{"i":[{},[0,0,0,7]]}]}]}],"s":[{"e":[{"r":[{},[0,0,0,6]]}],"k":[{"r":[{},[0,0,0,6]]}],"l":[{"i":[{"k":[{},[0,0,0,7]]}]}]}]}],"n":[{"e":[{"i":[{"k":[{"e":[{},[0,0,0,7]]}]},[0,0,4]],"r":[{"t":[{"j":[{},[0,0,0,7]]},[0,0,6]]}],"s":[{"s":[{"e":[{},[0,0,0,7]]}]}]}],"k":[{"l":[{},[0,0,0,5]],"n":[{"o":[{"o":[{},[0,0,0,7]]}]}],"w":[{},[0,0,0,5]]},[0,0,0,0,4]],"o":[{},[0,0,4,3]],"s":[{"k":[{"o":[{},[0,0,0,0,5]]}],"m":[{},[0,0,0,5]],"o":[{},[0,0,0,0,4]]}],"y":[{"s":[{"b":[{"e":[{},[0,0,0,7]]}]}]}]}],"p":[{"a":[{"a":[{"n":[{"g":[{},[0,0,0,7]]}]}]}],"i":[{"n":[{"s":[{"t":[{},[0,0,0,7]]}],"v":[{},[0,0,6]]}]}],"l":[{"a":[{},[0,0,5]],"i":[{},[0,0,0,5]],"o":[{},[0,0,5]]},[0,0,4]],"s":[{"e":[{"e":[{},[0,0,0,6,5]]}],"i":[{"n":[{},[0,0,0,6,5]]}],"l":[{},[0,0,0,4]]}],"u":[{},[0,0,4]]}],"r":[{"a":[{"s":[{"e":[{},[0,0,0,0,0,5]]}]}],"k":[{},[0,0,0,3]],"o":[{"n":[{},[0,0,4,5]],"u":[{},[0,0,0,5]]}],"s":[{"k":[{"e":[{},[0,0,0,6]]}]}],"t":[{"w":[{"a":[{"k":[{},[0,0,0,7]]}]}]}]}],"s":[{"e":[{"r":[{},[0,0,5]]}],"i":[{"e":[{},[0,0,5]]}],"j":[{"e":[{},[0,0,5]]}],"k":[{"r":[{"a":[{"a":[{},[0,0,0,7]]}]}]}],"l":[{"i":[{"m":[{"t":[{},[0,0,0,7]]}]}],"o":[{},[0,0,4,5]]}],"m":[{"e":[{"d":[{"i":[{},[0,0,0,7]]}]}]}],"p":[{"i":[{"l":[{".":[{},[0,0,0,7]]}]}],"o":[{},[0,0,4,5]]}],"t":[{"e":[{"r":[{},[0,0,0,5]]}],"r":[{"o":[{"e":[{},[0,0,0,7]]}]}]}],"w":[{"e":[{},[0,0,4]]}]}],"t":[{"a":[{"a":[{"n":[{"p":[{},[0,0,0,7]]}]}],"m":[{},[0,0,4,5]]}],"h":[{"e":[{".":[{},[0,0,0,6]]}]}],"j":[{},[0,0,4,3]],"o":[{"l":[{"i":[{},[0,0,6,5]]}],"o":[{},[0,0,4,5]]}],"r":[{"i":[{},[0,0,4,5]],"u":[{},[0,0,4,5]]}],"s":[{"k":[{"r":[{"a":[{},[0,0,0,0,7]]}]}],"n":[{"a":[{},[0,0,0,6]]}],"p":[{"e":[{},[0,0,0,6]]}],"t":[{"e":[{},[0,0,0,6,5]],"i":[{},[0,0,0,6]]}]}],"w":[{"y":[{},[0,0,0,5]]}]}]}],"ë":[{"r":[{"u":[{"g":[{},[0,0,5]]}]}]}],"f":[{"a":[{"t":[{},[0,0,3]]}],"e":[{"e":[{"n":[{},[0,0,5]]}]}],"f":[{"i":[{"s":[{},[5]]}]}],"i":[{"n":[{},[0,4,3]]}],"l":[{},[0,0,3]],"o":[{"k":[{"s":[{},[0,0,5]]},[0,4]],"m":[{},[0,4,3]]}],"p":[{"s":[{"a":[{},[0,0,5]]}]}],"r":[{},[0,2,3]],"s":[{"a":[{"n":[{"t":[{},[0,0,6]]}]}],"i":[{"d":[{"e":[{"n":[{},[0,0,0,7]]}]}],"n":[{"s":[{"i":[{},[0,0,0,7]]},[0,0,6]]}]}],"l":[{"e":[{},[0,0,4,5]]}],"o":[{"o":[{},[0,0,4,5]]}],"p":[{"a":[{"a":[{"r":[{},[0,0,0,7]]}]}]}]}],"u":[{"i":[{},[0,4]]}]}],"g":[{"d":[{".":[{},[0,0,4]]}],"e":[{"s":[{"t":[{},[0,0,0,4,5]]}]}],"g":[{"e":[{"l":[{"o":[{"o":[{},[0,0,0,0,0,7]]},[0,0,0,0,6]]}]}]}],"i":[{"f":[{"a":[{"a":[{"l":[{},[0,0,0,7]]}]}]}],"g":[{},[3]]}],"l":[{},[0,0,1]],"n":[{"a":[{"t":[{},[0,0,4]]}]}],"o":[{"s":[{"t":[{"e":[{"o":[{},[0,0,0,7]]}]}]}]}],"r":[{"y":[{"e":[{},[0,0,5]]},[0,4]]}],"s":[{".":[{},[0,0,4]],"g":[{},[0,0,4]],"i":[{"n":[{"f":[{},[0,0,0,6]]}]}],"k":[{"a":[{},[0,0,5]]}],"l":[{"a":[{"s":[{"t":[{},[0,0,0,7]]}]}]}],"o":[{"t":[{".":[{},[0,0,0,6]]}]}],"p":[{"a":[{"d":[{".":[{},[0,0,0,7]]}]}],"r":[{"i":[{"s":[{},[0,0,0,7]]}]}]},[0,0,0,4]],"u":[{"i":[{"p":[{},[0,0,0,6]]}]}],"w":[{"a":[{"n":[{},[0,0,0,6]]}]}]}]},[0,1]],"i":[{"g":[{"a":[{"f":[{"f":[{},[0,0,0,6]]}]}]}],"k":[{},[0,0,3]],"l":[{"e":[{},[0,0,0,0,4]]}],"s":[{"a":[{"g":[{},[0,0,5]]},[0,0,0,4]],"k":[{"i":[{},[0,0,5]],"u":[{"u":[{},[0,0,0,6]]}],"y":[{},[0,0,5]]}],"l":[{"a":[{},[0,0,5]]}],"p":[{},[0,0,0,4]],"t":[{"e":[{"ï":[{"s":[{},[0,0,0,7]]}]}]},[0,0,0,4]],"w":[{"e":[{"r":[{},[0,0,0,6]]}]}]}],"t":[{"j":[{},[0,0,3]]}]},[0,0,1]],"j":[{"e":[{"k":[{"l":[{},[0,0,0,0,5]]},[0,0,0,4]]}]}],"k":[{"a":[{"a":[{"s":[{},[0,4,5]]}],"g":[{},[0,4]],"m":[{},[0,0,4]],"n":[{},[0,0,4]]}],"e":[{"t":[{"j":[{},[0,0,0,0,5]]},[0,0,0,4]]}],"i":[{"e":[{},[0,0,0,0,4]],"n":[{"s":[{},[0,4,5]]}]}],"l":[{"a":[{"t":[{},[0,0,5]]}],"e":[{"e":[{"d":[{},[0,0,6]]}]}]}],"n":[{},[0,0,3]],"o":[{"s":[{"e":[{"i":[{"l":[{},[0,0,0,7]]}]}],"o":[{"l":[{},[0,0,0,6]]}]}],"u":[{},[0,4]]}],"r":[{"o":[{},[0,4,3]]},[0,1]],"s":[{".":[{},[0,0,4]],"i":[{"g":[{},[0,0,5]],"n":[{"s":[{},[0,0,6]]}]}],"j":[{},[0,0,4]],"k":[{"r":[{"a":[{"a":[{},[0,0,0,7]]}]}]}],"l":[{"i":[{"p":[{},[0,0,0,6]]}]}],"p":[{},[0,0,3]],"t":[{},[0,0,3]],"w":[{"i":[{"n":[{},[0,0,0,6]]}]}]}],"w":[{"i":[{"n":[{},[0,0,4]]}]},[0,2,3]]}],"l":[{"a":[{"g":[{"t":[{},[0,0,5]]}]},[0,1]],"f":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,7]]}]}]}],"è":[{"g":[{},[0,0,5]]}],"l":[{"a":[{"p":[{},[0,0,0,6]]}]}],"s":[{"k":[{"u":[{},[0,0,0,6]]}],"m":[{"e":[{},[0,0,0,6]]}]}]}],"g":[{"l":[{},[0,0,4]],"o":[{"n":[{"d":[{"e":[{},[0,0,0,7]]}]}],"r":[{},[0,0,4,5]]}],"s":[{"m":[{"e":[{"e":[{},[0,0,0,7]]}]}]}]}],"i":[{"e":[{"b":[{},[5]],"s":[{"m":[{"a":[{},[0,0,0,0,7]]},[0,0,0,0,0,6]]}]}],"f":[{"a":[{},[5]]}],"g":[{"n":[{"y":[{".":[{},[0,0,0,7]]}]}]}]}],"k":[{"s":[{"e":[{"m":[{},[0,0,0,6]],"p":[{},[0,0,0,6]]}],"o":[{"w":[{},[0,0,0,6]]}],"t":[{"i":[{},[0,0,0,6]]}]}]}],"o":[{"k":[{"w":[{},[0,0,0,5]]}],"o":[{"r":[{},[0,4,5]]}],"s":[{"p":[{},[0,0,0,5]]}]},[0,1]],"p":[{"h":[{"t":[{"a":[{},[0,0,0,6]]}]}]}],"s":[{"a":[{"r":[{"e":[{".":[{},[0,0,0,7]]}]},[0,0,4]]}]}],"t":[{"z":[{"h":[{"a":[{},[0,0,0,6]]}]}]}],"u":[{},[0,1]],"y":[{"f":[{"o":[{},[0,0,0,0,5]]}]}]}],"m":[{"a":[{"g":[{"t":[{},[0,0,5]]}],"p":[{"l":[{"e":[{"g":[{},[0,0,0,7]]}]}]}],"r":[{"m":[{},[0,4,5]]}],"t":[{"j":[{"i":[{"e":[{},[0,0,0,7]]},[0,0,0,0,6]]}]}]},[0,3]],"e":[{"s":[{},[0,0,0,4]],"u":[{"s":[{},[0,0,0,5]]}]},[0,3]],"g":[{"h":[{"a":[{"d":[{},[0,0,0,6]]}]}]}],"i":[{},[0,3]],"k":[{"a":[{"s":[{},[0,0,0,0,5,4]]}]}],"l":[{"o":[{"o":[{"p":[{},[5]]}]}]}],"o":[{"s":[{"f":[{"e":[{"e":[{},[0,0,0,7]]},[0,0,0,0,6]]}]}]},[0,3]],"p":[{"l":[{"i":[{"g":[{"s":[{},[0,0,0,7]]}]}]}],"o":[{"o":[{"r":[{".":[{},[0,0,0,7]]}]}],"p":[{".":[{},[0,0,6]]}]}]}],"s":[{"a":[{"a":[{"l":[{},[0,0,0,6]]}]}],"l":[{"a":[{"g":[{},[0,0,0,6]]},[0,0,5]]}],"p":[{"e":[{"r":[{"k":[{},[0,0,0,7]]}]}]}],"t":[{"a":[{"n":[{},[5]]}],"i":[{"n":[{},[0,0,0,6]]}]}]}]},[0,2]],"n":[{"a":[{"g":[{"e":[{},[0,5,4]]},[0,4,3]],"n":[{},[0,3,4]],"s":[{"k":[{"l":[{},[0,0,0,6]]}],"t":[{"e":[{"n":[{},[0,0,0,7]]}]}]}]}],"d":[{"a":[{"a":[{"p":[{".":[{},[0,0,0,7]]}]}],"g":[{"t":[{},[0,0,0,5]]}],"m":[{"p":[{"t":[{},[0,0,0,7]]}]}]}],"d":[{"w":[{"a":[{"a":[{},[0,0,0,7]]}]}]}],"e":[{"s":[{},[4]],"u":[{"s":[{".":[{},[0,0,0,0,7]]}]}]}],"i":[{"d":[{},[0,0,4]]}],"o":[{"m":[{},[0,0,4]]}],"r":[{"o":[{"l":[{".":[{},[0,0,0,7]]}]}]}],"s":[{"l":[{"e":[{},[0,0,0,5]]}],"o":[{},[0,0,0,5]],"p":[{"l":[{},[0,0,0,6]]},[0,0,0,5]]}],"t":[{"w":[{"i":[{"s":[{},[0,0,0,7]]}]}]}]}],"e":[{"f":[{"f":[{},[0,0,5]]}],"i":[{},[0,4,3]]}],"g":[{"a":[{"a":[{"n":[{},[0,0,0,5]]}]}],"o":[{"s":[{},[0,0,4,5]]}]}],"i":[{"k":[{},[0,3,4]],"l":[{},[0,4]],"n":[{"g":[{"r":[{},[0,0,0,0,6]]}]}]}],"k":[{"e":[{"r":[{"t":[{"j":[{},[0,0,0,7,0,0,7]]}]}]}],"j":[{},[0,0,4]],"n":[{"o":[{},[0,0,5]]}],"o":[{"m":[{"g":[{"e":[{},[0,0,0,7]]}]}]}],"r":[{"u":[{"g":[{"h":[{},[0,0,0,7]]}]}]}]}],"n":[{"e":[{"s":[{"t":[{},[0,0,0,0,5]]}]}]}],"o":[{"k":[{"s":[{},[0,4,5]]}],"s":[{"f":[{"e":[{"e":[{},[0,0,0,7]]}]}]}]}],"s":[{".":[{},[0,0,4]],"e":[{"p":[{},[0,0,0,0,4,5]]}],"i":[{"d":[{"e":[{"n":[{},[0,0,0,7]]}]}]}],"k":[{"e":[{"p":[{"e":[{},[0,0,0,7]]}]}],"o":[{"r":[{"i":[{},[0,0,0,7]]}]}]}],"p":[{"a":[{"m":[{"p":[{},[0,0,0,7]]}]}]}],"s":[{"e":[{"l":[{"f":[{},[0,0,0,7]]}]}]}],"t":[{"e":[{},[0,0,5]],"o":[{"l":[{".":[{},[0,0,0,7]]}]}]},[0,0,0,4]]}],"t":[{"a":[{"a":[{"r":[{},[0,0,6,5]]}]}],"d":[{},[3]],"e":[{"l":[{"s":[{"i":[{},[0,0,0,7]]}]}]}],"g":[{"i":[{},[5]]}],"r":[{"a":[{"a":[{},[0,0,0,5]]}],"i":[{},[0,0,4]],"o":[{"l":[{".":[{},[0,0,0,7]]}]}],"u":[{},[0,0,4,5]]}],"s":[{"l":[{"i":[{"k":[{},[0,0,0,7]]}]}]}],"w":[{},[3]]}],"y":[{"o":[{"k":[{"o":[{"l":[{},[0,0,0,7]]}]}]}]},[0,1]]}],"o":[{"a":[{"g":[{"t":[{},[0,0,5]]}]}],"d":[{"a":[{},[0,0,0,3]],"e":[{"b":[{},[0,0,5]],"e":[{},[0,0,0,5]],"k":[{},[0,0,5]],"r":[{},[0,0,0,5]],"t":[{},[0,0,0,5]]}],"o":[{"k":[{},[0,0,0,5]],"n":[{"g":[{"e":[{},[0,0,0,7]]}]}]}],"r":[{},[0,0,0,3]],"s":[{"a":[{"n":[{},[0,0,0,6]]}],"m":[{"o":[{"o":[{},[0,0,0,7]]}]}],"o":[{"r":[{"g":[{},[0,0,0,7]]}]}],"p":[{"u":[{"i":[{},[0,0,0,7]]}]}],"u":[{"i":[{"t":[{},[0,0,0,7]]}]}],"w":[{"a":[{"a":[{},[0,0,0,7]],"r":[{},[0,0,0,7]]}]}]}],"u":[{"i":[{},[0,0,0,5]]}]}],"f":[{"s":[{"e":[{"r":[{},[0,0,0,6]]}],"i":[{"d":[{},[0,0,0,6]]}]}]},[0,0,0,1]],"g":[{"e":[{"n":[{"h":[{},[0,0,0,6]]}]}],"l":[{"e":[{"s":[{},[0,0,0,6]]}]}],"p":[{"u":[{},[5]]}],"s":[{"i":[{"n":[{"f":[{},[0,0,0,7]]}]}],"u":[{"i":[{"p":[{},[0,0,0,7]]}]}]}],"-":[{"l":[{"o":[{},[0,0,0,6]]}]}]},[0,0,0,3]],"i":[{"s":[{"p":[{"a":[{},[0,0,0,6]]}]}]}],"k":[{"a":[{},[0,0,4]],"s":[{"s":[{"t":[{},[0,0,0,6]]}]}]},[0,0,0,3]],"l":[{"a":[{"n":[{"d":[{},[0,0,0,6]]}]}],"s":[{"n":[{"a":[{"a":[{},[0,0,0,7]]}]}]}]},[0,0,0,1]],"m":[{"a":[{},[0,0,4]],"e":[{},[0,0,4]],"o":[{},[0,0,4]]},[0,0,0,1]],"n":[{"a":[{"g":[{".":[{},[0,0,0,6]]}]}],"g":[{},[0,0,0,0,4]],"s":[{"k":[{"o":[{},[0,0,0,0,6]]}],"l":[{},[0,0,0,5]]}]},[0,0,0,1]],"p":[{"a":[{},[0,0,4]],"e":[{},[0,0,4]],"k":[{"l":[{"i":[{"k":[{},[0,0,0,7]]}]}]}],"n":[{},[0,4]],"o":[{},[0,0,4]],"s":[{"w":[{"e":[{},[0,0,0,6]]}]}]},[0,0,0,1]],"r":[{"d":[{"a":[{"a":[{"d":[{},[0,0,0,7]]},[0,0,0,6]],"p":[{},[0,0,0,6]],"r":[{"m":[{},[0,0,0,7]]}]}],"c":[{"a":[{},[0,0,0,6]]}],"o":[{"m":[{},[0,0,0,6,5]],"o":[{"p":[{},[0,0,0,7]]}]}]}],"f":[{"r":[{"e":[{"k":[{},[0,0,0,7]]}]}]}],"i":[{},[0,0,0,3]],"k":[{"l":[{"i":[{"k":[{},[0,0,0,7]]}]}]}],"l":[{"o":[{"g":[{},[5]]}]}],"o":[{"t":[{".":[{},[0,0,0,6]]}]}],"t":[{".":[{},[4]],"a":[{"a":[{},[0,0,0,6]]}],"i":[{"n":[{},[0,0,0,6,5]]}],"j":[{"a":[{".":[{},[0,0,0,0,7]]}]}],"y":[{"l":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"v":[{"e":[{"ë":[{".":[{},[0,0,0,0,0,7]]}]}]}]},[0,0,0,1]],"s":[{"a":[{},[0,0,0,3]],"k":[{},[0,0,0,3]],"o":[{},[0,0,4]],"p":[{"e":[{"r":[{"s":[{},[0,0,0,7]]}]}]}]}],"t":[{"a":[{"a":[{"i":[{},[0,0,0,6]]}]},[0,0,4]],"e":[{"n":[{".":[{},[0,0,0,6]]}]}],"i":[{},[0,0,4]],"o":[{},[0,0,4]],"r":[{},[0,0,4,3]],"u":[{},[0,0,4]]},[0,0,0,1]],"v":[{},[0,0,3]]},[0,0,2]],"ö":[{"s":[{"p":[{"o":[{},[0,0,5]]}]}]}],"p":[{"a":[{"f":[{},[0,4]],"g":[{"t":[{},[0,0,5]]}],"l":[{"e":[{"s":[{},[0,0,0,6]]}]}],"m":[{},[0,4,3]]},[0,3]],"d":[{"r":[{"a":[{"g":[{},[5]]}]}]}],"e":[{"e":[{"n":[{},[0,0,5]]}],"g":[{".":[{},[0,0,9]]}],"n":[{"i":[{},[5]]}],"r":[{"a":[{"a":[{"r":[{},[0,0,0,0,7]]}],"g":[{"e":[{},[0,0,0,7]]}]}]},[0,0,4]]},[0,3]],"h":[{"o":[{"r":[{"u":[{},[0,0,6]]}]}]}],"i":[{"e":[{"l":[{"e":[{},[0,0,0,0,6]]}]}]},[0,3]],"k":[{"l":[{"i":[{"k":[{},[0,0,0,6]]}]}]}],"l":[{"a":[{"n":[{},[0,0,4]]}],"e":[{"i":[{"n":[{},[0,0,6]]}]}],"o":[{},[3]]},[0,0,3]],"n":[{"o":[{},[4]]},[1]],"o":[{"f":[{"a":[{"g":[{"i":[{},[0,0,0,7]]}]}],"f":[{},[0,0,5]]}],"n":[{"t":[{},[0,0,5]]}],"s":[{"f":[{"e":[{"e":[{},[0,0,0,7]]}]}]}]},[0,3]],"p":[{"e":[{"r":[{"v":[{},[5]]}]}]}],"r":[{"o":[{"t":[{},[0,5,4]]}],"u":[{},[0,4]]},[0,0,3]],"s":[{"k":[{"r":[{"e":[{},[0,0,6]]}]}],"m":[{"a":[{"a":[{},[0,0,0,6]]}]}],"n":[{"e":[{"u":[{"s":[{},[0,0,0,7]]}]}]}],"o":[{"n":[{},[0,0,5]],"r":[{},[0,0,0,5]]}],"t":[{},[0,0,3]],"w":[{"e":[{"l":[{"s":[{},[0,0,0,7]]}]}]},[0,0,3]]}],"u":[{},[0,3]]},[0,2]],"r":[{"a":[{"f":[{"d":[{},[0,0,5]]}],"g":[{"t":[{},[0,0,5]]}],"l":[{"e":[{"e":[{},[0,0,0,6]]}],"o":[{"o":[{},[0,0,0,6]]}]}],"t":[{"j":[{"i":[{"e":[{},[0,0,0,7]]},[0,0,0,0,6]]}]}]},[0,1]],"d":[{"a":[{"k":[{"t":[{"i":[{},[0,0,0,7]]}]}],"r":[{"m":[{},[0,0,0,6]]}]}],"e":[{"k":[{"s":[{"a":[{},[0,0,0,7]]}]}]}],"i":[{"e":[{"r":[{"l":[{},[0,0,0,7]]}]}],"n":[{"s":[{"t":[{},[0,0,0,7]]}]}]}],"o":[{"e":[{"s":[{},[0,0,0,5]]}],"o":[{"p":[{},[0,0,0,6]]},[0,0,4,5]],"r":[{"d":[{"e":[{},[0,0,0,7]]},[0,0,6]]}]}],"r":[{"i":[{},[0,0,4,5]],"o":[{"m":[{"a":[{},[0,0,0,7]]}]}]}]}],"e":[{"s":[{"t":[{"e":[{"r":[{},[0,0,0,7]]}]}]}]}],"ê":[{},[0,3]],"f":[{"o":[{"o":[{"n":[{"d":[{},[0,0,0,7]]}]}]}]}],"g":[{".":[{},[4]],"h":[{},[0,0,3]],"l":[{"o":[{},[0,0,4]]}],"p":[{},[4]],"r":[{"i":[{"n":[{"g":[{},[0,0,0,7]]}]}]}]}],"i":[{"ë":[{},[3]],"n":[{"g":[{"s":[{"k":[{"u":[{},[0,0,0,0,0,0,8]]}]}]}]}]}],"k":[{"a":[{"a":[{},[0,0,5]]}],"e":[{"s":[{},[0,0,0,0,0,5]]}],"l":[{"a":[{"g":[{".":[{},[0,0,0,7]]}]}],"i":[{"k":[{},[0,0,0,6]]}]}],"n":[{"e":[{"y":[{".":[{},[0,0,0,7]]}]}]}],"o":[{"m":[{"s":[{"t":[{},[0,0,0,0,0,0,7]]},[0,0,0,0,0,6]]}]}]}],"m":[{"a":[{"a":[{"n":[{},[0,0,6]]}]}],"j":[{},[0,0,4]]}],"n":[{"j":[{},[0,0,4]]}],"o":[{"n":[{"d":[{},[0,0,5]],"g":[{},[0,0,5]]}],"t":[{".":[{},[0,5]],"h":[{"y":[{".":[{},[0,0,0,7]]}]}]}]}],"p":[{"h":[{},[0,0,3,4]],"s":[{"k":[{"i":[{},[0,0,0,6]]}],"n":[{},[0,0,0,4]]}]}],"s":[{"a":[{"a":[{"r":[{".":[{},[0,0,0,7]]}]}],"g":[{},[0,0,0,5]]}],"j":[{"u":[{"r":[{"k":[{},[0,0,0,7]]}]}]}],"m":[{"o":[{},[0,0,0,5]]}],"p":[{"o":[{"t":[{".":[{},[0,0,0,7]]}]}]}],"t":[{"e":[{"r":[{"i":[{},[0,0,0,7]],"y":[{},[0,0,0,7]]}]}],"i":[{},[0,0,4]],"r":[{"e":[{"k":[{},[0,0,0,7]]}]}]}]}],"t":[{"a":[{"a":[{"n":[{".":[{},[0,0,0,7]]}],"r":[{},[0,0,0,5]]}],"k":[{"t":[{},[0,0,0,5]]}],"r":[{},[0,0,4]]}],"h":[{"a":[{"m":[{},[0,0,0,6]]}]}],"o":[{"d":[{},[5]],"n":[{"d":[{"e":[{},[0,0,0,7]]}]}]}],"r":[{"o":[{"l":[{".":[{},[0,0,0,7]]}]}],"u":[{"k":[{".":[{},[0,0,0,7]]}]}]}],"s":[{"w":[{},[0,0,0,5]]}]}],"u":[{"s":[{},[0,3,4]]},[0,0,1]],"y":[{".":[{},[0,3]],"s":[{},[0,0,0,4]]}]}],"s":[{"a":[{"g":[{},[0,0,3]],"p":[{"h":[{"a":[{"t":[{},[0,0,0,7]]}]}],"i":[{},[0,0,5]]}],"s":[{},[0,0,0,0,4]],"t":[{"j":[{"i":[{"e":[{},[0,0,0,7]]}]}]}]}],"c":[{"e":[{"n":[{},[0,0,5]]}]}],"e":[{"p":[{"h":[{"i":[{"n":[{},[0,0,0,7]]}],"u":[{"s":[{},[0,0,0,7]]}]}]}]},[0,3]],"i":[{"n":[{"e":[{"n":[{},[0,0,0,6]]}]}]},[0,3]],"j":[{"o":[{},[0,4]]}],"k":[{"a":[{},[0,4,3]],"e":[{"e":[{},[0,0,5]]}],"i":[{"s":[{},[0,0,5]]}],"o":[{"e":[{},[0,0,5]],"p":[{".":[{},[0,0,5]]}],"r":[{},[0,0,5]],"u":[{},[0,0,5]],"w":[{},[0,0,5]]}],"r":[{"i":[{},[0,5]]},[0,0,3]],"u":[{},[0,4]]},[0,0,1]],"l":[{},[0,2,3]],"m":[{},[0,0,3]],"n":[{},[0,2,3]],"o":[{"l":[{"i":[{},[0,0,5]]}],"o":[{"r":[{},[0,0,5]]}],"r":[{"d":[{},[0,0,5]]},[0,4]]}],"p":[{"e":[{},[0,0,4]]},[0,0,3]],"s":[{"t":[{"e":[{},[0,0,5]]}]}],"t":[{".":[{},[0,0,4]],"a":[{"f":[{},[0,0,5]],"k":[{},[0,0,5]],"l":[{},[0,0,5]],"r":[{},[0,0,5]]},[0,0,4]],"d":[{},[0,0,4]],"h":[{},[0,0,4]],"i":[{"m":[{"p":[{"e":[{},[0,0,0,7]]}]}]}],"m":[{},[0,0,4]],"r":[{"a":[{"t":[{},[0,5]]}],"e":[{"v":[{"o":[{},[0,0,0,7]]},[0,0,6]]}],"o":[{"o":[{},[0,0,0,6]]}]}],"w":[{},[0,0,4]],"-":[{},[0,0,4]]},[0,0,3]],"w":[{},[0,0,3]],"-":[{"l":[{"o":[{"n":[{"d":[{},[0,0,0,7]]}]}]}]}]}],"t":[{"a":[{"k":[{"k":[{},[0,0,5]]}],"s":[{"t":[{},[0,0,0,5]]},[0,0,0,0,4]],"t":[{"j":[{"i":[{"e":[{},[0,0,0,7]]}]}]}]},[0,3]],"e":[{"e":[{"k":[{},[0,0,0,0,0,5]]}],"s":[{"a":[{},[0,0,0,4,5]],"n":[{"o":[{},[0,0,0,6]]}],"p":[{"r":[{},[0,0,0,6]]}],"t":[{},[0,0,0,4,5]]}]},[0,3]],"h":[{"e":[{},[0,4]],"n":[{"a":[{"g":[{"e":[{},[0,0,0,7]]}]}]}]}],"i":[{},[0,3]],"j":[{},[0,0,3]],"o":[{"p":[{"m":[{},[0,0,5]]}],"r":[{"a":[{"n":[{},[0,0,0,6]]}],"e":[{"n":[{},[0,0,0,6]]}],"o":[{},[0,0,0,0,5]]}],"s":[{"k":[{},[0,0,0,5]]},[0,0,0,0,4]]},[0,3]],"r":[{"e":[{},[0,0,3]],"o":[{},[0,3]],"y":[{"k":[{},[0,0,5]]}]}],"s":[{"e":[{"i":[{"l":[{"a":[{},[0,0,0,7]]}]}]}],"k":[{"a":[{"r":[{"r":[{},[0,0,0,7]]}]}],"o":[{},[0,0,4,5]]}],"l":[{"a":[{},[0,0,0,5]]},[0,0,4]],"p":[{"o":[{},[0,0,4,5]]}],"r":[{"û":[{"e":[{".":[{},[0,0,0,7]]}]}]}],"t":[{"e":[{"e":[{".":[{},[0,0,0,7]]}],"k":[{},[0,0,6]]}],"o":[{"e":[{"t":[{},[0,0,0,7]]}]}],"u":[{},[0,0,4]]}]}],"t":[{"e":[{"l":[{"o":[{},[0,0,0,0,6,5]]}]}]}],"u":[{"i":[{},[0,4]],"s":[{"e":[{"t":[{},[0,0,0,6]]}]}]},[0,3]]},[0,2]],"u":[{"a":[{"c":[{"h":[{"e":[{},[0,0,0,6]]}]}]}],"d":[{"a":[{"g":[{"t":[{"i":[{},[0,0,0,7]]}]}],"k":[{"t":[{"i":[{},[0,0,0,7]]},[0,0,6]]}]}],"i":[{"e":[{"f":[{},[0,0,0,6]]}],"n":[{"i":[{},[0,0,0,6]],"k":[{},[0,0,0,6]]}]}],"o":[{"o":[{"r":[{"g":[{},[0,0,0,7]]}]}]}],"s":[{"t":[{"y":[{"d":[{},[0,0,0,7]]}]}]}],"u":[{"i":[{"t":[{"g":[{},[0,0,0,7]]}]}]},[0,0,4]]}],"e":[{"r":[{"i":[{"o":[{},[0,0,0,6]]}]}]}],"g":[{"h":[{},[0,0,4]],"l":[{},[0,0,4]],"r":[{},[0,0,0,4]]},[0,0,3]],"i":[{"l":[{"l":[{},[0,0,5]]}],"s":[{"a":[{".":[{},[0,0,0,0,6]]}]}]},[0,0,1]],"k":[{},[0,0,1]],"l":[{"o":[{"n":[{"t":[{"l":[{},[0,0,0,7]]}]}]}]}],"m":[{},[0,0,3]],"n":[{"y":[{"w":[{},[0,0,5]]}]}],"r":[{"e":[{"i":[{},[0,0,5]]}]}],"s":[{"k":[{"a":[{"k":[{},[0,0,0,6]]}],"e":[{"n":[{},[0,0,0,6]]}],"i":[{},[0,0,5]]}],"l":[{"i":[{"p":[{},[0,0,0,6]]}]}],"o":[{"u":[{"w":[{},[0,0,0,6]]}]}],"p":[{"a":[{"n":[{".":[{},[0,0,0,7]]}]}]},[0,0,3,4]],"t":[{"e":[{"r":[{"t":[{},[0,0,0,7]]}]}],"i":[{"e":[{"k":[{},[0,0,7]],"s":[{},[0,0,0,7]]}]}]},[0,0,3,4]]}],"t":[{"a":[{"a":[{"r":[{".":[{},[0,0,0,7]]}]}],"k":[{"s":[{"y":[{},[0,0,0,7]]}]}],"s":[{},[0,0,4,5]]}],"e":[{"k":[{"s":[{"t":[{},[0,0,0,7]]}]}],"m":[{"m":[{"e":[{},[0,0,0,7]]}]}]}],"o":[{"m":[{"a":[{},[5]],"h":[{"e":[{},[0,0,0,7]]}]}],"o":[{},[0,0,4,5]]}],"r":[{"a":[{"p":[{},[0,0,0,6]]}],"e":[{"i":[{},[0,0,0,6]]}]},[0,0,0,3]]}],"w":[{"b":[{},[0,0,4]],"r":[{"e":[{"n":[{"s":[{},[0,0,0,7]]}]}]}],"v":[{},[0,0,4]]}],"-":[{"o":[{},[0,0,4]]}]}],"v":[{"e":[{"r":[{"e":[{},[0,0,0,5]],"y":[{".":[{},[0,0,0,0,6]]}]}]}],"i":[{"e":[{"v":[{".":[{},[0,0,0,0,6]]}]}]}],"k":[{"e":[{"t":[{},[0,0,5]]}]}]}],"w":[{"e":[{"n":[{"a":[{"l":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"r":[{"a":[{"l":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}],"k":[{"o":[{"n":[{},[0,0,0,0,7]]}]}]}]}]}],"y":[{"a":[{".":[{},[0,0,4]]}],"e":[{"u":[{},[0,0,4]]}]}]}],"ô":[{"i":[{"e":[{},[0,0,3]]},[0,2]],"r":[{"e":[{"s":[{"t":[{},[0,0,0,5]]}]}]}]},[0,1]],"ö":[{"j":[{"d":[{"o":[{"n":[{"d":[{"e":[{},[0,0,0,7]]}]}]}]}]}],"l":[{},[0,1]]},[1]],"p":[{".":[{},[2]],"a":[{"a":[{"i":[{"e":[{".":[{},[5]]}]}],"n":[{"v":[{},[4]]}],"r":[{"d":[{"u":[{"i":[{},[0,0,0,0,7]]}]}]}]}],"d":[{".":[{},[3]],"a":[{},[0,0,4]],"i":[{"e":[{".":[{},[0,0,0,6]]}]}],"r":[{},[0,0,4,3]],"-":[{"e":[{"g":[{},[0,0,0,6]]}]}]}],"f":[{},[0,1]],"g":[{"n":[{"e":[{".":[{},[0,0,0,6]]}]}]}],"k":[{"e":[{"s":[{},[0,0,0,5]]},[0,0,4]],"i":[{},[0,0,0,0,3]],"k":[{"e":[{"t":[{},[0,0,0,0,0,0,5]]}]}],"o":[{"s":[{},[0,0,0,5]]},[0,0,4]],"t":[{"i":[{},[4,5]]}]},[3]],"l":[{"e":[{"s":[{"s":[{"e":[{},[0,0,0,7]]}]}]},[3]],"f":[{"r":[{},[0,0,0,5]]}],"m":[{"o":[{"l":[{},[0,0,0,6]]}]}]}],"n":[{"o":[{"p":[{},[0,0,4]]}],"s":[{"p":[{},[0,0,0,5]]}],"t":[{"j":[{},[0,0,0,4,5]]}]}],"p":[{"r":[{"i":[{},[0,0,5]],"y":[{"p":[{".":[{},[0,0,0,7]]}]}]}],"s":[{"a":[{"f":[{".":[{},[0,0,0,7]]}]}],"m":[{"e":[{"e":[{},[0,0,0,7]]}]}]},[0,0,0,0,4]]},[3]],"r":[{"a":[{"m":[{"n":[{"e":[{},[0,0,0,7]]},[0,0,6]]}]},[3,0,3]],"k":[{"a":[{"r":[{},[0,0,0,6]]}],"o":[{},[0,0,0,4]],"r":[{},[0,0,0,0,5]]},[3]],"m":[{},[4]],"s":[{"k":[{},[0,0,0,4]],"t":[{"e":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"t":[{"y":[{},[5]]}]}],"s":[{"j":[{"a":[{},[0,0,5]]}],"o":[{},[0,0,4]],"p":[{"i":[{},[0,5]]}],"s":[{},[3]],"t":[{"e":[{},[5]],"i":[{"l":[{".":[{},[0,0,0,7]]}]}]}]}],"t":[{"a":[{"a":[{},[0,0,4]],"r":[{"e":[{".":[{},[0,0,0,7]]}]}]}],"e":[{"l":[{},[4]]}],"j":[{"i":[{},[0,0,5]]},[0,0,0,4]],"r":[{},[3]],"s":[{"j":[{},[0,0,0,5]]},[0,0,0,0,4]]}],"v":[{"l":[{"o":[{"v":[{".":[{},[0,0,0,7]]}]}]}]}]}],"b":[{"e":[{"k":[{"o":[{"o":[{},[0,0,0,6]]}]}]}],"r":[{"e":[{"n":[{"g":[{},[0,0,0,0,0,0,6]]}]}]}]},[2]],"d":[{"w":[{"a":[{},[0,0,4]],"i":[{},[0,0,4]]},[0,3]]},[2]],"e":[{".":[{},[3]],"a":[{"k":[{},[0,0,4]],"r":[{},[0,0,4]]}],"d":[{"e":[{"r":[{},[0,0,0,0,4]]}],"o":[{"f":[{},[0,0,5]]}]},[3]],"e":[{"l":[{"a":[{},[0,0,0,0,5]],"u":[{},[0,0,0,0,5]]}],"n":[{},[4]],"t":[{},[0,0,0,0,3]]},[0,0,0,2]],"i":[{"e":[{"n":[{},[0,5]]},[4]],"s":[{},[4,3]]},[3]],"k":[{"n":[{"e":[{"k":[{".":[{},[0,0,0,7]]}]}]}],"r":[{},[0,0,4,3]]}],"l":[{"a":[{"k":[{"t":[{"r":[{},[0,0,0,7]]}]}]}],"o":[{"e":[{},[0,0,4,5]],"o":[{"n":[{"d":[{},[0,0,0,7]]}]}]}],"s":[{"k":[{"r":[{"a":[{},[0,0,0,0,7]]}]}]}],"t":[{"a":[{"k":[{},[0,0,0,6]]}]}],"y":[{"s":[{"t":[{"e":[{},[0,0,0,7]]}]}]}]}],"m":[{"m":[{},[4]]}],"n":[{"a":[{"r":[{"s":[{},[0,0,6]]}]}],"n":[{},[3]],"o":[{"p":[{"s":[{"l":[{},[0,0,0,7]]}]}]}],"s":[{"l":[{"u":[{},[0,0,0,6]]}],"m":[{"e":[{"d":[{},[0,0,0,7]]}]}],"o":[{"p":[{},[0,0,0,6]]}]}]}],"p":[{"i":[{},[4]]}],"r":[{"a":[{"a":[{"p":[{".":[{},[0,0,0,7]]},[0,0,6]]}],"d":[{"m":[{"i":[{},[0,0,0,7]]}]}],"r":[{"y":[{},[0,0,0,6]]}],"s":[{"i":[{"d":[{},[0,0,0,7]]}],"t":[{},[0,0,0,0,5,6]]}]},[3]],"d":[{".":[{},[5]],"a":[{"g":[{},[0,0,0,6]]}],"r":[{"y":[{},[0,0,0,6]]}],"w":[{"y":[{},[0,0,0,6]]}]}],"e":[{"n":[{"k":[{"e":[{},[0,0,0,7]]}]}],"s":[{"t":[{},[0,0,0,5]]}]}],"i":[{},[3]],"o":[{"k":[{},[0,0,4]]}],"s":[{"a":[{"g":[{},[0,0,0,0,5]]}],"e":[{"t":[{},[0,0,0,6]]}],"j":[{"e":[{},[0,0,0,6]]}],"m":[{"e":[{"d":[{},[0,0,0,0,7]]}]}],"o":[{"n":[{"d":[{},[0,0,0,6,7]]}]},[5]],"t":[{"e":[{"l":[{".":[{},[0,0,0,0,8]]}]}]}]},[3]],"t":[{"j":[{},[5]],"o":[{"p":[{},[0,0,0,6]]}],"s":[{"j":[{"a":[{},[0,0,0,7]]}]}]}],"u":[{"r":[{"a":[{"n":[{},[0,0,0,7]]}]}]}]}],"s":[{".":[{},[3]],"i":[{},[4]],"l":[{},[0,0,4]],"t":[{"e":[{},[0,0,4,5]]}]}],"u":[{"r":[{"e":[{"l":[{},[0,0,0,6]]}]}]}]}],"f":[{"l":[{"i":[{},[0,0,4]]},[0,3]]},[2,1]],"g":[{"e":[{"s":[{"p":[{},[0,0,0,5]]},[0,0,0,0,4]]}],"l":[{"y":[{},[0,0,4]]}]},[2,1]],"h":[{"e":[{"a":[{"r":[{"s":[{},[0,0,0,6]]}]}]}],"i":[{"s":[{"t":[{},[0,0,0,5,4]]}],"t":[{},[0,3]]},[0,2]]},[2]],"i":[{"e":[{"k":[{"n":[{},[0,0,0,0,5]]}],"r":[{"a":[{"f":[{},[0,0,0,6]]}],"o":[{"m":[{},[0,0,0,6]]}],"u":[{},[0,0,0,4]]}],"s":[{"a":[{"m":[{"p":[{},[0,0,0,7]]}]}],"k":[{"a":[{},[0,0,0,6]]}]}]}],"k":[{"e":[{"r":[{"t":[{"s":[{},[0,0,0,7]]}]}]}],"s":[{},[0,0,0,3,4]]}],"n":[{"g":[{"e":[{"s":[{},[6,5]]}],"l":[{"a":[{"s":[{},[0,0,0,7]]},[0,0,0,0,6]]}]}],"k":[{"l":[{},[0,0,0,5]]}],"s":[{"t":[{},[4]]}]}],"p":[{"e":[{"t":[{},[0,0,0,0,0,5]]},[0,0,0,0,4]]}],"s":[{"k":[{},[0,0,3,4]]}],"t":[{"j":[{},[0,0,0,3]],"s":[{"k":[{},[0,0,0,4,5]],"t":[{"e":[{"k":[{},[0,0,0,0,7]]},[0,0,0,0,5]]},[0,0,0,4]],"u":[{"u":[{},[0,0,0,6]]}]}],"z":[{"k":[{"o":[{},[0,0,0,6]]}]}]}]}],"j":[{},[2]],"k":[{"o":[{"m":[{"s":[{},[0,0,0,0,4,5]]}]}]},[2,1]],"l":[{"a":[{"k":[{"a":[{"l":[{},[0,0,0,6]]}],"o":[{"k":[{},[0,0,0,6]]}]}],"n":[{".":[{},[5]],"t":[{},[5,4]]}],"p":[{},[4,3]],"s":[{},[3,4]],"t":[{"r":[{},[0,0,0,4,5]]},[3,4]]}],"e":[{"e":[{"t":[{},[0,0,0,0,0,5]]},[0,0,0,0,4]],"i":[{"e":[{},[0,5]]}],"k":[{"s":[{},[5]]},[0,0,0,4]],"p":[{},[4,3]],"u":[{"r":[{"a":[{".":[{},[0,0,0,0,7]]}]}]}]}],"ê":[{},[0,3]],"i":[{"g":[{},[0,0,0,4]],"t":[{"e":[{},[0,0,0,4,5]],"s":[{},[4]]}]}],"o":[{"o":[{"s":[{},[0,5]]}],"s":[{"e":[{},[0,5]]}]}],"u":[{"s":[{"k":[{"a":[{},[0,0,0,6]]}]}]}],"y":[{"n":[{},[4]]}]},[0,2]],"m":[{},[2]],"n":[{"e":[{"u":[{"m":[{},[0,4]]}]}]},[2,1]],"o":[{"e":[{"d":[{"o":[{"e":[{},[0,0,0,6]]}]}],"i":[{},[3]],"s":[{"t":[{},[0,0,0,4,5]]}],"t":[{"o":[{"l":[{},[0,0,0,6]]}]}]}],"f":[{"a":[{},[0,0,4]]}],"g":[{"r":[{"e":[{"s":[{"t":[{},[0,0,0,7]]}]}]}],"s":[{"k":[{},[0,0,0,5]]}]}],"k":[{"a":[{"a":[{},[0,0,0,5]]}],"o":[{"l":[{"i":[{"e":[{},[0,0,0,7]]}]}]}]}],"l":[{},[3]],"m":[{"h":[{},[4]]},[3]],"n":[{"e":[{},[3]],"o":[{"p":[{"b":[{"r":[{},[0,0,0,7]]}]}]}],"s":[{"k":[{},[0,0,0,4,5]],"t":[{"e":[{".":[{},[0,0,0,0,7]]}]}]}],"t":[{".":[{},[5]],"s":[{},[0,5]]},[4]]}],"o":[{"r":[{".":[{},[4]],"t":[{".":[{},[5]]}]}],"t":[{"e":[{"l":[{},[0,0,0,6]]}]},[3]]}],"p":[{"a":[{"g":[{},[0,0,4]]}],"d":[{},[4]],"l":[{"e":[{"k":[{},[0,0,0,6]]}]}],"s":[{},[4]]}],"r":[{"d":[{"o":[{},[0,5]]}],"o":[{},[0,0,3]],"t":[{"a":[{"k":[{},[0,0,0,6]]}],"s":[{"o":[{},[6]]}],"u":[{"i":[{},[0,0,0,6,5]]}]}]}],"s":[{"k":[{},[0,0,4]],"t":[{"i":[{"m":[{},[0,0,0,6]]}],"k":[{"o":[{},[0,0,0,6]]}],"n":[{"a":[{},[0,0,0,6]]}]}]},[3]],"t":[{"a":[{"s":[{},[0,0,4,5]]}],"e":[{},[3]]}],"u":[{"s":[{"t":[{"e":[{},[0,0,0,6]]}]}]}]}],"p":[{"e":[{"l":[{"a":[{"s":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"r":[{"a":[{"d":[{},[0,0,0,6]]}],"o":[{},[0,0,0,4]]}]}],"i":[{"e":[{"s":[{"l":[{},[0,0,0,0,6]]}]}]}],"o":[{"o":[{"r":[{"t":[{"j":[{},[0,0,0,0,0,0,7]]},[0,0,0,0,0,6]]}]}]}]},[2]],"r":[{"a":[{"a":[{"k":[{},[4]],"m":[{},[0,5]],"t":[{},[5]]},[0,4]],"e":[{"s":[{"i":[{},[0,0,0,6]]}]}],"k":[{"t":[{},[5]]}]}],"e":[{"n":[{},[3]],"s":[{"t":[{},[0,0,0,4,5]]},[3]],"u":[{},[4]]}],"i":[{"a":[{},[3,4]],"b":[{},[0,3]],"e":[{"ë":[{"l":[{".":[{},[0,0,0,0,7]]}]}],"s":[{},[5,0,0,0,0,5]],"t":[{"j":[{},[0,0,0,0,0,5]]}]},[0,4,0,0,4]],"n":[{"s":[{},[5]]}],"o":[{},[3]]}],"o":[{"b":[{},[3]],"d":[{},[3]],"e":[{},[0,0,4]],"f":[{},[3]],"g":[{},[3,4]],"j":[{},[3]],"k":[{".":[{},[4,5]]}],"p":[{"o":[{"p":[{},[0,0,0,6]]}],"r":[{},[0,0,0,5]]},[3,4]],"r":[{},[0,0,4]],"s":[{"a":[{},[0,0,0,5]],"o":[{"p":[{"a":[{},[0,0,0,7]]}]}]},[3]]}],"u":[{"t":[{},[0,0,0,4]]}],"y":[{"s":[{"t":[{},[0,0,0,4]]}]},[3]]},[0,2]],"s":[{"a":[{"d":[{},[0,4]],"k":[{"s":[{},[0,4,5]],"t":[{},[0,4]]}],"l":[{"m":[{".":[{},[5]]}]}],"s":[{"p":[{},[0,0,5]]},[0,4]],"t":[{},[0,4]]}],"i":[{"d":[{},[0,4]],"g":[{"i":[{},[5,4]],"o":[{},[5]]}],"n":[{"g":[{},[0,4,5]],"t":[{},[0,4,5]]}]}],"j":[{},[0,0,3]],"k":[{"a":[{"a":[{},[0,5]]}],"e":[{"t":[{},[0,4,5]]}],"o":[{"f":[{},[0,0,5]],"n":[{},[0,4]]}]}],"l":[{"o":[{"j":[{},[0,0,5]]}]}],"m":[{"y":[{},[0,0,4]]},[0,0,3]],"o":[{"n":[{".":[{},[0,5]]},[0,4]],"o":[{},[0,4,3]],"r":[{},[0,4]]}],"p":[{"o":[{"r":[{"t":[{"r":[{},[0,0,7]]}]}]}]}],"t":[{"e":[{"r":[{"a":[{},[0,6]]}]}],"i":[{},[0,0,4]],"o":[{"e":[{"t":[{},[0,6]]}],"n":[{},[0,4]]}]}],"w":[{"a":[{"r":[{},[0,5]]}],"e":[{"r":[{},[0,0,5]]}]}]},[2,1]],"t":[{"o":[{"s":[{},[0,0,0,0,4]]}]},[2]],"u":[{"b":[{},[3]],"e":[{"b":[{},[0,0,0,4]]}],"i":[{"t":[{},[4]]}],"n":[{"t":[{"j":[{},[0,0,0,4,5]]}]},[3]],"s":[{"t":[{"i":[{"p":[{"o":[{},[0,0,0,7]]}]}]}]}],"t":[{"a":[{"d":[{"d":[{"e":[{},[0,0,0,7]]}]}]}],"e":[{"m":[{"m":[{"e":[{},[0,0,0,7]]}]}]}],"j":[{"i":[{},[0,0,0,5]]}],"r":[{"i":[{"o":[{"o":[{},[0,0,0,7]]}]}]}]}]}],"v":[{},[2]],"w":[{},[2]],"y":[{"n":[{},[3]],"p":[{"a":[{"a":[{"r":[{"d":[{},[0,0,0,7]]}]}]}],"l":[{"a":[{"s":[{".":[{},[0,0,0,7]]}]}]},[0,0,0,3]],"o":[{},[0,0,0,3]],"r":[{},[0,0,4]]},[3]],"s":[{"k":[{},[0,0,0,3]],"t":[{"e":[{},[4,5]]}]}],"t":[{"h":[{"a":[{},[0,0,5]],"o":[{"n":[{},[0,0,0,6]]}]}]}]}],"-":[{},[2]]},[1]],"q":[{"u":[{"a":[{"d":[{"r":[{"i":[{"v":[{},[0,0,0,7]]}]}]}]}],"e":[{"s":[{"t":[{"r":[{},[0,0,0,6]]}]}]}],"i":[{"n":[{"a":[{"s":[{".":[{},[0,0,0,7]]}]}]}]}]},[0,0,2]]},[1]],"r":[{".":[{},[2]],"a":[{"a":[{"m":[{"i":[{"n":[{},[0,0,0,6]]}]}],"n":[{"s":[{".":[{},[0,6]]}]},[4]],"r":[{"d":[{},[4,5]]}]}],"b":[{"s":[{},[4]]}],"c":[{"t":[{"e":[{},[0,0,0,5]]}]}],"d":[{"i":[{"o":[{},[5]]}],"v":[{},[4,3]]}],"f":[{"d":[{},[4]],"e":[{"k":[{},[0,0,4]]}],"h":[{},[4]],"o":[{"e":[{},[0,0,4]]}],"t":[{},[4]],"u":[{"r":[{"n":[{".":[{},[0,0,0,7]]}]}]},[0,0,4]],"v":[{},[4]],"w":[{},[4]]}],"g":[{"a":[{"a":[{"l":[{},[0,0,0,6]]}]}],"e":[{"b":[{},[5]]}],"i":[{"e":[{},[0,0,5]],"n":[{"l":[{"i":[{},[0,0,0,7]]},[0,0,6]]}]}],"r":[{"a":[{"a":[{"d":[{},[0,0,0,7]]}]}],"y":[{"e":[{"r":[{},[0,0,0,7]]}]}]},[0,4]],"s":[{"a":[{"b":[{},[0,0,0,6]],"k":[{},[0,0,0,6]]}],"i":[{"n":[{},[0,0,0,6]]}],"o":[{"e":[{"p":[{},[0,0,0,7]]}]}]}],"u":[{"e":[{},[0,0,0,0,5]]}],"w":[{"a":[{"n":[{},[0,0,0,6]]}]}]},[2]],"i":[{"g":[{"n":[{"e":[{".":[{},[0,0,0,7]]}]}]}]}],"k":[{"l":[{"e":[{"s":[{},[0,0,0,6]]}]}],"o":[{"p":[{"e":[{"r":[{},[0,0,0,7]]}]}]}],"w":[{"a":[{"t":[{"e":[{},[0,0,0,7]]}]}]}]}],"l":[{"b":[{},[4]],"e":[{"e":[{"r":[{".":[{},[0,0,0,7]]}]}]}],"o":[{"o":[{"r":[{".":[{},[0,0,0,7]]}]}]}],"t":[{},[4]]}],"m":[{"a":[{"r":[{"g":[{"i":[{},[0,0,0,7]]}]}]}],"e":[{"u":[{},[4,5]]}],"p":[{"l":[{"a":[{},[0,0,0,6]]}]}]}],"n":[{"d":[{"a":[{"a":[{},[0,0,0,6]],"f":[{"e":[{},[0,0,0,7]]}],"k":[{"k":[{},[0,0,0,6,7]]}]},[0,4]],"e":[{"m":[{},[0,0,0,6]],"v":[{},[0,0,0,6]]}],"o":[{"e":[{},[0,0,0,6]]}],"r":[{},[0,0,0,4]]}],"g":[{"o":[{},[0,0,0,4,5]]}],"k":[{"l":[{},[0,0,0,0,5]],"r":[{},[0,0,0,4,5]]}],"s":[{"a":[{"a":[{},[0,0,0,6]]}],"e":[{"u":[{},[0,0,0,6]]}],"j":[{"o":[{},[0,0,0,6]]}],"k":[{"o":[{},[0,0,0,6]]}],"o":[{"r":[{},[0,0,0,6]]}],"p":[{},[0,0,0,4,5]],"t":[{},[0,0,0,4,5]]}],"t":[{"a":[{"d":[{},[0,0,0,6]]}],"e":[{"t":[{},[0,0,0,6]]}],"j":[{},[0,0,0,4,5]],"r":[{},[0,0,0,4]]}],"y":[{},[4,3]]}],"p":[{"a":[{"d":[{"a":[{".":[{},[0,0,0,0,7]]}]}],"s":[{".":[{},[0,0,6]]}]}],"e":[{"s":[{},[0,0,5]],"w":[{"e":[{"n":[{},[0,0,0,7]]}]}]}],"l":[{"o":[{"ï":[{},[0,0,0,6]]}]}],"o":[{"n":[{"g":[{"e":[{},[0,0,0,7]]}]},[0,0,4]]}],"p":[{"a":[{"r":[{"a":[{},[0,0,0,7]]}]}]}],"r":[{"e":[{"m":[{".":[{},[0,0,0,7]]}]}],"i":[{"g":[{"h":[{},[0,0,0,7]]}]}]}]}],"r":[{"i":[{},[0,4]],"m":[{},[4]],"r":[{},[4]],"t":[{},[4]]}],"s":[{"i":[{"a":[{},[0,5]]}],"t":[{"a":[{"n":[{},[0,0,0,6]]}],"o":[{},[0,0,5,4]],"r":[{},[0,0,5,4]]}],"u":[{"i":[{},[0,0,0,5]]},[0,0,4]]}],"t":[{"h":[{"o":[{},[0,0,5,4]]}],"o":[{"m":[{},[4,5]]}],"s":[{"o":[{},[0,0,0,0,5]]}]}]}],"b":[{"o":[{"l":[{"o":[{"l":[{},[0,0,0,6]]}]}]}]}],"d":[{"a":[{"g":[{"t":[{"i":[{},[0,0,5]]}]}],"m":[{"e":[{},[0,4,5]]}]}],"e":[{"i":[{"l":[{},[0,0,5]]}],"l":[{"e":[{"k":[{},[0,6]]}]}],"s":[{"e":[{"l":[{},[0,0,5]]}],"m":[{},[0,0,0,5]]}],"u":[{"r":[{"o":[{},[0,0,5]]}]}]}],"o":[{"l":[{"i":[{},[0,4,5]]}],"n":[{"t":[{},[0,4,5]]}],"o":[{"n":[{},[0,4,5]]}]},[0,3]],"ô":[{"n":[{"n":[{"e":[{},[0,0,0,6]]}]}]}],"r":[{"a":[{"a":[{"i":[{"s":[{},[0,0,7]]}]}]}],"o":[{"m":[{"a":[{},[0,6]]}]}]}],"s":[{"l":[{"i":[{"p":[{},[0,0,0,6]]}]}],"o":[{},[0,0,3]],"p":[{},[0,0,3]]}],"t":[{"r":[{"e":[{"e":[{},[0,0,0,6]]}]}]}],"u":[{"s":[{"o":[{"l":[{},[0,0,0,6]]}]}]}],"w":[{"a":[{"r":[{},[0,5]]},[0,0,4]],"u":[{},[0,4]]}],"y":[{"s":[{"t":[{},[0,4,5]]}]}]}],"e":[{".":[{},[3,2]],"a":[{"k":[{},[3]]}],"e":[{"d":[{"a":[{},[0,0,0,0,5]]}],"k":[{"e":[{},[0,0,0,0,5]],"i":[{"e":[{"r":[{},[0,0,0,7]]}]}]},[0,0,0,4]],"l":[{"o":[{"o":[{"n":[{},[0,0,0,7]]}]}]}],"n":[{"d":[{},[4,5]],"h":[{},[4,5]],"v":[{},[4]]}],"p":[{"e":[{"s":[{},[0,0,0,6]]}],"l":[{"e":[{},[0,0,0,6]]}],"r":[{"o":[{},[0,0,0,6]]}]}],"r":[{"s":[{},[4]]}],"s":[{"a":[{"l":[{"a":[{},[0,0,0,7]]}]}],"t":[{"r":[{"a":[{},[0,0,0,7]]}]}]}]}],"ë":[{".":[{},[4]]},[3]],"f":[{"f":[{},[4]]}],"g":[{".":[{},[3]],"r":[{"u":[{"k":[{".":[{},[0,0,0,7]]}]}]}],"s":[{"e":[{"n":[{},[0,0,0,6]]}],"k":[{"w":[{},[0,0,0,6]]}],"o":[{"m":[{".":[{},[0,0,0,0,7]]}]}],"p":[{"r":[{"e":[{},[0,0,0,7]]}]}]}]}],"i":[{"e":[{},[4]],"l":[{},[4]],"n":[{"a":[{"r":[{},[0,0,0,6]]}],"d":[{},[4]],"o":[{"o":[{},[0,0,0,6]]}]}],"s":[{"e":[{"r":[{},[0,0,0,6]]}],"o":[{"u":[{},[0,0,0,6]]}]}],"t":[{"z":[{"e":[{".":[{},[0,0,0,0,7]]}]}]}]}],"k":[{"n":[{"a":[{"a":[{"r":[{},[0,0,0,7]]}]}],"e":[{},[0,0,0,5]]},[0,0,4]],"r":[{},[0,0,0,4]],"s":[{"p":[{"o":[{"e":[{},[0,0,0,7]]}]}],"t":[{},[4]]}],"w":[{"a":[{},[0,0,4]]}]}],"l":[{"d":[{"a":[{"e":[{".":[{},[0,0,0,7]]}]}],"i":[{"a":[{"g":[{},[0,0,0,7]]}]}],"o":[{"p":[{"p":[{},[0,0,0,7]]}]}],"r":[{"a":[{"n":[{},[0,0,0,0,7]]}]}],"u":[{"i":[{"k":[{},[0,0,0,7]]}]}]},[0,0,0,4]],"o":[{"e":[{"s":[{"t":[{},[0,0,0,7]]}]}]}]}],"n":[{"a":[{"g":[{"t":[{},[0,0,0,6]]}]}],"d":[{".":[{},[5]]},[0,4]],"i":[{"g":[{},[0,5]]}],"s":[{"h":[{"a":[{"w":[{},[0,0,0,7]]}]}],"o":[{},[0,0,0,4]],"p":[{},[0,0,0,4]],"t":[{"e":[{".":[{},[0,0,0,0,7]]}],"o":[{},[0,0,0,6]],"r":[{},[0,0,0,6]]}]}],"t":[{"a":[{"k":[{},[0,0,0,6]]}],"c":[{"l":[{},[0,0,0,6]]}],"j":[{},[0,0,0,4,5]],"r":[{},[0,0,0,4,5]]}]}],"r":[{"g":[{},[4]],"t":[{"j":[{},[0,0,0,0,5]]},[4,3,0,4]]}],"s":[{"e":[{"l":[{},[4]]}],"k":[{"a":[{},[0,0,4,5]]}],"l":[{"a":[{"p":[{".":[{},[0,0,0,7]]}]}],"o":[{},[0,0,0,5]]}],"m":[{},[0,0,3,4]],"o":[{"r":[{"e":[{".":[{},[0,0,0,7]]}]}]}],"p":[{"i":[{},[0,0,4]]}],"t":[{"e":[{"l":[{},[0,0,5]]},[0,0,4]],"i":[{},[0,0,4]],"o":[{"e":[{"t":[{},[0,0,0,7]]}],"m":[{"a":[{},[0,0,0,7]]}]}]}],"u":[{"r":[{"e":[{".":[{},[0,0,0,7]]}]}]}]}],"t":[{"a":[{"r":[{"t":[{},[0,0,0,5]]}]}]}],"u":[{"k":[{"i":[{"n":[{},[0,0,0,6]]}],"l":[{},[0,0,0,4]],"o":[{},[0,0,0,4,5]]}],"s":[{"g":[{},[0,0,5]]}]}],"w":[{"a":[{},[0,4]]}],"y":[{"n":[{"o":[{},[0,0,0,5]]}]}]},[1]],"ê":[{"r":[{"h":[{},[0,0,4]]}]}],"f":[{"a":[{"a":[{},[0,4]]}],"l":[{"a":[{"a":[{},[0,0,5]],"t":[{},[0,0,5]]}],"e":[{},[0,3]],"i":[{"e":[{},[0,5,4]]}],"u":[{"i":[{},[0,5]]}]}],"o":[{"p":[{"v":[{},[0,0,5]]}]}],"r":[{"e":[{"g":[{},[0,0,5]]},[0,4]]}],"s":[{"l":[{},[0,0,4]]}]}],"g":[{"a":[{"k":[{"t":[{},[0,0,5]]},[0,4]]}],"e":[{"k":[{"l":[{"i":[{"k":[{},[0,0,0,7]]},[0,0,0,0,6]]}]}],"n":[{"g":[{},[0,0,5]]}],"p":[{"e":[{"r":[{},[0,0,0,0,0,0,6]]}]}],"r":[{"i":[{"d":[{},[0,0,0,6]]}]}]}],"h":[{"u":[{"t":[{},[0,0,5]]},[0,0,4]]}],"l":[{"e":[{"n":[{},[0,0,4]],"t":[{},[0,0,4]]}],"o":[{"o":[{},[0,0,5]]}],"u":[{},[0,4,3]],"y":[{},[0,0,4]]}],"o":[{"w":[{"r":[{"i":[{},[0,0,0,6]]}]}]}],"r":[{"i":[{"e":[{},[0,0,0,0,0,4]]}],"o":[{"s":[{},[0,0,5]]}]}],"s":[{".":[{},[0,0,4]],"p":[{},[0,0,0,4]]},[0,0,3]],"u":[{"i":[{"t":[{"j":[{"i":[{},[0,0,0,0,7]]},[0,0,0,0,0,6]]}]}]}]},[0,1]],"i":[{"b":[{".":[{},[3]],"f":[{"i":[{"l":[{"e":[{},[0,0,0,7]]}]}]}]}],"e":[{"d":[{"i":[{"o":[{},[0,0,0,6]]}],"o":[{"p":[{},[0,0,0,6]]}]}],"k":[{"e":[{"t":[{},[0,0,0,0,0,0,5]]}],"l":[{"o":[{},[0,0,0,6]]}]}],"m":[{"e":[{},[0,0,0,5]]}],"p":[{"r":[{"i":[{},[0,0,0,6]]}]}],"s":[{"e":[{".":[{},[0,0,0,0,6]]}],"k":[{"r":[{},[0,0,0,6]]}]}],"t":[{"a":[{"a":[{},[0,0,0,6]]}]}]}],"f":[{"a":[{},[0,0,4]],"r":[{"e":[{"e":[{},[0,0,0,6]]}]}]}],"g":[{"s":[{"k":[{"a":[{},[0,0,0,6]]}],"m":[{"e":[{"e":[{},[0,0,0,7]]}]}],"t":[{"y":[{"f":[{},[0,0,0,7]]}]}]}]}],"k":[{"l":[{},[0,0,4]],"s":[{"i":[{"d":[{},[0,0,0,6]]}],"j":[{},[0,0,0,5]],"p":[{"a":[{"d":[{},[0,0,0,7]]}]}]}],"w":[{},[0,0,4]]}],"m":[{"s":[{},[0,0,0,4]]}],"n":[{"f":[{},[4,3]],"g":[{"a":[{"a":[{"n":[{},[0,0,0,7]],"r":[{},[0,0,0,0,7]]},[0,0,0,6]]}],"e":[{"s":[{"t":[{},[6,7]]}]}],"l":[{"e":[{"b":[{},[0,0,0,7]]}]}],"r":[{},[0,0,0,4,5]],"u":[{"i":[{},[0,0,0,6]]}]}],"h":[{},[4,3]],"k":[{"a":[{"r":[{},[0,0,0,6]]}],"o":[{},[4,5]],"w":[{"a":[{},[0,0,0,6]]},[0,0,0,0,5]]}],"l":[{},[4,3]],"r":[{},[4,3]],"s":[{"t":[{},[0,5]]},[4]],"t":[{"h":[{"e":[{".":[{},[0,0,0,7]]}]}]}],"v":[{"e":[{},[4]]},[0,3]]}],"o":[{"r":[{"y":[{"e":[{".":[{},[0,0,0,7]]}]}]}]}],"p":[{"s":[{"t":[{},[0,0,0,4,5]]}]}],"s":[{"k":[{"o":[{},[0,0,5,4]]}],"o":[{"n":[{},[0,0,5]],"p":[{},[0,0,0,5]]},[0,0,0,4]],"p":[{"e":[{"r":[{},[0,0,0,6]]}]}]}],"t":[{"j":[{"i":[{},[0,0,0,5]]}],"o":[{"o":[{"n":[{"d":[{},[0,0,0,7]]}]}]}],"r":[{"e":[{"a":[{},[0,0,0,6]]}],"o":[{},[0,0,5]]}],"z":[{"r":[{"i":[{},[0,0,0,6]]}]}]}],"v":[{"i":[{"e":[{},[5]]}]}],"x":[{"t":[{"o":[{"n":[{"t":[{},[0,0,0,7]]}]}]}]}]},[1,2]],"k":[{"a":[{"a":[{"n":[{},[0,4]]}]}],"e":[{"e":[{"n":[{},[0,0,5]]}],"i":[{"k":[{},[0,0,5]]}],"l":[{"a":[{"p":[{},[0,0,0,6]]}]}],"s":[{"e":[{"l":[{".":[{},[0,0,0,7]]}]}]},[0,0,0,4,3]]}],"i":[{"n":[{"k":[{".":[{},[0,6]]}],"l":[{},[0,0,5]]}]}],"l":[{"e":[{"i":[{"e":[{},[0,0,5]]}]}],"i":[{"d":[{},[0,4]],"p":[{},[0,5]]}],"o":[{"s":[{},[0,4,5]]}]}],"n":[{"e":[{"i":[{},[0,0,5]]}]}],"o":[{"m":[{"g":[{},[0,0,5]],"s":[{"t":[{"i":[{},[0,0,0,0,6]]}]}]}],"p":[{"d":[{},[0,4,5]],"s":[{},[0,4,5]]}]}],"r":[{"a":[{"n":[{"d":[{},[0,0,5]]}]}],"e":[{"d":[{},[0,0,5]]}],"i":[{"b":[{},[0,0,5]]}],"o":[{"k":[{},[0,0,5]]}]}],"s":[{"m":[{"a":[{"a":[{},[0,0,0,6]]}]}],"p":[{"o":[{},[0,0,5]]}],"u":[{"i":[{"d":[{},[0,0,0,6]]}]}]}],"t":[{"w":[{"i":[{},[0,0,5]]}]}],"u":[{"i":[{"t":[{},[0,0,5]]}],"r":[{"e":[{},[0,4,5]]}]}],"w":[{"a":[{"g":[{},[0,0,5]],"t":[{},[0,4,5]]}],"e":[{"e":[{},[0,0,5]],"t":[{},[0,4,5]]}],"i":[{"l":[{},[0,0,5]],"n":[{},[0,0,5]]}],"y":[{},[0,4]]}]},[2,1]],"l":[{"a":[{},[0,3]],"i":[{"g":[{},[0,0,0,4]]}],"o":[{"g":[{"j":[{"a":[{},[0,0,0,6]]}]}],"o":[{"p":[{"l":[{"e":[{},[0,0,0,0,7]]}]}]}],"w":[{"p":[{"a":[{},[0,0,0,6]]}]}]}]},[0,1]],"m":[{"a":[{"a":[{"n":[{"h":[{},[0,6]]}]}],"g":[{"ô":[{},[0,0,0,5]],"u":[{"n":[{},[0,0,0,6]]}]}],"k":[{"l":[{"o":[{"t":[{},[0,0,0,7]]}]}]}],"p":[{"l":[{"a":[{"a":[{},[0,0,0,7]]}]}]}],"r":[{"a":[{"a":[{"n":[{},[0,0,0,7]]}]}]}]}],"e":[{"r":[{"a":[{"a":[{"r":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"s":[{"a":[{},[0,0,0,5]]}]}],"i":[{"l":[{},[0,0,0,4]]}],"o":[{"s":[{"t":[{"r":[{"o":[{},[0,0,0,7]]}]}]},[0,0,0,0,4]]}],"u":[{"i":[{"t":[{},[0,0,5]]}]}],"y":[{"n":[{"i":[{"m":[{},[0,0,0,6]]}]}]}]},[2]],"n":[{"a":[{"g":[{"t":[{"e":[{},[0,5]]}]}],"s":[{"p":[{"l":[{},[0,0,0,6]]}]}]}],"e":[{"l":[{"e":[{},[0,4,5]]}],"s":[{},[0,0,0,4]],"t":[{"a":[{},[0,0,0,4,5]],"o":[{"m":[{},[0,0,0,6]]}]}]}],"o":[{"o":[{"r":[{},[0,0,5]]}]}],"s":[{"t":[{"i":[{"g":[{},[0,0,6]],"n":[{},[0,0,0,6]]}]}]}],"u":[{},[0,3]]},[2,1]],"o":[{"d":[{"u":[{"k":[{},[0,0,0,0,0,5]]}]}],"e":[{"f":[{"a":[{"s":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}],"l":[{},[0,0,0,4,5]],"r":[{"i":[{},[0,0,0,6]]}]}],"g":[{"a":[{},[0,0,0,4]],"l":[{"a":[{"s":[{},[0,0,0,7]]}]}]}],"n":[{"a":[{},[0,0,0,4,5]]}],"p":[{"a":[{},[0,0,0,4]],"l":[{},[0,0,0,0,5]],"o":[{},[0,0,0,4,5]]}],"s":[{"k":[{},[0,0,0,4,5]],"l":[{"a":[{"g":[{},[0,0,0,0,7]]},[0,0,0,6]]}],"t":[{},[0,0,0,4,5]],"w":[{},[0,0,0,0,5]]}],"t":[{"a":[{"a":[{},[0,0,0,6]]}]}],"w":[{},[4]]}],"g":[{"a":[{"k":[{"k":[{"e":[{},[0,0,0,7]]}]}]}],"g":[{},[4]],"l":[{"i":[{"s":[{},[0,0,0,6]]}]}],"n":[{"a":[{},[0,0,5]]}]}],"k":[{"n":[{},[0,0,4]],"r":[{},[0,0,0,4]],"s":[{"l":[{"i":[{"p":[{},[0,0,0,7]]}]}],"p":[{},[0,0,0,4,5]]}],"y":[{"n":[{},[0,0,5]]}]}],"l":[{"a":[{"a":[{},[0,0,4,5]]}],"g":[{"o":[{"r":[{"d":[{},[0,0,0,7]]}]}]}],"i":[{"e":[{"n":[{},[0,6]]}]}],"m":[{"o":[{"p":[{"s":[{},[0,0,0,7]]}]}]}]}],"m":[{"p":[{"o":[{"p":[{".":[{},[0,0,0,0,7]]}]}]}],"s":[{},[4]]}],"n":[{"a":[{"a":[{"r":[{".":[{},[0,0,0,7]]}]}]}],"d":[{"a":[{"g":[{},[0,0,0,6]],"k":[{},[0,0,0,6]]}],"e":[{"r":[{"t":[{},[0,0,0,6,7,0,6,7]]}],"t":[{},[0,0,0,6,5]]}],"o":[{".":[{},[0,0,0,0,6]]},[0,0,0,4,5]],"r":[{},[0,0,0,4,5]],"s":[{"w":[{},[0,0,0,0,5]]},[0,0,0,0,0,4]],"u":[{},[0,0,0,4]]}],"g":[{"a":[{"a":[{},[0,0,0,6]]}]}],"k":[{"a":[{"a":[{},[0,0,0,6]]}],"e":[{"r":[{"t":[{},[0,0,0,6]]},[0,0,0,0,0,0,6]]}],"l":[{},[0,0,0,4,5]],"o":[{"w":[{},[0,0,0,6]]}],"r":[{},[0,0,0,4]],"w":[{"a":[{".":[{},[0,0,0,0,7]]}]}]}],"s":[{"k":[{"e":[{},[0,0,0,6]]}],"t":[{"e":[{".":[{},[0,0,0,0,7]],"l":[{},[0,0,0,7]]},[0,0,0,6]],"i":[{},[0,0,0,6,5]]}]}],"t":[{"p":[{},[0,5]],"r":[{},[0,0,0,4,5]],"u":[{"i":[{},[0,0,0,6]]}],"w":[{},[4]]}]}],"o":[{"d":[{"e":[{"w":[{"a":[{},[0,0,0,7]]}]}],"i":[{"s":[{"t":[{},[0,0,0,7]]}]}]}],"f":[{},[3]],"g":[{"r":[{"o":[{"n":[{},[0,0,0,7]]}]}]},[4]],"m":[{"e":[{"n":[{"s":[{},[0,0,0,7]]}]}]}],"n":[{"a":[{"g":[{".":[{},[0,0,0,7]]}]}],"d":[{},[4]]}],"p":[{"l":[{"a":[{},[0,0,0,0,6]]}]}],"r":[{},[4,3]],"t":[{"a":[{"a":[{"i":[{},[0,0,0,7]]}]}]}]}],"p":[{"a":[{"a":[{"n":[{"s":[{},[0,0,0,7]]}]}],"n":[{"y":[{"s":[{},[0,0,0,7]]}]}]},[0,4]],"e":[{"e":[{"n":[{},[0,0,0,6]]},[0,0,5]],"n":[{},[4,5]]}],"i":[{},[0,4]],"o":[{},[0,4]]}],"r":[{"a":[{},[0,4]],"o":[{},[0,0,3]]},[0,1]],"s":[{"a":[{"f":[{"r":[{},[0,0,0,6]]}]}],"e":[{"a":[{},[4,5]]}],"k":[{"i":[{"e":[{".":[{},[0,0,0,7]]}]}]}],"p":[{},[0,0,3,4]],"t":[{"a":[{},[0,0,5]],"i":[{"l":[{},[0,0,0,6]]}]}]}],"t":[{"h":[{"s":[{"c":[{},[0,0,0,6]]}]}],"o":[{"n":[{},[0,0,5]]}],"r":[{},[0,0,3]],"s":[{"a":[{},[0,0,0,4]]}]}],"u":[{"d":[{},[4]],"f":[{"l":[{"o":[{"e":[{},[0,0,0,7]]}]}]}],"s":[{"k":[{},[0,0,0,5]]}],"t":[{},[0,0,0,3]]}],"v":[{"i":[{"c":[{"h":[{".":[{},[0,0,0,0,7]]}]}]}],"n":[{"i":[{"k":[{".":[{},[0,0,0,7]]}]}]}]}],"w":[{"-":[{},[0,0,4]]}],"x":[{"y":[{".":[{},[0,0,0,9]]}]}]}],"ö":[{},[0,2]],"p":[{"e":[{"s":[{},[0,0,0,4,3]]}],"i":[{"d":[{"e":[{},[0,0,5]]},[0,4]]}],"l":[{"i":[{"k":[{},[0,4,5]]}]}],"o":[{"p":[{"d":[{},[0,0,5]]}]}],"r":[{"e":[{"g":[{},[0,4,5]]}]}],"s":[{"i":[{"d":[{"i":[{"o":[{},[0,0,0,7]]}]}]}],"l":[{},[0,0,4]],"n":[{"o":[{},[0,0,0,5]]}],"p":[{"r":[{"i":[{},[0,0,6]]}]}],"t":[{"u":[{},[0,0,4]]}]}]}],"r":[{"e":[{"g":[{"l":[{"o":[{"b":[{},[0,0,0,7]]}]}]}],"n":[{"a":[{"g":[{"t":[{},[0,0,0,7]]}]}]}],"s":[{"t":[{"a":[{"u":[{},[0,0,0,7]]}],"r":[{},[0,0,0,0,5]]},[0,0,0,4]]}]}],"i":[{"g":[{"i":[{"n":[{},[0,0,0,6]]}]}]}],"o":[{"n":[{"k":[{"a":[{"a":[{},[0,0,0,0,7]]}]}]}]}]},[2,1,2]],"s":[{"a":[{"k":[{"t":[{},[0,4]]}],"l":[{"m":[{},[0,0,5]]}],"r":[{},[0,4,3]]}],"c":[{"h":[{"a":[{},[0,5]]}]}],"e":[{"i":[{"l":[{"a":[{},[0,0,5]]}]}],"u":[{"n":[{"s":[{},[0,0,0,0,0,0,6]]}]}]}],"f":[{"e":[{"e":[{"r":[{},[0,5,6]]}]}]},[0,0,3]],"i":[{"e":[{},[0,0,4]],"f":[{"l":[{"a":[{"g":[{},[0,0,0,7]]}]}]}],"n":[{"d":[{"a":[{},[0,6]]}],"k":[{"o":[{},[0,0,5]]}],"s":[{"p":[{},[0,6]],"t":[{},[0,6]]}]}]}],"j":[{"a":[{"m":[{},[0,5]]}]}],"k":[{"a":[{"k":[{"i":[{},[0,6]]}],"p":[{"a":[{},[0,6]],"i":[{},[0,6]]},[0,5]]}],"e":[{"u":[{"s":[{},[0,6]]}]}],"i":[{"n":[{"k":[{},[0,0,6]]},[0,4,5]]}],"o":[{"e":[{"t":[{},[0,6]]}],"m":[{"m":[{},[0,0,6]]}],"n":[{"i":[{},[0,0,6]]}],"r":[{"s":[{},[0,5]]},[0,4]],"u":[{},[0,5]]}],"r":[{"i":[{"b":[{},[0,0,5]]}],"o":[{"o":[{},[0,6]]}]}],"u":[{"r":[{},[0,4]]}]}],"l":[{"ê":[{},[0,4]],"i":[{"s":[{},[0,0,5]]}],"o":[{"s":[{},[0,4,5]]}],"y":[{"f":[{},[0,0,5]]}]}],"m":[{"a":[{"a":[{"d":[{},[0,0,6]],"i":[{},[0,0,6]],"k":[{},[0,5,6]],"t":[{},[0,6]]}],"g":[{"t":[{},[0,0,6]]}],"k":[{".":[{},[0,0,6]],"e":[{},[0,6]]}],"r":[{"a":[{},[0,0,6]]}]}],"e":[{"d":[{"e":[{},[0,0,6]]}],"e":[{"r":[{},[0,5]]},[0,0,4]],"l":[{},[0,0,4]]}]}],"n":[{"e":[{"e":[{"m":[{},[0,0,0,0,0,5]]}]}],"o":[{"o":[{},[0,5]],"t":[{},[0,4]]}]}],"o":[{"g":[{},[0,4,3]],"n":[{"d":[{"e":[{"r":[{},[0,0,0,0,0,0,0,7]]},[0,0,0,0,0,0,6]]}],"g":[{},[0,0,5]]}],"o":[{"g":[{},[0,0,5]],"r":[{"s":[{},[0,6]]}]}],"p":[{".":[{},[0,0,4]]},[0,0,3]],"r":[{"d":[{},[0,0,5]]}]}],"p":[{"a":[{"a":[{"r":[{},[0,6]]}],"r":[{},[0,4,5]]}],"i":[{"e":[{"n":[{},[0,6]]}]}],"r":[{"i":[{},[0,5]]}]},[0,1]],"t":[{"a":[{"l":[{".":[{},[0,6,5]]}]}],"b":[{},[0,4]],"e":[{"g":[{"n":[{},[0,6]]}],"r":[{"p":[{},[0,0,6]],"s":[{},[0,5,6]]}]}],"i":[{"g":[{"l":[{},[0,0,6]]}],"k":[{},[0,0,4]],"s":[{},[0,0,4]],"t":[{},[0,4,5]]}],"j":[{},[0,4]],"o":[{"e":[{"t":[{},[0,6,5]]}]}],"r":[{"e":[{"g":[{},[0,6]]}]}],"y":[{},[0,3]]},[0,1]],"u":[{"n":[{},[0,0,3]],"s":[{},[0,0,0,4]]}],"w":[{"a":[{".":[{},[0,0,5]],"p":[{},[0,0,5]]}],"e":[{"r":[{"f":[{},[0,0,6]]}]},[0,0,3]],"y":[{"k":[{},[0,0,5]]}]}]},[2]],"t":[{"a":[{"f":[{"d":[{},[0,0,5]]}],"n":[{"g":[{"e":[{"l":[{},[0,0,7]]}]}]}],"r":[{"t":[{},[0,0,5]]}]}],"e":[{"e":[{"n":[{"d":[{},[0,6]]}]}],"l":[{"o":[{"e":[{},[0,0,0,6]]}]}]}],"i":[{"e":[{"s":[{},[0,0,0,0,4]]}],"n":[{"g":[{},[0,0,0,0,0,4]]}],"s":[{"a":[{"a":[{"n":[{},[0,0,0,7]]}]}]}]}],"o":[{"m":[{},[0,4,3]],"n":[{"t":[{},[0,0,5]]}],"p":[{"r":[{},[0,0,5]]}],"r":[{"g":[{},[0,0,5]]}]}],"r":[{"e":[{"d":[{"a":[{},[0,6]]}],"i":[{"s":[{},[0,0,5]]}],"n":[{},[0,0,5]]}],"i":[{"e":[{},[0,4,5]]}],"o":[{"l":[{".":[{},[0,6]]}]}],"y":[{},[0,4,3]]}],"s":[{"a":[{"a":[{"r":[{},[0,0,6,5]]}]}],"o":[{"n":[{"d":[{},[0,0,0,5]]}]}],"p":[{"y":[{"n":[{},[0,0,0,6]]}]}]}],"u":[{"i":[{"t":[{"s":[{},[0,0,5]]}]}]}],"w":[{"i":[{"s":[{},[0,0,4]]}],"y":[{"f":[{},[0,0,4]]}]}]},[2]],"u":[{"b":[{},[3]],"g":[{"a":[{},[0,0,4]],"-":[{"s":[{"k":[{},[0,0,0,6]]}]}]}],"i":[{"l":[{"e":[{"k":[{},[0,0,0,6]]}]}],"m":[{"o":[{"e":[{},[0,0,0,6]]}],"t":[{"e":[{},[5]]}]}],"n":[{"i":[{"v":[{},[0,0,0,6]]}]}],"t":[{"s":[{},[4,0,0,0,5]]}]}],"k":[{"a":[{"a":[{},[0,0,5]]}],"l":[{"i":[{"p":[{},[0,0,0,6]]}]}],"o":[{"p":[{"p":[{},[0,0,0,6]]}]}],"-":[{"e":[{"n":[{},[0,0,0,6]]}]}]},[0,0,2,3]],"l":[{"a":[{"a":[{},[0,0,0,5]],"p":[{"e":[{".":[{},[0,0,0,7]]}]}]}],"y":[{"s":[{"t":[{"e":[{},[0,0,0,7]]}]}]}]}],"m":[{"g":[{"r":[{"o":[{"k":[{},[0,0,0,7]]}]}]}]},[0,2]],"n":[{"i":[{},[4]]}],"p":[{"l":[{"y":[{"s":[{".":[{},[0,0,0,7]]}]}]}]}],"s":[{"p":[{"i":[{},[0,0,5]]}],"t":[{"a":[{"k":[{},[0,0,0,6]]}],"k":[{"a":[{},[0,0,0,6]]}],"m":[{"a":[{},[0,0,0,6]]}],"v":[{"o":[{},[0,0,0,6]]}]}],"u":[{"u":[{"r":[{".":[{},[0,0,0,7]]}]}]}]}],"t":[{"o":[{"o":[{"n":[{"d":[{},[0,0,0,7]]}]}]}]}],"u":[{"s":[{"t":[{"e":[{".":[{},[0,0,0,7]]},[0,0,0,0,6]]}]}]},[2]]}],"w":[{"e":[{"g":[{"a":[{},[0,0,0,0,5]],"e":[{"i":[{},[0,0,0,6]]}]}],"s":[{"k":[{"r":[{},[0,0,0,6]]}]}]}],"i":[{"s":[{"j":[{"e":[{".":[{},[0,0,0,7]]}]}]}]}],"o":[{"e":[{"s":[{},[0,0,0,0,0,5]]}]}],"y":[{"s":[{"a":[{"k":[{},[0,0,0,6]]}],"e":[{"e":[{},[0,0,0,6]]}]}]}]}],"y":[{"f":[{"a":[{},[0,0,4]],"i":[{"n":[{"k":[{".":[{},[0,0,0,7]]}]}]}],"o":[{"d":[{"e":[{".":[{},[0,0,0,7]]}]}]},[0,0,4]],"s":[{"c":[{"h":[{},[0,0,0,6]]}],"i":[{"n":[{},[0,0,0,6]]}],"k":[{"a":[{},[0,0,0,6]]}]}]}],"g":[{"s":[{"t":[{"e":[{"k":[{},[0,0,0,7]]}],"r":[{},[0,0,0,6]]}]}]}],"k":[{"i":[{"n":[{"r":[{},[0,0,6]]}]}],"l":[{"u":[{},[0,0,5]]},[0,0,0,3]]}],"m":[{".":[{},[3]]}],"n":[{"s":[{"l":[{},[0,0,0,4,5]]}]}],"p":[{"a":[{"r":[{"m":[{".":[{},[0,0,0,7]]}]}]}],"l":[{"e":[{},[0,0,5]],"u":[{"s":[{".":[{},[0,0,0,7]]}]}]}],"n":[{"a":[{"g":[{"t":[{},[0,0,0,7]]}]}]}]}],"s":[{"a":[{"l":[{"f":[{},[0,0,0,6]]}]},[0,0,4,3]],"i":[{"n":[{"l":[{},[0,0,6]]}]}],"p":[{"i":[{},[0,0,0,5]],"o":[{},[0,0,0,5]]}],"t":[{"i":[{},[0,0,0,4]]},[0,0,3]],"u":[{},[0,0,4]]}],"t":[{"a":[{},[0,0,4]],"r":[{"a":[{},[0,0,5]]}]}]}]}],"s":[{".":[{},[2]],"\'":[{"i":[{"e":[{".":[{},[0,0,9]]}]}]}],"a":[{".":[{},[3]],"a":[{"d":[{"u":[{"i":[{},[0,0,0,6]]}]},[0,4]],"k":[{},[3]],"l":[{},[3]],"n":[{},[4,3]],"p":[{},[4,3]],"r":[{"d":[{},[4,5]]}],"s":[{},[4,3]]}],"d":[{"m":[{},[4,3]],"r":[{"e":[{},[0,5]]}],"v":[{},[4,3]]}],"f":[{},[2,3]],"g":[{".":[{},[3,4]],"a":[{"l":[{},[0,0,4]]}],"e":[{},[0,3]],"i":[{},[0,4]],"n":[{"e":[{},[0,0,5]]},[0,4,0,4]],"o":[{"p":[{"a":[{},[0,0,0,6]]}]},[3,4]],"t":[{"e":[{".":[{},[5]],"w":[{},[5,6]]}]}]},[2]],"k":[{".":[{},[3]],"a":[{"d":[{},[0,5]]}],"e":[{},[3]],"k":[{},[3]],"r":[{"o":[{"k":[{},[0,0,6,5]]}],"u":[{"s":[{},[0,0,6]]}]}],"s":[{},[0,0,0,0,4]],"t":[{"i":[{},[4,5]]},[0,3]]}],"l":[{"a":[{"m":[{"m":[{"o":[{},[0,0,0,7]]},[0,0,6]]}]}],"b":[{"u":[{},[0,5]]},[4]],"f":[{"o":[{"l":[{},[0,0,0,6]]}]},[3]],"g":[{},[4,3]],"m":[{"e":[{"i":[{},[0,0,0,6]]}]},[4]],"t":[{"r":[{"o":[{},[0,0,0,6]]}]}]}],"m":[{"b":[{"a":[{},[4]]}],"e":[{"n":[{},[0,0,0,0,4]]}],"p":[{},[4,3]],"s":[{"w":[{"y":[{},[0,0,0,6]]}]}]},[3]],"n":[{"a":[{"l":[{},[0,5]]},[4]],"d":[{"a":[{"g":[{},[0,0,0,6,5]],"k":[{"k":[{},[0,0,0,0,7]]},[0,0,0,6]]}],"r":[{"u":[{},[0,0,0,6]]}]}],"g":[{"a":[{},[0,0,0,4,5]],"r":[{"e":[{},[0,0,0,6]]}],"s":[{"t":[{"e":[{},[0,0,0,0,7]]}]}]},[3]],"k":[{"e":[{},[4,5]]}]}],"p":[{"h":[{"a":[{"t":[{},[0,0,0,6]]}]}],"p":[{"a":[{},[0,5]],"e":[{"l":[{},[0,5]]}]}],"r":[{},[0,0,3]]}],"r":[{"b":[{},[4,3]],"e":[{"a":[{},[4]]}],"o":[{"l":[{"i":[{"e":[{},[0,0,0,7]]}]}]}],"t":[{},[4,3]]}],"s":[{"e":[{"m":[{},[0,5]]},[4]],"p":[{"e":[{},[4,5]],"r":[{},[0,0,5]]}]}],"t":[{"j":[{"i":[{"e":[{},[0,0,0,6]]}]}],"l":[{},[4,3]],"t":[{"a":[{},[4,5]]}]}],"v":[{"l":[{"o":[{"n":[{".":[{},[0,0,0,7]]}]}]}]}]},[1]],"b":[{"a":[{},[0,3]],"e":[{},[0,3]],"i":[{},[0,3]],"l":[{},[0,3]],"o":[{},[0,3]],"r":[{},[0,3]],"u":[{},[0,3]],"y":[{},[0,3]]},[2]],"c":[{"a":[{},[0,3]],"i":[{},[0,3]]}],"d":[{"a":[{},[0,3]],"e":[{},[0,3]],"i":[{},[0,3]],"o":[{},[0,3]],"r":[{},[0,3]],"u":[{},[0,3]],"w":[{"a":[{},[0,0,4]]},[0,3]],"y":[{},[0,3]]},[2]],"e":[{".":[{},[3]],"e":[{"d":[{".":[{},[0,5]]}],"f":[{},[0,0,0,3]],"k":[{},[0,0,0,3]],"n":[{"h":[{"e":[{},[0,5]]}]}],"p":[{"l":[{"o":[{},[0,0,0,6]]}]}],"r":[{"a":[{"m":[{},[0,0,0,5]],"s":[{".":[{},[0,0,0,0,7]]}]}],"e":[{"i":[{},[0,0,0,5]]}],"o":[{"e":[{"t":[{},[0,0,0,7]]}]}]}],"s":[{"o":[{"o":[{"g":[{},[0,0,0,7]]}]}],"w":[{},[0,0,0,5]]},[0,0,0,3,4]]}],"ë":[{"k":[{"r":[{"a":[{"n":[{},[0,0,0,7]]}]}]}]}],"g":[{"p":[{"a":[{},[0,5]]}],"t":[{},[4]]}],"i":[{"e":[{},[4,3]],"k":[{".":[{},[0,5]]},[4]],"l":[{"a":[{},[4]]}],"n":[{"a":[{"n":[{},[0,0,0,6]]}],"d":[{},[4]]}],"s":[{".":[{},[4]]}]}],"k":[{"h":[{"u":[{"k":[{},[0,0,0,6]]}]}],"s":[{"a":[{"m":[{},[0,5]]},[4]],"k":[{},[0,0,0,4,5]],"p":[{},[0,0,0,4,5]],"t":[{},[0,0,0,4]]}]}],"l":[{"a":[{"a":[{"n":[{},[0,0,0,5]]}],"n":[{"a":[{"l":[{},[0,0,0,7]]}]}]}],"e":[{"l":[{},[0,0,4,5]]}],"f":[{"a":[{"b":[{"r":[{},[0,0,0,7]]}]},[0,0,0,4,5]],"e":[{"r":[{},[0,0,0,6]]}],"i":[{"d":[{},[0,0,0,6]]},[0,0,0,0,5]]}],"i":[{"k":[{"s":[{},[6]]}]}],"o":[{"f":[{},[0,0,0,5]],"o":[{"r":[{".":[{},[0,0,0,7]]}]}],"p":[{},[0,0,0,5]]}],"s":[{"k":[{"a":[{"k":[{},[0,0,0,0,7]]}]}],"l":[{"o":[{},[0,0,0,6]]}],"p":[{"e":[{"n":[{},[0,0,0,7]]}]}],"t":[{"a":[{"a":[{},[0,0,0,6,7]]}]}]}]},[3]],"m":[{"a":[{"g":[{},[0,0,4,5]],"l":[{},[4,5]]}],"e":[{"k":[{"s":[{"t":[{},[0,0,0,7]]}]}]}]}],"n":[{"d":[{"a":[{"n":[{},[0,0,0,6]]}]}],"g":[{"h":[{"o":[{"r":[{},[0,0,0,7]]}]}]}],"s":[{"o":[{"r":[{"d":[{},[0,0,0,7]]}]}],"t":[{"r":[{},[0,0,0,6]]}]}]}],"p":[{"h":[{"u":[{"s":[{},[0,0,0,6]]}]}]}],"r":[{"a":[{"f":[{"s":[{"e":[{},[0,0,0,7]]}]}]}],"f":[{".":[{},[0,5]]},[4]],"s":[{"i":[{"n":[{},[0,0,0,6,5]]}],"k":[{"r":[{},[0,0,0,6]]}],"t":[{"a":[{"a":[{},[0,0,0,0,7]],"d":[{},[0,0,0,7]],"l":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"t":[{"u":[{"u":[{},[0,0,0,6]]}]}],"v":[{"a":[{"r":[{},[0,5]]}]}]}],"s":[{"a":[{"a":[{"n":[{},[0,0,0,6]]}]}],"k":[{"a":[{},[4,0,4,5]]}],"l":[{"e":[{"t":[{"t":[{},[0,0,0,7]]}]}]}],"p":[{"o":[{},[0,0,4,5]]}],"t":[{},[0,0,4]],"u":[{"r":[{},[0,0,4,5]],"u":[{"r":[{".":[{},[0,0,0,7]]}]}]}],"w":[{"e":[{"k":[{"e":[{},[0,0,0,7]]}]}]},[0,0,4]]}],"t":[{".":[{},[0,4]]}],"w":[{"e":[{"s":[{"t":[{"e":[{},[0,0,0,0,7]]},[0,0,0,0,0,6]]}]}]}],"y":[{"s":[{"t":[{"o":[{"f":[{},[0,0,0,7]]}]}]}]}]},[1]],"ê":[{},[1]],"f":[{"a":[{},[0,3]],"i":[{},[0,3]],"l":[{},[0,3]],"o":[{},[0,3]],"r":[{},[0,3]],"u":[{},[0,3]]},[2,1,2]],"g":[{"a":[{"s":[{"e":[{},[0,0,0,4,5]]}]},[0,3]],"e":[{"s":[{"p":[{"e":[{"r":[{},[0,0,0,0,7]]}]}]}]},[0,3]],"i":[{},[0,3]],"l":[{"y":[{},[0,0,4]]},[0,3]],"o":[{},[0,3]],"r":[{},[0,3]],"u":[{},[0,3]]},[2,1]],"h":[{"a":[{".":[{},[0,4]],"r":[{"o":[{"n":[{".":[{},[0,0,0,7]]}]}]}]},[0,3]],"e":[{},[0,3]],"i":[{},[0,3]],"o":[{"s":[{"h":[{"o":[{"l":[{},[0,0,0,7]]}]}]}]},[0,3]],"u":[{},[0,3]]},[2]],"i":[{"d":[{"e":[{"a":[{},[4,5]],"e":[{".":[{},[0,5]]}],"o":[{},[4,5]]}]}],"e":[{"k":[{"w":[{"o":[{"s":[{},[0,0,0,7]]}]}]}],"s":[{"l":[{"i":[{},[0,0,0,0,6]]}],"m":[{"e":[{"e":[{},[0,0,0,0,7]]}]}]}]},[3]],"f":[{"l":[{"e":[{},[0,0,5]]}],"r":[{"e":[{"u":[{},[0,0,0,6]]}]}]}],"g":[{"o":[{},[4,0,3]],"r":[{"o":[{},[0,0,4]]}]}],"m":[{"p":[{"l":[{},[4]]}]}],"n":[{".":[{},[3]],"a":[{"g":[{},[0,0,5]]}],"d":[{"e":[{"k":[{},[0,5]]}],"r":[{},[5]],"u":[{},[4]]}],"e":[{"n":[{"t":[{"i":[{},[0,0,0,7]]}]}],"s":[{"t":[{"e":[{},[0,0,0,7]]}]}]}],"f":[{},[4,3]],"g":[{"a":[{"a":[{"n":[{},[0,0,0,0,7]]},[0,0,0,6]]}],"e":[{"s":[{},[6]]}],"l":[{"e":[{".":[{},[0,0,0,7]]}]}],"r":[{"e":[{},[0,0,0,6]],"y":[{},[0,5]]}]},[0,4]],"h":[{},[4,3]],"k":[{"c":[{"h":[{},[0,0,0,6]]}],"l":[{},[0,0,0,4]],"o":[{},[4]]}],"l":[{"i":[{"g":[{},[0,5]]}]}],"m":[{},[4,3]],"r":[{},[4,3]],"s":[{"e":[{"e":[{},[0,0,0,6]]}],"i":[{"n":[{},[0,0,0,6]]}],"l":[{"u":[{},[6]]}],"n":[{},[0,0,0,5]]}],"v":[{},[4]]}],"p":[{"h":[{"o":[{".":[{},[0,0,0,6]]}]}]}],"s":[{"t":[{},[0,4]]}],"t":[{"a":[{"r":[{"e":[{},[0,0,0,6]]}]}],"e":[{"m":[{},[4,5]]}],"r":[{"e":[{},[0,0,4]],"i":[{"e":[{"m":[{},[0,0,0,7]]}]}]},[0,0,3]],"s":[{"i":[{"k":[{},[0,0,0,6]]}],"l":[{},[0,0,0,5]]}],"u":[{},[3]]}],"u":[{"m":[{"u":[{"r":[{},[0,0,0,6]]}]}]}]},[1]],"j":[{"a":[{},[2]],"e":[{"a":[{"n":[{"s":[{},[0,0,0,6]]}]}]}],"o":[{"k":[{"o":[{},[5]]}]}],"u":[{"f":[{},[4]]}]},[1]],"k":[{".":[{},[2]],"a":[{"a":[{"f":[{},[5]],"r":[{"s":[{},[0,0,0,0,0,6]],"t":[{},[6]]}]}],"f":[{"e":[{},[0,5]]}],"k":[{"e":[{"b":[{},[6]]}],"t":[{},[0,5]]},[3]],"l":[{"f":[{},[4,5]]}],"m":[{},[4]],"n":[{"t":[{},[4]]}],"p":[{"i":[{"n":[{},[0,0,0,6]]}],"o":[{"n":[{},[0,0,0,6]]}],"r":[{},[0,0,0,0,5]]},[3]],"r":[{".":[{},[4]],"a":[{},[4]]}],"s":[{},[4]],"t":[{"a":[{},[0,5]],"e":[{"l":[{},[0,0,0,6]]}],"i":[{"t":[{},[0,0,0,6]]}]}],"w":[{"e":[{},[5]]}]}],"e":[{"m":[{},[3]],"n":[{"n":[{},[4]]}],"p":[{"l":[{"a":[{},[0,0,0,6]]}],"r":[{},[0,0,0,4,5]]},[3,4]],"r":[{"k":[{},[4]],"n":[{},[4,5]]}],"s":[{"m":[{"e":[{"e":[{},[0,0,0,7]]}]}]}],"t":[{"s":[{},[5]],"t":[{},[4]]}]}],"i":[{"e":[{"m":[{},[0,5]]}],"k":[{"l":[{"u":[{"b":[{},[0,0,0,7]]}]}]}],"l":[{"j":[{},[4,5]],"o":[{"l":[{},[0,0,0,6]]}]},[0,4]],"p":[{".":[{},[5]]},[0,4]],"s":[{".":[{},[4]]}]}],"l":[{},[2,3]],"n":[{},[2,3]],"o":[{"d":[{},[4]],"e":[{"ë":[{},[4,5]],"n":[{},[5,4]],"r":[{},[4]]}],"k":[{"a":[{"a":[{},[0,0,0,6]]}],"o":[{},[0,0,0,4]]}],"l":[{"l":[{},[4]],"o":[{},[4]],"w":[{},[4]]}],"m":[{"b":[{},[4]],"i":[{},[4]],"p":[{},[4]]}],"n":[{"e":[{},[0,4]],"f":[{},[4]],"g":[{},[4]],"s":[{},[4]],"t":[{},[4]]},[0,3]],"o":[{"r":[{"d":[{},[6]]}],"t":[{},[0,4]]}],"ö":[{},[4]],"s":[{"e":[{"e":[{},[0,0,0,6]]}]},[4]],"t":[{"t":[{},[5]]}],"w":[{},[4]]}],"r":[{"a":[{"a":[{"n":[{},[6]]}],"g":[{},[4]],"n":[{},[4]]}],"e":[{"e":[{"t":[{},[6]]}],"s":[{},[0,5]]},[0,0,4]],"i":[{"f":[{},[5]],"n":[{},[4]],"p":[{},[5,4]],"s":[{},[4]]}],"u":[{"i":[{},[4]]}],"y":[{"t":[{},[4,5]]},[3,4]]}],"u":[{"d":[{"a":[{"k":[{},[0,0,0,6]]}]}],"i":[{"k":[{},[4]],"p":[{},[0,5]]}],"l":[{"d":[{},[5]],"t":[{},[4]]}],"n":[{},[4]],"r":[{"f":[{},[5]]}],"s":[{},[4]],"t":[{"a":[{"r":[{},[0,0,0,6]]}]}]}],"w":[{},[2,3]],"y":[{"d":[{"r":[{"i":[{"n":[{},[0,0,0,7]]}]}]}],"f":[{},[0,4]],"w":[{},[0,4]]}]},[1,0,2]],"l":[{"a":[{"a":[{},[0,4]],"d":[{},[4,3]],"g":[{},[0,4,0,4]],"m":[{},[4]],"n":[{"d":[{},[4,5]],"g":[{},[0,4]],"t":[{},[0,5]]}],"s":[{},[4,3]],"t":[{},[4,3]],"w":[{},[0,4]]}],"e":[{"d":[{},[4,3]],"e":[{"p":[{},[5]],"r":[{},[4,5]]}],"ë":[{".":[{},[0,4]]},[4,3]],"i":[{},[4,3]],"k":[{},[4,3]],"l":[{},[4]],"n":[{"g":[{},[4]]}],"t":[{"j":[{"i":[{"e":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"u":[{"e":[{},[4,5]],"s":[{},[0,5]],"t":[{},[5]]},[0,4]],"w":[{},[4,3]],"y":[{},[4]]}],"ê":[{},[0,3]],"i":[{"b":[{},[0,0,0,0,3]],"e":[{"r":[{},[5]]}],"g":[{},[0,3,0,4]],"n":[{"g":[{"e":[{},[5]]}]}]},[2]],"o":[{"b":[{"e":[{"e":[{},[0,0,0,6]]}]}],"f":[{},[0,4]],"j":[{},[4]],"k":[{},[4]],"o":[{"n":[{},[4,5]],"s":[{},[4,5]]}],"p":[{},[4]],"t":[{"a":[{},[0,0,0,4,5]],"e":[{"r":[{},[0,5]]}]}],"w":[{},[0,4]]}],"ö":[{"j":[{},[0,0,4]]}],"u":[{"g":[{},[4,3]],"i":[{".":[{},[4]],"a":[{},[4,5]],"h":[{},[0,5]],"t":[{},[5]]}],"s":[{},[4,3]]}],"y":[{"e":[{},[4,3]],"f":[{},[4]],"m":[{"u":[{"i":[{},[0,0,0,6]]}]}],"n":[{},[4]],"p":[{"a":[{"f":[{},[0,0,0,6]]}]}],"s":[{},[4,3]]}]},[1]],"m":[{"a":[{"d":[{},[0,4]],"r":[{"t":[{},[5,4]]}]},[0,3]],"e":[{"l":[{"k":[{},[0,5]],"t":[{},[5,4]]}]},[0,3]],"i":[{"d":[{".":[{},[5]]}],"s":[{},[0,0,0,4]],"t":[{"h":[{},[0,0,0,0,4,5]]}]},[0,3]],"o":[{"k":[{},[3]],"l":[{".":[{},[0,5]]}],"n":[{},[0,3]]}],"u":[{},[0,3]],"y":[{"n":[{"i":[{"n":[{},[0,0,0,6]]}]}],"t":[{},[0,4]]},[3]]},[2]],"n":[{"a":[{"a":[{"i":[{},[0,5]],"m":[{},[4]],"t":[{},[0,5]]}],"g":[{"e":[{},[0,0,0,0,5]],"s":[{".":[{},[0,0,0,0,6]]}]},[4,3,0,4]],"m":[{},[4]],"p":[{"r":[{"o":[{},[0,0,0,6]]}]}],"r":[{},[0,4]],"s":[{},[0,3]],"t":[{},[4]],"v":[{},[4]]}],"e":[{"e":[{"t":[{"j":[{"i":[{},[0,0,0,0,7]]}]}]}],"k":[{},[4,3]],"l":[{},[3,4]],"s":[{},[4,3]],"t":[{},[4,3]],"u":[{},[4]]}],"i":[{"k":[{"w":[{"a":[{},[0,0,0,6]]}]}],"t":[{"r":[{"e":[{},[0,0,0,6]]}]}]}],"o":[{"b":[{},[0,4]],"e":[{"t":[{},[5]]}],"m":[{},[4,3]],"o":[{},[4]],"r":[{"m":[{},[4]]}]}],"u":[{"i":[{},[0,4]]}],"y":[{"e":[{"r":[{},[5]]},[0,4]],"-":[{"y":[{"s":[{},[0,0,0,6]]}]}]},[0,0,0,3]]},[1]],"o":[{"e":[{"f":[{},[4]],"k":[{"a":[{"l":[{},[0,0,0,6]]}],"e":[{"v":[{},[0,0,0,6]]}],"o":[{"l":[{},[0,0,0,6]]}],"u":[{},[0,0,0,4,5]]},[3,4]],"n":[{"y":[{"s":[{},[0,0,0,6]]}]},[0,4]],"s":[{},[4]],"t":[{".":[{},[5]],"s":[{"t":[{"e":[{},[0,0,0,0,7]]},[0,0,0,0,0,6]]}]}]}],"f":[{"a":[{"g":[{"u":[{},[0,0,0,6]]}]}],"f":[{},[4]],"r":[{"e":[{"e":[{},[0,0,0,6]]}]},[0,0,3]]}],"g":[{"l":[{},[0,0,0,4]]}],"i":[{"e":[{"t":[{"s":[{},[0,0,0,6]]}]}]}],"k":[{"o":[{"p":[{"h":[{"o":[{},[0,0,0,7]]}]}]}]}],"l":[{"i":[{"e":[{".":[{},[0,5]]}]}],"l":[{"m":[{"e":[{},[0,0,0,6]]}]}],"o":[{"s":[{},[0,0,0,0,5]]}]},[3]],"m":[{".":[{},[0,4]],"e":[{},[0,4]],"g":[{},[4,3]],"s":[{},[4,3]],"v":[{},[4,3]]}],"n":[{".":[{},[3,4]],"d":[{"e":[{".":[{},[0,6]],"r":[{"n":[{},[0,7]]}]}]}],"e":[{"e":[{"k":[{"h":[{},[0,0,0,7]]},[0,0,6]]}],"g":[{},[0,0,0,5]]},[3,4]],"g":[{},[4,0,0,3]],"k":[{"w":[{"a":[{"s":[{},[0,0,0,7]]}]}]}],"o":[{"p":[{},[0,0,4,5]]}],"s":[{"o":[{},[0,0,0,4]]}],"t":[{},[4,3]],"u":[{"i":[{"t":[{".":[{},[0,0,0,7]]}]}]}],"v":[{},[0,4]],"w":[{},[4]]}],"o":[{"g":[{},[4]],"l":[{},[3,4]],"n":[{"d":[{},[4,5]],"s":[{},[0,0,0,0,4]]}],"r":[{".":[{},[4,5]],"b":[{},[4,5]],"d":[{},[4,5]],"e":[{},[4,5]],"g":[{},[0,5]],"l":[{},[4,5]],"s":[{},[0,5]],"t":[{".":[{},[5]],"r":[{},[0,5]]}]}]}],"p":[{".":[{},[3]],"e":[{"k":[{"s":[{"t":[{},[0,0,0,7]]}]}]}],"h":[{"i":[{},[0,0,5]],"o":[{"k":[{},[0,0,0,6]]}]}],"i":[{"e":[{},[5]]},[0,4]],"l":[{},[0,3]],"o":[{},[3]],"r":[{"a":[{},[5,4,0,4]]},[0,0,3]],"s":[{},[0,3]],"t":[{},[0,3]],"v":[{},[0,3]]},[2,1]],"r":[{"d":[{},[4]],"g":[{".":[{},[5]],"a":[{},[4,5]],"e":[{"e":[{},[0,0,0,6]]}],"r":[{"a":[{"a":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"k":[{"e":[{},[0,5]]}],"o":[{"r":[{},[0,0,5]]}],"t":[{"o":[{},[4]]}]}],"s":[{"h":[{"a":[{},[0,0,5]]},[0,0,0,4]]}],"t":[{"h":[{"o":[{},[0,0,0,4]]},[0,0,3]],"r":[{},[0,0,3]]}],"u":[{"d":[{"e":[{},[0,5]]},[4]],"s":[{"p":[{"a":[{},[0,0,0,6]]}],"t":[{},[0,0,0,4,5]]}],"t":[{"a":[{"a":[{},[0,0,0,6]],"k":[{},[0,0,0,6]]}],"o":[{"m":[{},[0,5]]},[4]]}]},[3]],"y":[{"a":[{".":[{},[0,0,9]]}]}]},[1]],"p":[{"a":[{"a":[{"l":[{},[0,5]],"n":[{},[5]]}],"d":[{},[4]],"k":[{},[4]],"n":[{"o":[{"o":[{},[0,0,0,6]]},[0,0,0,0,5]]},[3,4]],"p":[{},[4]],"r":[{"k":[{},[4]]}],"s":[{".":[{},[4,5]],"t":[{},[4]]}],"t":[{"a":[{"r":[{},[0,0,0,6]]}],"r":[{},[4]]}]}],"e":[{".":[{},[4]],"e":[{},[3,4]],"k":[{"l":[{},[0,0,0,4,5]],"n":[{"e":[{},[0,0,0,6]]}]}],"l":[{"a":[{"k":[{},[0,0,0,6]]}],"e":[{"r":[{},[5]]}],"l":[{},[0,4]],"o":[{"t":[{},[6]]}]}],"n":[{".":[{},[0,5]]},[4]],"r":[{"d":[{},[4]],"k":[{},[4]],"m":[{".":[{},[5]]}],"s":[{},[4]]}],"s":[{".":[{},[4]],"i":[{},[5]]}],"t":[{},[4]],"u":[{},[0,4]]}],"i":[{"e":[{"k":[{},[4,5]]}],"o":[{},[0,4]]}],"l":[{"e":[{"e":[{},[5,4]]}],"i":[{"n":[{},[5,4]],"t":[{"s":[{},[5]]}]}],"y":[{},[3,4]]},[2,3]],"o":[{"e":[{"i":[{},[4]]}],"l":[{},[4]],"m":[{},[4]],"n":[{"s":[{"t":[{},[0,0,0,0,6]]}]}],"o":[{"r":[{".":[{},[5]]}],"t":[{},[4]]}],"r":[{"e":[{},[5]],"t":[{"r":[{},[6]]}]}],"s":[{},[4]],"t":[{"e":[{},[4]],"i":[{},[0,5]]}]}],"r":[{"a":[{"a":[{"k":[{},[5]]}],"k":[{"t":[{},[6]]}],"t":[{},[4,5]]}],"e":[{"e":[{"k":[{},[0,0,0,0,0,0,5]]}],"m":[{},[0,5]],"s":[{},[4]],"u":[{},[5]]}],"o":[{"b":[{},[4]],"e":[{"i":[{},[5]]}],"f":[{},[4]],"g":[{},[4]],"n":[{},[5,4]],"s":[{},[4]]}],"u":[{"i":[{"t":[{},[5]]}]}],"y":[{},[4]]}],"s":[{"i":[{},[0,0,4]]},[0,3]],"u":[{"b":[{},[4]],"l":[{},[3,4]],"n":[{},[4]]}],"y":[{"n":[{},[4]],"p":[{},[4]]}]}],"r":[{"a":[{"e":[{},[0,0,0,4]]},[0,3]],"e":[{},[0,3]],"i":[{},[0,3]],"o":[{},[0,3]],"u":[{},[0,3]],"y":[{},[0,3]]},[2,1]],"s":[{"a":[{"f":[{},[0,0,4]],"g":[{},[0,0,4]],"r":[{"o":[{"l":[{},[0,0,0,6]]}]}],"y":[{"i":[{"s":[{".":[{},[0,0,0,0,7]]}]}]}]},[0,3]],"e":[{"n":[{"a":[{"s":[{},[0,0,0,6]]}],"i":[{},[0,0,0,4,5]]}],"r":[{"s":[{},[0,0,0,0,4]]}],"s":[{"t":[{},[0,0,0,5]]}]},[0,3]],"i":[{"e":[{"l":[{"e":[{"i":[{},[0,0,0,0,6,7]]}]}]}]},[0,3]],"k":[{"o":[{},[0,0,4]]},[0,3]],"l":[{},[0,3]],"m":[{"a":[{},[0,0,4]],"e":[{},[0,0,4]]},[0,3]],"n":[{},[0,3]],"o":[{},[0,3]],"p":[{"l":[{},[0,0,4]]},[0,3]],"t":[{"i":[{},[0,0,4]]},[0,3]],"u":[{},[0,3]],"w":[{},[0,3]],"y":[{},[0,3]]},[2,1]],"t":[{".":[{},[2]],"a":[{".":[{},[4]],"a":[{"r":[{"d":[{},[0,0,5]]}],"t":[{},[5]]},[0,4]],"d":[{},[3,4]],"f":[{"e":[{},[4]]}],"l":[{"a":[{"s":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}],"e":[{"e":[{},[0,0,0,6]],"m":[{},[0,0,0,6]]},[4]],"i":[{},[4]],"t":[{},[5,4]]}],"m":[{".":[{},[5,4]],"o":[{},[0,0,0,4,5]]}],"n":[{".":[{},[5,4]],"d":[{"s":[{"t":[{"a":[{},[0,0,0,0,0,8,7]]}]}]}]}],"r":[{"i":[{},[4]]}],"t":[{"r":[{},[0,5]]},[3,4]]}],"e":[{"a":[{},[4]],"d":[{"d":[{},[0,4]],"e":[{},[5,4]]}],"e":[{"k":[{},[0,4,0,0,4]],"n":[{},[5,4]],"r":[{},[4]]}],"g":[{"r":[{"e":[{},[0,0,0,6]]}]},[4]],"i":[{},[0,0,4]],"k":[{"l":[{"i":[{},[0,0,0,6]]}]}],"l":[{"e":[{"k":[{"s":[{},[0,0,0,0,7]]},[0,0,0,6]],"v":[{},[6]]}],"s":[{"e":[{},[5,6]]}],"t":[{"j":[{"i":[{},[0,0,0,0,0,7]]},[0,0,0,0,6]]}]}],"m":[{".":[{},[5,4]],"m":[{},[5]],"o":[{"m":[{},[0,0,0,6]]}]}],"n":[{"o":[{"u":[{},[0,0,0,6]]}],"t":[{},[4]],"y":[{},[0,5]]}],"o":[{},[4]],"r":[{"a":[{"p":[{},[6]]}],"e":[{"i":[{},[0,0,0,6,5]]}],"k":[{"t":[{},[5]]}],"m":[{},[4]],"o":[{"m":[{},[0,0,0,6]]}],"s":[{"m":[{},[0,0,0,0,5]]}],"y":[{"s":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"s":[{"e":[{"r":[{},[0,0,0,6]]}],"i":[{"n":[{},[0,0,0,6]]}],"k":[{"a":[{},[0,0,0,6]],"i":[{},[0,0,0,6]]}],"l":[{},[0,0,0,4]],"m":[{"a":[{},[0,0,0,6]]}]}]}],"h":[{},[2]],"i":[{"e":[{},[4]],"g":[{"t":[{},[0,4]]}],"k":[{"u":[{},[4,5]]}],"l":[{"a":[{"a":[{},[0,0,0,6]]}]}],"m":[{"u":[{},[0,4]]}],"n":[{"g":[{"a":[{},[0,0,0,0,0,5]]}],"k":[{"h":[{},[5]]}]}],"p":[{},[0,4]],"r":[{},[4]],"t":[{"e":[{},[4,5]]}]},[0,3]],"j":[{},[0,3]],"o":[{".":[{},[4]],"e":[{"g":[{},[0,5]],"k":[{},[0,5]],"l":[{".":[{},[5]],"a":[{},[6]]}],"n":[{},[0,5]],"r":[{},[4]],"s":[{},[4]],"v":[{},[0,5]]}],"f":[{"e":[{"k":[{},[0,0,0,6]],"m":[{},[0,0,0,6]],"n":[{},[0,0,0,6]]}],"o":[{},[0,0,0,4]]},[0,4]],"g":[{},[4]],"k":[{"a":[{},[0,0,0,4]],"l":[{"e":[{},[0,0,0,6]]}],"r":[{"e":[{},[0,0,0,6]]}]}],"m":[{},[3,4]],"n":[{"e":[{},[4]]}],"o":[{"n":[{},[4]]}],"p":[{"o":[{"o":[{},[0,0,0,6]]}]},[0,0,4]],"s":[{"t":[{},[0,0,0,4]]},[4]],"t":[{},[3,4]],"w":[{},[0,4]]}],"r":[{"a":[{"a":[{},[0,4]],"d":[{},[4]],"k":[{".":[{},[0,6]]}]}],"e":[{"i":[{},[4,5]],"w":[{},[0,4]]}],"i":[{"l":[{},[4,5]],"n":[{"s":[{},[6]]}]}],"o":[{"e":[{},[4]],"g":[{},[0,5]],"n":[{"t":[{},[0,0,0,6]]}],"o":[{"n":[{},[6]]}],"s":[{"p":[{},[6]]}],"t":[{"s":[{},[0,5]]},[4]],"u":[{},[4]],"v":[{},[4]]}],"u":[{"k":[{},[5]],"s":[{},[4,5]]},[0,4]],"y":[{},[3,4]]}],"u":[{"c":[{},[0,0,0,4]],"d":[{},[3,4]],"i":[{"g":[{},[4]]}],"k":[{"i":[{"n":[{},[0,0,0,6]]}],"l":[{"e":[{"p":[{},[0,0,0,7]]}]}]},[3,4]],"s":[{"t":[{"r":[{"a":[{},[0,0,0,7]]}]}]}],"t":[{"o":[{},[0,0,0,4]],"y":[{"s":[{},[0,0,0,6]]}]}]}],"w":[{"i":[{},[0,0,4]]}],"y":[{"d":[{},[4]],"f":[{".":[{},[5]]}],"l":[{"o":[{"o":[{},[0,0,0,6]]}]},[3,4]]},[2]]}],"u":[{"b":[{"a":[{},[0,0,0,3]],"g":[{"i":[{"d":[{"s":[{},[0,0,0,7]]}]}]}],"h":[{"o":[{"o":[{"f":[{},[0,0,0,7]]}]}]}],"n":[{"a":[{"s":[{"i":[{},[0,0,0,7]]}]}]}],"o":[{"o":[{},[0,0,0,5]]}],"r":[{"e":[{"k":[{"o":[{},[0,0,0,7]]}]}]}]},[0,0,2,1]],"i":[{"d":[{"a":[{"f":[{},[0,0,0,6]]}],"e":[{"i":[{},[0,0,0,6]]}]},[3]],"k":[{},[0,4]],"l":[{},[0,4]],"p":[{"l":[{},[0,0,0,0,5]],"r":[{"o":[{},[0,0,0,6]]}]}],"t":[{},[4,3]],"w":[{},[0,4]]}],"l":[{"t":[{"i":[{"n":[{},[0,0,0,6]]}]}]}],"m":[{"a":[{"a":[{"n":[{"s":[{},[0,0,0,7]]}]}]}]}],"n":[{"i":[{},[0,3]]},[2]],"s":[{"u":[{},[0,0,4]]}],"t":[{"h":[{"e":[{"r":[{},[0,0,0,6]]}]}]}],"y":[{"o":[{".":[{},[0,0,9]]}]}]},[1]],"v":[{"a":[{},[0,3]],"e":[{},[0,3]],"i":[{},[0,3]],"l":[{},[0,3]],"o":[{},[0,3]],"r":[{},[0,3]],"u":[{},[0,3]],"y":[{"k":[{"r":[{"a":[{"a":[{},[0,0,0,7]]}]}]}]},[0,3]]},[2]],"w":[{"a":[{"a":[{"i":[{},[5,4]]}],"e":[{"l":[{},[5]],"n":[{},[0,5]]}],"k":[{},[3,4]],"m":[{"a":[{},[0,0,0,0,5]]},[3,4,0,4]],"n":[{"d":[{},[0,5]]}],"r":[{"t":[{},[5]]}],"t":[{},[0,3]],"w":[{},[3,4]]}],"e":[{"e":[{"f":[{"s":[{},[6]],"t":[{},[0,6]]}],"k":[{},[0,5]],"p":[{},[5,4]],"t":[{},[5,4]]}],"g":[{},[4]],"i":[{"s":[{},[5]]}],"l":[{"g":[{},[0,4]]}],"m":[{},[3,4,0,4]],"r":[{"m":[{},[5,4]]}],"t":[{"r":[{"e":[{},[0,0,0,6]]}]}]}],"ê":[{},[0,3]],"i":[{"k":[{},[0,4]],"l":[{},[4]]},[0,3]],"o":[{"e":[{"g":[{},[5]]}],"r":[{"s":[{"t":[{},[0,0,0,0,6]]}],"t":[{},[4]]}]},[0,3]],"r":[{},[0,3]],"u":[{},[0,3]],"y":[{"g":[{},[3]]}]},[2]],"y":[{"f":[{"e":[{"r":[{},[5]]}]}],"k":[{},[0,0,3]],"n":[{"a":[{"g":[{"r":[{},[0,0,0,6]]}]}],"s":[{"i":[{"n":[{},[0,0,0,6]]}],"m":[{},[0,0,0,5]]}]}],"p":[{"l":[{"a":[{},[0,0,5]]}]}],"s":[{"k":[{},[0,0,3]],"t":[{"e":[{"r":[{},[0,5]]}]},[4]]}],"w":[{"e":[{"r":[{},[0,5]]},[4]]}]},[1]],"-":[{},[2]]},[0,2]],"t":[{".":[{},[2]],"a":[{".":[{},[3]],"a":[{"n":[{"a":[{"m":[{},[0,0,0,6]]}],"d":[{},[4]],"s":[{"f":[{},[0,0,0,0,5,6]],"i":[{},[6]]}],"t":[{},[4]],"v":[{},[4,5]]}]}],"b":[{"b":[{},[3]]}],"d":[{"m":[{},[4]],"r":[{"o":[{},[0,0,4,5]]}],"s":[{"e":[{"r":[{},[0,0,0,6]]}],"i":[{},[0,0,0,4,5]],"k":[{"a":[{},[0,0,0,6]]}],"n":[{},[0,0,0,0,5]],"p":[{},[0,0,0,0,5]],"t":[{"e":[{},[0,0,0,6]],"o":[{},[0,0,0,6,5]]}]}]}],"f":[{".":[{},[4]],"d":[{},[4]],"e":[{"l":[{},[0,0,0,0,4]]},[3]],"r":[{},[4,0,4]],"s":[{},[4,3]],"v":[{},[4]],"w":[{},[4,3]]}],"g":[{"e":[{"n":[{},[4,5]]},[0,4]],"s":[{},[4]],"t":[{},[4,3]]}],"i":[{"l":[{},[0,0,0,4]],"n":[{"v":[{},[0,0,5]]}],"p":[{"e":[{"i":[{"s":[{},[0,0,0,7]]}]}]}]}],"k":[{"e":[{".":[{},[5]]}],"l":[{"e":[{"p":[{},[0,0,0,6]]}],"i":[{},[0,0,5]]}],"r":[{"o":[{"l":[{".":[{},[0,0,0,7]]}]}]},[0,0,4]],"t":[{},[3]],"w":[{"y":[{"n":[{".":[{},[0,0,0,7]]}]}]}]}],"l":[{"e":[{"e":[{"n":[{"h":[{},[0,0,0,7]]}]}],"m":[{"m":[{"e":[{},[0,0,0,7]]}]}]},[3]],"i":[{"g":[{},[5]]}],"k":[{"a":[{"a":[{},[0,0,0,6]]}]}],"s":[{"o":[{"r":[{},[0,0,0,6]]}]}]}],"m":[{"i":[{"n":[{"d":[{"e":[{},[0,0,0,7]]},[0,0,6]]}]}]}],"n":[{"d":[{"a":[{"t":[{},[0,0,0,6]]}],"r":[{"i":[{"n":[{},[0,0,0,0,7]]}]},[0,0,0,4]],"s":[{"t":[{"o":[{},[0,0,0,0,6]]}]}]}],"g":[{"s":[{"t":[{},[0,0,0,0,5]]}]}],"n":[{"a":[{},[4,5]]}],"s":[{"k":[{},[0,0,0,4]]}]}],"p":[{"r":[{"o":[{},[0,0,0,5]]}]}],"r":[{"i":[{},[3]],"k":[{},[4]],"m":[{".":[{},[0,5]]},[4]],"o":[{"o":[{},[0,0,0,5]]}],"t":[{"i":[{"k":[{},[0,5]]}]}]}],"s":[{".":[{},[0,0,4]],"e":[{"m":[{},[0,5]]}],"p":[{},[0,0,0,4]],"t":[{"a":[{"s":[{},[0,0,0,6]]}]}]}],"t":[{"i":[{"s":[{"o":[{"l":[{},[0,0,0,7]]}]}]}],"j":[{"i":[{"e":[{"s":[{},[0,0,0,7]]}]}]},[0,0,0,4]],"r":[{"a":[{},[0,0,4,5]]}]}]}],"b":[{"a":[{"l":[{"u":[{"n":[{},[0,0,0,6]]}]}]}],"y":[{"t":[{"e":[{"i":[{},[0,0,0,6]]}]}]}]},[2]],"d":[{"y":[{"i":[{"n":[{"g":[{".":[{},[0,0,0,7]]}]}]}]}]},[2]],"e":[{"b":[{"y":[{"s":[{".":[{},[0,0,0,0,6]]}]}]}],"d":[{"o":[{},[3]]}],"e":[{"k":[{"r":[{},[0,0,0,0,5]]}],"l":[{"e":[{"e":[{},[0,0,0,6]]}],"o":[{"o":[{"d":[{},[0,0,0,7]]}]}]}],"m":[{"e":[{"v":[{},[0,0,0,6]]}],"o":[{},[0,0,0,4]]}],"n":[{"h":[{},[4]]},[0,0,0,4]],"r":[{"a":[{"a":[{"d":[{},[0,0,0,7]]}]}],"e":[{"n":[{"v":[{},[0,0,0,7]]}]}]},[3]],"s":[{"k":[{},[0,0,0,5]],"l":[{},[0,0,0,5]],"t":[{},[0,0,0,5]],"u":[{"i":[{"k":[{},[0,0,0,7]]}]}]},[0,0,0,0,4]],"u":[{},[4,3]]}],"f":[{"l":[{"o":[{"n":[{".":[{},[0,0,0,7]]}]}]}]}],"g":[{"n":[{},[3]],"o":[{"r":[{"i":[{},[0,0,0,6]]}]}],"r":[{"e":[{"n":[{".":[{},[0,0,0,7]]}]}]}]}],"h":[{"u":[{"i":[{},[5]]}]}],"i":[{"n":[{"o":[{"o":[{},[0,0,0,6]]}]}]}],"k":[{"a":[{"m":[{},[5]]}],"b":[{"a":[{"k":[{".":[{},[0,0,0,7]]}]}]}],"e":[{"n":[{"a":[{"a":[{"p":[{},[0,0,0,0,8,7]]}]}]},[5]]}],"h":[{"a":[{"a":[{"k":[{},[0,0,0,7]]}]}]}],"l":[{"i":[{"m":[{"i":[{},[0,0,0,7]]}]}]}],"o":[{"r":[{},[5]]}],"s":[{"e":[{"m":[{"p":[{},[0,0,0,7]]}]}],"i":[{"n":[{},[0,0,0,6]]}],"k":[{},[0,0,0,0,5]],"t":[{"e":[{"l":[{},[0,0,0,7]]}]},[0,0,0,0,5]]}],"v":[{"o":[{},[0,0,0,5]]}]},[0,0,0,2]],"l":[{"a":[{"a":[{"p":[{".":[{},[0,0,0,7]]},[0,0,6]]}],"k":[{},[0,0,4,5]],"p":[{},[0,0,4,5]]}],"d":[{"w":[{"e":[{"i":[{},[0,0,0,7]]}]}]}],"e":[{"l":[{},[0,0,4,5]]}],"f":[{"l":[{"e":[{"s":[{},[0,0,0,7]]}]}]}],"i":[{"d":[{"e":[{"e":[{},[0,0,0,7]]}]}],"k":[{},[5]]}],"l":[{"h":[{"o":[{},[0,0,0,6]]}]}],"o":[{"e":[{"s":[{".":[{},[0,0,0,7]]}]}],"o":[{"g":[{".":[{},[0,0,0,7]]}],"n":[{"d":[{},[0,0,0,7]]},[0,0,6]]}]}],"s":[{"m":[{"e":[{"d":[{},[0,0,0,7]]}]}]}]}],"m":[{"a":[{"s":[{"s":[{"e":[{},[0,0,0,7]]}]}]}],"m":[{},[4]],"o":[{"m":[{"v":[{"a":[{},[0,0,0,7]]}]}],"o":[{"g":[{".":[{},[0,0,0,7]]},[0,0,6]]}]}],"p":[{"o":[{},[5]]}]}],"n":[{"a":[{"g":[{"e":[{},[0,0,0,0,6]]}]}],"d":[{".":[{},[5]]}],"h":[{},[0,4]],"k":[{"a":[{"a":[{},[0,0,0,6]]}],"o":[{"o":[{},[0,0,0,6]]}]}],"o":[{"u":[{"e":[{"r":[{},[0,0,0,7]]}]}]}],"s":[{"a":[{"n":[{},[0,0,0,6]]}],"l":[{"o":[{"t":[{},[0,0,0,7]]}]}],"o":[{},[5]],"u":[{},[0,0,0,4,5]]}],"t":[{"j":[{},[0,0,0,4,5]],"r":[{"e":[{"g":[{},[0,0,0,0,7]],"u":[{},[0,0,0,7]]}]},[0,0,0,4]],"w":[{"e":[{"n":[{},[0,0,0,7]]}]}]}]}],"o":[{},[3]],"p":[{"h":[{},[0,0,3,4]]}],"r":[{"a":[{"d":[{"e":[{"l":[{},[0,0,0,7]]}]}],"f":[{"i":[{},[0,0,0,6]]},[5,0,4,5]],"g":[{"o":[{},[0,0,0,6]]}],"k":[{"r":[{"o":[{},[0,0,0,7]]}]},[0,0,4]],"l":[{"s":[{".":[{},[0,0,0,7]]}]}],"m":[{"a":[{"n":[{},[0,0,0,7]]}],"e":[{"r":[{},[0,0,0,7]]}],"p":[{".":[{},[0,0,0,7]]},[0,0,6]]}],"p":[{"p":[{},[0,0,0,5]]},[5]],"r":[{"g":[{},[0,0,0,6]]}]}],"d":[{"r":[{"o":[{"o":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}],"e":[{"e":[{"n":[{},[0,0,0,5]]}],"l":[{},[0,0,4,5]],"m":[{},[0,0,4]]}],"f":[{"t":[{},[4]]}],"i":[{"n":[{".":[{},[0,0,6]],"k":[{".":[{},[0,0,0,7]]}]}]}],"k":[{"w":[{"y":[{"n":[{},[0,0,0,0,7]]}]}]}],"m":[{},[3]],"o":[{"m":[{"r":[{"a":[{},[0,0,0,7]]}]}],"n":[{"d":[{},[0,0,0,5]],"t":[{},[0,0,0,5]]}],"r":[{},[5]],"s":[{".":[{},[0,0,0,5]]}],"w":[{},[0,0,4,5]]}],"r":[{"a":[{"a":[{"n":[{},[0,0,0,7]]}]}],"e":[{"i":[{"n":[{},[0,0,0,7]]},[5]]}],"i":[{},[5]]}],"s":[{"a":[{"s":[{},[0,0,0,6]]}],"e":[{"f":[{},[0,0,0,6]],"g":[{},[0,0,0,6]]}],"k":[{"o":[{"p":[{},[0,0,0,6]]}]}],"o":[{"p":[{"n":[{},[0,0,0,7]]}]}],"w":[{"e":[{"e":[{},[0,0,0,7]]},[0,0,0,0,6]]}],"y":[{"s":[{"t":[{},[0,0,0,7]]}]}]}],"t":[{"a":[{"p":[{},[0,0,0,6]]}]}],"u":[{"i":[{"e":[{".":[{},[0,0,0,7]]}]},[0,0,4]]}],"y":[{"s":[{"t":[{"e":[{},[0,0,0,7]]},[0,0,6]]}]}],"-":[{"i":[{"n":[{},[0,0,0,6]]}]}]}],"s":[{"i":[{"n":[{"s":[{"t":[{},[0,0,0,7]]}]}]},[3]],"l":[{"o":[{"e":[{".":[{},[0,0,0,7]]}]}],"y":[{"d":[{"i":[{},[0,0,0,7]]}]}]}],"m":[{"a":[{"r":[{"t":[{},[0,0,0,7]]}]}],"e":[{"t":[{"o":[{},[0,0,0,7]]}]}]}],"p":[{"r":[{"o":[{"e":[{},[0,0,0,7]]}]}]}],"t":[{"e":[{"r":[{"i":[{},[0,0,0,7]]}]}],"u":[{"d":[{},[0,0,0,6]]}],"y":[{},[0,0,5]]}],"w":[{},[0,0,4,3]]}],"t":[{"i":[{},[3]]}],"u":[{"n":[{"s":[{},[0,0,0,0,5,4]]}]}]}],"f":[{"l":[{"i":[{},[0,0,4]]}]},[2,1]],"g":[{"a":[{"f":[{},[0,0,4]]}],"e":[{"n":[{"a":[{"p":[{},[0,0,0,6]]}]}]}],"l":[{"i":[{},[0,0,4]]}]},[2,1]],"h":[{"a":[{".":[{},[3]],"s":[{},[0,4]]}],"e":[{"i":[{},[4]],"n":[{},[3,4]],"r":[{"a":[{"a":[{"n":[{},[0,0,0,7]]},[0,0,0,0,6]]}],"o":[{},[0,0,0,5]]}]}],"i":[{"t":[{"t":[{},[0,5]]},[4]]},[3,2]],"l":[{"e":[{"h":[{},[0,0,5]]}]}],"o":[{".":[{},[0,4]],"n":[{"a":[{"t":[{},[0,0,0,6]]}]}]}],"s":[{"c":[{"h":[{"i":[{"l":[{},[0,0,0,7]]}]}]}]}],"y":[{".":[{},[0,4]]}]},[2]],"i":[{"b":[{"n":[{"i":[{"e":[{"t":[{},[0,0,0,7]]}]}]}]}],"e":[{"f":[{"o":[{},[0,0,0,0,5]]},[0,0,0,4]],"g":[{"r":[{"i":[{},[0,0,0,6]]}]}],"k":[{"a":[{"p":[{},[0,0,0,6]]}],"l":[{},[0,0,0,4,5]],"o":[{"m":[{},[0,0,0,6]]}],"r":[{},[0,0,0,4,5]],"w":[{},[0,0,0,4,5]]}],"r":[{"o":[{"ë":[{},[0,0,0,6]]}]}],"s":[{"m":[{"o":[{"o":[{},[0,0,0,7]]}]}]}]}],"f":[{".":[{},[4]],"f":[{},[4]]}],"g":[{"m":[{},[4]]}],"k":[{"e":[{},[0,0,0,0,4]],"l":[{"a":[{},[0,0,4]],"u":[{"g":[{".":[{},[0,0,0,7]]}]}]}],"r":[{"o":[{},[0,0,0,5]]}],"w":[{"a":[{"a":[{},[0,0,0,6]]}]}]}],"l":[{".":[{},[4]],"a":[{"a":[{"n":[{".":[{},[0,0,0,7]]}]}]}],"d":[{},[4]],"s":[{},[4,0,0,3]],"t":[{},[4]]}],"n":[{"d":[{},[4,3]],"e":[{"r":[{"t":[{"s":[{},[0,0,0,7]]}]}]}],"g":[{"a":[{"a":[{"l":[{},[0,0,0,7]],"n":[{},[0,0,0,0,7]]}]},[0,0,0,4]],"e":[{"g":[{".":[{},[0,0,0,0,7]]}]}],"r":[{},[0,0,0,4,5]],"s":[{"u":[{"u":[{},[0,0,0,0,0,7]]},[0,0,0,0,6]]}]}],"k":[{"h":[{},[4]],"w":[{"a":[{".":[{},[0,0,0,0,7]]}]}]}],"l":[{},[4,3]],"v":[{},[4]]}],"p":[{"e":[{".":[{},[5]],"s":[{},[5]]}]}],"r":[{"p":[{},[0,0,4]]}],"s":[{"a":[{"a":[{"n":[{},[0,0,0,6]]}]}],"j":[{},[0,0,3]]}],"t":[{"r":[{},[0,0,3]]}],"v":[{"e":[{"r":[{},[0,0,0,0,5]]}]}]}],"j":[{"a":[{},[2]],"e":[{"s":[{"n":[{"i":[{},[0,0,0,6]]}]}]}],"o":[{"k":[{},[0,0,0,4]]}]},[0,2]],"k":[{"i":[{"s":[{"o":[{"b":[{},[0,0,0,6]]}]}]}],"o":[{"m":[{"s":[{},[0,0,0,0,4,5]]}]}]},[2,1]],"l":[{"a":[{"s":[{"i":[{"n":[{},[0,0,0,6]]}]}]},[0,3]],"i":[{},[0,3]],"o":[{"n":[{"t":[{},[0,5]]}]},[0,3]]},[2,1]],"m":[{"e":[{"s":[{"t":[{"i":[{},[0,0,0,6]]}]}]}]},[2]],"n":[{"e":[{"y":[{"w":[{"e":[{},[0,0,0,6]]}]}]}],"o":[{"t":[{"s":[{},[0,0,0,0,4,5]]}]}]},[2,1]],"o":[{".":[{},[3]],"e":[{"e":[{"i":[{"e":[{"n":[{},[0,0,0,7]]}]}]}],"f":[{".":[{},[5]]},[4]],"g":[{"l":[{"y":[{".":[{},[0,0,0,7]]}]}]}],"k":[{"l":[{"a":[{"p":[{},[0,0,0,7]]}]}],"r":[{},[0,0,0,5]]}],"l":[{".":[{},[4]],"a":[{},[5,0,0,5]],"e":[{"t":[{},[0,0,0,6]]},[4]],"o":[{"p":[{},[0,0,0,6]]}],"t":[{},[4]]}],"p":[{".":[{},[4]],"l":[{"e":[{"i":[{},[0,0,0,7]]}]}]}],"r":[{"n":[{},[5]],"o":[{"u":[{},[0,0,0,6]]}],"u":[{},[5]]}],"s":[{"l":[{},[0,0,0,5]],"m":[{},[0,0,0,5]],"w":[{"e":[{"l":[{},[0,0,0,7]]}]}]},[3]]}],"ë":[{"r":[{"o":[{"t":[{"i":[{},[0,0,0,7]]}]}]}]}],"f":[{"a":[{},[0,0,4]],"e":[{"k":[{"s":[{"t":[{},[0,0,0,7]]}]}],"m":[{"i":[{"s":[{},[0,0,0,7]]}]}]}],"i":[{"o":[{},[0,0,4,5]]}],"o":[{"n":[{"d":[{"e":[{},[0,0,0,7]]}]}]}]}],"g":[{"l":[{},[0,0,4]]},[3]],"k":[{"l":[{"a":[{"s":[{".":[{},[0,0,0,7]]}]}],"e":[{"t":[{"t":[{},[0,0,0,7]]}]}]}],"o":[{"u":[{},[0,0,0,5]]}]}],"l":[{"i":[{"e":[{".":[{},[0,5]]}]}]}],"m":[{".":[{},[4]]}],"n":[{"d":[{},[4]],"e":[{},[3]],"g":[{"r":[{},[0,0,0,4]],"s":[{},[0,0,0,0,5]]}],"t":[{"l":[{},[0,5]],"s":[{},[0,5]]},[4]]}],"o":[{"n":[{},[3]]}],"p":[{"e":[{"r":[{},[0,5]]}],"h":[{"e":[{},[0,0,5,4]]}],"m":[{},[4]],"o":[{"o":[{"r":[{"l":[{},[0,0,0,7]]}]}]}],"v":[{},[4]]}],"r":[{"e":[{"i":[{"e":[{"n":[{},[0,0,0,7]]}]}],"v":[{"a":[{"l":[{},[0,0,0,7]]}]}]}],"i":[{"n":[{"t":[{"e":[{},[0,0,0,7]]},[0,0,6]]}]}],"m":[{"a":[{"g":[{},[0,0,0,6,5]]}],"o":[{"m":[{},[0,0,0,6]]}]}]}],"s":[{"f":[{},[0,0,3]],"t":[{"r":[{"o":[{},[0,0,0,6]]}]}]},[0,0,1]],"t":[{"r":[{},[0,0,3]],"s":[{"t":[{"e":[{},[0,0,0,6]]}]}]}],"u":[{"s":[{},[0,0,0,3,4]],"t":[{"j":[{"i":[{"e":[{},[0,0,0,7]]}]}]}],"w":[{"s":[{"r":[{},[0,0,0,6]]}]}]}],"w":[{"n":[{},[0,0,4]]}],"y":[{"o":[{"t":[{"a":[{".":[{},[0,0,0,7]]}]}]}]}]}],"p":[{"e":[{"n":[{"s":[{"k":[{},[0,0,0,0,6]]}]}]}],"i":[{"e":[{"t":[{"j":[{"i":[{},[0,0,0,0,0,7]]},[0,0,0,0,6]]}]}]}],"l":[{"e":[{"k":[{},[0,0,0,0,0,5]]}]}],"o":[{"o":[{"r":[{"t":[{"j":[{},[0,0,0,0,0,0,7]]},[0,0,0,0,0,6]]}]}]}],"s":[{"a":[{"l":[{},[0,5]]},[0,0,4]]}]},[2]],"r":[{"a":[{"a":[{"d":[{},[4,5]],"m":[{},[0,5]]}],"d":[{"i":[{"s":[{},[5]]}]}],"f":[{"a":[{"s":[{},[0,0,0,6]]}],"o":[{"o":[{},[0,0,0,6]]},[0,0,0,0,5]]},[4]],"k":[{"t":[{"a":[{},[5]]}]}],"n":[{"s":[{"a":[{},[5]],"f":[{},[5]]}]}],"p":[{"a":[{"f":[{},[0,0,0,6]],"s":[{".":[{},[0,0,0,0,7]]}]}],"e":[{"w":[{},[0,0,0,6]]}],"l":[{"o":[{"ï":[{},[0,0,0,7]]}]}],"p":[{},[5]]}],"t":[{"j":[{},[0,0,0,5]],"u":[{},[4]]},[0,0,0,0,4]]}],"e":[{"a":[{},[4]],"c":[{},[0,3]],"d":[{"a":[{},[0,5]],"d":[{},[0,5]]}],"e":[{"k":[{},[4]],"n":[{},[4,5]]},[0,4]],"ë":[{},[4]],"g":[{".":[{},[4]],"i":[{},[0,5]]}],"i":[{"n":[{"i":[{},[0,5]],"k":[{},[0,0,0,6]]}],"s":[{},[4]]},[0,0,4]],"k":[{"a":[{},[0,0,0,4]],"l":[{},[0,0,0,4,5]],"o":[{},[0,0,0,4]],"r":[{},[0,0,0,4]],"w":[{"i":[{},[0,0,0,6]]},[0,0,0,0,5]]}],"r":[{},[0,4]],"s":[{"e":[{},[0,5]],"t":[{},[0,0,0,4]]}],"t":[{"a":[{"l":[{"b":[{},[0,0,0,7]]}]}],"j":[{},[0,0,0,0,5]]},[0,0,0,4]],"u":[{"k":[{},[0,5]]}],"w":[{"o":[{},[0,5]]}]}],"i":[{"b":[{"u":[{},[5]]}],"e":[{"f":[{},[0,5]],"k":[{"l":[{},[0,0,0,0,6]]}],"s":[{},[5]]}],"g":[{"l":[{},[0,0,0,5,4]]}],"n":[{"g":[{},[4]]}]}],"o":[{"b":[{"o":[{},[0,0,0,0,0,5]]}],"e":[{"r":[{},[4,5]]}],"l":[{"a":[{"s":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}],"i":[{"n":[{},[0,0,0,6]]}]}],"n":[{"a":[{"f":[{},[0,0,0,6]]}]}],"o":[{"m":[{},[4]]},[0,0,0,0,4]],"s":[{"k":[{"i":[{},[0,0,0,6]]}]}],"u":[{},[3]],"v":[{},[3]]}],"u":[{"b":[{},[4]],"g":[{},[4,3]],"i":[{"t":[{"j":[{"i":[{},[0,0,0,0,7]]},[0,0,0,0,0,6]]}]}],"k":[{"o":[{"p":[{"p":[{},[0,0,0,7]]}]}]},[4]],"s":[{"t":[{"r":[{},[0,0,0,0,0,5]]}]}]}],"y":[{"k":[{},[4]]}]},[0,2]],"s":[{"a":[{"g":[{"t":[{},[0,0,5]]}],"m":[{},[0,4]],"r":[{"g":[{},[0,0,5]]},[0,4]]}],"e":[{"k":[{"s":[{},[0,4,5]]}],"n":[{"g":[{},[0,4,5]]}],"r":[{"a":[{"f":[{},[0,0,0,6]]}],"y":[{"s":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}]}]}],"i":[{"n":[{"g":[{"r":[{},[0,6]]}],"s":[{},[0,4,5]],"v":[{},[0,0,5]]}],"t":[{"s":[{"i":[{"k":[{},[0,0,0,7]]}]}]}]}],"j":[{"a":[{"e":[{},[0,0,5]]}]}],"k":[{"a":[{"r":[{},[0,4]]}],"o":[{"k":[{},[0,0,5]],"n":[{},[0,4]],"r":[{},[0,4]]}],"r":[{"i":[{"e":[{},[0,6]],"p":[{},[0,6]]}],"u":[{},[0,4]]}]}],"l":[{"a":[{"m":[{},[0,0,5]]}]}],"m":[{"a":[{"a":[{"k":[{},[0,5,6]]}]}],"e":[{"e":[{},[0,5,4]],"l":[{},[0,0,4]]}],"o":[{"t":[{},[0,0,5]],"u":[{},[0,5]]},[0,4]]}],"n":[{"a":[{"t":[{},[0,0,5]]}],"e":[{"u":[{},[0,0,5]]}]}],"o":[{"o":[{"n":[{},[0,0,5]]}]}],"p":[{"a":[{"s":[{},[0,4,5]]}],"e":[{"n":[{},[0,0,5]]}],"o":[{"t":[{},[0,0,5]]}],"r":[{"o":[{},[0,4,5]]}]}],"t":[{"e":[{"a":[{},[0,0,5]],"l":[{},[0,5]],"n":[{"d":[{},[0,6]]}]}],"i":[{},[0,0,4]],"o":[{"e":[{"r":[{},[0,0,5]]}]}],"r":[{"o":[{"n":[{},[0,0,5]]}]}],"u":[{},[0,3]]}],"u":[{},[0,3]],"w":[{"a":[{"a":[{"r":[{},[0,0,5]]}],"r":[{},[0,5]]}],"e":[{"n":[{},[0,5]]}],"i":[{"n":[{"g":[{},[0,0,6]]}]}],"y":[{"n":[{},[0,0,5]]}]}]},[2,1]],"t":[{"a":[{"t":[{"j":[{},[0,0,0,5]]}]}],"e":[{"l":[{"o":[{"ë":[{},[0,0,0,6]]}]}],"r":[{"a":[{"l":[{},[0,0,0,6]],"m":[{},[0,0,0,6]]}],"i":[{"d":[{"g":[{},[0,0,0,7]]}]}],"o":[{},[0,0,0,4]],"u":[{"i":[{"l":[{},[0,0,0,7]]}]}]}],"s":[{"l":[{"o":[{},[0,0,0,6]]}],"t":[{"a":[{},[0,0,0,6,5]]}]}],"u":[{"s":[{},[0,0,0,5]]}]}],"h":[{"e":[{},[0,0,4]]}],"i":[{"n":[{"g":[{"a":[{},[0,0,0,0,0,5]]}]}]}],"u":[{"u":[{"r":[{},[0,0,5]]}]}]},[2]],"u":[{"a":[{},[3]],"e":[{},[3]],"i":[{"g":[{},[3]],"n":[{},[3]],"t":[{"s":[{},[4]]}]}],"k":[{"l":[{},[0,0,4]]}],"m":[{"a":[{"a":[{"n":[{"w":[{},[0,0,0,7]]}]}]}]}],"r":[{"k":[{"n":[{"a":[{},[0,0,0,6]]}]}],"t":[{},[4]]}],"s":[{"a":[{"a":[{"r":[{"t":[{},[0,0,0,7]]}]}]}],"e":[{"t":[{"e":[{"r":[{},[0,0,0,7]]}]}]}],"s":[{"e":[{"n":[{},[0,0,0,0,0,0,5]]}]}]}],"t":[{"ê":[{"r":[{},[0,0,5]]}]}]}],"v":[{"l":[{"i":[{},[0,0,4]]}]},[2]],"w":[{"e":[{"e":[{"k":[{},[0,0,0,0,5]],"l":[{},[0,0,0,0,5]],"s":[{},[0,0,0,0,0,4]]}],"r":[{"p":[{"o":[{},[0,0,0,0,0,5]]}]}]}],"i":[{"s":[{"a":[{"p":[{},[0,0,0,6]]}]}]}]},[2]],"y":[{"d":[{"a":[{"a":[{"n":[{"w":[{},[0,0,0,7]]}]}]}],"l":[{"o":[{"n":[{"t":[{},[0,0,0,7]]}]}]}],"o":[{"r":[{"d":[{"e":[{},[0,0,0,7]]}]}]}],"r":[{},[0,0,0,3]],"s":[{"a":[{"t":[{},[0,0,0,6]]}]}]},[3]],"e":[{},[3]],"l":[{"o":[{"o":[{"r":[{"w":[{},[0,0,0,7]]}]}]}]}],"n":[{"s":[{"p":[{"r":[{"e":[{},[0,0,0,7]]}]}]}]},[3]],"o":[{},[0,0,3]],"s":[{"t":[{"e":[{"r":[{},[0,5]]}]}]}]}],"z":[{"e":[{"n":[{"e":[{"l":[{},[0,0,0,6]]}]}]}]},[2]],"-":[{},[2]]},[1]],"u":[{"a":[{"e":[{"s":[{},[0,0,4,4]]}],"h":[{"u":[{"a":[{".":[{},[0,0,0,0,6]]}]}]}]},[0,1]],"b":[{"a":[{"g":[{},[0,4,3]],"s":[{"l":[{"a":[{"g":[{},[0,0,0,7]]}]}]},[0,0,0,0,4]]}],"e":[{"k":[{"o":[{},[0,0,5]]}]}],"f":[{},[0,0,3]],"g":[{"r":[{"o":[{},[0,0,5]]}]}],"i":[{"n":[{"t":[{},[0,0,5]]}]}],"l":[{"u":[{"n":[{},[0,0,5]]},[0,4]]},[0,3]],"o":[{"r":[{},[0,0,3]]}],"s":[{"c":[{"h":[{},[0,0,5]]}]}],"t":[{},[0,0,3]],"v":[{},[0,0,3]],"w":[{"y":[{"k":[{},[0,0,5]]}]}]}],"c":[{"k":[{"l":[{"e":[{"n":[{},[0,0,0,6]]}]}]}]}],"d":[{"a":[{"r":[{},[0,4,3]]}],"i":[{"t":[{"o":[{"p":[{},[0,0,0,6]]}]}]}],"r":[{"e":[{},[0,4,3]],"i":[{},[0,4]]}],"s":[{"m":[{"e":[{"d":[{},[0,0,0,6]]}]}],"o":[{"r":[{},[0,0,5]]}],"t":[{"o":[{"e":[{},[0,0,6]]}],"y":[{"d":[{},[0,0,0,6]]}]}]}]}],"e":[{"b":[{"l":[{"o":[{},[0,0,0,5]]}]}],"r":[{"i":[{"o":[{"n":[{"e":[{},[0,0,0,7]]}]}]}],"o":[{"n":[{"d":[{"e":[{},[0,0,0,7]]}]},[0,0,4]]}]}],"s":[{"t":[{"r":[{"i":[{"a":[{},[0,0,0,7]]}]}]}]}],"u":[{"n":[{"i":[{},[0,0,5]]}]}]},[0,1]],"f":[{"r":[{"i":[{"n":[{},[0,0,5]]},[0,4]]}],"s":[{"m":[{"a":[{"a":[{},[0,0,0,6]]}]}]}]}],"g":[{"a":[{"a":[{"n":[{},[0,0,5]]}]}],"e":[{"i":[{},[0,4]],"s":[{"k":[{"a":[{},[0,0,0,6]]}]}]}],"l":[{},[0,0,1]],"o":[{"m":[{"o":[{"l":[{},[0,0,0,6]]}]}],"r":[{},[0,0,3]]},[0,2]],"r":[{},[0,2,3]],"s":[{"k":[{},[0,0,0,4]],"l":[{},[0,0,0,4]],"o":[{"o":[{},[0,0,4]]}],"p":[{},[0,0,0,4]],"t":[{"e":[{"k":[{},[0,0,0,6]]},[0,0,5]],"o":[{},[0,0,5]]}],"u":[{"i":[{},[0,0,5]]}]},[0,0,3]],"u":[{"b":[{},[0,0,4]]}]}],"i":[{"d":[{"a":[{"g":[{},[0,0,4]],"r":[{"t":[{"s":[{},[0,0,0,7]]}]}]}],"o":[{},[0,0,4,3]],"r":[{"e":[{"e":[{"k":[{},[0,0,0,7]]}]}]},[0,0,4]],"s":[{"i":[{"m":[{"b":[{},[0,0,0,7]]}]}],"k":[{"a":[{"t":[{},[0,0,0,7]]}],"e":[{"l":[{},[0,0,0,7]]}],"i":[{"l":[{},[0,0,0,7]]}]}],"l":[{"u":[{"i":[{},[0,0,0,7]]}]}],"p":[{"r":[{},[0,0,0,5]]}],"t":[{"o":[{"e":[{},[0,0,0,7]]},[0,0,0,0,6]]}]}],"u":[{"i":[{"t":[{"s":[{},[0,0,0,7]]}]}]}]}],"e":[{"r":[{"s":[{"w":[{},[0,0,0,0,0,6]]}]}],"s":[{"m":[{"a":[{"a":[{},[0,0,0,7]]},[0,0,0,0,6]]}]}]},[0,0,1]],"f":[{"a":[{},[0,0,4,3]],"e":[{"e":[{"n":[{"d":[{},[0,0,0,7]]}]}]}],"l":[{"e":[{},[0,0,0,5]]}]}],"g":[{"o":[{},[0,0,4]],"r":[{},[0,0,4,3]],"s":[{},[0,0,0,3,4]]}],"k":[{"a":[{},[0,0,4,3]],"l":[{},[0,0,4,3]],"r":[{},[0,0,4,3]],"s":[{"f":[{"e":[{"e":[{},[0,0,0,7]]}]}],"t":[{"a":[{},[0,0,0,6]]}]}],"u":[{"i":[{"t":[{"k":[{},[0,0,0,7]]}]}]}],"w":[{},[0,0,4]]}],"l":[{"a":[{"a":[{"p":[{".":[{},[0,0,0,7]]}]}]}],"e":[{"k":[{"s":[{},[0,0,0,5]]}],"s":[{"e":[{"l":[{},[0,0,0,7]]}]}]}],"o":[{"o":[{},[0,0,4,5]]}],"t":[{"j":[{"a":[{"n":[{},[0,0,0,7]]}]}]}]}],"m":[{"a":[{},[0,0,4]],"o":[{"e":[{"s":[{".":[{},[0,0,0,7]]}]}]}]}],"n":[{"a":[{"e":[{},[0,0,5]],"r":[{},[0,0,0,5]],"s":[{"y":[{"n":[{},[0,0,0,7]]}]}]},[0,0,4]],"d":[{"r":[{"e":[{"k":[{},[0,0,0,7]]}]}]},[0,0,0,0,4]],"i":[{"v":[{"o":[{"o":[{},[0,0,0,7]]}]}]}],"k":[{"o":[{"l":[{"e":[{},[0,0,0,7]]}]}]}],"o":[{},[0,0,4,3]],"s":[{"e":[{"r":[{".":[{},[0,0,0,7]]}]}],"i":[{},[0,0,0,5]],"k":[{"a":[{},[0,0,0,6]]}]}]}],"p":[{"l":[{},[0,0,4]],"o":[{"o":[{},[0,0,0,5]],"r":[{"e":[{".":[{},[0,0,0,7]]}]}]},[0,0,4]],"r":[{"o":[{"e":[{"s":[{},[0,0,0,7]]}]}]}]}],"s":[{"a":[{},[0,0,4,3]],"j":[{},[0,0,0,3]],"o":[{},[0,0,4,3]],"t":[{"a":[{},[0,0,0,5]]}]}],"t":[{"a":[{},[0,0,4,3]],"d":[{"e":[{"i":[{"n":[{},[0,0,0,7]]}]}]}],"e":[{"e":[{},[0,0,4,5]],"r":[{},[0,0,5]]}],"j":[{},[0,0,0,3]],"r":[{},[0,0,0,3]],"s":[{"j":[{},[0,0,0,4]]}],"-":[{"a":[{"s":[{},[0,0,0,6]]}]}]}]}],"k":[{"a":[{"a":[{"r":[{},[0,0,0,0,0,4]]},[0,0,4]]}],"l":[{"o":[{"o":[{},[0,0,5]]}]}],"o":[{"f":[{"f":[{},[0,0,5]]},[0,4]],"r":[{},[0,4]]}],"r":[{"a":[{"t":[{},[0,5]]}],"y":[{},[0,0,3]]}],"s":[{"e":[{"s":[{},[0,0,0,0,4]]}],"k":[{"i":[{},[0,0,4]]}],"m":[{},[0,0,0,4]],"p":[{"o":[{"p":[{".":[{},[0,0,0,7]]}]}]}],"v":[{},[0,0,4]]}],"t":[{"h":[{},[0,0,4]]}],"u":[{"y":[{"a":[{"m":[{"a":[{},[0,0,0,7]]}]}]}]}],"w":[{},[0,2,3]]}],"l":[{"a":[{"g":[{},[0,0,3]]},[0,1]],"d":[{"e":[{"r":[{"k":[{},[0,0,0,5]]}]}]}],"e":[{"s":[{"t":[{"a":[{},[0,0,0,6]]}]}]}],"ê":[{"r":[{"-":[{"w":[{},[0,0,0,6]]}]}]}],"f":[{"a":[{"p":[{"i":[{},[0,0,0,6]]}]}]}],"i":[{"n":[{"s":[{},[0,0,5]]}]}],"o":[{"o":[{"g":[{},[0,0,5]]}]},[0,1]],"p":[{"e":[{"k":[{"s":[{"a":[{},[0,0,0,7]]}]}]}],"o":[{"o":[{"r":[{"t":[{},[0,0,0,7]]}]}],"r":[{"g":[{"a":[{},[0,0,0,7]]}]}]}]}],"s":[{"a":[{"a":[{},[0,0,4]]}],"o":[{"m":[{"s":[{},[0,0,0,6]]}]}]}],"t":[{"i":[{"n":[{"g":[{"e":[{},[0,0,0,7]]}]}]}],"u":[{"i":[{"t":[{".":[{},[0,0,0,7]]}]}]}]}],"u":[{},[0,1]]}],"m":[{"a":[{"g":[{"t":[{},[0,0,5]]}],"t":[{"j":[{},[0,0,0,5]]},[0,0,0,0,4]]},[0,3]],"e":[{},[0,3]],"g":[{"r":[{"o":[{"k":[{},[0,0,0,6]]}]}]}],"i":[{"e":[{},[0,0,4]]},[0,3]],"o":[{"n":[{"d":[{},[0,0,5]]}]}],"s":[{".":[{},[0,0,4]],"f":[{"e":[{"l":[{"d":[{},[0,0,0,7]]}]}]}]}],"u":[{"i":[{},[0,4]],"s":[{},[0,0,0,4]]},[0,3]]},[0,2]],"n":[{"a":[{"r":[{"m":[{},[0,0,5]]}]}],"e":[{"r":[{"s":[{"t":[{},[0,0,0,0,6]]}]}]}],"i":[{"f":[{"o":[{},[5]]}],"v":[{},[3]]}],"k":[{"r":[{"e":[{"d":[{"a":[{},[0,0,0,7]]}]}]}]}],"s":[{"e":[{"n":[{"b":[{},[0,0,0,6]]}]}],"i":[{"d":[{},[0,0,4]]}],"k":[{"a":[{"p":[{},[0,0,0,6]]}],"o":[{"l":[{},[0,0,5,6]],"o":[{"l":[{},[0,0,7,6]]}]}]}],"l":[{"a":[{"g":[{"g":[{},[0,0,0,7]]}]}]}],"t":[{"a":[{"a":[{"l":[{},[0,0,0,7]]}]}],"r":[{},[0,0,5]]}]},[0,0,2,3]],"t":[{"e":[{"e":[{"n":[{"h":[{},[0,0,0,7]]}]}]}],"i":[{"n":[{"n":[{},[0,0,6]]}]}],"r":[{"e":[{"a":[{"l":[{},[0,0,0,7]]}]}],"o":[{"e":[{},[0,0,0,6]]}]}],"s":[{"k":[{"o":[{},[0,0,0,0,6]]}],"w":[{},[0,0,0,5]]}]}],"u":[{"g":[{"s":[{".":[{},[0,0,0,0,6]]}]}]}]}],"o":[{},[0,1]],"p":[{"i":[{"l":[{"o":[{"p":[{},[0,0,0,6]]}]}]}],"l":[{"y":[{},[0,4]]}],"o":[{"n":[{},[0,4]]}]}],"r":[{"a":[{"a":[{"r":[{},[0,0,5]]}],"f":[{},[0,0,3]],"g":[{"t":[{},[0,0,5]]}],"k":[{},[0,0,3]],"s":[{"t":[{},[0,5,0,5,4]]}],"t":[{"l":[{},[0,0,5]]}]},[0,1]],"e":[{"e":[{"n":[{},[0,0,5]]}],"f":[{"f":[{},[0,0,5]]},[0,4]],"u":[{"m":[{},[0,0,0,5]]}]}],"f":[{"l":[{"o":[{"o":[{"p":[{},[0,0,0,7]]}]}]}]}],"g":[{"h":[{"-":[{"s":[{},[0,0,0,6]]}]}],"l":[{"a":[{"a":[{"g":[{},[0,0,0,7]]}]}]}]}],"i":[{"n":[{"t":[{},[0,4,5]]}]}],"k":[{"e":[{"s":[{},[0,0,0,0,5]]}],"n":[{"a":[{"e":[{"l":[{},[0,0,0,7]]}]}]}]}],"o":[{"p":[{"e":[{"s":[{"i":[{},[0,0,0,7]]}]}]}]},[0,1]],"p":[{"a":[{"g":[{"t":[{"i":[{},[0,0,0,7]]}]}]}]}],"r":[{"h":[{"e":[{"i":[{"m":[{},[0,0,0,7]]}]}]}]}],"s":[{"a":[{"g":[{"t":[{"e":[{},[0,0,0,7]]}]}]}],"e":[{"k":[{},[0,0,4,5]]}],"f":[{"e":[{"e":[{},[0,0,0,6]]}]}],"l":[{"o":[{"o":[{},[0,0,6]]}]}],"m":[{"o":[{"u":[{"s":[{},[0,0,0,7]]}]}]}],"n":[{"o":[{},[0,0,4]]}],"o":[{"o":[{},[0,0,4,5]]}],"p":[{"a":[{"a":[{"r":[{},[0,0,0,7]]}],"r":[{},[0,0,0,6]]}],"r":[{},[0,0,4]]}],"w":[{"e":[{"e":[{},[0,0,0,6]]}],"i":[{"e":[{},[0,0,0,6]]}]}]}],"t":[{"o":[{"o":[{"r":[{},[0,0,6,5]]}],"p":[{},[0,0,4]]}],"r":[{"o":[{"o":[{"m":[{},[0,0,0,7]]}]}]}]}],"u":[{},[0,1]],"y":[{},[0,1]]}],"s":[{"a":[{"g":[{},[0,0,3]],"l":[{"a":[{"g":[{".":[{},[0,0,0,7]]}]}]}],"p":[{},[0,4]]}],"e":[{"e":[{"n":[{},[0,0,5]]}],"s":[{"t":[{},[0,0,0,5]]}]}],"h":[{"d":[{"i":[{"e":[{".":[{},[0,0,0,7]]}]}]}],"k":[{"o":[{"a":[{"l":[{},[0,0,0,7]]}]}]}]}],"i":[{"e":[{"k":[{"l":[{},[0,0,0,0,0,5]]},[0,0,0,0,4]]}],"n":[{"s":[{},[0,4,5]]}]}],"k":[{".":[{},[0,0,4]],"o":[{"k":[{},[0,0,4]]}],"r":[{"i":[{},[0,0,4]]}]},[0,2,3]],"l":[{"u":[{},[0,3,4]]},[0,2,3]],"n":[{"o":[{},[0,4]]}],"o":[{"l":[{},[0,0,4]],"r":[{},[0,0,4]]},[0,2,3]],"p":[{"i":[{"e":[{},[0,0,4]]}],"o":[{"t":[{},[0,0,5]]},[0,4]]},[0,0,3]],"s":[{"e":[{"u":[{"s":[{".":[{},[0,0,0,0,7]]}]}]}]}],"t":[{".":[{},[0,0,4]],"a":[{"k":[{"t":[{},[0,0,0,5]]}],"v":[{".":[{},[0,0,0,0,6]]}]}],"b":[{},[0,0,4]],"f":[{},[0,0,4]],"g":[{},[0,0,4]],"h":[{},[0,0,4]],"i":[{"n":[{"k":[{},[0,0,6]]}]}],"o":[{},[0,0,4]],"r":[{"e":[{"k":[{},[0,0,6]]}],"u":[{},[0,0,5]]}],"s":[{},[0,0,4]]},[0,0,3]],"w":[{},[0,0,3]]}],"t":[{"a":[{"d":[{"m":[{},[0,0,5]]}],"g":[{},[0,4,3]],"s":[{"p":[{"e":[{"k":[{},[0,0,0,7]]}]}]}]},[0,3]],"e":[{"l":[{"i":[{"n":[{"g":[{},[0,0,0,7]]}]}]}],"r":[{"a":[{"g":[{"o":[{},[0,0,0,7]]}]}]}]},[0,3]],"i":[{},[0,3]],"o":[{"p":[{"l":[{},[0,4]]}],"r":[{"g":[{},[0,0,5]]}]},[0,3]],"r":[{"e":[{"k":[{},[0,0,4]]}]}],"s":[{"l":[{"u":[{"i":[{"s":[{},[0,0,0,7]]}]}]}],"p":[{"r":[{},[0,0,4]]}]}],"u":[{},[0,3]],"y":[{},[0,3]]},[0,2]],"u":[{"r":[{"i":[{},[0,0,0,3]],"s":[{"i":[{"n":[{},[0,0,0,6,5]]}]}]},[0,0,0,1]],"s":[{"k":[{"h":[{"e":[{},[0,0,0,6]]}]}]},[0,0,0,3]],"t":[{"j":[{},[0,0,0,3]]}]},[0,0,2]],"w":[{"e":[{"e":[{"s":[{},[0,0,0,0,0,4]]}],"s":[{"m":[{"i":[{"t":[{},[0,0,0,7]]}]}]}]}]}],"y":[{"s":[{"t":[{"e":[{},[0,5]]}]}],"u":[{},[0,3]]}]}],"û":[{},[0,1]],"ü":[{},[1,1]],"v":[{"a":[{"a":[{"r":[{"s":[{"t":[{},[0,0,0,0,6]]}]}]}],"k":[{"a":[{"r":[{},[0,0,4]]}],"e":[{"i":[{"e":[{".":[{},[0,0,0,7]]}]}],"s":[{},[0,0,4]]}],"i":[{"e":[{},[0,0,5]]},[0,0,4]],"o":[{},[0,0,4,3]],"r":[{},[0,0,4]]}],"l":[{"e":[{"s":[{"t":[{"e":[{},[0,0,0,7]]}]}]}],"f":[{"e":[{"e":[{"s":[{},[0,0,0,7]]}]}],"u":[{"n":[{"k":[{},[0,0,0,7]]}]}]}],"i":[{"s":[{"o":[{"g":[{},[0,0,0,7]]}]}]}],"k":[{"o":[{"ë":[{".":[{},[0,0,0,0,7]]}]}]}],"o":[{"p":[{"t":[{"o":[{},[0,0,0,7]]}]}]}],"s":[{"a":[{},[0,0,0,4]],"p":[{"a":[{"n":[{},[0,0,0,0,7]]},[0,0,0,6]],"o":[{},[0,0,0,6]],"r":[{},[0,0,0,6]]}],"t":[{"e":[{},[0,0,0,6,5]],"h":[{},[0,0,0,6]]}]}]}],"n":[{"e":[{"e":[{},[0,0,4,5]],"f":[{"f":[{"e":[{},[0,0,0,7]]}]}]}],"g":[{"a":[{"p":[{},[0,0,0,6]]}],"r":[{"e":[{},[0,0,0,6]]}]}],"u":[{"i":[{"t":[{".":[{},[0,0,0,7]]}]}]}]}],"r":[{"i":[{"e":[{"t":[{},[0,0,0,0,5]]}]}],"k":[{"j":[{"a":[{},[0,0,0,6]]}],"l":[{"e":[{},[0,0,0,6]]}],"n":[{},[0,0,0,4,5]],"o":[{},[0,0,0,4,5]],"r":[{},[0,0,0,4,5]]}]}],"s":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,7]]}]}]}],"o":[{"o":[{"r":[{},[0,0,0,6]]}]}],"w":[{"a":[{"a":[{"i":[{},[0,0,0,7]]}]}]}]}]}],"e":[{"d":[{},[0,0,3]],"e":[{"k":[{"o":[{"n":[{"g":[{},[0,0,0,7]]}]}],"r":[{},[0,0,0,5]]}],"l":[{},[0,0,0,4]],"r":[{"a":[{},[0,0,0,0,5]]}],"s":[{},[0,0,0,3,4]]}],"g":[{"a":[{".":[{},[0,0,9]]}]}],"i":[{"s":[{"t":[{},[0,0,0,5]]},[0,0,0,0,4]]}],"l":[{"d":[{"o":[{"n":[{},[0,0,0,6]]}],"r":[{},[0,0,0,4,5]]}],"o":[{"o":[{},[0,0,0,5]],"p":[{},[0,0,5]]}],"s":[{"m":[{},[0,0,0,5]],"p":[{"l":[{"e":[{},[0,0,0,7]]}]}]}],"u":[{"m":[{},[0,0,5]]}]}],"n":[{"a":[{},[0,0,3]],"e":[{},[0,0,3]],"o":[{"r":[{},[0,0,5]]}],"t":[{"j":[{},[0,0,0,4,5]]}],"u":[{},[0,0,3]]}],"p":[{"l":[{"e":[{"g":[{"i":[{},[0,0,0,7]]}]}]}]}],"r":[{"a":[{".":[{},[0,0,9]]}],"d":[{"i":[{"e":[{"n":[{"s":[{},[0,0,0,0,0,0,0,7,8]]}]}]}]},[0,0,0,0,4]],"e":[{"b":[{},[0,0,5]],"k":[{},[0,0,5]],"m":[{"a":[{},[0,0,0,6]]}],"n":[{"a":[{},[0,0,0,6]],"d":[{},[0,0,5]]}],"v":[{"e":[{},[0,0,0,6]]}]}],"f":[{"l":[{"u":[{},[0,0,0,6]]}],"r":[{"u":[{},[0,0,0,6]]}]}],"i":[{"n":[{"n":[{},[0,0,6,5]]}]},[0,0,3]],"k":[{"l":[{},[0,0,0,5]],"w":[{},[0,0,0,5]]},[0,0,0,0,4]],"o":[{"n":[{"a":[{".":[{},[0,0,7]]}]}]}],"s":[{"a":[{},[0,0,0,5]],"k":[{"i":[{"n":[{},[0,0,0,7]]},[0,0,0,0,6]],"o":[{"p":[{".":[{},[0,0,0,0,8]]}]}]}],"l":[{},[0,0,0,5]],"m":[{"a":[{"g":[{},[0,0,0,0,6]]}]},[0,0,0,5]],"p":[{},[0,0,0,5]],"t":[{"a":[{"l":[{},[0,0,0,7]]}]}],"w":[{"a":[{"a":[{"r":[{},[0,0,0,0,8]]}]}]},[0,0,0,5,4]]}],"t":[{"j":[{},[0,0,0,4,5]],"w":[{},[0,0,0,5]]}]},[3,0,0,1]],"s":[{"p":[{},[0,0,0,3]],"t":[{"a":[{"a":[{"l":[{},[0,0,0,7]]}]}]},[0,0,0,3]],"u":[{"v":[{},[0,0,5]]}]}],"t":[{"i":[{"n":[{},[0,0,0,5]]}],"j":[{"i":[{},[0,0,0,5]]}],"o":[{"p":[{"g":[{"a":[{},[0,0,0,7]]}]}]}],"r":[{},[0,0,0,3]],"s":[{"m":[{},[0,0,0,5]]},[0,0,0,0,4]]}]},[0,0,2]],"i":[{"d":[{"s":[{"o":[{},[0,0,0,5]]}]}],"e":[{"r":[{"i":[{"n":[{"g":[{},[0,0,0,7]]}]}]}]}],"g":[{"s":[{},[0,0,0,4]]}],"r":[{"a":[{"g":[{},[0,0,5]]}],"g":[{},[0,0,4]],"-":[{},[0,0,4]]}],"s":[{"a":[{"r":[{},[0,0,4]]}],"o":[{"l":[{},[0,0,0,5]],"o":[{"g":[{".":[{},[0,0,0,7]]}]}]},[0,0,4]],"t":[{"r":[{},[0,0,0,5]]}]}],"t":[{"r":[{"a":[{"t":[{"e":[{},[0,0,0,7]]}]}]},[0,0,3]]}]}],"l":[{"a":[{"g":[{"s":[{},[0,0,0,0,5]]}],"k":[{"o":[{"e":[{"k":[{},[0,0,0,7]]}]}]},[0,0,0,4]],"s":[{"a":[{"k":[{},[0,0,0,6]]}]}]}],"e":[{"k":[{"l":[{},[0,0,0,0,5]]},[0,0,0,4]]}],"i":[{"e":[{"s":[{"o":[{},[0,0,0,0,6]]}]},[0,4]]}]}],"o":[{"e":[{"r":[{"e":[{"k":[{},[0,0,0,6]]}],"u":[{"i":[{},[0,0,0,6]]}]}]}],"ë":[{"l":[{"o":[{"ë":[{".":[{},[0,0,0,0,7]]}]}]},[0,0,0,4]]}],"g":[{"i":[{"n":[{"h":[{"o":[{},[0,0,0,7]]}]}]}],"r":[{},[0,0,4]]}],"l":[{"e":[{"i":[{},[0,0,4]]}],"g":[{"a":[{},[0,0,0,4,5]],"o":[{"n":[{},[0,0,0,6]]}]}],"o":[{},[0,0,4,3]],"s":[{"o":[{"n":[{"g":[{},[0,0,0,7]]}]}]}],"u":[{"i":[{"t":[{".":[{},[0,0,0,7]]}]}]}],"y":[{"w":[{"e":[{"r":[{},[0,0,0,7]]}]}]}]}],"n":[{"d":[{"s":[{"t":[{"e":[{},[0,0,0,0,6,7]]}]}]}],"k":[{"l":[{"o":[{},[0,0,0,6]]}]}]}],"o":[{"d":[{"o":[{"o":[{".":[{},[0,0,0,7]]}]}]}],"r":[{"s":[{},[0,0,0,0,5,4]]}]}],"r":[{"s":[{"t":[{"e":[{"r":[{},[0,0,0,7]]}]},[0,0,0,4,5]]}]}],"u":[{"p":[{"o":[{"p":[{"s":[{},[0,0,0,7]]}]}]}],"t":[{"j":[{},[0,0,0,5]]}]}]}],"r":[{"a":[{"g":[{"r":[{"y":[{},[0,0,0,6]]}]}]}],"e":[{".":[{},[0,4]],"e":[{"t":[{"j":[{"i":[{},[0,0,0,0,0,7]]},[0,0,0,0,6]]}]}]}],"i":[{"e":[{"s":[{"p":[{},[0,0,0,0,6]]}]}],"j":[{"z":[{"e":[{},[0,0,0,6]]}]}]}],"y":[{"d":[{"u":[{"i":[{"k":[{},[0,0,0,7]]}]}]}],"k":[{"y":[{"k":[{".":[{},[0,0,0,7]]}]}]}],"s":[{"t":[{},[0,0,0,5]]},[0,0,0,3,4]],"u":[{"i":[{"t":[{".":[{},[0,0,0,7]]}]}]}]}]}],"u":[{"e":[{".":[{},[0,0,4]]}],"y":[{"o":[{".":[{},[0,0,9]]}]}]}],"y":[{"f":[{"a":[{"r":[{"m":[{"i":[{},[0,0,0,7]]}]}]}]}],"s":[{},[0,0,3]]}]},[1,2]],"w":[{".":[{},[2]],"a":[{"e":[{"l":[{"a":[{"t":[{},[0,0,0,6]]}]},[4]],"o":[{},[4,0,4]]}],"g":[{".":[{},[3]],"l":[{"a":[{"s":[{},[0,0,0,6]]}]}]}],"l":[{"s":[{"t":[{"e":[{},[0,0,0,6]]}]}]}],"n":[{"d":[{"s":[{"k":[{},[0,0,0,0,6]]}]}],"g":[{"a":[{"a":[{},[0,0,0,6]]}]}],"i":[{"n":[{"g":[{"e":[{},[0,0,0,7]]}]}]}],"s":[{"m":[{},[0,0,0,5]]},[0,0,0,0,4]]}],"p":[{"e":[{"n":[{},[5]]}]}],"r":[{"m":[{},[3]],"s":[{"e":[{".":[{},[0,0,0,0,6]]}]},[0,0,0,4,3]],"t":[{"h":[{"i":[{},[0,0,0,6]]}],"j":[{},[0,0,0,4,5]],"o":[{"ë":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]],"o":[{},[0,0,0,6]]}],"r":[{},[0,0,0,4,5]],"y":[{"s":[{},[0,0,0,6]]}]},[4]]}],"s":[{"h":[{"i":[{},[0,0,5]]}],"k":[{"a":[{"a":[{},[0,0,0,6]]}]}],"l":[{"a":[{},[0,0,0,5]]}],"m":[{"o":[{"u":[{},[0,0,0,6]]}]}],"p":[{"a":[{"n":[{".":[{},[0,0,0,7]]}]}]}],"t":[{"r":[{},[0,0,5]]}]}],"t":[{"e":[{"r":[{"a":[{"a":[{},[0,0,0,0,0,7]]},[0,0,0,0,6]]}]}],"s":[{"o":[{},[0,0,0,5]]}]}]}],"e":[{"b":[{"a":[{"d":[{},[0,0,4]]}],"m":[{},[0,0,4]],"r":[{"u":[{},[0,0,4,5]]}],"t":[{"a":[{"a":[{"l":[{},[0,0,0,7]]}]}]}],"v":[{"l":[{"i":[{"e":[{},[0,0,0,7]]}]}]}]}],"d":[{"r":[{"a":[{},[0,0,5]],"y":[{},[0,0,5]]},[0,0,4,3]],"y":[{},[0,0,4]]},[3]],"e":[{"f":[{"s":[{"e":[{},[5]]}]}],"g":[{"s":[{".":[{},[0,0,0,0,6]]}]}],"r":[{"a":[{"n":[{},[0,0,0,5]]}]}],"s":[{"a":[{},[0,0,0,5]],"k":[{"a":[{"a":[{},[0,0,0,7]]}],"o":[{},[0,0,0,5]]}],"l":[{},[0,0,0,5]],"p":[{},[0,0,0,5,4]],"t":[{},[0,0,0,5]]}],"t":[{"r":[{"u":[{},[0,0,0,6]]}]}]}],"g":[{"a":[{},[0,0,4]],"d":[{"o":[{"f":[{".":[{},[0,0,0,7]]}]}]}],"l":[{},[0,0,0,3]],"o":[{"r":[{"d":[{"e":[{},[0,0,0,7]]}]}]},[0,0,4]],"r":[{},[0,0,4,3]],"s":[{"t":[{},[0,0,0,5]]},[0,0,0,3,4]],"u":[{},[0,0,4]]},[3]],"i":[{"s":[{},[4]]}],"k":[{"r":[{"o":[{},[0,0,4,5]]}],"u":[{"u":[{"r":[{".":[{},[0,0,0,7]]}]}]}]}],"l":[{"a":[{"a":[{"n":[{"b":[{},[0,0,0,7]]}]}],"r":[{"g":[{},[0,0,6]]}]}],"e":[{"e":[{},[0,0,4,5]]}],"f":[{"l":[{"a":[{"n":[{},[0,0,0,7]]}]}],"r":[{"o":[{"n":[{},[0,0,0,7]]}]}]}],"o":[{"o":[{"r":[{},[0,0,0,5]]}],"p":[{},[0,0,4,5]]}],"s":[{"k":[{"e":[{},[0,0,0,6]]}]}]}],"m":[{"o":[{"s":[{".":[{},[0,0,0,6]]}]},[0,0,4,3]]}],"n":[{"a":[{"k":[{},[0,0,4]],"s":[{},[0,0,4,5]]}],"e":[{"e":[{"n":[{"s":[{},[0,0,0,7]]}]}]}],"s":[{"a":[{"d":[{},[0,0,0,6]],"n":[{},[0,0,0,6]],"r":[{},[0,0,0,6]]}],"e":[{"i":[{},[0,0,0,6]],"r":[{},[0,0,0,6]],"s":[{},[0,0,0,6]]}],"k":[{"a":[{},[0,0,0,0,5]],"u":[{"d":[{},[0,0,0,7]]}]},[0,0,0,4]],"l":[{},[0,0,0,4,5]],"o":[{},[0,0,0,4]],"p":[{"r":[{},[0,0,0,6]]}],"t":[{"e":[{"s":[{},[0,0,0,0,7]]},[0,0,0,6]]}],"u":[{},[0,0,0,4,5]]}]}],"r":[{"e":[{"s":[{"s":[{"e":[{},[0,0,0,7]]}]}]}],"f":[{"o":[{"m":[{},[0,0,0,6]]}]}],"g":[{"a":[{"r":[{},[0,0,0,6]]}],"r":[{"e":[{},[0,0,0,6]]}]}],"i":[{"n":[{"t":[{},[0,0,0,6]]}]}],"k":[{"a":[{"d":[{},[0,0,0,6]],"f":[{},[0,0,0,6,5]]}],"e":[{"s":[{},[0,0,0,6]]}],"l":[{"a":[{"a":[{},[0,0,0,0,7]],"n":[{},[0,0,0,7]],"p":[{},[0,0,0,7]]}],"o":[{"k":[{},[0,0,0,7]]}]},[0,0,0,4]],"o":[{"m":[{"s":[{},[0,0,0,6]]}],"n":[{"y":[{},[0,0,0,7]]},[0,0,0,6]]}],"r":[{"e":[{},[0,0,0,6]],"o":[{},[0,0,0,6]]}],"u":[{"u":[{},[0,0,0,6]]}],"w":[{"a":[{},[0,0,0,5]]},[0,0,0,4]],"y":[{},[0,0,0,4]]},[3]],"o":[{},[0,0,4,3]],"p":[{"a":[{"f":[{},[0,0,0,6]],"n":[{},[0,0,0,6]]}],"l":[{"o":[{},[0,0,0,6]]}],"o":[{"n":[{},[0,0,0,6]],"o":[{},[0,0,0,6]],"r":[{},[0,0,0,6]]}]}],"s":[{"m":[{"e":[{"d":[{},[0,0,0,7]]}]}]}],"u":[{"i":[{"l":[{".":[{},[0,0,0,7]]}]}]}]}],"s":[{"m":[{"i":[{"t":[{},[0,0,0,6]]}]}],"o":[{"e":[{"w":[{"e":[{},[0,0,0,7]]}]}]}],"p":[{"e":[{"m":[{"i":[{},[0,0,0,7]]}]}]},[0,0,4]],"t":[{"a":[{},[0,0,5]],"h":[{},[0,0,0,4]],"r":[{},[0,0,5,4]]},[0,0,4,3]],"w":[{"a":[{"a":[{"r":[{},[0,0,0,7]]}]}]}]}],"t":[{".":[{},[3]],"r":[{"e":[{"g":[{"u":[{},[0,0,0,7]]}]}]}],"s":[{"o":[{},[0,0,0,4,5]],"t":[{},[0,0,0,4,5]]}],"w":[{"y":[{"s":[{"i":[{},[0,0,0,7]]}]}]}]}]}],"ê":[{"r":[{},[3]]}],"f":[{"o":[{"n":[{},[4]]}]}],"i":[{"d":[{"s":[{"t":[{"o":[{"r":[{},[0,0,0,0,7]]}]}]}]}],"e":[{"l":[{"a":[{},[0,0,0,0,5]]}],"t":[{"j":[{},[0,0,0,4,5]]}]}],"g":[{"r":[{},[0,0,4]]}],"k":[{"l":[{},[0,0,4]],"o":[{},[0,0,4]],"s":[{"t":[{"e":[{".":[{},[0,0,0,0,7]]}]}]}]}],"l":[{"d":[{"a":[{"g":[{},[0,0,0,6]]}]}],"s":[{"i":[{"n":[{},[0,0,0,6]]}],"k":[{},[0,0,0,4]]}]}],"n":[{"d":[{"a":[{"s":[{".":[{},[0,0,0,0,7]]}]}],"e":[{"l":[{},[0,0,0,6]]}],"o":[{"p":[{".":[{},[0,0,0,0,7]]},[0,0,0,6]]}],"r":[{"u":[{"k":[{},[0,0,0,0,7]]}]},[0,0,0,4]]}],"k":[{"l":[{"e":[{},[0,0,0,6]]}]}],"s":[{"k":[{"y":[{".":[{},[0,0,0,7]]}]},[0,0,0,4]],"t":[{"o":[{"n":[{},[0,0,0,7]]}]},[0,0,0,4,5]]}],"t":[{"a":[{"p":[{},[0,0,0,6]]}],"e":[{"s":[{},[0,0,0,6]]}]}]}],"p":[{"l":[{"i":[{"g":[{".":[{},[0,0,0,7]]}]}]}],"r":[{"o":[{"o":[{"s":[{},[0,0,0,7]]}]}]}]}],"t":[{"e":[{"l":[{},[0,0,0,5]]}],"i":[{"n":[{"k":[{"b":[{},[0,0,0,7]]}]}]}],"j":[{"i":[{},[0,0,0,5]]}],"o":[{},[0,0,4,3]],"r":[{"o":[{},[0,0,0,5]]}]}]}],"j":[{"e":[{"t":[{"u":[{"n":[{},[0,0,0,6]]}]}]}]},[2]],"o":[{"e":[{"g":[{},[4]],"s":[{},[0,0,0,4]]}],"l":[{"a":[{},[0,0,4,3]],"i":[{"n":[{"v":[{"o":[{},[0,0,0,7]]}]}]}],"k":[{"l":[{"o":[{},[0,0,0,6]]}]}],"o":[{},[0,0,4,3]]}],"o":[{"r":[{"d":[{"r":[{},[0,0,0,0,6]]}]}]}],"r":[{"u":[{"m":[{},[0,0,5]]}]}],"u":[{"d":[{"a":[{"g":[{},[0,0,0,6]]}]}]}]}],"r":[{"e":[{"e":[{},[0,0,0,0,4]]}],"i":[{"g":[{"o":[{"n":[{},[0,0,0,6]]}]}]}]},[0,2]],"s":[{},[2]],"u":[{"r":[{"g":[{"r":[{},[0,0,0,4]]}],"m":[{"a":[{},[0,0,0,0,5]]},[0,0,0,4]]}]}],"w":[{"e":[{"r":[{"i":[{"n":[{"t":[{},[0,0,0,7]]}]}]}]}]},[2]],"y":[{"d":[{"o":[{"o":[{},[0,0,0,5]]}],"u":[{"i":[{"t":[{"e":[{},[0,0,0,7]]}]}]}]}],"k":[{"w":[{"a":[{"s":[{},[0,0,0,6]]}]}]}],"n":[{"a":[{"n":[{"d":[{},[0,0,0,6]]}]}],"s":[{"m":[{},[0,0,0,5]]}]}],"s":[{"a":[{"k":[{"s":[{"i":[{},[0,0,0,7]]}]}]}],"k":[{},[0,0,0,3]],"p":[{},[0,0,0,3]],"t":[{"a":[{},[0,0,0,5]]}]},[3]],"t":[{"r":[{"a":[{"a":[{"k":[{},[0,0,0,7]]}]}]}]}]}]},[1]],"x":[{"\'":[{"i":[{"e":[{".":[{},[0,0,9]]}]}]}],"a":[{},[0,1]],"e":[{"m":[{},[0,3]],"r":[{"o":[{"x":[{"e":[{".":[{},[0,0,0,0,0,7]]}]}]}]}]},[0,0,1]],"h":[{},[0,2]],"i":[{},[0,1]],"y":[{"s":[{"t":[{"e":[{".":[{},[0,0,0,6]]}]}]}]}]}],"y":[{"a":[{"m":[{"a":[{},[0,4]]}]},[0,1]],"b":[{"e":[{"l":[{"i":[{"l":[{},[0,0,0,6]]}]}]}]}],"d":[{"a":[{},[0,3]],"e":[{"n":[{"s":[{},[0,0,0,0,4]]}]},[0,3]],"g":[{"e":[{"l":[{"e":[{},[0,0,0,0,0,0,6]]}]}],"l":[{"e":[{"u":[{},[0,0,0,6]]}]}]}],"i":[{},[0,3]],"o":[{"f":[{},[0,0,3]]}],"r":[{"e":[{},[0,0,3]],"o":[{},[0,0,3]]}],"s":[{"i":[{"n":[{},[0,0,4]]}],"k":[{"a":[{"t":[{},[0,0,6]]}],"r":[{"i":[{"t":[{},[0,0,0,7]]}]}]}],"o":[{"r":[{"d":[{"e":[{},[0,0,0,7]]}]}]}]}]},[0,2]],"e":[{"n":[{"n":[{},[0,4]]}],"r":[{"h":[{"o":[{"f":[{".":[{},[0,0,0,7]]}]}]}],"m":[{"a":[{"a":[{"t":[{},[0,0,0,7]]}]}]}],"s":[{},[0,0,0,4]],"t":[{"o":[{"n":[{".":[{},[0,0,0,7]]}]}]}],"v":[{"i":[{"l":[{"l":[{},[0,0,0,7]]}]}],"o":[{"ë":[{"l":[{},[0,0,0,7]]}]}]}]},[0,0,0,2]],"s":[{"a":[{"g":[{"t":[{},[0,0,0,6]]}]}]}],"u":[{},[3]]},[0,1]],"f":[{"a":[{"a":[{},[0,0,3]],"r":[{},[0,4]],"s":[{".":[{},[0,0,5]]}]}],"l":[{},[0,0,3]],"r":[{"e":[{"n":[{},[0,0,5]]}]},[0,2,3]],"s":[{"l":[{},[0,0,4]],"u":[{},[0,0,4]]}]}],"g":[{"l":[{"e":[{},[0,0,4]],"i":[{},[0,0,4]],"y":[{},[0,0,4]]}],"s":[{"a":[{"a":[{},[0,0,5]]}],"k":[{"a":[{"n":[{"s":[{},[0,0,0,7]]}]}],"o":[{},[0,0,5]]}],"l":[{"e":[{},[0,0,0,5]]}],"t":[{"e":[{"k":[{},[0,0,0,6]]}],"o":[{},[0,0,4]],"u":[{},[0,0,4]]}]}]},[0,1]],"k":[{"a":[{"a":[{"r":[{},[0,0,0,0,0,4]]}]}],"e":[{"r":[{"s":[{"t":[{},[0,0,0,0,6]]}]}]}],"i":[{"n":[{"s":[{},[0,4,5]]}]}],"l":[{"i":[{},[0,0,3]],"u":[{"i":[{},[0,0,5]],"s":[{},[0,0,5]]},[0,0,4]]},[0,2]],"o":[{"m":[{"s":[{},[0,0,0,0,0,4]]}],"r":[{},[0,4]]}],"r":[{"i":[{},[0,0,3]]}],"s":[{"a":[{"d":[{},[0,0,4,5]]}],"k":[{"a":[{"n":[{"s":[{},[0,0,0,7]]}]}]},[0,0,4]],"p":[{},[0,0,3]],"t":[{},[0,0,0,4]],"u":[{},[0,0,4]]}],"w":[{},[0,2,3]]}],"l":[{"a":[{},[0,1]],"o":[{"e":[{},[0,4]]},[0,1]],"s":[{"l":[{"a":[{"a":[{"r":[{},[0,0,0,7]]}]}]}]}]}],"n":[{"a":[{".":[{},[0,0,4]]},[0,2,1]],"e":[{"i":[{},[0,4]],"t":[{"e":[{},[0,4,5]]}]}],"g":[{},[0,0,1,2]],"k":[{"l":[{"i":[{},[0,0,5]]}],"w":[{"a":[{},[0,0,5]]}]}],"o":[{"m":[{},[0,3,4]]},[0,2,1]],"s":[{"a":[{"g":[{"t":[{},[0,0,0,6]]}],"m":[{},[0,0,4,5]]}],"i":[{"n":[{"s":[{},[0,0,0,5]]}]}],"l":[{"y":[{},[0,0,5]]}],"m":[{"a":[{"a":[{"n":[{},[0,0,0,7]]}]}]},[0,0,0,4]],"o":[{"r":[{},[0,0,4,5]]}],"p":[{"a":[{"a":[{"r":[{},[0,0,0,7]]}]}]},[0,0,4]],"t":[{},[0,0,0,4]]}],"u":[{},[0,0,3]]}],"o":[{"y":[{"o":[{".":[{},[0,0,9]]}]}]}],"p":[{"a":[{},[0,3]],"e":[{},[0,3]],"i":[{},[0,3]],"l":[{"a":[{"n":[{},[0,5]]}],"i":[{},[0,0,3]]}],"o":[{"r":[{"g":[{},[0,0,5]]}]}],"r":[{},[0,3]],"u":[{},[0,3]]},[0,2]],"r":[{},[0,1]],"s":[{"a":[{"m":[{},[0,4]]}],"i":[{"g":[{},[0,0,4]],"n":[{"d":[{},[0,4,5]],"s":[{},[0,4,5]]}]}],"k":[{"a":[{"r":[{},[0,0,5]]}],"o":[{"o":[{},[0,5,4]]},[0,0,3]]},[0,2]],"l":[{},[0,2,3]],"n":[{},[0,2,3]],"o":[{"k":[{},[0,0,4]],"u":[{},[0,0,4]]},[0,2,3]],"p":[{"o":[{"e":[{},[0,0,5]]}]}],"t":[{"a":[{"f":[{},[0,4,5]]},[0,0,4]],"e":[{"l":[{},[0,5,4]],"r":[{},[0,4]]}],"r":[{},[0,3,4]],"u":[{},[0,0,4]]},[0,0,3]],"u":[{"i":[{},[0,0,3]]}],"w":[{},[0,0,3]]}],"t":[{"a":[{"g":[{},[0,0,3]]},[0,3]],"e":[{},[0,3]],"h":[{"a":[{},[0,0,4]]}],"i":[{},[0,3]],"j":[{},[0,3]],"o":[{},[0,3]],"u":[{},[0,3]],"y":[{},[0,3]]},[0,2]],"v":[{"e":[{"s":[{"a":[{"n":[{"t":[{},[0,0,0,7]]}]}]}]}]}]}],"z":[{".":[{},[2]],"b":[{"u":[{"r":[{},[4]]}]}],"e":[{"e":[{"r":[{"u":[{"s":[{"t":[{},[0,0,0,7]]}]}]}]}],"n":[{"e":[{"l":[{"l":[{"e":[{},[0,0,0,7]]}]}]}]}]}],"i":[{"c":[{"a":[{"t":[{},[0,0,5]]}]},[0,0,2]]}],"m":[{"a":[{"n":[{},[4]]}]}],"o":[{"o":[{"k":[{"a":[{".":[{},[0,0,0,0,6]]}]}]}]}],"z":[{},[2]]},[1]],"-":[{"e":[{"r":[{"t":[{"j":[{},[0,0,0,0,5]]},[0,0,0,4]]}]}],"h":[{"a":[{"-":[{"h":[{"a":[{".":[{},[0,0,0,0,7]]}]}]}]}]}],"k":[{"l":[{"i":[{},[0,0,4]]}]}],"n":[{"a":[{"g":[{"e":[{"w":[{},[0,0,0,6]]}]}]}]}],"s":[{"t":[{"i":[{},[0,0,4]]}]}],"t":[{"w":[{"e":[{"e":[{},[0,5]]},[0,0,4]]}]}]},[2,1]]}';
  var hyphenation = [
    "sandaal",
    "aand-e-tes",
    "aan-gons",
    "aan-sit-riem",
    "af-ets",
    "af-glooi",
    "a-fri-kaans-eer-ste-taal-spre-ker",
    "al-berts-kroon",
    "al-ler-geen",
    "baad-jie-mou-e",
    "baan-vak",
    "bar-mit-swa",
    "boek-il-lus-tra-sies",
    "bruids-ka-mer",
    "buf-fels-poort",
    "bur-ger-drag",
    "chris-sies-meer",
    "da-gha-men-ger",
    "dak-oor-hang",
    "dek-la-ding",
    "dek-weef-sel",
    "del-gings-fonds-plan",
    "deur-swer-we",
    "di-a-lek-woor-de-boek",
    "dik-bek-wind",
    "di-vi-dend-uit-ke-ring",
    "dom-siek-te",
    "drie-hoeks-me-ting",
    "druk-ker-fonts",
    "ei-en-doms-wê-reld",
    "eks-trin-sie-ke",
    "e-lands-kraal",
    "e-lek-tro-ne-ga-ti-wi-teit",
    "et-ter-sweer",
    "fru-ga-le",
    "gang-lig",
    "gars-aar",
    "ge-beds-ket-ting",
    "ge-bruik-sfeer",
    "ge-loofs-i-den-ti-teit",
    "gem-mer-es-sens",
    "ge-skoert",
    "ge-slags-om-gang",
    "ge-voels-kri-tiek",
    "ge-voels-waar-de",
    "ge-we-tens-angs",
    "ge-wrig-smeer",
    "gras-ta-pyt",
    "grie-kwa",
    "groeps-por-tret-te",
    "grond-sop",
    "haard-ys-ter",
    "haat-skrif",
    "han-dels-per-seel",
    "han-ger-tjie-hei-de",
    "har-sing-aan-doe-ning",
    "hel-toe-gaan-vloek-woor-de",
    "hond-ag-tig",
    "ie-der-een",
    "in-dink",
    "in-gaar",
    "in-skink",
    "in-steek-slot",
    "in-tap",
    "in-ter-net-om-ge-wing",
    "in-tree-da-tum",
    "in-twy-fel-trek-king",
    "ja-ka-ran-da-ko-nin-gin",
    "jong-mei-sie-dro-me",
    "ka-juits-maat",
    "ka-li-glas",
    "kam-de-bo-stink-hout",
    "ka-me-roens",
    "kam-sti-ge",
    "kant-ruit",
    "ka-ree-paal",
    "karst-treg-ter",
    "keg-an-ker",
    "kies-a-re-as",
    "klik-spaan",
    "knal-kwik",
    "kon-sep-or-don-nan-sie",
    "kooks-oond",
    "ko-tan-gens",
    "kui-pers-am-bag",
    "kuns-te-ra-de",
    "kwak-sal-wers-mid-del",
    "lamp-staan-der",
    "lands-op-me-ting",
    "lang-ter-myn-im-pak",
    "lang-u-re",
    "la-ven-tel-tak-kies",
    "le-wens-kiem",
    "lies-maat",
    "lig-gaams-tem-pe-ra-tuur",
    "limf-weef-sel",
    "lip-om-ly-ner",
    "maand-uit-ga-we",
    "man-gaan-staal",
    "mas-korf",
    "mens-ky-ker",
    "me-to-diek-es-sen-sies",
    "mid-o-se-a-nie-se",
    "mou-ska-kel",
    "na-gaan-de",
    "nar-re-slee",
    "ne-gev-woes-tyn",
    "nek-a-re",
    "om-me-swaai",
    "on-der-wys-ak-sie",
    "on-tra-di-si-o-ne-le",
    "oor-deels-plek",
    "o-ra-gie",
    "paarl-oos",
    "pa-si-ënt-re-kords",
    "pas-to-rie-tuin",
    "plan-ke-koors",
    "poe-toe-pap",
    "pos-a-dres",
    "pot-te-bak-kers-oond",
    "pries-ter-amp",
    "prins-loo-straat",
    "proe-gla-sie",
    "pte-ri-gi-um",
    "raar-der",
    "re-gi-ments-kom-man-dant",
    "regs-en-ti-teit",
    "res-lap",
    "rond-skink",
    "rooi-poot-el-sie",
    "room-ter-te",
    "ru-staal",
    "se-ren-ge-ti",
    "seun-so-praan",
    "siek-wees",
    "sies-tog",
    "skaats-loop-baan",
    "skree-tjies",
    "slet-jie",
    "snik-warm",
    "soet-o-lie",
    "son-de-val",
    "sor-ghum-oes",
    "spoed-oe-fe-nin-ge",
    "spoor-weg-in-kom-ste",
    "stads-nôi",
    "sti-let-jie",
    "stok-siel-sa-lig-al-leen",
    "straat-slim",
    "stre-pies-fer-weel",
    "suid-ein-de",
    "suip-roes",
    "swaan-nes-te",
    "swart-aas-vo-ëls",
    "swie-ren-ga",
    "ta-ke-la-sie",
    "teen-sank-sies",
    "tip-pe-ra-ry",
    "tref-en-trap-on-ge-luk",
    "tui-me-laar-dop",
    "twis-ap-pel",
    "tyds-ter-me",
    "ui-er-sweer",
    "uit-tree-loon",
    "val-reep-leer",
    "ver-band-uit-ma-ker",
    "ver-koops-wel-sla-e",
    "ver-sap-te",
    "ver-val-funk-sie",
    "ver-wy-sings-half-le-we-in-deks",
    "vin-ger-e-te",
    "volks-e-mo-sie",
    "volks-ka-pi-ta-lis-me",
    "vol-son-ge",
    "vond-se",
    "vos-kop",
    "vre-des-en-gel",
    "vre-des-par-ty",
    "wa-pen-stil-stand",
    "wa-ter-ver-koe-lings-to-rings",
    "we-du-wee-skof",
    "wel-oor-wo-ë",
    "werp-lood",
    "wes-oe-wer",
    "xho-sa-tjie",
    ""
  ];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
