(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsBe = factory();
  }
})(this, function () {
  var patterns =
    '{"-":[{"а":[{"д":[{"б":[{},[0,0,0,3,6]],"в":[{},[0,0,0,3,6]],"г":[{},[0,0,0,3,6]],"ґ":[{},[0,0,0,3,6]],"д":[{},[0,0,0,3,6]],"к":[{},[0,0,0,3,6]],"л":[{},[0,0,0,3,6]],"м":[{},[0,0,0,3,6]],"н":[{},[0,0,0,3,6]],"п":[{},[0,0,0,3,6]],"р":[{},[0,0,0,3,6]],"с":[{},[0,0,0,3,6]],"т":[{},[0,0,0,3,6]],"ф":[{},[0,0,0,3,6]],"х":[{},[0,0,0,3,6]],"ц":[{},[0,0,0,3,6]],"ч":[{},[0,0,0,3,6]],"ш":[{},[0,0,0,3,6]],"ж":[{"а":[{"л":[{},[0,0,0,7]],"т":[{},[0,0,0,7]],"ц":[{},[0,0,0,7]],"ў":[{},[0,0,0,7]],"р":[{},[0,0,0,7]]}],"л":[{"у":[{"к":[{"ц":[{},[0,0,0,7]],"ч":[{},[0,0,0,7]]}]}]}],"ы":[{"в":[{},[0,0,0,7]],"л":[{},[0,0,0,7]],"н":[{},[0,0,0,7]],"т":[{},[0,0,0,7]],"ц":[{"ь":[{},[0,0,0,7]]}],"ў":[{},[0,0,0,7]]}]}],"з":[{"а":[{"в":[{},[0,0,0,7]]}],"в":[{"а":[{"н":[{},[0,0,0,7]]}],"о":[{"н":[{},[0,0,0,7]]}]}],"н":[{"а":[{"к":[{},[0,0,0,7]],"ч":[{},[0,0,0,7]],"ц":[{},[0,0,0,7]]}]}],"ы":[{"в":[{"а":[{},[0,0,0,7]]}],"ў":[{"н":[{},[0,0,0,7]]}]}]}]}],"б":[{"б":[{},[0,0,0,3,6]],"в":[{},[0,0,0,3,6]],"г":[{},[0,0,0,3,6]],"ґ":[{},[0,0,0,3,6]],"д":[{},[0,0,0,3,6]],"ж":[{},[0,0,0,3,6]],"з":[{},[0,0,0,3,6]],"к":[{},[0,0,0,3,6]],"л":[{},[0,0,0,3,6]],"м":[{},[0,0,0,3,6]],"н":[{},[0,0,0,3,6]],"п":[{},[0,0,0,3,6]],"р":[{},[0,0,0,3,6]],"с":[{},[0,0,0,3,6]],"т":[{},[0,0,0,3,6]],"ф":[{},[0,0,0,3,6]],"х":[{},[0,0,0,3,6]],"ц":[{},[0,0,0,3,6]],"ч":[{},[0,0,0,3,6]],"ш":[{},[0,0,0,3,6]]}]},[0,0,8]],"е":[{},[0,0,8]],"ё":[{},[0,0,8]],"і":[{},[0,0,8]],"о":[{},[0,0,8]],"у":[{"з":[{"б":[{},[0,0,0,3,6]],"в":[{},[0,0,0,3,6]],"г":[{},[0,0,0,3,6]],"ґ":[{},[0,0,0,3,6]],"д":[{},[0,0,0,3,6]],"ж":[{},[0,0,0,3,6]],"з":[{},[0,0,0,3,6]],"к":[{},[0,0,0,3,6]],"л":[{},[0,0,0,3,6]],"м":[{},[0,0,0,3,6]],"н":[{},[0,0,0,3,6]],"п":[{},[0,0,0,3,6]],"р":[{},[0,0,0,3,6]],"с":[{},[0,0,0,3,6]],"т":[{},[0,0,0,3,6]],"ф":[{},[0,0,0,3,6]],"х":[{},[0,0,0,3,6]],"ц":[{},[0,0,0,3,6]],"ч":[{},[0,0,0,3,6]],"ш":[{},[0,0,0,3,6]]}],"с":[{"б":[{},[0,0,0,3,6]],"в":[{},[0,0,0,3,6]],"г":[{},[0,0,0,3,6]],"ґ":[{},[0,0,0,3,6]],"д":[{},[0,0,0,3,6]],"ж":[{},[0,0,0,3,6]],"з":[{},[0,0,0,3,6]],"к":[{},[0,0,0,3,6]],"л":[{},[0,0,0,3,6]],"м":[{},[0,0,0,3,6]],"н":[{},[0,0,0,3,6]],"п":[{},[0,0,0,3,6]],"р":[{},[0,0,0,3,6]],"с":[{},[0,0,0,3,6]],"т":[{},[0,0,0,3,6]],"ф":[{},[0,0,0,3,6]],"х":[{},[0,0,0,3,6]],"ц":[{},[0,0,0,3,6]],"ч":[{},[0,0,0,3,6]],"ш":[{},[0,0,0,3,6]]}]},[0,0,8]],"ы":[{},[0,0,8]],"э":[{},[0,0,8]],"ю":[{},[0,0,8]],"я":[{},[0,0,8]],"б":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"ґ":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"ь":[{},[0,0,0,8]],"\'":[{},[0,0,0,8]],"я":[{"з":[{"б":[{},[0,0,0,2,3,6]],"в":[{},[0,0,0,2,3,6]],"г":[{},[0,0,0,2,3,6]],"ґ":[{},[0,0,0,2,3,6]],"д":[{},[0,0,0,2,3,6]],"ж":[{},[0,0,0,2,3,6]],"з":[{},[0,0,0,2,3,6]],"к":[{},[0,0,0,2,3,6]],"л":[{},[0,0,0,2,3,6]],"м":[{},[0,0,0,2,3,6]],"н":[{},[0,0,0,2,3,6]],"п":[{},[0,0,0,2,3,6]],"р":[{},[0,0,0,2,3,6]],"с":[{},[0,0,0,2,3,6]],"т":[{},[0,0,0,2,3,6]],"ф":[{},[0,0,0,2,3,6]],"х":[{},[0,0,0,2,3,6]],"ц":[{},[0,0,0,2,3,6]],"ч":[{},[0,0,0,2,3,6]],"ш":[{},[0,0,0,2,3,6]]}],"с":[{"б":[{},[0,0,0,2,3,6]],"в":[{},[0,0,0,2,3,6]],"г":[{},[0,0,0,2,3,6]],"ґ":[{},[0,0,0,2,3,6]],"д":[{},[0,0,0,2,3,6]],"ж":[{},[0,0,0,2,3,6]],"з":[{},[0,0,0,2,3,6]],"к":[{},[0,0,0,2,3,6]],"л":[{},[0,0,0,2,3,6]],"м":[{},[0,0,0,2,3,6]],"н":[{},[0,0,0,2,3,6]],"п":[{},[0,0,0,2,3,6]],"р":[{},[0,0,0,2,3,6]],"с":[{},[0,0,0,2,3,6]],"т":[{},[0,0,0,2,3,6]],"ф":[{},[0,0,0,2,3,6]],"х":[{},[0,0,0,2,3,6]],"ц":[{},[0,0,0,2,3,6]],"ч":[{},[0,0,0,2,3,6]],"ш":[{},[0,0,0,2,3,6]]}]}],"е":[{"з":[{"б":[{},[0,0,0,2,3,6]],"в":[{},[0,0,0,2,3,6]],"г":[{},[0,0,0,2,3,6]],"ґ":[{},[0,0,0,2,3,6]],"д":[{},[0,0,0,2,3,6]],"ж":[{},[0,0,0,2,3,6]],"з":[{},[0,0,0,2,3,6]],"к":[{},[0,0,0,2,3,6]],"л":[{},[0,0,0,2,3,6]],"м":[{},[0,0,0,2,3,6]],"н":[{},[0,0,0,2,3,6]],"п":[{},[0,0,0,2,3,6]],"р":[{},[0,0,0,2,3,6]],"с":[{},[0,0,0,2,3,6]],"т":[{},[0,0,0,2,3,6]],"ф":[{},[0,0,0,2,3,6]],"х":[{},[0,0,0,2,3,6]],"ц":[{},[0,0,0,2,3,6]],"ч":[{},[0,0,0,2,3,6]],"ш":[{},[0,0,0,2,3,6]]}],"с":[{"б":[{},[0,0,0,2,3,6]],"в":[{},[0,0,0,2,3,6]],"г":[{},[0,0,0,2,3,6]],"ґ":[{},[0,0,0,2,3,6]],"д":[{},[0,0,0,2,3,6]],"ж":[{},[0,0,0,2,3,6]],"з":[{},[0,0,0,2,3,6]],"к":[{},[0,0,0,2,3,6]],"л":[{},[0,0,0,2,3,6]],"м":[{},[0,0,0,2,3,6]],"н":[{},[0,0,0,2,3,6]],"п":[{},[0,0,0,2,3,6]],"р":[{},[0,0,0,2,3,6]],"с":[{},[0,0,0,2,3,6]],"т":[{},[0,0,0,2,3,6]],"ф":[{},[0,0,0,2,3,6]],"х":[{},[0,0,0,2,3,6]],"ц":[{},[0,0,0,2,3,6]],"ч":[{},[0,0,0,2,3,6]],"ш":[{},[0,0,0,2,3,6]]}]}]},[0,0,8]],"в":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"ґ":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"ь":[{},[0,0,0,8]],"\'":[{},[0,0,0,8]],"ы":[{"к":[{"л":[{"ю":[{"ч":[{},[0,0,0,1,8]]}]}]}]}]},[0,0,8]],"г":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"ґ":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"ь":[{},[0,0,0,8]],"\'":[{},[0,0,0,8]]},[0,0,8]],"ґ":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"ґ":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"ь":[{},[0,0,0,8]],"\'":[{},[0,0,0,8]]},[0,0,8]],"д":[{"б":[{},[0,0,0,8]],"в":[{"у":[{"х":[{},[0,0,0,0,8,3]]}]},[0,0,0,8]],"г":[{},[0,0,0,8]],"ґ":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"\'":[{},[0,0,0,8]]},[0,0,8]],"ж":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"ґ":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"\'":[{},[0,0,0,8]]},[0,0,8]],"з":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"ґ":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"ь":[{},[0,0,0,8]],"\'":[{},[0,0,0,8]]},[0,0,8]],"к":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"ґ":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"ь":[{},[0,0,0,8]],"\'":[{},[0,0,0,8]]},[0,0,8]],"л":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"ґ":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"ь":[{},[0,0,0,8]],"\'":[{},[0,0,0,8]]},[0,0,8]],"м":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"ґ":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"ь":[{},[0,0,0,8]],"\'":[{},[0,0,0,8]]},[0,0,8]],"н":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"ґ":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"ь":[{},[0,0,0,8]],"\'":[{},[0,0,0,8]],"е":[{},[0,0,0,8]],"я":[{},[0,0,0,8]],"а":[{"д":[{"б":[{},[0,0,0,2,3,6]],"в":[{},[0,0,0,2,3,6]],"г":[{},[0,0,0,2,3,6]],"ґ":[{},[0,0,0,2,3,6]],"д":[{},[0,0,0,2,3,6]],"к":[{},[0,0,0,2,3,6]],"л":[{},[0,0,0,2,3,6]],"м":[{},[0,0,0,2,3,6]],"н":[{},[0,0,0,2,3,6]],"п":[{},[0,0,0,2,3,6]],"р":[{},[0,0,0,2,3,6]],"с":[{},[0,0,0,2,3,6]],"т":[{},[0,0,0,2,3,6]],"ф":[{},[0,0,0,2,3,6]],"х":[{},[0,0,0,2,3,6]],"ц":[{},[0,0,0,2,3,6]],"ч":[{},[0,0,0,2,3,6]],"ш":[{},[0,0,0,2,3,6]],"з":[{"в":[{"ы":[{"ч":[{"а":[{"й":[{},[0,0,0,8,7]]}]}]}]}],"е":[{"м":[{"н":[{},[0,0,0,8,7]]}]}]}]}]}]},[0,0,8]],"п":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"ґ":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{"а":[{"з":[{"б":[{},[0,0,0,0,2,3,6]],"в":[{},[0,0,0,0,2,3,6]],"г":[{},[0,0,0,0,2,3,6]],"ґ":[{},[0,0,0,0,2,3,6]],"д":[{},[0,0,0,0,2,3,6]],"ж":[{},[0,0,0,0,2,3,6]],"з":[{},[0,0,0,0,2,3,6]],"к":[{},[0,0,0,0,2,3,6]],"л":[{},[0,0,0,0,2,3,6]],"м":[{},[0,0,0,0,2,3,6]],"н":[{},[0,0,0,0,2,3,6]],"п":[{},[0,0,0,0,2,3,6]],"р":[{},[0,0,0,0,2,3,6]],"с":[{},[0,0,0,0,2,3,6]],"т":[{},[0,0,0,0,2,3,6]],"ф":[{},[0,0,0,0,2,3,6]],"х":[{},[0,0,0,0,2,3,6]],"ц":[{},[0,0,0,0,2,3,6]],"ч":[{},[0,0,0,0,2,3,6]],"ш":[{},[0,0,0,0,2,3,6]]}]}]},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"ь":[{},[0,0,0,8]],"\'":[{},[0,0,0,8]],"а":[{"д":[{"б":[{},[0,0,0,2,3,6]],"в":[{},[0,0,0,2,3,6]],"г":[{},[0,0,0,2,3,6]],"ґ":[{},[0,0,0,2,3,6]],"д":[{},[0,0,0,2,3,6]],"к":[{},[0,0,0,2,3,6]],"л":[{},[0,0,0,2,3,6]],"м":[{},[0,0,0,2,3,6]],"н":[{},[0,0,0,2,3,6]],"п":[{},[0,0,0,2,3,6]],"р":[{},[0,0,0,2,3,6]],"с":[{},[0,0,0,2,3,6]],"т":[{},[0,0,0,2,3,6]],"ф":[{},[0,0,0,2,3,6]],"х":[{},[0,0,0,2,3,6]],"ц":[{},[0,0,0,2,3,6]],"ч":[{},[0,0,0,2,3,6]],"ш":[{},[0,0,0,2,3,6]],"ж":[{"а":[{"р":[{},[0,0,0,8,7]]}],"ы":[{"в":[{},[0,0,0,8,7]],"ц":[{"ь":[{},[0,0,0,8,7]]}],"ў":[{},[0,0,0,8,7]],"л":[{},[0,0,0,8,7]]}]}],"з":[{"а":[{"в":[{},[0,0,0,8,7]],"г":[{"а":[{"л":[{"о":[{"в":[{"а":[{},[0,0,0,8,7]]}],"ў":[{},[0,0,0,8,7]]}]}]}]}],"к":[{"у":[{"с":[{},[0,0,0,8,7]],"ш":[{},[0,0,0,8,7]]}]}],"р":[{"а":[{"б":[{},[0,0,0,8,7]]}],"о":[{"б":[{},[0,0,0,8,7]]}]}]}],"е":[{"м":[{"н":[{},[0,0,0,8,7]]}]}],"я":[{"м":[{"е":[{},[0,0,0,8,7]]}]}],"о":[{"р":[{},[0,0,0,8,7]]}],"ы":[{"в":[{"а":[{},[0,0,0,8,7]]}]}]}]}],"г":[{"л":[{"я":[{"д":[{"з":[{},[0,0,0,3,8]]}]}]}]}]}],"е":[{"р":[{"а":[{"д":[{"б":[{},[0,0,0,0,0,2,3,6]],"в":[{},[0,0,0,0,0,2,3,6]],"г":[{},[0,0,0,0,0,2,3,6]],"ґ":[{},[0,0,0,0,0,2,3,6]],"д":[{},[0,0,0,0,0,2,3,6]],"к":[{},[0,0,0,0,0,2,3,6]],"л":[{},[0,0,0,0,0,2,3,6]],"м":[{},[0,0,0,0,0,2,3,6]],"н":[{},[0,0,0,0,0,2,3,6]],"п":[{},[0,0,0,0,0,2,3,6]],"р":[{},[0,0,0,0,0,2,3,6]],"с":[{},[0,0,0,0,0,2,3,6]],"т":[{},[0,0,0,0,0,2,3,6]],"ф":[{},[0,0,0,0,0,2,3,6]],"х":[{},[0,0,0,0,0,2,3,6]],"ц":[{},[0,0,0,0,0,2,3,6]],"ч":[{},[0,0,0,0,0,2,3,6]],"ш":[{},[0,0,0,0,0,2,3,6]]}]}]}]}]},[0,0,8]],"р":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"ґ":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"\'":[{},[0,0,0,8]],"а":[{"з":[{"б":[{},[0,0,0,2,3,6]],"в":[{},[0,0,0,2,3,6]],"г":[{},[0,0,0,2,3,6]],"ґ":[{},[0,0,0,2,3,6]],"д":[{},[0,0,0,2,3,6]],"ж":[{},[0,0,0,2,3,6]],"з":[{},[0,0,0,2,3,6]],"к":[{},[0,0,0,2,3,6]],"л":[{},[0,0,0,2,3,6]],"м":[{},[0,0,0,2,3,6]],"н":[{},[0,0,0,2,3,6]],"п":[{},[0,0,0,2,3,6]],"р":[{},[0,0,0,2,3,6]],"с":[{},[0,0,0,2,3,6]],"т":[{},[0,0,0,2,3,6]],"ф":[{},[0,0,0,2,3,6]],"х":[{},[0,0,0,2,3,6]],"ц":[{},[0,0,0,2,3,6]],"ч":[{},[0,0,0,2,3,6]],"ш":[{},[0,0,0,2,3,6]]}],"с":[{"б":[{},[0,0,0,2,3,6]],"в":[{},[0,0,0,2,3,6]],"г":[{},[0,0,0,2,3,6]],"ґ":[{},[0,0,0,2,3,6]],"д":[{},[0,0,0,2,3,6]],"ж":[{},[0,0,0,2,3,6]],"з":[{},[0,0,0,2,3,6]],"к":[{},[0,0,0,2,3,6]],"л":[{},[0,0,0,2,3,6]],"м":[{},[0,0,0,2,3,6]],"н":[{},[0,0,0,2,3,6]],"п":[{},[0,0,0,2,3,6]],"р":[{},[0,0,0,2,3,6]],"с":[{},[0,0,0,2,3,6]],"т":[{},[0,0,0,2,3,6]],"ф":[{},[0,0,0,2,3,6]],"х":[{},[0,0,0,2,3,6]],"ц":[{},[0,0,0,2,3,6]],"ч":[{},[0,0,0,2,3,6]],"ш":[{},[0,0,0,2,3,6]]}]}],"о":[{"з":[{"б":[{},[0,0,0,2,3,6]],"в":[{},[0,0,0,2,3,6]],"г":[{},[0,0,0,2,3,6]],"ґ":[{},[0,0,0,2,3,6]],"д":[{},[0,0,0,2,3,6]],"ж":[{},[0,0,0,2,3,6]],"з":[{},[0,0,0,2,3,6]],"к":[{},[0,0,0,2,3,6]],"л":[{},[0,0,0,2,3,6]],"м":[{},[0,0,0,2,3,6]],"н":[{},[0,0,0,2,3,6]],"п":[{},[0,0,0,2,3,6]],"р":[{},[0,0,0,2,3,6]],"с":[{},[0,0,0,2,3,6]],"т":[{},[0,0,0,2,3,6]],"ф":[{},[0,0,0,2,3,6]],"х":[{},[0,0,0,2,3,6]],"ц":[{},[0,0,0,2,3,6]],"ч":[{},[0,0,0,2,3,6]],"ш":[{},[0,0,0,2,3,6]]}],"с":[{"б":[{},[0,0,0,2,3,6]],"в":[{},[0,0,0,2,3,6]],"г":[{},[0,0,0,2,3,6]],"ґ":[{},[0,0,0,2,3,6]],"д":[{},[0,0,0,2,3,6]],"ж":[{},[0,0,0,2,3,6]],"з":[{},[0,0,0,2,3,6]],"к":[{},[0,0,0,2,3,6]],"л":[{},[0,0,0,2,3,6]],"м":[{},[0,0,0,2,3,6]],"н":[{},[0,0,0,2,3,6]],"п":[{},[0,0,0,2,3,6]],"р":[{},[0,0,0,2,3,6]],"с":[{},[0,0,0,2,3,6]],"т":[{},[0,0,0,2,3,6]],"ф":[{},[0,0,0,2,3,6]],"х":[{},[0,0,0,2,3,6]],"ц":[{},[0,0,0,2,3,6]],"ч":[{},[0,0,0,2,3,6]],"ш":[{},[0,0,0,2,3,6]]}]}]},[0,0,8]],"с":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"ґ":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{"\'":[{},[0,0,0,0,8]]},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"ь":[{},[0,0,0,8]],"\'":[{},[0,0,0,8]]},[0,0,8]],"т":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"ґ":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{"о":[{"х":[{},[0,0,0,0,8,3]]}]},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"\'":[{},[0,0,0,8]]},[0,0,8]],"ф":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"ґ":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"ь":[{},[0,0,0,8]],"\'":[{},[0,0,0,8]]},[0,0,8]],"х":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"ґ":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"ь":[{},[0,0,0,8]],"\'":[{},[0,0,0,8]]},[0,0,8]],"ц":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"ґ":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"ь":[{},[0,0,0,8]],"\'":[{},[0,0,0,8]],"е":[{"р":[{"а":[{"з":[{"б":[{},[0,0,0,0,0,2,3,6]],"в":[{},[0,0,0,0,0,2,3,6]],"г":[{},[0,0,0,0,0,2,3,6]],"ґ":[{},[0,0,0,0,0,2,3,6]],"д":[{},[0,0,0,0,0,2,3,6]],"ж":[{},[0,0,0,0,0,2,3,6]],"з":[{},[0,0,0,0,0,2,3,6]],"к":[{},[0,0,0,0,0,2,3,6]],"л":[{},[0,0,0,0,0,2,3,6]],"м":[{},[0,0,0,0,0,2,3,6]],"н":[{},[0,0,0,0,0,2,3,6]],"п":[{},[0,0,0,0,0,2,3,6]],"р":[{},[0,0,0,0,0,2,3,6]],"с":[{},[0,0,0,0,0,2,3,6]],"т":[{},[0,0,0,0,0,2,3,6]],"ф":[{},[0,0,0,0,0,2,3,6]],"х":[{},[0,0,0,0,0,2,3,6]],"ц":[{},[0,0,0,0,0,2,3,6]],"ч":[{},[0,0,0,0,0,2,3,6]],"ш":[{},[0,0,0,0,0,2,3,6]]}],"с":[{"б":[{},[0,0,0,0,0,2,3,6]],"в":[{},[0,0,0,0,0,2,3,6]],"г":[{},[0,0,0,0,0,2,3,6]],"ґ":[{},[0,0,0,0,0,2,3,6]],"д":[{},[0,0,0,0,0,2,3,6]],"ж":[{},[0,0,0,0,0,2,3,6]],"з":[{},[0,0,0,0,0,2,3,6]],"к":[{},[0,0,0,0,0,2,3,6]],"л":[{},[0,0,0,0,0,2,3,6]],"м":[{},[0,0,0,0,0,2,3,6]],"н":[{},[0,0,0,0,0,2,3,6]],"п":[{},[0,0,0,0,0,2,3,6]],"р":[{},[0,0,0,0,0,2,3,6]],"с":[{},[0,0,0,0,0,2,3,6]],"т":[{},[0,0,0,0,0,2,3,6]],"ф":[{},[0,0,0,0,0,2,3,6]],"х":[{},[0,0,0,0,0,2,3,6]],"ц":[{},[0,0,0,0,0,2,3,6]],"ч":[{},[0,0,0,0,0,2,3,6]],"ш":[{},[0,0,0,0,0,2,3,6]]}]}]}]}]},[0,0,8]],"ч":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"ґ":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"\'":[{},[0,0,0,8]],"а":[{"т":[{"ы":[{"р":[{"о":[{"х":[{},[0,0,0,0,0,0,0,8,3]]}]}]}]}]}]},[0,0,8]],"ш":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"ґ":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{"а":[{"т":[{},[0,0,0,0,8,1]]}]},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"\'":[{},[0,0,0,8]]},[0,0,8]],"й":[{},[0,0,8]],"ў":[{"з":[{"б":[{},[0,0,0,3,6]],"в":[{},[0,0,0,3,6]],"г":[{},[0,0,0,3,6]],"ґ":[{},[0,0,0,3,6]],"д":[{},[0,0,0,3,6]],"ж":[{},[0,0,0,3,6]],"з":[{},[0,0,0,3,6]],"к":[{},[0,0,0,3,6]],"л":[{},[0,0,0,3,6]],"м":[{},[0,0,0,3,6]],"н":[{},[0,0,0,3,6]],"п":[{},[0,0,0,3,6]],"р":[{},[0,0,0,3,6]],"с":[{},[0,0,0,3,6]],"т":[{},[0,0,0,3,6]],"ф":[{},[0,0,0,3,6]],"х":[{},[0,0,0,3,6]],"ц":[{},[0,0,0,3,6]],"ч":[{},[0,0,0,3,6]],"ш":[{},[0,0,0,3,6]]}],"с":[{"б":[{},[0,0,0,3,6]],"в":[{},[0,0,0,3,6]],"г":[{},[0,0,0,3,6]],"ґ":[{},[0,0,0,3,6]],"д":[{},[0,0,0,3,6]],"ж":[{},[0,0,0,3,6]],"з":[{},[0,0,0,3,6]],"к":[{},[0,0,0,3,6]],"л":[{},[0,0,0,3,6]],"м":[{},[0,0,0,3,6]],"н":[{},[0,0,0,3,6]],"п":[{},[0,0,0,3,6]],"р":[{},[0,0,0,3,6]],"с":[{},[0,0,0,3,6]],"т":[{},[0,0,0,3,6]],"ф":[{},[0,0,0,3,6]],"х":[{},[0,0,0,3,6]],"ц":[{},[0,0,0,3,6]],"ч":[{},[0,0,0,3,6]],"ш":[{},[0,0,0,3,6]]}]},[0,0,8]]},[8,1]],"а":[{".":[{},[8]],"-":[{},[8]]},[0,1]],"е":[{".":[{},[8]],"-":[{},[8]]},[0,1]],"ё":[{".":[{},[8]],"-":[{},[8]]},[0,1]],"і":[{".":[{},[8]],"-":[{},[8]]},[0,1]],"о":[{".":[{},[8]],"-":[{},[8]]},[0,1]],"у":[{".":[{},[8]],"-":[{},[8]]},[0,1]],"ы":[{".":[{},[8]],"-":[{},[8]]},[0,1]],"э":[{".":[{},[8]],"-":[{},[8]]},[0,1]],"ю":[{".":[{},[8]],"-":[{},[8]]},[0,1]],"я":[{".":[{},[8]],"-":[{},[8]]},[0,1]],"б":[{"б":[{".":[{},[8]],"-":[{},[8]]},[0,5]],"в":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"г":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ґ":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"д":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ж":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"з":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"к":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"л":[{".":[{},[8]],"-":[{},[8]],"ь":[{".":[{},[8]],"-":[{},[8]]}]},[0,3]],"м":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"н":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"п":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"р":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"с":[{".":[{},[8]],"-":[{},[8]],"к":[{".":[{},[8]],"-":[{},[8]]}]},[0,3]],"т":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ф":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"х":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ц":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ч":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ш":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"\'":[{},[6,0,1]],"ь":[{".":[{},[8]],"-":[{},[8]]},[6,0,1]],".":[{},[8]],"-":[{},[8]]}],"в":[{"б":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"в":[{".":[{},[8]],"-":[{},[8]]},[0,5]],"г":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ґ":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"д":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ж":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"з":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"к":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"л":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"м":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"н":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"п":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"р":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"с":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"т":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ф":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"х":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ц":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ч":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ш":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"\'":[{},[6,0,1]],"ь":[{".":[{},[8]],"-":[{},[8]]},[6,0,1]],".":[{},[8]],"-":[{},[8]],"і":[{"д":[{"а":[{"з":[{"м":[{"я":[{"н":[{},[0,0,0,0,1,8]]}],"е":[{"н":[{},[0,0,0,0,1,8]]}]}]}]}]}]}],"ё":[{"р":[{"с":[{"т":[{},[0,0,8]]}]}]}]}],"г":[{"б":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"в":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"г":[{".":[{},[8]],"-":[{},[8]]},[0,5]],"ґ":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"д":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ж":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"з":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"к":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"л":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"м":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"н":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"п":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"р":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"с":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"т":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ф":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"х":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ц":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ч":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ш":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"\'":[{},[6,0,1]],"ь":[{".":[{},[8]],"-":[{},[8]]},[6,0,1]],".":[{},[8]],"-":[{},[8]]}],"ґ":[{"б":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"в":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"г":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ґ":[{".":[{},[8]],"-":[{},[8]]},[0,5]],"д":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ж":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"з":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"к":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"л":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"м":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"н":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"п":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"р":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"с":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"т":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ф":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"х":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ц":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ч":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ш":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"\'":[{},[6,0,1]],"ь":[{".":[{},[8]],"-":[{},[8]]},[6,0,1]],".":[{},[8]],"-":[{},[8]]}],"д":[{"б":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"в":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"г":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ґ":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"д":[{".":[{},[8]],"-":[{},[8]]},[0,5]],"к":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"л":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"м":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"н":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"п":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"р":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"с":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"т":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ф":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"х":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ц":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ч":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ш":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ж":[{".":[{},[8]],"-":[{},[8]]},[0,2]],"з":[{".":[{},[8]],"-":[{},[8]],"ь":[{".":[{},[8]],"-":[{},[8]]}]},[0,2]],"\'":[{},[6,0,1]],".":[{},[8]],"-":[{},[8]]}],"ж":[{"б":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"в":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"г":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ґ":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"д":[{".":[{},[8]],"-":[{},[8]],"ж":[{".":[{},[8]],"-":[{},[8]]}]},[0,3]],"ж":[{".":[{},[8]],"-":[{},[8]]},[0,5]],"з":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"к":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"л":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"м":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"н":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"п":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"р":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"с":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"т":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ф":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"х":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ц":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ч":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ш":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"\'":[{},[6,0,1]],".":[{},[8]],"-":[{},[8]]}],"з":[{"б":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"в":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"г":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ґ":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"д":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ж":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"з":[{".":[{},[8]],"-":[{},[8]]},[0,5]],"к":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"л":[{".":[{},[8]],"-":[{},[8]],"о":[{"ў":[{"ж":[{"ы":[{"в":[{},[0,0,0,7,8]]}]}]}]}]},[0,3]],"м":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"н":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"п":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"р":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"с":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"т":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ф":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"х":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ц":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ч":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ш":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"\'":[{},[6,0,1]],"ь":[{".":[{},[8]],"-":[{},[8]]},[6,0,1]],".":[{},[8]],"-":[{},[8]],"а":[{"п":[{"л":[{"ю":[{"ш":[{"ч":[{},[0,0,1,8]]}]}]}]}],"ц":[{"в":[{"я":[{"р":[{"д":[{"з":[{},[0,0,3,8]]}]}]}]}]}]}]}],"к":[{"б":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"в":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"г":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ґ":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"д":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ж":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"з":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"к":[{".":[{},[8]],"-":[{},[8]]},[0,5]],"л":[{".":[{},[8]],"-":[{},[8]],"ь":[{".":[{},[8]],"-":[{},[8]]}]},[0,3]],"м":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"н":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"п":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"р":[{".":[{},[8]],"-":[{},[8]],"о":[{"в":[{"а":[{"ў":[{"т":[{"в":[{"а":[{"р":[{},[0,0,0,0,0,3,8]]}]}]}]}]}]}]}]},[0,3]],"с":[{".":[{},[8]],"-":[{},[8]],"т":[{".":[{},[8]],"-":[{},[8]]}]},[0,3]],"т":[{".":[{},[8]],"-":[{},[8]],"р":[{".":[{},[8]],"-":[{},[8]]}]},[0,3]],"ф":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"х":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ц":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ч":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ш":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"\'":[{},[6,0,1]],"ь":[{".":[{},[8]],"-":[{},[8]]},[6,0,1]],".":[{},[8]],"-":[{},[8]]}],"л":[{"б":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"в":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"г":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ґ":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"д":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ж":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"з":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"к":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"л":[{".":[{},[8]],"-":[{},[8]]},[0,5]],"м":[{".":[{},[8]],"-":[{},[8]],"с":[{".":[{},[8]],"-":[{},[8]]}]},[0,3]],"н":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"п":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"р":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"с":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"т":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ф":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"х":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ц":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ч":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ш":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"\'":[{},[6,0,1]],"ь":[{".":[{},[8]],"-":[{},[8]]},[6,0,1]],".":[{},[8]],"-":[{},[8]]}],"м":[{"б":[{".":[{},[8]],"-":[{},[8]],"р":[{".":[{},[8]],"-":[{},[8]]}]},[0,3]],"в":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"г":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ґ":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"д":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ж":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"з":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"к":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"л":[{".":[{},[8]],"-":[{},[8]],"ь":[{".":[{},[8]],"-":[{},[8]]}]},[0,3]],"м":[{".":[{},[8]],"-":[{},[8]]},[0,5]],"н":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"п":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"р":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"с":[{".":[{},[8]],"-":[{},[8]],"ь":[{".":[{},[8]],"-":[{},[8]]}]},[0,3]],"т":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ф":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"х":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ц":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ч":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ш":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"\'":[{},[6,0,1]],"ь":[{".":[{},[8]],"-":[{},[8]]},[6,0,1]],".":[{},[8]],"-":[{},[8]]}],"н":[{"б":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"в":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"г":[{".":[{},[8]],"-":[{},[8]],"р":[{".":[{},[8]],"-":[{},[8]]}],"в":[{".":[{},[8]],"-":[{},[8]]}]},[0,3]],"ґ":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"д":[{".":[{},[8]],"-":[{},[8]],"р":[{".":[{},[8]],"-":[{},[8]]}],"з":[{".":[{},[8]],"-":[{},[8]]}]},[0,3]],"ж":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"з":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"к":[{".":[{},[8]],"-":[{},[8]],"т":[{".":[{},[8]],"-":[{},[8]]}],"с":[{".":[{},[8]],"-":[{},[8]]}]},[0,3]],"л":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"м":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"н":[{".":[{},[8]],"-":[{},[8]]},[0,5]],"п":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"р":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"с":[{".":[{},[8]],"-":[{},[8]],"к":[{".":[{},[8]],"-":[{},[8]]}]},[0,3]],"т":[{".":[{},[8]],"-":[{},[8]],"р":[{".":[{},[8]],"-":[{},[8]]}]},[0,3]],"ф":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"х":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ц":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ч":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ш":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"\'":[{},[6,0,1]],"ь":[{".":[{},[8]],"-":[{},[8]]},[6,0,1]],".":[{},[8]],"-":[{},[8]],"а":[{"д":[{"в":[{"о":[{"р":[{},[0,0,5,8]]}]}]}]}]}],"п":[{"б":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"в":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"г":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ґ":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"д":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ж":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"з":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"к":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"л":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"м":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"н":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"п":[{".":[{},[8]],"-":[{},[8]]},[0,5]],"р":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"с":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"т":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ф":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"х":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ц":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ч":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ш":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"\'":[{},[6,0,1]],"ь":[{".":[{},[8]],"-":[{},[8]]},[6,0,1]],".":[{},[8]],"-":[{},[8]]}],"р":[{"б":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"в":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"г":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ґ":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"д":[{".":[{},[8]],"-":[{},[8]],"ж":[{".":[{},[8]],"-":[{},[8]]}]},[0,3]],"ж":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"з":[{".":[{},[8]],"-":[{},[8]],"ь":[{".":[{},[8]],"-":[{},[8]]}]},[0,3]],"к":[{".":[{},[8]],"-":[{},[8]],"т":[{".":[{},[8]],"-":[{},[8]]}],"с":[{".":[{},[8]],"-":[{},[8]]}]},[0,3]],"л":[{".":[{},[8]],"-":[{},[8]],"ь":[{".":[{},[8]],"-":[{},[8]]}]},[0,3]],"м":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"н":[{".":[{},[8]],"-":[{},[8]],"ь":[{".":[{},[8]],"-":[{},[8]]}]},[0,3]],"п":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"р":[{".":[{},[8]],"-":[{},[8]]},[0,5]],"с":[{".":[{},[8]],"-":[{},[8]],"т":[{".":[{},[8]],"-":[{},[8]]}],"к":[{".":[{},[8]],"-":[{},[8]]}]},[0,3]],"т":[{".":[{},[8]],"-":[{},[8]],"р":[{".":[{},[8]],"-":[{},[8]]}]},[0,3]],"ф":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"х":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ц":[{".":[{},[8]],"-":[{},[8]],"ь":[{".":[{},[8]],"-":[{},[8]]}]},[0,3]],"ч":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ш":[{".":[{},[8]],"-":[{},[8]],"ч":[{".":[{},[8]],"-":[{},[8]]}]},[0,3]],"\'":[{},[6,0,1]],".":[{},[8]],"-":[{},[8]],"а":[{"з":[{"г":[{"л":[{"я":[{"д":[{},[0,0,0,5,8]]}],"е":[{"д":[{},[0,0,0,5,8]]}]}]}]}]}]}],"с":[{"б":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"в":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"г":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ґ":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"д":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ж":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"з":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"к":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"л":[{".":[{},[8]],"-":[{},[8]],"ь":[{".":[{},[8]],"-":[{},[8]]}],"о":[{"в":[{"а":[{"ў":[{"т":[{"в":[{"а":[{"р":[{},[0,0,0,0,0,7,8]]}]}]}]}]}]}]}]},[0,3]],"м":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"н":[{".":[{},[8]],"-":[{},[8]],"ь":[{".":[{},[8]],"-":[{},[8]]}]},[0,3]],"п":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"р":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"с":[{".":[{},[8]],"-":[{},[8]]},[0,5]],"т":[{".":[{},[8]],"-":[{},[8]],"р":[{".":[{},[8]],"-":[{},[8]]}],"л":[{".":[{},[8]],"-":[{},[8]]}]},[0,3]],"ф":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"х":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ц":[{".":[{},[8]],"-":[{},[8]],"ь":[{".":[{},[8]],"-":[{},[8]]}]},[0,3]],"ч":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ш":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"\'":[{},[6,0,1]],"ь":[{".":[{},[8]],"-":[{},[8]]},[6,0,1]],".":[{},[8]],"-":[{},[8]]}],"т":[{"б":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"в":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"г":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ґ":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"д":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ж":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"з":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"к":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"л":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"м":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"н":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"п":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"р":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"с":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"т":[{".":[{},[8]],"-":[{},[8]]},[0,5]],"ф":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"х":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ц":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ч":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ш":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"\'":[{},[6,0,1]],".":[{},[8]],"-":[{},[8]],"э":[{"м":[{"б":[{"р":[{".":[{},[0,0,8]],"-":[{},[0,0,8]]}]}]}]}]}],"ф":[{"б":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"в":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"г":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ґ":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"д":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ж":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"з":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"к":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"л":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"м":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"н":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"п":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"р":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"с":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"т":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ф":[{".":[{},[8]],"-":[{},[8]]},[0,5]],"х":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ц":[{".":[{},[8]],"-":[{},[8]],"ь":[{".":[{},[8]],"-":[{},[8]]}]},[0,3]],"ч":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ш":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"\'":[{},[6,0,1]],"ь":[{".":[{},[8]],"-":[{},[8]]},[6,0,1]],".":[{},[8]],"-":[{},[8]]}],"х":[{"б":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"в":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"г":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ґ":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"д":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ж":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"з":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"к":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"л":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"м":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"н":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"п":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"р":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"с":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"т":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ф":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"х":[{".":[{},[8]],"-":[{},[8]]},[0,5]],"ц":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ч":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ш":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"\'":[{},[6,0,1]],"ь":[{".":[{},[8]],"-":[{},[8]]},[6,0,1]],".":[{},[8]],"-":[{},[8]]}],"ц":[{"б":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"в":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"г":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ґ":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"д":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ж":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"з":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"к":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"л":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"м":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"н":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"п":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"р":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"с":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"т":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ф":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"х":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ц":[{".":[{},[8]],"-":[{},[8]]},[0,5]],"ч":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ш":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"\'":[{},[6,0,1]],"ь":[{".":[{},[8]],"-":[{},[8]]},[6,0,1]],".":[{},[8]],"-":[{},[8]]}],"ч":[{"б":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"в":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"г":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ґ":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"д":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ж":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"з":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"к":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"л":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"м":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"н":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"п":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"р":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"с":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"т":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ф":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"х":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ц":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ч":[{".":[{},[8]],"-":[{},[8]]},[0,5]],"ш":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"\'":[{},[6,0,1]],".":[{},[8]],"-":[{},[8]]}],"ш":[{"б":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"в":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"г":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ґ":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"д":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ж":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"з":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"к":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"л":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"м":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"н":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"п":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"р":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"с":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"т":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ф":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"х":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ц":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ч":[{".":[{},[8]],"-":[{},[8]]},[0,3]],"ш":[{".":[{},[8]],"-":[{},[8]]},[0,5]],"\'":[{},[6,0,1]],".":[{},[8]],"-":[{},[8]]}],".":[{"а":[{"д":[{"б":[{},[0,0,3,6]],"в":[{},[0,0,3,6]],"г":[{},[0,0,3,6]],"ґ":[{},[0,0,3,6]],"д":[{},[0,0,3,6]],"к":[{},[0,0,3,6]],"л":[{},[0,0,3,6]],"м":[{},[0,0,3,6]],"н":[{},[0,0,3,6]],"п":[{},[0,0,3,6]],"р":[{},[0,0,3,6]],"с":[{},[0,0,3,6]],"т":[{},[0,0,3,6]],"ф":[{},[0,0,3,6]],"х":[{},[0,0,3,6]],"ц":[{},[0,0,3,6]],"ч":[{},[0,0,3,6]],"ш":[{},[0,0,3,6]],"ж":[{"а":[{"л":[{},[0,0,7]],"т":[{},[0,0,7]],"ц":[{},[0,0,7]],"ў":[{},[0,0,7]],"р":[{},[0,0,7]]}],"л":[{"у":[{"к":[{"ц":[{},[0,0,7]],"ч":[{},[0,0,7]]}]}]}],"ы":[{"в":[{},[0,0,7]],"л":[{},[0,0,7]],"н":[{},[0,0,7]],"т":[{},[0,0,7]],"ц":[{"ь":[{},[0,0,7]]}],"ў":[{},[0,0,7]]}]}],"з":[{"а":[{"в":[{},[0,0,7]]}],"в":[{"а":[{"н":[{},[0,0,7]]}],"о":[{"н":[{},[0,0,7]]}]}],"н":[{"а":[{"к":[{},[0,0,7]],"ч":[{},[0,0,7]],"ц":[{},[0,0,7]]}]}],"ы":[{"в":[{"а":[{},[0,0,7]]}],"ў":[{"н":[{},[0,0,7]]}]}]}]}],"б":[{"б":[{},[0,0,3,6]],"в":[{},[0,0,3,6]],"г":[{},[0,0,3,6]],"ґ":[{},[0,0,3,6]],"д":[{},[0,0,3,6]],"ж":[{},[0,0,3,6]],"з":[{},[0,0,3,6]],"к":[{},[0,0,3,6]],"л":[{},[0,0,3,6]],"м":[{},[0,0,3,6]],"н":[{},[0,0,3,6]],"п":[{},[0,0,3,6]],"р":[{},[0,0,3,6]],"с":[{},[0,0,3,6]],"т":[{},[0,0,3,6]],"ф":[{},[0,0,3,6]],"х":[{},[0,0,3,6]],"ц":[{},[0,0,3,6]],"ч":[{},[0,0,3,6]],"ш":[{},[0,0,3,6]]}]},[0,8]],"е":[{},[0,8]],"ё":[{},[0,8]],"і":[{},[0,8]],"о":[{},[0,8]],"у":[{"з":[{"б":[{},[0,0,3,6]],"в":[{},[0,0,3,6]],"г":[{},[0,0,3,6]],"ґ":[{},[0,0,3,6]],"д":[{},[0,0,3,6]],"ж":[{},[0,0,3,6]],"з":[{},[0,0,3,6]],"к":[{},[0,0,3,6]],"л":[{},[0,0,3,6]],"м":[{},[0,0,3,6]],"н":[{},[0,0,3,6]],"п":[{},[0,0,3,6]],"р":[{},[0,0,3,6]],"с":[{},[0,0,3,6]],"т":[{},[0,0,3,6]],"ф":[{},[0,0,3,6]],"х":[{},[0,0,3,6]],"ц":[{},[0,0,3,6]],"ч":[{},[0,0,3,6]],"ш":[{},[0,0,3,6]]}],"с":[{"б":[{},[0,0,3,6]],"в":[{},[0,0,3,6]],"г":[{},[0,0,3,6]],"ґ":[{},[0,0,3,6]],"д":[{},[0,0,3,6]],"ж":[{},[0,0,3,6]],"з":[{},[0,0,3,6]],"к":[{},[0,0,3,6]],"л":[{},[0,0,3,6]],"м":[{},[0,0,3,6]],"н":[{},[0,0,3,6]],"п":[{},[0,0,3,6]],"р":[{},[0,0,3,6]],"с":[{},[0,0,3,6]],"т":[{},[0,0,3,6]],"ф":[{},[0,0,3,6]],"х":[{},[0,0,3,6]],"ц":[{},[0,0,3,6]],"ч":[{},[0,0,3,6]],"ш":[{},[0,0,3,6]]}]},[0,8]],"ы":[{},[0,8]],"э":[{},[0,8]],"ю":[{},[0,8]],"я":[{},[0,8]],"б":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"ґ":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"ь":[{},[0,0,8]],"\'":[{},[0,0,8]],"я":[{"з":[{"б":[{},[0,0,2,3,6]],"в":[{},[0,0,2,3,6]],"г":[{},[0,0,2,3,6]],"ґ":[{},[0,0,2,3,6]],"д":[{},[0,0,2,3,6]],"ж":[{},[0,0,2,3,6]],"з":[{},[0,0,2,3,6]],"к":[{},[0,0,2,3,6]],"л":[{},[0,0,2,3,6]],"м":[{},[0,0,2,3,6]],"н":[{},[0,0,2,3,6]],"п":[{},[0,0,2,3,6]],"р":[{},[0,0,2,3,6]],"с":[{},[0,0,2,3,6]],"т":[{},[0,0,2,3,6]],"ф":[{},[0,0,2,3,6]],"х":[{},[0,0,2,3,6]],"ц":[{},[0,0,2,3,6]],"ч":[{},[0,0,2,3,6]],"ш":[{},[0,0,2,3,6]]}],"с":[{"б":[{},[0,0,2,3,6]],"в":[{},[0,0,2,3,6]],"г":[{},[0,0,2,3,6]],"ґ":[{},[0,0,2,3,6]],"д":[{},[0,0,2,3,6]],"ж":[{},[0,0,2,3,6]],"з":[{},[0,0,2,3,6]],"к":[{},[0,0,2,3,6]],"л":[{},[0,0,2,3,6]],"м":[{},[0,0,2,3,6]],"н":[{},[0,0,2,3,6]],"п":[{},[0,0,2,3,6]],"р":[{},[0,0,2,3,6]],"с":[{},[0,0,2,3,6]],"т":[{},[0,0,2,3,6]],"ф":[{},[0,0,2,3,6]],"х":[{},[0,0,2,3,6]],"ц":[{},[0,0,2,3,6]],"ч":[{},[0,0,2,3,6]],"ш":[{},[0,0,2,3,6]]}]}],"е":[{"з":[{"б":[{},[0,0,2,3,6]],"в":[{},[0,0,2,3,6]],"г":[{},[0,0,2,3,6]],"ґ":[{},[0,0,2,3,6]],"д":[{},[0,0,2,3,6]],"ж":[{},[0,0,2,3,6]],"з":[{},[0,0,2,3,6]],"к":[{},[0,0,2,3,6]],"л":[{},[0,0,2,3,6]],"м":[{},[0,0,2,3,6]],"н":[{},[0,0,2,3,6]],"п":[{},[0,0,2,3,6]],"р":[{},[0,0,2,3,6]],"с":[{},[0,0,2,3,6]],"т":[{},[0,0,2,3,6]],"ф":[{},[0,0,2,3,6]],"х":[{},[0,0,2,3,6]],"ц":[{},[0,0,2,3,6]],"ч":[{},[0,0,2,3,6]],"ш":[{},[0,0,2,3,6]]}],"с":[{"б":[{},[0,0,2,3,6]],"в":[{},[0,0,2,3,6]],"г":[{},[0,0,2,3,6]],"ґ":[{},[0,0,2,3,6]],"д":[{},[0,0,2,3,6]],"ж":[{},[0,0,2,3,6]],"з":[{},[0,0,2,3,6]],"к":[{},[0,0,2,3,6]],"л":[{},[0,0,2,3,6]],"м":[{},[0,0,2,3,6]],"н":[{},[0,0,2,3,6]],"п":[{},[0,0,2,3,6]],"р":[{},[0,0,2,3,6]],"с":[{},[0,0,2,3,6]],"т":[{},[0,0,2,3,6]],"ф":[{},[0,0,2,3,6]],"х":[{},[0,0,2,3,6]],"ц":[{},[0,0,2,3,6]],"ч":[{},[0,0,2,3,6]],"ш":[{},[0,0,2,3,6]]}]}]},[0,8]],"в":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"ґ":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"ь":[{},[0,0,8]],"\'":[{},[0,0,8]],"ы":[{"к":[{"л":[{"ю":[{"ч":[{},[0,0,1,8]]}]}]}]}]},[0,8]],"г":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"ґ":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"ь":[{},[0,0,8]],"\'":[{},[0,0,8]]},[0,8]],"ґ":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"ґ":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"ь":[{},[0,0,8]],"\'":[{},[0,0,8]]},[0,8]],"д":[{"б":[{},[0,0,8]],"в":[{"у":[{"х":[{},[0,0,0,8,3]]}]},[0,0,8]],"г":[{},[0,0,8]],"ґ":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"\'":[{},[0,0,8]]},[0,8]],"ж":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"ґ":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"\'":[{},[0,0,8]]},[0,8]],"з":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"ґ":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"ь":[{},[0,0,8]],"\'":[{},[0,0,8]]},[0,8]],"к":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"ґ":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"ь":[{},[0,0,8]],"\'":[{},[0,0,8]]},[0,8]],"л":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"ґ":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"ь":[{},[0,0,8]],"\'":[{},[0,0,8]]},[0,8]],"м":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"ґ":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"ь":[{},[0,0,8]],"\'":[{},[0,0,8]]},[0,8]],"н":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"ґ":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"ь":[{},[0,0,8]],"\'":[{},[0,0,8]],"е":[{},[0,0,8]],"я":[{},[0,0,8]],"а":[{"д":[{"б":[{},[0,0,2,3,6]],"в":[{},[0,0,2,3,6]],"г":[{},[0,0,2,3,6]],"ґ":[{},[0,0,2,3,6]],"д":[{},[0,0,2,3,6]],"к":[{},[0,0,2,3,6]],"л":[{},[0,0,2,3,6]],"м":[{},[0,0,2,3,6]],"н":[{},[0,0,2,3,6]],"п":[{},[0,0,2,3,6]],"р":[{},[0,0,2,3,6]],"с":[{},[0,0,2,3,6]],"т":[{},[0,0,2,3,6]],"ф":[{},[0,0,2,3,6]],"х":[{},[0,0,2,3,6]],"ц":[{},[0,0,2,3,6]],"ч":[{},[0,0,2,3,6]],"ш":[{},[0,0,2,3,6]],"з":[{"в":[{"ы":[{"ч":[{"а":[{"й":[{},[0,0,8,7]]}]}]}]}],"е":[{"м":[{"н":[{},[0,0,8,7]]}]}]}]}]}]},[0,8]],"п":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"ґ":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{"а":[{"з":[{"б":[{},[0,0,0,2,3,6]],"в":[{},[0,0,0,2,3,6]],"г":[{},[0,0,0,2,3,6]],"ґ":[{},[0,0,0,2,3,6]],"д":[{},[0,0,0,2,3,6]],"ж":[{},[0,0,0,2,3,6]],"з":[{},[0,0,0,2,3,6]],"к":[{},[0,0,0,2,3,6]],"л":[{},[0,0,0,2,3,6]],"м":[{},[0,0,0,2,3,6]],"н":[{},[0,0,0,2,3,6]],"п":[{},[0,0,0,2,3,6]],"р":[{},[0,0,0,2,3,6]],"с":[{},[0,0,0,2,3,6]],"т":[{},[0,0,0,2,3,6]],"ф":[{},[0,0,0,2,3,6]],"х":[{},[0,0,0,2,3,6]],"ц":[{},[0,0,0,2,3,6]],"ч":[{},[0,0,0,2,3,6]],"ш":[{},[0,0,0,2,3,6]]}]}]},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"ь":[{},[0,0,8]],"\'":[{},[0,0,8]],"а":[{"д":[{"б":[{},[0,0,2,3,6]],"в":[{},[0,0,2,3,6]],"г":[{},[0,0,2,3,6]],"ґ":[{},[0,0,2,3,6]],"д":[{},[0,0,2,3,6]],"к":[{},[0,0,2,3,6]],"л":[{},[0,0,2,3,6]],"м":[{},[0,0,2,3,6]],"н":[{},[0,0,2,3,6]],"п":[{},[0,0,2,3,6]],"р":[{},[0,0,2,3,6]],"с":[{},[0,0,2,3,6]],"т":[{},[0,0,2,3,6]],"ф":[{},[0,0,2,3,6]],"х":[{},[0,0,2,3,6]],"ц":[{},[0,0,2,3,6]],"ч":[{},[0,0,2,3,6]],"ш":[{},[0,0,2,3,6]],"ж":[{"а":[{"р":[{},[0,0,8,7]]}],"ы":[{"в":[{},[0,0,8,7]],"ц":[{"ь":[{},[0,0,8,7]]}],"ў":[{},[0,0,8,7]],"л":[{},[0,0,8,7]]}]}],"з":[{"а":[{"в":[{},[0,0,8,7]],"г":[{"а":[{"л":[{"о":[{"в":[{"а":[{},[0,0,8,7]]}],"ў":[{},[0,0,8,7]]}]}]}]}],"к":[{"у":[{"с":[{},[0,0,8,7]],"ш":[{},[0,0,8,7]]}]}],"р":[{"а":[{"б":[{},[0,0,8,7]]}],"о":[{"б":[{},[0,0,8,7]]}]}]}],"е":[{"м":[{"н":[{},[0,0,8,7]]}]}],"я":[{"м":[{"е":[{},[0,0,8,7]]}]}],"о":[{"р":[{},[0,0,8,7]]}],"ы":[{"в":[{"а":[{},[0,0,8,7]]}]}]}]}],"г":[{"л":[{"я":[{"д":[{"з":[{},[0,0,3,8]]}]}]}]}]}],"е":[{"р":[{"а":[{"д":[{"б":[{},[0,0,0,0,2,3,6]],"в":[{},[0,0,0,0,2,3,6]],"г":[{},[0,0,0,0,2,3,6]],"ґ":[{},[0,0,0,0,2,3,6]],"д":[{},[0,0,0,0,2,3,6]],"к":[{},[0,0,0,0,2,3,6]],"л":[{},[0,0,0,0,2,3,6]],"м":[{},[0,0,0,0,2,3,6]],"н":[{},[0,0,0,0,2,3,6]],"п":[{},[0,0,0,0,2,3,6]],"р":[{},[0,0,0,0,2,3,6]],"с":[{},[0,0,0,0,2,3,6]],"т":[{},[0,0,0,0,2,3,6]],"ф":[{},[0,0,0,0,2,3,6]],"х":[{},[0,0,0,0,2,3,6]],"ц":[{},[0,0,0,0,2,3,6]],"ч":[{},[0,0,0,0,2,3,6]],"ш":[{},[0,0,0,0,2,3,6]]}]}]}]}]},[0,8]],"р":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"ґ":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"\'":[{},[0,0,8]],"а":[{"з":[{"б":[{},[0,0,2,3,6]],"в":[{},[0,0,2,3,6]],"г":[{},[0,0,2,3,6]],"ґ":[{},[0,0,2,3,6]],"д":[{},[0,0,2,3,6]],"ж":[{},[0,0,2,3,6]],"з":[{},[0,0,2,3,6]],"к":[{},[0,0,2,3,6]],"л":[{},[0,0,2,3,6]],"м":[{},[0,0,2,3,6]],"н":[{},[0,0,2,3,6]],"п":[{},[0,0,2,3,6]],"р":[{},[0,0,2,3,6]],"с":[{},[0,0,2,3,6]],"т":[{},[0,0,2,3,6]],"ф":[{},[0,0,2,3,6]],"х":[{},[0,0,2,3,6]],"ц":[{},[0,0,2,3,6]],"ч":[{},[0,0,2,3,6]],"ш":[{},[0,0,2,3,6]]}],"с":[{"б":[{},[0,0,2,3,6]],"в":[{},[0,0,2,3,6]],"г":[{},[0,0,2,3,6]],"ґ":[{},[0,0,2,3,6]],"д":[{},[0,0,2,3,6]],"ж":[{},[0,0,2,3,6]],"з":[{},[0,0,2,3,6]],"к":[{},[0,0,2,3,6]],"л":[{},[0,0,2,3,6]],"м":[{},[0,0,2,3,6]],"н":[{},[0,0,2,3,6]],"п":[{},[0,0,2,3,6]],"р":[{},[0,0,2,3,6]],"с":[{},[0,0,2,3,6]],"т":[{},[0,0,2,3,6]],"ф":[{},[0,0,2,3,6]],"х":[{},[0,0,2,3,6]],"ц":[{},[0,0,2,3,6]],"ч":[{},[0,0,2,3,6]],"ш":[{},[0,0,2,3,6]]}]}],"о":[{"з":[{"б":[{},[0,0,2,3,6]],"в":[{},[0,0,2,3,6]],"г":[{},[0,0,2,3,6]],"ґ":[{},[0,0,2,3,6]],"д":[{},[0,0,2,3,6]],"ж":[{},[0,0,2,3,6]],"з":[{},[0,0,2,3,6]],"к":[{},[0,0,2,3,6]],"л":[{},[0,0,2,3,6]],"м":[{},[0,0,2,3,6]],"н":[{},[0,0,2,3,6]],"п":[{},[0,0,2,3,6]],"р":[{},[0,0,2,3,6]],"с":[{},[0,0,2,3,6]],"т":[{},[0,0,2,3,6]],"ф":[{},[0,0,2,3,6]],"х":[{},[0,0,2,3,6]],"ц":[{},[0,0,2,3,6]],"ч":[{},[0,0,2,3,6]],"ш":[{},[0,0,2,3,6]]}],"с":[{"б":[{},[0,0,2,3,6]],"в":[{},[0,0,2,3,6]],"г":[{},[0,0,2,3,6]],"ґ":[{},[0,0,2,3,6]],"д":[{},[0,0,2,3,6]],"ж":[{},[0,0,2,3,6]],"з":[{},[0,0,2,3,6]],"к":[{},[0,0,2,3,6]],"л":[{},[0,0,2,3,6]],"м":[{},[0,0,2,3,6]],"н":[{},[0,0,2,3,6]],"п":[{},[0,0,2,3,6]],"р":[{},[0,0,2,3,6]],"с":[{},[0,0,2,3,6]],"т":[{},[0,0,2,3,6]],"ф":[{},[0,0,2,3,6]],"х":[{},[0,0,2,3,6]],"ц":[{},[0,0,2,3,6]],"ч":[{},[0,0,2,3,6]],"ш":[{},[0,0,2,3,6]]}]}]},[0,8]],"с":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"ґ":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{"\'":[{},[0,0,0,8]]},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"ь":[{},[0,0,8]],"\'":[{},[0,0,8]]},[0,8]],"т":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"ґ":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{"о":[{"х":[{},[0,0,0,8,3]]}]},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"\'":[{},[0,0,8]]},[0,8]],"ф":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"ґ":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"ь":[{},[0,0,8]],"\'":[{},[0,0,8]]},[0,8]],"х":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"ґ":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"ь":[{},[0,0,8]],"\'":[{},[0,0,8]]},[0,8]],"ц":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"ґ":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"ь":[{},[0,0,8]],"\'":[{},[0,0,8]],"е":[{"р":[{"а":[{"з":[{"б":[{},[0,0,0,0,2,3,6]],"в":[{},[0,0,0,0,2,3,6]],"г":[{},[0,0,0,0,2,3,6]],"ґ":[{},[0,0,0,0,2,3,6]],"д":[{},[0,0,0,0,2,3,6]],"ж":[{},[0,0,0,0,2,3,6]],"з":[{},[0,0,0,0,2,3,6]],"к":[{},[0,0,0,0,2,3,6]],"л":[{},[0,0,0,0,2,3,6]],"м":[{},[0,0,0,0,2,3,6]],"н":[{},[0,0,0,0,2,3,6]],"п":[{},[0,0,0,0,2,3,6]],"р":[{},[0,0,0,0,2,3,6]],"с":[{},[0,0,0,0,2,3,6]],"т":[{},[0,0,0,0,2,3,6]],"ф":[{},[0,0,0,0,2,3,6]],"х":[{},[0,0,0,0,2,3,6]],"ц":[{},[0,0,0,0,2,3,6]],"ч":[{},[0,0,0,0,2,3,6]],"ш":[{},[0,0,0,0,2,3,6]]}],"с":[{"б":[{},[0,0,0,0,2,3,6]],"в":[{},[0,0,0,0,2,3,6]],"г":[{},[0,0,0,0,2,3,6]],"ґ":[{},[0,0,0,0,2,3,6]],"д":[{},[0,0,0,0,2,3,6]],"ж":[{},[0,0,0,0,2,3,6]],"з":[{},[0,0,0,0,2,3,6]],"к":[{},[0,0,0,0,2,3,6]],"л":[{},[0,0,0,0,2,3,6]],"м":[{},[0,0,0,0,2,3,6]],"н":[{},[0,0,0,0,2,3,6]],"п":[{},[0,0,0,0,2,3,6]],"р":[{},[0,0,0,0,2,3,6]],"с":[{},[0,0,0,0,2,3,6]],"т":[{},[0,0,0,0,2,3,6]],"ф":[{},[0,0,0,0,2,3,6]],"х":[{},[0,0,0,0,2,3,6]],"ц":[{},[0,0,0,0,2,3,6]],"ч":[{},[0,0,0,0,2,3,6]],"ш":[{},[0,0,0,0,2,3,6]]}]}]}]}]},[0,8]],"ч":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"ґ":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"\'":[{},[0,0,8]],"а":[{"т":[{"ы":[{"р":[{"о":[{"х":[{},[0,0,0,0,0,0,8,3]]}]}]}]}]}]},[0,8]],"ш":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"ґ":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{"а":[{"т":[{},[0,0,0,8,1]]}]},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"\'":[{},[0,0,8]]},[0,8]],"й":[{},[0,8]],"ў":[{"з":[{"б":[{},[0,0,3,6]],"в":[{},[0,0,3,6]],"г":[{},[0,0,3,6]],"ґ":[{},[0,0,3,6]],"д":[{},[0,0,3,6]],"ж":[{},[0,0,3,6]],"з":[{},[0,0,3,6]],"к":[{},[0,0,3,6]],"л":[{},[0,0,3,6]],"м":[{},[0,0,3,6]],"н":[{},[0,0,3,6]],"п":[{},[0,0,3,6]],"р":[{},[0,0,3,6]],"с":[{},[0,0,3,6]],"т":[{},[0,0,3,6]],"ф":[{},[0,0,3,6]],"х":[{},[0,0,3,6]],"ц":[{},[0,0,3,6]],"ч":[{},[0,0,3,6]],"ш":[{},[0,0,3,6]]}],"с":[{"б":[{},[0,0,3,6]],"в":[{},[0,0,3,6]],"г":[{},[0,0,3,6]],"ґ":[{},[0,0,3,6]],"д":[{},[0,0,3,6]],"ж":[{},[0,0,3,6]],"з":[{},[0,0,3,6]],"к":[{},[0,0,3,6]],"л":[{},[0,0,3,6]],"м":[{},[0,0,3,6]],"н":[{},[0,0,3,6]],"п":[{},[0,0,3,6]],"р":[{},[0,0,3,6]],"с":[{},[0,0,3,6]],"т":[{},[0,0,3,6]],"ф":[{},[0,0,3,6]],"х":[{},[0,0,3,6]],"ц":[{},[0,0,3,6]],"ч":[{},[0,0,3,6]],"ш":[{},[0,0,3,6]]}]},[0,8]]}],"й":[{".":[{},[8]],"-":[{},[8]]},[6,1]],"ў":[{".":[{},[8]],"-":[{},[8]]},[6,1]]}';
  var hyphenation = [];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
