(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsBg = factory();
  }
})(this, function () {
  var patterns =
    '{".":[{"а":[{"н":[{"т":[{"и":[{"а":[{},[0,0,0,0,0,4]],"б":[{},[0,0,0,0,0,4]],"в":[{},[0,0,0,0,0,4]],"г":[{},[0,0,0,0,0,4]],"д":[{},[0,0,0,0,0,4]],"е":[{},[0,0,0,0,0,4]],"ж":[{},[0,0,0,0,0,4]],"з":[{},[0,0,0,0,0,4]],"и":[{},[0,0,0,0,0,4]],"й":[{},[0,0,0,0,0,4]],"к":[{},[0,0,0,0,0,4]],"л":[{},[0,0,0,0,0,4]],"м":[{},[0,0,0,0,0,4]],"н":[{},[0,0,0,0,0,4]],"о":[{},[0,0,0,0,0,4]],"п":[{},[0,0,0,0,0,4]],"р":[{},[0,0,0,0,0,4]],"с":[{},[0,0,0,0,0,4]],"т":[{},[0,0,0,0,0,4]],"у":[{},[0,0,0,0,0,4]],"ф":[{},[0,0,0,0,0,4]],"х":[{},[0,0,0,0,0,4]],"ц":[{},[0,0,0,0,0,4]],"ш":[{},[0,0,0,0,0,4]],"щ":[{},[0,0,0,0,0,4]],"ъ":[{},[0,0,0,0,0,4]],"ю":[{},[0,0,0,0,0,4]],"я":[{},[0,0,0,0,0,4]]}]}]}]}],"б":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"щ":[{},[0,0,8]]}],"в":[{"б":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"щ":[{},[0,0,0,8]]},[0,0,8]],"в":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"щ":[{},[0,0,0,8]]},[0,0,8]],"г":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"щ":[{},[0,0,0,8]]},[0,0,8]],"д":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"щ":[{},[0,0,0,8]]},[0,0,8]],"ж":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"щ":[{},[0,0,0,8]]},[0,0,8]],"з":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"щ":[{},[0,0,0,8]]},[0,0,8]],"к":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"щ":[{},[0,0,0,8]]},[0,0,8]],"л":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"щ":[{},[0,0,0,8]]},[0,0,8]],"м":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"щ":[{},[0,0,0,8]]},[0,0,8]],"н":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"щ":[{},[0,0,0,8]]},[0,0,8]],"п":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"щ":[{},[0,0,0,8]]},[0,0,8]],"р":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"щ":[{},[0,0,0,8]]},[0,0,8]],"с":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"щ":[{},[0,0,0,8]]},[0,0,8]],"т":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"щ":[{},[0,0,0,8]]},[0,0,8]],"ф":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"щ":[{},[0,0,0,8]]},[0,0,8]],"х":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"щ":[{},[0,0,0,8]]},[0,0,8]],"ц":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"щ":[{},[0,0,0,8]]},[0,0,8]],"ч":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"щ":[{},[0,0,0,8]]},[0,0,8]],"ш":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"щ":[{},[0,0,0,8]]},[0,0,8]],"щ":[{"б":[{},[0,0,0,8]],"в":[{},[0,0,0,8]],"г":[{},[0,0,0,8]],"д":[{},[0,0,0,8]],"ж":[{},[0,0,0,8]],"з":[{},[0,0,0,8]],"к":[{},[0,0,0,8]],"л":[{},[0,0,0,8]],"м":[{},[0,0,0,8]],"н":[{},[0,0,0,8]],"п":[{},[0,0,0,8]],"р":[{},[0,0,0,8]],"с":[{},[0,0,0,8]],"т":[{},[0,0,0,8]],"ф":[{},[0,0,0,8]],"х":[{},[0,0,0,8]],"ц":[{},[0,0,0,8]],"ч":[{},[0,0,0,8]],"ш":[{},[0,0,0,8]],"щ":[{},[0,0,0,8]]},[0,0,8]],"ъ":[{"з":[{"а":[{},[0,0,2,0,4]],"б":[{},[0,0,2,0,4]],"в":[{},[0,0,2,0,4]],"г":[{},[0,0,2,0,4]],"д":[{},[0,0,2,0,4]],"е":[{"л":[{"а":[{},[0,0,5,4,5]],"ъ":[{"т":[{},[0,0,5,4,5]]}]},[0,0,5,4]]},[0,0,2,0,4]],"ж":[{},[0,0,2,0,4]],"з":[{},[0,0,2,0,4]],"и":[{},[0,0,2,0,4]],"й":[{},[0,0,2,0,4]],"к":[{},[0,0,2,0,4]],"л":[{},[0,0,2,0,4]],"м":[{},[0,0,2,0,4]],"н":[{},[0,0,2,0,4]],"о":[{},[0,0,2,0,4]],"п":[{},[0,0,2,0,4]],"р":[{},[0,0,2,0,4]],"с":[{},[0,0,2,0,4]],"т":[{},[0,0,2,0,4]],"у":[{},[0,0,2,0,4]],"ф":[{},[0,0,2,0,4]],"х":[{},[0,0,2,0,4]],"ц":[{},[0,0,2,0,4]],"ч":[{},[0,0,2,0,4]],"ш":[{},[0,0,2,0,4]],"щ":[{},[0,0,2,0,4]],"ъ":[{},[0,0,2,0,4]],"ю":[{},[0,0,2,0,4]],"я":[{},[0,0,2,0,4]]}]}]}],"г":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"щ":[{},[0,0,8]]}],"д":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"о":[{"а":[{},[0,0,0,4]],"б":[{"л":[{"е":[{"с":[{"т":[{},[0,0,4,5]]}]}]}],"р":[{"о":[{},[0,0,4,6]]},[0,0,4,5]]},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{"м":[{},[0,0,4,5]]},[0,0,0,4]],"д":[{},[0,0,0,4]],"е":[{},[0,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"и":[{},[0,0,0,4]],"к":[{"л":[{},[0,0,4,5]],"т":[{},[0,0,4,5]]},[0,0,0,4]],"л":[{"н":[{},[0,0,4,5]],"ч":[{},[0,0,4,5]]},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{"г":[{},[0,0,4,5]],"д":[{},[0,0,4,5]],"ж":[{},[0,0,4,5]],"к":[{},[0,0,4,5]],"с":[{},[0,0,4,5]],"ч":[{},[0,0,4,5]]},[0,0,0,4]],"о":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{"т":[{"о":[{},[0,0,4,5]]}]},[0,0,0,4]],"т":[{},[0,0,0,4]],"у":[{},[0,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]],"ъ":[{},[0,0,0,4]],"ю":[{},[0,0,0,4]],"я":[{},[0,0,0,4]]}],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"щ":[{},[0,0,8]]}],"ж":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"щ":[{},[0,0,8]]}],"з":[{"а":[{"а":[{},[0,0,0,4]],"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[0,0,0,4]],"д":[{"г":[{"р":[{"а":[{"н":[{},[0,0,4,5]]}],"о":[{"б":[{},[0,0,4,5]]}]}]}],"к":[{"у":[{"л":[{"и":[{"с":[{},[0,0,4,5]]}]}]}]}],"м":[{"и":[{"н":[{},[0,0,4,5]]}],"о":[{"р":[{},[0,0,4,5]]}]}],"н":[{},[0,0,4,5]]},[0,0,0,4]],"е":[{},[0,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"и":[{},[0,0,0,4]],"к":[{},[0,0,0,4]],"л":[{"п":[{},[0,0,4,5]]},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{"д":[{},[0,0,4,5]]},[0,0,0,4]],"о":[{},[0,0,0,4]],"п":[{"т":[{},[0,0,4,5]]},[0,0,0,4]],"р":[{"з":[{},[0,0,4,5]]},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[0,0,0,4]],"у":[{},[0,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]],"ъ":[{},[0,0,0,4]],"ю":[{},[0,0,0,4]],"я":[{},[0,0,0,4]]}],"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"щ":[{},[0,0,8]]}],"и":[{"з":[{"а":[{},[0,0,0,4]],"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"е":[{},[0,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"и":[{},[0,0,0,4]],"й":[{},[0,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"о":[{"б":[{"б":[{},[0,0,0,2,0,4]],"в":[{},[0,0,0,2,0,4]],"г":[{},[0,0,0,2,0,4]],"д":[{},[0,0,0,2,0,4]],"ж":[{},[0,0,0,2,0,4]],"з":[{},[0,0,0,2,0,4]],"и":[{},[0,0,0,4]],"к":[{},[0,0,0,2,0,4]],"л":[{},[0,0,0,2,0,4]],"м":[{},[0,0,0,2,0,4]],"н":[{},[0,0,0,2,0,4]],"п":[{},[0,0,0,2,0,4]],"р":[{},[0,0,0,2,0,4]],"с":[{},[0,0,0,2,0,4]],"т":[{},[0,0,0,2,0,4]],"ф":[{},[0,0,0,2,0,4]],"х":[{},[0,0,0,2,0,4]],"ц":[{},[0,0,0,2,0,4]],"ч":[{},[0,0,0,2,0,4]],"ш":[{},[0,0,0,2,0,4]],"щ":[{},[0,0,0,2,0,4]]}],"х":[{"к":[{},[]]}]}],"п":[{"о":[{"а":[{},[0,0,0,0,0,4]],"б":[{},[0,0,0,0,0,4]],"в":[{},[0,0,0,0,0,4]],"г":[{},[0,0,0,0,0,4]],"д":[{},[0,0,0,0,0,4]],"е":[{},[0,0,0,0,0,4]],"ж":[{},[0,0,0,0,0,4]],"з":[{},[0,0,0,0,0,4]],"и":[{},[0,0,0,0,0,4]],"й":[{},[0,0,0,0,0,4]],"к":[{},[0,0,0,0,0,4]],"л":[{"з":[{},[0,0,0,0,4,5]]},[0,0,0,0,0,4]],"м":[{"п":[{},[0,0,0,0,4,5]]},[0,0,0,0,0,4]],"н":[{},[0,0,0,0,0,4]],"о":[{},[0,0,0,0,0,4]],"п":[{},[0,0,0,0,0,4]],"р":[{"т":[{},[0,0,0,0,4,5]]},[0,0,0,0,0,4]],"с":[{},[0,0,0,0,0,4]],"т":[{},[0,0,0,0,0,4]],"у":[{},[0,0,0,0,0,4]],"ф":[{},[0,0,0,0,0,4]],"х":[{},[0,0,0,0,0,4]],"ц":[{},[0,0,0,0,0,4]],"ч":[{},[0,0,0,0,0,4]],"ш":[{},[0,0,0,0,0,4]],"щ":[{},[0,0,0,0,0,4]],"ъ":[{},[0,0,0,0,0,4]],"ю":[{},[0,0,0,0,0,4]],"я":[{},[0,0,0,0,0,4]]}]},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[0,0,0,4]],"у":[{},[0,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]],"ъ":[{},[0,0,0,4]],"ю":[{},[0,0,0,4]],"я":[{},[0,0,0,4]]}]}],"к":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"щ":[{},[0,0,8]]}],"л":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"щ":[{},[0,0,8]]}],"м":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"щ":[{},[0,0,8]]}],"н":[{"а":[{"а":[{},[0,0,0,4]],"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{"л":[{"о":[{},[0,0,4,5]]}]},[0,0,0,4]],"д":[{"б":[{},[0,0,2,0,4]],"в":[{},[0,0,2,0,4]],"г":[{},[0,0,2,0,4]],"д":[{},[0,0,2,0,4]],"ж":[{"а":[{"в":[{},[0,0,3,4]],"с":[{},[0,0,3,4]]}]},[0,0,2,3,4]],"з":[{},[0,0,2,0,4]],"и":[{"г":[{"р":[{},[0,0,4,0,4]]}]}],"к":[{},[0,0,2,0,4]],"л":[{},[0,0,2,0,4]],"м":[{},[0,0,2,0,4]],"н":[{},[0,0,2,0,4]],"п":[{},[0,0,2,0,4]],"р":[{"а":[{"щ":[{},[0,0,0,4]]}],"е":[{"б":[{},[0,0,0,4]],"м":[{},[0,0,0,4]]}],"о":[{"б":[{},[0,0,0,4]]}],"у":[{"с":[{},[0,0,0,4]]}],"ъ":[{"н":[{},[0,0,0,4]]}],"я":[{"м":[{},[0,0,0,4]]}]},[0,0,2,0,4]],"с":[{},[0,0,2,0,4]],"т":[{},[0,0,2,0,4]],"ф":[{},[0,0,2,0,4]],"х":[{},[0,0,2,0,4]],"ц":[{},[0,0,2,0,4]],"ч":[{},[0,0,2,0,4]],"ш":[{},[0,0,2,0,4]],"щ":[{},[0,0,2,0,4]]}],"е":[{},[0,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"и":[{},[0,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"о":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{"г":[{},[0,0,4,5]],"к":[{},[0,0,4,5]]},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[0,0,0,4]],"у":[{},[0,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]],"ъ":[{},[0,0,0,4]],"ю":[{},[0,0,0,4]],"я":[{},[0,0,0,4]]}],"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"щ":[{},[0,0,8]]}],"о":[{"а":[{"з":[{"и":[{"с":[{},[0,0,5]]}]}]},[0,0,4]],"б":[{"а":[{"г":[{"н":[{},[0,0,0,4]]}]}],"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"и":[{"г":[{"р":[{},[0,0,0,4]]}]}],"к":[{},[0,0,0,4]],"л":[{"а":[{"г":[{"о":[{},[0,0,4]]}],"ж":[{},[0,0,4]]}]},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"о":[{"б":[{"щ":[{},[0,0,0,4]]}],"з":[{"н":[{},[0,0,0,0,4]],"р":[{},[0,0,0,0,4]]}],"с":[{"н":[{},[0,0,0,0,4]],"о":[{"б":[{},[]]}]}]}],"п":[{},[0,0,0,4]],"р":[{"е":[{"м":[{},[0,0,4]]}],"у":[{"л":[{},[0,0,4]]}],"ъ":[{"с":[{},[0,0,4]]}]},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[0,0,0,4]],"у":[{"з":[{"д":[{},[0,0,0,4]]}],"с":[{"л":[{},[]]}]}],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{"н":[{},[0,0,4,5]]},[0,0,0,4]],"я":[{"с":[{"н":[{},[0,0,0,4]]}]}]}],"в":[{"д":[{"о":[{"в":[{},[0,0,4]]}]}],"л":[{"а":[{"д":[{},[0,0,4]]}]}],"ц":[{},[0,0,5]],"ч":[{},[0,0,5]]},[0,0,4]],"г":[{"н":[{},[0,0,5]]},[0,0,4]],"д":[{},[0,0,4]],"е":[{},[0,0,4]],"ж":[{},[0,0,4]],"з":[{"д":[{"р":[{},[0,0,0,4]]}]},[0,0,4]],"и":[{},[0,0,4]],"й":[{},[0,0,4]],"к":[{"с":[{"и":[{},[0,0,5]]}],"т":[{},[0,0,5]]},[0,0,4]],"л":[{"т":[{"а":[{"р":[{},[0,0,5]]}]}]},[0,0,4]],"м":[{"л":[{"е":[{"т":[{},[0,0,5]]}]}],"н":[{"и":[{},[0,0,5]]}]},[0,0,4]],"н":[{"б":[{"а":[{"ш":[{},[0,0,5]]}]}],"д":[{"у":[{"л":[{},[0,0,5]]}]}],"з":[{"и":[{},[0,0,5]]}],"к":[{"о":[{},[0,0,5]]}],"л":[{"а":[{"й":[{"н":[{},[0,0,5]]}]}]}],"т":[{"о":[{},[0,0,5]]}]},[0,0,4]],"о":[{},[0,0,4]],"п":[{"т":[{},[0,0,5]],"ц":[{"и":[{},[0,0,5]]}]},[0,0,4]],"р":[{"б":[{},[0,0,5]],"г":[{},[0,0,5]],"д":[{},[0,0,5]],"к":[{},[0,0,5]],"л":[{},[0,0,5]],"н":[{},[0,0,5]],"т":[{},[0,0,5]],"ф":[{},[0,0,5]],"х":[{},[0,0,5]]},[0,0,4]],"с":[{"м":[{"а":[{"н":[{},[0,0,5]]}],"и":[{"н":[{},[0,0,5]],"ц":[{},[0,0,5]],"ч":[{},[0,0,5]]}],"о":[{},[0,0,5]]}],"т":[{"е":[{},[0,0,5]],"р":[{"о":[{},[0,0,5]]}]}],"ц":[{"и":[{},[0,0,5]]}]},[0,0,4]],"т":[{"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"и":[{"в":[{},[0,0,0,4]],"д":[{},[0,0,0,4]]}],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[0,0,0,4]],"у":[{"ч":[{},[0,0,0,4]]}],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]}],"у":[{},[0,0,4]],"ф":[{},[0,0,4]],"х":[{"в":[{"а":[{},[0,0,5]]}],"к":[{"а":[{},[0,0,5]]}],"н":[{"а":[{},[0,0,5]]}]},[0,0,4]],"ц":[{},[0,0,4]],"ч":[{},[0,0,4]],"ш":[{},[0,0,4]],"щ":[{},[0,0,4]],"ъ":[{},[0,0,4]],"ю":[{},[0,0,4]],"я":[{},[0,0,4]]}],"п":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"о":[{"а":[{},[0,0,0,4]],"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[0,0,0,4]],"д":[{"б":[{},[0,0,2,0,4]],"в":[{"о":[{"у":[{},[0,0,0,4]]}]},[0,0,2,0,4]],"г":[{},[0,0,2,0,4]],"д":[{},[0,0,2,0,4]],"ж":[{"а":[{"в":[{},[0,0,3,4]]}],"у":[{"р":[{},[0,0,3,4]]}]},[0,0,2,3,4]],"з":[{},[0,0,2,0,4]],"и":[{"г":[{"р":[{},[0,0,2,0,4]]}],"з":[{"р":[{},[0,0,2,0,4]]}]}],"к":[{},[0,0,2,0,4]],"л":[{},[0,0,2,0,4]],"м":[{},[0,0,2,0,4]],"н":[{},[0,0,2,0,4]],"о":[{"п":[{"а":[{"ш":[{},[0,0,2,0,4]]}]}],"с":[{"т":[{"р":[{},[0,0,2,0,4]]}]}],"т":[{"д":[{},[0,0,2,0,4]],"ч":[{},[0,0,2,0,4]]}],"ф":[{},[0,0,2,0,4]]}],"п":[{},[0,0,2,0,4]],"р":[{"е":[{"м":[{},[0,0,0,4]]}],"ъ":[{"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]]}],"я":[{"м":[{},[0,0,0,4]]}]},[0,0,2,0,4]],"с":[{},[0,0,2,0,4]],"т":[{},[0,0,2,0,4]],"у":[{"п":[{"р":[{},[0,0,2,0,4]]}],"ч":[{},[0,0,2,0,4]]}],"ф":[{},[0,0,2,0,4]],"х":[{},[0,0,2,0,4]],"ц":[{},[0,0,2,0,4]],"ч":[{},[0,0,2,0,4]],"ш":[{},[0,0,2,0,4]],"щ":[{},[0,0,2,0,4]]}],"е":[{},[0,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{"а":[{"а":[{},[0,0,0,0,0,4]],"б":[{},[0,0,0,0,0,4]],"в":[{},[0,0,0,0,0,4]],"г":[{},[0,0,0,0,0,4]],"д":[{},[0,0,0,0,0,4]],"е":[{},[0,0,0,0,0,4]],"ж":[{},[0,0,0,0,0,4]],"з":[{},[0,0,0,0,0,4]],"и":[{},[0,0,0,0,0,4]],"й":[{},[0,0,0,0,0,4]],"к":[{},[0,0,0,0,0,4]],"л":[{},[0,0,0,0,0,4]],"м":[{},[0,0,0,0,0,4]],"н":[{},[0,0,0,0,0,4]],"о":[{},[0,0,0,0,0,4]],"п":[{},[0,0,0,0,0,4]],"р":[{},[0,0,0,0,0,4]],"с":[{},[0,0,0,0,0,4]],"т":[{},[0,0,0,0,0,4]],"у":[{},[0,0,0,0,0,4]],"ф":[{},[0,0,0,0,0,4]],"х":[{},[0,0,0,0,0,4]],"ц":[{},[0,0,0,0,0,4]],"ч":[{},[0,0,0,0,0,4]],"ш":[{},[0,0,0,0,0,4]],"щ":[{},[0,0,0,0,0,4]],"ъ":[{},[0,0,0,0,0,4]],"ю":[{},[0,0,0,0,0,4]],"я":[{},[0,0,0,0,0,4]]}]},[0,0,0,4]],"и":[{"з":[{"а":[{},[0,0,0,2,0,4]],"б":[{},[0,0,0,2,0,4]],"в":[{},[0,0,0,2,0,4]],"г":[{},[0,0,0,2,0,4]],"д":[{},[0,0,0,2,0,4]],"е":[{},[0,0,0,2,0,4]],"ж":[{},[0,0,0,2,0,4]],"з":[{},[0,0,0,2,0,4]],"и":[{},[0,0,0,2,0,4]],"й":[{},[0,0,0,2,0,4]],"к":[{},[0,0,0,2,0,4]],"л":[{},[0,0,0,2,0,4]],"м":[{},[0,0,0,2,0,4]],"н":[{},[0,0,0,2,0,4]],"о":[{},[0,0,0,2,0,4]],"п":[{},[0,0,0,2,0,4]],"р":[{},[0,0,0,2,0,4]],"с":[{},[0,0,0,2,0,4]],"т":[{},[0,0,0,2,0,4]],"у":[{},[0,0,0,2,0,4]],"ф":[{},[0,0,0,2,0,4]],"х":[{},[0,0,0,2,0,4]],"ц":[{},[0,0,0,2,0,4]],"ч":[{},[0,0,0,2,0,4]],"ш":[{},[0,0,0,2,0,4]],"щ":[{},[0,0,0,2,0,4]],"ъ":[{},[0,0,0,2,0,4]],"ю":[{},[0,0,0,2,0,4]],"я":[{},[0,0,0,2,0,4]]}]},[0,0,0,4]],"й":[{},[0,0,0,4]],"к":[{},[0,0,0,4]],"л":[{"з":[{},[0,0,4,5]],"к":[{},[0,0,4,5]],"с":[{},[0,0,4,5]]},[0,0,0,4]],"м":[{"п":[{},[0,0,4,5]]},[0,0,0,4]],"н":[{"а":[{"а":[{},[0,0,0,0,0,4]],"б":[{},[0,0,0,0,0,4]],"в":[{},[0,0,0,0,0,4]],"г":[{},[0,0,0,0,0,4]],"д":[{"б":[{},[0,0,0,0,2,0,4]],"в":[{},[0,0,0,0,2,0,4]],"г":[{},[0,0,0,0,2,0,4]],"д":[{},[0,0,0,0,2,0,4]],"ж":[{},[0,0,0,0,2,0,4]],"з":[{},[0,0,0,0,2,0,4]],"и":[{"г":[{"р":[{},[0,0,0,0,2,0,4]]}]}],"к":[{},[0,0,0,0,2,0,4]],"л":[{},[0,0,0,0,2,0,4]],"м":[{},[0,0,0,0,2,0,4]],"н":[{},[0,0,0,0,2,0,4]],"п":[{},[0,0,0,0,2,0,4]],"р":[{"а":[{"щ":[{},[0,0,0,0,0,4]]}],"е":[{"б":[{},[0,0,0,0,0,4]],"м":[{},[0,0,0,0,0,4]]}],"о":[{"б":[{},[0,0,0,0,0,4]]}],"у":[{"с":[{},[0,0,0,0,0,4]]}],"ъ":[{"н":[{},[0,0,0,0,0,4]]}],"я":[{"м":[{},[0,0,0,0,0,4]]}]},[0,0,0,0,2,0,4]],"с":[{},[0,0,0,0,2,0,4]],"т":[{},[0,0,0,0,2,0,4]],"ф":[{},[0,0,0,0,2,0,4]],"х":[{},[0,0,0,0,2,0,4]],"ц":[{},[0,0,0,0,2,0,4]],"ч":[{},[0,0,0,0,2,0,4]],"ш":[{},[0,0,0,0,2,0,4]],"щ":[{},[0,0,0,0,2,0,4]]}],"е":[{},[0,0,0,0,0,4]],"ж":[{},[0,0,0,0,0,4]],"з":[{},[0,0,0,0,0,4]],"и":[{},[0,0,0,0,0,4]],"й":[{},[0,0,0,0,0,4]],"к":[{},[0,0,0,0,0,4]],"л":[{},[0,0,0,0,0,4]],"м":[{},[0,0,0,0,0,4]],"н":[{},[0,0,0,0,0,4]],"о":[{},[0,0,0,0,0,4]],"п":[{},[0,0,0,0,0,4]],"р":[{},[0,0,0,0,0,4]],"с":[{},[0,0,0,0,0,4]],"т":[{},[0,0,0,0,0,4]],"у":[{},[0,0,0,0,0,4]],"ф":[{},[0,0,0,0,0,4]],"х":[{},[0,0,0,0,0,4]],"ц":[{},[0,0,0,0,0,4]],"ч":[{},[0,0,0,0,0,4]],"ш":[{},[0,0,0,0,0,4]],"щ":[{},[0,0,0,0,0,4]],"ъ":[{},[0,0,0,0,0,4]],"ю":[{},[0,0,0,0,0,4]],"я":[{},[0,0,0,0,0,4]]}],"т":[{},[0,0,4,5]]},[0,0,0,4]],"о":[{"а":[{},[0,0,0,0,4]],"б":[{"а":[{"д":[{},[0,0,0,4]],"ж":[{"д":[{},[0,0,0,4]]}]}],"б":[{},[0,0,0,2,0,4]],"в":[{},[0,0,0,2,0,4]],"г":[{},[0,0,0,2,0,4]],"д":[{},[0,0,0,2,0,4]],"ж":[{},[0,0,0,2,0,4]],"з":[{},[0,0,0,2,0,4]],"и":[{"г":[{"р":[{},[0,0,0,2,0,4]]}],"к":[{},[0,0,0,4]]}],"к":[{},[0,0,0,2,0,4]],"л":[{},[0,0,0,2,0,4]],"м":[{},[0,0,0,2,0,4]],"н":[{},[0,0,0,2,0,4]],"п":[{},[0,0,0,2,0,4]],"р":[{},[0,0,0,2,0,4]],"с":[{},[0,0,0,2,0,4]],"т":[{},[0,0,0,2,0,4]],"ф":[{},[0,0,0,2,0,4]],"х":[{},[0,0,0,2,0,4]],"ц":[{},[0,0,0,2,0,4]],"ч":[{},[0,0,0,2,0,4]],"ш":[{},[0,0,0,2,0,4]],"щ":[{},[0,0,0,2,0,4]],"я":[{"с":[{"н":[{},[0,0,0,2,0,4]]}]}]}],"в":[{},[0,0,0,0,4]],"г":[{},[0,0,0,0,4]],"д":[{},[0,0,0,0,4]],"е":[{},[0,0,0,0,4]],"ж":[{},[0,0,0,0,4]],"з":[{},[0,0,0,0,4]],"и":[{},[0,0,0,0,4]],"й":[{},[0,0,0,0,4]],"к":[{},[0,0,0,0,4]],"л":[{},[0,0,0,0,4]],"м":[{},[0,0,0,0,4]],"н":[{},[0,0,0,0,4]],"о":[{},[0,0,0,0,4]],"п":[{},[0,0,0,0,4]],"р":[{},[0,0,0,0,4]],"с":[{},[0,0,0,0,4]],"т":[{"б":[{},[0,0,0,2,0,4]],"в":[{},[0,0,0,2,0,4]],"г":[{},[0,0,0,2,0,4]],"д":[{},[0,0,0,2,0,4]],"ж":[{},[0,0,0,2,0,4]],"з":[{},[0,0,0,2,0,4]],"к":[{},[0,0,0,2,0,4]],"л":[{},[0,0,0,2,0,4]],"м":[{},[0,0,0,2,0,4]],"н":[{},[0,0,0,2,0,4]],"п":[{},[0,0,0,2,0,4]],"р":[{},[0,0,0,2,0,4]],"с":[{},[0,0,0,2,0,4]],"т":[{},[0,0,0,2,0,4]],"у":[{"ч":[{},[0,0,0,2,0,4]]}],"ф":[{},[0,0,0,2,0,4]],"х":[{},[0,0,0,2,0,4]],"ц":[{},[0,0,0,2,0,4]],"ч":[{},[0,0,0,2,0,4]],"ш":[{},[0,0,0,2,0,4]],"щ":[{},[0,0,0,2,0,4]]}],"у":[{},[0,0,0,0,4]],"ф":[{},[0,0,0,0,4]],"х":[{},[0,0,0,0,4]],"ц":[{},[0,0,0,0,4]],"ч":[{},[0,0,0,0,4]],"ш":[{},[0,0,0,0,4]],"щ":[{"р":[{},[0,0,0,4,5]]},[0,0,0,0,4]],"ъ":[{},[0,0,0,0,4]],"ю":[{},[0,0,0,0,4]],"я":[{},[0,0,0,0,4]]}],"п":[{"р":[{"и":[{"а":[{},[0,0,0,4,0,0,4]],"б":[{},[0,0,0,4,0,0,4]],"в":[{},[0,0,0,4,0,0,4]],"г":[{},[0,0,0,4,0,0,4]],"д":[{},[0,0,0,4,0,0,4]],"е":[{},[0,0,0,4,0,0,4]],"ж":[{},[0,0,0,4,0,0,4]],"з":[{},[0,0,0,4,0,0,4]],"и":[{},[0,0,0,4,0,0,4]],"й":[{},[0,0,0,4,0,0,4]],"к":[{},[0,0,0,4,0,0,4]],"л":[{},[0,0,0,4,0,0,4]],"м":[{},[0,0,0,4,0,0,4]],"н":[{},[0,0,0,4,0,0,4]],"о":[{},[0,0,0,4,0,0,4]],"п":[{},[0,0,0,4,0,0,4]],"р":[{},[0,0,0,4,0,0,4]],"с":[{},[0,0,0,4,0,0,4]],"т":[{},[0,0,0,4,0,0,4]],"у":[{},[0,0,0,4,0,0,4]],"ф":[{},[0,0,0,4,0,0,4]],"х":[{},[0,0,0,4,0,0,4]],"ц":[{},[0,0,0,4,0,0,4]],"ч":[{},[0,0,0,4,0,0,4]],"ш":[{},[0,0,0,4,0,0,4]],"щ":[{},[0,0,0,4,0,0,4]],"ъ":[{},[0,0,0,4,0,0,4]],"ю":[{},[0,0,0,4,0,0,4]],"я":[{},[0,0,0,4,0,0,4]]}]}]}],"р":[{"н":[{},[0,0,4,5]],"т":[{},[0,0,4,5]],"ф":[{},[0,0,4,5]],"ц":[{},[0,0,4,5]]},[0,0,0,4]],"с":[{"т":[{},[0,0,4,4]]},[0,0,0,4]],"т":[{"н":[{},[0,0,4,5]]},[0,0,0,4]],"у":[{},[0,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[0,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]],"ъ":[{},[0,0,0,4]],"ю":[{},[0,0,0,4]],"я":[{},[0,0,0,4]]}],"п":[{},[0,0,8]],"р":[{"е":[{"а":[{},[0,0,0,0,4]],"б":[{},[0,0,0,0,4]],"в":[{"ъ":[{"з":[{"а":[{},[0,0,0,0,0,2,0,4]],"б":[{},[0,0,0,0,0,2,0,4]],"в":[{},[0,0,0,0,0,2,0,4]],"г":[{},[0,0,0,0,0,2,0,4]],"д":[{},[0,0,0,0,0,2,0,4]],"е":[{},[0,0,0,0,0,2,0,4]],"ж":[{},[0,0,0,0,0,2,0,4]],"з":[{},[0,0,0,0,0,2,0,4]],"и":[{},[0,0,0,0,0,2,0,4]],"й":[{},[0,0,0,0,0,2,0,4]],"к":[{},[0,0,0,0,0,2,0,4]],"л":[{},[0,0,0,0,0,2,0,4]],"м":[{},[0,0,0,0,0,2,0,4]],"н":[{},[0,0,0,0,0,2,0,4]],"о":[{},[0,0,0,0,0,2,0,4]],"п":[{},[0,0,0,0,0,2,0,4]],"р":[{},[0,0,0,0,0,2,0,4]],"с":[{},[0,0,0,0,0,2,0,4]],"т":[{},[0,0,0,0,0,2,0,4]],"у":[{},[0,0,0,0,0,2,0,4]],"ф":[{},[0,0,0,0,0,2,0,4]],"х":[{},[0,0,0,0,0,2,0,4]],"ц":[{},[0,0,0,0,0,2,0,4]],"ч":[{},[0,0,0,0,0,2,0,4]],"ш":[{},[0,0,0,0,0,2,0,4]],"щ":[{},[0,0,0,0,0,2,0,4]],"ъ":[{},[0,0,0,0,0,2,0,4]],"ю":[{},[0,0,0,0,0,2,0,4]],"я":[{},[0,0,0,0,0,2,0,4]]}]}]},[0,0,0,0,4]],"г":[{},[0,0,0,0,4]],"д":[{"б":[{},[0,0,0,2,0,4]],"в":[{},[0,0,0,2,0,4]],"г":[{},[0,0,0,2,0,4]],"д":[{},[0,0,0,2,0,4]],"ж":[{},[0,0,0,2,0,4]],"з":[{},[0,0,0,2,0,4]],"и":[{"з":[{"б":[{},[0,0,0,2,0,4,0,4]],"в":[{},[0,0,0,2,0,4,0,4]]}],"н":[{"ф":[{"а":[{"р":[{},[0,0,0,2,0,4]]}]}]}],"с":[{"т":[{"о":[{"р":[{},[0,0,0,2,0,4]]}]}]}]}],"к":[{},[0,0,0,2,0,4]],"л":[{},[0,0,0,2,0,4]],"м":[{},[0,0,0,2,0,4]],"н":[{},[0,0,0,2,0,4]],"о":[{"б":[{"е":[{"д":[{},[0,0,0,2,0,4]]}]}],"к":[{"т":[{"о":[{"м":[{},[0,0,0,2,0,4]]}]}]}],"п":[{"р":[{"е":[{"д":[{},[0,0,0,2,0,0,4]]}]}]}],"с":[{"в":[{"о":[{"б":[{},[0,0,0,2,0,0,4]]}]}]}],"т":[{"а":[{},[0,0,0,2,0,2,0,4]],"б":[{},[0,0,0,2,0,2,0,4]],"в":[{},[0,0,0,2,0,2,0,4]],"г":[{},[0,0,0,2,0,2,0,4]],"д":[{},[0,0,0,2,0,2,0,4]],"е":[{},[0,0,0,2,0,2,0,4]],"ж":[{},[0,0,0,2,0,2,0,4]],"з":[{},[0,0,0,2,0,2,0,4]],"и":[{},[0,0,0,2,0,2,0,4]],"й":[{},[0,0,0,2,0,2,0,4]],"к":[{},[0,0,0,2,0,2,0,4]],"л":[{},[0,0,0,2,0,2,0,4]],"м":[{},[0,0,0,2,0,2,0,4]],"н":[{},[0,0,0,2,0,2,0,4]],"о":[{},[0,0,0,2,0,2,0,4]],"п":[{},[0,0,0,2,0,2,0,4]],"р":[{},[0,0,0,2,0,2,0,4]],"с":[{},[0,0,0,2,0,2,0,4]],"т":[{},[0,0,0,2,0,2,0,4]],"у":[{},[0,0,0,2,0,2,0,4]],"ф":[{},[0,0,0,2,0,2,0,4]],"х":[{},[0,0,0,2,0,2,0,4]],"ц":[{},[0,0,0,2,0,2,0,4]],"ч":[{},[0,0,0,2,0,2,0,4]],"ш":[{},[0,0,0,2,0,2,0,4]],"щ":[{},[0,0,0,2,0,2,0,4]],"ъ":[{},[0,0,0,2,0,2,0,4]],"ю":[{},[0,0,0,2,0,2,0,4]],"я":[{},[0,0,0,2,0,2,0,4]]}],"х":[{"р":[{},[0,0,0,2,0,0,4]]}]}],"п":[{},[0,0,0,2,0,4]],"р":[{"е":[{"м":[{},[0,0,0,0,4]],"ш":[{},[0,0,0,2,4]]}],"я":[{"м":[{},[0,0,0,0,4]]}]},[0,0,0,2,0,4]],"с":[{},[0,0,0,2,0,4]],"т":[{},[0,0,0,2,0,4]],"у":[{"б":[{"е":[{"д":[{},[0,0,0,2,0,4]],"ж":[{"д":[{},[0,0,0,2,0,4]]}]}]}],"г":[{"а":[{"д":[{},[0,0,0,2]]}]}],"м":[{"и":[{"с":[{},[0,0,0,2]],"ш":[{},[0,0,0,2]]}]}],"п":[{"р":[{},[0,0,0,2,0,4]]}],"с":[{"е":[{},[0,0,0,2]],"л":[{},[0,0,0,2,0,0,4]]}],"т":[{"р":[{"и":[{"н":[{},[0,0,0,2,0,4]]}]}]}],"ч":[{"и":[{"л":[{},[0,0,0,2,0,4]]}]}]}],"ф":[{},[0,0,0,2,0,4]],"х":[{},[0,0,0,2,0,4]],"ц":[{},[0,0,0,2,0,4]],"ч":[{},[0,0,0,2,0,4]],"ш":[{},[0,0,0,2,0,4]],"щ":[{},[0,0,0,2,0,4]],"я":[{"в":[{},[0,0,0,2,0,4]],"с":[{"т":[{},[0,0,0,2,0,4]]}]}]}],"е":[{},[0,0,0,0,4]],"ж":[{"д":[{},[0,0,0,4,5]]},[0,0,0,0,4]],"з":[{"а":[{"а":[{},[0,0,0,0,0,0,4]],"б":[{},[0,0,0,0,0,0,4]],"в":[{},[0,0,0,0,0,0,4]],"г":[{},[0,0,0,0,0,0,4]],"д":[{},[0,0,0,0,0,0,4]],"е":[{},[0,0,0,0,0,0,4]],"ж":[{},[0,0,0,0,0,0,4]],"з":[{},[0,0,0,0,0,0,4]],"и":[{},[0,0,0,0,0,0,4]],"й":[{},[0,0,0,0,0,0,4]],"к":[{},[0,0,0,0,0,0,4]],"л":[{},[0,0,0,0,0,0,4]],"м":[{},[0,0,0,0,0,0,4]],"н":[{},[0,0,0,0,0,0,4]],"о":[{},[0,0,0,0,0,0,4]],"п":[{},[0,0,0,0,0,0,4]],"р":[{},[0,0,0,0,0,0,4]],"с":[{},[0,0,0,0,0,0,4]],"т":[{},[0,0,0,0,0,0,4]],"у":[{},[0,0,0,0,0,0,4]],"ф":[{},[0,0,0,0,0,0,4]],"х":[{},[0,0,0,0,0,0,4]],"ц":[{},[0,0,0,0,0,0,4]],"ч":[{},[0,0,0,0,0,0,4]],"ш":[{},[0,0,0,0,0,0,4]],"щ":[{},[0,0,0,0,0,0,4]],"ъ":[{},[0,0,0,0,0,0,4]],"ю":[{},[0,0,0,0,0,0,4]],"я":[{},[0,0,0,0,0,0,4]]}],"б":[{},[0,0,0,2,0,4]],"в":[{},[0,0,0,2,0,4]],"г":[{},[0,0,0,2,0,4]],"д":[{},[0,0,0,2,0,4]],"ж":[{},[0,0,0,2,0,4]],"з":[{},[0,0,0,2,0,4]],"к":[{},[0,0,0,2,0,4]],"л":[{},[0,0,0,2,0,4]],"м":[{},[0,0,0,2,0,4]],"н":[{},[0,0,0,2,0,4]],"о":[{"к":[{"е":[{"а":[{"н":[{},[0,0,0,4,5,4]]}]}]}]}],"п":[{},[0,0,0,2,0,4]],"р":[{"а":[{"м":[{},[0,0,0,4,5]]}],"е":[{"д":[{},[0,0,0,4,5]]}]},[0,0,0,0,4]],"с":[{},[0,0,0,2,0,4]],"т":[{},[0,0,0,2,0,4]],"ф":[{},[0,0,0,2,0,4]],"х":[{},[0,0,0,2,0,4]],"ц":[{},[0,0,0,2,0,4]],"ч":[{},[0,0,0,2,0,4]],"ш":[{},[0,0,0,2,0,4]],"щ":[{},[0,0,0,2,0,4]]}],"и":[{"з":[{"а":[{},[0,0,0,0,2,0,4]],"б":[{},[0,0,0,0,2,0,4]],"в":[{},[0,0,0,0,2,0,4]],"г":[{},[0,0,0,0,2,0,4]],"д":[{},[0,0,0,0,2,0,4]],"е":[{},[0,0,0,0,2,0,4]],"ж":[{},[0,0,0,0,2,0,4]],"з":[{},[0,0,0,0,2,0,4]],"и":[{},[0,0,0,0,2,0,4]],"й":[{},[0,0,0,0,2,0,4]],"к":[{},[0,0,0,0,2,0,4]],"л":[{},[0,0,0,0,2,0,4]],"м":[{},[0,0,0,0,2,0,4]],"н":[{},[0,0,0,0,2,0,4]],"о":[{},[0,0,0,0,2,0,4]],"п":[{},[0,0,0,0,2,0,4]],"р":[{},[0,0,0,0,2,0,4]],"с":[{},[0,0,0,0,2,0,4]],"т":[{},[0,0,0,0,2,0,4]],"у":[{},[0,0,0,0,2,0,4]],"ф":[{},[0,0,0,0,2,0,4]],"х":[{},[0,0,0,0,2,0,4]],"ц":[{},[0,0,0,0,2,0,4]],"ч":[{},[0,0,0,0,2,0,4]],"ш":[{},[0,0,0,0,2,0,4]],"щ":[{},[0,0,0,0,2,0,4]],"ъ":[{},[0,0,0,0,2,0,4]],"ю":[{},[0,0,0,0,2,0,4]],"я":[{},[0,0,0,0,2,0,4]]}]},[0,0,0,0,4]],"й":[{},[0,0,0,0,4]],"к":[{},[0,0,0,0,4]],"л":[{},[0,0,0,0,4]],"м":[{},[0,0,0,0,4]],"н":[{"а":[{"а":[{},[0,0,0,0,0,0,4]],"б":[{},[0,0,0,0,0,0,4]],"в":[{},[0,0,0,0,0,0,4]],"г":[{},[0,0,0,0,0,0,4]],"д":[{},[0,0,0,0,0,0,4]],"е":[{},[0,0,0,0,0,0,4]],"ж":[{},[0,0,0,0,0,0,4]],"з":[{},[0,0,0,0,0,0,4]],"и":[{},[0,0,0,0,0,0,4]],"й":[{},[0,0,0,0,0,0,4]],"к":[{},[0,0,0,0,0,0,4]],"л":[{},[0,0,0,0,0,0,4]],"м":[{},[0,0,0,0,0,0,4]],"н":[{},[0,0,0,0,0,0,4]],"о":[{},[0,0,0,0,0,0,4]],"п":[{},[0,0,0,0,0,0,4]],"р":[{},[0,0,0,0,0,0,4]],"с":[{},[0,0,0,0,0,0,4]],"т":[{},[0,0,0,0,0,0,4]],"у":[{},[0,0,0,0,0,0,4]],"ф":[{},[0,0,0,0,0,0,4]],"х":[{},[0,0,0,0,0,0,4]],"ц":[{},[0,0,0,0,0,0,4]],"ч":[{},[0,0,0,0,0,0,4]],"ш":[{},[0,0,0,0,0,0,4]],"щ":[{},[0,0,0,0,0,0,4]],"ъ":[{},[0,0,0,0,0,0,4]],"ю":[{},[0,0,0,0,0,0,4]],"я":[{},[0,0,0,0,0,0,4]]}]},[0,0,0,0,4]],"о":[{},[0,0,0,0,4]],"п":[{},[0,0,0,0,4]],"р":[{},[0,0,0,0,4]],"с":[{"н":[{"о":[{},[0,0,0,4,5]]}],"п":[{"а":[{},[0,0,0,4,5]],"и":[{},[0,0,0,4,4]]}],"ц":[{},[0,0,0,4,5]]},[0,0,0,0,4]],"т":[{},[0,0,0,0,4]],"у":[{},[0,0,0,0,4]],"ф":[{},[0,0,0,0,4]],"х":[{},[0,0,0,0,4]],"ц":[{},[0,0,0,0,4]],"ч":[{"к":[{},[0,0,0,4,5]]},[0,0,0,0,4]],"щ":[{},[0,0,0,0,4]],"ъ":[{},[0,0,0,0,4]],"ю":[{},[0,0,0,0,4]],"я":[{},[0,0,0,0,4]]}],"и":[{"а":[{},[0,0,0,0,4]],"б":[{},[0,0,0,0,4]],"в":[{},[0,0,0,0,4]],"г":[{},[0,0,0,0,4]],"д":[{},[0,0,0,0,4]],"е":[{},[0,0,0,0,4]],"ж":[{},[0,0,0,0,4]],"з":[{"м":[{},[0,0,0,4,5]]},[0,0,0,0,4]],"и":[{},[0,0,0,0,4]],"й":[{},[0,0,0,0,4]],"к":[{},[0,0,0,0,4]],"л":[{},[0,0,0,0,4]],"м":[{"к":[{},[0,0,0,4,5]]},[0,0,0,0,4]],"н":[{"т":[{},[0,0,0,4,5]],"ц":[{},[0,0,0,4,5]]},[0,0,0,0,4]],"о":[{},[0,0,0,0,4]],"п":[{"в":[{},[0,0,0,4,5]],"к":[{},[0,0,0,4,5]],"н":[{},[0,0,0,4,5]]},[0,0,0,0,4]],"р":[{},[0,0,0,0,4]],"с":[{},[0,0,0,0,4]],"т":[{"ч":[{},[0,0,0,4,5]]},[0,0,0,0,4]],"у":[{},[0,0,0,0,4]],"ф":[{},[0,0,0,0,4]],"х":[{"н":[{},[0,0,0,4,5]]},[0,0,0,0,4]],"ц":[{},[0,0,0,0,4]],"ч":[{},[0,0,0,0,4]],"ш":[{"к":[{},[0,0,0,4,5]]},[0,0,0,0,4]],"щ":[{},[0,0,0,0,4]],"ъ":[{},[0,0,0,0,4]],"ю":[{},[0,0,0,0,4]],"я":[{},[0,0,0,0,4]]}],"о":[{"а":[{},[0,0,0,0,4]],"б":[{"в":[{},[0,0,0,4,5]],"к":[{},[0,0,0,4,5]],"л":[{"е":[{"м":[{},[0,0,0,4,5]]}]}]},[0,0,0,0,4]],"в":[{},[0,0,0,0,4]],"г":[{},[0,0,0,0,4]],"д":[{},[0,0,0,0,4]],"е":[{},[0,0,0,0,4]],"ж":[{},[0,0,0,0,4]],"з":[{},[0,0,0,0,4]],"и":[{},[0,0,0,0,4]],"к":[{"с":[{},[0,0,0,4,5]]},[0,0,0,0,4]],"л":[{},[0,0,0,0,4]],"м":[{},[0,0,0,0,4]],"н":[{},[0,0,0,0,4]],"о":[{},[0,0,0,0,4]],"п":[{},[0,0,0,0,4]],"р":[{},[0,0,0,0,4]],"с":[{"б":[{},[0,0,0,4,5]],"т":[{},[0,0,0,4,4]],"ф":[{},[0,0,0,4,5]]},[0,0,0,0,4]],"т":[{},[0,0,0,0,4]],"у":[{},[0,0,0,0,4]],"х":[{},[0,0,0,0,4]],"ц":[{},[0,0,0,0,4]],"ч":[{},[0,0,0,0,4]],"ш":[{},[0,0,0,0,4]],"щ":[{},[0,0,0,0,4]],"ъ":[{},[0,0,0,0,4]],"ю":[{},[0,0,0,0,4]],"я":[{},[0,0,0,0,4]]}]},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"щ":[{},[0,0,8]]}],"р":[{"а":[{"з":[{"а":[{},[0,0,2,0,4]],"б":[{},[0,0,2,0,4]],"в":[{},[0,0,2,0,4]],"г":[{},[0,0,2,0,4]],"д":[{},[0,0,2,0,4]],"е":[{},[0,0,2,0,4]],"ж":[{},[0,0,2,0,4]],"з":[{},[0,0,2,0,4]],"и":[{},[0,0,2,0,4]],"й":[{},[0,0,2,0,4]],"к":[{},[0,0,2,0,4]],"л":[{},[0,0,2,0,4]],"м":[{},[0,0,2,0,4]],"н":[{},[0,0,2,0,4]],"о":[{},[0,0,2,0,4]],"п":[{},[0,0,2,0,4]],"р":[{},[0,0,2,0,4]],"с":[{},[0,0,2,0,4]],"т":[{},[0,0,2,0,4]],"у":[{},[0,0,2,0,4]],"ф":[{},[0,0,2,0,4]],"х":[{},[0,0,2,0,4]],"ц":[{},[0,0,2,0,4]],"ч":[{},[0,0,2,0,4]],"ш":[{},[0,0,2,0,4]],"щ":[{},[0,0,2,0,4]],"ъ":[{},[0,0,2,0,4]],"ю":[{},[0,0,2,0,4]],"я":[{},[0,0,2,0,4]]}]}],"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"щ":[{},[0,0,8]]}],"с":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"щ":[{},[0,0,8]]}],"т":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"щ":[{},[0,0,8]]}],"у":[{"а":[{},[0,0,4]],"б":[{},[0,0,4]],"в":[{},[0,0,4]],"г":[{},[0,0,4]],"д":[{},[0,0,4]],"е":[{},[0,0,4]],"ж":[{"к":[{"и":[{},[0,0,5]]}]},[0,0,4]],"з":[{"б":[{"е":[{},[0,0,5]]}]},[0,0,4]],"и":[{},[0,0,4]],"й":[{"д":[{"и":[{"с":[{},[0,0,5]]}],"у":[{},[0,0,5]]}]},[0,0,4]],"к":[{},[0,0,4]],"л":[{"т":[{},[0,0,5]]},[0,0,4]],"н":[{"г":[{"а":[{"р":[{},[0,0,5]]}]}],"ц":[{"и":[{},[0,0,5]]}]},[0,0,4]],"о":[{},[0,0,4]],"п":[{},[0,0,4]],"р":[{"б":[{"а":[{},[0,0,5]]}],"в":[{},[0,0,5]],"н":[{},[0,0,5]],"с":[{"у":[{"з":[{},[0,0,5]]}]}],"т":[{"и":[{},[0,0,5]]}]},[0,0,4]],"с":[{"т":[{"а":[{},[0,0,5]],"е":[{},[0,0,5]],"и":[{},[0,0,5]]}]},[0,0,4]],"т":[{"р":[{"е":[{".":[{},[0,0,5]],"ш":[{},[0,0,5]]}],"и":[{"н":[{},[0,0,5]]}],"о":[{},[0,0,4]]}]},[0,0,4]],"у":[{},[0,0,4]],"ф":[{},[0,0,4]],"х":[{},[0,0,4]],"ц":[{},[0,0,4]],"ч":[{"т":[{"и":[{"в":[{},[0,0,5]]}]}]},[0,0,4]],"ш":[{"н":[{"о":[{},[0,0,5]]}]},[0,0,4]],"щ":[{},[0,0,4]],"ъ":[{},[0,0,4]],"ю":[{"т":[{"е":[{},[0,0,5]]}]},[0,0,4]],"я":[{},[0,0,4]]}],"ф":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"щ":[{},[0,0,8]]}],"х":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"щ":[{},[0,0,8]]}],"ц":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"щ":[{},[0,0,8]]}],"ч":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"щ":[{},[0,0,8]]}],"ш":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"щ":[{},[0,0,8]]}],"щ":[{"б":[{},[0,0,8]],"в":[{},[0,0,8]],"г":[{},[0,0,8]],"д":[{},[0,0,8]],"ж":[{},[0,0,8]],"з":[{},[0,0,8]],"к":[{},[0,0,8]],"л":[{},[0,0,8]],"м":[{},[0,0,8]],"н":[{},[0,0,8]],"п":[{},[0,0,8]],"р":[{},[0,0,8]],"с":[{},[0,0,8]],"т":[{},[0,0,8]],"ф":[{},[0,0,8]],"х":[{},[0,0,8]],"ц":[{},[0,0,8]],"ч":[{},[0,0,8]],"ш":[{},[0,0,8]],"щ":[{},[0,0,8]]}]}],"а":[{},[0,1]],"б":[{"б":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"в":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3]],"г":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3]],"д":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3]],"ж":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"с":[{},[4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"х":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[4]]},[2,3]],"з":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"с":[{},[4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"х":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[4]]},[2,3]],"й":[{},[0,0,4]],"к":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"л":[{".":[{},[8]],"б":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"м":[{".":[{},[8]],"б":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"м":[{},[4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"н":[{".":[{},[8]],"б":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"н":[{},[4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"п":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"р":[{".":[{},[8]],"б":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"с":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"с":[{},[4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[4,3]],"т":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"ф":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[4,3]],"х":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"х":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[4,3]],"ц":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"ч":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"ш":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[4]]},[4,3]],"щ":[{".":[{},[8]],"б":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"щ":[{},[4]]},[4,3]]}],"в":[{"б":[{".":[{},[8]],"б":[{},[4]],"в":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]]},[2,3]],"в":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[4,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"г":[{".":[{},[8]],"в":[{},[4,0,0,4]],"г":[{},[4]],"к":[{},[4]],"п":[{},[4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]]},[2,3]],"д":[{".":[{},[8]],"б":[{},[4]],"в":[{},[4,0,0,4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"п":[{},[4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]]},[2,3]],"ж":[{".":[{},[8]],"в":[{},[4,0,0,4]],"ж":[{},[4]],"с":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4]],"ш":[{},[4]]},[2,3]],"з":[{".":[{},[8]],"в":[{},[4,0,0,4]],"з":[{},[4]],"с":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4]],"ш":[{},[4]]},[2,3]],"й":[{},[0,0,4]],"к":[{".":[{},[8]],"б":[{},[4]],"в":[{},[4,0,0,4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"ф":[{},[4,0,0,4]]},[2,3]],"л":[{".":[{},[8]],"в":[{},[4,0,0,4]],"л":[{},[4]],"ф":[{},[4,0,0,4]]},[2,3,4]],"м":[{".":[{},[8]],"в":[{},[4,0,0,4]],"м":[{},[4]],"ф":[{},[4,0,0,4]]},[2,3,4]],"н":[{".":[{},[8]],"в":[{},[4,0,0,4]],"н":[{},[4]],"ф":[{},[4,0,0,4]]},[2,3,4]],"п":[{".":[{},[8]],"б":[{},[4]],"в":[{},[4,0,0,4]],"г":[{},[4]],"д":[{},[4]],"п":[{},[4]],"ф":[{},[4,0,0,4]]},[2,3]],"р":[{".":[{},[8]],"в":[{},[4,0,0,4]],"р":[{},[4]],"ф":[{},[4,0,0,4]]},[2,3,4]],"с":[{".":[{},[8]],"в":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"с":[{},[4]],"ф":[{},[4,0,0,4]]},[2,3]],"т":[{".":[{},[8]],"б":[{},[4]],"в":[{},[4,0,0,4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"п":[{},[4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]]},[2,3]],"ф":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[4,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"х":[{".":[{},[8]],"в":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4]]},[2,3]],"ц":[{".":[{},[8]],"б":[{},[4]],"в":[{},[4,0,0,4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"п":[{},[4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]]},[2,3]],"ч":[{".":[{},[8]],"б":[{},[4]],"в":[{},[4,0,0,4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"п":[{},[4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]]},[2,3]],"ш":[{".":[{},[8]],"в":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"ф":[{},[4,0,0,4]],"ш":[{},[4]]},[2,3]],"щ":[{".":[{},[8]],"в":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"щ":[{},[4]]},[2,3]]}],"г":[{"б":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3]],"в":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3]],"г":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"д":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4,0,0,4]],"д":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3]],"ж":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"с":[{},[4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"х":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[4]]},[2,3]],"з":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"с":[{},[4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"х":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[4]]},[2,3]],"й":[{},[0,0,4]],"к":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"л":[{".":[{},[8]],"г":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"м":[{".":[{},[8]],"г":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"м":[{},[4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"н":[{".":[{},[8]],"г":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"н":[{},[4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"п":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"р":[{".":[{},[8]],"г":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"с":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"с":[{},[4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[4,3]],"т":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"ф":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[4,3]],"х":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"х":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[4,3]],"ц":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"ч":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"ш":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[4]]},[4,3]],"щ":[{".":[{},[8]],"г":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"щ":[{},[4]]},[4,3]]}],"д":[{"б":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"в":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3]],"г":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"д":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"ж":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[2]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[2]],"к":[{},[4,0,0,4]],"л":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[4,0,0,4]],"р":[{},[2]],"с":[{},[4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"х":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[4]],"щ":[{},[2]]}],"з":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[2]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[2]],"з":[{},[4]],"к":[{},[4,0,0,4]],"л":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[4,0,0,4]],"р":[{},[2]],"с":[{},[4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"х":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[4]],"щ":[{},[2]]}],"й":[{},[0,0,4]],"к":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"л":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"м":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"м":[{},[4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"н":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"н":[{},[4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"п":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"р":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"с":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"с":[{},[4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[4,3]],"т":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"ф":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[4,3]],"х":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"х":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[4,3]],"ц":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"ч":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"ш":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[4]]},[4,3]],"щ":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"щ":[{},[4]]},[4,3]]}],"е":[{},[0,1]],"ж":[{"б":[{".":[{},[8]],"б":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3]],"в":[{".":[{},[8]],"в":[{},[4]],"ж":[{},[4,0,0,4]],"с":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ш":[{},[4,0,0,4]]},[2,3]],"г":[{".":[{},[8]],"г":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3]],"д":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3]],"ж":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[4,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[4,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"з":[{".":[{},[8]],"ж":[{},[4,0,0,4]],"з":[{},[4]],"с":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ш":[{},[4,0,0,4]]},[2,3]],"й":[{},[0,0,4]],"к":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"с":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ш":[{},[4,0,0,4]]},[4,3]],"л":[{".":[{},[8]],"ж":[{},[4,0,0,4]],"л":[{},[4]],"с":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ш":[{},[4,0,0,4]]},[2,3,4]],"м":[{".":[{},[8]],"ж":[{},[4,0,0,4]],"м":[{},[4]],"с":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ш":[{},[4,0,0,4]]},[2,3,4]],"н":[{".":[{},[8]],"ж":[{},[4,0,0,4]],"н":[{},[4]],"с":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ш":[{},[4,0,0,4]]},[2,3,4]],"п":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ш":[{},[4,0,0,4]]},[4,3]],"р":[{".":[{},[8]],"ж":[{},[4,0,0,4]],"р":[{},[4]],"с":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ш":[{},[4,0,0,4]]},[2,3,4]],"с":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[4,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[4,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"т":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[4,3]],"ф":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[4,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[4,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[4,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"х":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[4,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[4,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"ц":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[4,3]],"ч":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[4,3]],"ш":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[4,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[4,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"щ":[{".":[{},[8]],"ж":[{},[4,0,0,4]],"с":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ш":[{},[4,0,0,4]],"щ":[{},[4]]},[4,3]]}],"з":[{"б":[{".":[{},[8]],"б":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3]],"в":[{".":[{},[8]],"в":[{},[4]],"з":[{},[4,0,0,4]],"с":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ш":[{},[4,0,0,4]]},[2,3]],"г":[{".":[{},[8]],"г":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3]],"д":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3]],"ж":[{".":[{},[8]],"ж":[{},[4]],"з":[{},[4,0,0,4]],"с":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ш":[{},[4,0,0,4]]},[2,3]],"з":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[4,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[4,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"й":[{},[0,0,4]],"к":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"с":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ш":[{},[4,0,0,4]]},[4,3]],"л":[{".":[{},[8]],"з":[{},[4,0,0,4]],"л":[{},[4]],"с":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ш":[{},[4,0,0,4]]},[2,3,4]],"м":[{".":[{},[8]],"з":[{},[4,0,0,4]],"м":[{},[4]],"с":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ш":[{},[4,0,0,4]]},[2,3,4]],"н":[{".":[{},[8]],"з":[{},[4,0,0,4]],"н":[{},[4]],"с":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ш":[{},[4,0,0,4]]},[2,3,4]],"п":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ш":[{},[4,0,0,4]]},[4,3]],"р":[{".":[{},[8]],"з":[{},[4,0,0,4]],"р":[{},[4]],"с":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ш":[{},[4,0,0,4]]},[2,3,4]],"с":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[4,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[4,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"т":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[4,3]],"ф":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[4,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[4,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[4,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"х":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[4,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[4,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"ц":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[4,3]],"ч":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[4,3]],"ш":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[4,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[4,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"щ":[{".":[{},[8]],"з":[{},[4,0,0,4]],"с":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ш":[{},[4,0,0,4]],"щ":[{},[4]]},[4,3]]}],"и":[{},[0,1]],"й":[{"б":[{},[4,1]],"в":[{},[4,1]],"г":[{},[4,1]],"д":[{},[4,1]],"ж":[{},[4,1]],"з":[{},[4,1]],"к":[{},[4,1]],"л":[{},[4,1]],"м":[{},[4,1]],"н":[{},[4,1]],"п":[{},[4,1]],"р":[{},[4,1]],"с":[{},[4,1]],"т":[{},[4,1]],"ф":[{},[4,1]],"х":[{},[4,1]],"ц":[{},[4,1]],"ч":[{},[4,1]],"ш":[{},[4,1]],"щ":[{},[4,1]]}],"к":[{"б":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"в":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"г":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"д":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"ж":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"с":[{},[4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"х":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[4]]},[2,3,4]],"з":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"с":[{},[4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"х":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[4]]},[2,3,4]],"й":[{},[0,0,4]],"к":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"л":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[4]]},[2,3,4]],"м":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"м":[{},[4]]},[2,3,4]],"н":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"н":[{},[4]]},[2,3,4]],"п":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"п":[{},[4]]},[2,3]],"р":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"р":[{},[4]]},[2,3,4]],"с":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"с":[{},[4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3]],"т":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"п":[{},[4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[2,3]],"ф":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3]],"х":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"х":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3]],"ц":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"п":[{},[4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[2,3]],"ч":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"п":[{},[4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[2,3]],"ш":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[4]]},[2,3]],"щ":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"щ":[{},[4]]},[2,3]]}],"л":[{"б":[{".":[{},[8]],"б":[{},[4]],"к":[{},[4]],"л":[{},[4,0,0,4]],"п":[{},[4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[4,3]],"в":[{".":[{},[8]],"в":[{},[4]],"л":[{},[4,0,0,4]],"ф":[{},[4]]},[4,3]],"г":[{".":[{},[8]],"г":[{},[4]],"к":[{},[4]],"л":[{},[4,0,0,4]],"п":[{},[4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[4,3]],"д":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"л":[{},[4,0,0,4]],"п":[{},[4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[4,3]],"ж":[{".":[{},[8]],"ж":[{},[4]],"л":[{},[4,0,0,4]],"с":[{},[4]],"ф":[{},[4]],"х":[{},[4]],"ш":[{},[4]]},[4,3]],"з":[{".":[{},[8]],"з":[{},[4]],"л":[{},[4,0,0,4]],"с":[{},[4]],"ф":[{},[4]],"х":[{},[4]],"ш":[{},[4]]},[4,3]],"к":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"л":[{},[4,0,0,4]]},[4,3]],"л":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[4,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"м":[{".":[{},[8]],"л":[{},[4,0,0,4]],"м":[{},[4]]},[4,3]],"н":[{".":[{},[8]],"л":[{},[4,0,0,4]],"н":[{},[4]]},[4,3]],"п":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"л":[{},[4,0,0,4]],"п":[{},[4]]},[4,3]],"р":[{".":[{},[8]],"л":[{},[4,0,0,4]],"р":[{},[4]]},[2,3,4]],"с":[{".":[{},[8]],"ж":[{},[4]],"з":[{},[4]],"л":[{},[4,0,0,4]],"с":[{},[4]]},[4,3]],"т":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"л":[{},[4,0,0,4]],"п":[{},[4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[4,3]],"ф":[{".":[{},[8]],"в":[{},[4]],"ж":[{},[4]],"з":[{},[4]],"л":[{},[4,0,0,4]],"ф":[{},[4]]},[4,3]],"х":[{".":[{},[8]],"ж":[{},[4]],"з":[{},[4]],"л":[{},[4,0,0,4]],"х":[{},[4]]},[4,3]],"ц":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"л":[{},[4,0,0,4]],"п":[{},[4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[4,3]],"ч":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"л":[{},[4,0,0,4]],"п":[{},[4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[4,3]],"ш":[{".":[{},[8]],"ж":[{},[4]],"з":[{},[4]],"л":[{},[4,0,0,4]],"ш":[{},[4]]},[4,3]],"щ":[{".":[{},[8]],"л":[{},[4,0,0,4]],"щ":[{},[4]]},[4,3]]}],"м":[{"б":[{".":[{},[8]],"б":[{},[4]],"к":[{},[4]],"м":[{},[4,0,0,4]],"п":[{},[4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[4,3]],"в":[{".":[{},[8]],"в":[{},[4]],"м":[{},[4,0,0,4]],"ф":[{},[4]]},[4,3]],"г":[{".":[{},[8]],"г":[{},[4]],"к":[{},[4]],"м":[{},[4,0,0,4]],"п":[{},[4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[4,3]],"д":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"м":[{},[4,0,0,4]],"п":[{},[4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[4,3]],"ж":[{".":[{},[8]],"ж":[{},[4]],"м":[{},[4,0,0,4]],"с":[{},[4]],"ф":[{},[4]],"х":[{},[4]],"ш":[{},[4]]},[4,3]],"з":[{".":[{},[8]],"з":[{},[4]],"м":[{},[4,0,0,4]],"с":[{},[4]],"ф":[{},[4]],"х":[{},[4]],"ш":[{},[4]]},[4,3]],"к":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"м":[{},[4,0,0,4]]},[4,3]],"л":[{".":[{},[8]],"л":[{},[4]],"м":[{},[4,0,0,4]]},[2,3,4]],"м":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[4,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"н":[{".":[{},[8]],"м":[{},[4,0,0,4]],"н":[{},[4]]},[2,3,4]],"п":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"м":[{},[4,0,0,4]],"п":[{},[4]]},[4,3]],"р":[{".":[{},[8]],"м":[{},[4,0,0,4]],"р":[{},[4]]},[2,3,4]],"с":[{".":[{},[8]],"ж":[{},[4]],"з":[{},[4]],"м":[{},[4,0,0,4]],"с":[{},[4]]},[4,3]],"т":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"м":[{},[4,0,0,4]],"п":[{},[4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[4,3]],"ф":[{".":[{},[8]],"в":[{},[4]],"ж":[{},[4]],"з":[{},[4]],"м":[{},[4,0,0,4]],"ф":[{},[4]]},[4,3]],"х":[{".":[{},[8]],"ж":[{},[4]],"з":[{},[4]],"м":[{},[4,0,0,4]],"х":[{},[4]]},[4,3]],"ц":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"м":[{},[4,0,0,4]],"п":[{},[4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[4,3]],"ч":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"м":[{},[4,0,0,4]],"п":[{},[4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[4,3]],"ш":[{".":[{},[8]],"ж":[{},[4]],"з":[{},[4]],"м":[{},[4,0,0,4]],"ш":[{},[4]]},[4,3]],"щ":[{".":[{},[8]],"м":[{},[4,0,0,4]],"щ":[{},[4]]},[4,3]]}],"н":[{"а":[{"д":[{"з":[{},[0,0,2,3]]}]}],"б":[{".":[{},[8]],"б":[{},[4]],"к":[{},[4]],"н":[{},[4,0,0,4]],"п":[{},[4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[4,3]],"в":[{".":[{},[8]],"в":[{},[4]],"н":[{},[4,0,0,4]],"ф":[{},[4]]},[4,3]],"г":[{".":[{},[8]],"г":[{},[4]],"к":[{},[4]],"н":[{},[4,0,0,4]],"п":[{},[4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[4,3]],"д":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"н":[{},[4,0,0,4]],"п":[{},[4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[4,3]],"ж":[{".":[{},[8]],"ж":[{},[4]],"н":[{},[4,0,0,4]],"с":[{},[4]],"ф":[{},[4]],"х":[{},[4]],"ш":[{},[4]]},[4,3]],"з":[{".":[{},[8]],"з":[{},[4]],"н":[{},[4,0,0,4]],"с":[{},[4]],"ф":[{},[4]],"х":[{},[4]],"ш":[{},[4]]},[4,3]],"к":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"н":[{},[4,0,0,4]]},[4,3]],"л":[{".":[{},[8]],"л":[{},[4]],"н":[{},[4,0,0,4]]},[2,3,4]],"м":[{".":[{},[8]],"м":[{},[4]],"н":[{},[4,0,0,4]]},[4,3]],"н":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[4,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"п":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"н":[{},[4,0,0,4]],"п":[{},[4]]},[4,3]],"р":[{".":[{},[8]],"н":[{},[4,0,0,4]],"р":[{},[4]]},[2,3,4]],"с":[{".":[{},[8]],"ж":[{},[4]],"з":[{},[4]],"н":[{},[4,0,0,4]],"с":[{},[4]]},[4,3]],"т":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"н":[{},[4,0,0,4]],"п":[{},[4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[4,3]],"ф":[{".":[{},[8]],"в":[{},[4]],"ж":[{},[4]],"з":[{},[4]],"н":[{},[4,0,0,4]],"ф":[{},[4]]},[4,3]],"х":[{".":[{},[8]],"ж":[{},[4]],"з":[{},[4]],"н":[{},[4,0,0,4]],"х":[{},[4]]},[4,3]],"ц":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"н":[{},[4,0,0,4]],"п":[{},[4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[4,3]],"ч":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"н":[{},[4,0,0,4]],"п":[{},[4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[4,3]],"ш":[{".":[{},[8]],"ж":[{},[4]],"з":[{},[4]],"н":[{},[4,0,0,4]],"ш":[{},[4]]},[4,3]],"щ":[{".":[{},[8]],"н":[{},[4,0,0,4]],"щ":[{},[4]]},[4,3]]}],"о":[{},[0,1]],"п":[{"б":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"в":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"г":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"д":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"ж":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"с":[{},[4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"х":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[4]]},[2,3,4]],"з":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"с":[{},[4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"х":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[4]]},[2,3,4]],"й":[{},[0,0,4]],"к":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4,0,0,4]]},[2,3]],"л":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"л":[{},[4]],"п":[{},[4,0,0,4]]},[2,3,4]],"м":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"м":[{},[4]],"п":[{},[4,0,0,4]]},[2,3,4]],"н":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"н":[{},[4]],"п":[{},[4,0,0,4]]},[2,3,4]],"о":[{"д":[{"з":[{},[0,0,2,3]]}]}],"п":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"р":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"е":[{"д":[{"ж":[{},[0,0,0,2,2]],"з":[{},[0,0,0,2,3]]}]}],"п":[{},[4,0,0,4]],"р":[{},[4]]},[2,3,4]],"с":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"с":[{},[4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3]],"т":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4,0,0,4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[2,3]],"ф":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3]],"х":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"х":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3]],"ц":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4,0,0,4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[2,3]],"ч":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4,0,0,4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[2,3]],"ш":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[4]]},[2,3]],"щ":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"щ":[{},[4]]},[2,3]]}],"р":[{"б":[{".":[{},[8]],"б":[{},[4]],"к":[{},[4]],"п":[{},[4]],"р":[{},[4,0,0,4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[4,3]],"в":[{".":[{},[8]],"в":[{},[4]],"р":[{},[4,0,0,4]],"ф":[{},[4]]},[4,3]],"г":[{".":[{},[8]],"г":[{},[4]],"к":[{},[4]],"п":[{},[4]],"р":[{},[4,0,0,4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[4,3]],"д":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"п":[{},[4]],"р":[{},[4,0,0,4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[4,3]],"ж":[{".":[{},[8]],"ж":[{},[4]],"р":[{},[4,0,0,4]],"с":[{},[4]],"ф":[{},[4]],"х":[{},[4]],"ш":[{},[4]]},[4,3]],"з":[{".":[{},[8]],"з":[{},[4]],"р":[{},[4,0,0,4]],"с":[{},[4]],"ф":[{},[4]],"х":[{},[4]],"ш":[{},[4]]},[4,3]],"к":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"р":[{},[4,0,0,4]]},[4,3]],"л":[{".":[{},[8]],"л":[{},[4]],"р":[{},[4,0,0,4]]},[4,3]],"м":[{".":[{},[8]],"м":[{},[4]],"р":[{},[4,0,0,4]]},[4,3]],"н":[{".":[{},[8]],"н":[{},[4]],"р":[{},[4,0,0,4]]},[4,3]],"п":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"п":[{},[4]],"р":[{},[4,0,0,4]]},[4,3]],"р":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[4,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"с":[{".":[{},[8]],"ж":[{},[4]],"з":[{},[4]],"р":[{},[4,0,0,4]],"с":[{},[4]]},[4,3]],"т":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"п":[{},[4]],"р":[{},[4,0,0,4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[4,3]],"ф":[{".":[{},[8]],"в":[{},[4]],"ж":[{},[4]],"з":[{},[4]],"р":[{},[4,0,0,4]],"ф":[{},[4]]},[4,3]],"х":[{".":[{},[8]],"ж":[{},[4]],"з":[{},[4]],"р":[{},[4,0,0,4]],"х":[{},[4]]},[4,3]],"ц":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"п":[{},[4]],"р":[{},[4,0,0,4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[4,3]],"ч":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"п":[{},[4]],"р":[{},[4,0,0,4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]]},[4,3]],"ш":[{".":[{},[8]],"ж":[{},[4]],"з":[{},[4]],"р":[{},[4,0,0,4]],"ш":[{},[4]]},[4,3]],"щ":[{".":[{},[8]],"р":[{},[4,0,0,4]],"щ":[{},[4]]},[4,3]]}],"с":[{"б":[{".":[{},[8]],"б":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3,4]],"в":[{".":[{},[8]],"в":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"с":[{},[4,0,0,4]],"ф":[{},[4]]},[2,3,4]],"г":[{".":[{},[8]],"г":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3,4]],"д":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3,4]],"ж":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[4,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[4,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"з":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[4,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[4,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"й":[{},[0,0,4]],"к":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"с":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ш":[{},[4,0,0,4]]},[2,3]],"л":[{".":[{},[8]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"л":[{},[4]],"с":[{},[4,0,0,4]]},[2,3,4]],"м":[{".":[{},[8]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"м":[{},[4]],"с":[{},[4,0,0,4]]},[2,3,4]],"н":[{".":[{},[8]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"н":[{},[4]],"с":[{},[4,0,0,4]]},[2,3,4]],"п":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ш":[{},[4,0,0,4]]},[2,3]],"р":[{".":[{},[8]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"р":[{},[4]],"с":[{},[4,0,0,4]]},[2,3,4]],"с":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[4,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"т":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3]],"ф":[{".":[{},[8]],"в":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"с":[{},[4,0,0,4]],"ф":[{},[4]]},[2,3]],"х":[{".":[{},[8]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"с":[{},[4,0,0,4]],"х":[{},[4]]},[2,3]],"ц":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3]],"ч":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3]],"ш":[{".":[{},[8]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"с":[{},[4,0,0,4]],"ш":[{},[4]]},[2,3]],"щ":[{".":[{},[8]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"с":[{},[4,0,0,4]],"щ":[{},[4]]},[2,3]]}],"т":[{"б":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"в":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"г":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"д":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"ж":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"с":[{},[4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"х":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[4]]},[2,3,4]],"з":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"с":[{},[4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"х":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[4]]},[2,3,4]],"й":[{},[0,0,4]],"к":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"л":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"м":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"м":[{},[4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"н":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"н":[{},[4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"п":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"р":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"с":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"с":[{},[4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3]],"т":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"ф":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3]],"х":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"х":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3]],"ц":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"ч":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"ш":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[4]]},[2,3]],"щ":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"щ":[{},[4]]},[2,3]]}],"у":[{},[0,1]],"ф":[{"б":[{".":[{},[8]],"б":[{},[4]],"в":[{},[4,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3,4]],"в":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[4,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"г":[{".":[{},[8]],"в":[{},[4,0,0,4]],"г":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3,4]],"д":[{".":[{},[8]],"б":[{},[4]],"в":[{},[4,0,0,4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3,4]],"ж":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[4,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[4,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[4,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"з":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[4,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[4,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[4,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"й":[{},[0,0,4]],"к":[{".":[{},[8]],"б":[{},[4]],"в":[{},[4,0,0,4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"с":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ш":[{},[4,0,0,4]]},[2,3]],"л":[{".":[{},[8]],"в":[{},[4,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"л":[{},[4]],"ф":[{},[4,0,0,4]]},[2,3,4]],"м":[{".":[{},[8]],"в":[{},[4,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"м":[{},[4]],"ф":[{},[4,0,0,4]]},[2,3,4]],"н":[{".":[{},[8]],"в":[{},[4,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"н":[{},[4]],"ф":[{},[4,0,0,4]]},[2,3,4]],"п":[{".":[{},[8]],"б":[{},[4]],"в":[{},[4,0,0,4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ш":[{},[4,0,0,4]]},[2,3]],"р":[{".":[{},[8]],"в":[{},[4,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"р":[{},[4]],"ф":[{},[4,0,0,4]]},[2,3,4]],"с":[{".":[{},[8]],"в":[{},[4,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"с":[{},[4]],"ф":[{},[4,0,0,4]]},[2,3]],"т":[{".":[{},[8]],"б":[{},[4]],"в":[{},[4,0,0,4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3]],"ф":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[4,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"х":[{".":[{},[8]],"в":[{},[4,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4]]},[2,3]],"ц":[{".":[{},[8]],"б":[{},[4]],"в":[{},[4,0,0,4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3]],"ч":[{".":[{},[8]],"б":[{},[4]],"в":[{},[4,0,0,4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3]],"ш":[{".":[{},[8]],"в":[{},[4,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"ш":[{},[4]]},[2,3]],"щ":[{".":[{},[8]],"в":[{},[4,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"щ":[{},[4]]},[2,3]]}],"х":[{"б":[{".":[{},[8]],"б":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3,4]],"в":[{".":[{},[8]],"в":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"ф":[{},[4]],"х":[{},[4,0,0,4]]},[2,3,4]],"г":[{".":[{},[8]],"г":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3,4]],"д":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3,4]],"ж":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[4,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[4,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"з":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[4,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[4,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"й":[{},[0,0,4]],"к":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"с":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ш":[{},[4,0,0,4]]},[2,3]],"л":[{".":[{},[8]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"л":[{},[4]],"х":[{},[4,0,0,4]]},[2,3,4]],"м":[{".":[{},[8]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"м":[{},[4]],"х":[{},[4,0,0,4]]},[2,3,4]],"н":[{".":[{},[8]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"н":[{},[4]],"х":[{},[4,0,0,4]]},[2,3,4]],"п":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ш":[{},[4,0,0,4]]},[2,3]],"р":[{".":[{},[8]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"р":[{},[4]],"х":[{},[4,0,0,4]]},[2,3,4]],"с":[{".":[{},[8]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"с":[{},[4]],"х":[{},[4,0,0,4]]},[2,3]],"т":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3]],"ф":[{".":[{},[8]],"в":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"ф":[{},[4]],"х":[{},[4,0,0,4]]},[2,3]],"х":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"ц":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3]],"ч":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3]],"ш":[{".":[{},[8]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ш":[{},[4]]},[2,3]],"щ":[{".":[{},[8]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"щ":[{},[4]]},[2,3]]}],"ц":[{"б":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"в":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"г":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"д":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"ж":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"с":[{},[4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"х":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[4]]},[2,3,4]],"з":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"с":[{},[4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"х":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[4]]},[2,3,4]],"й":[{},[0,0,4]],"к":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"л":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"м":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"м":[{},[4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"н":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"н":[{},[4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"п":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"р":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"с":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"с":[{},[4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3]],"т":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"ф":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3]],"х":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"х":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3]],"ц":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"ч":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"ш":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[4]]},[2,3]],"щ":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"щ":[{},[4]]},[2,3]]}],"ч":[{"б":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"в":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"г":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"д":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"ж":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"с":[{},[4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"х":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[4]]},[2,3,4]],"з":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"с":[{},[4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"х":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[4]]},[2,3,4]],"й":[{},[0,0,4]],"к":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"л":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"м":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"м":[{},[4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"н":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"н":[{},[4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"п":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"р":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3,4]],"с":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"с":[{},[4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3]],"т":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"ф":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3]],"х":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"х":[{},[4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]]},[2,3]],"ц":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"ч":[{".":[{},[8]],"б":[{},[4,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[4,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[4,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[4,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"ш":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"ж":[{},[4]],"з":[{},[4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"ш":[{},[4]]},[2,3]],"щ":[{".":[{},[8]],"б":[{},[4,0,0,4]],"г":[{},[4,0,0,4]],"д":[{},[4,0,0,4]],"к":[{},[4,0,0,4]],"п":[{},[4,0,0,4]],"т":[{},[4,0,0,4]],"ц":[{},[4,0,0,4]],"ч":[{},[4,0,0,4]],"щ":[{},[4]]},[2,3]]}],"ш":[{"б":[{".":[{},[8]],"б":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3,4]],"в":[{".":[{},[8]],"в":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"ф":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3,4]],"г":[{".":[{},[8]],"г":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3,4]],"д":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3,4]],"ж":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[4,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[4,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"з":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[4,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[4,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"й":[{},[0,0,4]],"к":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"с":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ш":[{},[4,0,0,4]]},[2,3]],"л":[{".":[{},[8]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"л":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3,4]],"м":[{".":[{},[8]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"м":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3,4]],"н":[{".":[{},[8]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"н":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3,4]],"п":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ш":[{},[4,0,0,4]]},[2,3]],"р":[{".":[{},[8]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"р":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3,4]],"с":[{".":[{},[8]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"с":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3]],"т":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3]],"ф":[{".":[{},[8]],"в":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"ф":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3]],"х":[{".":[{},[8]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"х":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3]],"ц":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3]],"ч":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[4]],"п":[{},[4]],"с":[{},[4,0,0,4]],"т":[{},[4]],"ф":[{},[4,0,0,4]],"х":[{},[4,0,0,4]],"ц":[{},[4]],"ч":[{},[4]],"ш":[{},[4,0,0,4]]},[2,3]],"ш":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[4,0,0,4]],"щ":[{},[0,0,0,4]]},[4,3,4]],"щ":[{".":[{},[8]],"ж":[{},[4,0,0,4]],"з":[{},[4,0,0,4]],"ш":[{},[4,0,0,4]],"щ":[{},[4]]},[2,3]]}],"щ":[{"б":[{".":[{},[8]],"б":[{},[4]],"к":[{},[4]],"п":[{},[4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]],"щ":[{},[4,0,0,4]]},[2,3,4]],"в":[{".":[{},[8]],"в":[{},[4]],"ф":[{},[4]],"щ":[{},[4,0,0,4]]},[2,3,4]],"г":[{".":[{},[8]],"г":[{},[4]],"к":[{},[4]],"п":[{},[4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]],"щ":[{},[4,0,0,4]]},[2,3,4]],"д":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"п":[{},[4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]],"щ":[{},[4,0,0,4]]},[2,3,4]],"ж":[{".":[{},[8]],"ж":[{},[4]],"с":[{},[4]],"ф":[{},[4]],"х":[{},[4]],"ш":[{},[4]],"щ":[{},[4,0,0,4]]},[2,3,4]],"з":[{".":[{},[8]],"з":[{},[4]],"с":[{},[4]],"ф":[{},[4]],"х":[{},[4]],"ш":[{},[4]],"щ":[{},[4,0,0,4]]},[2,3,4]],"й":[{},[0,0,4]],"к":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"щ":[{},[4,0,0,4]]},[2,3]],"л":[{".":[{},[8]],"л":[{},[4]],"щ":[{},[4,0,0,4]]},[2,3,4]],"м":[{".":[{},[8]],"м":[{},[4]],"щ":[{},[4,0,0,4]]},[2,3,4]],"н":[{".":[{},[8]],"н":[{},[4]],"щ":[{},[4,0,0,4]]},[2,3,4]],"п":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"п":[{},[4]],"щ":[{},[4,0,0,4]]},[2,3]],"р":[{".":[{},[8]],"р":[{},[4]],"щ":[{},[4,0,0,4]]},[2,3,4]],"с":[{".":[{},[8]],"ж":[{},[4]],"з":[{},[4]],"с":[{},[4]],"щ":[{},[4,0,0,4]]},[2,3]],"т":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"п":[{},[4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]],"щ":[{},[4,0,0,4]]},[2,3]],"ф":[{".":[{},[8]],"в":[{},[4]],"ж":[{},[4]],"з":[{},[4]],"ф":[{},[4]],"щ":[{},[4,0,0,4]]},[2,3]],"х":[{".":[{},[8]],"ж":[{},[4]],"з":[{},[4]],"х":[{},[4]],"щ":[{},[4,0,0,4]]},[2,3]],"ц":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"п":[{},[4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]],"щ":[{},[4,0,0,4]]},[2,3]],"ч":[{".":[{},[8]],"б":[{},[4]],"г":[{},[4]],"д":[{},[4]],"к":[{},[4]],"п":[{},[4]],"т":[{},[4]],"ц":[{},[4]],"ч":[{},[4]],"щ":[{},[4,0,0,4]]},[2,3]],"ш":[{".":[{},[8]],"ж":[{},[4]],"з":[{},[4]],"ш":[{},[4]],"щ":[{},[4,0,0,4]]},[2,3]],"щ":[{".":[{},[8]],"б":[{},[0,0,0,4]],"в":[{},[0,0,0,4]],"г":[{},[0,0,0,4]],"д":[{},[0,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"к":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"н":[{},[0,0,0,4]],"п":[{},[0,0,0,4]],"р":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"т":[{},[0,0,0,4]],"ф":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]],"ш":[{},[0,0,0,4]],"щ":[{},[4,0,0,4]]},[4,3,4]]}],"ъ":[{},[0,1]],"ю":[{},[0,1]],"я":[{},[0,1]]}';
  var hyphenation = [];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
