(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsCop = factory();
  }
})(this, function () {
  var patterns =
    '{"0":[{"ⲙ":[{"̀":[{"0":[{},[]]}]}],"ⲛ":[{"̀":[{"0":[{},[]]}]}]}],".":[{"0":[{"ⲯ":[{},[0,0,2]],"ⲑ":[{},[0,0,2]],"ⲝ":[{},[0,0,2]],"ⲫ":[{},[0,0,2]],"ϩ":[{},[0,0,2]],"ϫ":[{},[0,0,2]],"ⲙ":[{"̀":[{},[0,0,0,2]]}],"ⲛ":[{"̀":[{},[0,0,0,2]]}],"ⲓ":[{"̈":[{},[0,0,0,2]]}],"ϯ":[{},[0,0,2]]}],"ⲃ":[{},[0,2]],"ⲥ":[{},[0,2]],"ⲇ":[{},[0,2]],"ϥ":[{},[0,2]],"ⲅ":[{},[0,2]],"ϧ":[{},[0,2]],"ⲕ":[{},[0,2]],"ⲗ":[{},[0,2]],"ⲙ":[{},[0,2]],"ⲛ":[{},[0,2]],"ⲡ":[{},[0,2]],"ϭ":[{},[0,2]],"ⲣ":[{},[0,2]],"ⲧ":[{},[0,2]],"ⲱ":[{"ⲟ":[{"ⲩ":[{},[0,2]]}]},[0,2]],"ⲭ":[{},[0,2]],"ϣ":[{},[0,2]],"ⲍ":[{},[0,2]],"ⲏ":[{"ⲓ":[{},[0,2]]}]}],"ⲃ":[{"ⲃ":[{},[2]],"ⲅ":[{},[2]],"ⲇ":[{},[2]],"ⲍ":[{},[2]],"ϧ":[{},[2]],"ⲕ":[{},[2]],"ⲗ":[{},[0,2]],"ⲙ":[{"̀":[{"0":[{},[1,2]]}]},[2]],"ⲛ":[{"̀":[{"0":[{},[1,2]]}]},[2]],"ⲭ":[{},[2]],"ⲡ":[{},[2]],"ⲣ":[{},[0,2]],"ⲥ":[{},[2]],"ⲧ":[{},[2]],"ϥ":[{},[2]],"ϭ":[{},[2]],"ϣ":[{},[2]],".":[{},[2]],"ⲯ":[{"0":[{},[2,1]]}],"ⲑ":[{"0":[{},[2,1]]}],"ⲝ":[{"0":[{},[2,1]]}],"ⲫ":[{"0":[{},[2,1]]}],"ϩ":[{"0":[{},[2,1]]}],"ϫ":[{"0":[{},[2,1]]}],"ⳉ":[{"0":[{},[2,1]]}],"ϯ":[{"0":[{},[2,1]]}]},[1]],"ⲅ":[{"ⲃ":[{},[2]],"ⲅ":[{},[2]],"ⲇ":[{},[2]],"ⲍ":[{},[2]],"ϧ":[{},[2]],"ⲕ":[{},[2]],"ⲗ":[{},[0,2]],"ⲙ":[{"̀":[{"0":[{},[1,2]]}]},[2]],"ⲛ":[{"̀":[{"0":[{},[1,2]]}]},[2]],"ⲭ":[{},[2]],"ⲡ":[{},[2]],"ⲣ":[{},[0,2]],"ⲥ":[{},[2]],"ⲧ":[{},[2]],"ϥ":[{},[2]],"ϭ":[{},[2]],"ϣ":[{},[2]],".":[{},[2]],"ⲯ":[{"0":[{},[2,1]]}],"ⲑ":[{"0":[{},[2,1]]}],"ⲝ":[{"0":[{},[2,1]]}],"ⲫ":[{"0":[{},[2,1]]}],"ϩ":[{"0":[{},[2,1]]}],"ϫ":[{"0":[{},[2,1]]}],"ⳉ":[{"0":[{},[2,1]]}],"ϯ":[{"0":[{},[2,1]]}]},[1]],"ⲇ":[{"ⲃ":[{},[2]],"ⲅ":[{},[2]],"ⲇ":[{},[2]],"ⲍ":[{},[2]],"ϧ":[{},[0,2]],"ⲕ":[{},[2]],"ⲗ":[{},[2]],"ⲙ":[{"̀":[{"0":[{},[1,2]]}]},[2]],"ⲛ":[{"̀":[{"0":[{},[1,2]]}]},[2]],"ⲭ":[{},[2]],"ⲡ":[{},[2]],"ⲣ":[{},[0,2]],"ⲥ":[{},[2]],"ⲧ":[{},[2]],"ϥ":[{},[2]],"ϭ":[{},[2]],"ϣ":[{},[2]],".":[{},[2]],"ⲯ":[{"0":[{},[2,1]]}],"ⲑ":[{"0":[{},[2,1]]}],"ⲝ":[{"0":[{},[2,1]]}],"ⲫ":[{"0":[{},[2,1]]}],"ϩ":[{"0":[{},[2,1]]}],"ϫ":[{"0":[{},[2,1]]}],"ⳉ":[{"0":[{},[2,1]]}],"ϯ":[{"0":[{},[2,1]]}]},[1]],"ⲍ":[{"ⲃ":[{},[2]],"ⲅ":[{},[2]],"ⲇ":[{},[2]],"ⲍ":[{},[2]],"ϧ":[{},[2]],"ⲕ":[{},[2]],"ⲗ":[{},[2]],"ⲙ":[{"̀":[{"0":[{},[1,2]]}]},[2]],"ⲛ":[{"̀":[{"0":[{},[1,2]]}]},[2]],"ⲭ":[{},[2]],"ⲡ":[{},[2]],"ⲣ":[{},[2]],"ⲥ":[{},[2]],"ⲧ":[{},[2]],"ϥ":[{},[2]],"ϭ":[{},[2]],"ϣ":[{},[2]],".":[{},[2]],"ⲯ":[{"0":[{},[2,1]]}],"ⲑ":[{"0":[{},[2,1]]}],"ⲝ":[{"0":[{},[2,1]]}],"ⲫ":[{"0":[{},[2,1]]}],"ϩ":[{"0":[{},[2,1]]}],"ϫ":[{"0":[{},[2,1]]}],"ⳉ":[{"0":[{},[2,1]]}],"ϯ":[{"0":[{},[2,1]]}]},[1]],"ϧ":[{"ⲃ":[{},[2]],"ⲅ":[{},[2]],"ⲇ":[{},[2]],"ⲍ":[{},[2]],"ϧ":[{},[2]],"ⲕ":[{},[2]],"ⲗ":[{},[0,2]],"ⲙ":[{"̀":[{"0":[{},[1,2]]}]},[2]],"ⲛ":[{"̀":[{"0":[{},[1,2]]}]},[0,2]],"ⲭ":[{},[2]],"ⲡ":[{},[2]],"ⲣ":[{},[2]],"ⲥ":[{},[2]],"ⲧ":[{},[2]],"ϥ":[{},[2]],"ϭ":[{},[2]],"ϣ":[{},[2]],".":[{},[2]],"ⲯ":[{"0":[{},[2,1]]}],"ⲑ":[{"0":[{},[2,1]]}],"ⲝ":[{"0":[{},[2,1]]}],"ⲫ":[{"0":[{},[2,1]]}],"ϩ":[{"0":[{},[2,1]]}],"ϫ":[{"0":[{},[2,1]]}],"ⳉ":[{"0":[{},[2,1]]}],"ϯ":[{"0":[{},[2,1]]}]},[1]],"ⲕ":[{"ⲃ":[{},[2]],"ⲅ":[{},[2]],"ⲇ":[{},[2]],"ⲍ":[{},[2]],"ϧ":[{},[2]],"ⲕ":[{},[2]],"ⲗ":[{},[0,2]],"ⲙ":[{"̀":[{"0":[{},[1,2]]}]},[2]],"ⲛ":[{"̀":[{"0":[{},[1,2]]}]},[2]],"ⲭ":[{},[2]],"ⲡ":[{},[2]],"ⲣ":[{},[0,2]],"ⲥ":[{},[2]],"ⲧ":[{},[0,2]],"ϥ":[{},[2]],"ϭ":[{},[2]],"ϣ":[{},[2]],".":[{},[2]],"ⲯ":[{"0":[{},[2,1]]}],"ⲑ":[{"0":[{},[2,1]]}],"ⲝ":[{"0":[{},[2,1]]}],"ⲫ":[{"0":[{},[2,1]]}],"ϩ":[{"0":[{},[2,1]]}],"ϫ":[{"0":[{},[2,1]]}],"ⳉ":[{"0":[{},[2,1]]}],"ϯ":[{"0":[{},[2,1]]}]},[1]],"ⲗ":[{"ⲃ":[{},[2]],"ⲅ":[{},[2]],"ⲇ":[{},[2]],"ⲍ":[{},[2]],"ϧ":[{},[2]],"ⲕ":[{},[2]],"ⲗ":[{},[2]],"ⲙ":[{"̀":[{"0":[{},[1,2]]}]},[2]],"ⲛ":[{"̀":[{"0":[{},[1,2]]}]},[2]],"ⲭ":[{},[2]],"ⲡ":[{},[2]],"ⲣ":[{},[2]],"ⲥ":[{},[2]],"ⲧ":[{},[2]],"ϥ":[{},[2]],"ϭ":[{},[2]],"ϣ":[{},[2]],".":[{},[2]],"ⲯ":[{"0":[{},[2,1]]}],"ⲑ":[{"0":[{},[2,1]]}],"ⲝ":[{"0":[{},[2,1]]}],"ⲫ":[{"0":[{},[2,1]]}],"ϩ":[{"0":[{},[2,1]]}],"ϫ":[{"0":[{},[2,1]]}],"ⳉ":[{"0":[{},[2,1]]}],"ϯ":[{"0":[{},[2,1]]}]},[1]],"ⲙ":[{"ⲃ":[{},[2]],"ⲅ":[{},[2]],"ⲇ":[{},[2]],"ⲍ":[{},[2]],"ϧ":[{},[2]],"ⲕ":[{},[2]],"ⲗ":[{},[2]],"ⲙ":[{"̀":[{"0":[{},[1,2]]}]},[2]],"ⲛ":[{"̀":[{"0":[{},[1,2]]}]},[2]],"ⲭ":[{},[2]],"ⲡ":[{},[2]],"ⲣ":[{},[2]],"ⲥ":[{},[2]],"ⲧ":[{},[2]],"ϥ":[{},[2]],"ϭ":[{},[2]],"ϣ":[{},[2]],".":[{},[2]],"ⲯ":[{"0":[{},[2,1]]}],"ⲑ":[{"0":[{},[2,1]]}],"ⲝ":[{"0":[{},[2,1]]}],"ⲫ":[{"0":[{},[2,1]]}],"ϩ":[{"0":[{},[2,1]]}],"ϫ":[{"0":[{},[2,1]]}],"ⳉ":[{"0":[{},[2,1]]}],"ϯ":[{"0":[{},[2,1]]}],"̀":[{"0":[{".":[{},[2]]}],"ⲃ":[{},[2,0,1]],"ⲅ":[{},[2,0,1]],"ⲇ":[{},[2,0,1]],"ϧ":[{},[2,0,1]],"ⲕ":[{},[2,0,1]],"ⲗ":[{},[2,0,1]],"ⲙ":[{},[2,0,1]],"ⲛ":[{},[2,0,1]],"ⲭ":[{},[2,0,1]],"ⲡ":[{},[2,0,1]],"ⲣ":[{},[2,0,1]],"ⲥ":[{},[2,0,1]],"ⲧ":[{},[2,0,1]],"ϥ":[{},[2,0,1]],"ϭ":[{},[2,0,1]],"ϣ":[{},[2,0,1]]}]},[1]],"ⲛ":[{"ⲃ":[{},[2]],"ⲅ":[{},[2]],"ⲇ":[{},[2]],"ⲍ":[{},[2]],"ϧ":[{},[2]],"ⲕ":[{},[2]],"ⲗ":[{},[2]],"ⲙ":[{"̀":[{"0":[{},[1,2]]}]},[2]],"ⲛ":[{"̀":[{"0":[{},[1,2]]}]},[2]],"ⲭ":[{},[2]],"ⲡ":[{},[2]],"ⲣ":[{},[2]],"ⲥ":[{},[2]],"ⲧ":[{},[2]],"ϥ":[{},[2]],"ϭ":[{},[2]],"ϣ":[{},[2]],".":[{},[2]],"ⲯ":[{"0":[{},[2,1]]}],"ⲑ":[{"0":[{},[2,1]]}],"ⲝ":[{"0":[{},[2,1]]}],"ⲫ":[{"0":[{},[2,1]]}],"ϩ":[{"0":[{},[2,1]]}],"ϫ":[{"0":[{},[2,1]]}],"ⳉ":[{"0":[{},[2,1]]}],"ϯ":[{"0":[{},[2,1]]}],"̀":[{"0":[{".":[{},[2]]}],"ⲃ":[{},[2,0,1]],"ⲅ":[{},[2,0,1]],"ⲇ":[{},[2,0,1]],"ϧ":[{},[2,0,1]],"ⲕ":[{},[2,0,1]],"ⲗ":[{},[2,0,1]],"ⲙ":[{},[2,0,1]],"ⲛ":[{},[2,0,1]],"ⲭ":[{},[2,0,1]],"ⲡ":[{},[2,0,1]],"ⲣ":[{},[2,0,1]],"ⲥ":[{},[2,0,1]],"ⲧ":[{},[2,0,1]],"ϥ":[{},[2,0,1]],"ϭ":[{},[2,0,1]],"ϣ":[{},[2,0,1]]}]},[1]],"ⲭ":[{"ⲃ":[{},[2]],"ⲅ":[{},[2]],"ⲇ":[{},[2]],"ⲍ":[{},[2]],"ϧ":[{},[2]],"ⲕ":[{},[2]],"ⲗ":[{},[2]],"ⲙ":[{"̀":[{"0":[{},[1,2]]}]},[2]],"ⲛ":[{"̀":[{"0":[{},[1,2]]}]},[2]],"ⲭ":[{},[2]],"ⲡ":[{},[2]],"ⲣ":[{},[2]],"ⲥ":[{},[2]],"ⲧ":[{},[2]],"ϥ":[{},[2]],"ϭ":[{},[2]],"ϣ":[{},[2]],".":[{},[2]],"ⲯ":[{"0":[{},[2,1]]}],"ⲑ":[{"0":[{},[2,1]]}],"ⲝ":[{"0":[{},[2,1]]}],"ⲫ":[{"0":[{},[2,1]]}],"ϩ":[{"0":[{},[2,1]]}],"ϫ":[{"0":[{},[2,1]]}],"ⳉ":[{"0":[{},[2,1]]}],"ϯ":[{"0":[{},[2,1]]}]},[1]],"ⲡ":[{"ⲃ":[{},[2]],"ⲅ":[{},[2]],"ⲇ":[{},[2]],"ⲍ":[{},[2]],"ϧ":[{},[2]],"ⲕ":[{},[2]],"ⲗ":[{},[0,2]],"ⲙ":[{"̀":[{"0":[{},[1,2]]}]},[2]],"ⲛ":[{"̀":[{"0":[{},[1,2]]}]},[0,2]],"ⲭ":[{},[2]],"ⲡ":[{},[2]],"ⲣ":[{},[0,2]],"ⲥ":[{},[2]],"ⲧ":[{},[0,2]],"ϥ":[{},[2]],"ϭ":[{},[2]],"ϣ":[{},[2]],".":[{},[2]],"ⲯ":[{"0":[{},[2,1]]}],"ⲑ":[{"0":[{},[2,1]]}],"ⲝ":[{"0":[{},[2,1]]}],"ⲫ":[{"0":[{},[2,1]]}],"ϩ":[{"0":[{},[2,1]]}],"ϫ":[{"0":[{},[2,1]]}],"ⳉ":[{"0":[{},[2,1]]}],"ϯ":[{"0":[{},[2,1]]}]},[1]],"ⲣ":[{"ⲃ":[{},[2]],"ⲅ":[{},[2]],"ⲇ":[{},[2]],"ⲍ":[{},[2]],"ϧ":[{},[2]],"ⲕ":[{},[2]],"ⲗ":[{},[2]],"ⲙ":[{"̀":[{"0":[{},[1,2]]}]},[2]],"ⲛ":[{"̀":[{"0":[{},[1,2]]}]},[2]],"ⲭ":[{},[2]],"ⲡ":[{},[2]],"ⲣ":[{},[2]],"ⲥ":[{},[2]],"ⲧ":[{},[2]],"ϥ":[{},[2]],"ϭ":[{},[2]],"ϣ":[{},[2]],".":[{},[2]],"ⲯ":[{"0":[{},[2,1]]}],"ⲑ":[{"0":[{},[2,1]]}],"ⲝ":[{"0":[{},[2,1]]}],"ⲫ":[{"0":[{},[2,1]]}],"ϩ":[{"0":[{},[2,1]]}],"ϫ":[{"0":[{},[2,1]]}],"ⳉ":[{"0":[{},[2,1]]}],"ϯ":[{"0":[{},[2,1]]}]},[1]],"ⲥ":[{"ⲃ":[{},[0,2]],"ⲅ":[{},[0,2]],"ⲇ":[{},[0,2]],"ⲍ":[{},[2]],"ϧ":[{},[2]],"ⲕ":[{},[0,2]],"ⲗ":[{},[0,2]],"ⲙ":[{"̀":[{"0":[{},[1,2]]}]},[0,2]],"ⲛ":[{"̀":[{"0":[{},[1,2]]}]},[0,2]],"ⲭ":[{},[2]],"ⲡ":[{},[0,2]],"ⲣ":[{},[0,2]],"ⲥ":[{},[2]],"ⲧ":[{},[0,2]],"ϥ":[{},[0,2]],"ϭ":[{},[2]],"ϣ":[{},[2]],".":[{},[2]],"ⲯ":[{"0":[{},[2,1]]}],"ⲑ":[{"0":[{},[2,1]]}],"ⲝ":[{"0":[{},[2,1]]}],"ⲫ":[{"0":[{},[2,1]]}],"ϩ":[{"0":[{},[2,1]]}],"ϫ":[{"0":[{},[2,1]]}],"ⳉ":[{"0":[{},[2,1]]}],"ϯ":[{"0":[{},[2,1]]}]},[1]],"ⲧ":[{"ⲃ":[{},[2]],"ⲅ":[{},[2]],"ⲇ":[{},[2]],"ⲍ":[{},[0,2]],"ϧ":[{".":[{},[2,2]]},[0,2]],"ⲕ":[{},[2]],"ⲗ":[{},[2]],"ⲙ":[{"̀":[{"0":[{},[1,2]]}]},[0,2]],"ⲛ":[{"̀":[{"0":[{},[1,2]]}]},[2]],"ⲭ":[{},[2]],"ⲡ":[{},[2]],"ⲣ":[{},[0,2]],"ⲥ":[{},[0,2]],"ⲧ":[{},[2]],"ϥ":[{},[2]],"ϭ":[{},[2]],"ϣ":[{},[2]],".":[{},[2]],"ⲯ":[{"0":[{},[2,1]]}],"ⲑ":[{"0":[{},[2,1]]}],"ⲝ":[{"0":[{},[2,1]]}],"ⲫ":[{"0":[{},[2,1]]}],"ϩ":[{"0":[{},[2,1]]}],"ϫ":[{"0":[{},[2,1]]}],"ⳉ":[{"0":[{},[2,1]]}],"ϯ":[{"0":[{},[2,1]]}]},[1]],"ϥ":[{"ⲃ":[{},[2]],"ⲅ":[{},[2]],"ⲇ":[{},[2]],"ⲍ":[{},[2]],"ϧ":[{},[2]],"ⲕ":[{},[2]],"ⲗ":[{},[0,2]],"ⲙ":[{"̀":[{"0":[{},[1,2]]}]},[2]],"ⲛ":[{"̀":[{"0":[{},[1,2]]}]},[2]],"ⲭ":[{},[2]],"ⲡ":[{},[2]],"ⲣ":[{},[0,2]],"ⲥ":[{},[2]],"ⲧ":[{},[0,2]],"ϥ":[{},[2]],"ϭ":[{},[2]],"ϣ":[{},[2]],".":[{},[2]],"ⲯ":[{"0":[{},[2,1]]}],"ⲑ":[{"0":[{},[2,1]]}],"ⲝ":[{"0":[{},[2,1]]}],"ⲫ":[{"0":[{},[2,1]]}],"ϩ":[{"0":[{},[2,1]]}],"ϫ":[{"0":[{},[2,1]]}],"ⳉ":[{"0":[{},[2,1]]}],"ϯ":[{"0":[{},[2,1]]}]},[1]],"ϭ":[{"ⲃ":[{},[2]],"ⲅ":[{},[2]],"ⲇ":[{},[2]],"ⲍ":[{},[2]],"ϧ":[{},[0,2]],"ⲕ":[{},[2]],"ⲗ":[{},[0,2]],"ⲙ":[{"̀":[{"0":[{},[1,2]]}]},[2]],"ⲛ":[{"̀":[{"0":[{},[1,2]]}]},[0,2]],"ⲭ":[{},[2]],"ⲡ":[{},[2]],"ⲣ":[{},[0,2]],"ⲥ":[{},[2]],"ⲧ":[{},[0,2]],"ϥ":[{},[2]],"ϭ":[{},[2]],"ϣ":[{},[2]],".":[{},[2]],"ⲯ":[{"0":[{},[2,1]]}],"ⲑ":[{"0":[{},[2,1]]}],"ⲝ":[{"0":[{},[2,1]]}],"ⲫ":[{"0":[{},[2,1]]}],"ϩ":[{"0":[{},[2,1]]}],"ϫ":[{"0":[{},[2,1]]}],"ⳉ":[{"0":[{},[2,1]]}],"ϯ":[{"0":[{},[2,1]]}]},[1]],"ϣ":[{"ⲃ":[{},[2]],"ⲅ":[{},[2]],"ⲇ":[{},[2]],"ⲍ":[{},[2]],"ϧ":[{},[2]],"ⲕ":[{},[2]],"ⲗ":[{},[2]],"ⲙ":[{"̀":[{"0":[{},[1,2]]}]},[2]],"ⲛ":[{"̀":[{"0":[{},[1,2]]}]},[2]],"ⲭ":[{},[2]],"ⲡ":[{},[2]],"ⲣ":[{},[2]],"ⲥ":[{},[2]],"ⲧ":[{},[2]],"ϥ":[{},[2]],"ϭ":[{},[2]],"ϣ":[{},[2]],".":[{},[2]],"ⲯ":[{"0":[{},[2,1]]}],"ⲑ":[{"0":[{},[2,1]]}],"ⲝ":[{"0":[{},[2,1]]}],"ⲫ":[{"0":[{},[2,1]]}],"ϩ":[{"0":[{},[2,1]]}],"ϫ":[{"0":[{},[2,1]]}],"ⳉ":[{"0":[{},[2,1]]}],"ϯ":[{"0":[{},[2,1]]}]},[1]],"ⲓ":[{"̈":[{"0":[{".":[{},[1]]},[1]]}]}],"ⲩ":[{"̈":[{"0":[{".":[{},[1]]},[1]]}]}],"ϩ":[{"0":[{".":[{},[2]]},[3]],"ⲣ":[{},[2,1]]}],"ⲫ":[{"0":[{".":[{},[2]]},[1]]}],"ⲝ":[{"0":[{".":[{},[2]]},[1]]}],"ⲑ":[{"0":[{".":[{},[2]]},[1]]}],"ⲯ":[{"0":[{".":[{},[2]]},[1]]}],"ϫ":[{"0":[{".":[{},[2]]},[1]]}],"ⲏ":[{"ϧ":[{"0":[{".":[{},[2,2]]},[1,2]]}],"ⳉ":[{"0":[{".":[{},[2,2]]},[3,2]]}],"ⲁ":[{},[0,1]],"ⲉ":[{},[0,1]],"ⲟ":[{"ⲩ":[{},[0,1]]},[0,1]],"ⲱ":[{},[0,1]],"ⲓ":[{"ⲁ":[{},[0,1]],"ⲉ":[{},[0,1]],"ⲟ":[{},[0,1]],"ⲱ":[{},[0,1]]}]}],"ⳉ":[{"0":[{".":[{},[2]]},[3]]}],"ϯ":[{"0":[{".":[{},[2]]},[1]]}],"ⲁ":[{"ⲉ":[{"ⲓ":[{},[0,2,2]]},[0,1]],"ⲟ":[{"ⲩ":[{},[0,2]]},[0,1]],"ⲏ":[{},[0,1]],"ⲱ":[{},[0,1]],"ⲓ":[{"ⲁ":[{},[0,1]],"ⲉ":[{},[0,1]],"ⲟ":[{},[0,1]],"ⲱ":[{},[0,1]]}]}],"ⲉ":[{"ⲁ":[{},[0,1]],"ⲟ":[{"ⲩ":[{},[0,2]]},[0,1]],"ⲏ":[{},[0,1]],"ⲱ":[{},[0,1]],"ⲓ":[{},[0,2]]}],"ⲟ":[{"ⲁ":[{},[0,1]],"ⲉ":[{},[0,1]],"ⲏ":[{},[0,1]],"ⲱ":[{},[0,1]],"ⲓ":[{"ⲁ":[{},[0,1]],"ⲉ":[{},[0,1]],"ⲟ":[{},[0,1]],"ⲱ":[{},[0,1]]}],"ⲟ":[{"ⲩ":[{},[0,2]]}],"ⲩ":[{"ⲁ":[{},[0,0,2]],"ⲉ":[{},[0,0,2]],"ⲏ":[{},[0,0,2]],"ⲟ":[{},[0,0,2]],"ⲩ":[{},[0,0,2]],"ⲱ":[{},[0,0,2]],"ⲓ":[{},[0,0,2]]}]}],"ⲱ":[{"ⲟ":[{"ⲩ":[{},[0,1]]}]}]}';
  var hyphenation = [];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
