(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsCu = factory();
  }
})(this, function () {
  var patterns =
    '{".":[{"а":[{"̀":[{},[0,0,8]],"́":[{},[0,0,8]],"̑":[{},[0,0,8]],"҆":[{"̀":[{},[0,0,0,8]],"́":[{},[0,0,0,8]],"̈":[{},[0,0,0,8]],"̑":[{},[0,0,0,8]],"в":[{"е":[{"с":[{"с":[{"а":[{"л":[{"ѡ":[{"́":[{"м":[{},[0,0,0,0,0,7]]}]}]}]}]}]}]}]}],"к":[{"т":[{"а":[{"́":[{"ꙋ":[{},[0,0,0,0,0,0,7]]}]}]}]}],"р":[{"і":[{"̈":[{"а":[{"́":[{"д":[{"н":[{},[0,0,0,0,0,0,0,7,8]]}]}]}]}]}],"ї":[{"а":[{"́":[{"д":[{"н":[{},[0,0,0,0,0,0,7,8]]}]}]}]}]}],"с":[{"с":[{"ѵ":[{"̏":[{"р":[{},[0,0,0,7]]}]}],"ѷ":[{"р":[{},[0,0,0,7]]}]}]}]},[0,0,8]],"ⷠ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷡ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷢ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷣ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷤ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷥ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷦ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷧ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷨ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷩ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷪ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷫ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷬ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷭ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷮ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷯ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷰ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷱ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷲ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷳ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷼ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷽ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷾ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷿ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙼":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙽":[{"҇":[{},[0,0,0,8]]},[0,0,8]]},[0,8]],"б":[{"а":[{"́":[{},[0,0,0,1]]}],"и":[{"́":[{},[0,0,0,1]],"ш":[{},[0,0,0,1]]},[0,0,2]],"л":[{"е":[{},[0,0,0,1]]}],"р":[{"о":[{},[0,0,0,1]],"ѧ":[{},[0,0,0,1]]}],"ѧ":[{"́":[{},[0,0,0,1]]}]},[0,2]],"в":[{"а":[{"̑":[{},[0,0,0,1]],"в":[{},[0,0,1]],"л":[{},[0,0,1]],"н":[{},[0,0,1]],"х":[{},[0,0,1]]}],"д":[{"о":[{},[0,0,0,1]]}],"е":[{"д":[{},[0,0,1]],"н":[{},[0,0,1]]}],"и":[{"́":[{},[0,0,0,1]],"̑":[{},[0,0,0,1]],"с":[{},[0,0,0,1]],"т":[{},[0,0,1]]}],"л":[{"е":[{},[0,0,0,1]]}],"н":[{},[0,0,2]],"о":[{"е":[{},[0,0,0,1]],"с":[{"п":[{"р":[{"ѧ":[{"́":[{"н":[{},[0,0,7,8]]}],"н":[{},[0,0,7,8]]}]}],"ѣ":[{"́":[{"в":[{},[0,0,0,7]]}],"в":[{},[0,0,0,7]]}]}],"т":[{"р":[{"е":[{"́":[{"п":[{"е":[{"т":[{},[0,0,0,7]]}]}]}],"п":[{"е":[{"т":[{},[0,0,0,7]]}]}]}],"ꙋ":[{"́":[{"б":[{},[0,0,0,7]]}],"б":[{},[0,0,0,7]]}]}]}]}]}],"р":[{"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]]}],"ч":[{"е":[{},[0,0,0,1]]}],"є":[{"́":[{},[0,0,0,1]]}],"і":[{"̈":[{"а":[{},[0,0,0,0,1]]},[0,0,0,1]]}],"ї":[{"а":[{},[0,0,0,1]]},[0,0,1]],"ѣ":[{"р":[{},[0,0,1]],"т":[{},[0,0,1]]}],"ꙋ":[{},[0,0,1]]},[0,2]],"г":[{"е":[{"л":[{},[0,0,1]]}],"л":[{"ꙋ":[{},[0,0,0,1]]}],"р":[{"и":[{"́":[{"в":[{"н":[{"а":[{},[0,0,0,0,7,8]],"ы":[{},[0,0,0,0,7,8]]}]}]}],"̑":[{"в":[{"н":[{"ы":[{},[0,0,0,0,7,8]],"ѣ":[{},[0,0,0,0,7,8]]}]}]}]}],"ѧ":[{},[0,0,0,1]]}],"і":[{"̈":[{},[0,0,0,1]]}],"ї":[{},[0,0,1]],"ꙋ":[{"б":[{},[0,0,1]]}]},[0,2]],"д":[{"а":[{"в":[{},[0,0,1]],"л":[{},[0,0,1]]}],"и":[{"м":[{},[0,0,1]],"с":[{},[0,0,1]]}],"о":[{"л":[{},[0,0,0,1]],"с":[{},[0,0,1]],"х":[{},[0,0,0,1]]}],"р":[{"о":[{},[0,0,0,1]]},[0,0,2]],"ы":[{"х":[{},[0,0,1]]}],"і":[{"̈":[{},[0,0,0,1]]}],"ї":[{},[0,0,1]],"ѡ":[{"р":[{},[0,0,1]]}],"ѣ":[{"в":[{},[0,0,1]],"л":[{},[0,0,1]]}],"ꙋ":[{"х":[{},[0,0,1]]}]},[0,2]],"е":[{"̀":[{},[0,0,8]],"́":[{},[0,0,8]],"̈":[{},[0,0,8]],"̑":[{},[0,0,8]],"҆":[{"̀":[{},[0,0,0,8]],"́":[{},[0,0,0,8]],"̈":[{},[0,0,0,8]],"̑":[{},[0,0,0,8]]},[0,0,8]],"ⷠ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷡ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷢ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷣ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷤ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷥ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷦ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷧ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷨ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷩ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷪ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷫ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷬ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷭ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷮ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷯ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷰ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷱ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷲ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷳ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷼ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷽ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷾ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷿ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙼":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙽":[{"҇":[{},[0,0,0,8]]},[0,0,8]]},[0,8]],"ж":[{"е":[{"н":[{},[0,0,1]],"с":[{},[0,0,1]]}],"и":[{"л":[{},[0,0,1]],"т":[{},[0,0,1]]}],"є":[{"н":[{},[0,0,1]]}]},[0,2]],"з":[{"а":[{"н":[{},[0,0,1]],"х":[{},[0,0,1]]}],"е":[{"́":[{"м":[{"л":[{"е":[{},[0,0,0,7]],"ю":[{},[0,0,0,7]]}]}]}],"р":[{},[0,0,0,1]]}],"о":[{},[0,0,1]],"ꙋ":[{},[0,0,1]]},[0,2]],"и":[{"̀":[{},[0,0,8]],"́":[{},[0,0,8]],"̆":[{"̀":[{},[0,0,0,8]],"́":[{},[0,0,0,8]],"̈":[{},[0,0,0,8]],"̑":[{},[0,0,0,8]],"҆":[{"̀":[{},[0,0,0,0,8]],"́":[{},[0,0,0,0,8]],"̈":[{},[0,0,0,0,8]],"̑":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷠ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷡ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷢ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷣ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷤ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷥ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷦ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷧ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷨ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷩ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷪ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷫ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷬ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷭ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷮ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷯ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷰ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷱ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷲ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷳ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷴ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷵ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷶ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷷ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷸ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷹ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷺ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷻ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷼ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷽ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷾ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ⷿ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ꙴ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ꙵ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ꙶ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ꙷ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ꙸ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ꙹ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ꙺ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"ꙻ":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"꙼":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]],"꙽":[{"҇":[{},[0,0,0,0,8]]},[0,0,0,8]]},[0,0,8]],"̑":[{},[0,0,8]],"҆":[{"̀":[{},[0,0,0,8]],"́":[{},[0,0,0,8]],"̈":[{},[0,0,0,8]],"̑":[{},[0,0,0,8]],"з":[{"б":[{"а":[{"́":[{"в":[{"л":[{"е":[{},[0,0,0,0,0,0,7]],"ю":[{},[0,0,0,0,0,0,7]]}]}]}]}]}]}],"с":[{"а":[{"́":[{"і":[{"̈":[{"е":[{},[0,0,0,0,0,7]],"ѧ":[{},[0,0,0,0,0,7]]}]}],"ї":[{"е":[{},[0,0,0,0,0,7]],"ѧ":[{},[0,0,0,0,0,7]]}]}]}],"к":[{"а":[{"́":[{"п":[{"а":[{"в":[{},[0,0,0,7]]}]}]}]}],"о":[{"р":[{"е":[{"н":[{},[0,0,0,7]]}]}]}],"ꙋ":[{"́":[{"с":[{},[0,0,0,7]]}],"с":[{},[0,0,0,7]]}]}],"т":[{"е":[{"́":[{"к":[{},[0,0,0,7]]}],"к":[{},[0,0,0,7]]}],"о":[{"́":[{"т":[{"н":[{},[0,0,0,8]]}]}]}]}]}]},[0,0,8]],"ⷠ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷡ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷢ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷣ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷤ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷥ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷦ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷧ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷨ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷩ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷪ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷫ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷬ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷭ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷮ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷯ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷰ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷱ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷲ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷳ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷼ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷽ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷾ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷿ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙼":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙽":[{"҇":[{},[0,0,0,8]]},[0,0,8]]},[0,8]],"й":[{"̀":[{},[0,0,8]],"́":[{},[0,0,8]],"̈":[{},[0,0,8]],"̑":[{},[0,0,8]],"҆":[{"̀":[{},[0,0,0,8]],"́":[{},[0,0,0,8]],"̈":[{},[0,0,0,8]],"̑":[{},[0,0,0,8]]},[0,0,8]],"ⷠ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷡ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷢ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷣ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷤ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷥ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷦ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷧ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷨ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷩ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷪ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷫ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷬ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷭ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷮ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷯ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷰ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷱ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷲ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷳ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷼ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷽ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷾ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷿ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙼":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙽":[{"҇":[{},[0,0,0,8]]},[0,0,8]]},[0,8]],"к":[{"а":[{"̑":[{},[0,0,0,1]]}],"и":[{},[0,0,2]],"л":[{},[0,0,2]],"о":[{"в":[{},[0,0,1]],"е":[{},[0,0,0,1]],"м":[{},[0,0,1]]}],"ѡ":[{"н":[{},[0,0,0,1]]}]},[0,2]],"л":[{"а":[{"в":[{},[0,0,1]]}],"и":[{"̑":[{},[0,0,0,1]]}],"ь":[{},[0,0,2]],"і":[{"̈":[{},[0,0,0,1]]}],"ї":[{},[0,0,1]],"ѵ":[{"̏":[{},[0,0,0,1]]}],"ѷ":[{},[0,0,1]]},[0,2]],"м":[{"а":[{"м":[{},[0,0,0,1]],"н":[{},[0,0,1]],"т":[{},[0,0,1]]}],"е":[{"л":[{"х":[{"і":[{"̈":[{"с":[{"е":[{"д":[{"е":[{"́":[{"к":[{},[0,0,0,7]]}]}]}]}]}]}]}],"ї":[{"с":[{"е":[{"д":[{"е":[{"́":[{"к":[{},[0,0,0,7]]}]}]}]}]}]}]}]}],"н":[{},[0,0,1]],"р":[{},[0,0,0,1]],"с":[{"с":[{"і":[{"́":[{},[0,0,0,7]]}]}]}],"т":[{"н":[{"е":[{"́":[{"н":[{},[0,0,7,8]]}]}]}]},[0,0,1]]}],"л":[{"е":[{},[0,0,0,1]]}],"о":[{"н":[{},[0,0,1]],"р":[{},[0,0,0,1]],"с":[{},[0,0,1]],"щ":[{},[0,0,1]]}],"ы":[{"̑":[{},[0,0,0,1]]}],"ѧ":[{"т":[{},[0,0,1]]}]},[0,2]],"н":[{"а":[{"з":[{"а":[{"р":[{"е":[{"́":[{"т":[{},[0,0,0,0,7]]}]}]}]}]}],"м":[{},[0,0,1]],"х":[{},[0,0,1]]}],"е":[{"ѡ":[{},[0,0,0,1]]},[0,0,1]],"и":[{"в":[{},[0,0,1]],"к":[{},[0,0,1]]}],"ы":[{"́":[{},[0,0,0,1]]}],"ю":[{"́":[{},[0,0,0,1]]},[0,0,2]],"і":[{"̈":[{},[0,0,0,1]]}],"ї":[{},[0,0,1]],"ѡ":[{"́":[{},[0,0,0,1]]}],"ѣ":[{"м":[{},[0,0,1]]}],"ѧ":[{"́":[{},[0,0,0,1]]}],"ꙋ":[{},[0,0,2]]},[0,2]],"о":[{"̀":[{},[0,0,8]],"́":[{},[0,0,8]],"̑":[{},[0,0,8]],"҆":[{"̀":[{},[0,0,0,8]],"́":[{},[0,0,0,8]],"̈":[{},[0,0,0,8]],"̑":[{},[0,0,0,8]]},[0,0,8]],"ⷠ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷡ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷢ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷣ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷤ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷥ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷦ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷧ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷨ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷩ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷪ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷫ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷬ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷭ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷮ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷯ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷰ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷱ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷲ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷳ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷼ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷽ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷾ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷿ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙼":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙽":[{"҇":[{},[0,0,0,8]]},[0,0,8]]},[0,8]],"п":[{"а":[{"д":[{},[0,0,1]],"с":[{},[0,0,1]]}],"е":[{"л":[{},[0,0,1]],"р":[{},[0,0,0,1]],"т":[{},[0,0,1]],"ц":[{},[0,0,1]]}],"и":[{"т":[{},[0,0,1]]}],"о":[{"́":[{"ж":[{"н":[{"е":[{"т":[{},[0,0,0,7,8]]}],"ꙋ":[{"т":[{},[0,0,0,7,8]]}]}]}],"м":[{"н":[{"и":[{"т":[{},[0,0,0,7,8]]}]}]}]}],"в":[{"с":[{"ю":[{"́":[{"д":[{},[0,0,7]]}]}]}]}],"д":[{"н":[{"о":[{"́":[{"г":[{},[0,0,8,7]],"ж":[{},[0,0,8,7]]}]}]}]}],"з":[{"л":[{"а":[{"щ":[{},[0,0,7]]}]}]}],"л":[{"ꙋ":[{"́":[{"д":[{"н":[{"е":[{},[0,0,0,0,0,7,8]],"и":[{},[0,0,0,0,0,7,8]]}]}]}]}]}],"т":[{"о":[{"п":[{"л":[{"е":[{"́":[{"н":[{},[0,0,0,0,8,7]]}]}],"ѧ":[{"́":[{},[0,0,0,0,8,7]]}]}]}]}]}],"ч":[{"н":[{"е":[{"́":[{"т":[{},[0,0,7]]}]}]}]}]}],"р":[{"е":[{"л":[{"ь":[{"с":[{"т":[{"и":[{"́":[{},[0,0,0,7,0,8]]}]}]}],"щ":[{"а":[{"́":[{},[0,0,0,7,0,8]]}]}]}]}]}],"и":[{"́":[{"т":[{"ч":[{"а":[{},[0,0,0,0,7,8]],"е":[{},[0,0,0,0,7,8]],"и":[{},[0,0,0,0,7,8]]}]}]}],"л":[{"ь":[{"п":[{},[0,0,0,7]]}]}]}],"о":[{"́":[{"с":[{"т":[{"р":[{"ꙋ":[{},[0,0,0,0,7]]}]}]}]}],"з":[{"в":[{"а":[{"̀":[{},[0,0,0,7,8]]}]}]}]}],"і":[{"̈":[{"е":[{"́":[{"м":[{"л":[{"е":[{},[0,0,0,0,0,0,0,7]],"и":[{},[0,0,0,0,0,0,0,7]],"ю":[{},[0,0,0,0,0,0,0,7]],"ѣ":[{},[0,0,0,0,0,0,0,7]],"ѧ":[{},[0,0,0,0,0,0,0,7]]}]}]}]}]}]}],"ї":[{"е":[{"́":[{"м":[{"л":[{"е":[{},[0,0,0,0,0,0,7]],"и":[{},[0,0,0,0,0,0,7]],"ю":[{},[0,0,0,0,0,0,7]],"ѣ":[{},[0,0,0,0,0,0,7]],"ѧ":[{},[0,0,0,0,0,0,7]]}]}]}]}]}]}],"і":[{"̈":[{},[0,0,0,1]]}],"ї":[{},[0,0,1]],"ѣ":[{"́":[{"с":[{"н":[{"е":[{},[0,0,0,7,8]],"и":[{},[0,0,0,7,8]],"ю":[{},[0,0,0,7,8]],"ѣ":[{},[0,0,0,7,8]]}]}]}],"в":[{},[0,0,0,1]]}]},[0,2]],"р":[{"а":[{"з":[{"ꙋ":[{"́":[{"м":[{},[0,0,0,7]]}],"м":[{},[0,0,0,7]]}]}],"с":[{"т":[{"л":[{"и":[{"̀":[{},[0,0,8,7]]}],"ѝ":[{},[0,0,8,7]],"ѣ":[{"́":[{},[0,0,8,7]]}],"ѧ":[{},[0,0,8,7]]}],"о":[{"ч":[{},[0,0,8,7]]}]}]},[0,0,0,1]],"х":[{},[0,0,1]]}],"и":[{},[0,0,2]],"о":[{"в":[{},[0,0,1]],"з":[{},[0,0,0,1]]}],"ѡ":[{"м":[{},[0,0,1]],"с":[{},[0,0,0,1]]}],"ѣ":[{"̑":[{},[0,0,0,1]]}],"ꙋ":[{"̑":[{},[0,0,0,1]]}]},[0,2]],"с":[{"е":[{"н":[{},[0,0,0,1]]}],"л":[{"а":[{"с":[{"т":[{"е":[{"́":[{},[0,0,0,7]]}]}]}]}],"ѧ":[{},[0,0,0,1]]}],"м":[{"а":[{},[0,0,0,1]],"о":[{},[0,0,0,1]]}],"о":[{"з":[{"в":[{"а":[{"́":[{},[0,0,7,8]]}]}]}]}],"п":[{"о":[{"д":[{"о":[{"б":[{"л":[{"ѧ":[{"́":[{},[0,0,0,0,0,8,7]]}]}]}]}]}]},[0,0,0,1]]}],"т":[{"р":[{"а":[{"с":[{"т":[{"е":[{"́":[{},[0,0,0,0,7]]}]}]}]}]}],"ы":[{},[0,0,0,1]],"ѡ":[{},[0,0,0,1]]},[0,0,2]],"є":[{},[0,0,1]],"і":[{"̈":[{"м":[{},[0,0,0,1]]}]}],"ї":[{"м":[{},[0,0,1]]}],"ѣ":[{"̑":[{},[0,0,0,1]],"н":[{},[0,0,0,1]]}],"ѧ":[{"́":[{},[0,0,0,1]]}]},[0,2]],"т":[{"а":[{"̑":[{},[0,0,0,1]]}],"е":[{"ц":[{},[0,0,1]]}],"и":[{"м":[{},[0,0,1]]}],"л":[{},[0,0,2]],"о":[{"м":[{},[0,0,1]],"р":[{},[0,0,0,1]]}],"р":[{"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ѧ":[{},[0,0,0,1]]}],"ы":[{"́":[{},[0,0,0,1]]}],"ь":[{},[0,0,2]],"і":[{"̈":[{},[0,0,0,1]]}],"ї":[{},[0,0,1]],"ѵ":[{"́":[{},[0,0,0,1]],"̏":[{},[0,0,0,2]]}],"ѷ":[{},[0,0,2]]},[0,2]],"у":[{"̀":[{},[0,0,8]],"́":[{},[0,0,8]],"̑":[{},[0,0,8]],"҆":[{"̀":[{},[0,0,0,8]],"́":[{},[0,0,0,8]],"̈":[{},[0,0,0,8]],"̑":[{},[0,0,0,8]]},[0,0,8]],"ⷠ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷡ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷢ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷣ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷤ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷥ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷦ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷧ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷨ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷩ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷪ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷫ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷬ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷭ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷮ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷯ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷰ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷱ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷲ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷳ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷼ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷽ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷾ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷿ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙼":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙽":[{"҇":[{},[0,0,0,8]]},[0,0,8]]},[0,8]],"ф":[{"о":[{"р":[{},[0,0,0,1]]},[0,0,2]],"і":[{"̈":[{},[0,0,0,1]]}],"ї":[{},[0,0,1]],"ѡ":[{"́":[{},[0,0,0,1]]}]},[0,2]],"х":[{"а":[{"л":[{},[0,0,0,1]]}],"е":[{},[0,0,1]],"ѡ":[{},[0,0,1]]},[0,2]],"ц":[{},[0,2]],"ч":[{"е":[{"с":[{"т":[{"в":[{"о":[{"в":[{},[0,0,8,0,7]]}],"ꙋ":[{"́":[{},[0,0,8,0,7]]}]}]}]}],"т":[{},[0,0,1]]}],"є":[{"́":[{},[0,0,0,1]]}]},[0,2]],"ш":[{"а":[{},[0,0,1]],"є":[{"́":[{},[0,0,0,1]]}]},[0,2]],"щ":[{"ꙋ":[{},[0,0,1]]}],"ы":[{"̀":[{},[0,0,8]],"́":[{},[0,0,8]],"̑":[{},[0,0,8]],"҆":[{"̀":[{},[0,0,0,8]],"́":[{},[0,0,0,8]],"̈":[{},[0,0,0,8]],"̑":[{},[0,0,0,8]]},[0,0,8]],"ⷠ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷡ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷢ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷣ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷤ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷥ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷦ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷧ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷨ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷩ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷪ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷫ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷬ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷭ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷮ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷯ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷰ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷱ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷲ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷳ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷼ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷽ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷾ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷿ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙼":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙽":[{"҇":[{},[0,0,0,8]]},[0,0,8]]},[0,8]],"э":[{"̀":[{},[0,0,8]],"́":[{},[0,0,8]],"̑":[{},[0,0,8]],"҆":[{"̀":[{},[0,0,0,8]],"́":[{},[0,0,0,8]],"̈":[{},[0,0,0,8]],"̑":[{},[0,0,0,8]]},[0,0,8]],"ⷠ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷡ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷢ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷣ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷤ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷥ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷦ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷧ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷨ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷩ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷪ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷫ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷬ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷭ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷮ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷯ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷰ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷱ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷲ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷳ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷼ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷽ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷾ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷿ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙼":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙽":[{"҇":[{},[0,0,0,8]]},[0,0,8]]},[0,8]],"ю":[{"̀":[{},[0,0,8]],"́":[{},[0,0,8]],"̈":[{},[0,0,8]],"̑":[{},[0,0,8]],"҆":[{"̀":[{},[0,0,0,8]],"́":[{},[0,0,0,8]],"̈":[{},[0,0,0,8]],"̑":[{},[0,0,0,8]]},[0,0,8]],"ⷠ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷡ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷢ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷣ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷤ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷥ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷦ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷧ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷨ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷩ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷪ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷫ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷬ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷭ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷮ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷯ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷰ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷱ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷲ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷳ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷼ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷽ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷾ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷿ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙼":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙽":[{"҇":[{},[0,0,0,8]]},[0,0,8]]},[0,8]],"ѐ":[{},[0,8]],"ё":[{},[0,8]],"є":[{"̀":[{},[0,0,8]],"́":[{},[0,0,8]],"̈":[{},[0,0,8]],"̑":[{},[0,0,8]],"҆":[{"̀":[{},[0,0,0,8]],"́":[{},[0,0,0,8]],"̈":[{},[0,0,0,8]],"̑":[{},[0,0,0,8]]},[0,0,8]],"ⷠ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷡ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷢ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷣ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷤ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷥ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷦ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷧ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷨ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷩ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷪ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷫ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷬ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷭ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷮ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷯ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷰ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷱ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷲ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷳ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷼ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷽ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷾ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷿ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙼":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙽":[{"҇":[{},[0,0,0,8]]},[0,0,8]]},[0,8]],"ѕ":[{},[0,2]],"і":[{"̀":[{},[0,0,8]],"́":[{},[0,0,8]],"̈":[{},[0,0,8]],"̑":[{},[0,0,8]],"҆":[{"̀":[{},[0,0,0,8]],"́":[{},[0,0,0,8]],"̈":[{},[0,0,0,8]],"̑":[{},[0,0,0,8]],"е":[{"с":[{"с":[{"е":[{"́":[{},[0,0,0,0,7]]}]}]}]}]},[0,0,8]],"ⷠ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷡ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷢ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷣ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷤ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷥ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷦ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷧ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷨ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷩ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷪ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷫ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷬ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷭ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷮ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷯ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷰ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷱ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷲ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷳ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷼ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷽ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷾ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷿ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙼":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙽":[{"҇":[{},[0,0,0,8]]},[0,0,8]]},[0,8]],"ї":[{},[0,8]],"ѝ":[{},[0,8]],"ѡ":[{"б":[{"и":[{},[0,0,0,1]]}],"с":[{},[0,1]],"҆":[{"б":[{"л":[{"е":[{"́":[{"к":[{},[0,0,0,7]]}],"щ":[{},[0,0,0,7]]}]}],"р":[{"а":[{"́":[{"д":[{"о":[{"в":[{},[0,0,8,7]]}]}],"з":[{},[0,0,7]],"т":[{},[0,0,0,7]],"щ":[{},[0,0,0,7]]}],"з":[{"ꙋ":[{"́":[{},[0,0,0,0,0,7]]}]}],"щ":[{},[0,0,0,7]]}],"ѣ":[{"́":[{"з":[{},[0,0,0,7]],"л":[{},[0,0,7]],"т":[{},[0,0,7]]}]}]}]}],"т":[{"в":[{"е":[{"́":[{"р":[{"г":[{},[0,0,8,7]],"ж":[{},[0,0,8,7]]}]}]}]}],"р":[{"ы":[{"́":[{"г":[{"н":[{},[0,0,8,7]]}]}]}]}]}]}]}],"ѣ":[{"̀":[{},[0,0,8]],"́":[{},[0,0,8]],"̈":[{},[0,0,8]],"̑":[{},[0,0,8]],"҆":[{"̀":[{},[0,0,0,8]],"́":[{},[0,0,0,8]],"̈":[{},[0,0,0,8]],"̑":[{},[0,0,0,8]]},[0,0,8]],"ⷠ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷡ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷢ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷣ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷤ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷥ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷦ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷧ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷨ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷩ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷪ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷫ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷬ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷭ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷮ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷯ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷰ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷱ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷲ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷳ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷼ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷽ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷾ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷿ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙼":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙽":[{"҇":[{},[0,0,0,8]]},[0,0,8]]},[0,8]],"ѧ":[{"̀":[{},[0,0,8]],"́":[{},[0,0,8]],"̈":[{},[0,0,8]],"̑":[{},[0,0,8]],"҆":[{"̀":[{},[0,0,0,8]],"́":[{},[0,0,0,8]],"̈":[{},[0,0,0,8]],"̑":[{},[0,0,0,8]]},[0,0,8]],"ⷠ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷡ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷢ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷣ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷤ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷥ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷦ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷧ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷨ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷩ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷪ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷫ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷬ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷭ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷮ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷯ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷰ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷱ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷲ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷳ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷼ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷽ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷾ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷿ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙼":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙽":[{"҇":[{},[0,0,0,8]]},[0,0,8]]},[0,8]],"ѯ":[{"е":[{"́":[{},[0,0,0,1]]}]}],"ѳ":[{"е":[{"с":[{"с":[{"а":[{"л":[{"о":[{"н":[{},[0,0,0,7]]}]}]}]}]}]}],"і":[{"̈":[{},[0,0,0,1]]}],"ї":[{},[0,0,1]]},[0,2]],"ѵ":[{"̀":[{},[0,0,8]],"́":[{},[0,0,8]],"̈":[{},[0,0,8]],"̑":[{},[0,0,8]],"҆":[{"̀":[{},[0,0,0,8]],"́":[{},[0,0,0,8]],"̈":[{},[0,0,0,8]],"̑":[{},[0,0,0,8]],"с":[{"с":[{"ѡ":[{"́":[{"п":[{},[0,0,0,7]]}]}]}]}]},[0,0,8]],"ⷠ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷡ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷢ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷣ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷤ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷥ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷦ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷧ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷨ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷩ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷪ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷫ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷬ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷭ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷮ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷯ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷰ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷱ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷲ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷳ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷼ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷽ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷾ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷿ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙼":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙽":[{"҇":[{},[0,0,0,8]]},[0,0,8]]},[0,8]],"ѹ":[{"҆":[{"с":[{"т":[{"р":[{"е":[{"м":[{},[0,0,7]]}]}]}]}]}]}],"ѻ":[{"̀":[{},[0,0,8]],"́":[{},[0,0,8]],"̈":[{},[0,0,8]],"̑":[{},[0,0,8]],"҆":[{"̀":[{},[0,0,0,8]],"́":[{"т":[{"р":[{"а":[{"с":[{"л":[{},[0,0,0,0,7]]}]}]}],"ч":[{"а":[{},[0,0,0,0,8]],"е":[{},[0,0,0,0,8]]}]}]},[0,0,0,8]],"̈":[{},[0,0,0,8]],"̑":[{},[0,0,0,8]],"б":[{"р":[{"а":[{"́":[{"д":[{"о":[{"в":[{},[0,0,0,7]]}]}]}]}]}]}]},[0,0,8]],"ⷠ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷡ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷢ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷣ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷤ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷥ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷦ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷧ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷨ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷩ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷪ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷫ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷬ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷭ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷮ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷯ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷰ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷱ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷲ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷳ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷼ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷽ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷾ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷿ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙼":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙽":[{"҇":[{},[0,0,0,8]]},[0,0,8]]},[0,8]],"ѽ":[{"̀":[{},[0,0,8]],"́":[{},[0,0,8]],"̈":[{},[0,0,8]],"̑":[{},[0,0,8]],"҆":[{"̀":[{},[0,0,0,8]],"́":[{},[0,0,0,8]],"̈":[{},[0,0,0,8]],"̑":[{},[0,0,0,8]]},[0,0,8]],"ⷠ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷡ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷢ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷣ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷤ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷥ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷦ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷧ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷨ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷩ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷪ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷫ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷬ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷭ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷮ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷯ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷰ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷱ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷲ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷳ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷼ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷽ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷾ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷿ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙼":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙽":[{"҇":[{},[0,0,0,8]]},[0,0,8]]},[0,8]],"ѿ":[{"в":[{"с":[{"ю":[{"́":[{"д":[{},[0,7]]}]}]}]}]},[0,1]],"ӓ":[{},[0,8]],"ӥ":[{},[0,8]],"ӧ":[{},[0,8]],"ӭ":[{},[0,8]],"ӱ":[{},[0,8]],"ӹ":[{},[0,8]],"ᲂ":[{"̀":[{},[0,0,8]],"́":[{},[0,0,8]],"̈":[{},[0,0,8]],"̑":[{},[0,0,8]],"у":[{"҆":[{"с":[{"т":[{"р":[{"е":[{"м":[{},[0,0,0,7]]}]}]}]}]}]}],"҆":[{"̀":[{},[0,0,0,8]],"́":[{},[0,0,0,8]],"̈":[{},[0,0,0,8]],"̑":[{},[0,0,0,8]]},[0,0,8]],"ⷠ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷡ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷢ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷣ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷤ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷥ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷦ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷧ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷨ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷩ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷪ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷫ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷬ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷭ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷮ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷯ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷰ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷱ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷲ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷳ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷼ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷽ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷾ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷿ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙼":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙽":[{"҇":[{},[0,0,0,8]]},[0,0,8]]},[0,8]],"ꙋ":[{"̀":[{},[0,0,8]],"́":[{},[0,0,8]],"̈":[{},[0,0,8]],"̑":[{},[0,0,8]],"҆":[{"̀":[{},[0,0,0,8]],"́":[{},[0,0,0,8]],"̈":[{},[0,0,0,8]],"̑":[{},[0,0,0,8]]},[0,0,8]],"ⷠ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷡ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷢ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷣ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷤ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷥ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷦ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷧ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷨ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷩ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷪ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷫ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷬ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷭ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷮ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷯ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷰ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷱ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷲ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷳ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷼ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷽ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷾ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷿ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙼":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙽":[{"҇":[{},[0,0,0,8]]},[0,0,8]]},[0,8]],"ꙍ":[{"̀":[{},[0,0,8]],"́":[{},[0,0,8]],"̈":[{},[0,0,8]],"̑":[{},[0,0,8]],"҆":[{"̀":[{},[0,0,0,8]],"́":[{},[0,0,0,8]],"̈":[{},[0,0,0,8]],"̑":[{"̀":[{},[0,0,0,0,8]],"́":[{},[0,0,0,0,8]],"̈":[{},[0,0,0,0,8]],"̑":[{},[0,0,0,0,8]],"҆":[{"̀":[{},[0,0,0,0,0,8]],"́":[{},[0,0,0,0,0,8]],"̈":[{},[0,0,0,0,0,8]],"̑":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷠ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷡ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷢ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷣ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷤ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷥ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷦ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷧ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷨ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷩ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷪ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷫ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷬ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷭ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷮ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷯ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷰ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷱ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷲ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷳ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷴ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷵ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷶ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷷ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷸ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷹ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷺ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷻ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷼ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷽ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷾ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ⷿ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ꙴ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ꙵ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ꙶ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ꙷ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ꙸ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ꙹ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ꙺ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"ꙻ":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"꙼":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]],"꙽":[{"҇":[{},[0,0,0,0,0,8]]},[0,0,0,0,8]]},[0,0,0,8]]},[0,0,8]],"ⷠ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷡ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷢ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷣ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷤ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷥ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷦ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷧ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷨ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷩ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷪ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷫ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷬ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷭ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷮ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷯ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷰ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷱ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷲ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷳ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷼ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷽ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷾ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷿ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙼":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙽":[{"҇":[{},[0,0,0,8]]},[0,0,8]]},[0,8]],"ꙗ":[{"̀":[{},[0,0,8]],"́":[{},[0,0,8]],"̈":[{},[0,0,8]],"̑":[{},[0,0,8]],"҆":[{"̀":[{},[0,0,0,8]],"́":[{},[0,0,0,8]],"̈":[{},[0,0,0,8]],"̑":[{},[0,0,0,8]]},[0,0,8]],"ⷠ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷡ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷢ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷣ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷤ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷥ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷦ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷧ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷨ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷩ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷪ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷫ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷬ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷭ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷮ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷯ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷰ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷱ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷲ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷳ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷼ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷽ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷾ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ⷿ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙴ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙵ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙶ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙷ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙸ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙹ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙺ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"ꙻ":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙼":[{"҇":[{},[0,0,0,8]]},[0,0,8]],"꙽":[{"҇":[{},[0,0,0,8]]},[0,0,8]]},[0,8]]}],"̀":[{"б":[{},[0,1]],"ж":[{},[0,1]],"м":[{"и":[{},[0,1,0,1]]}],"х":[{},[0,2]]},[8]],"́":[{"а":[{},[0,1]],"б":[{"а":[{},[0,0,0,1]],"л":[{"и":[{},[0,1]],"ю":[{},[0,0,1,0,1]],"ѧ":[{},[0,1,0,0,1]]}],"н":[{"о":[{},[0,0,0,0,1]]},[0,0,1]],"р":[{"а":[{},[0,1]],"о":[{},[0,0,0,0,1]],"ѣ":[{},[0,1]],"ѧ":[{},[0,0,0,0,1]],"ꙋ":[{},[0,1,0,0,1]]},[0,0,2]],"ц":[{},[0,0,1]],"ч":[{},[0,0,1]],"щ":[{"а":[{},[0,0,0,0,1]]}],"ы":[{},[0,0,0,1]],"ѣ":[{},[0,0,0,1]],"ꙋ":[{},[0,0,0,1]]}],"в":[{"а":[{"е":[{},[0,0,0,0,1]],"с":[{},[0,0,0,1]]},[0,1]],"в":[{},[0,0,1]],"д":[{"о":[{},[0,0,0,0,1]]},[0,1,2]],"е":[{"д":[{},[0,0,0,0,1]]},[0,1]],"и":[{},[0,1]],"л":[{"ю":[{},[0,0,0,0,1]],"є":[{},[0,0,1]]}],"н":[{"е":[{},[0,0,0,0,1]],"ѧ":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]},[0,2,1]],"о":[{"с":[{},[0,0,0,1]]},[0,1]],"с":[{},[0,0,1]],"ц":[{"а":[{},[0,0,1]]}],"ч":[{},[0,2,1]],"ш":[{"е":[{},[0,0,0,0,1]]}],"ы":[{},[0,1]],"є":[{},[0,1]],"ї":[{},[0,1]],"ѡ":[{},[0,1]],"ѣ":[{},[0,1]],"ѧ":[{},[0,1]],"ꙋ":[{},[0,1,0,1]]}],"г":[{"а":[{},[0,1]],"г":[{},[0,2]],"и":[{},[0,1]],"л":[{"о":[{},[0,0,1]]},[0,0,0,2]],"н":[{"и":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,1]]}],"о":[{},[0,1]],"р":[{"а":[{},[0,0,0,0,1]]}]}],"д":[{"а":[{},[0,1]],"в":[{},[0,1,2]],"е":[{},[0,1]],"и":[{"в":[{},[0,0,0,1]]}],"м":[{},[0,2]],"н":[{"о":[{},[0,0,0,0,1]]},[0,2,1,2]],"о":[{},[0,1]],"р":[{"а":[{},[0,1,0,0,1]],"е":[{},[0,1]]},[0,0,2]],"с":[{},[0,0,1]],"ы":[{},[0,1,0,2]],"і":[{"̈":[{},[0,1]]}],"ї":[{},[0,1]],"ѡ":[{"в":[{},[0,0,0,1]]}],"ѣ":[{},[0,1]],"ꙋ":[{},[0,1]]}],"е":[{"ж":[{},[0,0,0,2]],"м":[{"а":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]}],"с":[{},[0,0,2]],"т":[{"е":[{},[0,0,0,0,1]],"н":[{},[0,0,0,1]]}],"х":[{},[0,0,2]]},[0,1]],"ж":[{"е":[{},[0,1]],"н":[{"ꙋ":[{},[0,0,0,0,1]]}],"є":[{},[0,1,0,1]],"ꙋ":[{},[0,1]]}],"з":[{"в":[{"о":[{},[0,0,0,0,1]],"ѣ":[{},[0,0,1]]}],"д":[{"а":[{},[0,1]],"р":[{},[0,0,1]],"ѣ":[{},[0,1]]},[0,0,0,2]],"е":[{"р":[{},[0,0,0,1]]},[0,1]],"и":[{},[0,1]],"л":[{},[0,2]],"н":[{"а":[{},[0,0,1,0,1]],"и":[{},[0,0,0,0,1]],"о":[{},[0,0,1,0,1]],"ꙋ":[{},[0,0,1]]}],"р":[{"а":[{},[0,0,1]],"и":[{},[0,1]],"ѧ":[{},[0,1]]}],"ы":[{},[0,1]],"ѣ":[{},[0,1]],"ѧ":[{},[0,1]],"ꙋ":[{"м":[{},[0,0,1]]}]}],"и":[{"̆":[{},[0,0,0,1]],"в":[{},[0,0,1]],"л":[{},[0,0,0,2]],"ч":[{"е":[{},[0,0,0,0,1]]}],"ш":[{"а":[{},[0,0,0,0,1]]}]},[0,1]],"й":[{},[0,2,1]],"к":[{"а":[{},[0,1]],"и":[{},[0,1]],"л":[{"ї":[{},[0,1]]}],"н":[{"и":[{},[0,0,0,0,1]]}],"о":[{},[0,1]],"р":[{"ы":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]},[0,1]],"х":[{},[0,2]],"і":[{"̈":[{},[0,1]]}],"ї":[{},[0,1]],"ѡ":[{},[0,1]],"ꙋ":[{},[0,1,0,1]]}],"л":[{"а":[{"с":[{},[0,0,0,1]]},[0,1]],"д":[{},[0,0,2]],"е":[{},[0,1]],"и":[{"н":[{},[0,0,0,1]]},[0,1]],"о":[{},[0,1]],"х":[{},[0,0,2]],"ы":[{},[0,1]],"ю":[{},[0,1]],"є":[{"м":[{},[0,0,0,1]]},[0,1]],"і":[{"̈":[{},[0,1]]}],"ї":[{},[0,1]],"ѡ":[{},[0,1]],"ѣ":[{},[0,1]],"ѧ":[{},[0,1]],"ꙋ":[{},[0,1]]}],"м":[{"а":[{},[0,1]],"е":[{},[0,1]],"и":[{},[0,1,0,1]],"л":[{"и":[{},[0,0,1]],"ѧ":[{},[0,0,1]]}],"н":[{"а":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]},[0,2,1]],"о":[{},[0,1]],"п":[{},[0,2,1]],"т":[{},[0,2]],"ы":[{},[0,1]],"є":[{},[0,1]],"і":[{},[0,1]],"ї":[{},[0,1]],"ѡ":[{"щ":[{},[0,0,0,1]]}],"ѣ":[{},[0,1]],"ѧ":[{},[0,1]]}],"н":[{"а":[{},[0,1]],"е":[{},[0,1]],"и":[{},[0,1]],"к":[{},[0,0,1]],"м":[{"и":[{},[0,0,0,0,1]]}],"н":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"о":[{},[0,1]],"ц":[{},[0,0,1]],"ч":[{},[0,0,1]],"ы":[{},[0,1]],"ю":[{},[0,1]],"ѣ":[{},[0,1]],"ѧ":[{},[0,1]],"ꙋ":[{"и":[{},[0,0,0,0,1]]},[0,1]]}],"о":[{"в":[{"о":[{},[0,0,0,0,1]]}],"м":[{},[0,0,2]]},[0,1]],"п":[{"а":[{},[0,1]],"е":[{},[0,1]],"и":[{},[0,1,0,2]],"л":[{"а":[{},[0,0,0,0,1]],"е":[{},[0,1]],"о":[{},[0,0,0,0,1]],"ю":[{},[0,1]],"ѧ":[{},[0,1,0,0,1]]},[0,0,2]],"н":[{},[0,2,1]],"о":[{},[0,1]],"с":[{},[0,0,1]],"ш":[{},[0,0,1]],"ѡ":[{},[0,1,0,1]],"ѣ":[{},[0,1,0,1]],"ꙋ":[{},[0,1]]}],"р":[{"а":[{},[0,1]],"в":[{"е":[{},[0,0,1]]}],"д":[{"а":[{},[0,0,0,0,1]],"и":[{},[0,0,0,0,1]],"ї":[{},[0,0,1]]}],"е":[{"д":[{},[0,0,0,1]]},[0,1]],"и":[{},[0,1]],"м":[{"а":[{},[0,0,0,0,1]]}],"н":[{"а":[{},[0,0,0,0,1]],"е":[{},[0,0,0,0,1]]}],"о":[{"в":[{},[0,0,0,1]]},[0,1]],"р":[{},[0,0,1]],"т":[{"а":[{},[0,0,0,0,1]]}],"ц":[{},[0,2,1]],"ш":[{"а":[{},[0,0,0,0,1]],"е":[{},[0,0,0,0,1]]}],"ы":[{},[0,1]],"ю":[{},[0,1]],"є":[{},[0,1,0,1]],"і":[{"̈":[{},[0,1]]}],"ї":[{},[0,1]],"ѡ":[{},[0,1]],"ѣ":[{},[0,1,0,2]],"ѧ":[{},[0,1]],"ѵ":[{"̏":[{},[0,1,0,0,2]]}],"ѷ":[{},[0,1,0,2]],"ꙋ":[{"ю":[{},[0,0,0,0,1]]},[0,1]]}],"с":[{"а":[{"в":[{},[0,0,0,0,1]]},[0,1]],"е":[{},[0,1]],"и":[{},[0,1]],"к":[{},[0,0,2]],"л":[{"и":[{},[0,0,0,0,1]],"ѣ":[{},[0,0,0,0,1]]},[0,0,2]],"м":[{"о":[{},[0,0,0,0,1]]}],"н":[{"а":[{},[0,0,1,0,1]],"и":[{},[0,0,0,0,1]],"о":[{},[0,0,1]],"ꙋ":[{},[0,0,1]]}],"о":[{},[0,1]],"п":[{"е":[{},[0,1]],"о":[{},[0,1,0,0,1]],"ѧ":[{},[0,0,1]]}],"с":[{"а":[{},[0,0,1]]}],"т":[{"в":[{},[0,1]],"е":[{},[0,1]],"о":[{},[0,1]],"ꙋ":[{},[0,0,0,0,1]]},[0,0,2]],"х":[{},[0,1,2]],"ц":[{"ы":[{},[0,0,1]]}],"ш":[{"е":[{},[0,0,0,0,1]]},[0,0,1]],"ы":[{},[0,1]],"ѣ":[{},[0,1]]}],"т":[{"а":[{"и":[{},[0,0,0,0,1]]},[0,1]],"в":[{"о":[{},[0,0,0,0,1]],"є":[{},[0,1]],"ѣ":[{},[0,1]]}],"е":[{},[0,1]],"и":[{"м":[{},[0,0,0,1]]},[0,1]],"к":[{},[0,2,1]],"л":[{"а":[{},[0,0,0,0,1]],"и":[{},[0,0,0,0,1]]},[0,2,1]],"н":[{"а":[{},[0,0,0,0,1]],"е":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]},[0,0,1]],"о":[{"р":[{},[0,0,0,1]]},[0,1]],"р":[{"е":[{},[0,1]],"и":[{},[0,1,0,0,1]],"о":[{},[0,1]],"ы":[{},[0,1]],"ѣ":[{},[0,1]],"ꙋ":[{},[0,1]]}],"ц":[{"ы":[{},[0,0,0,0,1]]},[0,2,1]],"ч":[{"а":[{},[0,1]]}],"ы":[{},[0,1]],"ь":[{},[0,0,0,1]],"є":[{},[0,1]],"і":[{"̈":[{},[0,1]]}],"ї":[{},[0,1]],"ѡ":[{},[0,1]],"ѣ":[{},[0,1,0,2]],"ѧ":[{"н":[{},[0,0,0,1]]},[0,1]],"ꙋ":[{},[0,1,0,1]]}],"х":[{"а":[{},[0,1]],"и":[{},[0,1,0,2]],"м":[{},[0,1,2]],"о":[{},[0,1]],"і":[{"̈":[{},[0,0,0,0,2]]}],"ї":[{},[0,0,0,2]],"ꙋ":[{},[0,0,0,1]]}],"ц":[{"а":[{},[0,1]],"е":[{},[0,1,0,1]],"ы":[{},[0,1,0,1]],"ѣ":[{},[0,1,0,2]],"ꙋ":[{},[0,1]]}],"ч":[{"а":[{"т":[{},[0,0,0,0,1]]}],"е":[{"в":[{},[0,0,0,1]],"с":[{},[0,0,0,1]]}],"и":[{"с":[{},[0,0,0,1]]}],"н":[{},[0,0,1]],"т":[{},[0,2,1]],"є":[{},[0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ꙋ":[{},[0,1,0,1]]}],"ш":[{"н":[{"е":[{},[0,0,0,0,1]]}],"ꙋ":[{},[0,0,0,1]]}],"щ":[{"а":[{},[0,1,0,1]],"н":[{"а":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]]}],"є":[{},[0,1,0,1]],"ѧ":[{},[0,0,0,1]]}],"ю":[{},[0,1]],"є":[{},[0,1]],"і":[{"̈":[{"а":[{},[0,0,0,0,1]],"и":[{},[0,0,0,0,1]],"к":[{},[0,0,0,2]],"л":[{},[0,0,0,1,2]]},[0,1]]}],"ї":[{"а":[{},[0,0,0,1]],"и":[{},[0,0,0,1]],"к":[{},[0,0,2]],"л":[{},[0,0,1,2]]},[0,1]],"ѡ":[{},[0,1]],"ѣ":[{},[0,1]],"ѧ":[{"в":[{},[0,0,0,1]],"т":[{"и":[{},[0,0,0,0,1]]},[0,0,1]]},[0,1]],"ѳ":[{"е":[{},[0,1,0,1]],"о":[{},[0,0,0,2]]},[0,0,2]],"ѵ":[{"и":[{},[0,0,0,1]],"к":[{},[0,0,2]],"с":[{},[0,0,2]]}],"ѻ":[{},[0,1]],"ꙋ":[{},[0,1]]},[8]],"̆":[{},[8]],"̇":[{},[8]],"̈":[{"е":[{},[0,1]]},[8]],"̏":[{},[8]],"̑":[{"в":[{"а":[{},[0,1,0,1]],"н":[{"и":[{},[0,0,1,0,1]],"ѣ":[{},[0,1]]}],"с":[{},[0,0,1]],"ы":[{},[0,1]]}],"г":[{"г":[{},[0,2]],"и":[{},[0,1]],"ꙋ":[{"б":[{},[0,0,0,0,1]]},[0,0,0,2]]}],"д":[{"а":[{"ю":[{},[0,0,0,0,1]]},[0,1,0,1]],"и":[{},[0,0,0,1]],"н":[{"и":[{},[0,0,0,0,1]],"ы":[{},[0,0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]},[0,2,1]],"о":[{},[0,1,0,1]],"р":[{},[0,1]],"ы":[{},[0,1]],"і":[{"̈":[{},[0,1,0,0,1]]}],"ї":[{},[0,1,0,1]],"ѣ":[{"н":[{},[0,0,0,0,1]]},[0,1,0,2]],"ꙋ":[{},[0,1,0,1]]}],"ж":[{"д":[{},[0,2,0,1]],"н":[{"ы":[{},[0,0,0,0,1]]}],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]]}],"з":[{"а":[{"н":[{},[0,0,0,0,1]]},[0,0,0,2]],"н":[{"а":[{},[0,0,1,0,1]],"и":[{},[0,1]],"ы":[{},[0,0,0,0,1]]}],"ы":[{},[0,1]]}],"и":[{"̆":[{"ш":[{"и":[{},[0,0,0,0,0,1]]}]},[0,0,0,1]],"н":[{},[0,0,0,1]]},[0,1,2]],"й":[{"ш":[{"и":[{},[0,0,0,0,1]]}]},[0,2,1]],"к":[{"а":[{},[0,1,0,1]],"и":[{},[0,1]],"л":[{},[0,2]],"і":[{"̈":[{},[0,1,0,0,1]]}],"ї":[{},[0,1,0,1]]}],"л":[{"а":[{},[0,1]],"и":[{},[0,1]],"л":[{"а":[{},[0,0,0,0,1]]}],"о":[{},[0,1,0,1]],"ы":[{},[0,1,0,1]],"і":[{"̈":[{},[0,1,0,0,1]]}],"ї":[{},[0,1,0,1]]}],"м":[{"а":[{},[0,1,0,1]],"н":[{"ы":[{},[0,0,0,0,1]]},[0,0,1]],"ы":[{},[0,1,0,1]]}],"н":[{"и":[{},[0,1,0,1]],"ы":[{},[0,1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ѧ":[{},[0,1]]}],"п":[{"а":[{},[0,1,0,2]],"и":[{},[0,1,0,1]],"к":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"л":[{},[0,1,2]],"н":[{"и":[{},[0,0,0,0,1]],"ы":[{},[0,0,0,0,1]]},[0,2,1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]]}],"р":[{"а":[{},[0,1]],"и":[{},[0,1]],"н":[{"а":[{},[0,0,0,0,1]]}],"с":[{},[0,0,1]],"ы":[{},[0,1]]}],"с":[{"а":[{},[0,1]],"л":[{},[0,0,2]],"м":[{},[0,1]],"н":[{"а":[{},[0,0,1,0,1]],"и":[{},[0,1]]}],"с":[{},[0,0,1]],"т":[{},[0,0,2]]}],"т":[{"а":[{},[0,1,0,1]],"в":[{},[0,1]],"и":[{},[0,1]],"н":[{"а":[{},[0,0,0,0,1]],"ы":[{},[0,0,0,0,1]]},[0,0,1]],"ы":[{},[0,1,0,1]],"і":[{"̈":[{},[0,1,0,0,1]]}],"ї":[{},[0,1,0,1]]}],"х":[{},[0,2]],"ц":[{},[0,1]],"ч":[{"е":[{},[0,0,0,1]],"и":[{},[0,0,0,1]],"н":[{"а":[{},[0,0,0,0,1]]},[0,0,1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]]}],"щ":[{"а":[{},[0,0,0,1]]},[0,1]],"ю":[{},[0,1,1]],"ѧ":[{"н":[{},[0,0,0,1]]},[0,1,2]],"ѵ":[{},[0,0,1]]},[8]],"̾":[{"е":[{},[0,1]],"и":[{"́":[{},[0,0,0,1]],"м":[{},[0,0,1]]},[0,1]],"н":[{"е":[{},[0,0,0,1]]},[0,1]],"с":[{},[0,2,2]],"ѡ":[{},[0,1,1]],"ѧ":[{},[0,1]],"ѻ":[{},[0,1,1]],"ꙋ":[{"́":[{"м":[{},[0,0,0,0,1]]},[0,0,0,2]],"в":[{},[0,0,1]],"г":[{"о":[{},[0,0,0,0,1]]}],"м":[{"ѣ":[{},[0,0,0,0,1]]}]},[0,1]]},[8]],"а":[{".":[{},[8]],"̀":[{".":[{},[8,0,8]]},[0,2]],"́":[{".":[{},[8,0,8]],"в":[{"а":[{},[0,0,0,0,1]],"ц":[{},[0,0,0,1]]}],"г":[{"л":[{},[0,0,1]]},[0,0,0,2]],"д":[{"а":[{},[0,0,0,0,1]]}],"е":[{},[2]],"ж":[{},[2]],"з":[{"в":[{},[0,0,0,1]],"р":[{},[0,0,1]],"ꙋ":[{},[0,0,0,1]]},[2]],"к":[{"а":[{},[0,0,0,0,1]],"л":[{},[0,0,1]]},[0,0,0,2]],"л":[{"а":[{},[0,0,0,0,1]],"м":[{},[0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]}],"м":[{"в":[{},[0,0,0,1]],"л":[{},[0,0,0,1]],"ь":[{},[1]],"є":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]}],"н":[{"м":[{},[0,0,0,1]],"т":[{},[0,0,0,1]],"ю":[{},[1]],"ѧ":[{},[0,0,0,0,1]]}],"п":[{"о":[{},[0,0,0,0,1]]},[2,0,1]],"р":[{"в":[{},[0,0,0,1]],"г":[{},[0,0,0,1]]}],"с":[{"н":[{},[0,0,0,1]],"п":[{},[0,0,0,1]]}],"т":[{"и":[{},[0,0,0,0,1]]},[2]],"х":[{},[2]],"ц":[{},[0,0,1]],"ч":[{"и":[{},[0,0,0,0,1]]}],"ш":[{"а":[{},[0,0,0,0,1]]},[2]],"щ":[{"ꙋ":[{},[0,0,0,0,1]]}],"ю":[{},[2]],"і":[{"̈":[{},[2]]}],"ї":[{},[2]],"ѣ":[{},[0,0,7]],"ѧ":[{},[2]],"ѯ":[{},[2,0,2]],"ѳ":[{},[0,0,1]],"ѵ":[{"р":[{},[0,0,0,1]]},[2]]}],"̑":[{".":[{},[8,0,8]],"б":[{},[0,0,2]],"в":[{"н":[{},[0,0,0,1]]}],"ж":[{},[0,0,0,2]],"м":[{},[1,0,2,1]],"н":[{"ѧ":[{},[1]]}],"п":[{},[0,0,1,2]],"р":[{},[0,0,2,1]],"с":[{"н":[{},[0,0,0,1]]}],"х":[{},[2,0,0,1]],"ч":[{},[0,0,2,1]]},[0,2]],"а":[{"́":[{"н":[{},[0,0,0,1]]}],"̑":[{},[0,0,0,2]]},[0,1]],"б":[{"о":[{"л":[{},[0,0,0,1]]}],"ы":[{"̑":[{},[0,0,0,0,1]]}],"ѣ":[{},[0,0,0,2]],"ꙋ":[{"́":[{},[0,0,0,0,1]]}]},[0,1,2]],"в":[{"а":[{},[0,1]],"в":[{},[0,0,1]],"д":[{},[0,2,1]],"е":[{},[0,1]],"и":[{},[0,1]],"л":[{"є":[{},[0,0,1]]}],"н":[{},[0,2,1]],"о":[{"́":[{},[0,0,0,0,1]]},[0,1,0,1]],"р":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"ш":[{"е":[{},[0,0,0,0,1]]}],"ы":[{},[0,1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,1,0,1]],"ѡ":[{},[0,1]],"ѣ":[{},[0,1]],"ѵ":[{"́":[{},[0,0,0,0,1]],"̏":[{},[0,0,0,0,1]]},[0,1]],"ѷ":[{},[0,0,0,1]],"ꙋ":[{"́":[{},[0,0,0,0,1]]},[0,1]]},[2]],"г":[{"г":[{},[0,2,1]],"д":[{"а":[{},[0,0,0,0,1]]}],"е":[{},[1]],"о":[{"́":[{},[0,0,0,0,1]],"р":[{},[0,0,0,1]]},[2]],"р":[{"а":[{},[0,0,0,0,1]],"ѧ":[{},[0,0,0,0,1]]}]},[0,1]],"д":[{"а":[{"̑":[{},[0,0,0,0,1]]},[0,1]],"е":[{},[2,1]],"и":[{"̀":[{},[2]],"в":[{},[0,0,0,1]]}],"н":[{"о":[{},[0,0,0,0,1]]},[0,2,1]],"о":[{"с":[{},[0,0,0,1]]},[0,1]],"ы":[{},[0,1]],"ѐ":[{},[2]],"і":[{"̈":[{},[0,0,0,0,1]]},[0,1]],"ї":[{},[0,1,0,1]],"ѝ":[{},[2]],"ѣ":[{},[2,1]],"ѧ":[{},[2]],"ꙋ":[{},[0,1,0,2]]}],"е":[{"́":[{"ш":[{},[0,0,0,1]]}],"д":[{"и":[{},[0,0,0,0,1]]},[0,0,1]],"к":[{},[0,0,2,1]],"с":[{"ѣ":[{},[0,0,0,0,1]]},[0,0,1]]},[2,1]],"ж":[{},[2,1,2]],"з":[{"а":[{"х":[{},[0,0,0,0,1]]},[0,0,0,2]],"в":[{},[0,0,1]],"д":[{"и":[{},[0,0,0,0,1]],"р":[{},[0,0,1]],"ы":[{},[0,0,1]],"ѣ":[{},[0,0,1]]},[2]],"е":[{},[0,1]],"и":[{},[0,1]],"л":[{},[2,0,1]],"н":[{"а":[{},[0,1]]}],"о":[{"р":[{},[0,0,0,1]]}],"р":[{},[2,2,1]],"ы":[{},[0,1]],"ѡ":[{},[0,0,0,1]],"ѣ":[{},[0,1]],"ꙋ":[{},[2]]}],"и":[{"́":[{"т":[{},[0,0,0,1]]}],"̆":[{"ш":[{"і":[{"̈":[{},[0,0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,0,1]]}]},[0,0,0,1]],"̑":[{"н":[{},[0,0,0,0,1]]},[0,0,0,2]],"л":[{},[0,0,1]],"м":[{"о":[{},[0,0,0,0,1]]},[0,0,1]]},[2,1]],"й":[{"ш":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}]},[2,2,1]],"к":[{"а":[{"́":[{},[0,0,0,0,1]],"̑":[{},[0,0,0,0,1]]}],"е":[{},[0,0,0,1]],"и":[{},[0,0,0,1]],"л":[{},[0,0,0,2]],"о":[{"в":[{},[0,0,0,1]],"н":[{},[0,0,0,1]],"р":[{},[0,0,0,1]],"с":[{},[0,0,0,0,1]]}],"і":[{},[1]],"ѡ":[{"в":[{},[0,0,0,1]]}]},[0,1]],"л":[{"а":[{"л":[{},[0,0,0,1]],"м":[{},[0,0,0,1]],"х":[{},[0,0,0,1]]},[0,1]],"д":[{},[0,0,1]],"е":[{"н":[{},[1,0,0,0,1]]},[0,1]],"и":[{"̑":[{},[0,0,0,0,1]],"н":[{},[0,0,0,1]]},[0,1]],"л":[{"е":[{},[1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"м":[{},[0,0,1]],"о":[{},[0,1]],"ы":[{},[0,1]],"ю":[{"́":[{},[0,0,0,0,1]]},[0,1]],"і":[{"̈":[{},[0,0,0,0,1]]},[0,1]],"ї":[{},[0,1,0,1]],"ѝ":[{},[0,1]],"ѡ":[{},[0,1]],"ѣ":[{},[0,1]],"ѧ":[{},[0,1]],"ꙋ":[{},[0,1,0,2]]}],"м":[{"а":[{"р":[{},[0,0,0,1]]},[0,1]],"в":[{},[1,0,1]],"е":[{"р":[{},[1]]},[0,1,0,1]],"и":[{},[0,1]],"о":[{"в":[{},[0,0,0,1]],"м":[{},[0,0,0,1]]},[0,1]],"п":[{},[0,2,1]],"ч":[{},[0,2,1]],"ъ":[{},[2]],"ы":[{},[0,1]],"і":[{"̈":[{},[0,0,0,0,1]]},[0,1]],"ї":[{},[0,1,0,1]],"ѝ":[{},[0,1]],"ѣ":[{},[0,1]],"ꙋ":[{"́":[{},[0,0,0,0,1]]}]}],"н":[{"а":[{"с":[{},[0,0,0,0,1]]},[2,1]],"д":[{},[0,0,1]],"е":[{},[0,1,0,2]],"и":[{},[2,1]],"н":[{"і":[{"̈":[{},[0,0,0,0,0,1]]},[1]],"ї":[{},[0,0,0,0,1]]}],"о":[{"́":[{},[0,0,0,0,1]],"в":[{},[0,0,0,1]]},[0,1]],"ц":[{},[0,0,1]],"ъ":[{},[2]],"ы":[{},[0,1]],"ю":[{},[0,1,0,2]],"ѐ":[{},[0,1]],"і":[{"́":[{},[0,0,0,0,1]],"̈":[{},[2,0,0,0,1]]},[1,1]],"ї":[{},[2,0,0,1]],"ѝ":[{},[0,1]],"ѡ":[{"н":[{},[0,0,0,1]]}],"ѣ":[{},[0,1]],"ѧ":[{},[0,1]],"ꙋ":[{"́":[{},[0,0,0,0,1]],"а":[{},[1]]},[0,1]]}],"п":[{"е":[{"́":[{},[0,0,0,0,1]],"р":[{},[0,0,0,0,1]],"т":[{},[0,0,0,1]]}],"и":[{"́":[{},[0,0,0,0,1]]}],"р":[{"е":[{},[0,0,0,0,1]]}],"і":[{"́":[{},[0,0,0,0,1]],"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]]},[2,1,2]],"р":[{"а":[{"с":[{},[0,0,0,1]]},[0,1]],"в":[{},[0,0,1]],"д":[{"о":[{},[0,0,0,0,1]]},[0,0,1]],"е":[{"м":[{},[0,0,0,1]]},[2,1]],"и":[{},[2,1]],"к":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]},[0,0,1]],"л":[{},[0,0,1]],"м":[{},[0,0,1]],"о":[{"в":[{},[0,0,0,1]]},[0,1]],"с":[{},[0,0,1]],"т":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]},[0,0,1]],"ы":[{},[0,1]],"ь":[{},[2]],"ю":[{},[0,1]],"ѐ":[{},[0,1]],"є":[{"м":[{},[0,0,0,1]]},[0,1]],"і":[{"́":[{},[0,0,0,0,1]],"̈":[{"и":[{},[0,0,0,0,0,1]]},[0,0,0,0,1]]},[0,1]],"ї":[{"и":[{},[0,0,0,0,1]]},[0,1,0,1]],"ѝ":[{},[2,1]],"ѡ":[{"̑":[{},[1]]},[0,1]],"ѣ":[{},[0,1]],"ѧ":[{},[2,1]],"ѵ":[{"̏":[{},[0,1,0,0,1]]}],"ѷ":[{},[0,1,0,1]],"ꙋ":[{},[0,1,0,2]]}],"с":[{"а":[{},[0,1]],"е":[{},[0,1,0,2]],"и":[{},[0,1]],"л":[{"о":[{},[0,0,1]]}],"н":[{},[0,2,1]],"о":[{},[0,1]],"п":[{"а":[{},[0,0,1,0,1]],"е":[{},[0,0,1]],"и":[{},[0,0,0,0,1]],"ѧ":[{},[0,0,1]]}],"с":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]},[0,0,1]],"т":[{"в":[{},[0,0,1]],"л":[{},[0,0,1]],"р":[{},[0,1]],"ѝ":[{},[0,1]]},[2]],"ы":[{},[0,1]],"ѐ":[{},[0,1]],"є":[{"́":[{},[0,0,0,0,1]]},[0,1]],"і":[{"́":[{},[0,0,0,0,1]]}],"ѝ":[{},[0,1]],"ѡ":[{},[0,1]],"ѣ":[{},[0,1]],"ѧ":[{},[2,0,0,1]]}],"т":[{"а":[{"́":[{},[0,0,0,0,1]],"̑":[{},[0,0,0,0,1]],"в":[{},[0,0,0,1]],"н":[{},[0,0,0,1]]},[0,1]],"в":[{},[0,1]],"е":[{"́":[{},[0,0,0,0,1]]},[0,1]],"и":[{"л":[{},[0,0,0,1]]},[0,1]],"л":[{},[0,1,2]],"о":[{"́":[{},[0,0,0,0,1]],"с":[{},[0,0,0,1]]},[0,1]],"р":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]},[0,1]],"ч":[{},[0,1,2]],"ы":[{"̑":[{},[0,0,0,0,1]]},[0,1]],"і":[{"́":[{},[0,0,0,0,1]],"̈":[{},[0,0,0,0,1]]},[0,1]],"ї":[{},[0,1,0,1]],"ѝ":[{},[0,1]],"ѡ":[{},[0,1]],"ѣ":[{},[0,1]],"ѧ":[{},[0,1]],"ꙋ":[{"́":[{},[0,0,0,0,1]]},[0,1]]},[2]],"ф":[{"а":[{},[0,0,0,2]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ѵ":[{"́":[{},[0,0,0,0,1]]}]},[2,1,2]],"х":[{"а":[{"́":[{},[0,0,0,0,1]],"л":[{},[0,0,0,1]]},[0,1]],"и":[{},[0,1]],"о":[{},[0,1]],"т":[{},[0,1,2]],"і":[{"́":[{},[0,0,0,0,1]]}],"ѡ":[{"́":[{},[0,0,0,0,1]]}],"ꙋ":[{},[0,0,0,1]]},[2]],"ц":[{"ѣ":[{},[0,0,0,2]]},[0,1]],"ч":[{"е":[{"р":[{},[0,0,0,0,1]],"с":[{},[0,0,0,1]]}],"н":[{},[0,0,1]],"ꙋ":[{},[0,0,0,2]]},[0,1]],"ш":[{"є":[{"́":[{},[0,0,0,0,1]]}],"ꙋ":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]]},[0,1]],"щ":[{"а":[{"́":[{},[0,0,0,0,1]]}],"ꙋ":[{},[0,0,0,2]]},[0,1,2]],"ю":[{"щ":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}]},[2,1]],"і":[{"́":[{},[0,0,0,1]],"̈":[{"а":[{},[0,0,0,0,1]]},[0,0,0,1]]},[0,1]],"ї":[{"а":[{},[0,0,0,1]]},[0,1,1]],"ѡ":[{"н":[{},[0,0,1]]},[2,1]],"ѧ":[{"́":[{"т":[{},[0,0,0,1]],"ю":[{},[0,0,0,0,1]]}]},[2,1]],"ѯ":[{"а":[{"́":[{},[0,0,0,0,1]]}]}],"ѳ":[{"а":[{},[0,0,0,2]],"о":[{},[0,0,0,1]],"і":[{"́":[{},[0,0,0,0,1]]}]},[0,1,2]],"ѵ":[{"́":[{},[0,1,0,1]],"р":[{},[0,0,1]],"с":[{},[0,0,1]]}],"҆":[{"̀":[{".":[{},[8,0,0,8]]}],"́":[{".":[{},[8,0,0,8]],"б":[{},[0,0,0,1]],"л":[{},[0,0,0,0,1]],"м":[{},[0,0,0,1]],"н":[{"г":[{"е":[{"л":[{"м":[{"и":[{".":[{},[0,0,0,0,0,0,0,7]]}]}]}]}]}]},[0,0,0,0,1]]}],"̈":[{".":[{},[8,0,0,8]]}],"̑":[{".":[{},[8,0,0,8]]}],"а":[{},[0,0,0,1]],"д":[{"ѡ":[{},[0,0,0,0,1]]}],"з":[{},[0,0,1,2]],"к":[{"ꙋ":[{},[0,0,0,0,1]]},[0,0,0,2]],"м":[{"е":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]]}],"р":[{"а":[{},[0,0,0,0,1]]}],"с":[{"к":[{},[0,0,1]],"т":[{},[0,0,1]]}],"ѵ":[{},[0,0,0,1]]}],"ⷠ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷡ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]},[0,2]],"ⷢ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷣ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷤ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]},[0,2]],"ⷥ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷦ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷧ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷨ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷩ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]},[2]],"ⷪ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷫ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷬ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷭ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]},[0,2]],"ⷮ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷯ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷰ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷱ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]},[0,2]],"ⷲ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷳ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷼ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷽ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷾ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷿ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙋ":[{"́":[{"т":[{},[0,0,0,1]],"ч":[{},[0,0,0,1]]}]},[0,1]],"ꙴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙼":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙽":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}]}],"б":[{".":[{},[2]],"̾":[{},[2,0,1]],"а":[{"́":[{"н":[{},[0,0,0,1]],"с":[{},[0,0,0,1]],"т":[{},[0,0,0,1]],"ч":[{},[0,0,0,1]],"ш":[{},[0,0,0,1]]}],"̑":[{},[0,0,0,2]],"в":[{},[0,0,1,2]],"г":[{},[0,0,0,2]],"н":[{},[0,0,1]]},[1]],"б":[{},[2,1]],"в":[{"е":[{"̀":[{},[2]],"́":[{},[0,0,0,0,1]]}],"и":[{"́":[{},[0,0,0,0,1]]},[2,1]],"ѐ":[{},[2]],"ѝ":[{},[2,1]]}],"г":[{},[1]],"д":[{"е":[{},[2,1]],"и":[{"́":[{},[0,0,0,0,1]]},[0,2]],"ѣ":[{},[1,2]]}],"е":[{"з":[{},[0,0,2,1]],"р":[{},[0,0,1,2]],"с":[{},[0,0,1]],"т":[{},[0,0,0,1]],"х":[{},[0,0,2]]},[1,2]],"ж":[{},[1]],"з":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]],"ꙋ":[{"́":[{},[0,0,0,0,1]]}]},[1,2,2]],"и":[{"́":[{"д":[{},[0,0,0,1]],"н":[{},[0,0,0,1]],"с":[{},[0,0,0,1]],"ц":[{},[0,0,0,1]]}],"̑":[{},[0,0,0,1]],"л":[{"а":[{},[0,0,0,0,1]]}],"м":[{},[0,0,2]],"н":[{},[0,0,0,2]],"р":[{},[0,0,1]],"с":[{},[0,0,1,2]],"т":[{"и":[{},[0,0,0,0,1]]}],"ш":[{"а":[{},[0,0,0,0,1]]}]},[1,2]],"л":[{"а":[{"̀":[{},[0,1]],"́":[{"з":[{"н":[{"е":[{"н":[{},[0,0,0,0,0,7]]}]}]}]}],"д":[{},[0,0,0,1]]},[1]],"е":[{"в":[{},[1,0,0,1]],"г":[{},[1,0,0,0,1]],"к":[{},[0,1]],"м":[{},[0,0,0,1]],"н":[{},[0,1]],"с":[{},[1,0,0,1]],"ц":[{},[0,1,0,1]],"ч":[{},[0,1]]}],"и":[{"̀":[{},[1,2]],"́":[{},[1]],"ж":[{},[1]],"м":[{},[1]],"с":[{},[1]]}],"о":[{},[2,1,0,1]],"ъ":[{},[2]],"ь":[{},[2]],"ю":[{"̀":[{},[0,1]],"́":[{},[1]],"д":[{},[1,0,0,1]],"щ":[{},[0,1]]}],"є":[{"н":[{},[0,0,0,0,1]]},[2,1]],"і":[{"̈":[{},[1,2,0,0,1]]}],"ї":[{},[1,2,0,1]],"ѝ":[{},[1,2]],"ѧ":[{".":[{},[1]],"̀":[{},[1]],"́":[{},[0,1,0,0,1]],"̑":[{},[1]],"г":[{},[1]]}],"҃":[{},[1]],"ꙋ":[{},[1]]},[0,0,2]],"м":[{},[2,1]],"н":[{"а":[{},[0,0,0,1]],"е":[{"м":[{},[0,1]],"т":[{},[0,1]]},[0,0,0,2]],"и":[{},[0,1]],"о":[{"в":[{},[0,1]],"м":[{},[0,0,0,1]]}],"ы":[{".":[{},[0,1]]}],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ѣ":[{".":[{},[0,1]],"м":[{},[0,1]]}],"ꙋ":[{},[0,1]]},[2,0,2]],"о":[{"́":[{"з":[{},[0,0,0,1]],"к":[{},[0,0,0,1]],"ц":[{},[0,0,0,1]]}],"е":[{},[0,0,0,2]],"ж":[{},[0,0,0,2]],"з":[{},[0,0,1,2]],"л":[{"ѣ":[{"́":[{"з":[{"н":[{"е":[{},[0,0,0,0,0,7]],"и":[{},[0,0,0,0,0,7]]}]}]}]}]}],"н":[{},[0,0,1]],"р":[{"ц":[{},[0,0,0,1]]},[0,0,1]],"с":[{},[0,0,0,2]],"щ":[{},[0,0,1]],"ю":[{"́":[{},[0,0,0,0,1]]}],"ѧ":[{"́":[{"з":[{"н":[{"и":[{},[0,0,0,0,7]]}]}]}]}]},[1,2]],"р":[{"а":[{".":[{},[1]],"̀":[{},[1]],"̑":[{},[1]],"г":[{},[1]],"ж":[{},[1]],"з":[{},[1]],"н":[{},[1]],"т":[{},[0,1]],"ѧ":[{},[1]]}],"е":[{"м":[{},[0,0,0,1]],"т":[{},[0,0,0,1]]},[1,2]],"и":[{},[1,2]],"о":[{"н":[{},[0,0,0,1]]},[1,2]],"ъ":[{},[2]],"ы":[{},[1,2]],"ь":[{},[2]],"є":[{},[1,0,0,1]],"і":[{"̈":[{},[1,0,0,0,1]]}],"ї":[{},[1,0,0,1]],"ѡ":[{},[1,2,0,2]],"ѣ":[{".":[{},[1]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"с":[{},[1]],"т":[{},[1]]}],"ѧ":[{"́":[{},[0,0,0,0,1]]},[1,2]],"ꙋ":[{"̀":[{},[1]],"́":[{},[0,1]],"г":[{},[0,1]],"ю":[{},[1]]}]},[0,0,2]],"с":[{"к":[{"о":[{},[0,0,0,0,1]]}],"т":[{"о":[{},[0,0,0,0,1]]}]},[2,1,2]],"х":[{"о":[{"́":[{},[0,0,0,0,1]]}]},[2,1]],"ц":[{"а":[{},[0,1]],"ы":[{},[0,1]],"ꙋ":[{},[0,1]]},[2]],"ч":[{},[2]],"ш":[{"а":[{},[0,0,0,1]],"ꙋ":[{},[0,0,0,1]]},[2,1]],"щ":[{"а":[{"́":[{},[0,0,0,0,1]]},[1]],"е":[{"́":[{},[0,0,0,0,1]]},[1]],"и":[{},[1]],"н":[{},[2]],"і":[{"̈":[{},[1,0,0,0,2]]}],"ї":[{},[1,0,0,2]]},[0,2]],"ъ":[{},[2,2]],"ы":[{"́":[{"в":[{"ы":[{},[0,0,0,7]]}],"д":[{},[0,0,0,1]],"ш":[{},[0,0,0,1]]}],"̑":[{"н":[{},[0,0,0,1]]}],"м":[{},[0,0,1]]},[1]],"ь":[{},[2,0,1]],"ѐ":[{},[1]],"є":[{"́":[{"с":[{},[0,0,0,0,1]]},[0,0,0,2]]},[1]],"і":[{"́":[{},[0,0,0,2]],"̈":[{},[0,0,0,1]]},[1]],"ї":[{},[1,0,1]],"ѝ":[{},[1]],"ѡ":[{"́":[{"г":[{},[0,0,0,1]],"р":[{},[0,0,0,0,1]]}],"̑":[{},[0,0,0,1]],"л":[{},[0,0,1]]},[1]],"ѣ":[{"́":[{"ж":[{},[0,0,0,1]],"л":[{},[0,0,0,1]],"м":[{},[0,0,0,1]],"ш":[{},[0,0,0,1]]}],"д":[{"о":[{},[0,0,0,0,1]]},[0,0,1]],"л":[{},[0,0,1]],"с":[{},[0,0,1]],"т":[{"о":[{},[0,0,0,0,1]]},[0,0,1]]},[1]],"ѧ":[{"́":[{"х":[{},[0,0,0,1]]}],"т":[{},[0,0,2]],"щ":[{"е":[{},[0,0,0,0,1]]}]},[1,2]],"҃":[{},[0,0,2]],"ꙋ":[{"́":[{"д":[{},[0,0,0,1]]}],"̑":[{},[0,0,0,1]],"з":[{},[0,0,2,1]],"р":[{},[0,0,1]]},[1]]}],"в":[{"̾":[{},[0,0,2]],"а":[{"́":[{"г":[{},[1,0,0,1]],"д":[{},[0,0,0,1]],"е":[{},[1]],"ж":[{},[0,0,0,1]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"м":[{},[1]],"т":[{},[0,0,0,1]],"ш":[{},[0,0,0,1]],"ю":[{},[1]],"є":[{},[1,0,0,0,1]],"ѧ":[{},[1]]}],"̑":[{"н":[{},[1,0,0,1]],"р":[{},[1]],"ш":[{},[0,0,0,1]],"ю":[{},[1]]}],"в":[{},[1]],"г":[{"ѡ":[{},[1]]}],"д":[{},[0,0,1]],"е":[{},[1]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"к":[{},[1,0,0,2]],"л":[{"ъ":[{},[1]]},[0,0,0,2]],"н":[{"и":[{},[1]],"н":[{},[1]],"і":[{"̈":[{},[1]]}],"ї":[{},[1]]}],"р":[{"и":[{"̀":[{},[1]]}],"с":[{},[1]],"ъ":[{},[1]],"ы":[{},[1]],"ѝ":[{},[1]],"ѡ":[{},[1]],"ѧ":[{},[1]]}],"с":[{"т":[{},[0,0,1]]},[1]],"т":[{"и":[{},[0,0,0,0,1]]},[1,0,1]],"х":[{"о":[{},[1]],"ꙋ":[{},[1]]},[0,0,0,2]],"ш":[{"а":[{},[0,0,0,0,1]],"е":[{},[0,0,0,0,1]]},[1]],"ю":[{"т":[{},[0,0,0,0,1]]},[1]],"ѡ":[{},[1]],"ѧ":[{},[1]],"ⷤ":[{},[2]]},[0,2]],"в":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,1]],"е":[{"д":[{},[0,0,0,1]],"р":[{},[0,0,0,0,1]],"с":[{},[0,0,0,1]]},[0,2]],"о":[{".":[{},[0,1]],"́":[{},[0,0,0,0,1]]}],"ы":[{},[0,1]],"ꙋ":[{},[0,1]]},[2]],"г":[{"о":[{},[0,0,0,1]]},[2,1]],"д":[{"а":[{".":[{},[1]],"́":[{},[0,1]],"̑":[{},[0,1,0,0,1]]}],"и":[{},[2]],"о":[{},[1,2]],"ы":[{},[1,2]],"і":[{},[1,2]],"ѡ":[{},[0,2]],"ѣ":[{},[1,2]],"ꙋ":[{},[1,2]]}],"е":[{"̀":[{},[1]],"́":[{"а":[{},[1]],"д":[{},[1]],"и":[{},[1]],"к":[{},[1]],"м":[{},[1]],"с":[{},[1]],"т":[{"с":[{"ѣ":[{"м":[{"ъ":[{".":[{},[0,0,0,7]]}]}]}]}],"х":[{"о":[{"м":[{"ꙋ":[{},[0,0,0,0,0,0,7]]}]}]}]},[1]],"ц":[{},[1]],"ч":[{},[0,0,0,1]],"ш":[{},[1,0,0,1]]}],"в":[{},[0,0,1]],"д":[{"д":[{},[1]],"и":[{},[1]],"н":[{},[1,0,0,1]],"о":[{},[1]],"ꙋ":[{},[1]]}],"з":[{},[0,0,2,1]],"л":[{"е":[{},[0,0,0,0,1]]},[1,0,1]],"н":[{"а":[{},[1]],"е":[{},[1]],"и":[{},[1]],"т":[{},[1,0,0,1]],"ц":[{},[1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"р":[{"а":[{},[1]],"д":[{},[0,0,0,1]],"з":[{},[1]],"и":[{},[1]],"о":[{},[0,0,0,0,1]],"ш":[{},[1]],"ъ":[{},[1]],"ꙋ":[{},[1]]}],"с":[{"т":[{},[0,0,1]]},[1]],"т":[{},[1,0,1]],"ц":[{"ъ":[{},[1]]}],"ч":[{},[1,0,1]],"щ":[{},[1]]},[0,2]],"ж":[{"и":[{},[0,0,0,1]]},[0,2]],"з":[{"а":[{},[0,0,0,1]],"и":[{},[0,0,0,1]],"ы":[{"́":[{},[0,0,0,0,1]]}]},[1,2,2]],"и":[{"̀":[{},[0,0,0,1]],"́":[{"д":[{},[1]],"м":[{},[1]],"н":[{},[1]],"р":[{},[1]],"ц":[{},[1]],"ч":[{},[1,0,0,1]],"ш":[{},[1]]}],"̑":[{"н":[{},[0,0,0,0,1]]},[1]],"в":[{},[1]],"г":[{},[2]],"ж":[{},[2]],"з":[{},[2,0,1,2]],"л":[{"а":[{},[0,0,0,0,1]]},[1]],"м":[{"а":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]]},[1]],"н":[{},[1,0,1]],"р":[{"і":[{"̈":[{},[1]]}],"ї":[{},[1]]},[0,0,1]],"с":[{"с":[{"а":[{"р":[{"і":[{"̈":[{"ѡ":[{"́":[{"н":[{},[0,0,0,7]]}]}]}]}],"ї":[{"ѡ":[{"́":[{"н":[{},[0,0,0,7]]}]}]}]}]}]}]},[1]],"т":[{"и":[{},[0,0,0,0,1]]},[1]],"ф":[{},[0,0,1]],"х":[{},[1]],"ц":[{"е":[{},[0,0,0,0,1]]}],"ч":[{"а":[{},[1]],"ю":[{},[1]],"ѣ":[{},[1]],"ꙋ":[{},[1]]}],"ш":[{"а":[{},[0,0,0,0,1]]},[1]],"щ":[{},[1]]},[0,2]],"к":[{},[0,2]],"л":[{"а":[{"д":[{},[0,0,0,1]],"с":[{},[0,0,0,1]]},[1,2]],"е":[{"к":[{},[1]],"ц":[{},[1,0,0,1]],"ч":[{},[1]],"щ":[{},[1]]}],"и":[{},[2,1]],"о":[{},[0,2,0,1]],"ъ":[{},[2]],"ь":[{},[2]],"ю":[{"̀":[{},[0,1]],"́":[{},[0,1,0,0,1]]}],"є":[{"н":[{},[0,1,0,0,1]]}],"і":[{},[1,2]],"ѣ":[{"́":[{},[0,0,0,0,1]]},[1,2]],"ѧ":[{".":[{},[0,1]],"́":[{},[0,0,0,0,1]]}]},[0,0,2]],"м":[{"а":[{"́":[{},[0,0,0,0,1]]}],"ѣ":[{"́":[{},[0,0,0,0,1]]},[0,0,0,1]]},[1,2]],"н":[{"а":[{"̀":[{},[1]]},[0,1,0,1]],"е":[{"́":[{},[0,0,0,0,1]],"г":[{},[1]],"е":[{},[0,1]],"м":[{},[0,0,0,1]]}],"и":[{".":[{},[0,1]],"к":[{},[0,1]],"х":[{},[0,1]],"ц":[{},[0,1]]}],"о":[{"д":[{},[0,1]],"м":[{},[0,1]]},[0,0,0,1]],"ш":[{},[2]],"ъ":[{},[2]],"ы":[{},[2,1]],"ю":[{},[2,1,0,1]],"і":[{"̈":[{},[2]]}],"ї":[{},[2]],"ѡ":[{"́":[{},[1]]}],"ѣ":[{"̀":[{},[1]]}],"ѧ":[{"г":[{},[0,1]]},[2]],"ꙋ":[{"̀":[{},[1]],"ю":[{},[0,1]]}]}],"о":[{"́":[{"з":[{},[0,0,0,0,1]],"л":[{},[1]],"н":[{},[1]],"т":[{},[1]],"ю":[{},[1]]}],"а":[{},[1]],"в":[{"ѣ":[{},[1]]},[0,0,1]],"г":[{},[1]],"д":[{"а":[{},[1]],"и":[{},[1]],"н":[{"а":[{"́":[{},[0,0,8]]}],"о":[{"́":[{},[0,0,8]]}],"ы":[{"́":[{},[0,0,8]]}]},[0,0,0,1]],"ы":[{},[1]],"ѝ":[{},[1]],"ѣ":[{},[1]]}],"е":[{".":[{},[1]],"̀":[{},[2]],"м":[{},[0,0,0,1]]}],"ж":[{"ꙋ":[{},[1]]},[0,0,0,2]],"з":[{"б":[{},[1]],"в":[{},[1]],"г":[{},[1]],"д":[{"а":[{"́":[{"н":[{},[0,0,0,8]]}]}]}],"м":[{},[1]],"н":[{},[1]],"о":[{},[0,0,0,0,1]],"с":[{},[1]],"ш":[{},[1]]},[0,0,0,1]],"й":[{},[1]],"к":[{},[1]],"л":[{},[1]],"м":[{"ꙋ":[{},[1]]}],"н":[{"а":[{},[0,0,0,0,1]]},[1]],"п":[{},[1,0,0,2]],"р":[{"о":[{},[1]],"ц":[{},[0,0,0,1]]},[0,0,1]],"с":[{"и":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]]},[1]],"т":[{},[1,0,0,2]],"ц":[{"а":[{},[0,0,0,0,1]]}],"ч":[{"е":[{},[0,0,0,0,1]]},[1]],"ш":[{},[0,0,2,1]],"ѐ":[{},[2]],"є":[{},[2]],"ѝ":[{},[2]],"ѡ":[{},[1]],"ѧ":[{},[2]]}],"п":[{"а":[{"д":[{},[0,0,0,1]]}],"е":[{},[0,0,0,1]]},[0,2,2]],"р":[{"а":[{"̑":[{},[0,0,0,0,1]],"з":[{},[0,0,0,1]]}],"е":[{"д":[{},[0,0,0,1]],"м":[{},[0,0,0,1]]}],"о":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]],"ꙋ":[{},[0,0,0,1]]},[1,2,2]],"с":[{"а":[{},[0,2]],"е":[{"н":[{},[0,0,0,1]],"р":[{},[0,0,0,1]],"х":[{},[0,0,0,1]],"ц":[{},[0,0,0,1]],"ѡ":[{},[0,0,0,0,1]]},[0,2]],"и":[{},[0,2]],"к":[{"а":[{},[0,0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"т":[{},[0,1,0,2]],"ы":[{},[0,2,0,1]],"ю":[{},[0,2]],"ѐ":[{},[0,2]],"ѝ":[{},[0,2]],"ѣ":[{},[0,2]],"ѧ":[{"́":[{},[0,0,0,0,1]]}],"ꙋ":[{"́":[{},[0,0,0,0,1]]},[0,2]]},[2,0,2]],"т":[{"о":[{"р":[{},[0,0,0,1]]}]},[1,2]],"х":[{},[0,2,2]],"ц":[{"а":[{".":[{},[0,1]],"́":[{},[1]]}],"ы":[{"̀":[{},[0,1]]}],"є":[{},[2,1]]},[0,0,2]],"ч":[{"а":[{},[1,2]],"е":[{"́":[{},[1]],"р":[{},[0,0,0,1]]}],"і":[{"̈":[{},[2,0,0,0,1]]}],"ї":[{},[2,0,0,1]]}],"ш":[{"а":[{"ѧ":[{},[0,0,0,0,1]]},[0,0,0,1]],"е":[{"м":[{},[0,0,0,1]]}],"ꙋ":[{},[0,0,0,1]]},[2,1,2]],"ъ":[{},[2,2]],"ы":[{"́":[{"м":[{},[0,0,0,1]],"н":[{},[0,0,0,1]]},[1]],"̑":[{},[1]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"к":[{},[1]],"м":[{"а":[{},[1]]}],"с":[{},[0,0,1]],"ш":[{},[1,0,1,2]]},[0,2]],"ь":[{},[2,0,1]],"ѐ":[{},[1]],"є":[{"́":[{"л":[{},[1,0,0,1]],"н":[{},[1,0,0,0,1]],"с":[{},[1]],"т":[{},[0,0,0,1]]}],"д":[{},[1]],"н":[{},[0,0,0,1]]}],"і":[{"́":[{"к":[{},[0,0,0,1]]}],"̈":[{"к":[{},[0,0,0,1]],"л":[{},[0,0,0,2,1]],"м":[{},[0,0,0,1]],"н":[{},[0,0,0,1]],"с":[{},[0,0,0,1]]},[0,2]]},[1]],"ї":[{"а":[{},[1]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"к":[{},[0,0,1]],"л":[{},[0,0,2,1]],"м":[{},[1,0,1]],"н":[{},[0,0,1]],"с":[{},[0,0,1]]},[0,2]],"ѝ":[{},[0,2,1]],"ѡ":[{".":[{},[1]],"́":[{"д":[{},[1,0,0,1]],"л":[{},[1]],"р":[{},[1]],"т":[{},[1]]}],"в":[{},[1]],"и":[{},[2]],"м":[{},[1]]}],"ѣ":[{"́":[{"д":[{},[1]],"е":[{},[1]],"ж":[{},[1]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"м":[{},[1]],"н":[{},[1]],"с":[{"т":[{"в":[{"о":[{},[0,0,0,8,0,7]]}]}]}],"ц":[{},[1]],"ш":[{},[0,0,0,1]]}],"̑":[{"д":[{},[1]],"к":[{},[1]],"с":[{},[1]],"т":[{},[1]],"ч":[{},[0,0,0,0,1]]}],"д":[{},[1,0,0,2]],"е":[{},[1]],"з":[{},[2,0,2,1]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"к":[{"о":[{},[0,0,0,0,1]]}],"л":[{},[2,0,1]],"м":[{"ъ":[{},[1]]}],"р":[{"ѧ":[{},[1]]}],"с":[{"т":[{"в":[{"о":[{},[0,0,0,0,7]],"ꙋ":[{"́":[{},[0,0,0,0,7]]}]}]}]},[1]],"т":[{"о":[{},[0,0,0,0,1]]},[2]],"х":[{},[1]],"щ":[{"є":[{},[1]]}]},[0,2]],"ѧ":[{".":[{},[1]],"̀":[{},[1]],"́":[{"д":[{},[1,0,0,0,1]],"с":[{},[1,0,0,1]],"х":[{},[1,0,0,1]],"ш":[{},[1]],"щ":[{},[1]]}],"д":[{},[1]],"з":[{"е":[{},[1]]},[0,0,1,2]],"т":[{"с":[{},[1]],"ъ":[{},[1]],"ь":[{},[1]]}],"х":[{},[1,0,1]],"ч":[{"е":[{},[0,0,0,0,1]]},[0,0,1]],"ш":[{},[1]],"щ":[{"и":[{},[1]],"ы":[{},[1]],"і":[{"̈":[{},[1]]}],"ї":[{},[1]]}]},[0,2]],"ѵ":[{"́":[{"л":[{},[1,0,0,1]],"п":[{},[1]],"т":[{},[0,0,0,1]]}],"̏":[{"с":[{},[0,0,0,2,1]]},[1,2]]}],"ѷ":[{"с":[{},[0,0,2,1]]},[1,2]],"҃":[{"и":[{"́":[{},[0,0,0,0,1]]}],"о":[{},[0,0,0,1]],"ы":[{},[0,0,0,1]]},[0,0,2]],"ⷣ":[{},[2,0,2]],"ꙋ":[{"́":[{".":[{},[1]],"л":[{},[1]],"р":[{},[1,0,0,0,1]],"т":[{},[1]],"щ":[{},[1,0,0,1]]}],"д":[{},[1,0,1]],"е":[{"м":[{},[0,0,0,1]]}],"х":[{"о":[{},[0,0,0,0,1]]},[1,0,1]],"ю":[{".":[{},[1]]}]},[0,2]]}],"г":[{"а":[{"̀":[{},[1]],"́":[{"в":[{},[1]],"г":[{},[0,0,0,1]],"е":[{},[1]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"л":[{},[1]],"м":[{},[1]],"н":[{},[1]],"п":[{},[1]],"т":[{},[1]],"х":[{},[1,0,0,1]],"ш":[{},[1,0,0,1]],"ю":[{},[1]],"ѳ":[{},[1]]}],"̑":[{"т":[{},[1]]},[0,0,0,1]],"а":[{"́":[{},[0,0,0,0,1]]}],"в":[{},[0,0,1]],"г":[{},[1]],"д":[{},[1,0,1,2]],"е":[{},[1]],"ж":[{},[1]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"л":[{},[0,0,1]],"м":[{"а":[{},[0,0,0,0,1]]},[0,0,1]],"р":[{},[2,0,1]],"с":[{},[1,0,1]],"т":[{},[1,0,1]],"ѧ":[{},[1]],"ѳ":[{},[1]]},[0,2]],"в":[{},[1,2]],"г":[{"і":[{},[1,2]],"҃":[{},[2]]}],"д":[{"а":[{"́":[{},[0,0,0,0,1]],"л":[{},[0,0,0,1]]},[1]],"о":[{"́":[{},[0,0,0,0,1]]},[1,0,0,2]],"ъ":[{},[2]],"ѣ":[{"́":[{},[0,0,0,0,1]]},[1]]},[0,2]],"е":[{"́":[{"р":[{},[0,0,0,0,1]]}],"д":[{"е":[{},[0,0,0,0,1]]},[0,0,1]],"е":[{},[0,0,0,2]],"н":[{},[0,0,2,1]],"р":[{"м":[{},[0,0,0,1]]}],"ѡ":[{},[0,0,0,2]]},[1]],"и":[{".":[{},[1]],"̀":[{},[1]],"́":[{"б":[{},[1]],"з":[{},[1]],"н":[{},[0,0,0,1]],"т":[{},[1,0,0,1]]}],"̑":[{"з":[{},[0,0,0,0,1]]},[1,0,0,2]],"б":[{},[1]],"м":[{},[1]],"с":[{},[1,0,1]],"х":[{},[1]]},[0,2]],"к":[{"о":[{},[0,0,0,1]],"ѵ":[{"́":[{},[0,0,0,0,1]]}]},[2,1,2]],"л":[{"а":[{"в":[{},[0,0,0,1]],"с":[{},[0,0,0,1]]},[1]],"е":[{},[1,2,0,1]],"и":[{},[1,2]],"о":[{".":[{},[0,1]],"́":[{},[0,0,0,0,1]],"т":[{},[1]]}],"с":[{},[2]],"ъ":[{},[2]],"ы":[{},[2,2]],"ь":[{},[2]],"і":[{"̈":[{},[0,0,0,0,1]]},[1,2]],"ї":[{},[1,2,0,1]],"ѡ":[{},[1,2]],"ѣ":[{},[1,2]],"ѧ":[{"́":[{},[0,0,0,0,1]]},[1,2]],"ѵ":[{"̏":[{},[0,2,0,0,1]]}],"ѷ":[{},[0,2,0,1]],"ꙋ":[{},[2,2]]}],"м":[{"а":[{"́":[{},[0,0,0,0,1]]}]},[1,2]],"н":[{"а":[{},[1,2,0,2]],"е":[{"́":[{},[1]],"д":[{},[1]],"з":[{},[1]],"м":[{},[0,1]],"н":[{},[1]],"п":[{},[1]],"р":[{},[1]],"т":[{},[0,1]],"ц":[{},[1]],"ѡ":[{},[1,0,0,0,1]]}],"и":[{".":[{},[0,1]],"̀":[{},[1,2]],"́":[{},[1,0,0,0,1]],"ц":[{},[1]]}],"о":[{},[1,2]],"ц":[{},[2,0,1]],"ч":[{},[2,0,1]],"ъ":[{},[2]],"ь":[{},[2]],"ю":[{},[1,2,0,2]],"і":[{"̈":[{},[0,0,0,0,2]]},[1,2]],"ї":[{},[1,2,0,2]],"ѝ":[{},[1,2]],"ѣ":[{},[1,2]],"ѧ":[{},[1,2]],"ꙋ":[{"т":[{},[0,1,0,1]],"ш":[{},[1]]}]}],"о":[{".":[{},[1]],"̀":[{},[1]],"́":[{".":[{},[1]],"д":[{},[1]],"ж":[{},[1,0,0,1]],"м":[{},[0,0,0,1]],"н":[{},[1,0,0,1]],"р":[{},[1]],"с":[{},[1,0,0,1]],"ф":[{},[1,0,0,0,1]],"х":[{},[1]],"ш":[{},[1]],"ю":[{},[1]]}],"б":[{},[1,0,0,2]],"в":[{"а":[{},[1]],"и":[{},[1]],"м":[{},[1]]},[0,0,1,2]],"г":[{"л":[{},[1]],"р":[{},[1]]}],"д":[{"и":[{},[1]],"о":[{},[1]],"ꙋ":[{},[1]]}],"е":[{},[1]],"ж":[{},[1,0,0,2]],"з":[{},[1,0,1,2]],"и":[{"з":[{},[0,0,0,0,1]]}],"к":[{},[1]],"л":[{"ꙋ":[{},[0,0,0,0,1]]},[0,0,1]],"м":[{},[1]],"н":[{"а":[{},[0,0,0,0,1]]},[1,0,1,2]],"п":[{"и":[{},[1]],"л":[{},[1]],"о":[{},[1,0,0,0,1]],"ѣ":[{},[1]]},[0,0,0,2]],"р":[{"и":[{},[1]],"о":[{},[1]],"ч":[{},[1]],"і":[{"̈":[{},[1]]}],"ї":[{},[1]]}],"с":[{"в":[{},[1]],"ѧ":[{},[1]],"ꙋ":[{},[0,0,0,0,1]]},[0,0,1,2]],"т":[{},[1]],"х":[{},[1,0,0,2]],"ц":[{},[1]],"ч":[{"а":[{},[1]],"є":[{},[0,0,0,0,1]]}],"ю":[{},[1]],"ѡ":[{"ч":[{},[1]]}],"ѧ":[{"в":[{},[0,0,0,0,1]]},[1]],"ѹ":[{},[1]],"ѻ":[{},[1]],"ᲂ":[{"у":[{},[1]]}],"ꙋ":[{"в":[{},[1]]},[0,0,0,1]]},[0,2]],"р":[{"а":[{"̑":[{},[0,0,0,0,1]],"н":[{},[0,0,0,1]]}],"е":[{"́":[{},[0,0,0,0,1]],"м":[{},[0,0,0,1]]}],"о":[{"м":[{},[0,0,0,1]]}],"і":[{"́":[{},[0,0,0,0,1]],"̈":[{},[0,0,0,0,2]]}],"ї":[{},[0,0,0,2]],"ѵ":[{"̏":[{},[0,0,0,0,1]]}],"ѷ":[{},[0,0,0,1]],"ꙋ":[{},[0,0,0,1]]},[1,2,2]],"с":[{"т":[{},[0,0,0,2]]},[2,1,2]],"т":[{},[1,2]],"х":[{"а":[{"́":[{},[0,0,0,0,1]]}]},[2,1]],"ц":[{"а":[{},[1,2]],"ѣ":[{},[2,1]]}],"ч":[{},[2,1]],"ш":[{"а":[{},[0,0,0,1]],"е":[{},[0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]]},[2,1,2]],"ъ":[{},[2,2,1]],"є":[{},[1]],"і":[{"́":[{"а":[{},[1]],"е":[{},[1]],"и":[{},[1]],"ю":[{},[1]]}],"̈":[{"г":[{},[0,0,0,1]]},[1,2]],"̑":[{},[1,0,0,1]]}],"ї":[{"г":[{},[0,0,1]]},[1,2]],"ѝ":[{},[1]],"ѡ":[{"́":[{"д":[{},[0,0,0,0,1]],"ж":[{},[0,0,0,1]],"р":[{},[0,0,0,0,1]]}],"с":[{},[0,0,1,2]]},[1]],"ѣ":[{},[1]],"ѵ":[{"́":[{},[0,0,0,1]]},[1]],"҃":[{"о":[{},[0,0,0,1]]},[0,0,2]],"ⷣ":[{},[2,0,2]],"ⷭ":[{},[2]],"ꙋ":[{"́":[{},[0,0,0,1]],"̑":[{},[0,0,0,1]],"б":[{"л":[{},[0,0,0,1]]}],"т":[{},[0,0,2]],"ю":[{},[0,0,0,1]]},[1,2]]}],"д":[{"̾":[{"ѧ":[{"в":[{},[0,0,0,0,1]]}],"ꙋ":[{},[0,0,0,1]]},[2,2,1]],"а":[{"́":[{"г":[{},[0,0,0,1]],"д":[{},[0,0,0,1]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"к":[{},[1]],"м":[{},[1]],"р":[{},[1]],"ш":[{},[0,0,0,1]],"є":[{},[0,0,0,0,1]]}],"̑":[{"р":[{},[1]],"т":[{},[1]]}],"в":[{"л":[{},[0,0,0,1]]},[1]],"г":[{},[1]],"д":[{},[1,0,1]],"е":[{},[1]],"и":[{"̆":[{"т":[{},[1]]}]}],"й":[{"т":[{},[1]]}],"к":[{"о":[{},[0,0,0,0,1]]},[1]],"л":[{"а":[{},[1]],"е":[{},[1]],"ъ":[{},[1]],"і":[{"̈":[{},[1]]}],"ї":[{},[1]]}],"м":[{"а":[{},[1]]},[0,0,1]],"н":[{"ъ":[{},[1]],"і":[{"̈":[{},[1]]}],"ї":[{},[1]]}],"р":[{"о":[{},[0,0,0,0,1]]},[1,0,1]],"с":[{},[1,0,1,2]],"т":[{"и":[{},[0,0,0,0,1]]},[1,0,1]],"х":[{"ꙋ":[{},[1]]}],"ш":[{},[1]],"ю":[{},[1]],"ѧ":[{},[1]]},[0,2]],"б":[{"ѣ":[{},[0,0,0,2]]},[2,1]],"в":[{"а":[{"̀":[{},[1]],"́":[{},[0,0,0,0,1]],"н":[{},[0,0,0,1]],"р":[{},[0,1,0,1]]}],"е":[{"р":[{},[0,0,0,1]]},[0,2]],"и":[{"́":[{"г":[{"л":[{"а":[{},[0,0,0,0,8,7]]}]}]}]},[1,2]],"о":[{"з":[{},[0,1]],"р":[{},[1]]}],"є":[{"́":[{},[0,0,0,0,1]]},[0,2]],"ѣ":[{"м":[{},[0,0,0,1]]},[2]],"҃":[{},[1]],"ꙋ":[{},[0,2]]},[0,0,2]],"г":[{"л":[{"а":[{},[0,0,0,0,1]]}],"р":[{"ѧ":[{},[0,0,0,0,1]]}]},[2,1,2]],"д":[{},[2,1]],"е":[{"̀":[{},[1]],"́":[{"а":[{},[1]],"б":[{},[1]],"ж":[{},[1]],"и":[{},[1]],"к":[{},[1,0,0,1]],"р":[{},[1]],"с":[{},[1]],"т":[{},[1]],"ц":[{},[1]],"ч":[{},[1,0,0,0,1]],"ш":[{},[1,0,0,1]],"ю":[{},[1]],"є":[{},[1]],"ѡ":[{},[1]]}],"б":[{"е":[{},[0,0,0,0,1]]},[1]],"в":[{},[1,0,1]],"ж":[{},[1]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"л":[{},[2,0,1]],"м":[{},[1]],"н":[{},[1]],"р":[{},[1,0,0,1]],"с":[{"а":[{},[1]],"е":[{},[1]],"и":[{"̀":[{},[1]]}],"н":[{},[1]],"ы":[{},[1]],"ѐ":[{},[1]],"ѝ":[{},[1]],"ѣ":[{},[1]],"ѧ":[{},[1]]},[0,0,1]],"т":[{"а":[{},[1]],"е":[{},[1]]}],"х":[{},[1,0,2]],"ц":[{},[1]],"ю":[{},[2]],"ѡ":[{"́":[{},[1]]}]},[0,2]],"з":[{},[2,1,2]],"и":[{"́":[{"с":[{},[0,0,0,1]],"щ":[{},[0,0,0,1]]}],"̑":[{"в":[{},[0,0,0,0,1]],"м":[{},[0,0,0,1]]}],"в":[{"л":[{},[0,0,0,1]],"о":[{},[0,0,0,0,1]]}],"л":[{},[0,0,1]],"м":[{"а":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]]}],"н":[{"о":[{},[0,0,0,0,1]]},[0,0,1]],"р":[{},[0,0,1]],"с":[{},[0,0,0,2]],"ф":[{},[0,0,1]]},[1,2]],"к":[{"а":[{},[0,0,0,1]],"л":[{"о":[{},[0,0,0,0,1]]}],"о":[{},[0,0,0,1]]},[2,1]],"л":[{"а":[{"̑":[{},[0,0,0,0,1]],"г":[{},[0,1]]},[2]],"е":[{"ж":[{},[0,1]],"н":[{},[1,0,0,0,1]]}],"о":[{},[2,1,0,1]],"ѧ":[{},[0,2]]},[0,0,2]],"м":[{"а":[{"́":[{},[0,0,0,0,1]]},[1]],"е":[{},[1,0,0,1]],"и":[{"́":[{},[0,0,0,0,1]]},[1]],"о":[{"́":[{},[0,0,0,0,1]]},[1,0,0,2]],"ы":[{},[1]],"ь":[{},[2]],"ѝ":[{},[1]]},[0,2]],"н":[{"а":[{"́":[{},[0,1,0,0,1]],"с":[{},[0,1]]},[0,0,0,1]],"е":[{"̀":[{},[0,2]],"́":[{},[1]],"а":[{},[1]],"в":[{"н":[{"ꙋ":[{"́":[{},[0,0,0,8]]}]}]},[0,0,0,0,1]],"м":[{},[0,1]],"с":[{},[1,0,0,1]],"є":[{},[1]]}],"и":[{".":[{},[0,1]],"̀":[{},[2,1]],"́":[{},[0,1]],"х":[{},[0,1]]}],"о":[{"́":[{},[0,1,0,0,1]],"в":[{},[1,0,0,1]],"л":[{},[1]],"м":[{},[0,1,0,1]],"с":[{},[1]],"є":[{},[0,1]]}],"с":[{},[2]],"ы":[{".":[{},[1]],"́":[{},[0,1]],"м":[{},[0,1]]}],"ю":[{".":[{},[0,1]]},[2]],"ѐ":[{},[0,2]],"і":[{"̈":[{},[2]]}],"ї":[{},[2]],"ѝ":[{},[2,1]],"ѡ":[{},[2]],"ѣ":[{"м":[{},[0,1]]}],"ѧ":[{},[2,1,0,1]],"ꙋ":[{"е":[{},[1]],"и":[{},[1]]},[0,0,0,1]]}],"о":[{"̀":[{},[1]],"́":[{"в":[{},[0,0,0,1]],"г":[{},[0,0,0,1]],"с":[{},[0,0,0,1]]},[1]],"б":[{"л":[{},[0,0,0,1]],"о":[{},[0,0,0,0,1]]},[1]],"в":[{"е":[{},[1]],"о":[{},[1]],"ы":[{},[1]]},[0,0,1,2]],"д":[{},[1]],"е":[{},[1]],"ж":[{},[1,0,0,2]],"и":[{"́":[{},[0,0,0,0,1]]},[1]],"к":[{},[1]],"л":[{},[1]],"м":[{"а":[{},[0,0,0,0,1]],"н":[{},[0,0,0,1]],"о":[{},[0,0,0,0,1]]},[1]],"н":[{},[1,0,1]],"п":[{},[1]],"р":[{},[0,0,1]],"с":[{"т":[{"и":[{"́":[{"г":[{"л":[{"а":[{},[0,0,0,0,0,0,8,7]]}]}]}]}]}]},[1,0,0,2]],"т":[{},[1,0,0,2]],"х":[{},[1]],"ч":[{"е":[{},[0,0,0,0,1]]},[1]],"ю":[{},[2]],"ѯ":[{},[1]],"ꙋ":[{"м":[{},[1]]},[0,0,0,1]]},[0,2]],"п":[{"и":[{"́":[{},[0,0,0,0,1]]}],"о":[{},[0,0,0,1]],"р":[{"о":[{},[0,0,0,0,1]]}],"ꙋ":[{},[0,0,0,1]]},[2,1,2]],"р":[{"а":[{".":[{},[1]],"̀":[{},[1]],"г":[{},[1]],"ж":[{},[1]],"з":[{},[0,1]],"ѧ":[{},[1]]}],"е":[{".":[{},[1]],"к":[{},[0,1]],"м":[{},[0,0,0,1]],"н":[{},[1,0,0,0,1]],"ч":[{},[0,1]]}],"и":[{},[1,2]],"о":[{"в":[{},[0,0,0,1]],"м":[{},[0,0,0,1]],"н":[{},[0,0,0,1]]},[1,2]],"с":[{},[2,0,1]],"ъ":[{},[2]],"ы":[{},[1,2]],"і":[{"̈":[{},[0,0,0,0,1]]},[1,2]],"ї":[{},[1,2,0,1]],"ѡ":[{"́":[{},[0,0,0,0,1]]},[1,2]],"ѣ":[{"́":[{"в":[{"л":[{"е":[{},[0,0,0,0,7]]}]}]},[0,0,0,0,1]]},[1,2,0,2]],"ꙋ":[{},[1,2]]}],"с":[{"к":[{"а":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]]}],"о":[{},[0,1,0,2]],"т":[{},[0,1,0,2]]},[2,0,2]],"т":[{"е":[{"́":[{},[0,0,0,0,1]]}]},[2,1]],"х":[{"о":[{"́":[{},[0,0,0,0,1]]},[0,1,0,2]]},[2,0,2]],"ц":[{},[2,1,2]],"ч":[{},[2,1]],"ш":[{"а":[{},[0,0,0,1]],"е":[{"́":[{},[0,0,0,0,1]],"м":[{},[0,0,0,1]]}],"ꙋ":[{},[0,0,0,1]]},[2,1,2]],"щ":[{"є":[{"́":[{},[0,0,0,0,1]]}]},[0,2]],"ъ":[{},[2,2]],"ы":[{"́":[{"к":[{},[0,0,0,1]],"н":[{},[0,0,0,1]],"ш":[{},[0,0,0,1]]},[1]],"г":[{},[1]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"м":[{},[1]],"р":[{},[1,0,2]],"х":[{},[1]],"ѧ":[{},[1]]},[0,2]],"ь":[{},[2,2,1]],"ѐ":[{},[1]],"є":[{"́":[{"ж":[{},[1]],"и":[{},[1]],"й":[{},[1]],"ч":[{},[1,0,0,0,1]]}]}],"і":[{"́":[{"д":[{},[1]],"е":[{},[1,0,0,0,1]],"и":[{},[1]],"м":[{},[1]],"с":[{},[1]],"т":[{},[1,0,0,1]],"ѳ":[{},[1]]}],"̈":[{"а":[{},[1]],"г":[{},[1,0,0,1]],"е":[{"̀":[{},[1]],"́":[{},[1]]}],"и":[{},[1]],"й":[{},[1]],"о":[{},[0,0,0,0,1]],"ф":[{},[1]],"ц":[{},[1]],"ю":[{},[1]],"ѐ":[{},[1]],"ѝ":[{},[1]],"ѡ":[{},[1]],"ѧ":[{"̀":[{},[1]],"́":[{},[1]]}]},[0,2]],"̑":[{},[1]]}],"ї":[{"а":[{},[1]],"г":[{},[1,0,1]],"е":[{"̀":[{},[1]],"́":[{},[1]]}],"и":[{},[1]],"й":[{},[1]],"о":[{},[0,0,0,1]],"ф":[{},[1]],"ц":[{},[1]],"ю":[{},[1]],"ѐ":[{},[1]],"ѝ":[{},[1]],"ѡ":[{},[1]],"ѧ":[{"̀":[{},[1]],"́":[{},[1]]}]},[0,2]],"ѝ":[{},[1,2]],"ѡ":[{"м":[{},[0,0,2]],"н":[{"а":[{},[0,0,0,0,1]]},[0,0,1]]},[1,2]],"ѣ":[{"́":[{"ж":[{},[0,0,0,1]],"с":[{},[0,0,0,1]],"т":[{},[0,0,0,1]],"ш":[{},[0,0,0,1]]},[1]],"̑":[{},[1]],"в":[{},[1]],"д":[{},[1]],"л":[{},[1]],"м":[{},[1]],"н":[{},[1]],"с":[{},[1,0,1]],"т":[{"о":[{},[0,0,0,0,1]]},[1,0,1]],"х":[{},[1]],"ш":[{},[1]],"ѧ":[{},[1]]},[0,2]],"ѧ":[{"́":[{"х":[{},[0,0,0,1]]}],"з":[{},[0,0,0,2]],"т":[{},[0,0,2]],"х":[{},[0,0,1]]},[1,2]],"ѵ":[{"́":[{},[0,0,0,2]]},[1]],"ⷧ":[{},[2]],"ꙋ":[{"́":[{"г":[{},[1,0,0,1]],"е":[{},[1]],"ж":[{},[1,0,0,0,1]],"з":[{},[1,0,0,1]],"л":[{},[0,0,0,1]],"с":[{},[0,0,0,1]],"х":[{},[1]],"ш":[{},[1]],"щ":[{},[1,0,0,1]]}],"̑":[{"ж":[{},[0,0,0,0,1]]},[1]],"б":[{},[0,0,1]],"е":[{},[1]],"ж":[{},[1]],"и":[{"м":[{},[0,0,0,0,1]]},[1,0,0,2]],"й":[{},[1]],"т":[{},[0,0,2]],"х":[{},[1]],"ш":[{},[1,0,0,2]],"щ":[{"а":[{},[0,0,0,0,1]]}],"ю":[{},[1]],"ѧ":[{},[1]]},[0,2]]}],"е":[{".":[{},[8]],"̀":[{".":[{},[8,0,8]]}],"́":[{".":[{},[8,0,8]],"а":[{},[2]],"б":[{"е":[{},[0,0,0,0,1]]}],"в":[{"и":[{},[0,0,0,0,1]],"л":[{},[0,0,0,1]]}],"г":[{"ц":[{},[0,0,0,1]]}],"д":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"е":[{"в":[{},[0,0,0,1]]},[2]],"ж":[{"а":[{},[0,0,0,0,1]]}],"з":[{"а":[{},[0,0,0,0,1]],"д":[{},[0,0,0,1]],"н":[{},[0,0,0,1]],"о":[{},[0,0,0,0,1]],"р":[{},[0,0,1]],"ꙋ":[{},[0,0,1]]}],"к":[{"о":[{},[0,0,0,0,1]]}],"м":[{"в":[{},[0,0,0,1]],"ы":[{},[1]],"ь":[{},[1]]}],"н":[{"а":[{},[0,0,0,0,1]],"м":[{},[0,0,0,1]],"о":[{},[0,0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]}],"п":[{},[0,0,0,2]],"р":[{"б":[{},[0,0,0,1]]}],"с":[{"а":[{},[0,0,0,0,1]],"н":[{},[0,0,0,1]]}],"т":[{"в":[{},[0,0,1]],"е":[{},[0,0,0,0,1]],"и":[{},[0,0,0,0,1]]}],"ц":[{},[2,0,2]],"ч":[{},[2]],"ш":[{"и":[{},[0,0,0,0,1]]}],"щ":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"ю":[{},[0,0,0,1]],"є":[{},[2,0,0,2]],"ѯ":[{},[0,0,1]],"ѳ":[{},[2,0,1]],"ѵ":[{"к":[{},[1]]},[0,0,0,2]]},[0,2]],"̈":[{".":[{},[8,0,8]]}],"̑":[{".":[{},[8,0,8]],"н":[{},[0,0,0,1]]},[0,2,2]],"а":[{"́":[{"н":[{},[0,0,0,0,1]]}],"̑":[{},[0,0,0,1]],"з":[{},[0,0,1,2]],"м":[{},[0,0,1]]},[0,1]],"б":[{"е":[{"л":[{},[0,0,0,1]]}],"л":[{"е":[{},[0,0,1]],"ю":[{},[0,0,1]]}],"о":[{"́":[{},[0,0,0,0,1]]}],"ѣ":[{},[0,0,0,2]]},[0,1]],"в":[{"а":[{"́":[{},[0,0,0,0,1]],"̑":[{},[0,0,0,0,1]],"с":[{},[0,0,0,1]]},[0,1]],"е":[{"д":[{},[0,0,0,1]],"р":[{},[0,0,0,1]],"с":[{},[0,0,0,1]]},[2,1]],"з":[{"ы":[{},[0,0,0,0,1]]}],"и":[{"̑":[{},[0,0,0,0,1]]},[0,1]],"л":[{"е":[{},[0,0,1]],"ѧ":[{},[0,0,1]]}],"н":[{"и":[{},[0,1]],"о":[{},[0,1]]}],"о":[{"л":[{},[0,0,0,0,1]],"н":[{},[0,0,0,1]],"с":[{},[0,0,0,0,1]]},[0,1]],"р":[{"а":[{},[0,0,0,0,1]]}],"с":[{"к":[{},[1]]},[0,0,1]],"ы":[{"м":[{},[0,0,0,1]]},[0,1]],"є":[{"́":[{},[0,0,0,0,1]]},[0,1]],"ѡ":[{},[0,1]],"ѣ":[{"с":[{},[0,0,0,1]]},[0,1]],"ѧ":[{"́":[{},[0,0,0,0,1]],"т":[{},[0,0,0,1]]},[0,1]],"ꙋ":[{},[0,1]]}],"г":[{"а":[{},[0,0,0,1]],"и":[{"́":[{},[0,0,0,0,1]]}],"о":[{"́":[{},[0,0,0,0,1]]}],"р":[{"а":[{},[0,0,0,0,1]],"е":[{},[0,0,0,0,1]],"ѣ":[{},[0,0,0,0,1]]}],"ѡ":[{"́":[{},[0,0,0,0,1]]}],"ꙋ":[{"б":[{},[0,0,0,1]]}]},[0,1]],"д":[{"а":[{"̑":[{},[0,0,0,0,1]]},[0,1]],"в":[{"а":[{},[0,0,1,0,1]],"о":[{},[0,0,1]],"ѣ":[{},[0,0,1]]}],"е":[{},[0,1]],"и":[{"̑":[{},[0,0,0,0,1]],"н":[{},[1]]}],"л":[{"а":[{},[0,0,1,0,1]]}],"м":[{},[0,1]],"н":[{"а":[{},[0,0,1]],"е":[{},[0,1,0,0,1]],"и":[{},[0,0,1]],"о":[{},[0,0,1,0,1]],"ы":[{},[0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]],"ѣ":[{},[0,0,1]],"ꙋ":[{},[0,0,1]]}],"о":[{"м":[{},[0,0,0,1]],"с":[{},[0,0,0,1]],"х":[{},[0,0,0,0,1]]},[0,1]],"р":[{"а":[{},[0,0,1]]},[0,0,0,2]],"с":[{},[0,0,1]],"х":[{},[0,0,1]],"ы":[{},[0,1]],"і":[{},[2,1]],"ѣ":[{"л":[{},[0,0,0,1]]},[0,1]],"ꙋ":[{},[0,1,0,2]]}],"е":[{"́":[{"н":[{},[0,0,0,0,1]]}],"с":[{},[0,0,1]]},[0,1]],"ж":[{},[0,1]],"з":[{"а":[{"х":[{},[0,0,0,1]]}],"в":[{},[0,2,1]],"д":[{"ы":[{},[0,0,0,0,1]]},[0,2,1]],"е":[{"́":[{},[0,0,0,0,1]],"к":[{},[1]]},[0,1]],"и":[{},[0,1,0,1]],"н":[{"а":[{},[0,0,0,0,1]],"е":[{},[0,0,0,0,1]]},[0,2,1]],"о":[{"́":[{},[0,0,0,0,1]]}],"п":[{"о":[{},[0,0,0,0,1]]}],"р":[{},[0,1,2]],"ы":[{},[0,1,0,2]],"ѧ":[{},[0,1]],"ꙋ":[{},[0,0,1]]}],"и":[{"́":[{},[0,0,0,1]],"̆":[{"ж":[{},[1]]},[0,0,0,1]],"з":[{},[0,0,0,1]],"м":[{},[0,0,1]],"с":[{"п":[{},[0,0,1]]}],"т":[{},[0,0,1]]},[0,1]],"й":[{"ж":[{},[1]]},[0,2,1]],"к":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]],"к":[{},[1]],"о":[{"н":[{},[0,0,0,1]]}],"і":[{"̈":[{},[0,0,0,0,1]]},[2]],"ї":[{},[2,0,0,1]],"ꙋ":[{},[0,0,0,2]]},[0,1]],"л":[{"а":[{"̑":[{},[0,0,0,0,1]]},[0,1]],"е":[{},[0,1]],"и":[{"̑":[{},[0,0,0,0,1]]},[2,1]],"о":[{"в":[{},[0,0,0,1]]},[0,1]],"п":[{},[2]],"ъ":[{},[2]],"ы":[{},[0,1]],"ь":[{},[2]],"ю":[{"́":[{},[0,0,0,0,1]],"б":[{},[0,0,0,1]]},[0,1]],"є":[{"н":[{},[0,0,0,1]]},[0,1]],"і":[{"̈":[{},[0,1,0,0,1]]}],"ї":[{},[0,1,0,1]],"ѝ":[{},[0,1]],"ѡ":[{},[2,1]],"ѣ":[{},[0,1]],"ѧ":[{},[2,1]],"ꙋ":[{},[0,1,0,1]]},[0,0,2]],"м":[{"а":[{"́":[{},[0,0,0,0,1]],"ѧ":[{},[1]]},[0,1]],"е":[{"н":[{},[0,0,0,1]]},[2,1]],"ж":[{},[1]],"и":[{".":[{},[1]],"̀":[{},[2]],"н":[{},[0,0,0,1]]},[0,1]],"л":[{},[2,1,2]],"н":[{},[2,0,1]],"о":[{"л":[{},[0,0,0,0,1]],"м":[{},[1,0,0,1]],"р":[{},[0,0,0,1]],"щ":[{},[0,0,0,0,1]],"ю":[{},[1]]},[0,1]],"п":[{},[2,2,1]],"ы":[{"м":[{},[1,0,0,1]]},[0,1]],"ь":[{},[1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{"и":[{},[1]]},[0,1,0,1]],"ѝ":[{},[2,1]],"ѡ":[{"щ":[{},[0,0,0,0,1]]},[2]],"ѣ":[{},[2,1]],"ѧ":[{"́":[{},[0,0,0,0,1]]},[2,1,0,2]],"ⷣ":[{},[2]]}],"н":[{"а":[{"д":[{},[0,0,0,1]]},[0,1]],"е":[{"с":[{},[0,0,0,1]],"ѡ":[{},[0,0,0,0,1]]},[0,1]],"и":[{"х":[{},[0,0,0,1]]},[0,1]],"м":[{},[0,0,1]],"о":[{"в":[{},[0,0,0,1]],"м":[{},[0,0,0,1]]},[0,1]],"т":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"ц":[{},[0,0,1]],"ы":[{},[0,1]],"ю":[{},[0,1,0,1]],"ѐ":[{},[0,1]],"і":[{},[0,1]],"ѝ":[{},[0,1]],"ѣ":[{},[0,1]],"ѧ":[{"́":[{},[0,0,0,0,1]]},[0,1]],"ꙋ":[{},[0,1]]},[2]],"о":[{"́":[{"г":[{},[0,0,0,1]],"д":[{},[0,0,0,1]],"н":[{},[0,0,0,0,1]],"п":[{},[0,0,0,1]],"ф":[{},[0,0,0,1]]}],"н":[{},[0,0,1]]},[0,1]],"п":[{"е":[{"т":[{},[0,0,0,1]]}],"и":[{},[0,0,0,1]],"о":[{},[0,0,0,1]],"р":[{"е":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]]}],"і":[{"́":[{},[0,0,0,0,1]]},[1]],"ѣ":[{"́":[{},[0,0,0,0,1]]}],"ⷭ":[{},[1]]},[0,1,2]],"р":[{"а":[{"з":[{},[0,0,0,0,1]]},[0,1]],"б":[{},[0,0,1]],"в":[{"о":[{},[0,0,0,0,1]]},[0,0,1]],"г":[{},[0,0,1]],"е":[{},[0,1]],"ж":[{},[0,0,1,2]],"з":[{},[0,0,1,2]],"и":[{},[0,1,0,2]],"к":[{},[0,0,1]],"н":[{"а":[{},[0,0,0,0,1]]},[0,0,0,2]],"о":[{"в":[{},[1,0,0,1]],"м":[{},[1,0,0,1]]},[0,1]],"п":[{"л":[{},[0,0,0,1]]}],"с":[{},[0,0,1]],"т":[{"в":[{},[0,0,1]]}],"х":[{},[0,0,1]],"ц":[{},[0,2,1]],"ъ":[{},[2]],"ы":[{},[0,1]],"ю":[{},[0,1]],"є":[{},[0,1,0,1]],"і":[{"́":[{},[0,0,0,0,1]],"̈":[{"к":[{},[0,0,0,0,1]],"н":[{},[0,0,0,0,0,1]]}]},[0,1]],"ї":[{"к":[{},[0,0,0,1]],"н":[{},[0,0,0,0,1]]},[0,1]],"ѝ":[{},[0,1]],"ѡ":[{"н":[{},[0,0,0,1]]},[1,1]],"ѣ":[{},[0,1,0,1]],"ѧ":[{"́":[{},[0,0,0,0,1]]},[0,1]],"ⷭ":[{},[1]],"ꙋ":[{"с":[{},[1]]},[0,1]]}],"с":[{"а":[{},[0,1]],"е":[{},[2,1]],"и":[{},[0,1]],"к":[{"о":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]},[2,1]],"л":[{"ꙋ":[{},[0,0,0,0,1]]}],"н":[{},[0,1]],"о":[{"ж":[{},[0,0,0,0,1]],"м":[{},[0,0,0,1]]},[0,1]],"п":[{"а":[{},[0,0,0,0,1]]},[0,1]],"с":[{"а":[{},[0,0,0,0,1]],"е":[{},[1]]}],"т":[{"в":[{},[0,1]],"е":[{},[0,1]],"о":[{},[0,1]],"р":[{},[0,1]]}],"ы":[{},[0,1]],"ѐ":[{},[0,1]],"є":[{},[0,1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ѝ":[{},[0,1]],"ѡ":[{"́":[{},[0,0,0,0,1]]},[0,1]],"ѣ":[{},[0,1]]},[0,0,2]],"т":[{"а":[{"̑":[{},[0,0,0,0,1]],"с":[{},[1]]},[0,1]],"в":[{},[2,1]],"е":[{"̀":[{},[2]],"р":[{},[0,0,0,0,1]],"с":[{},[1]]},[0,1]],"и":[{},[2,1]],"к":[{},[2,1,2]],"л":[{},[2,1,2]],"н":[{"а":[{},[1,0,1,0,1]],"о":[{},[1,0,1]],"ы":[{},[1,0,1]]}],"о":[{"́":[{},[0,0,0,0,1]]},[2,1,0,2]],"р":[{},[2,1]],"ш":[{},[2]],"ы":[{"́":[{},[0,0,0,0,1]],"р":[{},[0,0,0,1]]},[0,1]],"ѐ":[{},[2,1]],"є":[{},[2,1]],"і":[{"̈":[{},[0,0,0,0,1]]},[2,1]],"ї":[{},[2,1,0,1]],"ѝ":[{},[2,1]],"ѡ":[{},[2,1,0,1]],"ѣ":[{},[0,1]],"ѧ":[{},[2,1]],"ꙋ":[{"́":[{},[0,0,0,0,1]]},[0,1]]}],"ф":[{"а":[{},[0,0,0,2]]},[0,1,2]],"х":[{"и":[{},[0,1,0,1]],"о":[{},[2,1]]},[0,0,2]],"ц":[{"а":[{},[0,1]],"е":[{},[0,1,0,2]],"ы":[{},[0,1]],"ѣ":[{},[0,1,0,2]],"ꙋ":[{},[0,1]]},[2]],"ч":[{"а":[{"т":[{},[0,0,0,1]]}],"е":[{"р":[{},[0,0,0,1]]}],"и":[{"с":[{},[0,0,0,1]]}],"н":[{"а":[{},[0,0,0,0,1]]},[0,0,1]],"ѐ":[{},[0,1]],"ⷭ":[{},[0,1]],"ꙋ":[{},[0,1,0,2]]}],"ш":[{"е":[{},[2,0,0,2]],"и":[{},[0,0,0,1]],"л":[{},[2]]},[0,1,2]],"щ":[{"е":[{"́":[{},[0,0,0,0,1]]}],"и":[{"́":[{},[0,0,0,0,1]]}]},[0,1]],"ю":[{},[0,1]],"є":[{},[0,1]],"ѕ":[{},[0,1,2]],"ѡ":[{"́":[{"р":[{},[0,0,0,0,1]]}],"д":[{},[0,0,1]],"р":[{},[0,0,1]],"с":[{},[0,0,1,2]]},[2,1]],"ѧ":[{"́":[{},[0,0,0,1]]},[0,1]],"ѯ":[{"а":[{},[0,0,0,2]]},[0,1]],"ѱ":[{},[0,1]],"ѳ":[{"о":[{},[0,0,0,2]]},[0,1,2]],"ѵ":[{"к":[{},[0,0,1]],"р":[{},[0,0,1]],"с":[{},[0,0,1]]}],"ѻ":[{"р":[{},[0,0,0,2]]},[0,1,1]],"ѿ":[{},[0,1,1]],"҆":[{"̀":[{".":[{},[8,0,0,8]]}],"́":[{".":[{},[8,0,0,8]]}],"̈":[{".":[{},[8,0,0,8]]}],"̑":[{".":[{},[8,0,0,8]]}]},[0,0,1]],"ⷠ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷡ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]},[0,2]],"ⷢ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷣ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]},[0,2]],"ⷤ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷥ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷦ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]},[0,2]],"ⷧ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷨ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]},[2,2]],"ⷩ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷪ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷫ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]},[0,2]],"ⷬ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷭ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷮ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷯ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷰ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷱ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷲ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷳ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷼ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷽ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷾ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷿ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙋ":[{"в":[{"ѧ":[{},[0,0,0,0,1]]}],"г":[{"а":[{},[0,0,0,0,1]],"о":[{},[1]]}]},[0,1,1]],"ꙴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙼":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙽":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}]}],"ж":[{"а":[{"́":[{"ж":[{},[0,0,0,1]],"ш":[{},[0,0,0,1]],"щ":[{},[0,0,0,1]]}],"̑":[{},[0,0,0,1]],"м":[{},[0,0,1]],"т":[{},[0,0,2]],"х":[{},[0,0,2]]},[1,2]],"б":[{},[2,1]],"г":[{},[2,1]],"д":[{"а":[{"́":[{},[0,0,0,0,1]],"н":[{},[0,0,0,1]]},[1]],"е":[{"ѡ":[{},[0,0,0,0,1]]},[1]],"и":[{"в":[{},[0,0,0,1]]},[1]],"н":[{},[2,0,1]],"о":[{},[1,0,0,1]],"с":[{},[2,0,1]],"ш":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]},[2]],"ъ":[{},[2]],"ы":[{},[1]],"ь":[{},[2]],"є":[{"́":[{},[0,0,0,0,1]]},[1]],"ѝ":[{},[1]],"ѣ":[{},[1]],"ѧ":[{},[1]],"ꙋ":[{},[1]]},[0,2]],"е":[{".":[{},[1]],"́":[{"и":[{"̆":[{},[1]]}],"й":[{},[1]],"с":[{},[1]]}],"з":[{},[0,0,2,1]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"л":[{},[1,0,1]],"м":[{},[1,0,2]],"н":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]},[1]],"р":[{},[0,0,2,1]],"с":[{},[1]],"т":[{},[1]],"ш":[{},[1]],"ю":[{},[1]]},[0,2]],"ж":[{"е":[{"́":[{},[0,0,0,0,1]]}],"и":[{"́":[{},[0,0,0,0,1]]},[1,2]]}],"и":[{"́":[{"з":[{"н":[{"и":[{},[0,0,0,7]]}]}],"н":[{},[0,0,0,1]],"с":[{},[0,0,0,1]]}],"̑":[{},[0,0,0,1]],"в":[{"л":[{"е":[{"́":[{"н":[{},[0,0,8,7]]}]}]},[0,0,0,1]]},[0,0,1]],"з":[{},[0,0,1,2]],"с":[{},[0,0,1,2]],"т":[{"и":[{},[0,0,0,0,1]]}],"ц":[{"е":[{},[0,0,0,0,1]]}],"ш":[{"а":[{},[0,0,0,0,1]]}]},[1,2]],"к":[{"а":[{},[0,0,0,1]],"о":[{},[0,0,0,1]]},[2,1]],"н":[{"а":[{},[0,0,0,1]],"е":[{"м":[{},[0,0,0,1]]}],"о":[{},[0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ѧ":[{},[0,0,0,1]]},[2,1,2]],"р":[{"о":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]],"ꙋ":[{},[0,0,0,2]]},[1,2]],"с":[{"к":[{"а":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]]}]},[2,1,2]],"ц":[{},[2,1]],"ш":[{"а":[{},[0,0,0,1]],"е":[{},[0,0,0,1]]},[2,1]],"ъ":[{},[2]],"ы":[{},[1]],"ь":[{},[2,2]],"є":[{"́":[{"м":[{},[1]],"р":[{},[0,0,0,0,1]],"с":[{},[1,0,0,1]]}],"н":[{},[1]],"с":[{},[1]]}],"і":[{"̈":[{"ѧ":[{},[0,0,0,0,1]]},[1,2]]}],"ї":[{"ѧ":[{},[0,0,0,1]]},[1,2]],"ѧ":[{},[1]],"҃":[{"е":[{"́":[{},[0,0,0,0,1]]}]}],"ⷭ":[{},[2]],"ꙋ":[{".":[{},[1]],"́":[{"с":[{},[1]]},[0,0,0,1]],"с":[{},[1]],"т":[{},[1,0,0,1]]},[0,2]]}],"з":[{"̾":[{"и":[{},[0,0,0,1]],"ѧ":[{"в":[{},[0,0,0,1]]}]},[2,2,1]],"а":[{"́":[{"м":[{},[0,0,0,1]],"с":[{},[0,0,0,1]],"ш":[{},[0,0,0,1]],"ѧ":[{},[0,0,0,0,1]]}],"̑":[{"д":[{},[0,0,0,0,1]],"н":[{},[0,0,0,1]]}],"в":[{},[0,0,1]],"д":[{},[0,0,1]],"и":[{},[2]],"к":[{},[0,0,0,2]],"л":[{},[0,0,1]],"м":[{},[0,0,1]],"н":[{"т":[{},[0,0,0,1]]}],"п":[{"е":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]]}],"р":[{},[0,0,1,2]],"с":[{},[0,0,1]],"т":[{},[0,0,1,2]],"х":[{"о":[{},[0,0,0,0,1]]}],"ꙋ":[{"́":[{},[0,0,0,0,1]]}]},[1,2]],"б":[{"е":[{},[0,0,0,1]],"и":[{"́":[{},[0,0,0,0,1]]}],"л":[{"а":[{},[0,0,0,0,1]],"е":[{},[0,0,0,0,1]]}],"о":[{"л":[{},[0,0,0,1]]}]},[2,1,2]],"в":[{"а":[{".":[{},[0,1]],"̀":[{},[1]],"́":[{},[1]],"м":[{},[0,1]],"н":[{},[1]]}],"е":[{"д":[{},[0,0,0,1]],"р":[{},[0,0,0,0,1]],"с":[{},[0,0,0,1]]},[2,1]],"и":[{"т":[{},[0,0,0,1]]},[2,1]],"л":[{"а":[{},[0,0,0,0,1]]},[2,1]],"о":[{"л":[{},[0,0,0,1]]},[2,1]],"р":[{},[2]],"ъ":[{},[2]],"ы":[{"́":[{},[0,0,0,0,1]]},[2,1]],"ѝ":[{},[2,1]],"ѣ":[{".":[{},[0,1]],"̑":[{},[0,1]],"щ":[{},[0,1]]},[2]],"ꙋ":[{},[2,1]]},[0,0,2]],"г":[{"н":[{"ꙋ":[{},[0,0,0,0,1]]},[0,0,0,2]],"о":[{},[0,0,0,1]],"р":[{"е":[{},[0,0,0,0,1]]}]},[2,1,2]],"д":[{"а":[{"̑":[{},[1]],"л":[{},[0,1,0,1]],"н":[{},[1,0,0,0,1]]}],"в":[{},[2,1,2]],"е":[{},[2,1]],"и":[{},[2]],"н":[{"а":[{},[0,1]],"е":[{},[0,1,0,0,1]],"о":[{},[0,1,0,0,1]],"ы":[{},[0,1]],"ѣ":[{},[0,1]],"ꙋ":[{},[0,1]]},[2]],"о":[{"́":[{},[0,0,0,0,1]]},[2]],"р":[{},[2,0,2]],"ъ":[{},[2]],"ы":[{"х":[{},[0,0,0,1]]}],"ь":[{},[2]],"і":[{"̈":[{},[2,1,0,0,1]]}],"ї":[{},[2,1,0,1]],"ѝ":[{},[2]],"ѣ":[{".":[{},[1]],"л":[{},[0,0,0,1]]}],"ꙋ":[{"́":[{},[0,1]]},[2,0,0,2]]}],"е":[{".":[{},[1]],"̀":[{},[1]],"́":[{"и":[{"̆":[{},[1]]}],"й":[{},[1]],"н":[{},[1]],"р":[{},[0,0,0,0,1]],"ю":[{},[1]]}],"в":[{},[0,0,1]],"к":[{},[1]],"м":[{},[1]],"н":[{},[1]],"р":[{},[1]],"с":[{},[1,0,1]],"т":[{},[1,0,2,1]],"ш":[{},[1]]},[0,2]],"ж":[{"е":[{"н":[{},[0,0,0,1]]}],"и":[{},[0,0,0,1]]},[2,1,2]],"з":[{"а":[{},[0,0,0,1]],"о":[{},[0,0,0,1]]},[2,1,2]],"и":[{"̀":[{},[1]],"́":[{"д":[{},[0,0,0,1]],"ж":[{},[0,0,0,1]],"с":[{},[0,0,0,1]]},[1]],"д":[{},[1]],"м":[{},[2,0,1]],"н":[{},[0,0,1,2]],"р":[{},[0,0,1]],"т":[{},[1,0,1]]},[0,2]],"к":[{"о":[{},[0,0,0,1]]},[0,1]],"л":[{"а":[{"̀":[{},[0,1]],"́":[{},[0,0,0,0,1]],"̑":[{},[0,0,0,0,1]],"г":[{},[0,1]],"т":[{},[1]],"щ":[{},[1]]}],"е":[{"т":[{},[0,0,0,1]]},[2,1]],"и":[{"в":[{},[0,0,0,1]]},[0,1]],"о":[{},[2,1]],"с":[{},[2]],"ъ":[{},[2]],"ю":[{},[2,1]],"і":[{"̈":[{},[2,1,0,0,1]]}],"ї":[{},[2,1,0,1]],"ѡ":[{},[2,1]],"ѣ":[{},[0,1]],"ꙋ":[{},[0,1,0,1]]}],"м":[{"а":[{"́":[{},[0,0,0,0,1]]}],"и":[{"́":[{},[0,0,0,0,1]]}],"о":[{"в":[{},[0,0,0,1]]}]},[2,1,2]],"н":[{"а":[{"̀":[{},[1]],"́":[{},[1]],"в":[{},[1]]}],"е":[{"́":[{},[0,1]],"в":[{},[0,1]],"г":[{},[0,1]],"т":[{},[1]],"х":[{},[1]]}],"и":[{"́":[{},[0,1,0,0,1]],"к":[{},[0,1,0,1]],"с":[{},[0,1,0,0,1]]}],"о":[{"в":[{},[0,0,0,1]],"д":[{},[1]],"м":[{},[0,1,0,1]],"с":[{},[0,1]]}],"с":[{},[2]],"ъ":[{},[2]],"ы":[{"м":[{},[0,0,0,1]]},[2,1]],"ь":[{},[2]],"і":[{"̈":[{},[1,2,0,0,1]]}],"ї":[{},[1,2,0,1]],"ѡ":[{},[2]],"ѣ":[{},[0,1]],"ꙋ":[{"́":[{},[1]],"т":[{},[0,1]]}]}],"о":[{"в":[{},[0,0,1]],"и":[{},[0,0,0,1]],"м":[{},[0,0,2]],"с":[{},[0,0,0,2]],"т":[{"о":[{},[0,0,0,0,1]]}],"ч":[{},[0,0,2,1]]},[1,2]],"п":[{"а":[{},[0,0,0,1]],"и":[{},[0,0,0,2]],"о":[{"́":[{},[0,0,0,0,1]]}],"р":[{"о":[{},[0,0,0,0,1]]}]},[2,1,2]],"р":[{"а":[{"с":[{},[0,1]],"щ":[{},[0,1]]},[2]],"е":[{"́":[{},[1,0,0,0,1]],"ч":[{},[0,1]],"щ":[{},[0,1]]}],"и":[{".":[{},[1]],"̀":[{},[1,2]],"м":[{},[1]],"н":[{},[0,1]],"т":[{},[1]],"ш":[{},[1]]}],"ю":[{},[1,2]],"ѝ":[{},[1,2]],"ѣ":[{"̀":[{},[1]],"ш":[{},[0,1]]}],"ѧ":[{"̀":[{},[1]],"т":[{},[1]]},[0,0,0,2]],"ꙋ":[{},[0,1]]},[0,0,2]],"с":[{"е":[{},[0,0,0,1]],"к":[{"а":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]]}],"л":[{"о":[{},[0,0,0,0,1]]}],"м":[{"о":[{},[0,0,0,0,1]]}],"т":[{"о":[{},[0,0,0,0,1]]}],"ы":[{},[0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ѣ":[{"́":[{},[0,0,0,0,1]]}],"ꙋ":[{"́":[{},[0,0,0,0,1]],"д":[{},[0,0,0,1]]}]},[2,1,2]],"х":[{"о":[{},[0,0,0,1]]},[0,1]],"ц":[{"ѣ":[{},[0,0,0,1]]},[0,1]],"ч":[{"е":[{"́":[{},[0,0,0,0,1]]}],"и":[{"́":[{},[0,0,0,0,1]]}]},[0,1]],"ш":[{"и":[{},[0,0,0,1]],"ꙋ":[{},[0,0,0,1]]},[2,1,2]],"ъ":[{},[2,2]],"ы":[{".":[{},[1]],"̀":[{},[1]],"́":[{"б":[{},[1,0,0,0,1]],"д":[{},[0,0,0,1]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"к":[{},[1]],"т":[{},[0,0,0,1]],"ц":[{},[1]],"ч":[{},[1]]}],"̑":[{},[1]],"г":[{},[2]],"д":[{"и":[{},[1]]}],"к":[{"о":[{},[0,0,0,0,1]]},[1,0,1]],"л":[{},[1]],"с":[{},[2,0,1]],"щ":[{},[2]]},[0,2]],"ь":[{},[2]],"ю":[{},[1,2]],"ѐ":[{},[1,2]],"є":[{"́":[{},[0,0,0,2]],"м":[{},[0,0,0,1]]},[1,2]],"і":[{"̈":[{},[0,0,0,1]]},[1,2]],"ї":[{},[1,2,1]],"ѝ":[{},[1,2]],"ѡ":[{"́":[{},[0,0,0,1]],"р":[{},[0,0,1]],"с":[{},[0,0,1,2]]},[1,2]],"ѣ":[{"̀":[{},[1]],"̑":[{},[0,0,0,1]],"м":[{},[1]],"х":[{},[1]]},[0,2]],"ѧ":[{"̀":[{},[2]],"́":[{"б":[{},[1]],"м":[{},[1]],"с":[{},[0,0,0,1]],"щ":[{},[1]]}],"б":[{},[1]]},[0,2]],"ꙋ":[{".":[{},[1]],"́":[{"е":[{},[1]],"м":[{},[0,1]],"ѧ":[{},[1]]}],"̑":[{"м":[{},[0,0,0,0,1]]},[0,1]],"б":[{},[0,2,1]],"е":[{},[1]],"м":[{"е":[{},[1]],"и":[{},[1]],"л":[{},[1]],"ы":[{},[0,1]],"ѝ":[{},[1]]}],"т":[{},[1,2,0,1]],"ю":[{},[1,0,0,2]]}]}],"и":[{".":[{},[8]],"̀":[{".":[{},[8,0,8]],"д":[{"ѣ":[{},[0,0,0,0,1]]},[0,0,1]]}],"́":[{".":[{},[8,0,8]],"б":[{"л":[{},[0,0,1]],"о":[{},[0,0,0,0,1]]}],"в":[{"а":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]},[2]],"г":[{"н":[{},[0,0,0,1]]}],"ж":[{},[2]],"з":[{"в":[{},[0,0,1]],"о":[{},[0,0,0,0,1]],"р":[{},[0,0,1]],"ꙋ":[{},[0,0,1]]}],"к":[{"а":[{},[0,0,0,0,1]],"н":[{},[0,0,0,1]]}],"л":[{"и":[{},[0,0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"м":[{"а":[{},[0,0,0,0,1]],"ш":[{},[1]]}],"н":[{"а":[{},[0,0,0,0,1]],"и":[{},[0,0,0,0,1]],"м":[{},[0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"р":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"с":[{"и":[{},[0,0,0,0,1]],"к":[{},[0,0,1]],"н":[{},[0,0,1]],"ѧ":[{},[0,0,0,0,1]]},[0,0,0,2]],"т":[{"а":[{},[0,0,0,0,1]],"р":[{},[0,0,1]],"ч":[{},[0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"ф":[{},[0,0,1]],"ц":[{},[2]],"ч":[{"е":[{},[0,0,0,0,1]]},[2]],"ш":[{"а":[{},[0,0,0,0,1]]},[0,0,1]],"щ":[{"ꙋ":[{},[0,0,0,0,1]]}]},[0,2]],"̆":[{".":[{},[8]],"̀":[{".":[{},[8,0,0,8]]}],"́":[{".":[{},[8,0,0,8]]}],"̈":[{".":[{},[8,0,0,8]]}],"̑":[{".":[{},[8,0,0,8]]}],"д":[{"е":[{},[0,0,0,0,2]],"ꙋ":[{},[0,0,0,0,2]]},[0,0,1,2]],"ж":[{},[0,0,1,2]],"м":[{},[0,0,1,2]],"н":[{"е":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]],"ю":[{},[0,0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]],"ѧ":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]},[0,0,1,2]],"с":[{"к":[{"а":[{},[0,0,0,0,0,1]],"о":[{},[0,0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,0,1]]}],"т":[{},[0,0,0,0,2]]},[0,0,1,2]],"т":[{"е":[{},[0,0,0,0,1]]},[0,0,1]],"ц":[{},[0,0,1]],"ч":[{"е":[{},[0,0,0,0,1]]},[0,0,1]],"ш":[{"а":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]},[0,0,1,2]],"҆":[{"̀":[{".":[{},[8,0,0,0,8]]}],"́":[{".":[{},[8,0,0,0,8]]}],"̈":[{".":[{},[8,0,0,0,8]]}],"̑":[{".":[{},[8,0,0,0,8]]}]}],"ⷠ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷡ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷢ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷣ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷤ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷥ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷦ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷧ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷨ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷩ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷪ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷫ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷬ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷭ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷮ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷯ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷰ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷱ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷲ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷳ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷼ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷽ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷾ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷿ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙼":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙽":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}]},[2]],"̑":[{".":[{},[8,0,8]],"г":[{},[2,0,1]],"д":[{},[0,0,1]],"ж":[{},[0,0,2,1]],"м":[{"ш":[{},[1]]}],"р":[{},[0,0,1,2]],"с":[{},[0,0,1,2]],"т":[{},[0,0,1,2]]},[0,2]],"б":[{"а":[{"́":[{},[0,0,0,0,1]]}],"о":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]]},[0,1,2]],"в":[{"а":[{"́":[{},[0,0,0,0,1]]},[2,1]],"е":[{"д":[{},[0,0,0,1]],"с":[{},[0,0,0,1]]},[0,1]],"и":[{},[0,1]],"л":[{"ю":[{},[0,0,1]],"ѧ":[{},[0,0,1]]}],"н":[{},[0,2,1]],"о":[{"м":[{},[0,0,0,1]],"н":[{},[0,0,0,1]],"с":[{},[0,0,0,1]]},[0,1]],"с":[{},[0,0,1]],"ш":[{"ы":[{},[0,0,0,0,1]]}],"ы":[{},[0,1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,1,0,1]],"ѝ":[{},[0,1]],"ѡ":[{},[0,1]],"ѣ":[{},[0,1,0,1]],"ѧ":[{},[0,1,0,2]],"ꙋ":[{},[0,1]]}],"г":[{"а":[{"́":[{},[0,0,0,0,1]]}],"и":[{"́":[{},[0,0,0,0,1]]}],"л":[{"а":[{},[0,0,0,0,1]]}],"о":[{"р":[{},[0,0,0,1]]}]},[2,1,2]],"д":[{"а":[{"́":[{},[0,0,0,0,1]]},[2]],"и":[{"́":[{},[0,0,0,0,1]]},[1]],"о":[{},[0,0,0,2]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ѝ":[{},[1]],"ѣ":[{"́":[{},[0,0,0,0,1]]}],"ꙋ":[{"́":[{},[0,0,0,0,1]]},[1,0,0,2]]},[0,1,2]],"ж":[{"є":[{"́":[{},[0,0,0,0,1]]}]},[0,1,2]],"з":[{"а":[{"̑":[{},[0,0,0,0,1]]},[0,0,0,2]],"б":[{},[1]],"в":[{"а":[{},[0,1]]}],"г":[{},[1]],"и":[{},[0,1,0,1]],"л":[{"а":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]]},[0,0,1]],"м":[{},[1]],"н":[{"е":[{},[0,0,1]],"и":[{},[1,0,1]],"о":[{},[0,1,0,0,1]]}],"о":[{},[0,0,0,1]],"р":[{"е":[{},[1,0,1,0,1]],"и":[{},[0,0,1]],"ѣ":[{},[0,1]]}],"с":[{},[1]],"ы":[{"́":[{},[1,0,0,0,1]]},[0,1]],"ѣ":[{},[0,1]]}],"к":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,1]],"и":[{},[0,1]],"л":[{"о":[{},[0,0,0,0,1]]},[0,1]],"н":[{},[0,2,1]],"о":[{},[0,1]],"р":[{},[0,1]],"т":[{},[0,1]],"і":[{},[0,1]],"ѝ":[{},[0,1]],"ѡ":[{},[0,1]],"ѣ":[{},[0,1]],"ꙋ":[{},[0,1,0,2]]},[2]],"л":[{"а":[{"́":[{},[0,0,0,0,1]],"с":[{},[0,0,0,1]]},[0,1]],"е":[{"в":[{},[1]],"м":[{},[1]]},[0,1]],"и":[{"́":[{},[0,0,0,0,1]],"̑":[{},[0,0,0,0,1]]},[0,1]],"о":[{"с":[{},[0,0,0,1]]},[0,1]],"ь":[{".":[{},[1]],"т":[{},[1]]}],"ю":[{},[1,1]],"є":[{},[1,1,0,1]],"і":[{"̈":[{},[0,1,0,0,1]]}],"ї":[{},[0,1,0,1]],"ѡ":[{},[0,1]],"ѣ":[{},[0,1]],"ѧ":[{".":[{},[1]],"́":[{},[0,0,0,0,1]]},[0,1]],"ꙋ":[{"́":[{},[0,0,0,0,1]]},[0,1]]}],"м":[{"а":[{},[0,1]],"е":[{"н":[{},[1]]},[0,1,0,1]],"и":[{"̀":[{},[1]],"́":[{},[0,0,0,0,1]]},[0,1]],"о":[{"д":[{},[1]]},[0,1]],"т":[{},[0,2,1]],"ы":[{},[0,1]],"ѝ":[{},[1,1]],"ѣ":[{"́":[{},[0,0,0,0,1]]},[0,1]],"ꙋ":[{"̀":[{},[1]],"́":[{},[1]]}]}],"н":[{"а":[{},[0,1,0,2]],"е":[{".":[{},[1]]},[0,1]],"и":[{".":[{},[1]],"н":[{},[0,0,0,0,1]]},[0,1,0,2]],"н":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"о":[{"в":[{},[0,0,0,1]],"м":[{},[0,0,0,1]]},[0,1]],"с":[{"т":[{},[1]]}],"ы":[{},[0,1]],"і":[{"́":[{},[0,0,0,0,1]]},[0,1]],"ѝ":[{},[0,1]],"ѡ":[{"в":[{},[1]]}],"ѣ":[{},[0,1]],"ѧ":[{"́":[{},[0,0,0,0,1]]},[0,1]],"ꙋ":[{},[0,1,0,2]]}],"п":[{"а":[{"́":[{},[0,0,0,0,1]],"д":[{},[0,0,0,1]]}],"і":[{"̈":[{"о":[{},[0,0,0,0,0,1]]},[0,0,0,0,1]]}],"ї":[{"о":[{},[0,0,0,0,1]]},[0,0,0,1]],"ѣ":[{"в":[{},[0,0,0,1]]}]},[0,1]],"р":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,1]],"г":[{},[0,0,1]],"е":[{"н":[{},[0,0,0,0,1]]},[0,1,0,2]],"и":[{},[0,1,0,2]],"о":[{"н":[{},[0,0,0,1]]},[0,1]],"є":[{},[0,1]],"і":[{"̈":[{},[0,0,0,0,1]]},[0,1]],"ї":[{},[0,1,0,1]],"ѝ":[{},[0,1]],"ѣ":[{},[0,1]],"ѧ":[{"́":[{},[0,0,0,0,1]]},[0,1]]},[2]],"с":[{"а":[{"̑":[{},[0,0,0,0,1]]},[0,1]],"в":[{"о":[{},[0,0,0,0,1]],"ѧ":[{},[0,0,0,0,1]]}],"е":[{},[1,1,0,2]],"к":[{"ꙋ":[{},[1,0,0,0,1]]},[0,1,2]],"л":[{},[0,2,1]],"н":[{},[0,1,2]],"о":[{},[0,1,0,2]],"п":[{"о":[{"л":[{"н":[{},[0,0,7]]}]}],"ѡ":[{},[1]],"ѣ":[{},[0,1]]}],"с":[{"а":[{},[0,0,0,0,1]]},[0,0,1]],"т":[{"е":[{},[0,0,0,0,1]]},[0,1,2]],"х":[{"о":[{"́":[{"д":[{},[0,0,7]]}],"ж":[{"д":[{},[0,0,7]]}]}]},[0,2,1]],"ц":[{"ѣ":[{"́":[{"л":[{"ь":[{},[0,0,7]]}]}],"̑":[{"л":[{"ь":[{},[0,0,7]]}]}]}]},[1,2,1]],"ч":[{"е":[{"р":[{"п":[{},[0,0,7]]}]}]},[1]],"і":[{"́":[{},[0,0,0,0,1]],"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]]}],"т":[{"а":[{},[0,1]],"в":[{},[0,1]],"е":[{"ц":[{},[0,0,0,1]]},[0,1]],"и":[{},[0,1]],"о":[{},[0,1,0,2]],"р":[{"о":[{},[0,0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]},[0,1]],"с":[{},[2]],"ы":[{},[0,1]],"ѐ":[{},[0,1]],"є":[{},[0,1]],"і":[{"̈":[{},[0,0,0,0,1]]},[0,1]],"ї":[{},[0,1,0,1]],"ѝ":[{},[0,1]],"ꙋ":[{},[0,1,0,1]]}],"ф":[{"а":[{},[0,0,0,2]],"л":[{"е":[{},[0,0,0,0,1]]}]},[0,0,2]],"х":[{"а":[{".":[{},[1]]},[0,1]],"о":[{"́":[{},[0,0,0,0,1]]},[0,1]],"т":[{},[0,0,1]],"ѣ":[{},[1]],"ꙋ":[{},[0,0,0,2]]}],"ц":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]],"е":[{"м":[{},[0,0,0,1]]}],"ъ":[{},[2]],"є":[{},[0,0,0,1]],"ѣ":[{},[0,0,0,2]]},[0,1,2]],"ч":[{"е":[{"́":[{},[0,0,0,0,1]],"с":[{},[0,0,0,1]]}],"н":[{"ѡ":[{},[1]]},[0,0,1]],"є":[{"́":[{},[0,0,0,0,1]]}]},[0,1]],"ш":[{"е":[{},[0,0,0,2]],"и":[{"н":[{},[0,0,0,1]]},[2]],"л":[{},[0,0,2]],"ꙋ":[{},[0,0,0,2]]},[0,1]],"щ":[{"а":[{},[2,0,0,2]],"е":[{"т":[{},[0,0,0,1]]}]},[0,1,2]],"ю":[{"́":[{},[0,0,0,1]]},[0,1]],"ѡ":[{},[0,1,1]],"ѳ":[{"а":[{"́":[{},[0,0,0,0,1]]}]},[0,1,2]],"҃":[{},[2,0,2]],"҆":[{"̀":[{".":[{},[8,0,0,8]]}],"́":[{".":[{},[8,0,0,8]],"б":[{},[0,0,0,1]],"г":[{},[0,0,0,1]],"д":[{},[0,0,0,1]],"ж":[{},[0,0,0,1]],"з":[{},[0,0,0,0,1]],"р":[{},[0,0,0,1]],"с":[{},[0,0,0,1]]}],"̈":[{".":[{},[8,0,0,8]]}],"̑":[{".":[{},[8,0,0,8]]}],"г":[{},[0,0,0,2]],"з":[{"д":[{},[0,0,0,1]],"р":[{},[0,0,0,1]]}],"л":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]},[0,0,1]],"м":[{},[0,0,1]],"н":[{},[0,0,1,2]],"с":[{"п":[{},[0,0,0,1]]}]}],"ⷠ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷡ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷢ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷣ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷤ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]},[0,2]],"ⷥ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷦ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷧ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷨ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]},[0,2]],"ⷩ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷪ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷫ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷬ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷭ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷮ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷯ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]},[0,2]],"ⷰ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷱ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷲ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷳ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷼ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷽ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷾ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷿ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙋ":[{"́":[{},[0,0,0,2]]},[1,1]],"ꙴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙼":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙽":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}]}],"й":[{".":[{},[8]],"̀":[{".":[{},[8,0,8]]}],"́":[{".":[{},[8,0,8]]}],"̈":[{".":[{},[8,0,8]]}],"̑":[{".":[{},[8,0,8]]}],"д":[{"е":[{},[0,0,0,2]],"ꙋ":[{},[0,0,0,2]]},[0,1,2]],"ж":[{},[0,1,2]],"м":[{},[0,1,2]],"н":[{"е":[{},[0,0,0,1]],"о":[{},[0,0,0,1]],"ю":[{},[0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ѧ":[{},[0,0,0,1]],"ꙋ":[{},[0,0,0,1]]},[0,1,2]],"с":[{"к":[{"а":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]}],"т":[{},[0,0,0,2]]},[0,1,2]],"т":[{"е":[{},[0,0,0,1]]},[0,1]],"ц":[{},[0,1]],"ч":[{"е":[{},[0,0,0,1]]},[0,1]],"ш":[{"а":[{},[0,0,0,1]],"ꙋ":[{},[0,0,0,1]]},[0,1,2]],"҆":[{"̀":[{".":[{},[8,0,0,8]]}],"́":[{".":[{},[8,0,0,8]]}],"̈":[{".":[{},[8,0,0,8]]}],"̑":[{".":[{},[8,0,0,8]]}]}],"ⷠ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷡ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷢ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷣ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷤ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷥ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷦ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷧ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷨ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷩ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷪ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷫ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷬ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷭ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷮ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷯ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷰ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷱ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷲ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷳ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷼ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷽ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷾ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷿ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙼":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙽":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}]},[2]],"к":[{"а":[{"́":[{"в":[{},[1]],"г":[{},[0,0,0,1]],"е":[{},[1]],"ж":[{},[0,0,0,1]],"з":[{},[1]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"к":[{},[1,0,0,1]],"м":[{},[1,0,0,1]],"п":[{},[1]],"р":[{},[1]],"ш":[{},[0,0,0,1]],"ю":[{},[1,0,0,0,1]],"ѳ":[{},[1]]}],"̑":[{"в":[{},[1]],"з":[{},[1,0,0,1]],"н":[{},[1,0,0,0,1]]}],"в":[{},[1,0,1]],"г":[{"о":[{},[1]]}],"д":[{},[1,0,1]],"ж":[{},[1]],"з":[{},[0,0,1,2]],"к":[{},[1]],"л":[{"и":[{},[0,0,0,0,1]]},[1]],"м":[{},[1]],"н":[{},[1]],"р":[{},[1]],"с":[{},[1,0,1,2]],"т":[{"а":[{},[0,0,0,0,1]]},[1,0,1]],"х":[{},[1]],"ш":[{},[1]],"ѧ":[{"́":[{},[1]]}]},[0,2]],"в":[{"а":[{},[0,0,0,2]],"е":[{"р":[{},[0,0,0,0,1]]}],"о":[{},[0,0,0,1]],"і":[{"̈":[{},[1,0,0,0,2]]}],"ї":[{},[1,0,0,2]]},[0,2]],"д":[{"і":[{"́":[{},[0,0,0,0,1]]}]},[1,2]],"е":[{"́":[{"и":[{},[1]],"к":[{},[1]],"л":[{},[0,0,0,0,1]],"м":[{},[1,0,0,0,1]],"р":[{},[1,0,0,1]],"с":[{},[1]],"ѵ":[{},[0,0,0,1]]}],"а":[{},[1]],"д":[{},[1,0,1,2]],"л":[{},[0,0,2]],"н":[{},[2,0,0,1]],"р":[{},[0,0,0,1]],"с":[{"а":[{},[0,0,0,0,1]]},[0,0,1]],"ѱ":[{},[1]]}],"и":[{"́":[{"р":[{},[1,0,0,1]],"т":[{},[1]],"ф":[{},[1]]}],"б":[{"ы":[{},[0,0,0,0,1]]},[1]],"н":[{},[0,0,1]],"р":[{},[0,0,2,1]],"т":[{},[0,0,1,2]]}],"к":[{"а":[{},[0,0,0,1]],"л":[{"и":[{},[0,0,0,0,1]]}]},[2,1,2]],"л":[{"а":[{"н":[{},[0,0,0,1]]},[1]],"е":[{"в":[{},[0,0,0,1]]},[1]],"и":[{"́":[{},[1]],"к":[{},[1,0,0,0,1]],"с":[{},[1]],"ц":[{},[1]]}],"о":[{},[1]],"с":[{},[2]],"ъ":[{},[2]],"ь":[{},[2]],"ю":[{},[1,0,0,1]],"і":[{"̈":[{"п":[{},[0,0,0,0,1]]}]}],"ї":[{"и":[{"̆":[{},[1]]}],"й":[{},[1]],"п":[{},[0,0,0,1]]}],"ѡ":[{},[1]],"ѧ":[{"́":[{"т":[{"в":[{"а":[{},[0,0,0,0,0,7]],"е":[{"н":[{},[0,0,0,0,0,7]]}],"о":[{},[0,0,0,0,0,7]],"ы":[{},[0,0,0,0,0,7]],"ѣ":[{},[0,0,0,0,0,7]],"ꙋ":[{},[0,0,0,0,0,7]]}]}]}]},[1,0,0,2]]},[0,2]],"м":[{},[1,2]],"н":[{"е":[{},[2,1,0,2]],"и":[{"т":[{},[0,0,0,1]]}],"о":[{},[2,0,0,1]],"ъ":[{},[2]],"ѧ":[{},[0,2]]},[0,0,2]],"о":[{"̀":[{},[1]],"́":[{"ж":[{},[0,0,0,1]],"з":[{},[1]],"и":[{},[1]],"л":[{},[1]],"н":[{},[1]],"п":[{},[1,0,0,1]],"с":[{},[1]],"х":[{},[1]],"ш":[{},[1]],"ѧ":[{},[1]]}],"в":[{"а":[{"́":[{"р":[{"с":[{"т":[{"в":[{"о":[{".":[{},[0,0,0,0,0,0,7]]}]}]}]}]}]}]}],"н":[{},[0,0,0,1]],"с":[{},[0,0,0,1]]},[1]],"г":[{},[1]],"д":[{},[1]],"е":[{"́":[{},[1,0,0,0,1]],"г":[{},[1]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"м":[{},[1]]}],"ж":[{},[1,0,0,2]],"з":[{},[0,0,2,1]],"и":[{},[1,0,0,1]],"й":[{},[1]],"л":[{"о":[{"с":[{"с":[{"а":[{"́":[{},[0,0,0,0,0,7]]}]}]}]}],"є":[{},[0,0,0,0,1]]},[1,0,1]],"м":[{"ч":[{},[1]]}],"н":[{"а":[{},[1]],"е":[{},[1]],"о":[{},[1]],"ъ":[{},[1]],"ы":[{},[1]],"є":[{},[1]],"і":[{},[1]],"ꙋ":[{},[1]]}],"п":[{"и":[{},[1,0,0,0,1]],"ѣ":[{},[1]]}],"р":[{"е":[{},[1,0,0,0,1]],"и":[{},[1]],"м":[{},[1]],"ѡ":[{},[0,0,0,0,1]],"ꙋ":[{},[1,0,0,0,1]]}],"с":[{"н":[{"е":[{"́":[{"т":[{},[0,0,0,7]]}]}],"и":[{"́":[{"т":[{},[0,0,0,7]]}]}],"о":[{"в":[{},[0,0,0,7]]}],"ꙋ":[{"́":[{},[0,0,0,7]]}]},[1]],"т":[{},[1,0,1]],"ы":[{},[1]],"ѣ":[{},[1]]}],"т":[{"ь":[{},[1]]}],"ц":[{},[1]],"ѝ":[{},[1]],"ѧ":[{},[1]],"ѻ":[{},[1]],"ꙋ":[{},[1,0,0,1]]},[0,2]],"п":[{},[0,2]],"р":[{"а":[{"е":[{},[0,0,0,0,1]]},[1]],"е":[{"н":[{},[0,0,0,0,1]]}],"о":[{"в":[{},[0,0,0,1]],"м":[{},[0,0,0,1]],"н":[{},[0,0,0,1]]},[1]],"ы":[{"в":[{},[1]],"м":[{},[1,0,0,1]]}],"і":[{},[1]],"ѡ":[{},[1]],"ѣ":[{},[1]],"҃":[{},[2]],"ⷭ":[{},[2]],"ꙋ":[{},[1]]},[0,2,2]],"с":[{},[2,1,2]],"т":[{"а":[{"́":[{},[0,0,0,0,1]]},[1]],"е":[{"н":[{},[0,0,0,1]]},[1]],"о":[{"́":[{},[0,0,0,0,1]],"м":[{},[0,0,0,1]]},[1]],"ъ":[{},[2]],"ю":[{},[1]],"є":[{},[1,0,0,1]],"і":[{"̈":[{},[0,0,0,0,1]]},[1]],"ї":[{},[1,0,0,1]],"ѡ":[{"́":[{},[0,0,0,0,1]]},[1]]},[0,2]],"х":[{"е":[{},[1,0,0,2]],"ъ":[{},[2]]}],"ш":[{"а":[{},[0,0,0,1]],"е":[{},[0,0,0,1]]},[2,1,2]],"ъ":[{},[2]],"ы":[{},[0,0,1]],"є":[{"́":[{"л":[{},[0,0,0,0,1]]},[0,0,0,2]]}],"і":[{"́":[{"а":[{},[1]],"и":[{},[1]],"м":[{},[1]],"н":[{},[1]],"с":[{},[1,0,0,0,1]],"т":[{},[1,0,0,1]]}],"̈":[{"а":[{},[1]],"е":[{},[1]],"и":[{},[1,0,0,0,2]],"л":[{},[1,0,0,2,1]],"н":[{},[1,0,0,2,1]]}],"̑":[{"и":[{"̆":[{},[1]]}],"й":[{},[1]]}]}],"ї":[{"а":[{},[1]],"е":[{},[1]],"л":[{},[1,0,2,1]],"н":[{},[1,0,2,1]]}],"ѡ":[{".":[{},[1]],"́":[{"з":[{},[0,0,0,0,1]],"н":[{},[1]],"р":[{},[0,0,0,0,1]],"с":[{},[0,0,0,1]],"т":[{},[1]]}],"̑":[{},[1,0,0,1]],"в":[{"а":[{},[1]],"е":[{},[1]],"л":[{},[1]],"о":[{},[1]],"ꙋ":[{},[1]]}],"л":[{},[0,0,1]],"н":[{},[1]],"р":[{},[0,0,1]]},[0,2]],"ѵ":[{"́":[{"л":[{},[0,0,0,1]]}],"̏":[{"м":[{},[0,0,0,2,1]]},[0,2]]},[1]],"ѷ":[{"м":[{},[0,0,2,1]]},[1,2]],"ⷮ":[{},[2]],"ꙋ":[{"̀":[{},[1]],"́":[{"е":[{},[1]],"и":[{},[1]],"й":[{},[1]],"л":[{},[1]],"м":[{},[1]],"н":[{},[1]],"р":[{},[1,0,0,1]],"т":[{},[1]],"ф":[{},[0,0,0,1]],"щ":[{},[1,0,0,1]]}],"д":[{},[2,0,1]],"з":[{},[1,0,2,1]],"п":[{},[1]],"с":[{"о":[{},[0,0,0,0,1]],"т":[{},[1]]}],"т":[{},[1,0,1]],"ш":[{"а":[{},[1]]}]},[0,2]]}],"л":[{"а":[{"́":[{".":[{},[1]],"а":[{},[1]],"е":[{},[1]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"р":[{},[1]],"ш":[{},[0,0,0,1]],"ю":[{},[1]],"ѣ":[{},[1]],"ѧ":[{},[1]],"ѵ":[{},[0,0,0,0,1]]}],"̑":[{"в":[{},[0,0,0,0,1]],"д":[{},[0,0,0,0,1]],"с":[{},[0,0,0,1]]}],"а":[{},[1]],"в":[{"л":[{},[0,0,0,1]],"ш":[{},[1]],"ъ":[{},[1]]}],"д":[{"о":[{},[0,0,0,0,1]]},[2]],"е":[{},[1]],"ж":[{},[2]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"к":[{"т":[{},[1]]},[0,0,0,2]],"л":[{},[1]],"м":[{"а":[{},[1]],"и":[{},[1]],"ъ":[{},[1]]},[0,0,0,2]],"н":[{"н":[{},[1]],"т":[{},[0,0,0,1]],"і":[{"̈":[{},[1]]}],"ї":[{},[1]]}],"р":[{},[1]],"с":[{"ѧ":[{},[1]]},[0,0,0,2]],"т":[{"е":[{},[1]],"и":[{},[1,0,0,0,1]],"о":[{},[0,0,0,0,1]]},[0,0,1,2]],"х":[{},[1]],"ч":[{},[2]],"щ":[{"а":[{},[0,0,0,0,1]]},[2]],"ю":[{},[1,0,0,1]],"ѧ":[{"и":[{"̆":[{},[1]]}],"й":[{},[1]]}],"ѵ":[{},[0,0,2,1]]},[0,2]],"в":[{"а":[{},[0,1]],"е":[{},[0,1]],"н":[{},[0,2,1]],"с":[{},[0,0,1]],"ы":[{},[0,1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,1,0,1]],"ѣ":[{},[0,1]],"ꙋ":[{},[0,1]]},[2]],"г":[{"а":[{},[0,1]],"и":[{},[0,1]],"о":[{},[0,1,0,1]]},[2]],"д":[{"е":[{},[0,1]],"є":[{"́":[{},[0,0,0,0,1]]},[0,1]]},[2]],"е":[{"̀":[{},[2]],"́":[{"а":[{},[1]],"б":[{},[1,0,0,0,1]],"е":[{},[1]],"ж":[{},[1,0,0,0,1]],"и":[{},[1]],"п":[{},[0,0,0,1]],"р":[{},[1,0,0,1]],"с":[{},[1]],"т":[{},[0,0,0,0,1]],"х":[{},[1]],"ч":[{},[1,0,0,1]],"щ":[{},[0,0,0,1]]}],"а":[{},[1,0,0,1]],"б":[{},[1]],"в":[{"е":[{},[0,0,0,0,1]]},[0,0,0,2]],"г":[{"л":[{},[1]]}],"е":[{},[2,0,0,2]],"ж":[{"е":[{"̀":[{},[1]]}],"и":[{},[1]],"ѐ":[{},[1]]}],"з":[{"в":[{},[1]],"о":[{},[0,0,0,0,1]]}],"и":[{},[1]],"м":[{"а":[{},[1,0,0,0,1]],"о":[{},[1,0,0,0,1]],"ѡ":[{},[1]],"ꙋ":[{},[1,0,0,0,1]]}],"н":[{"т":[{},[1,0,0,1]]}],"о":[{},[2]],"р":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]},[1,0,1,2]],"с":[{"а":[{},[1]],"е":[{"̀":[{},[1]]}],"и":[{"̀":[{},[1]]}],"н":[{},[1]],"ы":[{},[1]],"ѐ":[{},[1]],"є":[{},[1]],"ѝ":[{},[1]],"ѣ":[{},[1]]}],"т":[{"е":[{},[1]],"с":[{},[1]],"ѣ":[{},[1]],"ѧ":[{},[1]]}],"х":[{},[0,0,2]],"ц":[{"е":[{},[1]],"ъ":[{},[1]]}],"ч":[{},[0,0,1]],"ю":[{},[1]],"ѡ":[{},[1,0,0,2]],"ѯ":[{},[1]],"ѵ":[{},[1]]},[0,2]],"ж":[{"а":[{},[0,2]],"е":[{},[0,1,0,2]],"и":[{},[0,2]],"ѝ":[{},[0,2]],"ꙋ":[{},[0,2]]},[2]],"з":[{"н":[{"о":[{},[0,0,0,0,1]]}],"ш":[{"е":[{},[0,0,0,0,1]]}]},[2,2,1]],"и":[{"́":[{"б":[{},[1,0,0,1]],"в":[{},[1]],"л":[{},[1]],"н":[{},[1]],"р":[{},[0,0,0,1]],"с":[{},[1]],"х":[{},[1]],"ц":[{},[1]],"ч":[{},[1]],"ш":[{},[1]],"щ":[{},[1,0,0,1]]}],"̑":[{"к":[{},[1,0,0,1]],"м":[{},[1,0,0,1]],"т":[{},[1]],"ч":[{},[1]],"щ":[{},[1]]}],"б":[{},[1]],"в":[{},[1]],"д":[{},[1]],"ж":[{},[2]],"з":[{},[2,0,2,1]],"к":[{"о":[{},[1]]},[0,0,1]],"л":[{},[1]],"м":[{"о":[{},[0,0,0,0,1]],"с":[{},[1]],"т":[{},[1]]}],"н":[{"г":[{},[1]],"и":[{},[1]],"ы":[{},[1]],"ѡ":[{},[1]]}],"п":[{},[2]],"с":[{},[2,0,1,2]],"т":[{},[1]],"х":[{},[1,0,2]],"ц":[{"е":[{},[1]]}],"ч":[{},[1]],"ш":[{"и":[{},[1]]}],"щ":[{},[1]]},[0,2]],"к":[{"а":[{},[0,1,0,2]],"и":[{},[0,1]],"о":[{},[0,1,0,1]],"і":[{},[0,1]],"ѝ":[{},[0,1]],"ѡ":[{},[0,1]]},[2]],"л":[{"е":[{"́":[{},[0,0,0,0,1]]}],"и":[{},[0,0,0,1]],"і":[{"̈":[{"н":[{},[0,0,0,0,1]]}]}],"ї":[{"н":[{},[0,0,0,1]]}],"ѵ":[{"́":[{},[0,0,0,0,1]]}]},[2,1,2]],"м":[{"а":[{"т":[{},[0,0,0,1]]},[0,1]],"и":[{},[0,1]],"ы":[{},[0,1]],"і":[{"̈":[{},[0,1,0,0,1]]}],"ї":[{},[0,1,0,1]],"ѣ":[{},[0,1]]},[2]],"н":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,1,0,2]],"е":[{"ч":[{},[0,0,0,0,1]]},[0,1]],"и":[{"с":[{},[0,0,0,1]]},[0,1]],"о":[{"́":[{},[0,0,0,0,1]]},[0,1]],"ц":[{},[0,0,1]],"ы":[{},[0,1]],"є":[{"́":[{},[0,0,0,0,1]]}],"і":[{"̈":[{"и":[{},[0,0,0,0,0,1]],"ѧ":[{},[0,0,0,0,0,1]]},[0,0,0,0,1]]}],"ї":[{"и":[{},[0,0,0,0,1]],"ѧ":[{},[0,0,0,0,1]]},[0,0,0,1]],"ѧ":[{"́":[{},[0,0,0,0,1]],"т":[{},[0,0,0,0,1]]},[0,1,0,2]],"ꙋ":[{"́":[{},[0,0,0,0,1]]},[0,1,0,2]]},[2]],"о":[{"́":[{".":[{},[1]],"г":[{},[1]],"ж":[{},[1]],"м":[{},[1]]}],"б":[{"ы":[{},[1]]},[0,0,0,2]],"в":[{"а":[{},[1]],"л":[{},[0,0,0,1]],"с":[{},[1]],"ъ":[{},[1]],"ы":[{},[1]],"і":[{},[1]],"ѣ":[{},[1]],"ꙋ":[{},[1]]}],"г":[{"и":[{},[0,0,0,0,1]]},[1]],"д":[{"ъ":[{},[1]]}],"ж":[{"а":[{},[1]],"и":[{},[1]],"ꙋ":[{},[1]]}],"з":[{},[0,0,1,2]],"л":[{},[1,0,1]],"м":[{"е":[{},[1]],"ѡ":[{},[1]]},[0,0,0,2]],"н":[{},[0,0,1]],"р":[{"о":[{},[1]],"ꙋ":[{},[1]]},[0,0,1]],"с":[{},[1,0,0,2]],"щ":[{},[0,0,1]],"ѳ":[{},[1]]},[0,2]],"п":[{"а":[{},[0,1,0,2]],"е":[{},[0,1]],"и":[{"̀":[{},[0,1]]}],"н":[{"и":[{},[0,0,0,0,1]]},[0,2,1]],"о":[{},[0,1,0,2]],"і":[{"̈":[{},[0,0,0,0,1]]},[0,1]],"ї":[{},[0,0,0,1]],"ѝ":[{},[0,1]],"ѡ":[{},[0,1]],"ѣ":[{},[0,1]],"ꙋ":[{},[0,1,0,2]]},[2]],"с":[{},[2,1,2]],"т":[{},[2,1]],"ф":[{"а":[{},[0,0,0,1]],"е":[{},[0,0,0,2]]},[2,1]],"х":[{"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]]},[2,0,2]],"ц":[{"ѣ":[{},[0,0,0,2]]},[2,1]],"ч":[{"е":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]],"и":[{"т":[{},[0,0,0,1]]}],"н":[{},[0,0,1]],"є":[{"́":[{},[0,0,0,0,1]]}],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ꙋ":[{},[0,1,0,1]]},[2]],"ш":[{"ꙋ":[{},[0,0,0,1]]},[2,1]],"ъ":[{},[2,2]],"ы":[{"́":[{"в":[{},[0,0,0,0,1]],"ш":[{},[0,0,0,1]]}],"̑":[{".":[{},[1]]}],"х":[{},[1]]},[0,2]],"ь":[{},[2,2,1]],"ю":[{"́":[{".":[{},[1]],"б":[{},[1]],"с":[{},[1]]}],"б":[{},[1]],"д":[{},[2]],"т":[{"с":[{},[1]]}],"ч":[{},[2]],"щ":[{"а":[{},[1]],"е":[{},[1,0,0,0,1]],"и":[{},[1]],"ы":[{},[1]],"і":[{"̈":[{},[1]]}],"ї":[{},[1]],"ꙋ":[{},[1]]}]},[0,2]],"ѐ":[{},[2]],"є":[{"́":[{"з":[{},[1]],"с":[{},[1,0,0,0,1]]}],"в":[{},[0,0,1]],"м":[{},[1]],"н":[{"ы":[{},[1]]}],"с":[{},[1]],"ц":[{},[1]]},[0,2]],"і":[{"́":[{"в":[{},[0,0,0,1]],"д":[{},[0,0,0,1]],"м":[{},[1]],"н":[{},[1]],"п":[{},[1]],"т":[{},[1,0,0,1]]}],"̈":[{"а":[{"̀":[{},[1]],"н":[{},[1]]}],"е":[{"̀":[{},[1]],"в":[{},[1]]}],"и":[{"̀":[{},[1]],"́":[{},[1]],"м":[{},[1]],"н":[{},[1]]}],"к":[{"о":[{},[0,0,0,0,0,1]]},[1,0,0,1]],"л":[{},[1,0,0,1]],"м":[{},[1,0,0,1]],"н":[{},[1]],"о":[{"́":[{},[0,0,0,0,0,1]]},[1]],"п":[{"п":[{},[1]]}],"с":[{"а":[{},[0,0,0,0,0,1]]},[1]],"т":[{},[1]],"ч":[{},[1]],"ю":[{"̀":[{},[1]]}],"ѐ":[{},[1]],"ѝ":[{},[1]],"ѡ":[{},[1]],"ѧ":[{".":[{},[1]],"̑":[{},[1]]}]},[0,2]],"̑":[{},[2]]}],"ї":[{"а":[{"̀":[{},[1]],"н":[{},[1]]}],"е":[{"̀":[{},[1]],"в":[{},[1]]}],"и":[{"̀":[{},[1]],"́":[{},[1]],"м":[{},[1]],"н":[{},[1]]}],"к":[{"о":[{},[0,0,0,0,1]]},[1,0,1]],"л":[{},[1,0,1]],"м":[{},[1,0,1]],"н":[{},[1]],"о":[{"́":[{},[0,0,0,0,1]]},[1]],"п":[{"п":[{},[1]]}],"с":[{"а":[{},[0,0,0,0,1]]},[1]],"т":[{},[1]],"ч":[{},[1]],"ю":[{"̀":[{},[1]]}],"ѐ":[{},[1]],"ѝ":[{},[1]],"ѡ":[{},[1]],"ѧ":[{".":[{},[1]],"̑":[{},[1]]}]},[0,2]],"ѡ":[{"̀":[{},[1]],"́":[{"в":[{},[1]],"г":[{},[1]],"ж":[{},[0,0,0,0,1]],"с":[{},[1]]}],"с":[{},[1,0,1,2]],"т":[{"ь":[{},[1]],"і":[{"̈":[{},[1]]}],"ї":[{},[1]]}]},[0,2]],"ѣ":[{"́":[{"ж":[{},[1,0,0,0,1]],"з":[{},[1]],"л":[{},[1]],"с":[{},[0,0,0,1]],"т":[{},[1]],"х":[{},[1]],"ш":[{},[1,0,0,1]]}],"̑":[{".":[{},[1]],"д":[{},[0,0,0,0,1]],"з":[{},[1]]}],"б":[{},[2]],"в":[{},[1,0,1]],"д":[{},[2,0,1]],"е":[{},[1]],"ж":[{"а":[{},[1]],"е":[{},[1]]}],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"м":[{},[1]],"н":[{},[2,0,1]],"п":[{"и":[{},[1]]}],"х":[{},[0,0,2]]},[0,2]],"ѧ":[{"́":[{"д":[{},[0,0,0,1]],"с":[{},[1,0,0,1]],"щ":[{},[1]]}],"̑":[{},[2]],"г":[{},[2]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"м":[{},[2,0,1]],"н":[{},[1,0,1]],"т":[{"с":[{},[1]]},[0,0,2]],"х":[{},[1]],"ц":[{},[1,0,1]],"ч":[{},[2,0,1]],"щ":[{"е":[{},[0,0,0,0,1]]},[1]]},[0,2]],"ѵ":[{"́":[{"м":[{},[0,0,0,0,1]],"п":[{},[0,0,0,1]],"р":[{},[0,0,0,1]]}],"̏":[{"к":[{},[0,0,0,1]],"м":[{},[0,0,0,2,1]]}]},[1,2]],"ѷ":[{"е":[{},[1]],"к":[{"а":[{},[1]]},[0,0,1]],"м":[{},[1,0,2,1]]},[0,2]],"ѻ":[{"р":[{},[0,0,0,1]]},[1,2]],"҃":[{"к":[{"о":[{},[0,0,0,0,1]]}],"о":[{},[0,0,0,1]]},[2,0,2]],"ⷣ":[{},[2,0,2]],"ꙋ":[{"́":[{"в":[{},[1,0,0,1]],"е":[{},[1]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"н":[{},[1,0,0,1]],"ф":[{},[1]],"ч":[{},[1,0,0,0,1]],"ш":[{},[0,0,0,1]],"ю":[{},[1]],"і":[{"̈":[{},[1]]}],"ї":[{},[1]]}],"̑":[{".":[{},[1]],"ж":[{},[0,0,0,0,1]],"ч":[{},[1]]}],"а":[{},[1]],"б":[{},[0,0,1]],"е":[{},[1]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"к":[{},[1]],"м":[{},[1]],"ч":[{},[1]],"ѧ":[{},[1]],"ⷩ":[{},[1]]},[0,2]]}],"м":[{"а":[{".":[{},[1]],"́":[{".":[{},[1]],"г":[{},[0,0,0,1]],"ж":[{},[1,0,0,1]],"з":[{},[1,0,0,1]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"м":[{},[0,0,0,1]],"н":[{},[1]],"р":[{},[1]],"с":[{},[1]],"т":[{},[0,0,0,1]],"х":[{},[1]],"ш":[{},[1,0,0,1]],"ю":[{},[1]],"ѧ":[{},[1]]}],"̑":[{},[1,0,0,1]],"г":[{"а":[{},[0,0,0,0,1]]},[1,0,0,2]],"л":[{"а":[{},[0,0,0,0,1]]},[1,0,1]],"м":[{"ъ":[{},[1]],"ы":[{},[1]]}],"н":[{"о":[{},[0,0,0,0,1]]},[1]],"р":[{"і":[{},[1]],"ѧ":[{},[1,0,0,0,1]]}],"с":[{},[1,0,1]],"т":[{"е":[{},[0,0,0,0,1]]},[1,0,0,2]],"х":[{},[2,0,2]],"ш":[{},[1]],"і":[{},[1]],"ѧ":[{},[1]],"ѯ":[{},[0,0,1]],"ѵ":[{},[0,0,0,1]]},[0,2]],"в":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,1]]},[2,0,2]],"г":[{},[0,2,2]],"е":[{".":[{},[1]],"́":[{"а":[{},[1]],"в":[{},[1]],"е":[{},[1]],"з":[{},[1,0,0,0,1]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"л":[{},[1,0,0,1]],"м":[{},[0,0,0,0,1]],"н":[{},[1]],"т":[{},[1]],"ц":[{},[1,0,0,0,1]]}],"в":[{},[1,0,1]],"д":[{},[1,0,1,2]],"ж":[{},[0,0,0,2]],"л":[{},[1]],"м":[{},[1,0,2]],"н":[{"о":[{},[0,0,0,0,1]]},[1]],"р":[{"т":[{},[0,0,0,1]],"ш":[{},[1]],"щ":[{},[1]],"ъ":[{},[1]],"і":[{"̈":[{},[1,0,0,0,0,1]]}],"ї":[{},[1,0,0,0,1]]}],"с":[{},[0,0,2]],"т":[{},[1]],"ч":[{"т":[{},[0,0,0,1]]}],"ш":[{},[1]],"ѡ":[{},[1,0,0,2]]},[0,2]],"ж":[{},[2,1,2]],"з":[{},[0,2,2]],"и":[{".":[{},[1]],"́":[{".":[{},[1]],"в":[{},[1]],"ж":[{},[0,0,0,1]],"л":[{},[1]],"м":[{},[0,0,0,1]],"н":[{},[1]],"с":[{},[1,0,0,1]],"т":[{},[1,0,0,1]],"х":[{},[1]],"ц":[{},[0,0,0,1]],"ш":[{},[1]]}],"̑":[{},[0,0,0,1]],"ж":[{},[1]],"л":[{"о":[{},[0,0,0,0,1]]},[1,0,1]],"м":[{"о":[{},[0,0,0,0,1]]},[0,0,1]],"н":[{},[1]],"р":[{"а":[{},[1]],"и":[{"̀":[{},[1]]}],"о":[{},[0,0,0,0,1]],"ѝ":[{},[1]]},[0,0,1]],"с":[{},[1,0,1,2]],"т":[{},[1,0,1,2]],"щ":[{},[1]]},[0,2]],"л":[{"а":[{"́":[{},[0,0,0,0,1]],"д":[{},[0,0,0,1]]},[1]],"е":[{".":[{},[0,1]],"̀":[{},[1]],"́":[{},[0,0,0,0,1]],"м":[{},[0,1]],"т":[{},[0,1]],"ш":[{},[0,1]]}],"и":[{".":[{},[0,1]],"̀":[{},[1,2]],"́":[{},[1,0,0,0,1]]}],"ь":[{},[2]],"ю":[{"̀":[{},[1]],"т":[{},[0,1]]}],"ѐ":[{},[1]],"є":[{"́":[{},[0,0,0,0,1]]},[1,2]],"ѝ":[{},[1,2]],"ѧ":[{".":[{},[0,1]],"̀":[{},[1]]}],"ⷭ":[{},[1]]},[0,0,2]],"м":[{"а":[{},[0,0,0,1]],"ѡ":[{"́":[{},[0,0,0,0,1]]}]},[2,1]],"н":[{"а":[{"́":[{},[0,0,0,0,1]]},[2,1]],"е":[{"̀":[{},[0,2]]},[2,1,0,1]],"и":[{"к":[{},[0,1]],"т":[{},[1,0,0,1]]}],"о":[{"́":[{},[0,0,0,0,1]],"ж":[{},[1]],"м":[{},[0,1,0,1]]}],"ъ":[{},[2]],"ы":[{},[2,1]],"ю":[{},[0,2,0,2]],"ѐ":[{},[0,2]],"і":[{"́":[{},[0,0,0,0,1]],"̈":[{},[0,0,0,0,1]]},[2,1]],"ї":[{},[2,0,0,1]],"ѡ":[{"́":[{},[0,0,0,0,1]]},[2]],"ѣ":[{".":[{},[0,1]]}],"ѧ":[{},[0,2]],"ꙋ":[{"́":[{},[0,0,0,0,1]]},[2,1]]}],"о":[{".":[{},[1]],"́":[{"г":[{},[1]],"ж":[{},[1]],"к":[{},[1,0,0,1]],"л":[{},[1]],"м":[{},[1]],"р":[{},[0,0,0,1]],"с":[{},[1]],"щ":[{},[1]]}],"б":[{},[1]],"в":[{"л":[{},[0,0,1]]},[1,0,0,2]],"г":[{"а":[{},[1]],"е":[{},[1]],"о":[{},[1]],"ꙋ":[{},[1]]}],"д":[{},[1]],"е":[{"м":[{},[0,0,0,1]]},[1]],"ж":[{},[1]],"з":[{},[1,0,1,2]],"и":[{},[1]],"к":[{},[2]],"л":[{"а":[{},[1]],"и":[{"́":[{"т":[{"в":[{"а":[{},[0,0,0,0,0,7]],"е":[{"н":[{},[0,0,0,0,0,7]]}],"о":[{},[0,0,0,0,0,7]],"ы":[{},[0,0,0,0,0,7]],"ѣ":[{},[0,0,0,0,0,7]],"ꙋ":[{},[0,0,0,0,0,7]]}]}]}]},[1]],"ч":[{},[1]],"ю":[{},[1]],"ѝ":[{},[1]]}],"м":[{},[1]],"н":[{},[1]],"п":[{"о":[{},[0,0,0,0,1]]},[1]],"р":[{"е":[{},[1,0,0,0,1]]}],"с":[{"к":[{},[0,0,1]]},[1,0,0,2]],"т":[{"ы":[{},[1]],"ꙋ":[{},[1]]},[0,0,0,2]],"ф":[{},[1]],"щ":[{},[1]],"ѳ":[{},[1]]}],"п":[{"а":[{},[2,1,0,2]],"е":[{"р":[{},[0,0,0,1]]},[1,2]],"о":[{},[2,1,0,1]],"і":[{"̈":[{},[2]]}],"ї":[{},[2]]},[0,0,2]],"р":[{"е":[{"́":[{},[0,0,0,0,1]]}],"о":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]],"є":[{"́":[{},[0,0,0,0,1]]}],"ꙋ":[{},[0,0,0,2]]},[1,2,2]],"с":[{"к":[{"а":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]]}]},[2,1,2]],"т":[{"и":[{},[2,1,0,1]],"ъ":[{},[2]],"҃":[{},[1]]}],"ф":[{"а":[{},[0,0,0,1]],"е":[{},[0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]]},[2,1,2]],"ч":[{"а":[{},[2]],"і":[{"̈":[{},[2]]}],"ї":[{},[2]],"҃":[{},[1]],"ⷭ":[{},[0,2]]}],"ш":[{"а":[{},[0,0,0,1]],"е":[{},[0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ꙋ":[{},[0,0,0,1]]},[2,1,2]],"щ":[{"е":[{"́":[{},[0,0,0,0,1]]}],"ꙋ":[{},[0,0,0,2]]},[1,2]],"ъ":[{},[2,2]],"ы":[{"́":[{"н":[{},[1,0,0,0,1]],"ш":[{},[0,0,0,0,1]]}],"̑":[{},[1]],"в":[{},[1]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"м":[{},[1]],"с":[{},[1]],"х":[{},[1]],"ш":[{},[1,0,0,1]],"ѧ":[{},[1]]},[0,2]],"ь":[{},[2,2,1]],"є":[{"́":[{"н":[{},[1,0,0,0,1]]},[0,0,0,2]],"н":[{},[1]]}],"і":[{"́":[{"а":[{},[1]],"и":[{},[1]],"н":[{},[1,0,0,1]],"р":[{},[1]],"ю":[{},[1]],"є":[{},[0,0,0,0,1]]}],"̈":[{"а":[{},[1]],"е":[{},[1]],"и":[{".":[{},[1]],"̀":[{},[1]],"́":[{},[0,0,0,0,0,1]],"̆":[{},[1]]}],"й":[{},[1]],"л":[{"і":[{"̈":[{},[0,0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,0,1]]},[1,0,0,1]],"н":[{},[1,0,0,1]],"р":[{},[1]],"с":[{"а":[{},[0,0,0,0,0,1]]},[1,0,0,1]],"х":[{"а":[{},[0,0,0,0,0,1]]}],"ю":[{},[2]],"ѝ":[{},[1]],"ѡ":[{},[1,0,0,0,1]],"ѧ":[{},[1]]},[0,2]],"̑":[{},[1]]}],"ї":[{"а":[{},[1]],"е":[{},[1]],"и":[{".":[{},[1]],"̀":[{},[1]],"́":[{},[0,0,0,0,1]],"̆":[{},[1]]}],"й":[{},[1]],"л":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]},[1,0,1]],"н":[{},[1,0,1]],"р":[{},[1]],"с":[{"а":[{},[0,0,0,0,1]]},[1,0,1]],"х":[{"а":[{},[0,0,0,0,1]]}],"ю":[{},[2]],"ѝ":[{},[1]],"ѡ":[{},[1,0,0,1]],"ѧ":[{},[1]]},[0,2]],"ѡ":[{"́":[{"ж":[{},[0,0,0,0,1]],"л":[{},[0,0,0,0,1]]}],"̑":[{},[0,0,0,1]],"и":[{},[0,0,0,1]],"л":[{},[0,0,1]],"р":[{},[0,0,2,1]]},[1,2]],"ѣ":[{"́":[{"т":[{},[0,0,0,1]],"ш":[{},[0,0,0,1]]},[1]],"̑":[{"д":[{},[0,0,0,0,1]],"н":[{},[0,0,0,1]],"р":[{},[0,0,0,0,1]]},[1]],"в":[{},[1,0,1]],"и":[{},[1]],"й":[{},[1]],"м":[{},[1]],"н":[{"е":[{},[1]],"и":[{"̀":[{},[1]]}],"ѝ":[{},[1]]},[0,0,1]],"с":[{},[2,0,1]],"х":[{},[1]],"ш":[{},[2]],"щ":[{},[2]],"ѧ":[{"́":[{},[0,0,0,0,1]]},[2]]}],"ѧ":[{".":[{},[1]],"́":[{},[1]],"н":[{},[1,0,1]],"р":[{},[1]],"т":[{"и":[{},[1]],"н":[{},[1]],"с":[{},[1]],"ь":[{},[1]],"і":[{"̈":[{},[1]]}],"ї":[{},[1]]}]},[0,2]],"ѱ":[{},[2,1,2]],"ѵ":[{"́":[{"л":[{},[1]]}],"̏":[{"г":[{},[0,0,0,0,2]]},[0,0,0,1]]}],"ѷ":[{"г":[{},[0,0,0,2]]},[0,0,1]],"҃":[{},[2]],"ⷣ":[{},[1]],"ⷬ":[{},[2]],"ꙋ":[{"́":[{"и":[{},[0,0,0,0,1]],"ч":[{},[0,0,0,1]],"ѳ":[{},[0,0,0,1]]}],"̑":[{},[0,0,0,1]],"д":[{},[0,0,1,2]],"с":[{"и":[{},[0,0,0,0,1]]}],"щ":[{},[2]]},[1,2]]}],"н":[{"а":[{".":[{},[1]],"́":[{"д":[{},[1]],"з":[{},[0,0,0,1]],"и":[{},[1]],"к":[{},[1]],"р":[{},[1]],"ч":[{},[0,0,0,0,1]],"ш":[{},[0,0,0,1]],"ѳ":[{},[1]]}],"̑":[{},[1,0,0,1]],"а":[{"́":[{},[0,0,0,0,1]]},[1]],"б":[{},[2]],"в":[{"и":[{},[1]],"ꙋ":[{},[0,0,0,0,1]]},[0,0,1]],"г":[{},[1]],"д":[{},[1]],"е":[{},[0,0,0,1]],"ж":[{},[1]],"з":[{"и":[{},[0,0,0,0,1]]},[0,0,1,2]],"и":[{"́":[{},[0,0,0,0,1]]}],"к":[{},[1]],"л":[{"ѧ":[{},[0,0,0,0,1]]},[0,0,1]],"м":[{},[1]],"н":[{},[1,0,1]],"п":[{"е":[{},[0,0,0,0,1]]}],"р":[{"и":[{},[0,0,0,0,1]]},[0,0,1,2]],"с":[{"а":[{},[0,0,0,0,1]],"с":[{},[1]],"т":[{},[1]],"ѧ":[{},[1]]},[0,0,1]],"т":[{},[1,0,1]],"х":[{"о":[{},[0,0,0,0,1]]}],"ч":[{"и":[{},[0,0,0,0,1]]},[1]],"і":[{},[1]],"ѧ":[{},[1]],"ѯ":[{},[1,0,1]],"ѳ":[{},[1]],"ѵ":[{},[0,0,1,2]],"ꙋ":[{},[1]]},[0,2]],"б":[{},[2]],"г":[{},[2,1,2]],"д":[{"а":[{},[0,1]],"е":[{},[0,1]],"и":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]],"р":[{"а":[{},[0,1]],"е":[{},[0,1]],"о":[{},[0,0,0,0,1]]}],"ы":[{},[0,1,0,1]],"і":[{"̈":[{},[0,0,0,0,1]]},[0,1]],"ї":[{},[0,1,0,1]],"ѣ":[{},[0,1]],"ꙋ":[{"́":[{},[0,0,0,0,1]]},[0,1,0,2]]},[2,0,2]],"е":[{".":[{},[1]],"́":[{".":[{},[1]],"а":[{},[1]],"б":[{},[0,0,0,1]],"г":[{},[0,0,0,1]],"ж":[{},[1,0,0,1]],"и":[{},[1]],"л":[{},[1,0,0,1]],"н":[{},[1]],"р":[{},[0,0,0,1]],"ц":[{},[1]],"ч":[{},[1,0,0,0,1]]}],"̑":[{},[1]],"а":[{},[2,0,0,1]],"б":[{"ы":[{},[0,0,0,0,1]]},[1]],"в":[{"а":[{},[1]],"е":[{},[0,0,0,0,1]],"н":[{},[0,0,0,1]],"ѣ":[{},[1]]},[0,0,1]],"г":[{"о":[{},[1]],"ъ":[{},[1]]},[0,0,0,2]],"д":[{"и":[{},[1]],"і":[{},[1]],"ѣ":[{},[1]]},[0,0,1,2]],"ж":[{},[1,0,2,1]],"з":[{"р":[{"а":[{"́":[{"ч":[{},[0,0,7]]}]}]}]},[2,0,1,2]],"и":[{},[1]],"л":[{"и":[{},[0,0,0,0,1]]},[0,0,1]],"м":[{"о":[{},[1]],"п":[{},[1]],"с":[{},[1]],"ꙋ":[{},[1]]}],"н":[{"а":[{},[1,0,0,0,1]],"е":[{},[0,0,0,0,1]],"и":[{},[1]],"о":[{},[1]],"ꙋ":[{},[1]]}],"о":[{},[0,0,0,1]],"п":[{"о":[{},[1]]}],"р":[{"ꙋ":[{},[0,0,0,0,1]]},[2,0,1,2]],"с":[{"л":[{"а":[{"̀":[{".":[{},[0,0,8,7]]}]}],"о":[{"̀":[{".":[{},[0,0,8,7]]}]}]}],"т":[{"и":[{"̀":[{".":[{},[0,0,8,7]]}]}],"ѝ":[{".":[{},[0,0,8,7]]}]}],"ѣ":[{},[0,0,0,0,1]]},[1]],"т":[{"ѣ":[{},[0,0,0,0,1]]}],"х":[{},[0,0,2]],"ц":[{},[0,0,2]],"ш":[{},[1]],"є":[{},[2]],"ѡ":[{"́":[{},[1]],"п":[{},[1]]}],"ѵ":[{},[1,0,1]]},[0,2]],"з":[{},[2,1]],"и":[{"́":[{".":[{},[1]],"д":[{},[0,0,0,1]],"ж":[{},[0,0,0,0,1]],"з":[{},[0,0,0,1]],"м":[{},[1]],"н":[{},[1]],"р":[{},[1]],"с":[{},[1,0,0,1]],"х":[{},[1]],"ч":[{},[1]],"ш":[{},[1]]}],"̑":[{"в":[{},[1,0,0,0,1]]}],"в":[{"о":[{},[0,0,0,0,1]]},[1]],"д":[{},[2]],"з":[{},[2,0,2,1]],"к":[{"о":[{},[1]],"ѣ":[{},[1]]},[0,0,0,2]],"л":[{},[1]],"н":[{},[1]],"р":[{},[1,0,1]],"с":[{"п":[{},[1,0,0,1]],"і":[{},[1]],"ѧ":[{},[1]]}],"т":[{"и":[{},[1,0,0,0,1]],"с":[{},[1]],"ъ":[{},[1]]}],"х":[{"а":[{},[1]],"о":[{},[1]],"с":[{},[1]],"ꙋ":[{},[1]]}],"ц":[{"е":[{},[0,0,0,0,1]],"ꙋ":[{},[1]]}],"ч":[{},[1]],"ш":[{"а":[{},[0,0,0,0,1]]},[1]],"щ":[{"е":[{},[0,0,0,0,1]]},[1]],"ⷯ":[{},[1]]},[0,2]],"к":[{"а":[{},[0,2]],"и":[{"̀":[{},[0,2]]}],"о":[{},[0,1,0,2]],"ѝ":[{},[0,2]],"ѡ":[{},[0,2]],"ꙋ":[{},[0,2]]},[2]],"м":[{"а":[{},[0,1]],"е":[{},[0,1]],"и":[{},[0,1]],"ѝ":[{},[0,1]],"ѣ":[{},[0,1]]},[2,0,2]],"н":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,0,0,1]],"е":[{},[0,0,0,1]],"и":[{"́":[{},[0,0,0,0,1]],"н":[{},[0,0,0,1]]}],"о":[{},[0,0,0,1]],"ю":[{},[0,0,0,1]],"ѧ":[{},[0,0,0,1]],"ꙋ":[{"ю":[{},[0,0,0,0,1]]},[0,0,0,1]]},[2,1,2]],"о":[{".":[{},[1]],"́":[{"в":[{},[1]],"д":[{},[1,0,0,1]],"з":[{},[0,0,0,1]],"к":[{},[0,0,0,1]],"с":[{},[1]],"ф":[{},[1,0,0,1]],"щ":[{},[1]],"і":[{"̈":[{},[1]]}],"ї":[{},[1]]}],"а":[{},[1]],"б":[{},[2]],"в":[{"и":[{},[1]],"л":[{"е":[{"́":[{"н":[{},[0,0,0,7]]}]}]},[1]],"о":[{},[1,0,0,0,1]],"ъ":[{},[1]],"ы":[{},[1]],"і":[{},[1]],"ѝ":[{},[1]],"ѡ":[{},[1]],"ѧ":[{},[1]],"ꙋ":[{},[1]]}],"г":[{"д":[{},[1]],"р":[{},[1]]}],"д":[{"е":[{},[1]],"ꙋ":[{},[1]]}],"е":[{},[1,0,0,2]],"ж":[{"д":[{},[1]],"и":[{},[0,0,0,0,1]]},[0,0,0,2]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"к":[{},[1]],"л":[{"ѣ":[{},[1]]},[0,0,1]],"м":[{"а":[{},[1]],"е":[{},[1]],"о":[{},[1]],"ъ":[{},[1]],"ы":[{},[1]],"ꙋ":[{},[1]]}],"н":[{"а":[{},[0,0,0,0,1]]},[1,0,1]],"п":[{"и":[{},[1]],"л":[{},[1]],"о":[{},[1,0,0,0,1]],"р":[{},[1]]},[0,0,0,2]],"р":[{},[1,0,1]],"с":[{"и":[{},[1]],"ѧ":[{},[1]]},[0,0,1,2]],"т":[{"а":[{},[1]],"в":[{},[1]],"е":[{},[0,0,0,0,1]]},[0,0,0,2]],"ф":[{},[1]],"ч":[{"е":[{},[0,0,0,0,1]]},[1]],"ш":[{},[1]],"щ":[{"е":[{},[0,0,0,0,1]]},[1]],"ю":[{},[1]],"є":[{"ѵ":[{},[1]]}],"ѧ":[{"в":[{},[0,0,0,0,1]]},[1]]},[0,2]],"р":[{"е":[{"̀":[{},[0,1]]}],"ѐ":[{},[0,1]]},[2]],"с":[{"к":[{"а":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]}],"т":[{},[0,0,0,2]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]]},[2,1,2]],"т":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,1]],"е":[{},[0,1,0,1]],"и":[{},[0,1]],"о":[{},[0,1,0,2]],"і":[{},[0,1]],"ї":[{},[0,1]],"ѡ":[{"́":[{},[0,0,0,0,1]],"н":[{},[0,0,0,1]]},[0,1]],"ѣ":[{},[0,1]]},[2]],"ц":[{"а":[{"̀":[{},[0,1]]}],"е":[{"́":[{},[0,1]],"м":[{},[0,1]]}],"ы":[{"̀":[{},[0,1]]}],"є":[{},[0,1]],"ѣ":[{},[0,1,0,2]],"ꙋ":[{"̀":[{},[0,1]],"́":[{},[0,1]]}]},[2,0,2]],"ч":[{"е":[{},[0,0,0,2]],"и":[{"́":[{},[0,0,0,0,1]]}],"н":[{},[0,0,1]]},[2]],"ш":[{"а":[{},[0,0,0,1]],"е":[{},[0,0,0,1]],"ꙋ":[{},[0,0,0,1]]},[2,1,2]],"ъ":[{},[2,2]],"ы":[{"̀":[{},[1]],"́":[{"н":[{},[1,0,0,1]]}],"̑":[{".":[{},[1]],"м":[{},[1]]}],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"м":[{"а":[{},[1]]}],"х":[{},[1]],"ѧ":[{},[1]]},[0,2]],"ь":[{},[2,2,1]],"ю":[{"́":[{},[1]],"е":[{},[1]],"ю":[{},[1]],"ѧ":[{},[1]]},[0,2]],"є":[{"́":[{"ч":[{},[0,0,0,0,1]]}]},[1,2]],"і":[{"́":[{"г":[{},[1]],"и":[{},[1]],"к":[{},[1]],"л":[{},[1]],"н":[{},[1]],"с":[{},[1]],"ч":[{},[1]]}],"̈":[{"г":[{},[0,0,0,2,1]],"е":[{"в":[{},[0,0,0,0,1]]}],"к":[{"а":[{},[0,0,0,0,0,1]]},[0,0,0,1]],"м":[{"а":[{},[0,0,0,0,0,1]]},[0,0,0,1]],"н":[{"е":[{},[0,0,0,0,0,1]]},[0,0,0,1]],"о":[{},[0,0,0,0,1]],"ѧ":[{"м":[{},[0,0,0,0,1]]}]},[1]]},[0,2]],"ї":[{"г":[{},[0,0,2,1]],"е":[{"в":[{},[0,0,0,1]]}],"к":[{"а":[{},[0,0,0,0,1]]},[0,0,1]],"м":[{"а":[{},[0,0,0,0,1]]},[0,0,1]],"н":[{"е":[{},[0,0,0,0,1]]},[0,0,1]],"о":[{},[0,0,0,1]],"ѧ":[{"м":[{},[0,0,0,1]]}]},[1,2]],"ѡ":[{"́":[{"г":[{},[0,0,0,1]],"ж":[{},[0,0,0,1]]}]},[1,2]],"ѣ":[{"́":[{".":[{},[1]],"к":[{},[0,0,0,1]],"м":[{},[1]],"т":[{},[0,0,0,1]],"х":[{},[1]],"ч":[{},[0,0,0,0,1]],"ш":[{},[0,0,0,0,1]]}],"̑":[{},[0,0,0,1]],"д":[{},[2,0,1]],"е":[{},[1]],"и":[{},[1]],"й":[{},[1]],"м":[{"и":[{},[1]]}],"х":[{},[1]],"ш":[{},[1,0,2,1]],"ꙋ":[{},[2]]},[0,2]],"ѧ":[{"́":[{"е":[{},[1]],"ж":[{},[0,0,0,1]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"х":[{},[0,0,0,1]],"ю":[{},[1]],"ѧ":[{},[1]]}],"г":[{"о":[{},[1]],"ѡ":[{},[1]]}],"е":[{},[1]],"з":[{},[2,0,1]],"н":[{},[1,0,1]],"т":[{"и":[{},[0,0,0,0,1]]},[1]],"х":[{},[1,0,2]],"ю":[{},[1]],"ѧ":[{},[1]]},[0,2]],"ѳ":[{"и":[{"́":[{},[0,0,0,0,1]]},[0,1]],"і":[{"̈":[{},[0,0,0,0,2]]},[0,1]],"ї":[{},[0,0,0,2]]},[2]],"ѵ":[{"̏":[{},[0,0,0,1]]},[1,2]],"ѷ":[{},[0,0,1]],"҃":[{},[2,0,2]],"ⷣ":[{},[2]],"ⷴ":[{},[2]],"ꙋ":[{".":[{},[1]],"́":[{".":[{},[1]],"д":[{},[1,0,0,1]],"е":[{},[1]],"и":[{},[1]],"с":[{},[1,0,0,1]],"ф":[{},[1,0,0,1]],"х":[{},[1]],"ш":[{},[0,0,0,1]],"ѧ":[{},[1,0,0,0,1]]}],"а":[{},[1]],"в":[{},[1]],"и":[{"ч":[{},[1]]}],"л":[{},[1,0,2]],"р":[{},[1,0,1]],"т":[{"и":[{},[1]],"ъ":[{},[1]]}],"х":[{},[1,0,2]],"ю":[{".":[{},[1]]}],"ѧ":[{},[1]]},[0,2]]}],"о":[{".":[{},[8]],"̀":[{".":[{},[8,0,8]]},[0,2]],"́":[{".":[{},[8,0,8]],"б":[{"о":[{},[0,0,0,0,1]],"ѧ":[{},[0,0,0,0,1]]}],"в":[{"л":[{},[0,0,0,1]],"ц":[{},[0,0,0,1]]}],"г":[{"а":[{},[0,0,0,0,1]],"н":[{},[0,0,1]]}],"д":[{"р":[{},[0,0,1]]}],"з":[{"н":[{},[0,0,0,1]],"р":[{},[0,0,0,1]]}],"к":[{"а":[{},[0,0,0,0,1]]},[0,0,0,2]],"л":[{"ч":[{},[0,0,0,0,1]],"є":[{},[0,0,0,0,1]],"ѣ":[{},[0,0,0,0,1]]}],"м":[{"а":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]},[2]],"н":[{"д":[{},[0,0,0,1]]}],"п":[{"ѣ":[{},[1]]}],"р":[{"а":[{},[0,0,0,0,1]],"д":[{},[0,0,0,1]],"ж":[{},[0,0,0,1]],"и":[{},[0,0,0,0,1]],"л":[{},[0,0,0,1]],"м":[{},[0,0,0,0,1]],"с":[{},[0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]},[2]],"с":[{"н":[{},[0,0,0,1]],"п":[{},[0,0,1]],"ц":[{},[0,0,0,1]]},[2]],"т":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"ц":[{"к":[{},[0,0,0,1]]},[2]],"ш":[{"а":[{},[0,0,0,0,1]]},[2,0,1]],"щ":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"і":[{"̈":[{},[0,0,0,0,2]]}],"ї":[{},[0,0,0,2]]},[0,2]],"̑":[{".":[{},[8,0,8]],"л":[{},[0,0,0,1]]},[0,2]],"а":[{"м":[{},[0,0,1]]},[0,1]],"б":[{"а":[{"́":[{},[0,0,0,0,1]]}],"и":[{},[0,0,0,1]],"л":[{"ѧ":[{},[0,0,1]]}],"о":[{"с":[{},[0,0,0,1]]}],"р":[{},[0,0,2]]},[0,1]],"в":[{"а":[{"с":[{},[0,0,0,1]]},[0,1]],"е":[{"д":[{},[0,0,0,1]],"р":[{},[0,0,0,0,1]],"с":[{},[0,0,0,1]]},[2,1]],"и":[{"̀":[{},[2]],"в":[{},[0,0,0,1]]},[0,1]],"л":[{"ю":[{},[0,0,1]],"є":[{},[0,0,1]],"ѧ":[{},[0,0,1]]}],"н":[{"е":[{},[0,1,0,0,1]],"о":[{},[0,0,1]],"ѣ":[{},[0,0,1]],"ꙋ":[{},[0,0,1]]}],"о":[{"л":[{},[0,0,0,1]],"с":[{},[0,0,0,1]],"ю":[{},[1]]},[0,1]],"т":[{"о":[{},[0,0,0,0,1]]}],"ц":[{},[0,2,1]],"ч":[{},[0,1,2]],"ы":[{},[0,1]],"є":[{},[0,1]],"і":[{"́":[{},[0,0,0,0,1]]}],"ѝ":[{},[2,1]],"ѡ":[{},[0,1]],"ѣ":[{},[0,1]],"ѧ":[{},[0,1,0,2]],"ꙋ":[{},[2,1]]}],"г":[{"л":[{"о":[{},[0,0,0,0,1]]}],"н":[{"о":[{},[1]],"і":[{},[1]]}],"о":[{"́":[{},[0,0,0,0,1]]},[0,0,0,1]],"р":[{"ѣ":[{},[0,0,0,0,1]]}]},[0,1,2]],"д":[{"̾":[{"и":[{},[0,0,0,0,1]]}],"а":[{"в":[{},[0,0,0,1]]}],"в":[{"о":[{},[0,0,0,0,1]]},[0,0,2]],"е":[{},[2]],"л":[{},[0,2,1]],"н":[{"а":[{},[0,0,1]],"о":[{},[0,0,1]],"ы":[{},[0,0,1]]},[2]],"о":[{"с":[{},[0,0,0,1]],"х":[{},[0,0,0,0,1]]}],"р":[{"о":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]}],"с":[{},[0,0,1]],"ы":[{"́":[{},[0,0,0,0,1]]}],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ѣ":[{"̑":[{},[0,0,0,0,1]],"в":[{},[0,0,0,1]]},[2]],"ꙋ":[{"х":[{},[0,0,0,0,1]]},[0,0,0,2]]},[0,1]],"е":[{"́":[{"н":[{},[0,0,0,1]],"ш":[{},[0,0,0,1]]}],"в":[{},[0,0,1]],"д":[{"и":[{},[0,0,0,0,1]]},[0,0,1]],"с":[{},[0,0,1]]},[2,1]],"ж":[{"е":[{"н":[{},[0,0,0,1]],"с":[{},[0,0,0,1]]}],"ж":[{},[0,2,1]]},[2,1]],"з":[{"в":[{"ѣ":[{},[0,0,0,0,1]]},[0,2,1]],"д":[{"о":[{},[0,0,1,0,1]],"ы":[{},[0,0,1,0,1]],"ѣ":[{},[0,0,1]],"ꙋ":[{},[0,0,1]]},[0,0,0,2]],"ж":[{"е":[{},[0,0,0,0,1]]}],"и":[{"́":[{},[0,0,0,0,1]]},[0,1]],"л":[{},[0,2,1,2]],"н":[{"а":[{},[0,1]],"е":[{},[0,0,1]],"и":[{},[0,0,1]],"о":[{},[0,0,1]]},[0,0,0,2]],"о":[{"р":[{},[0,0,0,0,1]]}],"р":[{"а":[{},[0,0,1]],"и":[{},[0,1]],"ѣ":[{},[0,1]],"ѧ":[{},[0,1]]}],"с":[{"о":[{},[0,0,0,0,1]]}],"ы":[{},[0,1]],"ѣ":[{},[0,1]],"ѧ":[{},[0,1]]}],"и":[{"́":[{"д":[{},[0,0,0,1]],"с":[{},[0,0,0,1]]}],"̆":[{},[0,0,0,1]],"̑":[{},[0,0,0,2]],"з":[{"в":[{},[0,0,0,1]],"н":[{},[0,0,0,1]]}],"м":[{},[0,0,1]],"с":[{},[0,0,2,1]],"т":[{},[0,0,1]]},[2,1]],"й":[{},[0,2,1]],"к":[{"а":[{"р":[{},[0,0,0,1]]}],"л":[{"а":[{},[0,0,0,0,1]]}],"о":[{"в":[{},[0,0,0,1]],"р":[{},[0,0,0,1]]}],"р":[{"и":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]}],"т":[{},[1]],"ъ":[{},[2]]},[0,1,2]],"л":[{"а":[{},[0,1]],"в":[{},[0,0,1]],"г":[{},[0,0,1]],"е":[{"с":[{},[0,0,0,1]],"т":[{},[0,0,0,1]]},[0,1]],"и":[{"̑":[{},[0,0,0,0,1]],"в":[{},[0,0,0,1]]},[0,1]],"к":[{},[0,0,1]],"л":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"н":[{},[0,0,1]],"о":[{"м":[{},[0,0,0,1]]},[0,1]],"п":[{},[0,0,1]],"х":[{},[0,0,1]],"ч":[{},[0,0,1]],"ы":[{},[0,1]],"ю":[{"б":[{},[0,0,0,1]]},[0,1]],"є":[{},[0,1]],"і":[{"́":[{},[0,0,0,0,1]],"̈":[{"н":[{},[0,0,0,0,0,1]]}]},[0,1]],"ї":[{"н":[{},[0,0,0,0,1]]},[0,1]],"ѝ":[{},[0,1]],"ѡ":[{},[0,1]],"ѣ":[{"̑":[{},[0,0,0,0,1]]},[0,1]],"ѧ":[{"́":[{},[0,0,0,0,1]]},[0,1]],"ѵ":[{"̏":[{},[0,0,0,0,1]]}],"ѷ":[{},[0,1,0,1]],"ꙋ":[{},[0,1]]},[2]],"м":[{"а":[{"́":[{},[0,0,0,0,1]]},[2,1]],"е":[{},[0,1]],"и":[{"н":[{},[0,0,0,1]]},[0,1]],"л":[{},[0,1,2]],"н":[{"ѣ":[{},[0,1]]}],"о":[{"л":[{},[0,0,0,1]],"н":[{},[0,0,0,1]],"щ":[{},[0,0,0,1]]},[2,1]],"п":[{},[0,1,2]],"р":[{"а":[{},[0,0,0,0,1]]}],"с":[{},[2]],"т":[{},[0,1]],"ч":[{},[0,1]],"ы":[{"́":[{},[0,0,0,0,1]],"с":[{},[0,0,0,1]]},[0,1]],"ѣ":[{},[0,1]],"ѧ":[{},[0,1,0,1]]}],"н":[{"а":[{},[0,1]],"д":[{},[0,0,1]],"е":[{},[0,1]],"и":[{},[0,1]],"к":[{},[0,0,1]],"м":[{},[0,0,1]],"о":[{},[0,1]],"р":[{},[0,0,1]],"т":[{},[2]],"ц":[{},[0,0,1]],"ч":[{},[0,0,1]],"ы":[{},[0,1]],"ю":[{"́":[{},[0,0,0,0,1]]},[0,1,0,2]],"ѐ":[{},[0,1]],"і":[{"̈":[{},[0,0,0,0,1]]},[0,1]],"ї":[{},[0,0,0,1]],"ѝ":[{},[0,1]],"ѧ":[{"́":[{},[0,0,0,0,1]]},[0,1]],"ѵ":[{"́":[{},[0,0,0,0,1]]},[1]],"ꙋ":[{},[0,1]]}],"о":[{"́":[{},[0,0,0,2]]},[0,1]],"п":[{"а":[{"д":[{},[0,0,0,1]],"р":[{},[0,0,0,1]]}],"е":[{"́":[{},[1]],"р":[{},[0,0,0,0,1]]}],"и":[{"т":[{},[0,0,0,1]]},[2]],"л":[{"ѧ":[{},[0,0,1]]}],"о":[{},[2]],"р":[{"о":[{},[0,0,0,0,1]]}],"і":[{"̈":[{},[0,0,0,0,1]]},[2]],"ї":[{},[2,0,0,1]],"ѝ":[{},[2]],"ѣ":[{},[2]]},[0,1]],"р":[{"а":[{"с":[{},[0,0,0,0,1]]},[0,1]],"в":[{},[0,0,1]],"д":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]},[0,0,1]],"е":[{"н":[{},[0,0,0,1]],"х":[{},[0,0,0,1]]},[0,1]],"ж":[{},[0,0,1]],"и":[{},[0,1,0,2]],"л":[{},[0,0,1]],"м":[{},[0,0,1,2]],"о":[{},[0,1]],"с":[{},[0,0,1]],"т":[{"о":[{},[0,0,0,0,1]]},[0,0,1]],"ц":[{"ы":[{},[0,1]]}],"ы":[{},[0,1]],"ю":[{},[0,1]],"є":[{"́":[{},[0,0,0,0,1]]},[0,1]],"і":[{"̈":[{},[0,0,0,0,1]]},[0,1]],"ї":[{},[0,1,0,1]],"ѝ":[{},[0,1]],"ѡ":[{"н":[{},[0,0,0,1]]},[0,1]],"ѣ":[{"́":[{},[0,0,0,0,1]],"̑":[{},[0,0,0,0,1]]},[0,1]],"ѧ":[{},[0,1]],"ѵ":[{"̏":[{},[0,1,0,0,1]]}],"ѷ":[{},[0,1,0,1]],"ꙋ":[{},[0,1]]},[2]],"с":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,1]],"е":[{},[0,1,0,2]],"и":[{"̑":[{},[0,0,0,0,1]]},[2,1]],"к":[{"л":[{},[0,0,1]]}],"л":[{},[0,0,2]],"м":[{},[0,1]],"н":[{},[0,2,1]],"о":[{},[0,1]],"п":[{"е":[{},[0,0,1,0,1]],"и":[{},[0,1,0,0,1]],"л":[{},[0,0,1]],"ꙋ":[{},[0,0,1]]}],"с":[{},[0,0,1]],"т":[{"е":[{},[0,1]],"л":[{},[0,1]],"о":[{},[0,1]],"ѝ":[{},[0,1]]},[2,0,2]],"х":[{},[0,2,1]],"ц":[{},[0,1,2]],"ы":[{},[0,1]],"і":[{"́":[{},[0,0,0,0,1]],"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ѝ":[{},[0,1]],"ѣ":[{},[0,1]],"ѧ":[{},[2]],"ꙋ":[{"д":[{},[0,0,0,1]]}]}],"т":[{"е":[{"р":[{},[0,0,0,0,1]]}],"н":[{},[0,0,1]],"о":[{"в":[{},[0,0,0,0,1]]},[2]],"ь":[{},[0,0,0,1]],"ѣ":[{"̑":[{},[0,0,0,0,1]]}],"ꙋ":[{},[2]]},[0,1]],"у":[{},[0,8]],"ф":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]],"ѵ":[{},[1]],"ѷ":[{},[1]]},[0,1]],"х":[{"е":[{},[0,0,0,2]],"н":[{},[0,0,1]],"і":[{"́":[{},[0,0,0,0,1]]},[1]],"ꙋ":[{},[0,0,0,1]]},[0,1]],"ц":[{"ѣ":[{"л":[{},[0,0,0,1]]}]},[0,1,2]],"ч":[{"е":[{"н":[{},[0,0,0,1]],"с":[{},[0,0,0,1]],"т":[{},[0,0,0,1]]}],"и":[{"т":[{},[0,0,0,1]]}],"н":[{"о":[{},[0,0,0,0,1]]}]},[2,1]],"ш":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]],"е":[{"н":[{},[0,0,0,1]]}],"л":[{},[0,2,1]],"є":[{"́":[{},[0,0,0,0,1]]}],"ꙋ":[{},[0,0,0,2]]},[0,1]],"щ":[{"а":[{},[0,1]],"н":[{"и":[{},[0,0,0,0,1]]}],"є":[{},[0,1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ѝ":[{},[0,1]],"ꙋ":[{},[0,0,0,2]]}],"ю":[{"́":[{"д":[{},[0,0,0,1]]}]},[2,1]],"ѐ":[{},[0,1]],"є":[{"́":[{},[0,0,0,1]]},[0,1]],"і":[{"́":[{},[0,0,0,2]],"̈":[{},[0,0,0,1]]},[0,1]],"ї":[{},[0,1,1]],"ѝ":[{},[0,1]],"ѡ":[{},[0,1,1]],"ѧ":[{"́":[{"в":[{},[0,0,0,0,1]],"ж":[{},[0,0,0,1]]}],"в":[{"л":[{},[0,0,0,1]]}],"з":[{},[0,0,1]]},[0,1]],"ѯ":[{},[0,1]],"ѱ":[{},[0,1]],"ѳ":[{"е":[{},[0,0,0,2]]},[0,1]],"ѹ":[{"҆":[{},[0,0,0,1]]},[0,1]],"ѻ":[{},[0,1,1]],"҆":[{"̀":[{".":[{},[8,0,0,8]]}],"́":[{".":[{},[8,0,0,8]]}],"̈":[{".":[{},[8,0,0,8]]}],"̑":[{".":[{},[8,0,0,8]]}]},[0,0,1]],"ᲂ":[{"у":[{"҆":[{},[0,0,0,0,1]]},[0,1]]}],"ⷠ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷡ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷢ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷣ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]},[0,2]],"ⷤ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷥ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]},[0,2]],"ⷦ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]},[0,2]],"ⷧ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷨ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷩ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷪ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷫ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷬ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]},[0,2]],"ⷭ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷮ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷯ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷰ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷱ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷲ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷳ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷼ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷽ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷾ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷿ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙋ":[{"б":[{},[0,0,1]],"в":[{},[0,0,1]],"м":[{"е":[{},[0,0,0,0,1]]}],"т":[{},[0,0,1]],"х":[{},[0,0,1]]},[0,1]],"ꙴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙼":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙽":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}]}],"п":[{"а":[{"́":[{"г":[{},[1,0,0,1]],"е":[{},[1]],"ж":[{},[0,0,0,1]],"к":[{},[0,0,0,1]],"л":[{},[1]],"м":[{},[1]],"р":[{},[1]],"т":[{},[1]],"ч":[{},[1,0,0,1]],"ю":[{},[1,0,0,0,1]],"ѵ":[{},[1]]}],"̑":[{},[1,0,0,1]],"в":[{},[1,0,1]],"г":[{},[0,0,2,1]],"д":[{"а":[{},[1]],"е":[{"̀":[{},[1]]}],"и":[{"̀":[{},[1]]}],"н":[{},[1]],"ъ":[{},[1]],"ѐ":[{},[1]],"ѝ":[{},[1]],"ѣ":[{},[1]],"ꙋ":[{},[1]]}],"к":[{"о":[{},[0,0,0,0,1]]},[1]],"л":[{},[1,0,1]],"м":[{},[0,0,2,1]],"н":[{},[0,0,2,1]],"р":[{"а":[{},[0,0,0,0,1]],"и":[{},[0,0,0,0,1]]},[1]],"с":[{"л":[{},[0,0,0,1]],"і":[{"̈":[{},[1,0,0,0,0,1]]}],"ї":[{},[1,0,0,0,1]]}],"т":[{},[0,0,1,2]],"ф":[{},[1]],"х":[{},[0,0,1]],"ѧ":[{"́":[{},[0,0,0,0,1]]},[1]]},[0,2]],"е":[{"̀":[{},[2]],"́":[{"в":[{},[1]],"з":[{},[1,0,0,1]],"л":[{},[1]],"м":[{},[1]],"п":[{},[0,0,0,1]],"р":[{},[1]],"с":[{},[0,0,0,1]],"щ":[{},[1]]}],"в":[{},[1,0,1]],"л":[{"а":[{},[0,0,0,0,1]],"є":[{},[0,0,0,0,1]]},[1]],"н":[{},[1]],"р":[{"в":[{},[1]],"е":[{},[1]],"н":[{},[1]],"ѧ":[{},[1]]}],"с":[{},[0,0,1]],"т":[{},[1]],"ц":[{},[1]],"ч":[{},[1,0,1]],"ѵ":[{},[2,0,2,1]]},[0,2]],"и":[{"́":[{"щ":[{},[0,0,0,1]]},[1]],"̑":[{},[1,0,0,1]],"н":[{"о":[{},[1]],"ы":[{},[1]],"ѣ":[{},[1]],"ꙋ":[{},[1]]},[0,0,1]],"р":[{},[1,0,1]],"с":[{},[1,0,1]],"т":[{"ъ":[{},[1]]},[0,0,0,2]],"ц":[{},[1]],"ш":[{},[1]],"щ":[{},[1]],"ю":[{},[1]]},[0,2]],"к":[{"а":[{},[0,0,0,1]],"и":[{},[0,0,0,2]],"о":[{},[0,0,0,1]],"ꙋ":[{},[0,0,0,1]]},[2,1]],"л":[{"а":[{"м":[{},[0,0,0,1]]},[1,2]],"е":[{".":[{},[1]],"в":[{},[1,0,0,1]],"м":[{},[1,0,0,1]],"н":[{},[1,0,0,1]],"т":[{},[1]],"щ":[{},[1]]}],"и":[{},[1,2]],"о":[{"м":[{},[0,0,0,1]]},[1,2]],"ъ":[{},[2]],"ы":[{},[1,2]],"ь":[{},[2]],"ю":[{".":[{},[1]],"̀":[{},[0,1]],"т":[{},[1]]}],"є":[{},[2,1]],"і":[{"̈":[{},[0,0,0,0,1]]},[1,2]],"ї":[{},[1,2,0,1]],"ѡ":[{"т":[{},[0,0,0,0,1]]},[1,2,0,2]],"ѣ":[{},[1,2]],"ѧ":[{".":[{},[1]],"́":[{},[0,1,0,0,1]],"м":[{},[1]]}],"ꙋ":[{},[1,2,0,1]]},[0,0,2]],"н":[{"а":[{},[2,1,0,1]],"е":[{"т":[{},[0,0,0,0,1]]},[1,2,0,2]],"и":[{"̀":[{},[0,2]]},[2,1]],"о":[{},[2,1,0,1]],"ы":[{"́":[{},[1]],"м":[{},[0,1]]}],"і":[{"̈":[{},[2,0,0,0,1]]}],"ї":[{},[2,0,0,1]],"ѝ":[{},[0,2]],"ѡ":[{},[2]],"ѣ":[{},[2,1]],"ꙋ":[{},[2,1,0,1]]},[0,0,2]],"о":[{".":[{},[1]],"́":[{"ж":[{},[0,0,0,1]],"з":[{},[0,0,0,1]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"л":[{},[1]],"м":[{},[1]],"н":[{},[1]],"п":[{},[0,0,0,1]],"с":[{},[1]],"т":[{},[0,0,0,1]],"х":[{},[0,0,0,1]],"ч":[{},[0,0,0,1]]}],"б":[{"ѣ":[{},[1]]}],"в":[{"е":[{},[0,0,0,0,1]]},[1,0,1,2]],"д":[{"е":[{},[0,0,0,0,1]],"н":[{},[0,0,0,1]],"і":[{},[1]],"ѡ":[{},[1]]}],"е":[{},[1,0,0,2]],"ж":[{"е":[{},[0,0,0,0,1]],"р":[{},[1]]},[0,0,0,2]],"з":[{},[0,0,1,2]],"и":[{},[1]],"к":[{},[1]],"л":[{"а":[{},[0,0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]},[1]],"м":[{},[1,0,1,2]],"п":[{"а":[{},[0,0,0,0,1]],"е":[{},[0,0,0,0,1]],"и":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]},[0,0,0,2]],"р":[{"а":[{},[0,0,0,0,1]],"е":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]},[1]],"с":[{"ы":[{},[0,0,0,0,1]]},[1,0,1,2]],"т":[{},[1]],"х":[{},[0,0,0,2]],"ч":[{"ꙋ":[{},[0,0,0,0,1]]},[1,0,0,2]],"щ":[{"а":[{},[0,0,0,0,1]]},[0,0,1]],"ю":[{},[1]],"ѝ":[{},[1]],"ѧ":[{},[1]],"ꙋ":[{},[0,0,0,1]]},[0,2]],"п":[{"а":[{},[0,1]],"е":[{},[0,1]],"и":[{},[0,1,0,1]]},[2]],"р":[{"а":[{"́":[{"з":[{"д":[{"н":[{"и":[{"к":[{},[0,0,0,0,0,7]],"ц":[{},[0,0,0,0,0,7]]}]}]}]}]}],"̑":[{},[0,0,0,0,1]],"ѯ":[{},[0,0,0,1]]}],"е":[{"з":[{},[0,0,0,1]],"м":[{},[0,0,0,1]],"н":[{},[0,0,0,1]],"т":[{},[0,0,0,1]],"х":[{},[0,0,0,1]]}],"и":[{"́":[{},[0,0,0,0,1]]},[0,0,0,1]],"о":[{"в":[{},[0,0,0,1]],"з":[{},[0,0,0,1]],"м":[{},[0,0,0,1]],"н":[{},[0,0,0,1]]}],"ь":[{},[2]],"є":[{"н":[{},[0,0,0,0,1]]},[2]],"і":[{"̈":[{"ѡ":[{},[0,0,0,0,0,1]]},[0,0,0,0,1]]}],"ї":[{"ѡ":[{},[0,0,0,0,1]]},[0,0,0,1]],"ѣ":[{"́":[{},[0,0,0,0,1]]}],"ѧ":[{"́":[{},[0,0,0,0,1]]}],"ꙋ":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]]},[1,2,2]],"с":[{"и":[{"̀":[{},[0,2]]}],"т":[{},[0,1,0,2]],"ѝ":[{},[0,2]]},[2]],"т":[{"а":[{"́":[{},[0,0,0,0,1]]},[1]],"е":[{},[1]],"и":[{"̑":[{},[0,0,0,0,1]]}],"о":[{},[1,0,0,2]],"р":[{},[2]],"ѣ":[{},[1]],"ѧ":[{},[1]]},[0,2]],"ф":[{"і":[{"́":[{},[0,0,0,0,1]]}]},[1,2]],"ц":[{"ы":[{},[0,0,0,1]],"ѣ":[{},[0,0,0,2]]},[2,1]],"ч":[{},[2,1]],"ш":[{"е":[{},[0,2,0,1]]},[2]],"щ":[{"е":[{},[0,0,0,1]]},[1,2]],"ъ":[{},[2,2]],"ы":[{"́":[{},[0,0,0,2]]},[1,2]],"ѐ":[{},[2]],"є":[{"́":[{"н":[{},[0,0,0,0,1]],"р":[{},[0,0,0,0,1]]},[0,0,0,2]]},[1]],"і":[{"́":[{"и":[{},[1]],"н":[{},[1,0,0,1]],"с":[{},[1]],"т":[{},[1,0,0,1]]}],"̈":[{"к":[{},[0,0,0,1]],"л":[{},[0,0,0,1]],"м":[{},[0,0,0,1]],"о":[{"́":[{},[0,0,0,0,0,1]]}],"с":[{},[0,0,0,1,2]]},[1,2]]}],"ї":[{"к":[{},[0,0,1]],"л":[{},[0,0,1]],"м":[{},[0,0,1]],"о":[{"́":[{},[0,0,0,0,1]]}],"с":[{},[0,0,1,2]]},[1,2]],"ѡ":[{"́":[{"в":[{},[1]],"н":[{},[1]],"т":[{},[0,0,0,1]]}],"̑":[{"н":[{},[0,0,0,0,1]]},[1,0,0,2]],"в":[{},[1,0,1]]}],"ѣ":[{".":[{},[1]],"́":[{"т":[{},[0,0,0,1]],"ѧ":[{},[0,0,0,0,1]]},[1]],"̑":[{},[0,0,0,1]],"л":[{},[1,0,1]],"с":[{},[0,0,1]],"ш":[{"е":[{},[0,0,0,0,1]]},[2,0,0,2]],"ю":[{},[1]]},[0,2]],"ѧ":[{"́":[{"л":[{},[1,0,0,0,1]],"с":[{},[1,0,0,1]],"ш":[{},[1]]}],"т":[{},[1]]},[0,2]],"ѵ":[{"́":[{},[0,0,0,1]],"̏":[{},[0,0,0,1]]},[1]],"ѷ":[{},[0,0,1]],"҃":[{},[0,0,2]],"ⷣ":[{},[0,0,2]],"ⷬ":[{},[2]],"ⷭ":[{},[2]],"ꙋ":[{"̀":[{},[1]],"́":[{},[1]],"с":[{},[1]],"т":[{},[0,0,1,2]],"щ":[{},[1]]},[0,2]]}],"р":[{"а":[{"́":[{"р":[{},[1]],"і":[{"̈":[{},[1,0,0,0,0,1]]}],"ї":[{},[1,0,0,0,1]],"ѯ":[{},[1]]}],"̑":[{"в":[{},[0,0,0,1]],"ж":[{},[0,0,0,1]],"з":[{},[0,0,0,0,1]],"л":[{},[0,0,0,1]],"ш":[{},[0,0,0,0,1]]}],"б":[{},[1]],"в":[{"л":[{},[0,0,0,1]],"і":[{},[1]]}],"д":[{},[0,0,1]],"е":[{"к":[{},[1]]}],"з":[{"л":[{},[1]],"н":[{},[0,0,0,1]],"р":[{},[1]],"с":[{},[1]]}],"л":[{"а":[{},[1]]},[0,0,1]],"м":[{"о":[{},[0,0,0,0,1]]},[0,0,1]],"п":[{"о":[{},[1]],"і":[{"̈":[{},[1]]}],"ї":[{},[1]]}],"с":[{"к":[{"а":[{"́":[{"е":[{"т":[{},[0,0,8,7]]}],"ѧ":[{"н":[{},[0,0,8,7]]}]}]}]},[1]],"л":[{},[1]],"п":[{"а":[{"д":[{},[0,0,8,7]],"л":[{},[0,0,8,7]]}],"р":[{"о":[{"с":[{"т":[{},[0,0,8,7]]}]}]}]}],"т":[{"а":[{"́":[{"ѧ":[{},[0,0,8,7]]}]}],"в":[{"о":[{"р":[{},[0,0,8,7]]}]}],"е":[{"р":[{"з":[{},[0,0,8,7]]}]}],"о":[{"́":[{"р":[{"г":[{},[0,0,8,7]],"ж":[{},[0,0,8,7]]}]}]}]}],"ѡ":[{},[0,0,0,0,1]]}],"т":[{"о":[{},[0,0,0,0,1]],"р":[{},[1]]},[0,0,1,2]],"ф":[{},[1]],"х":[{},[1]],"ѡ":[{},[1]]},[0,2]],"б":[{"е":[{},[0,0,0,2]],"л":[{},[0,2,1]],"н":[{},[0,0,1]],"ѣ":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]],"ѧ":[{"́":[{},[0,0,0,0,1]]}]},[2]],"в":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,1]],"е":[{"́":[{},[0,0,0,0,1]],"н":[{},[0,1]]}],"л":[{"е":[{},[0,0,0,0,1]]},[0,1]],"о":[{"з":[{},[0,0,0,1]]},[0,1]],"ы":[{},[0,1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,1,0,1]],"ѣ":[{},[0,1,0,1]],"ꙋ":[{},[0,1,0,1]]},[2,0,2]],"г":[{"а":[{},[0,1]],"и":[{},[0,1]],"л":[{},[0,2]],"н":[{"ꙋ":[{},[0,0,0,0,1]]},[0,2,1]],"о":[{},[0,1,0,2]],"і":[{"́":[{},[0,0,0,0,1]]},[0,1]]},[2]],"д":[{"а":[{"л":[{},[0,0,0,1]]},[0,1]],"е":[{},[0,1]],"и":[{"с":[{},[0,0,0,1]],"т":[{},[0,0,0,1]]}],"н":[{},[0,2,1]],"о":[{},[0,1]],"ы":[{"́":[{},[0,0,0,0,1]]},[0,1]],"є":[{},[0,1]],"і":[{},[0,1]],"ѣ":[{},[0,1]],"ѧ":[{"́":[{},[0,0,0,0,1]]}],"ꙋ":[{},[0,1,0,1]]},[2]],"е":[{"́":[{"в":[{"н":[{"о":[{"с":[{"т":[{},[0,0,0,7,8]]}]}]}]}],"ж":[{},[0,0,0,1]],"з":[{},[0,0,0,1]],"к":[{},[1]],"л":[{},[0,0,0,1]],"п":[{},[0,0,0,1]],"ч":[{},[0,0,0,1]],"ѳ":[{},[1]]}],"в":[{"а":[{},[1]],"н":[{},[1]]},[0,0,1,2]],"д":[{"в":[{},[0,0,0,1]],"е":[{},[1,0,0,0,1]],"л":[{},[0,0,0,1]],"о":[{},[0,0,0,0,1]],"р":[{},[0,0,0,1]]}],"е":[{},[0,0,0,1]],"ж":[{},[0,0,0,2]],"и":[{"̆":[{".":[{},[1]]}]},[0,0,0,1]],"й":[{".":[{},[1]]}],"к":[{"о":[{},[1]],"і":[{},[1]],"ꙋ":[{},[1]]},[0,0,0,2]],"л":[{"а":[{},[0,0,0,0,1]],"ю":[{},[0,0,0,0,1]]},[0,0,1]],"м":[{"н":[{},[0,0,1]],"і":[{"̈":[{},[1]]}],"ї":[{},[1]]},[0,0,0,2]],"н":[{"а":[{},[1,0,0,0,1]],"е":[{},[0,0,0,0,1]],"ъ":[{},[1]],"ь":[{},[1]],"і":[{"̈":[{},[1,0,0,0,0,1]]}],"ї":[{},[1,0,0,0,1]]}],"р":[{},[0,0,1,2]],"с":[{"ь":[{},[1]]},[0,0,1]],"т":[{"і":[{},[1]],"ї":[{},[1]]},[0,0,0,2]],"х":[{"ъ":[{},[1]]}],"ц":[{"ъ":[{},[1]]}],"ч":[{"е":[{"̀":[{},[1]]}],"ѐ":[{},[1]],"є":[{},[1]]},[0,0,1,2]],"ш":[{},[2]],"щ":[{"и":[{},[1]]}],"ю":[{},[1]],"ѡ":[{},[0,0,0,1]]},[0,2]],"ж":[{"д":[{},[0,1]],"е":[{"с":[{},[0,0,0,1]],"т":[{},[0,0,0,0,1]]},[0,1]],"є":[{},[0,1]],"ꙋ":[{},[0,1]]},[2]],"з":[{"а":[{},[0,0,0,2]],"е":[{"́":[{},[0,0,0,0,1]]},[0,1]],"и":[{},[0,1]],"л":[{},[0,2,2]],"н":[{"о":[{},[0,0,0,0,1]]},[0,1,2,2]],"о":[{"́":[{},[0,0,0,0,1]]}],"ы":[{},[0,1,0,2]],"ѡ":[{},[0,0,0,1]],"ꙋ":[{},[0,1,2]]},[2]],"и":[{"́":[{"д":[{},[0,0,0,1]],"ж":[{},[0,0,0,1]],"н":[{},[1]],"х":[{},[1]],"ц":[{},[1,0,0,1]],"ч":[{},[1,0,0,0,1]],"щ":[{},[0,0,0,1]]}],"̑":[{".":[{},[1]],"г":[{},[1]],"м":[{},[1]]},[0,0,0,1]],"в":[{"л":[{},[0,0,1]]},[0,0,0,2]],"з":[{"ы":[{},[0,0,0,0,1]]},[0,0,1,2]],"к":[{"а":[{},[0,0,0,0,1]]},[0,0,1]],"л":[{"и":[{},[0,0,0,0,1]]},[2,0,1]],"м":[{"и":[{},[0,0,0,0,1]]},[2,0,0,2]],"н":[{"а":[{},[1]]},[0,0,1,2]],"с":[{},[0,0,1,2]],"т":[{},[2]],"х":[{},[0,0,1]],"ц":[{},[1]],"ш":[{},[2,0,0,2]]},[0,2]],"к":[{"а":[{},[0,1]],"в":[{},[0,1]],"о":[{},[0,1,0,2]],"і":[{"̈":[{},[0,1]]}],"ї":[{},[0,1]],"ѡ":[{},[0,1]],"ѣ":[{},[0,1]],"ѵ":[{"́":[{},[0,0,0,0,1]]}],"ꙋ":[{},[0,1,0,2]]},[2,0,2]],"л":[{"а":[{},[0,1,0,1]],"и":[{"́":[{},[0,0,0,0,1]],"н":[{},[0,0,0,0,1]]},[0,1]]},[2]],"м":[{"а":[{"́":[{},[0,0,0,0,1]],"н":[{},[0,0,0,1]]},[0,1]],"е":[{},[0,1]],"и":[{},[0,1]],"л":[{},[0,1,2]],"н":[{},[0,2,1]],"о":[{"л":[{},[0,0,0,1]]},[0,1]],"ч":[{},[0,2,1]],"і":[{"̈":[{},[0,1,0,0,1]]}],"ї":[{},[0,1,0,1]],"ѝ":[{},[0,1]],"ꙋ":[{"́":[{},[0,0,0,0,1]]}]},[2]],"н":[{"а":[{"́":[{},[0,0,0,0,1]]}],"е":[{"м":[{},[0,0,0,1]]}],"ш":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"ю":[{},[0,0,0,1]],"ѧ":[{},[0,0,0,1]],"ꙋ":[{},[0,0,0,1]]},[2,1]],"о":[{"́":[{"д":[{},[1]],"е":[{},[1]],"ж":[{},[1]],"л":[{},[0,0,0,1]],"н":[{},[0,0,0,1]],"п":[{},[0,0,0,1]],"х":[{},[0,0,0,1]],"ц":[{},[1,0,0,1]]}],"б":[{"о":[{},[0,0,0,0,1]]}],"в":[{"н":[{},[1,0,0,1]],"с":[{},[1,0,0,1]],"ѣ":[{},[0,0,0,0,1]]}],"д":[{"е":[{},[1]],"и":[{},[1]],"н":[{},[1]],"о":[{},[1,0,0,0,1]],"ѝ":[{},[1]],"ѧ":[{},[1]]},[0,0,0,2]],"е":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]],"ж":[{"д":[{},[1]]},[0,0,0,2]],"з":[{"р":[{},[0,0,1]]}],"и":[{"́":[{},[0,0,0,0,1]]}],"к":[{"а":[{},[0,0,0,0,1]]}],"л":[{"и":[{},[0,0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]},[0,0,1]],"м":[{"о":[{},[0,0,0,0,1]]}],"н":[{"а":[{},[0,0,0,0,1]],"о":[{},[1]],"т":[{},[0,0,0,1]],"ѡ":[{},[1]]}],"п":[{"о":[{},[0,0,0,0,1]],"ѣ":[{},[1]],"ꙋ":[{},[1]]},[0,0,0,2]],"р":[{},[0,0,1,2]],"с":[{"о":[{},[0,0,0,0,1]]},[0,0,1,2]],"т":[{"в":[{},[1]],"ѣ":[{},[1]],"ѧ":[{},[0,0,0,0,1]],"ꙋ":[{},[1]]},[0,0,0,2]],"х":[{"и":[{},[1]]}],"ч":[{"е":[{},[0,0,0,0,1]]}],"щ":[{},[0,0,1]],"ю":[{},[1]],"ѧ":[{"́":[{},[0,0,0,0,1]]}],"ѳ":[{},[1]]},[0,2]],"п":[{"а":[{"́":[{},[0,0,0,0,1]],"с":[{},[0,0,0,1]]},[0,1]],"е":[{},[0,1]],"и":[{},[0,1]],"л":[{"ю":[{},[0,0,1]]},[0,2]],"с":[{},[0,0,1]],"і":[{"̈":[{},[0,0,0,0,2]]}],"ї":[{},[0,0,0,2]],"ѝ":[{},[0,1]],"ѣ":[{},[0,1]],"ѧ":[{"́":[{},[0,0,0,0,1]]},[0,1]],"ⷣ":[{},[0,2]]},[2]],"р":[{"а":[{},[0,1]]},[2]],"с":[{"а":[{},[0,1]],"е":[{"́":[{},[0,0,0,0,1]]},[0,1,0,2]],"и":[{},[0,1]],"к":[{"ꙋ":[{},[0,1]]}],"о":[{},[0,1,0,1]],"т":[{"о":[{},[0,1]]}],"ѣ":[{},[0,1]]},[2,0,2]],"т":[{"а":[{},[0,1]],"в":[{"а":[{},[0,1]],"е":[{},[0,1]],"и":[{},[0,1]],"о":[{},[0,1]],"ы":[{},[0,1]],"є":[{},[0,1]],"і":[{"̈":[{},[0,1]]}],"ї":[{},[0,1]],"ѣ":[{},[0,1]],"ꙋ":[{},[0,1]]}],"е":[{},[0,1]],"и":[{},[0,1,0,2]],"к":[{},[0,2,1]],"н":[{"а":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]},[0,0,1]],"о":[{},[0,1]],"ы":[{"м":[{},[0,0,0,1]]},[0,1]],"і":[{},[0,1]],"ї":[{},[0,1]],"ѵ":[{"́":[{},[0,0,0,0,1]]}],"ꙋ":[{},[0,1,0,1]]},[2]],"ф":[{"ѵ":[{"́":[{},[0,0,0,0,1]]}]},[2,1]],"х":[{"а":[{},[0,1]],"и":[{},[0,1]],"о":[{},[0,1,0,1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ꙋ":[{},[0,0,0,2]]},[2]],"ц":[{"а":[{"́":[{},[0,0,0,0,1]]},[2,1]],"е":[{},[0,2,0,2]],"ы":[{".":[{},[0,1]]}],"є":[{},[2,1]],"ѣ":[{},[2,1]],"ꙋ":[{},[2,1]]},[0,0,2]],"ч":[{"е":[{},[0,0,0,1]],"и":[{"́":[{},[0,0,0,0,1]]}]},[2,1]],"ш":[{"а":[{"́":[{},[0,0,0,0,1]]}],"е":[{"м":[{},[0,0,0,1]]}],"ꙋ":[{},[0,0,0,1]]},[2,1,2]],"щ":[{},[0,2,1]],"ъ":[{},[2,2]],"ы":[{"́":[{"г":[{},[1]],"с":[{},[0,0,0,1]],"т":[{},[0,0,0,1]],"ш":[{},[0,0,0,1]],"ѧ":[{},[1]]}],"̑":[{},[0,0,0,1]],"ѧ":[{},[2]]},[0,2]],"ь":[{"к":[{"о":[{},[0,0,0,0,1]]}]},[2,2,1]],"ю":[{".":[{},[1]],"́":[{},[1,0,0,1]],"т":[{},[1]]},[0,2]],"є":[{"́":[{"м":[{},[1]],"н":[{},[1]]}],"и":[{"̀":[{},[1]]}],"м":[{},[1]],"н":[{"и":[{},[0,0,0,0,1]]}],"с":[{},[1]],"ѝ":[{},[1]]},[0,2]],"і":[{"́":[{"а":[{},[1]],"е":[{},[1,0,0,0,1]],"и":[{},[1]],"к":[{},[0,0,0,1]],"м":[{},[1]],"х":[{},[0,0,0,1]],"ю":[{},[1]],"ѧ":[{},[1]]}],"̈":[{"д":[{},[1]],"е":[{"в":[{},[1,0,0,0,1]]}],"и":[{"м":[{},[0,0,0,0,1]],"н":[{},[1]]}],"к":[{"ъ":[{},[1]]}],"л":[{},[1,0,0,1]],"н":[{},[1]],"с":[{"е":[{},[1]],"є":[{},[1]]},[0,0,0,1,2]],"т":[{"ѡ":[{},[1]]}],"ц":[{},[1]]}]},[0,2]],"ї":[{"д":[{},[1]],"е":[{"в":[{},[1,0,0,1]]}],"и":[{"м":[{},[0,0,0,1]],"н":[{},[1]]}],"к":[{"ъ":[{},[1]]}],"л":[{},[1,0,1]],"н":[{},[1]],"с":[{"е":[{},[1]],"є":[{},[1]]},[0,0,1,2]],"т":[{"ѡ":[{},[1]]}],"ц":[{},[1]]},[0,2]],"ѝ":[{},[0,2]],"ѡ":[{"́":[{"к":[{},[1]],"с":[{},[0,0,0,1]]}],"̑":[{},[1,0,0,1]],"д":[{},[1]],"м":[{"а":[{},[1]]}],"н":[{},[1]],"п":[{},[1]],"с":[{},[1,0,2]],"т":[{},[2,0,1]],"і":[{},[1]]},[0,2]],"ѣ":[{"́":[{".":[{},[1]],"е":[{},[1]],"ж":[{},[0,0,0,1]],"з":[{},[0,0,0,1]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"н":[{},[0,0,0,1]],"с":[{},[0,0,0,1]]}],"̑":[{"и":[{"̆":[{},[1]]}],"й":[{},[1]],"ч":[{},[1,0,0,1]]}],"з":[{},[0,0,1,2]],"л":[{},[0,0,1]],"с":[{},[0,0,1]],"т":[{},[0,0,1]],"ч":[{},[1,0,2]]},[0,2]],"ѧ":[{".":[{},[1]],"́":[{"д":[{},[1]],"з":[{},[0,0,0,0,1]],"м":[{},[0,0,0,1]],"х":[{},[0,0,0,1]],"ю":[{},[0,0,0,0,1]]}],"д":[{},[2]],"н":[{},[0,0,1]],"с":[{},[2]],"т":[{},[2,0,2]],"ц":[{},[2,0,1]]},[0,2]],"ѳ":[{"е":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]],"о":[{},[0,0,0,1]]},[2,1]],"ѵ":[{"́":[{},[0,0,0,1]],"̏":[{"к":[{},[1,0,0,2]],"м":[{},[1,0,0,1]],"н":[{},[1]],"п":[{},[2]],"с":[{},[2,0,0,1]],"ѱ":[{},[1]]},[0,2]]}],"ѷ":[{"к":[{},[1,0,2]],"м":[{},[1,0,1]],"н":[{},[1]],"п":[{},[2]],"с":[{},[2,0,1]],"ѱ":[{},[1]]},[0,2]],"҃":[{"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]]},[0,0,2]],"ⷣ":[{},[0,0,2]],"ⷭ":[{},[2,2]],"ꙋ":[{"́":[{"з":[{},[0,0,0,1]],"л":[{},[1]],"п":[{},[0,0,0,1]],"т":[{},[1,0,0,0,1]],"х":[{},[1]],"ч":[{},[1,0,0,0,1]],"ш":[{},[1]],"ю":[{},[1]],"ѳ":[{},[1]]}],"̑":[{"п":[{},[0,0,0,1]],"с":[{},[1]]}],"б":[{},[0,0,1,2]],"в":[{},[1,0,1]],"д":[{},[0,0,1]],"е":[{"м":[{},[1]],"т":[{},[1]],"ш":[{},[1]]}],"з":[{},[0,0,1]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"к":[{},[1]],"м":[{"ы":[{},[1]]}],"с":[{},[1]],"т":[{},[2,0,2]],"ц":[{"ѣ":[{},[0,0,0,0,1]]}],"ч":[{"е":[{},[1]]}],"ю":[{"щ":[{},[1]]}],"ѧ":[{".":[{},[1]],"и":[{"̆":[{},[1]]}],"й":[{},[1]]}],"ⷯ":[{},[1]]},[0,2]]}],"с":[{"а":[{"́":[{".":[{},[1]],"в":[{},[1]],"н":[{},[1]],"р":[{},[0,0,0,0,1]],"с":[{},[1,0,0,1]],"т":[{},[0,0,0,1]],"ф":[{},[1]],"х":[{},[1]],"ш":[{},[0,0,0,1]],"ю":[{},[1]],"є":[{},[1]],"і":[{"̈":[{},[1,0,0,0,0,1]]}],"ї":[{},[1,0,0,0,1]],"ѵ":[{},[1]]}],"̑":[{"д":[{},[0,0,0,0,1]],"н":[{},[1,0,0,1]]}],"а":[{},[1]],"в":[{"а":[{},[0,0,0,0,1]]},[1]],"д":[{},[0,0,1]],"ж":[{},[1]],"и":[{"́":[{},[0,0,0,0,1]]},[1]],"л":[{"а":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]]},[1,0,1,2]],"н":[{"ꙋ":[{},[0,0,0,0,1]]},[1]],"р":[{},[1,0,1,2]],"с":[{},[1,0,1,2]],"т":[{"а":[{},[0,0,0,0,1]]},[0,0,1]],"ф":[{},[1]],"х":[{"а":[{},[0,0,0,0,1]]},[0,0,1]],"ш":[{"а":[{},[0,0,0,0,1]]},[1]],"ꙋ":[{},[0,0,0,2]]},[0,2]],"б":[{"ꙋ":[{"́":[{},[0,0,0,0,1]]}]},[0,2]],"в":[{"а":[{},[0,0,0,1]],"и":[{"́":[{},[0,0,0,0,1]]}],"ы":[{"́":[{},[0,0,0,0,1]]}],"і":[{"́":[{},[0,0,0,0,1]]}],"ѧ":[{"т":[{},[0,0,0,1]]}],"ѵ":[{"́":[{},[0,0,0,0,1]]}]},[1,2,2]],"г":[{"а":[{},[0,0,0,1]]},[0,2]],"е":[{"́":[{"а":[{},[1]],"в":[{},[0,0,0,1]],"е":[{},[1]],"и":[{},[1]],"о":[{},[1]],"р":[{},[1]],"с":[{},[0,0,0,1]],"ш":[{},[0,0,0,1]],"є":[{},[1]],"ѵ":[{},[1,0,0,1]]}],"б":[{"о":[{},[0,0,0,0,1]]}],"в":[{"а":[{},[0,0,0,0,1]],"е":[{},[0,0,0,0,1]]},[0,0,1]],"г":[{"ꙋ":[{},[0,0,0,0,1]]},[0,0,0,2]],"д":[{},[0,0,1,2]],"з":[{},[0,0,1,2]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"к":[{"о":[{},[0,0,0,0,1]]}],"л":[{"ѡ":[{},[1]]},[0,0,1]],"м":[{},[0,0,1]],"н":[{"а":[{},[0,0,0,0,1]],"е":[{},[0,0,0,0,1]],"ъ":[{},[1]]}],"р":[{"а":[{},[1,0,0,0,1]],"ъ":[{},[1]]}],"с":[{},[0,0,1]],"х":[{"ъ":[{},[1]]}],"ц":[{"а":[{},[0,0,0,0,1]],"ъ":[{},[1]]}],"ч":[{},[0,0,1]],"ѡ":[{"́":[{},[1]]}]},[0,2]],"и":[{"́":[{"в":[{},[1]],"л":[{},[1]],"м":[{},[1]],"р":[{},[0,0,0,1]],"с":[{},[1,0,0,1]],"т":[{},[0,0,0,1]],"ц":[{},[0,0,0,1]],"ш":[{},[1]]}],"̑":[{},[1]],"б":[{},[1]],"в":[{},[1]],"к":[{},[1,0,1]],"л":[{},[1,0,2]],"м":[{},[1]],"р":[{},[0,0,1]],"с":[{},[1,0,1,2]],"т":[{},[1]],"ф":[{},[1]],"х":[{},[1,0,1]],"ц":[{"е":[{},[0,0,0,0,1]]},[1]],"ш":[{},[1]]},[0,2]],"к":[{"а":[{"̑":[{},[0,0,0,0,1]]},[1,2]],"в":[{},[1]],"е":[{},[1,2]],"и":[{},[1,2]],"л":[{"і":[{"̈":[{},[1,0,0,0,0,1]]}],"ї":[{},[1,0,0,0,1]]}],"о":[{"н":[{},[0,0,0,0,1]]},[1,2]],"р":[{"и":[{},[0,0,0,0,1]]},[1,2]],"ъ":[{},[2]],"і":[{"̑":[{},[0,0,0,0,1]]},[1,2]],"ї":[{},[1]],"ѡ":[{},[0,2]],"ѣ":[{},[1,2]],"ꙋ":[{".":[{},[1]],"д":[{},[1]],"ш":[{},[0,1]],"ю":[{},[1]]}]},[0,0,2]],"л":[{"а":[{"́":[{"в":[{"л":[{"е":[{"н":[{},[0,0,0,0,8,7]]}],"ю":[{},[0,0,0,0,8,7]]}]}]}]}],"е":[{"з":[{},[0,0,0,1]],"н":[{},[0,0,0,0,1]]},[0,2]],"и":[{"м":[{},[0,0,0,1]],"н":[{},[0,0,0,1]]},[0,2]],"о":[{"̀":[{},[0,1]]}],"с":[{},[2]],"ъ":[{},[2]],"ы":[{"́":[{},[0,0,0,0,1]]},[0,2]],"ь":[{},[2]],"ю":[{},[0,2]],"є":[{"н":[{},[0,0,0,0,1]]},[0,2]],"і":[{"̈":[{},[0,2,0,0,1]]}],"ї":[{},[0,2,0,1]],"ѝ":[{},[0,2]],"ѡ":[{},[0,2]],"ѣ":[{},[0,2]],"ѧ":[{},[0,2]],"ꙋ":[{"̀":[{},[0,1]]}]},[1]],"м":[{"а":[{"́":[{},[0,0,0,0,1]],"м":[{},[0,0,0,1]],"р":[{},[0,0,0,1]]},[1]],"е":[{"р":[{},[0,0,0,0,1]]},[1]],"и":[{"̀":[{},[1]]},[0,0,0,1]],"о":[{"л":[{},[0,0,0,1]]},[1]],"ы":[{},[1]],"ь":[{},[2]],"ѝ":[{},[1]],"ѣ":[{},[1]],"ѧ":[{},[0,0,0,1]],"ꙋ":[{},[1,0,0,1]]},[0,2,2]],"н":[{"а":[{"̀":[{},[1]],"́":[{},[1]]}],"е":[{"и":[{"̆":[{},[1]]}],"й":[{},[1]],"н":[{},[1,0,0,0,1]],"т":[{},[0,1]],"х":[{},[1]],"ц":[{},[1]]},[0,0,0,2]],"и":[{"̀":[{},[1,2]],"̑":[{},[1,0,0,0,1]],"к":[{},[0,1,0,1]],"с":[{},[0,0,0,0,1]],"ц":[{},[1]]}],"о":[{"̀":[{},[0,1]],"́":[{},[1]],"б":[{},[1]],"ж":[{},[1]],"п":[{},[1]],"с":[{},[1]],"т":[{},[1]]},[0,0,0,1]],"ц":[{},[1]],"ъ":[{},[2]],"ы":[{"́":[{},[1,0,0,0,1]]}],"ь":[{},[2]],"і":[{"̈":[{"ю":[{},[1]]},[0,0,0,0,1]]}],"ї":[{"ю":[{},[1]]},[0,0,0,1]],"ѝ":[{},[1,2]],"ꙋ":[{"̀":[{},[0,1]],"т":[{},[0,1]],"ю":[{},[0,1]]}]},[0,0,2]],"о":[{".":[{},[1]],"́":[{"п":[{},[0,0,0,0,1]],"с":[{},[0,0,0,1]],"ц":[{},[0,0,0,1]]},[1]],"б":[{},[1,0,0,2]],"в":[{"е":[{},[1]],"ѡ":[{},[1]]},[0,0,1]],"г":[{},[1]],"д":[{},[1]],"е":[{},[0,0,0,1]],"ж":[{},[1]],"з":[{"а":[{},[0,0,0,0,1]],"ы":[{},[0,0,0,0,1]]},[1,0,1,2]],"и":[{"з":[{},[0,0,0,0,1]]},[0,0,0,2]],"к":[{},[1]],"л":[{"о":[{},[0,0,0,0,1]]},[0,0,1]],"м":[{"н":[{},[1,0,1]],"ꙋ":[{},[1]]},[0,0,0,2]],"н":[{"и":[{},[0,0,0,0,1]]},[1,0,1]],"п":[{"о":[{},[0,0,0,0,1]]},[1,0,0,2]],"р":[{},[1]],"с":[{},[0,0,1,2]],"т":[{},[1,0,0,2]],"ч":[{"е":[{},[0,0,0,0,1]],"и":[{},[0,0,0,0,1]]},[1,0,0,2]],"ѧ":[{"́":[{},[0,0,0,0,1]]},[1]],"ꙋ":[{},[0,0,0,2]]},[0,2]],"п":[{"а":[{"́":[{},[1]],"д":[{},[0,1,0,1]],"с":[{"л":[{"а":[{"̀":[{".":[{},[0,0,0,8,7]]}]}],"о":[{"̀":[{".":[{},[0,0,0,8,7]]}]}]}]},[1,0,0,1]]}],"е":[{".":[{},[1]]}],"и":[{"̀":[{},[1,2]],"́":[{},[1]],"т":[{},[1,0,0,1]]}],"л":[{},[2]],"н":[{},[2,1]],"о":[{"д":[{},[1]],"ж":[{},[1]],"л":[{},[0,0,0,0,1]]}],"р":[{"е":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]],"ѧ":[{},[0,0,0,0,1]]},[2]],"ы":[{},[2,0,0,1]],"і":[{"̈":[{},[2,0,0,0,1]]}],"ї":[{},[2,0,0,1]],"ѝ":[{},[1,2]],"ѡ":[{},[1,2]],"ѣ":[{"̀":[{},[1]],"в":[{},[0,0,0,1]],"ш":[{},[1]]}],"ѧ":[{},[2,0,0,2]],"ꙋ":[{},[2,0,0,1]]},[0,0,2]],"р":[{"а":[{"в":[{},[0,0,0,0,1]],"и":[{},[0,0,0,0,1]],"с":[{},[0,0,0,1]]}],"е":[{"́":[{"д":[{"н":[{"е":[{},[0,0,0,0,7,8]]}]}]}],"д":[{},[0,0,0,1]]}],"и":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]],"о":[{},[0,0,0,2]],"ѧ":[{"́":[{},[0,0,0,0,1]]}]},[1,2,2]],"с":[{"а":[{".":[{},[0,1]],"́":[{},[0,0,0,0,1]]}],"е":[{},[0,1,0,2]],"к":[{"а":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]},[0,1]],"о":[{"́":[{},[0,0,0,0,1]]},[0,1,0,2]],"т":[{},[0,1,0,2]],"ѡ":[{"́":[{},[0,0,0,0,1]]},[0,1]],"ѣ":[{"́":[{},[0,0,0,0,1]]},[0,2]],"ѵ":[{"̏":[{},[0,0,0,0,1]]}],"ѷ":[{},[0,0,0,1]]},[2,0,2]],"т":[{"а":[{"́":[{"в":[{"л":[{"е":[{"н":[{},[0,0,0,0,8,7]]}],"ю":[{".":[{},[0,0,0,0,0,7]]}]}]}]}],"в":[{},[0,0,0,0,1]],"н":[{},[0,0,0,0,1]]},[1,2]],"в":[{"а":[{},[1]],"е":[{},[1]],"и":[{},[1]],"ъ":[{".":[{},[8]]}],"ы":[{},[1]],"є":[{},[1]],"і":[{"̈":[{},[1]]}],"ї":[{},[1]],"ѣ":[{},[1]]}],"е":[{".":[{},[1]],"̀":[{},[1,2]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"н":[{},[1]],"р":[{},[0,0,0,0,1]],"с":[{},[1]],"х":[{},[1]],"ц":[{},[0,0,0,1]],"ч":[{},[0,1]]}],"и":[{"̑":[{},[0,0,0,0,1]]},[1,2]],"л":[{"а":[{},[1]],"ѣ":[{},[0,1]]},[0,0,2]],"н":[{},[2,0,1]],"о":[{".":[{},[1]],"б":[{},[1]],"в":[{},[1]],"д":[{},[1]],"е":[{},[1]],"ж":[{},[1]],"и":[{},[1]],"к":[{},[1]],"л":[{},[1]],"м":[{},[1]],"н":[{},[1]],"с":[{},[1,0,0,1]],"т":[{},[1]],"ф":[{},[1]],"х":[{},[1]],"ш":[{},[1]],"ю":[{},[1]],"ѡ":[{},[1]],"ѧ":[{},[1]],"ѱ":[{},[1]]}],"р":[{"а":[{"ж":[{"б":[{"ы":[{"̑":[{".":[{},[0,0,0,0,0,7]]}]}]}]}]},[1]],"е":[{"̀":[{},[1]]}],"и":[{},[1]],"о":[{},[1]],"ы":[{},[1]],"ѐ":[{},[1]],"і":[{},[1]],"ѝ":[{},[1]],"ѣ":[{},[1]],"ѵ":[{},[1]]}],"с":[{},[2]],"ц":[{},[2,2,1]],"ъ":[{},[2]],"ы":[{},[1,2]],"ь":[{},[2,0,0,1]],"ѐ":[{},[1,2]],"є":[{},[1,2,0,1]],"і":[{"̈":[{},[0,0,0,0,1]]},[1,2]],"ї":[{},[1,2,0,1]],"ѡ":[{},[1,2]],"ѣ":[{},[1,2]],"ѧ":[{},[1,2]],"҃":[{},[1]],"ꙋ":[{},[1,2]]}],"х":[{"а":[{},[1,2]],"в":[{},[2]],"и":[{".":[{},[1]],"́":[{},[0,0,0,0,1]]}],"о":[{},[2]],"ꙋ":[{},[1,2]]},[0,0,2]],"ц":[{"а":[{},[2,1]],"е":[{},[1,2,0,1]],"ы":[{".":[{},[0,1]],"̀":[{},[1]]}],"ѣ":[{"л":[{},[0,0,0,1]]},[2,1]]}],"ч":[{"а":[{"̑":[{},[0,0,0,0,1]]}],"е":[{"р":[{},[0,0,0,0,1]]}],"и":[{},[0,0,0,1]]},[2,1]],"ш":[{"а":[{},[0,0,0,1]],"е":[{"м":[{},[0,0,0,1]]}],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]]},[2,0,2]],"щ":[{},[1]],"ъ":[{},[2,2]],"ы":[{".":[{},[1]],"̀":[{},[1]],"́":[{".":[{},[1]],"п":[{},[1]],"т":[{},[1,0,0,1]]}],"л":[{},[1]],"н":[{"о":[{"в":[{"л":[{"е":[{"́":[{"н":[{},[0,0,0,0,0,8]]}]}]}]}]}]},[2]],"п":[{},[1]],"р":[{},[1,0,1]],"щ":[{},[1]]}],"ь":[{},[2,2,1]],"ю":[{"́":[{},[0,0,0,1]]}],"є":[{"́":[{"и":[{"̆":[{},[1]]}],"й":[{},[1]],"н":[{},[1,0,0,1]]}]}],"і":[{"́":[{"л":[{},[0,0,0,1]],"м":[{},[0,0,0,1]],"н":[{},[0,0,0,1]]}],"̈":[{"к":[{},[0,0,0,1]],"н":[{},[0,0,0,1]],"о":[{},[0,0,0,0,1]],"п":[{},[0,0,0,1]],"с":[{},[0,0,0,1]]},[0,2]],"̑":[{},[0,0,0,2]]},[1]],"ї":[{"к":[{},[0,0,1]],"н":[{},[0,0,1]],"о":[{},[0,0,0,1]],"п":[{},[0,0,1]],"с":[{},[0,0,1]]},[1,2]],"ѡ":[{"̀":[{},[1]],"́":[{"ж":[{},[0,0,0,1]],"з":[{},[0,0,0,1]],"к":[{},[0,0,0,1]],"с":[{},[0,0,0,0,1]]},[1]],"в":[{},[2,0,1]],"с":[{},[0,0,1,2]],"т":[{},[1,0,1]]}],"ѣ":[{"́":[{"в":[{},[0,0,0,1]],"д":[{},[1]],"к":[{},[1]],"ю":[{},[0,0,0,0,1]]}],"̑":[{"т":[{},[0,0,0,1]]},[2]],"д":[{},[1,0,1]],"к":[{},[1]],"м":[{},[2]],"н":[{},[1]],"т":[{},[1,0,1]],"х":[{},[1]],"ч":[{},[1,0,1]],"щ":[{},[1]]}],"ѧ":[{"́":[{"д":[{},[0,0,0,1]],"з":[{},[0,0,0,0,1]]}],"т":[{"о":[{},[0,0,0,0,1]]}],"ч":[{},[0,0,2,1]],"щ":[{"а":[{},[0,0,0,0,1]],"е":[{},[0,0,0,0,1]]}]},[1,2]],"ѳ":[{"е":[{},[0,0,0,2]]},[1,2]],"ѵ":[{},[1]],"ѷ":[{},[1]],"҃":[{},[2]],"ꙋ":[{"́":[{"х":[{},[0,0,0,1]],"ш":[{},[0,0,0,1]],"ю":[{},[0,0,0,0,1]]}],"̑":[{},[0,0,0,1]],"б":[{},[0,0,2,1]],"е":[{},[0,0,0,1]],"м":[{},[0,0,0,2]],"р":[{},[0,0,1]],"щ":[{"е":[{},[0,0,0,0,1]]}]},[1,2]]}],"т":[{"а":[{"́":[{"г":[{},[1,0,0,1]],"д":[{},[0,0,0,1]],"ж":[{},[0,0,0,1]],"к":[{},[0,0,0,1]],"п":[{},[1]],"т":[{},[0,0,0,1]],"ш":[{},[0,0,0,1]]}],"̑":[{"в":[{},[0,0,0,0,1]],"н":[{},[0,0,0,1]],"ѧ":[{},[1]]}],"в":[{"а":[{},[1]],"л":[{},[0,0,0,1]],"ш":[{},[1]],"ъ":[{},[1]]}],"г":[{"о":[{},[1]]}],"д":[{},[0,0,1]],"и":[{},[1]],"й":[{},[1]],"к":[{"ѡ":[{},[0,0,0,0,1]]}],"л":[{},[1,0,1]],"м":[{},[1]],"н":[{"а":[{},[1]],"н":[{},[1]],"т":[{},[0,0,0,1]],"ꙋ":[{},[1]]}],"р":[{"е":[{},[1]],"и":[{"̀":[{},[1]]}],"ю":[{},[1]],"ѝ":[{},[1]],"ѧ":[{},[1]]},[0,0,1]],"с":[{},[0,0,1,2]],"т":[{},[1,0,1]],"х":[{},[1,0,2]],"ш":[{},[1]],"ю":[{".":[{},[1]],"т":[{},[1]]}],"ѧ":[{"́":[{},[0,0,0,0,1]]}],"ѵ":[{},[0,0,0,1]]},[0,2]],"в":[{"а":[{"г":[{},[1]],"м":[{},[0,0,0,1]],"р":[{},[1]]}],"е":[{"н":[{},[0,0,0,0,1]],"р":[{},[1]],"ц":[{},[1,0,0,1]]}],"и":[{".":[{},[1]],"̀":[{},[1]],"ч":[{},[0,0,0,0,1]]}],"о":[{"р":[{},[1]],"с":[{},[1]]}],"ъ":[{},[2]],"ы":[{"и":[{"̆":[{},[1]]}],"й":[{},[1]],"м":[{},[1]],"х":[{},[1]],"ѧ":[{},[1]]}],"ь":[{},[2]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ѝ":[{},[1]],"ѡ":[{},[0,0,0,1]],"ѣ":[{"́":[{},[1,0,0,0,1]]}],"ꙋ":[{"́":[{},[0,0,0,0,1]]}]},[0,2]],"д":[{"е":[{},[0,0,0,1]]},[2,1]],"е":[{"́":[{"б":[{},[0,0,0,1]],"ж":[{},[1]],"л":[{},[0,0,0,1]],"п":[{},[1]],"ч":[{},[0,0,0,1]]}],"з":[{"о":[{},[0,0,0,0,1]]},[2,0,1,2]],"к":[{"ꙋ":[{},[1]]},[0,0,0,2]],"л":[{"и":[{},[0,0,0,0,1]]},[1]],"м":[{},[0,0,0,1]],"н":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"п":[{},[2]],"р":[{"а":[{},[1]],"б":[{},[1]],"г":[{},[1]],"е":[{},[1]],"з":[{},[1]],"и":[{},[1]],"м":[{},[1,0,0,1]],"н":[{},[1]],"о":[{},[1,0,0,0,1]],"п":[{"л":[{"ю":[{"̀":[{},[0,0,0,8,7]]}],"ѧ":[{},[0,0,0,8,7]]}]}],"с":[{},[1]],"ы":[{},[1]],"ь":[{},[1]],"і":[{},[1]],"ї":[{},[1]]}],"с":[{"к":[{},[1]]},[0,0,1]],"т":[{},[1,0,1,2]],"ф":[{},[2]],"х":[{},[0,0,2]],"ц":[{"ъ":[{},[1]]}],"ч":[{"е":[{"̀":[{},[1]]}],"ѐ":[{},[1]]},[0,0,1]],"ш":[{},[1]]},[0,2]],"и":[{"́":[{"д":[{},[1,0,0,1]],"ж":[{},[0,0,0,1]],"з":[{},[1,0,0,1]],"н":[{},[0,0,0,1]],"р":[{},[1]],"с":[{},[0,0,0,1]]}],"̑":[{".":[{},[1]],"л":[{},[1]],"н":[{},[1,0,0,1]]}],"в":[{"а":[{},[0,0,0,0,1]],"л":[{},[1,0,0,1]],"о":[{},[1,0,0,0,1]]}],"г":[{},[2]],"ж":[{},[2]],"л":[{"а":[{},[1]]}],"м":[{"и":[{},[1,0,0,0,1]]}],"н":[{"о":[{},[0,0,0,0,1]]},[2]],"р":[{},[2,0,1]],"с":[{},[1,0,1,2]],"т":[{"и":[{},[0,0,0,0,1]]}],"х":[{"о":[{},[0,0,0,0,1]]},[0,0,1]],"ш":[{"а":[{},[0,0,0,0,1]],"и":[{},[0,0,0,0,1]]},[1]],"щ":[{},[1]]},[0,2]],"к":[{"а":[{"̀":[{},[0,1]],"́":[{},[0,0,0,0,1]]},[2,0,0,2]],"и":[{},[2,1,0,2]],"н":[{},[1,2]],"о":[{},[2,1,0,1]],"і":[{"̈":[{},[2,1]]}],"ї":[{},[2,1]],"ꙋ":[{},[2,1,0,2]]},[0,0,2]],"л":[{"а":[{"́":[{},[0,0,0,0,1]],"г":[{},[0,1]],"н":[{},[1,0,0,0,1]],"ѧ":[{},[0,1]]}],"е":[{},[0,2,0,1]],"и":[{".":[{},[0,1]],"̀":[{},[1,2]],"́":[{},[1,0,0,0,1]],"в":[{},[0,0,0,1]]}],"о":[{},[2,1]],"ш":[{},[2]],"ы":[{},[2,1]],"ю":[{},[0,2]],"і":[{"̈":[{},[2,1,0,0,1]]}],"ї":[{},[2,1,0,1]],"ѝ":[{},[1,2]],"ѡ":[{},[2,1]],"ѣ":[{".":[{},[0,1]],"̑":[{},[1]]}],"ѧ":[{},[0,2]],"ꙋ":[{},[2,1,0,1]]}],"м":[{"а":[{"́":[{},[0,0,0,0,1]]}],"о":[{"́":[{},[0,0,0,0,1]],"р":[{},[0,0,0,1]]}]},[0,2]],"н":[{"е":[{"́":[{},[0,0,0,0,1]],"е":[{},[0,1]]}],"и":[{},[0,1]],"о":[{"́":[{},[0,0,0,0,1]],"м":[{},[0,1]]}],"ы":[{"̑":[{},[0,0,0,0,1]]}],"ю":[{},[0,1,0,1]],"і":[{"́":[{},[0,0,0,0,1]],"̈":[{},[0,0,0,0,1]]},[0,1]],"ї":[{},[0,0,0,1]],"ѣ":[{".":[{},[0,1]],"̀":[{},[0,1]]}],"ꙋ":[{"́":[{},[0,0,0,0,1]],"ю":[{},[0,1]]}]},[2]],"о":[{"́":[{"е":[{},[0,0,0,0,1]],"ж":[{},[0,0,0,1]],"з":[{},[1,0,0,1]],"п":[{},[1]],"т":[{},[0,0,0,0,1]],"х":[{},[1]],"ш":[{},[1]],"ю":[{},[1]],"ѧ":[{},[0,0,0,0,1]]}],"в":[{"а":[{},[1]],"л":[{},[1,0,0,1]],"н":[{},[0,0,0,1]],"о":[{},[1]],"с":[{},[0,0,0,1]],"ъ":[{},[1]],"ы":[{},[1]],"ѣ":[{},[1]]}],"г":[{},[1]],"д":[{"а":[{},[1]],"н":[{},[1]],"і":[{"̈":[{},[1]]}],"ї":[{},[1]]},[0,0,0,2]],"ж":[{"е":[{},[0,0,0,0,1]]}],"з":[{},[1,0,1,2]],"л":[{"е":[{},[1,0,0,0,1]],"и":[{"̀":[{},[1]]}],"ю":[{},[0,0,0,0,1]],"ѝ":[{},[1]],"ѧ":[{},[1]],"ꙋ":[{},[1]]}],"м":[{},[0,0,0,2]],"н":[{"а":[{},[1,0,0,0,1]],"і":[{},[1]]},[0,0,1]],"п":[{"е":[{},[1]],"и":[{},[1]],"л":[{},[1,0,0,1]],"о":[{},[0,0,0,0,1]],"ѝ":[{},[1]],"ѧ":[{},[1]]}],"р":[{"ж":[{},[1]],"н":[{},[1]],"ѣ":[{},[1]]}],"с":[{"о":[{},[1,0,0,0,1]],"т":[{},[1]]},[0,0,0,2]],"т":[{"в":[{},[1]]},[0,0,0,2]],"х":[{},[0,0,0,2]],"ч":[{"а":[{},[1]],"и":[{},[1]],"н":[{},[0,0,0,1]],"є":[{},[1]],"ѝ":[{},[1]]}],"щ":[{"а":[{},[1]],"и":[{"̀":[{},[1]]}],"ѝ":[{},[1]]},[0,0,1]],"ѧ":[{},[2]],"ꙋ":[{},[1,0,0,2]]},[0,2]],"р":[{"а":[{"г":[{},[0,0,0,0,1]]}],"е":[{".":[{},[1]],"б":[{"л":[{"е":[{"́":[{"н":[{},[0,0,0,8,7]]}]}],"ю":[{"̀":[{".":[{},[0,0,0,8,7]]}]}],"ѧ":[{},[0,0,0,8,7]]}]},[1]],"з":[{},[0,0,0,0,1]],"м":[{},[0,0,0,1]],"н":[{},[1]],"п":[{},[1]],"ц":[{},[1,0,0,1]]}],"и":[{"в":[{},[0,0,0,1]],"л":[{},[1]]}],"о":[{".":[{},[1]],"к":[{},[1]],"п":[{},[1]],"с":[{},[1]],"ф":[{},[1]],"ц":[{},[1]],"ч":[{},[1]]}],"ъ":[{},[2]],"ы":[{".":[{},[1]]}],"ь":[{},[2]],"є":[{"н":[{},[0,0,0,0,1]]},[1]],"і":[{"̈":[{},[1]]}],"ї":[{},[1]],"ѡ":[{"́":[{},[0,0,0,0,1]]},[1]],"ѧ":[{},[1]],"ꙋ":[{"б":[{},[1]],"ж":[{},[1]]}]},[0,2,2]],"с":[{"т":[{},[0,0,0,2]],"ѣ":[{},[0,2]]},[2,1,2]],"т":[{},[2,1]],"х":[{"а":[{},[0,0,0,1]],"о":[{},[0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,2]]}],"ї":[{},[0,0,0,2]]},[1,2]],"ц":[{"а":[{".":[{},[1]]}],"е":[{},[1,2,0,2]],"ы":[{".":[{},[1]],"̀":[{},[1]]}],"є":[{},[1,2]],"ѣ":[{".":[{},[0,1]],"̀":[{},[1]]},[0,0,0,2]],"ꙋ":[{},[1,2]]}],"ч":[{"а":[{".":[{},[1]],"́":[{},[0,0,0,0,1]],"х":[{},[1]]},[0,0,0,2]],"е":[{"̀":[{},[1,2]],"е":[{},[1]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"ю":[{},[1]]}],"и":[{},[1,2,0,2]],"ѐ":[{},[1,2]],"ꙋ":[{},[1,2]]}],"ш":[{"а":[{},[0,0,0,2]],"ы":[{},[0,0,0,1]]},[2,1,2]],"щ":[{"е":[{},[0,0,0,1]]},[1,2,2]],"ъ":[{},[2,2]],"ы":[{"́":[{"д":[{},[0,0,0,0,1]],"м":[{},[1]],"с":[{},[0,0,0,1]],"х":[{},[1]],"ѧ":[{},[1]]}],"̑":[{".":[{},[1]],"н":[{},[0,0,0,0,1]],"ѧ":[{},[1]]}],"д":[{},[2]],"ж":[{},[2]],"м":[{"а":[{},[1]]}],"н":[{},[2,0,1,2]],"х":[{},[0,0,2]]},[0,2]],"ь":[{"с":[{},[0,0,1]]},[2,2]],"ю":[{"́":[{},[0,0,0,1]]}],"є":[{"́":[{"и":[{"̆":[{},[1]]}],"й":[{},[1]],"ц":[{},[1]],"ч":[{},[1,0,0,1]]}],"з":[{},[2]],"л":[{},[1]],"н":[{},[2,0,1,2]],"с":[{"к":[{},[1]]}],"ц":[{},[1]]}],"і":[{"́":[{"а":[{},[1]],"г":[{},[0,0,0,1]],"е":[{},[1,0,0,0,1]],"м":[{},[0,0,0,1]],"ч":[{},[1]],"ю":[{},[1]],"ѡ":[{},[1]]}],"̈":[{"а":[{".":[{},[1]]}],"е":[{"̀":[{},[1]],"́":[{},[1]],"ю":[{},[1]]}],"и":[{"̀":[{},[1]],"̆":[{},[1]],"х":[{},[1]]}],"й":[{},[1]],"к":[{},[1]],"л":[{"і":[{"̈":[{},[1,0,0,0,0,0,1]]}],"ї":[{},[1,0,0,0,0,1]]},[0,0,0,1]],"м":[{},[0,0,0,1]],"н":[{"о":[{},[1,0,0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,0,1]]},[0,0,0,1]],"о":[{},[1]],"п":[{},[1,0,0,1]],"ф":[{},[1]],"ю":[{"̀":[{},[1]]}],"ѐ":[{},[1]],"ѝ":[{},[1]],"ѧ":[{"̀":[{},[1]],"г":[{},[1]],"м":[{},[1]],"х":[{},[1]]}]},[0,2]],"̑":[{},[1,0,0,1]]}],"ї":[{"а":[{".":[{},[1]]}],"е":[{"̀":[{},[1]],"́":[{},[1]],"ю":[{},[1]]}],"и":[{"̀":[{},[1]],"̆":[{},[1]],"х":[{},[1]]}],"й":[{},[1]],"к":[{},[1]],"л":[{"і":[{"̈":[{},[1,0,0,0,0,1]]}],"ї":[{},[1,0,0,0,1]]},[0,0,1]],"м":[{},[0,0,1]],"н":[{"о":[{},[1,0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]},[0,0,1]],"о":[{},[1]],"п":[{},[1,0,1]],"ф":[{},[1]],"ю":[{"̀":[{},[1]]}],"ѐ":[{},[1]],"ѝ":[{},[1]],"ѧ":[{"̀":[{},[1]],"г":[{},[1]],"м":[{},[1]],"х":[{},[1]]}]},[0,2]],"ѡ":[{"́":[{"и":[{},[0,0,0,0,1]],"к":[{},[1,0,0,1]],"н":[{},[1]]}],"в":[{},[1]],"д":[{},[2,0,1]],"л":[{"і":[{},[1]]}],"м":[{},[1]],"н":[{},[1]],"п":[{},[2]],"р":[{},[2,0,2]],"ѧ":[{},[2]]},[0,2]],"ѣ":[{"́":[{"в":[{},[1]],"л":[{},[1]],"м":[{},[1]],"с":[{},[0,0,0,1]],"т":[{},[1,0,0,1]],"ш":[{},[1,0,0,1]],"ю":[{},[1,0,0,0,1]]}],"̑":[{"н":[{},[0,0,0,1]]},[1]],"л":[{},[0,0,1]],"м":[{},[2]],"н":[{},[2,0,1]],"р":[{},[1,0,2]],"с":[{},[1,0,1]],"ш":[{},[1]]},[0,2]],"ѧ":[{"̀":[{},[1]],"́":[{"и":[{"̆":[{},[1]]}],"й":[{},[1]],"х":[{},[1,0,0,1]],"ш":[{},[1]]}],"̑":[{},[1]],"ж":[{"е":[{},[1]]}],"з":[{},[1,0,1]],"т":[{},[1,0,2,1]]},[0,2]],"ѳ":[{"е":[{},[0,0,0,2]]},[1,2]],"ѵ":[{"̏":[{"м":[{},[0,0,0,2,1]]}]},[1]],"ѷ":[{"м":[{},[0,0,2,1]]},[1]],"҃":[{"о":[{"м":[{},[0,0,0,1]]}]},[0,0,2]],"ⷭ":[{},[2]],"ⷯ":[{},[0,0,2]],"ꙋ":[{"́":[{"е":[{},[1,0,0,0,1]],"н":[{},[0,0,0,1]],"ч":[{},[0,0,0,1]],"щ":[{},[0,0,0,1]],"ю":[{},[1,0,0,0,1]]}],"̑":[{"д":[{},[0,0,0,0,1]],"п":[{},[0,0,0,0,1]]},[0,0,0,2]],"д":[{},[0,0,1]],"е":[{},[1]],"к":[{},[2]],"н":[{},[1]],"р":[{},[1,0,2,1]]},[0,2]]}],"у":[{".":[{},[8]],"̀":[{".":[{},[8,0,8]]}],"́":[{".":[{},[8,0,8]]}],"̑":[{".":[{},[8,0,8]]}],"҆":[{"̀":[{".":[{},[8,0,0,8]]}],"́":[{".":[{},[8,0,0,8]]}],"̈":[{".":[{},[8,0,0,8]]}],"̑":[{".":[{},[8,0,0,8]]}]}],"ⷠ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷡ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷢ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷣ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷤ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷥ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷦ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷧ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷨ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷩ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷪ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷫ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷬ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷭ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷮ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷯ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷰ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷱ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷲ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷳ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷼ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷽ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷾ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷿ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙼":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙽":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}]}],"ф":[{"а":[{"́":[{"в":[{},[0,0,0,1]]}],"в":[{},[0,0,1]],"л":[{},[0,0,1,2]],"м":[{},[0,0,1]],"н":[{},[0,0,1]],"р":[{"а":[{},[0,0,0,0,1]]}]},[1,2]],"е":[{"́":[{"с":[{},[0,0,0,1]]}],"в":[{},[0,0,1]],"л":[{},[0,0,1]],"р":[{},[0,0,1,2]],"с":[{},[0,0,1]],"ѵ":[{},[0,0,2,1]]},[1]],"и":[{},[0,0,1]],"л":[{"а":[{},[0,0,0,1]],"е":[{"́":[{},[0,0,0,0,1]]}],"о":[{},[0,0,0,1]]},[1,2]],"н":[{"ꙋ":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]]},[1,2]],"о":[{"в":[{},[0,0,1]],"м":[{},[0,0,2]]},[1]],"р":[{"а":[{"н":[{},[0,0,0,0,1]]},[0,0,0,2]],"е":[{},[0,0,0,2]],"о":[{"́":[{},[0,0,0,0,1]],"н":[{},[0,0,0,0,1]]}],"і":[{"̈":[{"к":[{},[0,0,0,0,1]]}]}],"ї":[{"к":[{},[0,0,0,1]]}],"ꙋ":[{},[0,0,0,1]]},[1,2,2]],"с":[{"к":[{"а":[{},[0,0,0,0,1]]}]},[2,1,2]],"ъ":[{},[2]],"і":[{"́":[{"в":[{},[1]],"и":[{},[1]],"л":[{},[1]],"м":[{},[1]],"н":[{},[1]],"р":[{},[0,0,0,0,1]]}],"̈":[{"л":[{"а":[{},[0,0,0,0,0,1]]},[0,0,0,1,2]]},[1]],"̑":[{},[1]]}],"ї":[{"л":[{"а":[{},[0,0,0,0,1]]},[0,0,1,2]]},[1]],"ѡ":[{"́":[{"к":[{},[0,0,0,1]],"т":[{},[0,0,0,1]]}],"т":[{},[0,0,1]]},[1,2]],"ѳ":[{"о":[{},[0,0,0,2]]},[2,1]],"ѵ":[{"́":[{"р":[{},[0,0,0,1]]}],"̏":[{},[0,0,0,1]]},[1]],"ѷ":[{},[1,0,1]],"ꙋ":[{"́":[{},[0,0,0,2]],"̑":[{},[0,0,0,2]],"л":[{},[0,0,2,1]],"р":[{},[0,0,2,1]]},[1]]}],"х":[{"а":[{"̀":[{},[1]],"́":[{"м":[{},[0,0,0,1]],"р":[{},[0,0,0,1]],"ю":[{},[0,0,0,0,1]]},[1]],"̑":[{"н":[{},[0,0,0,1]]},[1]],"а":[{},[1]],"г":[{},[2]],"и":[{},[1]],"л":[{},[1]],"н":[{"а":[{},[0,0,0,0,1]]},[0,0,1]],"р":[{"а":[{},[0,0,0,0,1]]},[0,0,1]],"ѧ":[{},[2]]}],"в":[{"а":[{"л":[{},[0,0,0,1]]}],"о":[{},[0,0,0,2]]},[1,2]],"е":[{"в":[{},[0,0,1,2]],"р":[{"ꙋ":[{},[0,0,0,0,1]]},[0,0,1,2]]},[0,2]],"ж":[{},[2,1]],"и":[{"̀":[{},[1]],"́":[{"н":[{},[0,0,0,0,1]],"р":[{},[0,0,0,1]],"т":[{},[0,0,0,1]],"щ":[{},[0,0,0,0,1]]},[1]],"̑":[{"н":[{},[0,0,0,0,1]]},[1]],"м":[{},[1,0,2]],"т":[{},[1,0,1,2]],"щ":[{},[1]]},[0,2]],"л":[{},[1,2]],"м":[{"а":[{},[1,2]],"и":[{"̀":[{},[2,1]]}],"ѝ":[{},[2,1]]}],"н":[{"е":[{},[0,2,0,2]],"о":[{},[0,1,0,1]]},[2]],"о":[{".":[{},[1]],"́":[{"в":[{},[1,0,0,0,1]],"м":[{},[1]],"щ":[{},[1,0,0,1]]}],"в":[{},[1,0,1]],"д":[{"а":[{},[1]],"в":[{},[1]],"о":[{},[1,0,0,0,1]]},[0,0,0,2]],"е":[{},[1]],"ж":[{},[0,0,0,2]],"л":[{"ю":[{},[0,0,0,0,1]]},[1,0,1]],"м":[{},[1]],"п":[{"а":[{},[0,0,0,0,1]]},[1]],"р":[{},[1,0,2]],"с":[{},[1,0,1]],"т":[{},[1,0,0,2]],"щ":[{},[0,0,1]],"ѻ":[{},[1]]},[0,2]],"р":[{"а":[{"н":[{},[0,0,0,1]]}],"е":[{},[0,0,0,1]],"и":[{},[0,0,0,1]],"о":[{},[0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ѵ":[{"̏":[{},[0,0,0,0,1]]}],"ѷ":[{},[0,0,0,1]]},[1,2,2]],"с":[{"к":[{"а":[{},[0,0,0,0,1]]}],"т":[{"ѣ":[{},[0,0,0,0,1]]},[0,0,0,2]]},[2,1,2]],"т":[{"и":[{},[0,1,0,1]],"і":[{"́":[{},[0,0,0,0,1]]},[1,2]]}],"ш":[{},[2,1]],"ъ":[{},[2,2]],"і":[{"̈":[{"к":[{},[0,0,0,2]],"м":[{},[0,0,0,1]],"с":[{"е":[{},[0,0,0,0,0,1]]},[0,0,0,1]]}]},[1]],"ї":[{"к":[{},[0,0,2]],"м":[{},[0,0,1]],"с":[{"е":[{},[0,0,0,0,1]]},[0,0,1]]},[1]],"ѝ":[{},[1]],"ѡ":[{"́":[{"м":[{},[0,0,0,1]]}],"т":[{},[0,0,1]]},[1]],"ѣ":[{},[1]],"ꙋ":[{"́":[{"д":[{},[0,0,0,1]]}],"д":[{},[0,0,1]],"л":[{},[0,0,1]]},[1]]}],"ц":[{"а":[{"́":[{".":[{},[1]],"е":[{},[1]],"л":[{},[1,0,0,1]],"р":[{"с":[{"т":[{"в":[{"а":[{},[0,0,0,0,7]],"о":[{},[0,0,0,0,7]],"і":[{"̈":[{},[0,0,0,0,7]]}],"ї":[{},[0,0,0,0,7]],"ѣ":[{},[0,0,0,0,7]],"ꙋ":[{},[0,0,0,0,7]]}]}]}]},[1]],"т":[{},[1,0,0,1]],"х":[{},[1]],"ш":[{},[1,0,0,1]],"ю":[{},[1,0,0,0,1]],"ѧ":[{},[1]]}],"м":[{},[1]],"р":[{},[1,0,1]],"х":[{},[1,0,2]]}],"в":[{"ѣ":[{"т":[{},[0,0,0,1]]}]},[1,2]],"е":[{"̀":[{},[1]],"́":[{"в":[{},[1]],"р":[{},[0,0,0,0,1]],"т":[{},[1,0,0,1]]}],"в":[{},[1,0,1]],"г":[{"о":[{},[0,0,0,0,1]]},[1]],"м":[{"ѣ":[{},[1]]}],"н":[{},[1,0,1]],"п":[{},[2]],"р":[{},[0,0,2,1]],"с":[{"а":[{},[0,0,0,0,1]]},[1,0,1]],"ю":[{},[1]]},[0,2]],"к":[{"а":[{},[0,1,0,1]],"и":[{},[0,1]],"о":[{},[0,1,0,1]],"і":[{"̈":[{},[0,1]]}],"ї":[{},[0,1]]},[2]],"р":[{},[1]],"т":[{"о":[{},[0,0,0,2]]},[2,1]],"ъ":[{},[2,2]],"ы":[{"́":[{},[0,0,0,1]],"̑":[{},[1]],"и":[{},[1]]}],"ѐ":[{},[1]],"є":[{"́":[{"м":[{},[1]]},[0,0,0,2]],"в":[{"а":[{},[1]]}],"м":[{},[1]]},[0,2]],"і":[{"̈":[{"о":[{},[0,0,0,0,2]]},[1,0,0,1]]}],"ї":[{"о":[{},[0,0,0,2]]},[1,0,1]],"ѣ":[{"́":[{},[1]],"̑":[{},[1]],"в":[{},[0,0,1,2]],"и":[{"̆":[{},[1]]}],"й":[{},[1]],"л":[{},[1]],"м":[{},[1,0,2]],"х":[{},[1,0,2]]}],"҃":[{},[2]],"ⷣ":[{"е":[{},[0,0,0,1]]}],"ꙋ":[{"́":[{"з":[{},[1,0,0,0,1]]},[0,0,0,2]],"̑":[{},[1]]}]}],"ч":[{"а":[{"́":[{"м":[{},[0,0,0,1]],"н":[{},[0,0,0,1]],"ш":[{},[0,0,0,1]]}],"̑":[{"т":[{},[0,0,0,1]]}],"в":[{},[0,0,1]],"л":[{"о":[{},[0,0,0,0,1]]},[0,0,1]],"м":[{},[0,0,1]],"с":[{"о":[{},[0,0,0,0,1]]},[0,0,1,2]],"х":[{},[2,0,2]]},[1,2]],"е":[{"́":[{"ж":[{},[0,0,0,1]],"з":[{},[0,0,0,0,1]],"ш":[{},[0,0,0,1]]}],"в":[{"о":[{},[0,0,0,0,1]]}],"з":[{},[0,0,1,2]],"и":[{"̆":[{},[2]]}],"й":[{},[2]],"л":[{"о":[{},[0,0,0,0,1]]},[0,0,1]],"м":[{},[0,0,2]],"н":[{"о":[{},[0,0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"р":[{"м":[{},[0,0,0,0,1]],"т":[{},[0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"с":[{"т":[{"и":[{"̀":[{".":[{},[0,0,7,8]]}]}],"ѝ":[{".":[{},[0,0,7,8]]}]}]}],"т":[{},[0,0,0,2]]},[1,2]],"и":[{"́":[{"с":[{},[0,0,0,1]],"щ":[{},[0,0,0,0,1]]}],"̑":[{},[0,0,0,1]],"в":[{},[0,0,1]],"л":[{},[0,0,2]],"н":[{"о":[{},[0,0,0,0,1]]},[0,0,1]],"с":[{"л":[{"е":[{},[0,0,0,7]],"ѣ":[{},[0,0,0,7]]}]}],"т":[{"и":[{},[0,0,0,0,1]]}],"х":[{},[0,0,2]],"ш":[{"а":[{},[0,0,0,0,1]]}]},[1,2]],"к":[{},[2,1]],"л":[{"е":[{},[0,0,0,1]]},[1,2]],"н":[{"а":[{},[0,1]],"е":[{"м":[{},[0,1,0,1]],"т":[{},[0,1]]}],"и":[{"к":[{},[0,1]],"ц":[{},[0,1]]}],"о":[{"а":[{},[0,0,0,0,1]]},[0,1]],"ы":[{},[0,1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ѣ":[{},[0,1]],"ꙋ":[{"ю":[{},[0,0,0,0,1]]},[0,1,0,1]]},[2,0,2]],"о":[{},[1]],"р":[{},[1]],"т":[{"а":[{"̑":[{},[0,0,0,0,1]]},[2,1]],"и":[{},[1,2]],"о":[{".":[{},[0,1]],"̀":[{},[1]],"́":[{},[1,0,0,0,1]]},[0,0,0,2]],"є":[{"́":[{},[0,0,0,0,1]]},[0,2]],"ѝ":[{},[1]],"҃":[{},[2]],"ⷭ":[{},[1]],"ꙋ":[{},[0,2]]}],"ц":[{},[0,2]],"ш":[{"а":[{},[0,0,0,1]],"е":[{},[0,0,0,1]],"и":[{},[0,0,0,2]]},[2,1,2]],"ы":[{},[1]],"ь":[{},[2,2]],"ю":[{"д":[{"е":[{},[0,0,0,0,1]]}]},[1,2,1]],"є":[{"́":[{"в":[{},[0,0,0,0,1]],"л":[{},[0,0,0,1]],"р":[{},[0,0,0,0,1]]}],"н":[{},[0,0,1,2]]},[1]],"і":[{"́":[{},[0,0,0,1]],"̈":[{},[0,2]]},[1]],"ї":[{},[1,2]],"ѝ":[{},[1,2]],"ѣ":[{},[1,0,1]],"ѧ":[{},[1]],"҃":[{"е":[{},[0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,2]]}],"ї":[{},[0,0,0,2]]},[2,0,2]],"ⷣ":[{},[2]],"ⷭ":[{"҇":[{"т":[{},[1]]}]}],"ꙋ":[{"̀":[{},[1]],"́":[{},[1]],"̑":[{"д":[{},[0,0,0,0,1]]},[0,0,0,2]],"д":[{"о":[{},[0,0,0,0,1]]},[1,0,1]],"ж":[{},[1]],"щ":[{},[1]]},[0,2]]}],"ш":[{"а":[{"́":[{"в":[{},[0,0,0,0,1]],"л":[{},[0,0,0,0,1]],"н":[{},[0,0,0,1]],"ш":[{},[0,0,0,1]],"є":[{},[0,0,0,0,1]]}],"г":[{"о":[{},[0,0,0,0,1]],"ѡ":[{},[0,0,0,0,1]]}],"м":[{},[0,0,2]],"н":[{},[0,0,1]],"с":[{},[0,0,1,2]]},[1,2]],"е":[{"́":[{"в":[{},[0,0,0,0,1]],"с":[{},[0,0,0,1]]}],"в":[{},[0,0,2,1]],"е":[{},[0,0,0,1]],"л":[{"о":[{},[0,0,0,0,1]]},[0,0,1]],"м":[{"о":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]}],"н":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"с":[{},[0,0,1]],"т":[{},[0,0,0,2]],"х":[{},[0,0,1]]},[1,2]],"и":[{"́":[{"п":[{},[0,0,0,1]],"р":[{},[0,0,0,0,1]],"с":[{},[0,0,0,1]]}],"в":[{},[0,0,1]],"л":[{},[0,0,2]],"р":[{"о":[{},[0,0,0,0,1]]},[0,0,1]],"с":[{},[0,0,1,2]],"т":[{"и":[{},[0,0,0,0,1]]}],"х":[{},[0,0,2]]},[1,2]],"к":[{},[2,1]],"л":[{"а":[{},[0,0,0,2]],"и":[{},[2,1]],"є":[{"́":[{},[0,0,0,0,1]]},[0,1]],"ѧ":[{},[0,1]]}],"н":[{"а":[{},[0,0,0,1]],"о":[{},[0,0,0,1]],"ю":[{},[0,0,0,1]],"ѧ":[{},[0,0,0,1]]},[2,1,2]],"ц":[{"е":[{},[0,0,0,1]]},[2,1]],"ш":[{"а":[{},[0,0,0,1]],"ы":[{"м":[{},[0,0,0,0,1]]}],"ꙋ":[{},[0,0,0,1]]},[2,1]],"ъ":[{},[2]],"ы":[{"м":[{},[0,0,2]]},[1]],"ѐ":[{},[1]],"є":[{"́":[{"в":[{},[0,0,0,0,1]],"с":[{},[0,0,0,1]]}]},[1]],"і":[{"̈":[{"и":[{},[0,0,0,0,1]]},[1]]}],"ї":[{"и":[{},[0,0,0,1]]},[1]],"ѝ":[{},[1]],"ѣ":[{},[1]],"ѧ":[{},[1,2,1]],"҃":[{},[2]],"ꙋ":[{"́":[{"с":[{},[0,0,0,1]],"ю":[{},[0,0,0,0,1]]}],"щ":[{"е":[{},[0,0,0,0,1]]}],"ю":[{},[0,0,0,1]]},[1,2]]}],"щ":[{"а":[{".":[{},[1]],"̀":[{},[1]],"́":[{"в":[{},[1]],"д":[{},[1,0,0,0,1]],"е":[{},[1]],"м":[{},[1,0,0,1]],"с":[{},[0,0,0,1]],"х":[{},[1,0,0,1]],"ш":[{},[0,0,0,1]],"щ":[{},[0,0,0,1]],"ю":[{},[1]]}],"в":[{},[1,0,1]],"г":[{"о":[{},[0,0,0,0,1]]},[1]],"д":[{},[1,0,1]],"м":[{},[1,0,1]],"н":[{},[1,0,1]],"с":[{},[1,0,1,2]],"х":[{},[1,0,2]],"ѧ":[{},[1,0,0,1]]}],"в":[{},[2,1,2]],"е":[{"́":[{"с":[{},[0,0,0,1]]}],"б":[{"о":[{},[0,0,0,0,1]]}],"в":[{},[2,0,1]],"д":[{},[0,0,1,2]],"е":[{},[0,0,0,1]],"м":[{"ꙋ":[{},[0,0,0,0,1]]}],"н":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"с":[{},[0,0,1]],"х":[{},[0,0,2]]},[1,2]],"и":[{"́":[{"с":[{},[0,0,0,1]]}],"с":[{},[0,0,1,2]],"т":[{},[0,0,1]]},[1,2]],"н":[{"а":[{"́":[{},[0,0,0,0,1]]}],"о":[{"́":[{},[0,0,0,0,1]],"м":[{},[0,0,0,1]]}],"ꙋ":[{},[0,0,0,1]]},[2,1]],"с":[{"т":[{},[0,0,0,2]]},[2,1,2]],"ш":[{"а":[{"ѧ":[{},[0,0,0,0,1]]},[0,0,0,1]],"е":[{},[0,0,0,1]]},[2,1,2]],"ъ":[{},[2]],"ы":[{"м":[{},[0,0,2]]},[1]],"ь":[{},[2,2,1]],"є":[{"́":[{"н":[{},[1,0,0,0,1]],"р":[{},[0,0,0,1]],"т":[{},[0,0,0,0,1]]}],"м":[{},[1]],"н":[{},[1,0,1,2]],"с":[{},[1]]},[0,2]],"і":[{"̈":[{"и":[{},[0,0,0,0,1]]},[1,2]]}],"ї":[{"и":[{},[0,0,0,1]]},[1,2]],"ѡ":[{},[1]],"ѣ":[{},[1]],"ѧ":[{},[1,2]],"ꙋ":[{"́":[{},[0,0,0,1]],"т":[{},[0,0,2]],"ю":[{},[0,0,0,1]]},[1,2]]}],"ъ":[{"д":[{},[0,1,2]]},[8]],"ы":[{".":[{},[8]],"̀":[{".":[{},[8,0,8]]},[0,2]],"́":[{".":[{},[8,0,8]],"б":[{"л":[{},[0,0,0,1]]}],"в":[{},[0,0,2]],"г":[{},[0,0,2,1]],"к":[{"н":[{},[0,0,1]]},[0,0,0,2]],"л":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"н":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"п":[{},[0,0,2,1]],"с":[{},[0,0,0,2]],"т":[{"е":[{},[0,0,0,0,1]],"и":[{},[0,0,0,0,1]],"ы":[{},[0,0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"ц":[{},[0,0,1]],"ч":[{"е":[{},[0,0,0,0,1]],"и":[{},[0,0,0,0,1]]}],"ш":[{"е":[{},[0,0,0,0,1]]}],"щ":[{},[0,0,1,2]]},[0,2]],"̑":[{".":[{},[8,0,8]],"б":[{},[0,0,1]],"в":[{},[0,0,2,1]],"м":[{},[0,0,2]],"с":[{},[0,0,1,2]],"ч":[{},[0,0,0,1]],"ш":[{},[0,0,0,1]]},[0,2]],"в":[{"а":[{"́":[{},[0,0,0,0,1]],"̑":[{},[0,0,0,0,1]]}]},[0,1]],"г":[{},[0,1,2]],"д":[{"о":[{},[0,0,0,2]],"ѣ":[{"́":[{},[0,0,0,0,1]]}]},[0,1]],"ж":[{},[0,1,2]],"з":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]],"ы":[{},[0,0,0,1]]},[0,1]],"и":[{"̆":[{},[0,0,0,1]]},[0,1]],"й":[{},[0,2,1]],"к":[{"н":[{},[0,2,1]],"о":[{"́":[{},[0,0,0,0,1]],"в":[{},[0,0,0,1]]},[0,1]]}],"л":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]]},[0,1,2]],"м":[{"а":[{},[0,1]],"и":[{},[0,1]]}],"н":[{"е":[{},[0,1,0,1]],"и":[{},[0,1]],"м":[{},[0,0,1]],"о":[{},[0,1,0,1]],"ю":[{},[0,1]],"ѣ":[{},[0,1]]}],"п":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]]},[0,1]],"р":[{"е":[{"д":[{},[0,0,0,1]],"н":[{},[0,0,0,1]]},[0,1]],"и":[{},[0,1]],"м":[{},[0,0,1]],"о":[{},[0,1,0,1]],"ю":[{},[0,1]],"є":[{},[0,1]],"і":[{"̈":[{},[0,1,0,0,1]]}],"ї":[{},[0,1,0,1]],"ѣ":[{},[0,1]],"ѧ":[{},[0,1]]}],"с":[{"к":[{},[0,1]],"о":[{},[0,1]],"ѡ":[{"́":[{},[0,0,0,0,1]]},[0,1]]},[0,0,2]],"т":[{"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ꙋ":[{"́":[{},[0,0,0,0,1]]}]},[0,1]],"х":[{"а":[{"̑":[{},[0,0,0,0,1]]},[0,1]]}],"ш":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]],"е":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]],"л":[{},[0,0,1]]}],"щ":[{"а":[{"́":[{},[0,0,0,0,1]]}],"и":[{"́":[{},[0,0,0,0,1]]}],"ꙋ":[{},[0,0,0,2]]},[0,1]],"ѧ":[{},[0,1,1]],"҆":[{"̀":[{".":[{},[8,0,0,8]]}],"́":[{".":[{},[8,0,0,8]]}],"̈":[{".":[{},[8,0,0,8]]}],"̑":[{".":[{},[8,0,0,8]]}]}],"ⷠ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷡ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷢ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷣ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷤ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷥ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷦ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷧ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷨ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷩ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷪ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷫ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷬ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷭ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷮ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷯ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷰ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷱ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷲ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷳ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷼ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷽ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷾ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷿ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙼":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙽":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}]},[2]],"ь":[{"б":[{"о":[{"́":[{},[0,0,0,0,1]]}]},[0,1]],"в":[{"о":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]]},[0,2]],"г":[{},[0,1]],"д":[{"е":[{},[0,0,0,1]]},[0,1]],"ж":[{},[0,1]],"з":[{"ꙋ":[{},[0,0,0,1]]},[0,1,2]],"к":[{"а":[{},[0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ꙋ":[{},[0,0,0,1]]},[0,1]],"м":[{"е":[{},[0,1]],"и":[{},[0,1]],"о":[{"́":[{},[0,0,0,0,1]]},[0,2,0,2]],"ы":[{},[0,2]],"ѝ":[{},[0,1]],"ѣ":[{},[0,2]],"ꙋ":[{},[0,2]]}],"н":[{"а":[{},[0,0,0,1]],"о":[{},[0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ꙋ":[{},[0,0,0,1]]},[0,1]],"п":[{},[0,2,2]],"с":[{"к":[{"а":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]},[0,1]],"т":[{"в":[{},[0,1]]},[0,0,0,2]]},[0,0,2]],"т":[{"е":[{},[0,0,0,1]],"є":[{},[0,0,0,1]],"ѧ":[{},[0,0,0,1]]},[0,1]],"ц":[{},[0,1]],"ч":[{"е":[{},[0,0,0,1]]},[0,1]],"ш":[{"а":[{"ѧ":[{},[0,0,0,0,1]]},[0,0,0,1]],"ы":[{"м":[{},[0,0,0,0,1]]}],"ꙋ":[{},[0,0,0,1]]},[0,1,2]],"щ":[{},[0,2]],"ꙋ":[{"́":[{},[0,0,0,1]]},[0,1]]},[8]],"э":[{".":[{},[8]],"̀":[{".":[{},[8,0,8]]}],"́":[{".":[{},[8,0,8]]}],"̑":[{".":[{},[8,0,8]]}],"҆":[{"̀":[{".":[{},[8,0,0,8]]}],"́":[{".":[{},[8,0,0,8]]}],"̈":[{".":[{},[8,0,0,8]]}],"̑":[{".":[{},[8,0,0,8]]}]}],"ⷠ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷡ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷢ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷣ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷤ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷥ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷦ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷧ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷨ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷩ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷪ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷫ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷬ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷭ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷮ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷯ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷰ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷱ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷲ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷳ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷼ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷽ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷾ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷿ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙼":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙽":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}]}],"ю":[{".":[{},[8]],"̀":[{".":[{},[8,0,8]]},[0,2]],"́":[{".":[{},[8,0,8]],"б":[{"л":[{},[0,0,0,1]]},[2]],"д":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]}],"ж":[{},[0,0,1]],"з":[{},[1]],"л":[{},[0,0,2]],"с":[{},[0,0,1,2]],"т":[{"а":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]],"с":[{},[1]]}],"щ":[{"а":[{},[1]],"е":[{},[1]],"и":[{},[1]],"ѧ":[{},[1]],"ꙋ":[{},[0,0,0,0,1]]},[0,0,1,2]],"ю":[{},[0,0,0,1]]},[0,2]],"̈":[{".":[{},[8,0,8]]}],"̑":[{".":[{},[8,0,8]]},[0,0,1]],"б":[{"в":[{},[0,2,1]],"л":[{},[0,2,1]],"о":[{"м":[{},[0,0,0,1]]}]}],"д":[{"а":[{},[0,1]],"е":[{},[0,1]],"и":[{"́":[{},[0,0,0,0,1]]}],"м":[{},[0,1]],"о":[{"́":[{},[0,0,0,0,1]]},[0,1,0,2]],"с":[{},[0,0,1]],"і":[{},[0,1]]}],"е":[{},[0,1]],"ж":[{},[1,1,2]],"с":[{"т":[{},[2]]},[0,1,2]],"т":[{"с":[{},[1]]},[0,2]],"ч":[{"е":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]]},[0,1]],"щ":[{"а":[{"с":[{},[1]],"ѧ":[{},[1]]},[0,0,0,1]],"е":[{},[1]],"и":[{"с":[{},[1]],"х":[{},[1]]}],"ъ":[{},[1]],"ы":[{"ѧ":[{},[1]]}],"ь":[{},[1]],"і":[{"̈":[{"и":[{},[1]],"ѧ":[{},[1]]}]}],"ї":[{"и":[{},[1]],"ѧ":[{},[1]]}],"ѣ":[{},[2]],"ѧ":[{},[1]],"ꙋ":[{"с":[{},[1]],"ю":[{},[1]]},[0,0,0,1]]},[0,1,2]],"ю":[{},[0,1,1]],"ѧ":[{},[0,1]],"҆":[{"̀":[{".":[{},[8,0,0,8]]}],"́":[{".":[{},[8,0,0,8]],"ж":[{},[0,0,0,1]],"н":[{},[0,0,0,1]]}],"̈":[{".":[{},[8,0,0,8]]}],"̑":[{".":[{},[8,0,0,8]]}],"р":[{},[0,0,1]]}],"ⷠ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷡ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷢ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷣ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷤ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷥ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷦ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷧ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷨ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷩ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷪ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷫ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷬ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷭ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷮ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷯ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷰ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷱ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷲ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷳ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷼ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷽ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷾ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷿ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙼":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙽":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}]}],"ѐ":[{".":[{},[8,8]]}],"ё":[{".":[{},[8,8]]}],"є":[{".":[{},[8]],"̀":[{".":[{},[8,0,8]]}],"́":[{".":[{},[8,0,8]],"б":[{"и":[{},[0,0,0,0,1]],"р":[{},[0,0,1]]}],"д":[{},[0,0,2,1]],"ж":[{},[0,0,1,2]],"з":[{},[0,0,2,1]],"л":[{"ю":[{},[0,0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"м":[{"ы":[{},[1,0,0,0,1]]}],"н":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]],"ѣ":[{},[1]]}],"п":[{},[0,0,1,2]],"р":[{"д":[{},[0,0,0,1]],"с":[{},[0,0,0,1]]}],"с":[{"н":[{},[0,0,0,1]]}],"ц":[{},[0,0,2]],"ч":[{"е":[{},[0,0,0,0,1]]},[2]],"ю":[{},[1]]},[0,2]],"̈":[{".":[{},[8,0,8]]}],"̑":[{".":[{},[8,0,8]]}],"в":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,1]],"ы":[{},[0,1]]}],"д":[{"н":[{"и":[{},[0,0,0,0,1]]}]},[0,0,1]],"з":[{},[0,1]],"и":[{"̀":[{},[2,1]]}],"л":[{"и":[{},[0,1]]}],"м":[{"а":[{".":[{},[1]]},[0,1,0,1]],"н":[{},[2,0,1]],"ы":[{},[0,1]],"і":[{"̈":[{},[2,1,0,0,1]]}],"ї":[{},[2,1,0,1]]}],"н":[{"и":[{},[0,1]],"н":[{"и":[{},[0,0,0,0,1]]}],"ы":[{},[0,1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]]},[2]],"с":[{"к":[{"а":[{},[0,0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"т":[{},[0,0,0,2]]},[0,1,2]],"т":[{"н":[{"а":[{},[0,0,0,0,1]]},[1]]},[0,0,1]],"ц":[{},[0,2]],"ч":[{"н":[{"ы":[{},[0,0,0,0,1]]}]},[0,0,1]],"ѝ":[{},[2,1]],"ѵ":[{"р":[{"ѡ":[{},[0,0,0,0,1]]}]},[1,0,1]],"҆":[{"̀":[{".":[{},[8,0,0,8]]}],"́":[{".":[{},[8,0,0,8]],"в":[{},[0,0,0,1]],"ж":[{},[0,0,0,1]],"л":[{},[0,0,0,0,1]],"м":[{},[0,0,0,0,1]]}],"̈":[{".":[{},[8,0,0,8]]}],"̑":[{".":[{},[8,0,0,8]]}],"в":[{},[0,0,1,2]],"г":[{},[0,0,0,2]],"з":[{},[0,0,1,2]],"к":[{"а":[{},[0,0,0,0,1]]}],"р":[{"е":[{},[0,0,0,0,1]]}],"с":[{},[0,0,1,2]],"ф":[{},[0,0,1]],"ѧ":[{"́":[{},[0,0,0,0,1]]}]}],"ⷠ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷡ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷢ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷣ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷤ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷥ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷦ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷧ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷨ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷩ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷪ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷫ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷬ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷭ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷮ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷯ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷰ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷱ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷲ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷳ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷼ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷽ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷾ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷿ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙼":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙽":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}]}],"ѕ":[{"в":[{"ѣ":[{"̑":[{},[0,0,0,0,1]]}]}],"л":[{"а":[{"̑":[{},[0,0,0,0,1]]},[0,0,0,2]],"о":[{"в":[{},[0,0,0,1]]}]},[1]],"м":[{"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]]}],"ѣ":[{"́":[{},[0,0,0,2]],"л":[{},[0,0,1]]}]},[0,2]],"і":[{".":[{},[8]],"̀":[{".":[{},[8,0,8]]}],"́":[{".":[{},[8,0,8]],"а":[{},[2]],"г":[{},[0,0,0,2]],"и":[{},[0,0,0,1]],"к":[{},[0,0,0,2]],"л":[{},[2]],"м":[{"в":[{},[1]]}],"н":[{"д":[{},[0,0,0,1]],"и":[{},[0,0,0,0,1]],"т":[{},[1]],"ꙋ":[{},[0,0,0,0,1]]}],"п":[{},[0,0,2]],"р":[{"м":[{},[0,0,0,1]],"о":[{},[0,0,0,0,1]]}],"с":[{"м":[{},[0,0,1]],"с":[{},[0,0,0,1]]}],"т":[{"о":[{},[0,0,0,0,1]],"ѧ":[{},[0,0,0,0,1]]}],"ф":[{},[0,0,1]],"ц":[{},[0,0,1]],"ч":[{"е":[{},[0,0,0,0,1]]},[0,0,1]],"є":[{"в":[{},[0,0,0,1]]}],"ѯ":[{},[0,0,2]],"ѳ":[{},[0,0,2]]}],"̈":[{".":[{},[8,0,8]],"а":[{"́":[{"д":[{},[0,0,0,0,1]]},[2]],"д":[{},[0,0,0,1]],"м":[{},[0,0,0,1]],"н":[{},[0,0,0,1]]},[0,0,1]],"в":[{"е":[{"́":[{},[0,0,0,0,0,1]]}],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]},[0,0,1,2]],"г":[{"а":[{},[0,0,1]],"г":[{},[0,0,2,1]],"и":[{"́":[{},[0,0,0,0,0,1]]},[0,0,1]]}],"д":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]},[0,0,1,2]],"е":[{"́":[{"ш":[{},[0,0,0,0,1]]}],"м":[{},[0,0,0,2]],"р":[{},[0,0,0,1,2]]},[2]],"и":[{"̀":[{},[2]],"́":[{"д":[{},[0,0,0,0,1]],"н":[{},[0,0,0,0,1]]}],"̆":[{},[0,0,0,0,1]],"̑":[{"м":[{},[0,0,0,0,0,1]]},[0,0,0,0,2]],"м":[{},[2]],"н":[{"а":[{},[1]]},[0,0,0,1]],"с":[{},[0,0,0,1,2]],"т":[{},[0,0,0,1]],"х":[{},[2]]},[0,0,1]],"й":[{},[0,0,2,1]],"к":[{"а":[{"н":[{},[0,0,0,0,1]]},[2,0,1]],"е":[{},[0,0,1]],"и":[{"́":[{},[0,0,0,0,0,1]]},[2,0,1]],"о":[{"́":[{},[0,0,0,0,0,1]],"н":[{},[0,0,0,0,1]]},[0,0,1]],"т":[{"о":[{},[0,0,0,0,0,1]]},[0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,1]]},[0,0,1]],"ї":[{},[0,0,1,0,1]],"ѡ":[{},[0,0,1]]},[0,0,0,2]],"л":[{"а":[{"р":[{},[0,0,0,0,1]]},[2,0,1]],"в":[{},[0,0,0,1,2]],"е":[{"́":[{},[0,0,0,0,0,1]]},[0,0,1]],"и":[{},[0,0,1]],"л":[{"і":[{"̈":[{},[0,0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,0,1]]}],"о":[{},[0,0,1,0,1]],"і":[{"̈":[{"п":[{},[0,0,0,0,0,0,1]]},[2]]},[0,0,1]],"ї":[{"п":[{},[0,0,0,0,0,1]]},[2,0,1]],"ѧ":[{},[1,0,1]],"ꙋ":[{},[0,0,1,0,1]]}],"м":[{"а":[{"н":[{},[0,0,0,0,0,1]]},[0,0,1]],"е":[{},[0,0,1,0,1]],"о":[{},[0,0,1,0,1]],"і":[{"̈":[{},[0,0,1,0,0,1]]}],"ї":[{},[0,0,1,0,1]]},[2]],"н":[{"а":[{},[0,0,1,0,2]],"б":[{},[2,0,0,1]],"д":[{},[0,0,0,1]],"е":[{"́":[{},[0,0,0,0,0,1]]},[0,0,1]],"о":[{".":[{},[1]],"а":[{},[0,0,0,0,0,1]]},[0,0,1]],"т":[{"і":[{"̈":[{},[0,0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,0,1]]},[0,0,0,1]],"ъ":[{},[1]],"ы":[{},[1,0,1]]}],"о":[{"́":[{"п":[{},[0,0,0,0,1]]}],"м":[{},[0,0,0,1]],"н":[{},[0,0,0,1]],"с":[{},[0,0,0,1,2]]},[0,0,1]],"п":[{"а":[{},[0,0,1,0,2]],"п":[{},[0,0,0,1]],"і":[{"̈":[{"о":[{},[0,0,0,0,0,0,1]]},[0,0,0,0,0,1]]}],"ї":[{"о":[{},[0,0,0,0,0,1]]},[0,0,0,0,1]]}],"р":[{"а":[{},[0,0,1]],"е":[{},[0,0,1]],"о":[{},[0,0,1,0,1]],"с":[{},[0,0,0,1]]}],"с":[{"а":[{"в":[{},[0,0,0,0,1]]},[0,0,1]],"е":[{},[0,0,1]],"о":[{},[0,0,1,0,1]],"с":[{},[0,0,0,1]],"т":[{"е":[{},[0,0,1]],"о":[{},[0,0,1]],"р":[{},[0,0,1]]},[0,0,0,2,2]],"є":[{},[0,0,1]],"і":[{"́":[{},[0,0,0,0,0,1]]}],"ѡ":[{},[0,0,1]]},[2]],"т":[{"и":[{"̀":[{},[1]]}],"і":[{"́":[{},[0,0,0,0,0,1]]}],"ѝ":[{},[1]],"ѵ":[{"̏":[{},[0,0,0,0,0,1]]}],"ѷ":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,2]]},[0,0,1,2]],"ф":[{"а":[{"́":[{},[0,0,0,0,0,1]]}]},[0,0,1,2]],"х":[{"а":[{"́":[{},[0,0,0,0,0,1]]}],"и":[{"́":[{},[0,0,0,0,0,1]],"̑":[{},[0,0,0,0,0,1]]}]},[0,0,1]],"ц":[{},[0,0,1]],"ч":[{"а":[{"́":[{},[0,0,0,0,0,1]]}]},[0,0,1]],"ю":[{},[2,0,1]],"ѐ":[{},[0,0,1]],"є":[{"́":[{},[0,0,0,0,1]]},[2,0,1]],"ѝ":[{},[2,0,1]],"ѡ":[{"н":[{},[0,0,0,1]],"с":[{},[0,0,0,1]]},[0,0,1]],"ѧ":[{"́":[{"с":[{},[0,0,0,0,1]]}],"в":[{},[0,0,0,1,2]]},[2,0,1]],"ѯ":[{},[0,0,2]],"ѳ":[{"а":[{},[1]],"е":[{},[0,0,0,0,2]]},[0,0,1]],"ѵ":[{"̏":[{},[0,0,1,0,1]]}],"ѷ":[{},[0,0,1,1]]}],"̑":[{".":[{},[8,0,8]],"к":[{},[0,0,2]],"р":[{},[0,0,0,1]],"с":[{},[0,0,1,2]]},[2]],"҆":[{"̀":[{".":[{},[8,0,0,8]]}],"́":[{".":[{},[8,0,0,8]],"д":[{},[0,0,0,1]],"н":[{},[0,0,0,0,1]]}],"̈":[{".":[{},[8,0,0,8]]}],"̑":[{".":[{},[8,0,0,8]]}],"а":[{"́":[{},[0,0,0,0,1]]}],"г":[{},[0,0,0,2]],"д":[{"ѡ":[{},[0,0,0,0,1]]}],"з":[{},[0,0,2,1]],"к":[{},[0,0,0,2]],"м":[{},[0,0,1,2]],"н":[{},[0,0,2,1]],"с":[{"а":[{},[0,0,0,0,1]]},[0,0,1,2]]}],"ⷠ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷡ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷢ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷣ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷤ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷥ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷦ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷧ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷨ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷩ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷪ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷫ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷬ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷭ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷮ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷯ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷰ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷱ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷲ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷳ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷼ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷽ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷾ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷿ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙼":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙽":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}]}],"ї":[{".":[{},[8,8]],"а":[{"́":[{"д":[{},[0,0,0,1]]},[2]],"д":[{},[0,0,1]],"м":[{},[0,0,1]],"н":[{},[0,0,1]]},[0,1]],"в":[{"е":[{"́":[{},[0,0,0,0,1]]}],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]]},[0,1,2]],"г":[{"а":[{},[0,1]],"г":[{},[0,2,1]],"и":[{"́":[{},[0,0,0,0,1]]},[0,1]]}],"д":[{"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]]},[0,1,2]],"е":[{"́":[{"ш":[{},[0,0,0,1]]}],"м":[{},[0,0,2]],"р":[{},[0,0,1,2]]},[2,1]],"и":[{"̀":[{},[2]],"́":[{"д":[{},[0,0,0,1]],"н":[{},[0,0,0,1]]}],"̆":[{},[0,0,0,1]],"̑":[{"м":[{},[0,0,0,0,1]]},[0,0,0,2]],"м":[{},[2]],"н":[{"а":[{},[1]]},[0,0,1]],"с":[{},[0,0,1,2]],"т":[{},[0,0,1]],"х":[{},[2]]},[0,1]],"й":[{},[0,2,1]],"к":[{"а":[{"н":[{},[0,0,0,1]]},[2,1]],"е":[{},[0,1]],"и":[{"́":[{},[0,0,0,0,1]]},[2,1]],"о":[{"́":[{},[0,0,0,0,1]],"н":[{},[0,0,0,1]]},[0,1]],"т":[{"о":[{},[0,0,0,0,1]]},[0,1]],"і":[{"̈":[{},[0,0,0,0,1]]},[0,1]],"ї":[{},[0,1,0,1]],"ѡ":[{},[0,1]]},[0,0,2]],"л":[{"а":[{"р":[{},[0,0,0,1]]},[2,1]],"в":[{},[0,0,1,2]],"е":[{"́":[{},[0,0,0,0,1]]},[0,1]],"и":[{},[0,1]],"л":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"о":[{},[0,1,0,1]],"і":[{"̈":[{"п":[{},[0,0,0,0,0,1]]},[2]]},[0,1]],"ї":[{"п":[{},[0,0,0,0,1]]},[2,1]],"ѧ":[{},[1,1]],"ꙋ":[{},[0,1,0,1]]}],"м":[{"а":[{"н":[{},[0,0,0,0,1]]},[0,1]],"е":[{},[0,1,0,1]],"о":[{},[0,1,0,1]],"і":[{"̈":[{},[0,1,0,0,1]]}],"ї":[{},[0,1,0,1]]},[2]],"н":[{"а":[{},[0,1,0,2]],"б":[{},[2,0,1]],"д":[{},[0,0,1]],"е":[{"́":[{},[0,0,0,0,1]]},[0,1]],"о":[{".":[{},[1]],"а":[{},[0,0,0,0,1]]},[0,1]],"т":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]},[0,0,1]],"ъ":[{},[1]],"ы":[{},[1,1]]}],"о":[{"́":[{"п":[{},[0,0,0,1]]}],"м":[{},[0,0,1]],"н":[{},[0,0,1]],"с":[{},[0,0,1,2]]},[0,1]],"п":[{"а":[{},[0,1,0,2]],"п":[{},[0,0,1]],"і":[{"̈":[{"о":[{},[0,0,0,0,0,1]]},[0,0,0,0,1]]}],"ї":[{"о":[{},[0,0,0,0,1]]},[0,0,0,1]]}],"р":[{"а":[{},[0,1]],"е":[{},[0,1]],"о":[{},[0,1,0,1]],"с":[{},[0,0,1]]}],"с":[{"а":[{"в":[{},[0,0,0,1]]},[0,1]],"е":[{},[0,1]],"о":[{},[0,1,0,1]],"с":[{},[0,0,1]],"т":[{"е":[{},[0,1]],"о":[{},[0,1]],"р":[{},[0,1]]},[0,0,2,2]],"є":[{},[0,1]],"і":[{"́":[{},[0,0,0,0,1]]}],"ѡ":[{},[0,1]]},[2]],"т":[{"и":[{"̀":[{},[1]]}],"і":[{"́":[{},[0,0,0,0,1]]}],"ѝ":[{},[1]],"ѵ":[{"̏":[{},[0,0,0,0,1]]}],"ѷ":[{},[0,0,0,1]],"ꙋ":[{},[0,0,0,2]]},[0,1,2]],"ф":[{"а":[{"́":[{},[0,0,0,0,1]]}]},[0,1,2]],"х":[{"а":[{"́":[{},[0,0,0,0,1]]}],"и":[{"́":[{},[0,0,0,0,1]],"̑":[{},[0,0,0,0,1]]}]},[0,1]],"ц":[{},[0,1]],"ч":[{"а":[{"́":[{},[0,0,0,0,1]]}]},[0,1]],"ю":[{},[2,1]],"ѐ":[{},[0,1]],"є":[{"́":[{},[0,0,0,1]]},[2,1]],"ѝ":[{},[2,1]],"ѡ":[{"н":[{},[0,0,1]],"с":[{},[0,0,1]]},[0,1]],"ѧ":[{"́":[{"с":[{},[0,0,0,1]]}],"в":[{},[0,0,1,2]]},[2,1]],"ѯ":[{},[0,2]],"ѳ":[{"а":[{},[1]],"е":[{},[0,0,0,2]]},[0,1]],"ѵ":[{"̏":[{},[0,1,0,1]]}],"ѷ":[{},[0,1,1]]}],"ѝ":[{".":[{},[8,8]],"д":[{"ѣ":[{},[0,0,0,1]]},[0,1]]}],"ѡ":[{".":[{},[8]],"̀":[{".":[{},[8,0,8]]}],"́":[{".":[{},[8,0,8]],"б":[{"р":[{},[0,0,1]]}],"в":[{"а":[{},[0,0,0,0,1]],"и":[{},[0,0,0,0,1]]},[2]],"г":[{"а":[{},[0,0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"д":[{"ь":[{},[1]]}],"ж":[{"д":[{},[0,0,1]],"е":[{},[0,0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"з":[{"д":[{},[0,0,1]],"н":[{},[0,0,0,1]]}],"и":[{"н":[{},[0,0,0,0,1]],"х":[{},[0,0,0,1]]}],"к":[{"а":[{},[0,0,0,0,1]]}],"л":[{"г":[{},[0,0,0,1]],"и":[{},[0,0,0,0,1]],"н":[{},[0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"м":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"п":[{},[0,0,1]],"р":[{"б":[{},[0,0,0,1]],"г":[{},[1,0,0,1]],"д":[{},[0,0,0,1]],"с":[{},[0,0,0,1]]}],"с":[{"н":[{},[0,0,0,1]],"с":[{},[0,0,0,1]]}],"ч":[{"а":[{},[0,0,0,0,1]]},[0,0,1]],"ѳ":[{},[1]]},[0,2]],"̈":[{".":[{},[8,0,8]]}],"̑":[{".":[{},[8,0,8]],"м":[{},[0,0,0,1]],"т":[{},[0,0,1]]}],"а":[{"́":[{"д":[{},[1]],"н":[{},[1]],"с":[{},[1]]}],"к":[{},[1]],"н":[{},[1,0,2,1]],"с":[{},[1,0,1]]},[0,1]],"б":[{"и":[{"́":[{},[0,0,0,0,1]],"т":[{},[0,0,0,1]]}],"л":[{"и":[{},[0,0,0,0,1]]}],"о":[{},[0,0,0,1]],"р":[{"а":[{"з":[{"ꙋ":[{"́":[{},[0,0,0,0,7]]}]}]}],"ꙋ":[{},[0,0,0,0,1]]}],"ѣ":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]],"ꙋ":[{},[0,0,0,1]]},[1,1,2]],"в":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,1]],"е":[{},[0,1]],"л":[{"ю":[{},[0,0,1]],"ѧ":[{},[0,0,1]]}],"о":[{},[0,1,0,2]],"ы":[{},[0,1]],"ѣ":[{},[0,1,0,1]],"ꙋ":[{},[0,1]]}],"г":[{"о":[{"р":[{},[0,0,0,0,1]]},[0,0,0,2]]},[1,1]],"д":[{"а":[{},[0,1]],"е":[{},[1,1]],"і":[{"́":[{},[0,0,0,0,1]],"̈":[{},[0,0,0,0,1]]},[0,1]],"ї":[{},[0,1,0,1]]}],"з":[{"о":[{},[0,0,0,2]]},[0,1]],"и":[{"́":[{"л":[{},[1]]},[0,0,0,2]],"с":[{},[0,0,1]]},[0,1]],"к":[{"р":[{},[1]]},[0,1]],"л":[{"и":[{"́":[{},[0,0,0,0,1]]},[0,1]],"о":[{},[0,1,0,1]],"ы":[{},[0,1]],"і":[{"́":[{},[0,0,0,0,1]]},[0,1]],"ѡ":[{},[0,1]],"ѣ":[{"́":[{},[0,0,0,0,1]]},[0,1]]}],"м":[{"а":[{"́":[{},[0,0,0,0,1]]},[2,1]],"о":[{},[0,1,0,2]],"ы":[{},[0,1]],"ѣ":[{},[0,1]],"ѵ":[{},[0,1]]}],"н":[{"а":[{"ѳ":[{},[1]]},[0,1]],"е":[{},[0,1]],"и":[{},[0,1]],"ы":[{},[0,1]],"і":[{"́":[{},[0,0,0,0,1]]},[0,1]],"ѵ":[{},[2]],"ꙋ":[{},[0,1]]}],"п":[{"а":[{},[1]],"е":[{},[2]],"и":[{"́":[{},[0,0,0,0,1]]},[1,0,0,2]],"р":[{"е":[{},[0,0,0,0,1]]},[1]],"ы":[{},[2]]},[0,1]],"р":[{"а":[{"́":[{},[1]]},[0,1]],"е":[{"́":[{},[0,0,0,0,1]]},[2,1,0,2]],"и":[{"́":[{},[0,0,0,0,1]]},[0,1,0,2]],"о":[{"в":[{},[0,0,0,0,1]]},[0,1]],"с":[{},[0,0,1]],"ы":[{"́":[{},[0,0,0,0,1]]},[0,1]],"ꙋ":[{"́":[{},[1]],"ж":[{},[1]]},[0,1]]}],"с":[{"а":[{},[1,1,0,1]],"в":[{"ѧ":[{},[0,0,0,0,1]]}],"к":[{},[1,1,2]],"л":[{},[1]],"с":[{},[0,0,1]],"т":[{"р":[{},[1]]},[0,1,2,2]],"щ":[{},[1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ѣ":[{},[1,1,0,1]],"ѧ":[{"́":[{},[1]]}],"ꙋ":[{},[1,0,0,1]]}],"т":[{"и":[{},[0,1]],"о":[{},[0,1,0,1]],"ы":[{},[0,1]],"і":[{"̈":[{},[0,0,0,0,1]]},[0,1]],"ї":[{},[0,1,0,1]]}],"ф":[{},[0,1]],"ч":[{"и":[{"́":[{},[0,0,0,0,1]]}]},[1,1]],"ш":[{},[0,1]],"і":[{"́":[{},[0,0,0,1]]},[0,1]],"ѧ":[{"́":[{},[0,0,0,1]]},[0,1]],"ѵ":[{"̏":[{},[0,1,0,1]]}],"ѷ":[{},[0,1,1]],"҆":[{"̀":[{".":[{},[8,0,0,8]]}],"́":[{".":[{},[8,0,0,8]],"б":[{},[0,0,0,1]]}],"̈":[{".":[{},[8,0,0,8]]}],"̑":[{".":[{},[8,0,0,8]]}],"г":[{"ꙋ":[{},[0,0,0,0,1]]}],"д":[{"о":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]}],"з":[{"а":[{},[0,0,0,0,1]]},[0,0,1,2]],"к":[{"а":[{},[0,0,0,0,1]]},[0,0,0,2]],"м":[{"о":[{},[0,0,0,0,1]]},[0,0,1]],"п":[{"а":[{},[0,0,0,0,1]]},[0,0,1]],"р":[{"о":[{},[0,0,0,0,1]]},[0,0,1]],"с":[{"ѣ":[{},[0,0,0,0,1]]},[0,0,1,2]],"ч":[{},[0,0,1]]}],"ⷠ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷡ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷢ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷣ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷤ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷥ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷦ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷧ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷨ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷩ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷪ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷫ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷬ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷭ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷮ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷯ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷰ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷱ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷲ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷳ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷼ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷽ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷾ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷿ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙼":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙽":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}]}],"ѣ":[{".":[{},[8]],"̀":[{".":[{},[8,0,8]]},[0,2]],"́":[{".":[{},[8,0,8]],"в":[{"и":[{},[0,0,0,0,1]],"л":[{},[0,0,1]],"ц":[{},[0,0,0,1]]}],"г":[{"д":[{},[0,0,1]],"н":[{},[0,0,0,1]]}],"д":[{"о":[{},[0,0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]}],"ж":[{"и":[{},[0,0,0,0,1]]}],"з":[{"а":[{},[0,0,0,0,1]]},[0,0,0,2]],"к":[{"а":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]],"т":[{},[0,0,1]]}],"л":[{"и":[{},[0,0,0,0,1]]}],"н":[{"м":[{},[0,0,0,1]]}],"п":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"р":[{"о":[{},[0,0,0,0,1]],"с":[{},[0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"с":[{"о":[{},[0,0,0,0,1]]},[0,0,0,2]],"т":[{"а":[{},[0,0,0,0,1]]}],"ц":[{},[0,0,1]],"ч":[{"и":[{},[0,0,0,0,1]]}],"щ":[{"е":[{},[0,0,0,0,1]]}],"є":[{},[0,0,0,1]]},[0,2]],"̈":[{".":[{},[8,0,8]]}],"̑":[{".":[{},[8,0,8]],"в":[{},[0,0,1]],"п":[{},[0,0,2,1]],"с":[{"н":[{},[0,0,1]],"т":[{},[0,0,0,0,1]]},[0,0,0,2]],"ш":[{},[0,0,0,1]]},[0,2]],"б":[{"о":[{},[0,0,0,2]]},[0,1]],"в":[{"а":[{},[0,1]],"и":[{"́":[{},[0,0,0,0,1]]},[0,1]],"н":[{},[0,1,2]],"ц":[{},[0,2,1]]}],"г":[{"а":[{"́":[{},[0,0,0,0,1]]}],"о":[{},[0,0,0,2]]},[0,1,2]],"д":[{"а":[{},[0,1]],"е":[{},[0,1,0,2]],"н":[{"е":[{},[0,0,0,0,1]],"ю":[{},[0,0,0,0,1]]},[0,2,1]],"о":[{"́":[{},[0,0,0,0,1]]},[0,1]],"ы":[{},[0,1]],"і":[{"̈":[{},[0,1,0,0,2]]}],"ї":[{},[0,1,0,2]],"ѡ":[{},[0,0,0,2]],"ꙋ":[{},[0,1,0,2]]}],"е":[{},[0,1]],"ж":[{"е":[{"́":[{},[0,0,0,0,1]]}]},[0,1,2]],"з":[{"д":[{},[0,2,1]],"р":[{},[0,1,2]]}],"и":[{"̆":[{},[0,0,0,1]]},[0,1]],"й":[{},[0,2,1]],"к":[{"а":[{},[0,0,0,2]],"и":[{"́":[{},[0,0,0,0,1]]}],"н":[{},[0,2,1]],"о":[{"́":[{},[0,0,0,0,1]]}],"ꙋ":[{},[0,0,0,2]]},[0,1]],"л":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,1,0,2]],"е":[{"с":[{},[0,0,0,1]]},[0,1]],"и":[{},[0,1]],"о":[{"́":[{},[0,0,0,0,1]]},[0,1,0,1]],"є":[{},[0,1]],"ѝ":[{},[0,1]],"ѡ":[{},[0,1]],"ѣ":[{"́":[{},[0,0,0,0,1]]},[0,1]],"ѧ":[{"́":[{},[0,0,0,0,1]]},[0,1]],"ꙋ":[{},[0,1,0,2]]}],"м":[{"а":[{},[0,1]],"е":[{},[0,1]],"и":[{},[0,1]]}],"н":[{"а":[{},[0,1,0,2]],"е":[{},[0,1,0,2]],"и":[{},[0,1]],"о":[{},[0,1,0,2]],"ц":[{},[0,0,1]],"ч":[{},[0,0,1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ѝ":[{},[0,1]],"ѣ":[{},[0,1]],"ѧ":[{"́":[{},[0,0,0,0,1]]},[0,1]]}],"п":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,1,0,2]],"и":[{},[0,1,0,2]],"л":[{},[0,2,1]],"о":[{},[0,1,0,2]],"і":[{"́":[{},[0,0,0,0,1]]},[0,1]],"ѝ":[{},[0,1]]}],"р":[{"е":[{},[0,1,0,2]],"о":[{},[0,1,0,1]],"є":[{},[0,1]],"ѧ":[{"́":[{},[0,0,0,0,1]]},[0,1]]}],"с":[{"и":[{},[0,1]],"н":[{},[0,1]],"о":[{},[0,1,0,2]],"т":[{"е":[{},[0,1]],"о":[{},[0,1,0,0,1]],"ѝ":[{},[0,1]]}],"ѝ":[{},[0,1]],"ѡ":[{},[0,1]],"ѣ":[{},[0,1]],"ѧ":[{},[0,0,0,1]]},[0,0,2]],"т":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,1]],"е":[{},[0,1]],"и":[{},[0,1]],"л":[{},[0,2,1]],"о":[{"в":[{},[0,0,0,1]],"л":[{},[0,0,0,1]],"р":[{},[0,0,0,1]]},[0,1]],"ѐ":[{},[0,1]],"і":[{},[0,1]],"ѝ":[{},[0,1]],"ꙋ":[{},[0,1]]}],"х":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,1]],"и":[{},[0,1]],"м":[{},[0,2,1]],"о":[{},[0,1]],"ꙋ":[{},[0,0,0,2]]}],"ц":[{"ѣ":[{},[0,0,0,2]]},[0,1]],"ч":[{"е":[{},[0,0,0,2]],"ѐ":[{},[0,1]]}],"ш":[{"а":[{},[0,0,0,2]],"е":[{"м":[{},[0,0,0,1]]}],"є":[{"́":[{},[0,0,0,0,1]]}]},[0,1]],"щ":[{"е":[{"н":[{},[0,0,0,1]]}],"ꙋ":[{},[0,0,0,2]]},[0,1]],"ю":[{},[0,1,1]],"ѧ":[{},[0,1]],"҆":[{"̀":[{".":[{},[8,0,0,8]]}],"́":[{".":[{},[8,0,0,8]]}],"̈":[{".":[{},[8,0,0,8]]}],"̑":[{".":[{},[8,0,0,8]]}]}],"ⷠ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷡ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷢ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷣ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷤ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷥ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷦ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷧ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷨ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷩ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷪ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷫ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷬ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷭ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷮ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷯ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷰ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷱ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷲ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷳ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷼ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷽ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷾ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷿ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙋ":[{"́":[{},[0,0,0,1]]},[0,1]],"ꙴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙼":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙽":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}]},[2]],"ѧ":[{".":[{},[8]],"̀":[{".":[{},[8,0,8]]},[0,2]],"́":[{".":[{},[8,0,8]],"б":[{},[2,0,2]],"в":[{},[1]],"д":[{"а":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]]}],"з":[{"в":[{},[1,0,0,1]],"л":[{},[0,0,0,0,1]]}],"к":[{"а":[{},[0,0,0,0,1]]}],"л":[{"а":[{},[1]],"и":[{},[1]]}],"н":[{"м":[{},[0,0,0,1]]},[1]],"р":[{},[1,0,2]],"с":[{"а":[{},[1]]}],"т":[{"и":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]],"ч":[{},[0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]],"ѣ":[{},[1]]}],"х":[{"о":[{},[1]]}],"ц":[{},[0,0,1]],"ч":[{"е":[{},[0,0,0,0,1]]},[0,0,1]],"ш":[{"а":[{},[0,0,0,0,1]],"е":[{},[0,0,0,0,1]],"и":[{},[1]]},[0,0,1]],"щ":[{},[0,0,1]]},[0,2]],"̈":[{".":[{},[8,0,8]]}],"̑":[{".":[{},[8,0,8]],"ж":[{},[2,0,2,1]],"з":[{},[2]],"к":[{},[2]],"н":[{},[1]],"с":[{},[2,0,0,2]],"т":[{},[1]],"ю":[{},[1]]},[0,2,1]],"б":[{"а":[{"́":[{},[0,0,0,0,1]]}],"е":[{"́":[{},[0,0,0,0,1]]}],"л":[{},[0,2,1]]},[2]],"в":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,1]],"и":[{"́":[{},[0,0,0,0,1]]},[0,1]],"л":[{"е":[{},[0,0,1]]}],"с":[{},[0,0,1]]},[1]],"г":[{"и":[{"́":[{},[0,0,0,0,1]]}],"о":[{},[0,0,0,1]]},[0,1]],"д":[{"а":[{"́":[{},[0,0,0,0,1]]}],"е":[{"̀":[{},[1]]}],"о":[{},[0,0,0,1]],"ѐ":[{},[1]],"ꙋ":[{"̑":[{},[0,0,0,0,1]]},[0,0,0,2]]},[0,1]],"е":[{"м":[{},[0,0,0,1]]},[0,1]],"ж":[{"д":[{},[1]]},[0,1,2]],"з":[{"а":[{},[2,0,0,2]],"в":[{},[1,2,1]],"е":[{},[2,1]],"ы":[{},[1,1,0,2]],"ь":[{},[2]],"є":[{},[2]],"ѧ":[{},[2,1]],"ꙋ":[{"́":[{},[0,0,0,0,1]]},[2,1,2]]}],"и":[{"̆":[{},[0,0,0,1]]},[1,1]],"й":[{"с":[{},[1]]},[0,2,1]],"л":[{},[1,0,1]],"м":[{"и":[{},[0,1]],"ъ":[{},[1]]}],"н":[{"а":[{},[1,1]],"е":[{},[0,1,0,2]],"и":[{"́":[{},[0,0,0,0,1]]},[0,1]],"н":[{},[1]],"ы":[{"́":[{},[0,0,0,0,1]]},[0,1]],"і":[{"̈":[{},[1,0,0,0,1]]}],"ї":[{},[1,0,0,1]],"ѝ":[{},[0,1]],"ꙋ":[{},[0,1,0,2]]}],"р":[{"е":[{},[0,0,0,2]]},[0,1]],"с":[{"а":[{".":[{},[1]],"́":[{},[0,0,0,0,1]]}],"е":[{},[2,0,0,2]],"н":[{},[1]],"о":[{},[2,0,0,1]],"ъ":[{},[1]],"ѐ":[{},[2]],"ꙋ":[{"́":[{},[0,0,0,0,1]]},[1]]},[0,1,2]],"т":[{"а":[{"́":[{},[0,0,0,0,1]],"̑":[{},[0,0,0,0,1]]},[0,1]],"е":[{},[0,1]],"и":[{"̑":[{},[0,0,0,0,1]]},[0,1]],"к":[{},[0,2,1]],"н":[{"а":[{},[0,0,0,0,1]]},[0,0,1]],"о":[{},[0,1]],"с":[{},[2]],"ъ":[{},[2]],"ы":[{},[0,1]],"ь":[{},[0,0,0,1]],"і":[{"́":[{},[0,0,0,0,1]],"̈":[{},[0,0,0,0,1]]},[0,1]],"ї":[{},[0,1,0,1]],"ѝ":[{},[0,1]],"ѣ":[{},[0,1]],"ꙋ":[{},[0,1]]}],"ц":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,1]],"е":[{},[0,1,0,1]],"ы":[{},[0,1]]}],"ч":[{"е":[{"́":[{},[0,0,0,0,1]],"с":[{},[0,0,0,1]]}],"н":[{},[0,0,1]]}],"ш":[{"а":[{},[1,0,0,1]]},[0,1]],"щ":[{"а":[{"́":[{},[0,0,0,0,1]]}],"е":[{"н":[{},[0,0,0,0,1]]}],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ѧ":[{},[0,0,0,1]]},[0,1,2]],"ю":[{"щ":[{"е":[{},[0,0,0,0,1]]}]},[0,1,1]],"ѧ":[{},[0,1]],"҆":[{"̀":[{".":[{},[8,0,0,8]]},[0,0,0,1]],"́":[{".":[{},[8,0,0,8]]}],"̈":[{".":[{},[8,0,0,8]]}],"̑":[{".":[{},[8,0,0,8]]}],"з":[{},[0,0,1,2]]}],"ⷠ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷡ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷢ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷣ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷤ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷥ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷦ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷧ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷨ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷩ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷪ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷫ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷬ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷭ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷮ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷯ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷰ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷱ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷲ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷳ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷼ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷽ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷾ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷿ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙼":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙽":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}]}],"ѯ":[{"а":[{"́":[{"р":[{},[0,0,0,1]]}],"к":[{"ꙋ":[{},[0,0,0,0,1]]}],"н":[{},[0,0,2,1]],"п":[{"о":[{},[0,0,0,0,1]]}]},[1]],"е":[{"н":[{"о":[{},[0,0,0,0,1]]},[0,0,1]]},[1]],"т":[{},[2]],"ъ":[{},[2]],"і":[{"̈":[{},[0,0,0,1]]},[1]],"ї":[{},[1,0,1]]}],"ѱ":[{"а":[{"́":[{"л":[{},[0,0,0,0,1]]},[0,0,0,2]]},[1]],"і":[{"́":[{},[0,0,0,2]]},[1]],"ѡ":[{},[1]],"ѵ":[{"́":[{},[0,0,0,1]]},[1]]},[0,2]],"ѳ":[{"а":[{"в":[{},[0,0,1]],"г":[{},[0,0,2,1]],"д":[{},[0,0,2,1]],"л":[{"а":[{},[0,0,0,0,1]]},[0,0,1]],"н":[{},[0,0,1]],"ѵ":[{},[0,0,2,1]]},[1]],"е":[{"́":[{"ю":[{},[1]]}],"а":[{},[0,0,0,1]],"м":[{},[1,0,1]],"о":[{"́":[{},[0,0,0,0,1]]}],"р":[{"а":[{},[0,0,0,0,1]]},[0,0,1,2]],"ѡ":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]]}],"и":[{"́":[{"с":[{},[1,0,0,1]]}]}],"л":[{"е":[{},[0,0,0,1]]},[1]],"о":[{"́":[{},[0,0,0,1]],"в":[{},[0,0,2]],"л":[{"о":[{},[0,0,0,0,1]]},[0,0,1]],"н":[{},[0,0,1]]},[1]],"р":[{"а":[{},[0,0,0,2]]},[1]],"с":[{"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]]},[1]],"ъ":[{},[2]],"ы":[{},[1]],"і":[{"́":[{"а":[{},[1]],"м":[{},[1]],"с":[{},[1,0,0,1]]}],"̈":[{"с":[{},[0,0,0,0,2]],"ф":[{"а":[{},[0,0,0,0,0,1]]}]},[1]],"̑":[{},[1,0,0,1]]}],"ї":[{"с":[{},[0,0,0,2]],"ф":[{"а":[{},[0,0,0,0,1]]}]},[1]],"ѡ":[{},[0,0,1]],"ѧ":[{},[1,0,1]],"ѵ":[{"́":[{"м":[{},[0,0,0,1]]}],"̏":[{},[0,0,0,1]]},[1]],"ѷ":[{},[0,0,1]],"ꙋ":[{"́":[{},[0,0,0,1]]},[1]]},[0,2]],"ѵ":[{".":[{},[8]],"̀":[{".":[{},[8,0,8]]}],"́":[{".":[{},[8,0,8]],"м":[{},[2]],"н":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"п":[{"т":[{},[0,0,1]]},[0,0,0,2]],"с":[{},[0,0,1]],"т":[{"е":[{},[0,0,0,0,1]]}],"ф":[{},[0,0,1]]},[0,2]],"̈":[{".":[{},[8,0,8]]}],"̏":[{"г":[{"д":[{},[0,0,1]],"н":[{},[0,0,1,2]]}],"е":[{"́":[{},[0,0,0,0,2]],"л":[{},[0,0,0,1]]},[0,0,1]],"з":[{"а":[{"н":[{},[0,0,0,0,0,1]]},[0,0,0,0,2]]},[0,0,1]],"к":[{"а":[{"р":[{},[0,0,0,0,1]]},[0,0,1]],"е":[{"́":[{},[0,0,0,0,0,1]]},[0,0,1]],"т":[{"о":[{},[0,0,0,0,0,1]]},[0,0,1]]},[0,0,0,2]],"л":[{"а":[{},[0,0,0,0,2]],"і":[{"́":[{},[0,0,0,0,0,1]]}]},[0,0,1,2]],"м":[{"в":[{},[0,0,0,1]],"е":[{},[0,0,1,0,1]],"п":[{"і":[{"̈":[{},[0,0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,0,1]]},[0,0,2,1]],"і":[{"̈":[{},[0,0,1,0,0,1]]}],"ї":[{},[0,0,1,0,1]]},[2]],"н":[{"а":[{},[0,0,0,0,1]],"о":[{"́":[{},[0,0,0,0,0,1]]}]},[0,0,1]],"п":[{"о":[{},[1,0,0,0,1]],"р":[{},[2]],"і":[{"́":[{},[0,0,0,0,0,1]]},[2]]},[0,0,1,2]],"р":[{"и":[{},[0,0,0,0,2]],"о":[{},[0,0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]},[0,0,1]],"с":[{"е":[{},[1,0,1,0,2]],"о":[{"́":[{},[0,0,0,0,0,1]]},[2,0,1,0,2]],"с":[{},[2,0,0,1]],"є":[{},[1,0,1]]}],"х":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]},[0,0,1]],"ѱ":[{},[2,0,1]]}],"̑":[{".":[{},[8,0,8]],"р":[{},[0,0,0,2]]},[0,0,1]],"а":[{"́":[{"н":[{},[0,0,0,0,1]]},[0,0,0,2]],"р":[{},[0,0,1]]},[1,2]],"г":[{"е":[{"́":[{},[0,0,0,0,1]]}]},[2,1]],"д":[{"и":[{},[0,0,0,1]],"о":[{},[0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]]},[2,1]],"е":[{},[1,2,2]],"и":[{"н":[{},[0,0,1]]},[1,2]],"к":[{"а":[{},[0,1,0,2]],"л":[{},[0,1]],"т":[{},[0,2]],"і":[{},[0,1]]},[2,0,2]],"л":[{"а":[{},[0,1]],"е":[{},[0,1]],"о":[{"́":[{},[0,0,0,0,1]]},[0,1,0,2]],"ꙋ":[{},[0,1]]},[2]],"м":[{"а":[{"́":[{},[0,0,0,0,1]]}],"е":[{"́":[{},[0,0,0,0,1]]}]},[2,1]],"н":[{"о":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]]},[2,1]],"о":[{"́":[{},[0,0,0,2]]},[1,2]],"п":[{"р":[{"а":[{},[0,0,0,0,1]]}]},[2,1]],"р":[{"а":[{},[0,1]],"е":[{},[0,1,0,2]],"ы":[{},[0,1]],"і":[{"́":[{},[0,0,0,0,1]],"̈":[{},[0,0,0,0,1]]},[0,1]],"ї":[{},[0,1,0,1]],"ѡ":[{"́":[{},[0,0,0,0,1]]},[0,1]],"ѣ":[{},[0,1]]},[2,0,2]],"с":[{"е":[{"́":[{},[0,0,0,0,1]]},[0,1]],"т":[{"р":[{},[0,1]]},[0,0,0,2]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ѵ":[{"̏":[{},[0,0,0,0,1]]}],"ѷ":[{},[0,0,0,1]]},[2,0,2]],"т":[{"і":[{"́":[{},[0,0,0,0,1]]}],"ѵ":[{"̏":[{},[0,0,0,0,1]]}],"ѷ":[{},[0,0,0,1]]},[2,1]],"ф":[{"р":[{"о":[{},[0,0,0,0,1]]}]},[2,1]],"ъ":[{},[2,2]],"ы":[{},[1]],"і":[{"̈":[{},[0,2,0,1]]},[1]],"ї":[{},[1,2,1]],"ѯ":[{},[0,1]],"ѱ":[{},[2,1]],"ѳ":[{"а":[{"́":[{},[0,0,0,0,1]]}],"ѵ":[{"́":[{},[0,0,0,0,1]]}]},[2,1]],"҆":[{"̀":[{".":[{},[8,0,0,8]]}],"́":[{".":[{},[8,0,0,8]]}],"̈":[{".":[{},[8,0,0,8]]}],"̑":[{".":[{},[8,0,0,8]]}],"а":[{},[0,0,0,1]],"п":[{"е":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]]},[0,0,1]],"с":[{},[0,0,2,1]]}],"ⷠ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷡ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷢ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]},[2,2]],"ⷣ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷤ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷥ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷦ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷧ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷨ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷩ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷪ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷫ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷬ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷭ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷮ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷯ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷰ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷱ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷲ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷳ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷼ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷽ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷾ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷿ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙋ":[{},[1,2]],"ꙴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙼":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙽":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}]}],"ѷ":[{"г":[{"д":[{},[0,1]],"н":[{},[0,1,2]]}],"е":[{"́":[{},[0,0,0,2]],"л":[{},[0,0,1]]},[0,1]],"з":[{"а":[{"н":[{},[0,0,0,0,1]]},[0,0,0,2]]},[0,1]],"к":[{"а":[{"р":[{},[0,0,0,1]]},[0,1]],"е":[{"́":[{},[0,0,0,0,1]]},[0,1]],"т":[{"о":[{},[0,0,0,0,1]]},[0,1]]},[0,0,2]],"л":[{"а":[{},[0,0,0,2]],"і":[{"́":[{},[0,0,0,0,1]]}]},[0,1,2]],"м":[{"в":[{},[0,0,1]],"е":[{},[0,1,0,1]],"п":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]},[0,2,1]],"і":[{"̈":[{},[0,1,0,0,1]]}],"ї":[{},[0,1,0,1]]},[2]],"н":[{"а":[{},[0,0,0,1]],"о":[{"́":[{},[0,0,0,0,1]]}]},[0,1]],"п":[{"о":[{},[1,0,0,1]],"р":[{},[2]],"і":[{"́":[{},[0,0,0,0,1]]},[2]]},[0,1,2]],"р":[{"и":[{},[0,0,0,2]],"о":[{},[0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]]},[0,1]],"с":[{"е":[{},[1,1,0,2]],"о":[{"́":[{},[0,0,0,0,1]]},[2,1,0,2]],"с":[{},[2,0,1]],"є":[{},[1,1]]}],"х":[{"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]]},[0,1]],"ѱ":[{},[2,1]]}],"ѹ":[{".":[{},[8]],"̀":[{".":[{},[8,0,8]]}],"́":[{".":[{},[8,0,8]]}],"̈":[{".":[{},[8,0,8]]}],"̑":[{".":[{},[8,0,8]]}],"х":[{},[1,1]],"҆":[{"̀":[{".":[{},[8,0,0,8]]},[0,0,0,1]],"́":[{".":[{},[8,0,0,8]],"б":[{},[0,0,0,1]],"н":[{},[0,0,0,1]],"х":[{},[0,0,0,1]],"ч":[{},[0,0,0,1]]}],"̈":[{".":[{},[8,0,0,8]]}],"̑":[{".":[{},[8,0,0,8]]}],"б":[{},[0,0,1,2]],"в":[{},[0,0,1,2]],"г":[{"а":[{},[0,0,0,0,1]]},[0,0,0,2]],"з":[{},[0,0,1,2]],"к":[{"о":[{},[0,0,0,0,1]]}],"л":[{},[0,0,1]],"м":[{},[0,0,1,2]],"н":[{"е":[{},[0,0,0,0,1]],"и":[{},[0,0,0,0,1]]}],"п":[{"о":[{},[0,0,0,0,1]]},[0,0,1]],"с":[{"к":[{},[0,0,1]],"п":[{},[0,0,1]]},[0,0,0,2]],"т":[{"а":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]]},[0,0,0,2]]},[1]],"ⷠ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷡ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷢ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷣ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷤ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷥ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷦ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷧ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷨ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷩ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷪ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷫ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷬ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷭ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷮ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷯ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷰ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷱ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷲ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷳ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷼ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷽ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷾ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷿ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙼":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙽":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}]}],"ѻ":[{".":[{},[8]],"̀":[{".":[{},[8,0,8]]}],"́":[{".":[{},[8,0,8]]}],"̈":[{".":[{},[8,0,8]]}],"̑":[{".":[{},[8,0,8]]}],"б":[{"о":[{},[0,0,0,1]]},[1,1]],"г":[{"н":[{"е":[{},[0,0,0,0,1]]}]},[1,1,2]],"к":[{"е":[{},[0,0,0,1]]},[1,1]],"н":[{"ꙋ":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]]},[1,1]],"р":[{"д":[{},[0,0,1,2]],"ꙋ":[{"́":[{},[0,0,0,0,1]]},[1,1,0,2]]}],"т":[{"е":[{},[0,0,0,2]],"р":[{"о":[{},[0,0,0,0,1]]}]},[1,1,2]],"ц":[{},[1,2]],"҆":[{"̀":[{".":[{},[8,0,0,8]]}],"́":[{".":[{},[8,0,0,8]]}],"̈":[{".":[{},[8,0,0,8]]}],"̑":[{".":[{},[8,0,0,8]]}],"б":[{"о":[{},[0,0,0,0,1]],"р":[{},[0,0,0,1]]}],"в":[{},[0,0,1,2]],"г":[{},[0,0,0,2]],"д":[{"и":[{},[0,0,0,0,1]]}],"з":[{},[0,0,1,2]],"к":[{"а":[{},[0,0,0,0,1]]},[0,0,0,2]],"н":[{},[0,0,1]],"п":[{},[0,0,1]],"с":[{},[0,0,1,2]],"т":[{},[0,0,0,2]]}],"ⷠ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷡ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷢ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷣ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷤ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷥ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷦ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷧ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷨ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷩ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷪ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷫ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷬ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷭ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷮ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷯ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷰ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷱ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷲ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷳ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷼ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷽ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷾ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷿ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙼":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙽":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}]}],"ѽ":[{".":[{},[8,8]],"̀":[{".":[{},[8,0,8]]}],"́":[{".":[{},[8,0,8]]}],"̈":[{".":[{},[8,0,8]]}],"̑":[{".":[{},[8,0,8]]}],"л":[{},[0,1]],"҆":[{"̀":[{".":[{},[8,0,0,8]]}],"́":[{".":[{},[8,0,0,8]]}],"̈":[{".":[{},[8,0,0,8]]}],"̑":[{".":[{},[8,0,0,8]]}]}],"ⷠ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷡ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷢ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷣ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷤ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷥ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷦ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷧ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷨ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷩ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷪ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷫ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷬ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷭ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷮ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷯ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷰ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷱ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷲ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷳ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷼ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷽ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷾ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷿ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙼":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙽":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}]}],"ѿ":[{".":[{},[8]],"̀":[{".":[{},[8,0,8]]}],"́":[{".":[{},[8,0,8]]}],"̈":[{".":[{},[8,0,8]]}],"̑":[{".":[{},[8,0,8]]}],"б":[{"ѣ":[{},[0,0,0,1]]},[0,1]],"в":[{"а":[{"л":[{},[0,0,0,1]]}],"е":[{"р":[{},[0,0,0,0,1]]}],"р":[{"а":[{},[0,0,0,0,1]]}]},[0,1,2]],"г":[{"о":[{"́":[{},[0,0,0,0,1]]}]},[0,1,2]],"д":[{},[0,1]],"е":[{"́":[{"м":[{},[0,0,0,0,1]]},[0,0,0,2]]},[1,1]],"ж":[{"е":[{},[0,0,0,1]]},[0,1]],"и":[{"́":[{},[0,0,0,1]],"м":[{},[0,0,1]],"т":[{},[0,0,1]]},[0,1]],"к":[{"р":[{"о":[{},[0,0,0,0,1]]}],"ꙋ":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]]},[0,1]],"л":[{"ꙋ":[{},[0,0,0,1]]},[0,1,2]],"м":[{"е":[{},[0,0,0,1]],"ы":[{},[0,0,0,1]]},[0,1,2]],"н":[{"е":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]],"ю":[{},[0,0,0,2]]},[0,1,2]],"п":[{"а":[{},[0,0,0,1]]},[0,1]],"р":[{"а":[{"́":[{},[0,0,0,0,1]],"с":[{},[0,0,0,1]]}],"е":[{},[0,0,0,1]],"и":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]]},[0,1]],"с":[{"е":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]],"т":[{"о":[{},[0,0,0,0,1]]}]},[1,1]],"т":[{"о":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]],"ꙋ":[{"́":[{},[0,0,0,0,1]]}]},[0,1,2]],"х":[{"о":[{"́":[{},[0,0,0,0,1]]}]},[0,1]],"ч":[{"а":[{"́":[{},[0,0,0,0,1]],"̑":[{},[0,0,0,0,1]]}],"ꙋ":[{},[0,0,0,1]]},[0,1]],"ш":[{"е":[{},[0,0,0,2]]},[0,1]],"ѧ":[{},[0,1]],"ѻ":[{},[0,1,1]],"҆":[{"̀":[{".":[{},[8,0,0,8]]}],"́":[{".":[{},[8,0,0,8]]}],"̈":[{".":[{},[8,0,0,8]]}],"̑":[{".":[{},[8,0,0,8]]}]}],"ⷠ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷡ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷢ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷣ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷤ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷥ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷦ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷧ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷨ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷩ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷪ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷫ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷬ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷭ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷮ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷯ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷰ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷱ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷲ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷳ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷼ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷽ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷾ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷿ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙼":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙽":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}]}],"҃":[{"а":[{"́":[{},[0,0,0,1]],"̑":[{},[0,0,0,1]],"в":[{},[0,0,1]],"л":[{},[0,0,2]],"т":[{},[0,0,1]],"х":[{},[0,0,2]]}],"г":[{"а":[{"́":[{},[0,0,0,0,1]]}],"о":[{},[0,0,0,1]]}],"д":[{},[0,0,2]],"е":[{"́":[{"с":[{},[0,0,0,1]]}],"н":[{},[0,0,0,1]],"р":[{},[0,0,0,1]],"с":[{},[0,0,1]]}],"з":[{},[0,0,2]],"и":[{"́":[{"в":[{},[0,0,0,1]],"с":[{},[0,0,0,1]],"ц":[{},[0,0,0,1]],"ч":[{},[0,0,0,1]]}]},[0,0,2]],"к":[{},[0,0,2]],"л":[{"о":[{},[0,0,0,2]],"є":[{},[0,0,0,1]]},[0,0,2]],"н":[{"е":[{"ч":[{},[0,0,0,0,1]]},[0,0,0,2]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]]},[0,0,2]],"о":[{"́":[{"в":[{},[0,0,0,0,1]]}],"в":[{},[0,0,1,2]],"з":[{},[0,0,1,2]],"и":[{"з":[{},[0,0,0,0,1]]}],"л":[{"ю":[{},[0,0,0,0,1]]},[0,0,1]],"н":[{"а":[{},[0,0,0,0,1]],"е":[{},[0,0,0,0,1]]},[0,0,1]],"р":[{},[0,0,1]],"с":[{},[0,0,1]],"ѧ":[{"в":[{},[0,0,0,0,1]]}],"ꙋ":[{},[0,0,0,1]]}],"р":[{"е":[{},[0,0,0,2]],"н":[{"е":[{},[0,0,0,0,1]],"и":[{},[0,0,0,0,1]]}],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]]},[0,0,2]],"с":[{"е":[{},[0,0,0,2]],"т":[{},[0,0,0,2]],"ѡ":[{},[0,0,0,1]]},[0,0,2]],"т":[{"в":[{"о":[{},[0,0,0,0,1]]}]},[0,0,2]],"ш":[{"е":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]]}],"щ":[{"а":[{"́":[{},[0,0,0,0,1]]}],"е":[{"́":[{},[0,0,0,0,1]]}]}],"ы":[{"́":[{"н":[{},[0,0,0,1]]}]}],"є":[{"́":[{"н":[{},[0,0,0,0,1]]},[0,0,0,2]]}],"і":[{"́":[{},[0,0,0,1]]}],"ѣ":[{"́":[{},[0,0,0,2]]}],"ꙋ":[{"́":[{},[0,0,0,1]]}]},[8]],"҆":[{"̀":[{},[0,2]],"́":[{"б":[{"л":[{},[0,0,1]],"р":[{},[0,0,1]]},[0,0,0,2]],"в":[{"а":[{},[0,0,0,0,1]],"е":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]],"ц":[{},[0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"г":[{"ц":[{},[0,0,1]]},[0,0,0,2]],"д":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"з":[{"д":[{},[0,0,0,1]],"е":[{},[0,0,0,0,1]],"н":[{},[0,0,0,1]],"р":[{},[0,0,1]]}],"и":[{},[0,0,0,1]],"к":[{},[0,0,1]],"л":[{"ч":[{},[0,0,0,1]]},[0,0,2]],"м":[{"о":[{},[0,0,0,0,1]],"ѧ":[{},[0,0,0,0,1]]}],"н":[{"а":[{},[0,0,0,0,1]],"д":[{},[0,0,0,1]],"и":[{},[0,0,0,0,1]],"ѡ":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]}],"р":[{"т":[{},[0,0,0,1]]}],"с":[{"к":[{},[0,0,1]],"н":[{},[0,0,1]],"п":[{},[0,0,1]]},[0,0,0,2]],"т":[{},[0,0,1]],"ц":[{},[0,0,2,1]],"ш":[{},[0,0,1]],"щ":[{},[0,0,1,2]],"ю":[{},[0,0,0,1]]},[0,2]],"̑":[{},[0,2]],"а":[{"́":[{"к":[{},[0,0,0,1]]}],"̑":[{},[0,0,0,1]],"д":[{},[0,0,1]],"м":[{},[0,0,2,1]],"н":[{"ꙋ":[{},[0,0,0,0,1]]}],"р":[{},[0,0,1,2]]},[0,1]],"б":[{"а":[{"́":[{},[0,0,0,0,1]]}],"в":[{},[0,2,1]],"д":[{},[0,2,1]],"и":[{"т":[{},[0,0,0,1]]}],"л":[{"а":[{},[0,0,0,0,1]],"и":[{},[0,0,0,0,1]]}],"н":[{"и":[{},[0,0,0,0,1]]},[0,0,1]],"о":[{"л":[{},[0,0,0,0,1]]}],"р":[{"е":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,1]]}],"щ":[{},[0,1]],"ѡ":[{"́":[{},[0,0,0,0,1]]}]}],"в":[{"в":[{"а":[{},[0,0,0,0,1]]},[0,0,1]],"д":[{},[0,1,2]],"е":[{"н":[{},[0,0,0,1]]},[0,1]],"и":[{},[0,1]],"л":[{},[0,2,1]],"н":[{},[0,1,2]],"о":[{},[0,1,0,1]],"ц":[{},[0,1,2]],"ч":[{},[0,1,2]],"ы":[{},[0,1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,1,0,1]],"ѝ":[{},[0,1]],"ѣ":[{"р":[{},[0,0,0,1]]},[0,1]],"ѧ":[{},[0,1]],"ѵ":[{},[0,1]],"ꙋ":[{},[0,1,0,1]]}],"г":[{"г":[{},[0,0,2]],"л":[{"ѣ":[{},[0,0,0,0,1]]},[0,0,2]],"н":[{},[0,0,2]],"о":[{"р":[{},[0,0,0,0,1]]}],"р":[{"о":[{},[0,0,0,0,1]]}]},[0,1]],"д":[{"а":[{"в":[{},[0,0,0,0,1]],"л":[{},[0,0,0,1]]}],"о":[{"л":[{},[0,0,0,1]]}],"є":[{"́":[{},[0,0,0,0,1]]}],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ѡ":[{"л":[{},[0,0,0,1]]}],"ѣ":[{"́":[{},[0,0,0,0,1]],"в":[{},[0,0,0,1]]}],"ꙋ":[{"́":[{},[0,0,0,0,1]]}]},[0,1,2]],"е":[{"з":[{"е":[{},[0,0,0,0,1]]},[0,0,1,2]],"р":[{"о":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]},[0,0,0,2]],"с":[{},[0,0,2]]},[0,1]],"ж":[{"и":[{"́":[{},[0,0,0,0,1]]}]},[0,1,2]],"з":[{"̾":[{"ꙋ":[{},[0,0,0,0,1]]}],"в":[{"и":[{},[0,0,0,0,1]]},[0,0,1]],"д":[{"а":[{},[0,0,1,0,1]]}],"е":[{},[0,1,0,1]],"ж":[{"е":[{},[0,0,0,0,1]]}],"и":[{"́":[{},[0,0,0,0,1]]},[0,1]],"л":[{"и":[{},[0,0,0,0,1]]},[0,0,1]],"м":[{"о":[{},[0,0,0,0,1]]}],"н":[{"е":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]},[0,0,1,2]],"о":[{},[0,0,0,2]],"р":[{"а":[{},[0,0,1]],"е":[{},[0,0,1,0,1]],"и":[{},[0,0,1,0,1]],"ѧ":[{},[0,0,1]]}],"с":[{"ꙋ":[{},[0,0,0,0,1]]}],"ы":[{},[0,1]],"і":[{"́":[{},[0,0,0,0,1]]}]}],"и":[{"с":[{},[0,1,1]]}],"к":[{"а":[{"л":[{},[0,0,0,1]]}],"е":[{},[0,0,0,1]],"л":[{"е":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]]}],"о":[{"в":[{},[0,0,0,1]]}],"р":[{"о":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]}],"т":[{"е":[{},[0,0,0,0,1]]}],"і":[{"̈":[{},[0,0,0,0,2]]}],"ї":[{},[0,0,0,2]],"ѵ":[{"́":[{},[0,0,0,0,1]],"̏":[{},[0,0,0,0,1]]}],"ѷ":[{},[0,0,0,1]]},[0,1]],"л":[{"а":[{"́":[{},[0,0,0,0,1]],"р":[{},[0,0,0,1]]},[0,1]],"в":[{"е":[{},[0,0,0,0,1]]},[0,0,1,2]],"е":[{"з":[{},[0,0,0,0,1]],"ѵ":[{},[0,0,0,0,1]]},[0,1]],"и":[{"́":[{},[0,0,0,0,1]],"̑":[{},[0,0,0,0,1]]},[0,1]],"м":[{"а":[{},[0,0,0,0,1]]},[0,0,1]],"о":[{},[0,1]],"п":[{},[0,0,1]],"і":[{"̈":[{"и":[{},[0,0,0,0,0,1]],"о":[{},[0,0,0,0,0,1]]}]},[0,1]],"ї":[{"и":[{},[0,0,0,0,1]],"о":[{},[0,0,0,0,1]]},[0,1]],"ѝ":[{},[0,1]],"ѵ":[{"̏":[{},[0,0,0,0,2]]}],"ѷ":[{},[0,1,0,2]],"ꙋ":[{},[0,1,0,1]]}],"м":[{"а":[{},[0,1]],"в":[{},[0,0,1]],"е":[{"н":[{},[0,0,0,1]]},[0,1]],"и":[{},[0,1]],"л":[{},[0,1]],"н":[{},[0,1,2]],"о":[{"в":[{},[0,0,0,1]],"н":[{},[0,0,0,1]]},[0,1]],"п":[{"е":[{},[0,0,0,0,1]]},[0,1,2]],"р":[{"а":[{},[0,0,0,0,1]]}],"ы":[{},[0,1]],"і":[{"̈":[{},[0,1,0,0,1]]}],"ї":[{},[0,1,0,1]],"ѣ":[{"̑":[{},[0,0,0,0,1]]},[0,1]],"ѧ":[{"́":[{},[0,0,0,0,1]]},[0,1,0,2]],"ꙋ":[{"́":[{},[0,0,0,0,1]]}]}],"н":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,1]],"д":[{},[0,0,1]],"е":[{"м":[{},[0,0,0,0,1]]},[0,1]],"и":[{"́":[{},[0,0,0,0,1]],"с":[{},[0,0,0,1]]},[0,1]],"о":[{},[0,1]],"т":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]},[0,0,1]],"ц":[{},[0,0,1]],"ы":[{},[0,1]],"і":[{"́":[{},[0,0,0,0,1]],"̈":[{},[0,0,0,0,1]]},[0,1]],"ї":[{},[0,0,0,1]],"ѝ":[{},[0,1]],"ѣ":[{},[0,1]],"ѳ":[{},[0,0,1]],"ѵ":[{"́":[{},[0,0,0,0,1]]}],"ꙋ":[{"́":[{},[0,0,0,0,1]]},[0,1,0,2]]}],"п":[{"а":[{"с":[{},[0,0,0,1]]},[0,1]],"е":[{"р":[{},[0,0,0,1]]},[0,1]],"и":[{"́":[{},[0,0,0,0,1]]},[0,1,0,2]],"л":[{"е":[{},[0,0,0,0,1]]},[0,1]],"о":[{"́":[{},[0,0,0,0,1]],"л":[{},[0,0,0,0,1]],"р":[{},[0,0,0,1]],"ѧ":[{},[0,0,0,0,1]]},[0,1]],"р":[{"о":[{},[0,0,0,0,1]],"ѣ":[{},[0,0,0,0,1]]}],"і":[{"́":[{},[0,0,0,0,1]],"̈":[{},[0,0,0,0,1]]},[0,1]],"ї":[{},[0,0,0,1]],"ѡ":[{},[0,1]],"ꙋ":[{},[0,1,0,1]]},[0,0,2]],"р":[{"а":[{"в":[{},[0,0,0,1]],"з":[{},[0,0,0,1]]},[0,1]],"г":[{},[0,0,1,2]],"д":[{"а":[{},[0,0,0,0,1]]},[0,0,1]],"е":[{"т":[{},[0,0,0,1]]},[0,1]],"и":[{},[0,1]],"к":[{},[0,0,1]],"м":[{},[0,0,1,2]],"о":[{},[0,1]],"п":[{"а":[{},[0,0,0,0,1]]},[0,0,1]],"с":[{},[0,0,1]],"т":[{},[0,0,1]],"х":[{},[0,0,1]],"і":[{"̈":[{},[0,1,0,0,1]]}],"ї":[{},[0,1,0,1]],"ѡ":[{},[0,1,0,1]],"ѧ":[{"́":[{},[0,0,0,0,1]]},[0,1]],"ꙋ":[{},[0,1,0,2]]}],"с":[{"а":[{},[0,1]],"в":[{"ѣ":[{},[0,0,0,0,1]],"ѧ":[{},[0,0,0,0,1]]}],"е":[{},[0,1,0,2]],"и":[{},[0,1]],"к":[{"и":[{},[0,0,0,0,1]],"л":[{},[0,1]]}],"л":[{},[0,0,2]],"м":[{"о":[{},[0,0,0,0,1]]},[0,1]],"н":[{},[0,1,2]],"о":[{},[0,1,0,2]],"п":[{"а":[{},[0,1]],"и":[{},[0,1]],"о":[{},[0,0,1]],"ѣ":[{},[0,1,0,0,1]],"ꙋ":[{},[0,0,1]]}],"с":[{},[0,0,1]],"т":[{"л":[{},[0,0,1]],"о":[{},[0,0,1]],"ꙋ":[{},[0,0,0,0,1]]}],"х":[{},[0,2,1]],"ц":[{"ѣ":[{},[0,0,0,0,1]]},[0,2,1]],"ы":[{},[0,1,0,1]],"і":[{"́":[{},[0,0,0,0,1]],"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ѝ":[{},[0,1]],"ѣ":[{"́":[{},[0,0,0,0,1]],"к":[{},[0,0,0,0,1]],"н":[{},[0,0,0,1]]},[0,1]],"ѵ":[{"̏":[{"г":[{},[0,0,0,0,0,1]]},[0,0,0,0,2]]}],"ѷ":[{"г":[{},[0,0,0,0,1]]},[0,0,0,2]],"ꙋ":[{"́":[{},[0,0,0,0,1]],"д":[{},[0,0,0,1]]}]}],"т":[{"а":[{"́":[{},[0,0,0,0,1]]}],"и":[{"́":[{},[0,0,0,0,1]]}],"л":[{},[0,0,2]],"о":[{"́":[{},[0,0,0,0,1]],"л":[{},[0,0,0,1]]}],"ц":[{},[0,0,2]],"ч":[{},[0,2,1]],"ѣ":[{"́":[{},[0,0,0,0,1]]}]},[0,1]],"ф":[{"е":[{"́":[{},[0,0,0,0,1]]}],"р":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"і":[{},[0,1]]}],"х":[{"а":[{"́":[{},[0,0,0,0,1]]}],"і":[{"́":[{},[0,0,0,0,1]]}]},[0,1]],"ц":[{},[0,2]],"ч":[{"а":[{"́":[{},[0,0,0,0,1]]}],"е":[{"н":[{},[0,0,0,1]],"с":[{},[0,0,0,1]]}],"и":[{"с":[{},[0,0,0,1]]}],"р":[{"е":[{},[0,0,0,0,1]]}],"т":[{},[0,2]],"є":[{"́":[{},[0,0,0,0,1]]}],"ꙋ":[{},[0,1,0,1]]},[0,0,2]],"ш":[{"е":[{},[0,0,0,1]],"и":[{"́":[{},[0,0,0,0,1]]}],"ꙋ":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]]},[0,1]],"щ":[{"е":[{"́":[{},[0,0,0,0,1]]}],"ѧ":[{},[0,0,0,2]]},[0,1]],"ю":[{},[0,1]],"є":[{"́":[{},[0,0,0,1]]},[0,1]],"ѕ":[{},[0,1]],"і":[{"̈":[{},[0,1,0,1]]}],"ї":[{},[0,1,1]],"ѡ":[{"́":[{},[0,0,0,1]],"н":[{"а":[{},[0,0,0,0,1]]},[0,0,1]],"р":[{},[0,0,1]],"с":[{},[0,0,1]]},[0,1]],"ѧ":[{"́":[{"ж":[{},[0,0,0,1]],"з":[{},[0,0,0,0,1]]}],"з":[{},[0,0,2,1]]},[0,1]],"ѯ":[{"а":[{},[0,0,0,1]]},[0,1]],"ѳ":[{"а":[{},[0,0,0,1]]},[0,1]],"ѵ":[{"к":[{},[0,0,1]],"л":[{},[0,0,1]],"р":[{"ѡ":[{},[0,0,0,0,1]]},[0,0,1]],"с":[{},[0,0,1]]}],"ѻ":[{"р":[{},[0,0,0,1]]},[0,1]],"ꙋ":[{"́":[{"д":[{},[0,0,0,1]],"л":[{},[0,0,0,1]],"н":[{},[0,0,0,1]]},[0,1]],"̑":[{},[0,1,0,1]],"в":[{},[0,1,1]],"д":[{},[0,1,1]],"л":[{},[0,1,1]],"с":[{},[0,1]]}]},[8]],"҇":[{"а":[{},[0,0,1]],"е":[{"в":[{},[0,0,1]]}],"и":[{"́":[{},[0,0,0,1]]}],"к":[{"о":[{},[0,0,0,2]]},[0,0,2]],"л":[{"і":[{"́":[{},[0,0,0,0,1]],"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]]},[0,0,2]],"н":[{"а":[{"́":[{},[0,0,0,0,1]]}],"о":[{"́":[{},[0,0,0,0,1]],"м":[{},[0,0,0,1]]}],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ꙋ":[{},[0,0,0,1]]},[0,0,2]],"о":[{},[0,0,1]],"р":[{"д":[{"и":[{},[0,0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]}],"о":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]]},[0,0,2]],"т":[{"и":[{"́":[{},[0,0,0,0,1]]}],"о":[{"в":[{},[0,0,0,1]],"и":[{},[0,0,0,0,1]],"м":[{},[0,0,0,1]]}],"ь":[{},[0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ѡ":[{"́":[{},[0,0,0,0,1]]}]},[0,0,2]],"ч":[{"е":[{"с":[{},[0,0,0,1]]}]},[0,0,2]],"ш":[{"а":[{},[0,0,0,1]],"е":[{},[0,0,0,1]]},[0,0,2]],"ь":[{},[0,0,1]],"і":[{"̈":[{},[0,0,0,1]]}],"ї":[{},[0,0,1]],"ꙋ":[{},[0,0,1]]},[8]],"ӓ":[{".":[{},[8,8]]}],"ӥ":[{".":[{},[8,8]]}],"ӧ":[{".":[{},[8,8]]}],"ӭ":[{".":[{},[8,8]]}],"ӱ":[{".":[{},[8,8]]}],"ӹ":[{".":[{},[8,8]]}],"ᲂ":[{".":[{},[8]],"̀":[{".":[{},[8,0,8]]}],"́":[{".":[{},[8,0,8]]}],"̈":[{".":[{},[8,0,8]]}],"̑":[{".":[{},[8,0,8]]}],"у":[{".":[{},[8]],"̀":[{".":[{},[8]]}],"́":[{".":[{},[8]]}],"̈":[{".":[{},[8,0,0,8]]}],"̑":[{".":[{},[8]]}],"х":[{},[1,0,1]],"҆":[{"̀":[{".":[{},[8]]},[0,0,0,0,1]],"́":[{".":[{},[8]],"б":[{},[0,0,0,0,1]],"н":[{},[0,0,0,0,1]],"х":[{},[0,0,0,0,1]],"ч":[{},[0,0,0,0,1]]}],"̈":[{".":[{},[8]]}],"̑":[{".":[{},[8]]}],"б":[{},[0,0,0,1,2]],"в":[{},[0,0,0,1,2]],"г":[{"а":[{},[0,0,0,0,0,1]]},[0,0,0,0,2]],"з":[{},[0,0,0,1,2]],"к":[{"о":[{},[0,0,0,0,0,1]]}],"л":[{},[0,0,0,1]],"м":[{},[0,0,0,1,2]],"н":[{"е":[{},[0,0,0,0,0,1]],"и":[{},[0,0,0,0,0,1]]}],"п":[{"о":[{},[0,0,0,0,0,1]]},[0,0,0,1]],"с":[{"к":[{},[0,0,0,1]],"п":[{},[0,0,0,1]]},[0,0,0,0,2]],"т":[{"а":[{},[0,0,0,0,0,1]],"о":[{},[0,0,0,0,0,1]]},[0,0,0,0,2]]},[1]],"ⷠ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷡ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷢ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷣ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷤ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷥ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷦ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷧ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷨ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷩ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷪ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷫ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷬ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷭ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷮ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷯ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷰ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷱ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷲ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷳ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷼ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷽ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷾ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷿ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙼":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙽":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}]},[0,8]],"҆":[{"̀":[{".":[{},[8,0,0,8]]}],"́":[{".":[{},[8,0,0,8]]}],"̈":[{".":[{},[8,0,0,8]]}],"̑":[{".":[{},[8,0,0,8]]}]}],"ⷠ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷡ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷢ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷣ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷤ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷥ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷦ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷧ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷨ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷩ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷪ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷫ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷬ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷭ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷮ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷯ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷰ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷱ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷲ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷳ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷼ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷽ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷾ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷿ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙼":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙽":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}]}],"ᲆ":[{},[8]],"ⷠ":[{},[8]],"ⷡ":[{},[8]],"ⷢ":[{"і":[{"̈":[{},[0,0,0,1]]}],"ї":[{},[0,0,1]],"҇":[{},[0,0,2]]},[8]],"ⷣ":[{"б":[{"н":[{"о":[{},[0,0,0,0,1]]}]},[0,0,2]],"н":[{"а":[{},[0,0,0,1]],"е":[{},[0,0,0,2]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]]},[0,0,2]],"т":[{"е":[{"́":[{},[0,0,0,0,1]]}],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]]}],"ц":[{"е":[{},[0,0,0,2]]},[0,0,2]],"ч":[{},[0,0,2]]},[8]],"ⷤ":[{},[8]],"ⷥ":[{},[8]],"ⷦ":[{},[8]],"ⷧ":[{"҇":[{},[0,0,2]]},[8]],"ⷨ":[{},[8]],"ⷩ":[{},[8]],"ⷪ":[{"҇":[{},[0,0,2]]},[8]],"ⷫ":[{},[8]],"ⷬ":[{},[8]],"ⷭ":[{"҇":[{},[0,0,2]]},[8]],"ⷮ":[{},[8]],"ⷯ":[{},[8]],"ⷰ":[{},[8]],"ⷱ":[{},[8]],"ⷲ":[{},[8]],"ⷳ":[{},[8]],"ⷴ":[{},[8]],"ⷵ":[{},[8]],"ⷶ":[{},[8]],"ⷷ":[{},[8]],"ⷸ":[{},[8]],"ⷹ":[{},[8]],"ⷺ":[{},[8]],"ⷻ":[{},[8]],"ⷼ":[{},[8]],"ⷽ":[{},[8]],"ⷾ":[{},[8]],"ⷿ":[{},[8]],"ⸯ":[{},[8]],"ꙋ":[{".":[{},[8]],"̀":[{".":[{},[8,0,8]]},[2,2]],"́":[{".":[{},[8,0,8]],"б":[{"о":[{},[0,0,0,0,1]]}],"в":[{},[2]],"г":[{"ꙋ":[{},[0,0,0,0,1]]}],"е":[{},[2]],"ж":[{"і":[{"̈":[{},[0,0,0,0,0,1]]}],"ї":[{},[0,0,0,0,1]]},[2]],"з":[{"ъ":[{},[1]]}],"к":[{"о":[{},[0,0,0,0,1]]}],"л":[{"і":[{"̈":[{},[1]]}],"ї":[{},[1]],"ꙋ":[{},[1]]}],"м":[{"н":[{},[1]],"і":[{"̈":[{},[1,0,0,0,0,1]]}],"ї":[{},[1,0,0,0,1]]}],"н":[{"і":[{"̈":[{},[1]]}],"ї":[{},[1]],"ѧ":[{},[0,0,0,0,1]]}],"п":[{},[2]],"р":[{"е":[{},[0,0,0,0,1]],"ж":[{},[0,0,0,0,1]],"т":[{},[0,0,0,1]]}],"с":[{"с":[{},[0,0,0,1]]}],"ф":[{},[0,0,0,2]],"х":[{},[2]],"ц":[{},[0,0,1]],"ч":[{"а":[{},[0,0,0,0,1]],"е":[{},[0,0,0,0,1]],"и":[{},[1]]}],"ш":[{"е":[{},[0,0,0,0,1]]}],"щ":[{"ꙋ":[{},[0,0,0,0,1]]}],"ю":[{},[2]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ѧ":[{},[2]],"ѳ":[{},[2]]},[0,2]],"̈":[{".":[{},[8,0,8]]}],"̑":[{".":[{},[8,0,8]],"б":[{},[0,0,1]],"в":[{},[0,0,2,1]],"д":[{"и":[{},[1]]}],"к":[{},[0,0,1]],"м":[{"н":[{},[1]]}],"н":[{},[0,0,2,1]],"с":[{},[0,0,2,1]]},[0,2]],"а":[{"́":[{},[0,0,0,1]]},[2,1]],"б":[{"а":[{"́":[{},[0,0,0,0,1]]}],"и":[{"н":[{},[0,0,0,1]]}],"л":[{"ю":[{},[0,0,1]]}],"н":[{"ы":[{},[0,0,0,0,1]],"ꙋ":[{},[0,0,0,0,1]]},[0,0,1]],"о":[{"́":[{},[0,0,0,0,1]]}],"р":[{},[0,1]],"ы":[{},[2]],"і":[{},[1]],"ѡ":[{},[2]]}],"в":[{"е":[{},[1,1]],"и":[{},[2,1]],"ш":[{"е":[{},[0,0,0,0,1]]}],"ы":[{},[0,1]],"і":[{},[2]],"ѣ":[{},[1,1]],"ѧ":[{},[1,1]]}],"г":[{"а":[{"́":[{},[0,0,0,0,1]],"с":[{},[1]]}],"о":[{"т":[{},[1]]}]},[0,1,2]],"д":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,1]],"е":[{"н":[{},[0,0,0,0,1]]},[0,1]],"н":[{},[0,2,1]],"о":[{"б":[{},[1]],"л":[{},[0,0,0,1]]},[0,1]],"р":[{"о":[{},[0,0,0,0,1]]},[0,1,2]],"ы":[{},[0,1]],"є":[{},[1,1]],"і":[{"̈":[{},[0,0,0,0,1]]},[0,1]],"ї":[{},[0,1,0,1]],"ѣ":[{"в":[{},[0,0,0,1]]},[0,1]],"ꙋ":[{},[0,1,0,2]]}],"е":[{"́":[{},[0,0,0,1]],"м":[{"о":[{},[0,0,0,0,1]]}],"т":[{"е":[{},[0,0,0,0,1]]}]},[2,1]],"ж":[{},[0,1,2]],"з":[{"д":[{},[0,2,1]],"и":[{},[0,1]],"н":[{},[0,2,1]],"і":[{"́":[{},[0,0,0,0,1]]}]}],"и":[{"́":[{},[0,0,0,2]],"̆":[{},[0,0,0,1]],"м":[{},[0,0,2]]},[0,1]],"й":[{},[0,2,1]],"к":[{"а":[{"з":[{"а":[{"́":[{},[0,0,0,7]]}]},[1]]},[0,0,0,2]],"л":[{"о":[{},[1]],"ѡ":[{},[1]]}],"о":[{"в":[{},[0,0,0,1]],"н":[{},[0,0,0,1]],"с":[{},[0,0,0,1]]},[2]],"р":[{"а":[{},[0,0,0,0,1]]},[1]],"і":[{"́":[{},[0,0,0,0,1]]}],"ꙋ":[{},[0,0,0,2]]},[0,1,2]],"л":[{"в":[{},[0,0,1]],"е":[{"́":[{},[0,0,0,0,1]]},[0,1]],"і":[{"̈":[{},[1,1,0,0,1]]}],"ї":[{},[1,1,0,1]]}],"м":[{"а":[{},[1]],"е":[{"в":[{},[1]]}],"и":[{},[2]],"л":[{},[2,2,1]],"н":[{},[2,0,2]],"о":[{},[1,0,0,2]],"ъ":[{},[1]],"ы":[{".":[{},[1]]}],"і":[{"́":[{},[0,0,0,0,1]]},[2]],"ѝ":[{},[2]],"ѡ":[{},[1]],"ѣ":[{".":[{},[1]],"̑":[{},[1,0,0,0,1]],"в":[{},[1]]}],"ѧ":[{},[2,0,0,2]],"ꙋ":[{},[1]]},[0,1]],"н":[{"а":[{},[0,0,0,2]],"о":[{},[0,0,0,2]]},[0,1]],"п":[{"а":[{"́":[{},[0,0,0,0,1]]},[0,0,0,2]],"о":[{},[0,0,0,1]]},[0,1,2]],"р":[{"в":[{},[0,0,1]],"г":[{},[0,0,1]],"е":[{},[0,1,0,1]],"и":[{},[0,1,0,2]],"о":[{"в":[{},[0,0,0,0,1]]},[0,1,0,2]],"т":[{},[0,0,1]]}],"с":[{"а":[{},[2,0,0,1]],"о":[{"́":[{},[1]],"м":[{},[0,0,0,1]]}],"т":[{"о":[{},[0,0,0,0,1]],"і":[{"̈":[{},[1]]}],"ї":[{},[1]],"ѡ":[{},[0,0,0,0,1]]}],"ы":[{},[1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]]},[0,1,2]],"т":[{"е":[{},[2,1]],"и":[{"̀":[{},[2]]},[0,1]],"р":[{"о":[{},[0,1]],"ꙋ":[{},[0,1,0,0,1]]},[1]],"с":[{},[2]],"ъ":[{},[2]],"ь":[{},[2]],"і":[{"̈":[{},[0,0,0,0,1]]},[2,1]],"ї":[{},[2,1,0,1]],"ѝ":[{},[2,1]]}],"ф":[{},[0,1]],"х":[{"а":[{"́":[{},[0,0,0,0,1]]},[1,1]],"н":[{},[0,0,1]],"о":[{},[0,1]]}],"ц":[{"ѣ":[{"л":[{},[0,0,0,1]]}]},[0,1]],"ч":[{"е":[{"н":[{},[0,0,0,1]]}],"є":[{"́":[{},[0,0,0,0,1]]}],"ꙋ":[{},[0,0,0,2]]},[0,1]],"ш":[{"а":[{},[0,0,0,2]],"е":[{"т":[{},[0,0,0,1]]}],"и":[{},[2]],"л":[{},[0,2,1]],"ꙋ":[{},[0,0,0,2]]},[0,1]],"щ":[{"а":[{"́":[{},[0,0,0,0,1]]}],"е":[{"́":[{},[0,0,0,0,1]]}],"є":[{},[0,0,0,1]],"і":[{"̈":[{},[0,0,0,0,1]]}],"ї":[{},[0,0,0,1]],"ѧ":[{},[0,0,0,1]],"ꙋ":[{},[0,0,0,1]]},[0,1,2]],"ю":[{},[2,1]],"і":[{"́":[{},[0,0,0,2]]},[0,1]],"ѧ":[{"́":[{"м":[{},[0,0,0,1]]}]},[0,1]],"҆":[{"̀":[{".":[{},[8,0,0,8]]}],"́":[{".":[{},[8,0,0,8]]}],"̈":[{".":[{},[8,0,0,8]]}],"̑":[{".":[{},[8,0,0,8]]}]}],"ⷠ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷡ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷢ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷣ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷤ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷥ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷦ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷧ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]},[2,2]],"ⷨ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷩ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]},[2,2]],"ⷪ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷫ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷬ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷭ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷮ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷯ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]},[2,2]],"ⷰ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷱ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷲ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷳ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷼ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷽ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷾ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷿ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙼":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙽":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}]}],"ꙍ":[{".":[{},[8]],"̀":[{".":[{},[8,0,8]]}],"́":[{".":[{},[8,0,8]]}],"̈":[{".":[{},[8,0,8]]}],"̑":[{".":[{},[8,0,8]]}],"҆":[{"̀":[{".":[{},[8,0,0,8]]}],"́":[{".":[{},[8,0,0,8]]}],"̈":[{".":[{},[8,0,0,8]]}],"̑":[{".":[{},[8,0,0,8]],"̀":[{".":[{},[8,0,0,0,8]]}],"́":[{".":[{},[8,0,0,0,8]]}],"̈":[{".":[{},[8,0,0,0,8]]}],"̑":[{".":[{},[8,0,0,0,8]]}],"л":[{},[0,0,0,1]],"҆":[{"̀":[{".":[{},[8,0,0,0,0,8]]}],"́":[{".":[{},[8,0,0,0,0,8]]}],"̈":[{".":[{},[8,0,0,0,0,8]]}],"̑":[{".":[{},[8,0,0,0,0,8]]}]}],"ⷠ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷡ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷢ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷣ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷤ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷥ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷦ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷧ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷨ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷩ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷪ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷫ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷬ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷭ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷮ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷯ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷰ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷱ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷲ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷳ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷼ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷽ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷾ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷿ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙼":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙽":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}]}]}],"ⷠ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷡ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷢ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷣ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷤ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷥ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷦ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷧ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷨ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷩ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷪ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷫ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷬ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷭ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷮ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷯ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷰ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷱ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷲ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷳ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷼ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷽ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷾ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷿ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙼":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙽":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}]}],"ꙗ":[{".":[{},[8]],"̀":[{".":[{},[8,0,8]]}],"́":[{".":[{},[8,0,8]]}],"̈":[{".":[{},[8,0,8]]}],"̑":[{".":[{},[8,0,8]]}],"в":[{"и":[{"́":[{},[0,0,0,0,1]]}]},[0,1]],"҆":[{"̀":[{".":[{},[8,0,0,8]]},[0,0,0,1]],"́":[{".":[{},[8,0,0,8]],"м":[{},[0,0,0,1]],"р":[{},[0,0,0,1]]}],"̈":[{".":[{},[8,0,0,8]]}],"̑":[{".":[{},[8,0,0,8]]}],"з":[{},[0,0,1,2]],"п":[{},[0,0,1]],"р":[{},[0,0,1]],"с":[{},[0,0,1,2]]}],"ⷠ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷡ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷢ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷣ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷤ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷥ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷦ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷧ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷨ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷩ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷪ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷫ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷬ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷭ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷮ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷯ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷰ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷱ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷲ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷳ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷼ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷽ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷾ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ⷿ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙴ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙵ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙶ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙷ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙸ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙹ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙺ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"ꙻ":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙼":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}],"꙽":[{".":[{},[8]],"҇":[{".":[{},[8]]}]}]}],"ꙴ":[{},[8]],"ꙵ":[{},[8]],"ꙶ":[{},[8]],"ꙷ":[{},[8]],"ꙸ":[{},[8]],"ꙹ":[{},[8]],"ꙺ":[{},[8]],"ꙻ":[{},[8]],"꙼":[{},[8]],"꙽":[{},[8]],"꙾":[{},[8,8]],"ꙿ":[{},[8,8]],"︦":[{},[8,8]],"︮":[{},[8,8]],"︯":[{},[8,8]]}';
  var hyphenation = [
    "є҆ѵел-пі́стъ",
    "жа́-тва",
    "жа́-твꙋ",
    "жа́-твы",
    "кел-сі́й",
    "кел-сі́й",
    "кле-о-па́-тра",
    "ло-ви́-тва",
    "ло-ви́-твꙋ",
    "ло-ви́-твы",
    "мї-ли́с-сенъ",
    "мї-ли́с-сенъ",
    "ѿ-нн҃ѣ",
    "па́-сцѣ",
    "пре-вы́-спрєн-нѧѧ",
    "рас-пнѝ",
    "сїл-ве́-стрꙋ",
    "сїл-ве́-стрꙋ",
    "ѹ҆-сте́нъ",
    "ᲂу҆-сте́нъ",
    ""
  ];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
