(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsCy = factory();
  }
})(this, function () {
  var patterns =
    '{".":[{"a":[{"c":[{"t":[{},[0,0,4]]}],"d":[{"a":[{"e":[{},[0,0,3]]}],"d":[{"a":[{"s":[{},[0,0,0,5]]}],"o":[{},[0,0,0,3]]}],"e":[{"g":[{},[0,0,4]],"n":[{"y":[{},[0,0,4]]}]}],"f":[{"e":[{"r":[{},[0,0,4]]}]}],"l":[{},[0,0,0,4]],"r":[{},[0,0,3]]}],"e":[{"a":[{},[0,0,3]]}],"f":[{"a":[{"n":[{},[0,0,4]]},[0,0,3]],"f":[{},[0,0,0,3]],"l":[{"u":[{},[0,0,0,4]],"w":[{},[0,0,5]]}]}],"g":[{"w":[{},[0,0,3]]}],"m":[{"l":[{"e":[{},[0,0,4]]}],"s":[{},[0,0,3]]}],"n":[{"a":[{"d":[{},[0,0,5]]}],"g":[{"h":[{"e":[{"n":[{"a":[{},[0,0,0,0,0,0,5]],"r":[{},[0,0,0,0,0,0,4]]}]}]}]},[0,0,4,3]],"o":[{},[0,0,2]],"r":[{"h":[{"y":[{"d":[{},[0,0,0,0,0,0,4]]}]}]}],"s":[{"o":[{"d":[{"d":[{"e":[{},[0,0,0,0,0,0,4]]}]}]}]}],"t":[{"e":[{},[0,0,5]]}],"w":[{"e":[{},[0,0,5]]},[0,0,3,4]]}],"r":[{"b":[{"o":[{},[0,0,4]]}],"c":[{"h":[{"a":[{},[0,0,4]]}]}],"d":[{"d":[{"e":[{"l":[{},[0,0,5]]}]}]}],"e":[{"d":[{},[0,0,0,0,4]],"n":[{},[0,0,4]]}],"f":[{"f":[{},[0,0,0,0,4]]}],"g":[{"e":[{},[0,0,4]]}],"i":[{},[0,0,2]],"w":[{"e":[{"d":[{},[0,0,4]]},[0,0,3]]}]}],"s":[{"g":[{},[0,0,3]],"t":[{},[0,0,3]]}],"w":[{"e":[{},[0,0,4]]}]}],"b":[{"a":[{"n":[{"a":[{"s":[{},[0,0,0,4]]}],"e":[{"d":[{},[0,0,0,4]]}]}],"r":[{"a":[{"t":[{},[0,0,0,0,5]]}]}]}],"e":[{"l":[{"y":[{},[0,0,0,3]]}],"t":[{"a":[{},[0,0,3,4]]}]}],"l":[{"e":[{},[0,0,4]]},[0,0,2]],"r":[{"e":[{},[0,0,4]]},[0,0,2]]}],"c":[{"a":[{"l":[{"l":[{},[0,0,0,0,5]]}]}],"e":[{"n":[{},[0,0,4]]}],"h":[{"e":[{},[0,0,4]],"l":[{},[0,0,4]],"o":[{"l":[{"l":[{"a":[{"d":[{},[0,0,0,0,0,0,0,4]]}]}]}]},[0,0,4]],"r":[{},[0,0,0,2]],"w":[{"y":[{"n":[{},[0,0,0,0,0,5]]}]}]},[0,0,2]],"l":[{},[0,0,2]],"r":[{},[0,0,2]],"y":[{"w":[{"e":[{},[0,0,5]]}]}]}],"d":[{"a":[{"d":[{"r":[{},[0,0,0,3]]}]}],"d":[{"e":[{"f":[{"n":[{},[0,0,0,0,0,5]]}]}],"i":[{"a":[{"n":[{},[0,0,0,5]]}],"d":[{"d":[{},[0,0,0,5]]}],"e":[{},[0,0,0,3]],"l":[{"l":[{"a":[{"d":[{"a":[{"s":[{},[0,0,0,0,0,5]]}],"e":[{},[0,0,0,0,0,5]],"o":[{},[0,0,0,0,0,5]],"w":[{},[0,0,0,0,0,5]]}]}]}]}],"n":[{},[0,0,0,0,4]],"w":[{"e":[{"d":[{"d":[{"a":[{"s":[{},[0,0,0,0,5]]}],"e":[{},[0,0,0,0,5]],"o":[{},[0,0,0,0,5]],"w":[{},[0,0,0,0,5]]}]}]}]}]},[0,0,4]],"w":[{"l":[{},[0,0,0,0,3]]}],"y":[{"f":[{"a":[{"l":[{"a":[{},[0,0,0,5]],"e":[{},[0,0,0,5]],"o":[{},[0,0,0,5]],"w":[{},[0,0,0,5]]}]}]}],"l":[{"a":[{"d":[{},[0,0,0,0,0,0,4]]}]}]}]},[0,0,2]],"e":[{"a":[{"l":[{"l":[{"a":[{"d":[{},[0,0,0,0,0,0,0,4]]}]}]}]}],"f":[{"n":[{},[0,0,0,0,3]]}],"r":[{"w":[{},[0,0,0,4]]}],"t":[{"h":[{},[0,0,0,0,5]]}]}],"i":[{"a":[{"n":[{},[0,0,5]]}],"d":[{"d":[{},[0,0,5]]}],"e":[{},[0,0,3]],"g":[{"y":[{},[0,0,3]]}],"l":[{"l":[{"a":[{"d":[{"a":[{"s":[{},[0,0,0,0,5]]}],"e":[{},[0,0,0,0,5]],"o":[{},[0,0,0,0,5]],"w":[{},[0,0,0,0,5]]}]}]}]}],"n":[{},[0,0,0,4]],"w":[{"e":[{"d":[{"d":[{"a":[{"s":[{},[0,0,0,5]]}],"e":[{},[0,0,0,5]],"o":[{},[0,0,0,5]],"w":[{},[0,0,0,5]]}]}]}]}]}],"r":[{"e":[{},[0,0,4]]}],"w":[{"l":[{},[0,0,0,3]]}],"y":[{"f":[{"a":[{"l":[{"a":[{},[0,0,5]],"e":[{},[0,0,5]],"o":[{},[0,0,5]],"w":[{},[0,0,5]]}]}],"o":[{},[0,0,5]]}],"l":[{"a":[{"d":[{},[0,0,0,0,0,4]]}]}],"r":[{"c":[{"h":[{"a":[{"f":[{"a":[{"d":[{},[0,0,0,0,0,0,0,0,0,4]]}]}]}]}]}]}]}]}],"e":[{"b":[{"r":[{"w":[{},[0,0,4]]},[0,0,3]]},[0,0,2]],"c":[{},[0,0,2]],"d":[{"l":[{},[0,0,0,4]],"r":[{},[0,0,0,4]]},[0,0,2]],"g":[{"n":[{},[0,0,0,3]]},[0,0,2]],"l":[{"o":[{"r":[{},[0,0,4]]}],"s":[{},[0,0,0,4]]}],"n":[{"a":[{"s":[{},[0,0,3]]}],"y":[{"n":[{"a":[{},[0,0,0,5]]}]}]}],"r":[{"f":[{"y":[{"n":[{"a":[{},[0,0,0,0,5]]}]}]}],"n":[{},[0,0,0,4]]},[0,0,2]],"w":[{"y":[{"n":[{"a":[{},[0,0,0,5]]}]}]}]}],"f":[{"a":[{"d":[{"d":[{},[0,0,0,0,3]]}],"l":[{"c":[{"h":[{},[0,0,0,0,0,5]]}]}],"n":[{"a":[{},[0,0,0,3]]}],"r":[{"n":[{"a":[{"i":[{"s":[{".":[{},[0,0,0,0,4]]}]}]}]}]}],"s":[{"g":[{"e":[{},[0,0,0,5]]},[0,0,0,0,4]]}]}],"f":[{"a":[{},[0,0,4]],"e":[{"r":[{"a":[{"s":[{},[0,0,0,5]]},[0,0,0,0,4]],"e":[{},[0,0,0,0,4]]}]}],"o":[{"r":[{"t":[{},[0,0,0,0,5]]}]},[0,0,4]],"y":[{"d":[{"d":[{},[0,0,0,0,0,5]]}],"n":[{"a":[{"d":[{},[0,0,0,0,0,0,4]],"s":[{},[0,0,0,5]]}]}]},[0,0,4]]},[0,0,2]],"i":[{"g":[{"n":[{},[0,0,0,0,5]]}],"s":[{"g":[{},[0,0,0,5]]}]}],"o":[{"n":[{"e":[{"d":[{"i":[{},[0,0,0,4]]}]}]}],"r":[{"d":[{"d":[{},[0,0,0,0,0,4]]}],"o":[{},[0,0,0,4]],"w":[{},[0,0,0,4]],"y":[{},[0,0,0,4]]}]}],"r":[{"i":[{},[0,0,4]],"y":[{"n":[{"d":[{},[0,0,0,0,4]]}]}]}],"y":[{"d":[{"d":[{},[0,0,0,0,5]]}],"n":[{"a":[{"s":[{},[0,0,0,5]]}]}],"w":[{},[0,0,0,3]]}]}],"g":[{"a":[{"l":[{"e":[{},[0,0,0,3]],"o":[{},[0,0,0,5]]}],"n":[{"l":[{},[0,0,0,3]],"o":[{"l":[{"a":[{"s":[{},[0,0,0,5]]}],"e":[{},[0,0,0,5]]}]}]}]}],"e":[{"n":[{"a":[{"s":[{},[0,0,0,5]]}]}],"r":[{"b":[{},[0,0,0,5]]}],"u":[{"d":[{},[0,0,0,5]]}]}],"h":[{"w":[{"y":[{"n":[{"a":[{},[0,0,0,0,5]]}]}]}]}],"l":[{"a":[{"f":[{"y":[{},[0,0,0,0,5]]}]}],"e":[{"i":[{"d":[{},[0,0,0,0,0,4]]}]},[0,0,4]],"y":[{"n":[{},[0,0,0,0,3]],"w":[{"a":[{"d":[{},[0,0,0,0,0,0,4]]}]}]},[0,0,4]]},[0,0,2]],"o":[{"d":[{"y":[{},[0,0,0,3]]}],"f":[{"a":[{},[0,0,0,3]],"f":[{"a":[{"d":[{"w":[{"y":[{},[0,0,0,0,0,0,4]]}]}]}]}]}],"l":[{"l":[{"a":[{"d":[{},[0,0,0,0,0,0,4]]}]}]}]}],"r":[{"y":[{"n":[{"h":[{"o":[{"e":[{"m":[{},[0,0,0,0,0,0,4]]}],"w":[{"n":[{},[0,0,0,0,0,0,4]]}]}]}]}]}]},[0,0,2]],"w":[{"e":[{"d":[{"d":[{"e":[{"r":[{},[0,0,0,0,0,4]]}]}]}]}]}],"y":[{"d":[{},[0,0,0,3]],"f":[{"a":[{"l":[{},[0,0,0,5]],"r":[{"c":[{},[0,0,0,5]]}]}],"e":[{"r":[{"b":[{"y":[{"n":[{"a":[{},[0,0,0,0,0,5]],"i":[{},[0,0,0,0,0,5]],"n":[{},[0,0,0,0,0,5]]}]}]}]}]}],"f":[{"e":[{"l":[{},[0,0,0,0,0,0,5]]}]}]}],"m":[{"o":[{},[0,0,0,3]]}],"n":[{"a":[{},[0,0,0,3]],"e":[{"f":[{},[0,0,0,0,0,5]]},[0,0,0,5]]}],"t":[{"h":[{"r":[{"u":[{},[0,0,0,0,5]]}]}]}],"w":[{"e":[{},[0,0,5]]}]}]}],"h":[{"a":[{"c":[{},[0,0,0,4]],"d":[{"l":[{},[0,0,0,0,4]]}],"f":[{"a":[{},[0,0,0,4]],"l":[{},[0,0,0,3,4]]}],"g":[{"r":[{},[0,0,0,0,3]]}],"m":[{"l":[{"e":[{},[0,0,0,4]]}]}],"n":[{"a":[{"s":[{},[0,0,0,5]]}],"g":[{"h":[{"e":[{"n":[{"a":[{},[0,0,0,0,0,0,0,5]]}]}]}]},[0,0,0,4,5]],"t":[{},[0,0,0,5]],"w":[{},[0,0,0,5,4]]}],"r":[{"d":[{"d":[{"e":[{"l":[{},[0,0,0,5]]}]}]}],"e":[{"d":[{},[0,0,0,0,0,4]],"n":[{},[0,0,0,4]]}],"n":[{"a":[{},[0,0,0,0,4]]},[0,0,0,3]],"w":[{},[0,0,0,3]]}],"s":[{"g":[{},[0,0,0,3]]}],"w":[{},[0,0,0,4]]}],"e":[{"b":[{},[0,0,0,2]],"c":[{},[0,0,0,2]],"d":[{"l":[{},[0,0,0,0,4]]},[0,0,0,2]],"o":[{},[0,0,4]],"r":[{"f":[{"y":[{"n":[{"a":[{},[0,0,0,0,0,5]]}]}]}],"w":[{},[0,0,0,4]]}],"u":[{"r":[{},[0,0,0,0,5]]}]}],"o":[{"f":[{"r":[{},[0,0,0,4,3]]}],"l":[{"y":[{"n":[{},[0,0,0,0,0,5]]},[0,0,0,4]]}]}],"w":[{"n":[{},[0,0,0,4]],"y":[{"l":[{"u":[{},[0,0,0,0,5]]}],"n":[{"a":[{},[0,0,0,0,5]]}],"r":[{},[0,0,0,0,5]],"t":[{"h":[{"a":[{"u":[{},[0,0,0,0,0,4]]}]}]}]}]},[0,0,2]],"y":[{"d":[{"r":[{},[0,0,0,0,4]]},[0,0,0,4]],"f":[{"f":[{},[0,0,3]],"o":[{"d":[{},[0,0,0,4]]}],"r":[{"y":[{},[0,0,5]]}]}],"g":[{},[0,0,3]],"l":[{},[0,0,0,4]],"m":[{"e":[{},[0,0,0,3]],"u":[{},[0,0,0,4]],"y":[{"n":[{"a":[{},[0,0,0,0,5]]}],"s":[{"g":[{},[0,0,0,0,0,0,4]]}]},[0,0,0,4]]}],"n":[{"o":[{},[0,0,3]]},[0,0,0,2]],"r":[{"w":[{},[0,0,3]]}]}]}],"i":[{"a":[{"c":[{"h":[{"a":[{"s":[{},[0,0,0,5]]}],"e":[{},[0,0,0,5]],"w":[{},[0,0,0,5]]},[0,0,0,0,4]]}]}],"r":[{},[0,0,3]]}],"l":[{"a":[{"d":[{"r":[{},[0,0,0,0,3]]}]}],"e":[{"d":[{"r":[{"e":[{},[0,0,0,0,4]]}]}],"n":[{"a":[{},[0,0,3]]}],"o":[{},[0,0,3]],"s":[{"t":[{},[0,0,0,0,4]]}]}],"i":[{"n":[{},[0,0,0,3]]}],"l":[{"a":[{"w":[{"e":[{},[0,0,0,0,4]]}]}],"e":[{"n":[{"a":[{},[0,0,0,5]]}]}],"o":[{"n":[{"a":[{"s":[{},[0,0,0,5]]}],"e":[{},[0,0,0,0,4]]}]}],"y":[{"t":[{"h":[{"r":[{},[0,0,0,0,0,0,5]]}]}]}]},[0,0,2]],"o":[{"n":[{"a":[{},[0,0,3]],"e":[{},[0,0,0,4]]}]}],"u":[{"d":[{"d":[{},[0,0,0,0,3]]}]}],"y":[{"g":[{"r":[{},[0,0,0,0,3]]}],"n":[{"a":[{},[0,0,0,3]]}],"t":[{"h":[{"r":[{},[0,0,0,0,0,5]]}]}]}]}],"m":[{"a":[{"n":[{"e":[{"d":[{},[0,0,0,4]]}],"t":[{"a":[{},[0,0,0,0,4]]}]}],"r":[{"f":[{},[0,0,0,4]]}]}],"i":[{"g":[{"n":[{},[0,0,0,0,5]]}],"s":[{"g":[{},[0,0,0,5]]}]}],"o":[{"l":[{},[0,0,0,3]],"n":[{"e":[{"d":[{"i":[{},[0,0,0,4]]}]}]}]}],"w":[{"y":[{"t":[{"h":[{"a":[{},[0,0,0,0,0,5]],"w":[{},[0,0,0,0,0,5]]}]}]}]}],"y":[{"n":[{"a":[{"s":[{},[0,0,0,5]]}]}]}]}],"n":[{"e":[{"i":[{"l":[{"l":[{"t":[{"u":[{"a":[{"d":[{},[0,0,0,0,0,0,0,4]]}]}]}]}]}],"s":[{"i":[{},[0,0,0,0,4]]}]}],"n":[{"a":[{},[0,0,0,3]]}],"r":[{"w":[{},[0,0,0,4]]}]}],"g":[{"e":[{"n":[{"a":[{"s":[{},[0,0,0,0,5]]}]}]}],"h":[{"y":[{"t":[{"u":[{},[0,0,0,0,0,5]]}],"w":[{"a":[{},[0,0,0,0,5]]}]}]}],"l":[{},[0,0,0,4]],"w":[{},[0,0,4]],"y":[{},[0,0,0,4]]},[0,0,2]],"i":[{"a":[{"n":[{},[0,0,5]]}],"e":[{},[0,0,3]],"f":[{"e":[{"i":[{},[0,0,5]]}]}],"g":[{"a":[{},[0,0,5]],"e":[{},[0,0,3]],"w":[{},[0,0,3]],"y":[{},[0,0,3]]},[0,0,0,2]],"r":[{"e":[{},[0,0,5]]}],"w":[{"a":[{},[0,0,3]],"l":[{},[0,0,0,0,5]]}]}],"o":[{"e":[{},[0,0,4]],"w":[{},[0,0,4]]}],"w":[{"l":[{},[0,0,0,3]],"y":[{"n":[{},[0,0,0,0,3]]}]}]}],"o":[{"d":[{"d":[{"e":[{"f":[{"a":[{"d":[{},[0,0,0,0,0,0,0,4]]}]}]}]}],"l":[{},[0,0,4]]}],"f":[{"a":[{},[0,0,3]],"o":[{},[0,0,4]],"u":[{},[0,0,4]]}],"g":[{"l":[{},[0,0,4,4]]},[0,0,2]],"l":[{"l":[{},[0,0,0,3]],"y":[{"g":[{"a":[{},[0,0,5]],"e":[{},[0,0,5]]}],"n":[{},[0,0,0,0,3]]}]},[0,0,2]],"r":[{"d":[{"d":[{"a":[{"d":[{},[0,0,0,0,0,0,4]]}]}]}]},[0,0,1]]}],"p":[{"l":[{"a":[{},[0,0,4]],"e":[{},[0,0,4]]}]}],"r":[{"a":[{"d":[{"r":[{},[0,0,0,3]]}],"g":[{"l":[{},[0,0,0,3]]}],"n":[{"a":[{},[0,0,3]],"d":[{},[0,0,0,5,4]]}]}],"e":[{"w":[{},[0,0,0,3]]}],"h":[{"i":[{"a":[{},[0,0,0,5]]}]}],"i":[{"a":[{},[0,0,0,4]],"n":[{"t":[{},[0,0,0,4]]}]}],"u":[{"g":[{"l":[{},[0,0,0,4,5]]}]}],"y":[{"n":[{"a":[{},[0,0,3,4]],"e":[{},[0,0,0,4]]}]}]}],"s":[{"a":[{"s":[{},[0,0,0,4]]}],"e":[{"s":[{},[0,0,0,4]]}],"t":[{},[0,0,2]],"y":[{"c":[{"h":[{"e":[{},[0,0,0,0,5]]},[0,0,0,0,3]]}]}]}],"t":[{"a":[{"l":[{"a":[{"d":[{},[0,0,0,0,0,4]]}]}],"n":[{"e":[{},[0,0,0,4]]}]}],"h":[{"a":[{"g":[{},[0,0,0,0,5]]}],"i":[{},[0,0,4]],"o":[{"e":[{},[0,0,0,5]]}],"r":[{"a":[{"d":[{},[0,0,0,0,0,4]]}]},[0,0,4,4]],"u":[{},[0,0,4]]},[0,0,2]],"o":[{"r":[{"a":[{"d":[{},[0,0,0,0,0,4]]}]}]}],"r":[{"a":[{"d":[{},[0,0,0,0,4]]},[0,0,4]],"o":[{"e":[{"n":[{},[0,0,0,4]]}]},[0,0,4]]},[0,0,2]]}],"u":[{"c":[{"h":[{},[0,0,0,2]]}]}],"w":[{"a":[{"r":[{"a":[{"s":[{},[0,0,5,4]]}],"e":[{"s":[{},[0,0,0,4]]}]}]}],"e":[{"d":[{"d":[{"e":[{"r":[{},[0,0,0,0,4]]}]}]}],"i":[{"t":[{"h":[{"i":[{"a":[{"d":[{},[0,0,0,0,0,0,0,0,4]]}]}]}]}]}],"l":[{"a":[{"d":[{},[0,0,0,0,0,4]]}]}],"n":[{"a":[{},[0,0,0,3]]}],"s":[{"t":[{},[0,0,0,0,4]]}]}],"n":[{"i":[{"o":[{},[0,0,4]]}]}],"o":[{"b":[{"r":[{},[0,0,0,0,3]]}]}],"y":[{"b":[{"r":[{},[0,0,0,0,4]],"y":[{},[0,0,3]]}],"r":[{},[0,0,4]],"w":[{},[0,0,0,3]]}]}],"y":[{"d":[{"d":[{},[0,0,0,4]],"l":[{},[0,0,4]]}],"f":[{"a":[{"r":[{},[0,0,4]]}]}],"m":[{"a":[{"d":[{"w":[{},[0,0,4]]}]}],"e":[{},[0,0,3]],"y":[{"l":[{},[0,0,4]],"s":[{"g":[{},[0,0,0,0,0,4]]}]}]}],"n":[{"d":[{},[0,0,4]]}],"s":[{"b":[{},[0,0,4]],"g":[{},[0,0,0,4]],"i":[{},[0,0,4]],"n":[{},[0,0,4]],"t":[{},[0,0,4]]}]}]}],"a":[{"a":[{"r":[{},[0,3,0,2]]},[0,1]],"b":[{"a":[{"d":[{},[0,0,4]]},[0,0,3]],"e":[{"d":[{},[0,0,3]],"l":[{},[0,0,3]]}],"i":[{"n":[{"e":[{},[0,0,5]]}]}],"l":[{},[0,0,0,1]],"o":[{"r":[{},[0,0,4]]},[0,2,1]],"r":[{},[0,0,0,3]],"u":[{".":[{},[0,4]],"m":[{},[0,4]]},[0,1]]},[2]],"c":[{"a":[{"d":[{"e":[{},[0,0,5]]}],"n":[{},[0,0,0,0,3]],"o":[{"l":[{},[0,0,4]]}]},[0,0,1]],"e":[{"i":[{},[0,0,3]],"n":[{"e":[{},[0,0,0,3]],"n":[{"i":[{".":[{},[0,0,5]]}]}]}]}],"h":[{".":[{},[0,4]],"a":[{"c":[{},[0,0,0,5]],"w":[{},[0,0,0,5]]}],"e":[{"f":[{},[0,5]]}],"o":[{},[0,0,0,3]],"r":[{},[0,0,0,3]],"u":[{"s":[{},[0,0,0,5]]}],"w":[{"a":[{},[0,3]],"y":[{"n":[{},[0,0,0,0,0,0,5]]}]}],"y":[{},[0,0,0,0,4]]},[0,0,0,1]],"i":[{"m":[{"w":[{},[0,0,0,5]]}]}],"l":[{},[0,0,0,3]],"o":[{},[0,0,3]],"t":[{"a":[{},[0,0,3]],"e":[{},[0,0,3]]}]},[2]],"d":[{"a":[{"c":[{},[4,0,3]],"d":[{},[0,0,3]],"f":[{"a":[{},[0,0,5]]}],"r":[{"f":[{},[0,0,3]],"g":[{},[0,0,0,0,4]]}]}],"d":[{".":[{},[0,4]],"a":[{"d":[{},[0,0,0,3]],"l":[{},[0,0,3]]}],"d":[{},[0,0,3]],"e":[{"u":[{},[0,0,0,3]],"w":[{},[0,0,0,5]]}],"f":[{},[0,0,0,3]],"i":[{},[0,0,0,3]],"o":[{},[0,0,0,2]],"u":[{"n":[{},[0,0,0,0,0,4]]},[0,0,4]],"y":[{"c":[{},[0,0,0,3]],"s":[{},[0,0,0,3]]}]}],"e":[{"g":[{},[0,0,3]],"l":[{".":[{},[0,0,4]]},[0,0,3]],"n":[{"a":[{},[0,0,4]],"e":[{},[0,0,4]],"i":[{},[0,0,4]],"o":[{},[0,0,4]],"w":[{},[0,0,4]]}]},[2,0,1]],"i":[{},[0,0,3]],"l":[{"e":[{"n":[{},[0,0,3]]}],"y":[{"s":[{},[0,0,5]]}]},[2]],"n":[{"a":[{"b":[{"y":[{"d":[{"d":[{"e":[{"d":[{},[0,0,0,0,0,0,0,0,0,0,4]]},[0,0,0,0,0,0,0,0,4]]}]}]}]}]},[0,0,2]],"o":[{},[0,0,2]]}],"o":[{"c":[{},[0,0,3]],"d":[{},[0,0,3]],"f":[{},[0,0,3]],"n":[{},[0,0,3]]},[2]],"r":[{".":[{},[4]],"e":[{"d":[{},[0,0,4]]}],"i":[{},[0,0,3]],"o":[{"d":[{},[0,0,0,4]],"n":[{},[0,0,0,3]]}],"u":[{},[0,0,4]]}],"u":[{"n":[{"i":[{"a":[{"d":[{},[0,0,5]]},[4]]}]}],"r":[{"o":[{},[0,0,5]]}]}],"w":[{"e":[{"l":[{"e":[{"d":[{".":[{},[0,0,0,0,0,4]]}]}]}]}],"i":[{},[0,0,3]],"r":[{".":[{},[0,0,5]]}],"y":[{"s":[{},[3,0,3]],"t":[{},[0,0,5]]}]}],"y":[{"n":[{},[0,0,0,4]],"r":[{"n":[{},[0,0,4]]}]},[0,0,1]]}],"e":[{"a":[{"d":[{"a":[{},[0,0,4]]}],"n":[{".":[{},[0,0,5]]}]},[2]],"d":[{"d":[{},[0,0,0,0,3]]}],"i":[{},[0,0,3]],"l":[{"e":[{"d":[{"d":[{"a":[{},[0,0,0,4]]}]}]}]},[0,0,0,1]],"n":[{},[0,0,0,3]],"o":[{"c":[{},[0,0,3]],"g":[{},[0,0,3]]}],"r":[{"w":[{"e":[{},[0,0,0,5]],"y":[{},[0,0,0,5]]},[0,0,0,0,4]]},[0,0,0,1]],"s":[{"t":[{},[0,0,0,0,4]]},[0,0,0,3]],"t":[{"h":[{"a":[{},[0,0,0,0,5]],"r":[{},[0,0,0,0,0,4]]}]}],"w":[{"y":[{"d":[{},[0,0,5]]}]},[0,0,1]]}],"f":[{"a":[{"d":[{"w":[{},[0,0,3]]}],"i":[{"d":[{},[4,0,5]]}],"l":[{},[0,0,4]],"n":[{"e":[{},[0,0,0,0,5]],"n":[{},[0,0,4]]},[0,0,3]],"r":[{"n":[{},[0,0,5]]},[4,0,0,0,3]],"t":[{},[0,0,4]],"u":[{},[4,0,3]]}],"e":[{},[2,0,3]],"f":[{"a":[{},[0,0,0,3]],"e":[{"d":[{},[0,0,0,3]],"i":[{},[0,0,0,3]]}],"i":[{},[0,0,0,3]],"l":[{},[0,0,0,0,3]],"w":[{},[0,0,0,3]],"y":[{"r":[{},[0,0,0,4]]},[0,0,0,3]]},[2]],"i":[{},[0,0,3]],"l":[{"a":[{},[0,0,0,3]],"e":[{"d":[{"i":[{},[0,0,0,5]]}]}],"u":[{},[0,0,4,3]]}],"n":[{},[2,0,0,1]],"o":[{"d":[{"d":[{},[0,0,3]]}],"l":[{},[4]],"n":[{"t":[{},[0,0,3]]}]}],"r":[{"a":[{},[0,0,3]],"e":[{"s":[{},[0,0,3]]}],"i":[{"f":[{},[0,0,5]]}],"u":[{},[0,0,4]],"w":[{"y":[{},[0,0,5]]}]},[2]],"u":[{},[0,0,1]],"w":[{},[2,0,1]],"y":[{},[0,0,1]]}],"g":[{"a":[{"d":[{},[0,0,3]],"l":[{},[0,0,3]]},[0,0,1]],"e":[{"n":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,5]]}]}],"l":[{"a":[{"w":[{},[0,0,3]]}],"o":[{},[0,0,0,3]],"u":[{},[0,0,3]],"w":[{},[0,0,0,3]]}],"n":[{},[0,0,3]],"o":[{"d":[{},[0,0,3]],"f":[{},[0,0,3]],"r":[{"i":[{},[0,0,4]]}]}],"r":[{"i":[{},[0,0,3]],"y":[{},[0,0,3]]},[0,0,1]],"u":[{},[0,0,1]],"w":[{"a":[{},[0,0,3]],"e":[{"l":[{},[0,0,3]]}],"n":[{},[0,0,3]],"r":[{},[0,0,3]]},[0,0,2]],"y":[{"m":[{"a":[{},[0,0,5]]}],"w":[{},[0,0,0,4]]}]},[2,2]],"h":[{"a":[{"n":[{"a":[{"d":[{},[0,0,0,0,0,0,4]]}]},[0,0,0,0,3]]}],"e":[{"d":[{"r":[{},[0,0,0,0,0,4]]}]}]},[0,1,2]],"i":[{"g":[{},[2]],"l":[{"e":[{"n":[{},[0,0,0,0,0,3]]}]},[2,0,0,1]],"n":[{"c":[{},[4]]},[2]],"t":[{},[2]]},[0,2]],"l":[{"a":[{"b":[{"r":[{},[0,0,5]]}],"d":[{},[0,0,3]],"e":[{},[4,0,3]],"f":[{},[0,0,0,0,3]],"i":[{"d":[{},[4]]}],"n":[{},[0,0,3]],"r":[{"c":[{},[0,0,5]]}],"s":[{"o":[{},[0,0,5]]}]}],"c":[{"e":[{},[0,0,3]],"h":[{"w":[{},[0,0,0,0,3]]}],"w":[{"l":[{},[0,0,5]]}]}],"d":[{"i":[{},[0,0,4]]}],"e":[{"d":[{"a":[{"u":[{},[0,0,5]]}]}],"i":[{},[0,0,3]],"n":[{"a":[{},[0,0,4]]},[0,0,3]],"s":[{".":[{},[0,0,4]]}]},[0,0,1]],"f":[{"o":[{},[0,0,2]],"y":[{},[0,0,3]]}],"i":[{"s":[{},[0,0,4]]},[0,0,3]],"l":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,3]],"i":[{},[0,0,0,3]],"o":[{"c":[{},[0,0,0,3]]}],"w":[{},[0,0,0,3]],"y":[{},[0,0,0,3]]}],"n":[{},[3]],"o":[{"c":[{},[0,0,3]],"d":[{},[0,0,3]],"g":[{"i":[{"a":[{},[0,0,4]]}]}],"n":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,3,4]],"o":[{},[0,0,3]]}],"r":[{},[0,0,3]]}],"p":[{"e":[{},[0,0,0,4]]}],"u":[{},[0,0,1]],"w":[{"c":[{},[4]],"e":[{},[0,0,0,3]],"r":[{},[4]],"s":[{"t":[{},[0,0,5]]}],"y":[{".":[{},[4]]},[0,0,3]]}],"y":[{},[0,0,1]]},[2]],"m":[{"b":[{"l":[{},[0,0,0,0,3]]}],"d":[{"a":[{"n":[{},[0,0,0,0,0,5]]}]},[0,0,3]],"e":[{"l":[{"o":[{},[0,0,0,0,5]]}],"r":[{},[0,0,3]]}],"g":[{"y":[{"m":[{"r":[{},[0,0,0,0,0,5]]}]}]}],"h":[{"e":[{"n":[{},[0,0,0,0,0,4]]}],"o":[{"b":[{"l":[{},[0,0,0,0,0,0,4]]}]}],"r":[{"y":[{"d":[{},[0,0,0,0,0,0,4]]}]}]}],"l":[{"a":[{"s":[{},[0,0,5]]}],"e":[{"d":[{},[0,0,4]]}],"f":[{},[0,0,4]],"g":[{},[0,0,4]]}],"n":[{"i":[{"f":[{},[0,0,5]]}]}],"o":[{"f":[{},[0,0,4]],"r":[{"w":[{},[0,0,0,0,5]]},[0,0,2]]}],"p":[{"a":[{},[0,0,4]]}],"w":[{"a":[{},[0,4]],"e":[{"d":[{},[0,0,5]]}],"r":[{"i":[{},[0,0,5]]}],"y":[{"d":[{},[0,0,5]],"t":[{},[0,0,3]]}]}],"y":[{"n":[{},[0,0,0,0,3]]}]},[2]],"n":[{".":[{},[2]],"a":[{"b":[{},[0,4]],"d":[{"l":[{},[0,0,0,0,0,3]]}],"e":[{},[0,4]],"f":[{"i":[{},[0,0,4]]},[0,4]],"i":[{},[0,4]],"s":[{},[0,0,2]],"t":[{},[0,0,3,0,4]],"u":[{},[0,4]],"w":[{},[0,4]]},[0,0,1]],"c":[{"o":[{},[4]]}],"d":[{"a":[{},[0,0,2]],"d":[{"a":[{},[0,0,5]],"y":[{},[0,0,4]]}],"e":[{},[0,0,2]],"o":[{},[0,0,2]]}],"e":[{"d":[{".":[{},[0,0,3]],"a":[{},[0,0,5]],"d":[{".":[{},[0,0,5]]}],"o":[{},[0,0,5]]},[0,0,2]],"g":[{},[0,4,3]],"l":[{"i":[{},[0,0,3]]},[0,4]],"r":[{".":[{},[0,0,5]]}],"w":[{"i":[{},[0,0,5]]}]},[0,0,1]],"f":[{"y":[{},[0,0,3]]},[2]],"g":[{"a":[{"d":[{},[0,0,0,3]]}],"d":[{},[0,0,4]],"e":[{},[0,0,0,3]],"f":[{},[0,0,4]],"h":[{"a":[{"f":[{"f":[{},[0,0,0,0,0,0,0,4]]}]}],"e":[{"l":[{"f":[{},[0,0,0,0,0,0,0,4]]}]}],"r":[{"e":[{"d":[{"a":[{"d":[{},[0,0,0,0,0,0,0,0,0,4]]}]}]}],"i":[{"s":[{"t":[{},[0,0,0,0,0,0,0,0,4]]}]}]}],"y":[{"d":[{"n":[{"a":[{},[0,0,0,0,0,0,0,0,4]]}]},[0,0,0,0,0,0,4]],"f":[{"a":[{"r":[{},[0,0,0,0,0,0,0,0,4]]}],"f":[{},[0,0,0,0,0,0,0,4]],"i":[{"a":[{"w":[{"n":[{},[0,0,0,0,0,0,0,0,0,0,4]]}]}]}]},[0,0,0,0,0,0,4]],"m":[{},[0,0,0,0,0,0,4]],"n":[{"e":[{},[0,0,0,0,0,0,4]]}]},[0,0,0,0,0,4]]}],"l":[{},[0,0,0,0,4]],"o":[{"r":[{},[0,0,0,5]]}]},[2,0,0,1]],"i":[{"f":[{},[0,0,3]],"g":[{"i":[{},[0,0,3]]}]}],"n":[{"a":[{"u":[{},[4]]}]}],"o":[{"c":[{},[0,0,3]],"d":[{".":[{},[0,0,3]],"d":[{},[0,0,3]]}],"g":[{".":[{},[0,0,5]],"a":[{"e":[{},[0,0,5,0,4]]}]}],"l":[{".":[{},[0,0,3]]},[4]],"m":[{},[0,0,3]],"n":[{"t":[{},[0,0,3]]}],"r":[{},[0,0,3]]}],"r":[{},[1]],"s":[{"i":[{"c":[{},[0,0,5]],"e":[{},[0,0,0,4]],"w":[{"n":[{},[0,0,5]]},[0,0,0,4]]}]}],"t":[{"a":[{"c":[{},[0,0,0,5]]},[0,0,4]],"h":[{"e":[{},[0,0,5]]}],"r":[{"w":[{},[0,0,0,3]]}]}],"w":[{"e":[{"s":[{},[0,0,3]]}],"l":[{},[4]],"y":[{"d":[{},[0,0,3]],"n":[{},[0,0,0,0,0,3]]},[0,0,0,0,4]]},[0,0,1]],"y":[{"l":[{},[0,0,0,4,3]]},[0,0,1]]},[0,2]],"o":[{"e":[{},[0,1]]}],"p":[{"a":[{},[0,0,3]],"c":[{"y":[{},[0,0,4]]}],"e":[{"l":[{"w":[{},[0,0,5]]}]}],"l":[{"a":[{},[0,0,0,4]]},[0,0,3]],"o":[{"s":[{"t":[{},[0,0,5]]}]}],"r":[{"w":[{"n":[{},[0,0,5]]}],"y":[{"n":[{},[0,0,5]]}]}],"w":[{"l":[{"l":[{},[0,0,5]]}]}]}],"r":[{"a":[{"b":[{},[0,0,3]],"d":[{"r":[{},[0,0,0,0,0,3]]}],"e":[{},[0,0,0,0,3]],"f":[{".":[{},[0,0,3]],"f":[{},[0,0,0,5]]}],"n":[{".":[{},[0,0,4]],"a":[{},[0,0,0,0,3]],"e":[{},[0,0,0,0,3]]},[0,0,3]],"t":[{},[0,0,0,0,4]],"w":[{},[0,0,3]]}],"b":[{"e":[{"r":[{},[0,0,4]]}]}],"c":[{"a":[{"s":[{},[0,0,0,3]]}],"h":[{"e":[{"n":[{},[0,0,0,0,5]]}]}],"l":[{"o":[{},[0,0,5]]}]}],"d":[{"a":[{},[0,0,2]],"e":[{"s":[{},[0,0,0,5]]},[0,0,2]],"r":[{},[0,0,4]],"y":[{"n":[{},[0,0,0,0,0,3]]}]}],"e":[{"b":[{},[0,0,2]],"i":[{"d":[{},[0,0,5]],"t":[{},[0,0,3]]},[0,0,2]]},[0,0,1]],"f":[{"a":[{"n":[{},[0,0,0,0,0,5]]},[0,0,3]],"e":[{"d":[{},[0,0,0,5]],"l":[{},[0,0,5]]}],"f":[{},[0,0,4]],"o":[{"d":[{},[0,0,3]]}]}],"i":[{"a":[{"n":[{},[0,0,4]]}]},[0,0,1]],"m":[{},[0,0,2]],"n":[{".":[{},[4]],"a":[{"d":[{"w":[{"y":[{".":[{},[0,0,0,5]]}]}]}]}],"d":[{},[0,0,4]],"h":[{},[3]],"o":[{},[0,0,4]],"w":[{},[0,0,4]],"y":[{},[0,0,4]]}],"o":[{"d":[{".":[{},[0,0,4]],"i":[{},[0,0,4]]}],"g":[{"l":[{},[0,0,0,0,0,3]]}],"r":[{},[3]],"s":[{".":[{},[5]]},[0,0,3]]},[0,0,1]],"p":[{"a":[{"s":[{},[0,0,4,3]]}],"w":[{},[0,0,0,3]]}],"s":[{"y":[{},[0,0,3]]}],"t":[{"e":[{},[0,0,3]],"h":[{},[0,0,4,0,3]]}],"u":[{"g":[{},[0,0,3]],"t":[{},[0,0,3]],"w":[{"c":[{},[0,0,0,5]]}]}],"w":[{"a":[{"i":[{},[3]]}],"c":[{"h":[{},[0,0,5]]}],"d":[{"e":[{"r":[{},[0,0,0,5]]}]},[0,0,0,0,2]],"e":[{"d":[{},[0,0,3]]}],"i":[{},[3,0,3]],"n":[{".":[{},[0,0,3]],"i":[{},[0,0,3]]},[0,0,0,3]],"y":[{"n":[{},[4]]},[0,0,3]]}],"y":[{},[0,0,3]]},[2]],"s":[{".":[{},[2]],"a":[{"s":[{},[2]],"w":[{"r":[{},[0,0,5]]}]}],"b":[{"o":[{"e":[{},[0,0,5]]}]},[1]],"d":[{},[2]],"e":[{"d":[{},[2]],"n":[{"n":[{},[0,0,4]]}]}],"f":[{},[2]],"g":[{"a":[{"l":[{},[0,0,5]]}],"l":[{},[0,0,0,0,3]],"o":[{"d":[{"a":[{},[0,0,0,4]]}]}],"w":[{"r":[{},[0,0,3]],"y":[{},[0,0,0,3]]}]},[2]],"i":[{"a":[{},[2]],"e":[{},[4]]}],"l":[{},[2]],"n":[{"y":[{},[0,0,4]]},[2]],"o":[{"d":[{".":[{},[0,0,4]]}],"e":[{},[2]]}],"r":[{},[2]],"t":[{"a":[{"l":[{},[0,0,4]],"n":[{},[0,0,3]],"t":[{},[0,0,0,0,0,5]]}],"e":[{},[0,0,3]],"l":[{},[0,0,4]],"r":[{"u":[{"s":[{},[0,0,5]]}]},[0,0,4]],"w":[{},[0,0,0,2]],"y":[{".":[{},[0,0,5]],"l":[{},[0,0,3]],"n":[{},[0,0,0,0,0,3]]}]},[2]],"u":[{"r":[{},[0,0,3]]},[2]],"w":[{"i":[{"r":[{},[0,0,5]]}],"r":[{},[2]]}],"y":[{"n":[{"n":[{},[0,0,5]]}]},[2]]}],"t":[{"a":[{"d":[{},[0,0,3]],"l":[{"f":[{},[0,0,5]]}]}],"e":[{"b":[{},[0,0,0,0,3]],"m":[{},[0,0,3]]}],"h":[{"a":[{},[0,0,0,3]],"l":[{},[0,0,0,0,3]],"o":[{},[0,0,0,3]],"r":[{"e":[{},[0,0,0,4,3]],"w":[{},[0,0,0,0,3]],"y":[{"c":[{},[0,0,0,0,5]]}]}],"w":[{},[0,0,0,3]],"y":[{},[0,0,0,3]]}],"o":[{"i":[{},[0,0,0,2]],"l":[{},[0,0,3]]}],"ô":[{},[0,3]],"r":[{"a":[{"n":[{},[0,0,3]]}],"o":[{"c":[{},[0,0,0,5]],"d":[{},[0,0,3]],"e":[{},[0,0,0,0,5]]}],"y":[{"c":[{},[0,0,0,5]]}]}],"w":[{"y":[{},[0,0,3]]}],"y":[{"n":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,5]]}]}]},[2,2]],"u":[{"l":[{},[2]]},[0,2]],"w":[{"a":[{"r":[{"t":[{},[0,0,5]]}]},[0,0,1]],"c":[{"h":[{"w":[{},[0,0,5]]}]}],"d":[{"d":[{"r":[{},[0,0,5]]}],"r":[{"y":[{},[0,0,5]]}]}],"e":[{"d":[{},[0,0,3]],"i":[{},[0,0,3]],"l":[{},[0,0,3]],"s":[{},[0,0,3]]}],"f":[{},[0,0,3]],"g":[{"a":[{},[0,0,3]]}],"i":[{},[0,0,1]],"l":[{"e":[{"d":[{},[0,0,0,5]]}]}],"n":[{"a":[{},[0,0,0,3]]}],"r":[{"d":[{},[0,0,0,3]]},[0,0,0,1]],"y":[{"r":[{},[0,0,0,4,3]]}]},[2]]}],"á":[{"u":[{".":[{},[3]]}]}],"â":[{},[1]],"b":[{"a":[{"b":[{"i":[{},[0,0,0,4]],"y":[{"d":[{},[0,0,0,5]]}]}],"c":[{"h":[{},[0,0,0,0,3]]},[0,3]],"d":[{"d":[{},[0,0,0,0,3]],"w":[{},[0,3]]}],"e":[{"t":[{},[2]]},[1]],"f":[{},[0,1]],"i":[{},[0,1]],"n":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,3]],"n":[{},[0,4]],"o":[{},[0,0,0,3]]},[0,1]],"r":[{"c":[{"h":[{},[5]]}],"f":[{},[0,0,0,4]],"l":[{"y":[{"s":[{".":[{},[0,0,0,4]]}]}]}],"n":[{},[0,0,0,0,3]],"w":[{"y":[{},[0,0,0,4]]}]}],"s":[{"g":[{},[0,0,0,3,2]],"t":[{},[0,0,0,0,4]]},[0,1]],"t":[{"a":[{},[0,0,0,4]],"h":[{},[0,4]]}],"u":[{},[0,1]],"w":[{"d":[{"a":[{},[0,0,0,0,4]]}],"e":[{"n":[{"a":[{},[0,0,0,0,5]]}]}]}]}],"d":[{},[0,1]],"e":[{"c":[{},[0,1]],"d":[{},[2]],"i":[{"r":[{"a":[{},[0,0,0,0,4]]}],"w":[{},[0,0,4]]}],"m":[{},[0,1]],"n":[{"a":[{"e":[{},[0,0,0,4]],"s":[{},[0,0,3]]}],"e":[{"d":[{},[0,0,5]]}],"g":[{"l":[{},[0,0,0,0,0,4]]}],"s":[{},[0,0,0,0,4]],"t":[{".":[{},[0,3]]},[0,0,0,0,4]],"w":[{"y":[{"n":[{"a":[{},[0,0,0,0,0,5]]}]}]},[0,0,0,3]]}],"r":[{"t":[{},[0,3]]}],"s":[{"i":[{},[0,3]]}]}],"g":[{"a":[{"l":[{},[0,0,0,0,4]]}]}],"i":[{"a":[{"i":[{"d":[{"d":[{},[0,0,5]]}]}]},[0,3]],"b":[{},[3,0,0,1]],"d":[{},[0,3,0,3]],"e":[{},[0,3]],"g":[{},[3,2,0,1]],"n":[{"c":[{},[0,4]],"e":[{},[0,0,0,2]]}],"o":[{},[0,3]],"r":[{},[0,3]],"s":[{"g":[{},[0,0,0,0,4]]}],"t":[{},[0,3]]},[2,1]],"l":[{"a":[{"f":[{},[0,0,3]],"i":[{"r":[{},[0,0,5]]}],"n":[{"a":[{},[0,0,0,3]],"e":[{"d":[{"i":[{},[0,0,0,5]]}],"s":[{},[0,0,0,5]]}]}],"u":[{},[2]],"w":[{"d":[{},[0,0,5]]}]}],"e":[{"c":[{},[0,0,3]],"n":[{"n":[{"i":[{".":[{},[0,0,4]]}]}]}],"w":[{},[0,0,0,0,3]]}],"w":[{"r":[{},[4]]}],"y":[{"c":[{},[0,4]],"n":[{".":[{},[0,0,5]]},[4]]}]}],"o":[{"b":[{"l":[{},[0,0,4,4]]}],"c":[{},[0,1]],"d":[{"d":[{},[4,3]]}],"l":[{},[0,0,0,3]],"m":[{},[0,1]],"n":[{"d":[{},[0,0,0,4]]},[0,2]]}],"r":[{"a":[{"n":[{"a":[{},[0,0,0,3]]}]}],"e":[{"d":[{},[0,0,3]],"g":[{"y":[{},[0,0,0,0,3]]}],"m":[{},[0,0,3]],"n":[{"n":[{},[0,0,4]]}]}],"i":[{"l":[{},[0,0,4]],"r":[{},[0,0,3]]},[0,0,2]],"o":[{"d":[{"i":[{"a":[{"e":[{},[0,0,0,0,4]]}]}]}],"g":[{},[0,0,0,0,4]]}],"w":[{"d":[{},[0,0,4]]}],"y":[{"f":[{},[0,0,0,0,3]],"n":[{"d":[{},[0,0,0,0,4]]}]}]},[0,2]],"s":[{"e":[{"n":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,5]]}]}]},[0,1,2]],"u":[{".":[{},[2]],"a":[{},[1]],"d":[{"d":[{"l":[{},[0,0,0,0,4]]}]}],"l":[{"o":[{},[0,0,4]]}],"o":[{},[3]]}],"w":[{"a":[{},[0,0,3]],"c":[{},[0,1]],"l":[{"l":[{},[3]]}],"n":[{"s":[{},[0,4]]},[0,1]],"r":[{},[0,0,0,1]],"y":[{"d":[{".":[{},[0,3]]},[4]],"f":[{},[4,3]],"l":[{"l":[{"t":[{},[0,0,0,0,0,0,4]]}]}],"n":[{},[3]],"r":[{},[0,0,0,4,3]]}]}],"y":[{"c":[{"h":[{".":[{},[0,3]]}]}],"d":[{"d":[{"i":[{},[0,0,0,0,5]]}]}],"l":[{"l":[{"a":[{},[3]]}]},[0,2]],"n":[{"a":[{},[0,0,3]],"e":[{"d":[{},[0,0,3]],"s":[{},[0,0,3]]}]}],"r":[{"f":[{},[0,0,0,0,4]],"w":[{},[0,4]]}],"s":[{"t":[{".":[{},[3]]}]}],"w":[{},[0,0,0,3]]},[2]]}],"c":[{"a":[{"b":[{"l":[{"e":[{"n":[{},[0,0,0,0,4]]}]}]}],"d":[{"a":[{},[0,0,0,3]],"l":[{},[0,0,0,3]]},[0,1]],"e":[{"a":[{},[0,0,0,4]],"t":[{"h":[{"i":[{"w":[{"e":[{"d":[{},[0,0,0,0,0,0,0,4]]}]}]}]}]}]}],"f":[{},[0,1]],"i":[{},[0,3]],"l":[{"e":[{},[0,0,0,3]],"o":[{},[0,0,0,3]]}],"m":[{"e":[{"n":[{"n":[{},[0,0,0,4]]}]}],"n":[{},[0,0,0,0,4]]}],"n":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,4]],"g":[{"h":[{"e":[{"n":[{"a":[{},[0,0,0,0,0,0,5]]}]}]}]}],"l":[{},[0,0,0,3]],"n":[{},[0,4]],"o":[{"l":[{"a":[{"s":[{},[0,0,0,5]]}],"e":[{},[0,0,0,5]]}]}],"t":[{},[0,3]],"y":[{"d":[{},[0,0,0,4]]}]}],"r":[{"e":[{"n":[{},[0,0,0,4]]}],"p":[{"e":[{"d":[{".":[{},[0,0,0,4]]}]}]}]}],"s":[{"g":[{"e":[{},[0,0,0,0,4]]}]},[0,1]],"t":[{"r":[{},[0,0,4,3]]},[3]],"u":[{},[0,3]]}],"á":[{"u":[{},[0,3]]}],"b":[{},[0,1]],"d":[{},[0,0,2]],"e":[{"d":[{"i":[{"g":[{},[0,5]]}]},[0,3]],"g":[{},[0,0,0,3]],"l":[{},[0,3]],"n":[{"a":[{},[0,0,3]],"t":[{},[0,3]]},[0,2]],"r":[{"b":[{"y":[{},[0,0,0,5]]}],"f":[{},[0,0,0,4]],"y":[{},[0,0,0,3]]}],"u":[{"l":[{},[0,0,0,4]]}]},[0,1]],"f":[{"f":[{},[0,3]]}],"h":[{"a":[{"e":[{},[3]],"f":[{".":[{},[0,0,3]],"b":[{},[0,0,4]],"i":[{},[0,0,4]]}],"n":[{"a":[{},[0,0,0,0,3]],"g":[{"h":[{"e":[{"n":[{"a":[{},[0,0,0,0,0,0,0,5]]}]}]}]}]}],"r":[{"e":[{"n":[{"n":[{},[0,0,0,0,4]]}]}]}],"s":[{"g":[{"e":[{},[0,0,0,0,0,4]]}]}]}],"d":[{"r":[{"y":[{},[0,0,0,0,5]]}]}],"e":[{"b":[{"a":[{},[0,0,3]],"e":[{},[0,0,3]],"i":[{},[0,0,3]],"o":[{},[0,0,3]],"w":[{},[0,0,3]]}],"c":[{"h":[{},[0,0,3]]}],"d":[{".":[{},[0,0,3]],"i":[{},[0,0,3]]}],"i":[{"n":[{},[5]]}],"l":[{"a":[{"d":[{},[0,0,0,0,0,0,4]]}]}],"n":[{"t":[{},[0,0,3]],"y":[{},[0,0,0,0,3]]}],"r":[{".":[{},[0,0,3]],"f":[{},[0,0,0,0,4]]}],"s":[{"g":[{},[0,0,3]],"t":[{"i":[{"o":[{},[4]]}],"o":[{"l":[{},[4]]}],"w":[{"a":[{},[4]],"e":[{},[4]]}]},[3]]}],"t":[{"a":[{},[0,0,3]]}]}],"i":[{"g":[{".":[{},[0,0,5]]}]}],"l":[{"e":[{"i":[{"d":[{},[0,0,0,0,0,0,4]]}],"n":[{"t":[{},[0,0,0,5]]}]}]}],"m":[{"y":[{"n":[{"i":[{},[4]],"n":[{"o":[{"l":[{},[4]]}]}]}]}]}],"n":[{"e":[{"g":[{},[0,0,0,5]]}]}],"o":[{"b":[{"l":[{},[0,0,0,0,0,4]]},[0,0,0,0,3]],"d":[{"d":[{},[0,0,3]]}],"n":[{"a":[{"d":[{},[0,0,0,0,5,0,4]]}],"t":[{},[0,0,3]],"y":[{},[0,0,0,0,4]]}]}],"r":[{"a":[{},[0,0,0,0,4]],"o":[{},[0,0,4]]}],"u":[{".":[{},[4]],"b":[{},[0,0,4]],"s":[{},[4]]}],"w":[{"a":[{"n":[{"t":[{},[5]]}]}],"c":[{"h":[{},[0,0,3]]}],"f":[{},[0,0,0,4]],"i":[{},[0,0,4]],"n":[{".":[{},[0,0,3]]}],"y":[{"f":[{},[0,0,3]]}]}],"y":[{"d":[{},[0,0,0,0,3]],"m":[{"a":[{"n":[{},[0,0,0,0,4]]}]}],"n":[{"n":[{},[0,0,4]]}],"s":[{"g":[{},[0,0,0,0,0,3]],"o":[{},[0,0,0,0,5]]}],"t":[{"u":[{},[0,0,0,0,3]]}],"w":[{"a":[{},[0,0,0,5]]}]}]}],"i":[{"b":[{},[0,0,0,3]],"g":[{},[0,0,0,1]],"n":[{},[0,3]],"o":[{"d":[{".":[{},[0,0,3]]}]}]},[0,1]],"l":[{"e":[{"i":[{"d":[{},[0,0,0,0,0,4]]}]},[0,0,2]],"i":[{},[0,0,2]],"l":[{"o":[{"n":[{},[0,0,0,0,0,3]]}]},[0,1]],"o":[{"e":[{},[0,0,0,0,4]]}],"w":[{"m":[{},[0,0,4]]},[0,0,2]],"y":[{"w":[{"a":[{"d":[{},[0,0,0,0,0,0,4]]}]},[0,0,0,4]]}]}],"n":[{"o":[{"e":[{"n":[{},[0,0,0,4]]}]}],"y":[{"w":[{},[0,0,4]]}]},[0,0,2]],"o":[{"b":[{"l":[{},[0,0,4,0,4]]},[0,0,0,1]],"c":[{},[0,1]],"d":[{"l":[{},[0,0,0,4]]},[0,1]],"f":[{"f":[{"a":[{"d":[{"w":[{"y":[{},[0,0,0,0,0,0,4]]}]}]}]}]}],"l":[{"l":[{"a":[{"d":[{},[0,0,0,0,0,0,4]]}]}]}],"m":[{},[0,1]],"n":[{"y":[{},[0,0,0,4]]},[0,1]],"r":[{"n":[{"a":[{"n":[{},[0,0,0,0,4]]}]}]}],"s":[{"b":[{},[0,0,0,0,3]]}]}],"r":[{"a":[{"e":[{},[0,0,3]],"m":[{},[0,0,0,4]],"t":[{},[3]]}],"e":[{"d":[{"a":[{"d":[{},[0,0,0,0,0,0,4]]}]}],"l":[{},[0,0,4]]}],"i":[{"e":[{},[0,0,3]],"n":[{"g":[{},[0,0,0,0,0,4]]}]}],"o":[{"f":[{},[0,0,0,0,4]],"g":[{},[0,0,0,0,3]],"n":[{"a":[{"s":[{},[0,0,0,5]]},[0,0,0,0,4]],"e":[{},[0,0,0,0,4]]}]}],"y":[{"g":[{"l":[{},[0,0,0,0,0,4]]},[0,0,0,0,3]],"l":[{},[0,0,4]],"m":[{},[0,0,4]],"n":[{"h":[{"o":[{"e":[{"m":[{},[0,0,0,0,0,0,4]]}],"i":[{},[0,0,0,0,0,0,4]]}]}]}]}]}],"s":[{"a":[{"w":[{},[0,3,4]]},[0,0,3]],"y":[{"n":[{},[0,0,3]]}]}],"t":[{"a":[{},[0,0,2]],"e":[{"g":[{},[0,4]]}],"i":[{"d":[{},[0,0,4]]}],"o":[{"r":[{},[0,0,0,0,3]]},[0,1]],"r":[{},[0,3]]}],"u":[{"s":[{},[2]]},[1]],"w":[{"a":[{"s":[{"t":[{},[0,0,0,0,0,3]]}]},[0,3]],"f":[{"a":[{},[0,0,4]]}],"m":[{},[0,0,0,3]],"n":[{"e":[{"d":[{},[0,0,0,4]]}]}],"y":[{"n":[{},[0,4,0,0,3]],"r":[{},[0,0,0,4]]},[0,3]]},[0,1]],"y":[{"b":[{"y":[{},[0,0,0,3]]}],"c":[{"h":[{},[0,0,0,0,3]]},[2,1]],"d":[{"l":[{},[0,0,0,0,4]],"r":[{},[0,0,0,0,4]]},[0,0,0,3]],"f":[{"a":[{},[0,0,4,3]],"e":[{"r":[{},[0,0,0,0,0,3]]}],"f":[{"e":[{"l":[{},[0,0,0,0,0,0,5]]}]}]}],"l":[{"l":[{"a":[{},[0,0,0,0,5]]}]},[0,1]],"m":[{"a":[{"n":[{},[0,0,0,4]]}],"e":[{"r":[{"o":[{},[0,0,0,4]]}]}]},[0,0,0,3]],"n":[{"a":[{"u":[{},[0,5]]},[0,0,0,3]],"e":[{"f":[{},[0,0,0,0,0,3]]},[0,0,0,3]],"y":[{},[0,2]]},[0,1]],"s":[{"e":[{},[0,0,4]],"g":[{},[0,0,0,0,3]],"o":[{"n":[{},[0,0,0,5]]}],"t":[{},[0,0,0,3]],"w":[{},[0,0,0,3]]}],"t":[{"h":[{"r":[{"u":[{"d":[{},[0,0,0,0,5]]}]}]}]}],"w":[{"a":[{},[0,0,3]],"i":[{},[0,0,3]],"y":[{},[0,0,3]]},[0,0,1]]}]}],"d":[{"a":[{"c":[{"h":[{".":[{},[0,3]],"w":[{"r":[{},[0,5]]}]},[0,0,0,0,3]]}],"d":[{"u":[{},[0,0,0,3]],"w":[{"y":[{},[0,5]]},[0,0,0,3]]},[0,2]],"e":[{"a":[{"r":[{"a":[{},[0,0,0,5]],"e":[{"d":[{},[0,0,0,5]]}],"i":[{},[0,0,0,5]],"w":[{},[0,0,0,5]]}]}],"l":[{},[0,2]]}],"f":[{"e":[{},[0,4]],"o":[{},[0,4]]}],"g":[{"w":[{},[0,0,0,3]]},[0,0,0,1]],"i":[{"l":[{},[4]],"o":[{"n":[{},[0,0,5]]}],"t":[{},[0,4]]}],"l":[{".":[{},[0,4]],"d":[{},[0,4]],"n":[{},[0,4]],"r":[{},[0,4]]}],"n":[{"a":[{},[0,2,0,3]],"e":[{},[0,2,0,3]],"f":[{},[0,0,0,3]],"o":[{},[0,2]],"u":[{},[0,2]],"w":[{},[0,2]],"y":[{},[0,2]]}],"r":[{"a":[{"n":[{"a":[{},[0,0,0,4]]}]},[0,0,0,3]],"d":[{},[0,0,0,4]],"f":[{},[0,0,0,0,2]],"n":[{"e":[{},[0,5]]}],"w":[{},[0,0,0,3]],"y":[{"d":[{},[0,5]]}]}],"s":[{},[2]],"u":[{},[2]],"w":[{"d":[{".":[{},[0,5]]},[0,0,0,0,3]]},[2]]},[0,1,2]],"b":[{},[0,1]],"d":[{"a":[{"d":[{"r":[{},[0,0,0,0,3]]}],"f":[{},[4]],"n":[{"g":[{},[3]],"i":[{},[0,0,4]]}],"r":[{"a":[{},[0,0,3]],"i":[{},[0,0,3]],"w":[{},[0,0,3]]}],"s":[{},[2]],"w":[{},[0,0,4]]}],"d":[{"a":[{},[0,4]],"e":[{},[0,0,0,4]],"i":[{},[0,0,4,4,4]],"r":[{},[0,0,3]],"u":[{},[0,0,4]],"y":[{".":[{},[0,0,5]]},[0,0,4]]},[0,0,0,2]],"e":[{"r":[{".":[{},[0,0,3]]}],"t":[{"h":[{},[0,0,0,0,0,5]]}],"u":[{"a":[{"d":[{},[0,0,0,0,0,0,4]]}],"g":[{},[0,0,4]]}],"w":[{},[0,0,4]]}],"f":[{"g":[{},[0,0,4]]},[0,0,2]],"i":[{".":[{},[2]],"c":[{},[0,0,4]],"f":[{"a":[{},[0,0,0,0,3]]},[0,0,4]],"g":[{".":[{},[0,0,4]],"y":[{},[0,0,0,3]]}],"l":[{},[0,0,4]],"m":[{},[0,0,4]],"n":[{"i":[{},[0,0,4]]}],"t":[{},[4]]}],"l":[{"e":[{"n":[{},[0,0,5]]}]},[0,0,1,2]],"o":[{".":[{},[2]],"c":[{},[4]],"d":[{"d":[{},[0,0,3]]}],"m":[{},[4]],"n":[{},[4,0,0,0,3]],"r":[{},[0,0,2,0,3]]}],"r":[{"a":[{},[0,0,0,4]],"e":[{},[0,0,0,4]],"i":[{},[0,0,0,4]],"o":[{},[0,0,0,4]],"w":[{},[0,0,0,4]],"y":[{},[0,0,4]]},[0,0,0,2]],"u":[{"n":[{},[4,0,3]],"s":[{".":[{},[0,0,5]]}]},[0,2]],"w":[{"a":[{"w":[{},[0,0,5]]}],"c":[{},[4]],"e":[{},[0,0,2]],"n":[{},[4]],"r":[{"n":[{},[5]]}],"y":[{"n":[{},[0,0,4]],"r":[{},[3]]}]}],"y":[{"c":[{},[4]],"d":[{"d":[{},[0,0,4]]}],"f":[{".":[{},[0,0,5]]}],"m":[{"d":[{},[0,0,0,0,4]]}],"n":[{"a":[{"d":[{},[0,0,0,5]]}],"i":[{},[5]],"t":[{},[4]]},[0,0,4]],"r":[{},[3]]},[0,0,2]]}],"e":[{"b":[{".":[{},[3]],"r":[{},[0,0,0,0,3]]}],"c":[{"h":[{"a":[{},[0,0,0,0,4]]}]},[0,1]],"d":[{"d":[{".":[{},[0,5]],"f":[{},[0,0,0,0,0,3]]}]},[0,1]],"f":[{"a":[{},[0,0,0,3]]}],"g":[{"o":[{"l":[{".":[{},[0,5]]}]}]},[0,1]],"h":[{"e":[{"u":[{},[0,0,0,0,0,5]]}]},[0,0,1]],"i":[{"l":[{},[0,2]],"m":[{},[0,4]]}],"l":[{"f":[{"f":[{},[0,0,0,0,0,5]]}],"l":[{"a":[{},[0,3]],"e":[{},[0,3]],"i":[{},[0,3]],"o":[{},[0,3]],"t":[{},[0,0,0,0,0,5]],"w":[{},[0,3]]}],"o":[{},[0,0,0,3]]}],"m":[{".":[{},[0,3]]},[0,1]],"n":[{"g":[{},[0,4]],"t":[{},[0,3]]},[2,1,0,1]],"o":[{},[0,0,2]],"r":[{"f":[{"y":[{"n":[{},[0,0,0,0,0,0,5]]}]},[0,0,0,3]]}],"s":[{"i":[{},[0,3]],"t":[{"u":[{},[5]]}]},[2,1]],"t":[{"a":[{"n":[{},[0,0,0,5]]}],"h":[{"o":[{},[0,0,0,0,4]]}]},[0,1]],"u":[{"l":[{},[0,0,0,0,4]],"n":[{"y":[{},[0,0,0,4]]}],"t":[{},[0,4]]},[0,1,0,1]]}],"f":[{"a":[{"e":[{},[0,3,4]],"n":[{"n":[{},[0,0,4]]}],"o":[{"l":[{},[0,4,0,5]]},[0,0,4]],"t":[{},[0,0,4]],"w":[{},[0,0,4]]}],"e":[{"d":[{"r":[{},[0,0,0,0,5]]}],"i":[{},[0,3]],"n":[{"e":[{},[0,0,0,5]]}],"r":[{"f":[{},[0,5]],"y":[{},[0,4]]}]}],"f":[{"y":[{},[0,0,0,4]]}],"i":[{"d":[{},[0,0,4]]},[0,2]],"o":[{"d":[{},[0,0,4]],"l":[{},[0,4,3]]}],"r":[{"y":[{},[0,0,4]]}],"u":[{},[0,2]],"w":[{"r":[{},[0,0,0,0,2]]}],"y":[{"d":[{},[0,4]],"n":[{"a":[{},[0,0,0,0,3]],"e":[{"d":[{".":[{},[0,0,0,0,4]]}]}]}]}]},[0,1,2]],"g":[{"a":[{"m":[{},[0,0,0,0,2]],"n":[{"e":[{},[0,0,0,0,5]]}]}],"e":[{"i":[{},[0,0,4]]}],"l":[{},[0,0,0,2]],"r":[{"y":[{"n":[{"h":[{"o":[{},[0,0,0,0,0,0,0,5]]}]}]}]}],"y":[{"f":[{"a":[{"r":[{},[0,0,0,0,5]]}]}]}]},[0,1,2]],"h":[{"a":[{"o":[{"l":[{},[0,0,0,5]]}]}],"e":[{"g":[{"l":[{},[0,0,0,0,0,5]]}]}]},[0,1,2]],"i":[{"a":[{"c":[{"h":[{},[0,0,5]]}]}],"b":[{"r":[{"y":[{"d":[{},[0,0,0,0,0,0,4]]}]}]},[0,0,1,2]],"d":[{"e":[{"n":[{},[0,0,5]]},[0,0,0,2]],"o":[{"s":[{},[0,0,5]]},[0,4]]},[0,0,1]],"e":[{"t":[{},[0,0,4]],"u":[{},[0,0,3]]}],"f":[{"a":[{"n":[{},[0,0,0,4]],"t":[{},[0,0,5]]}],"e":[{},[0,0,3]],"f":[{"r":[{},[0,0,3]]}],"l":[{"i":[{},[0,0,5]],"o":[{},[0,0,5]]}],"r":[{"a":[{},[0,0,5]]}],"w":[{},[0,0,3]]}],"g":[{"a":[{"b":[{},[0,0,5]]}],"e":[{"l":[{},[0,0,5]],"n":[{"a":[{},[0,0,0,0,5]],"e":[{},[0,0,0,0,5]]},[0,0,3]]},[0,0,0,2]],"l":[{},[0,0,0,0,4]],"o":[{"f":[{},[0,0,5]]}],"r":[{"y":[{},[0,0,3]]}],"w":[{},[0,0,3]],"y":[{"m":[{},[0,0,3,0,0,4]],"s":[{},[0,0,3]]},[0,0,0,2]]}],"l":[{"a":[{},[0,0,0,4]],"e":[{"c":[{},[0,0,5]],"s":[{},[0,0,5]]},[0,0,0,4]],"l":[{"a":[{},[0,0,0,0,4]]}],"u":[{},[0,0,3]],"w":[{},[0,0,0,2]],"y":[{"s":[{},[0,0,3]]}]}],"n":[{".":[{},[0,3]],"i":[{"w":[{},[0,0,5]]}],"o":[{"d":[{},[0,0,3]],"e":[{},[0,4]]}]}],"o":[{"r":[{},[0,0,3]]}],"r":[{".":[{},[0,3]],"a":[{},[0,0,3]],"e":[{},[0,4,3,2]],"i":[{"f":[{},[0,0,5]]}],"o":[{},[3,4]],"w":[{},[0,0,4]],"y":[{"m":[{},[0,0,3]]}]},[0,2]],"s":[{"g":[{},[0,0,0,3]],"o":[{},[0,0,3]],"t":[{},[0,0,0,3]],"w":[{},[0,0,3]],"y":[{},[0,0,3]]}],"t":[{".":[{},[4,3]]}],"w":[{".":[{},[0,4]],"a":[{},[0,0,3,4]],"e":[{"n":[{},[0,0,5]]},[0,4]],"y":[{"f":[{},[0,3]]}]},[0,2,0,2]]},[2,1]],"ï":[{},[0,1]],"l":[{"a":[{"d":[{"d":[{},[0,3]],"r":[{},[0,0,0,0,0,3]]}],"f":[{},[0,0,3]],"m":[{},[0,3]],"u":[{},[0,4]]}],"e":[{"d":[{},[0,0,3]],"i":[{},[0,3,4]],"n":[{".":[{},[0,4]],"a":[{},[0,0,0,3]],"e":[{},[0,0,0,5]],"t":[{},[0,4]]}],"r":[{},[0,0,3]],"w":[{},[0,3]]}],"o":[{"c":[{},[0,0,3]],"d":[{},[0,0,3]],"n":[{"e":[{},[0,0,0,0,5]]},[0,3,0,0,3]]},[0,2]],"u":[{"d":[{"d":[{},[0,0,0,0,0,3]]}]},[0,1]],"w":[{},[0,2]],"y":[{"c":[{},[0,0,3]],"d":[{".":[{},[0,3]]}],"n":[{},[0,3]],"r":[{},[0,0,4]],"w":[{},[0,3]]}]}],"m":[{"a":[{"r":[{},[0,0,4]]}],"e":[{"r":[{},[0,0,4]]}],"o":[{"d":[{},[0,0,4]]}],"y":[{},[0,3]]},[0,1,2]],"n":[{"a":[{"p":[{},[0,3]],"s":[{},[0,0,3]],"w":[{},[0,3]]}],"e":[{"b":[{},[0,0,0,0,4]],"d":[{},[0,2,3]],"s":[{},[0,0,3]]}],"i":[{".":[{},[0,3]]},[0,2]],"o":[{"i":[{},[0,0,0,2]],"s":[{},[0,3]]}],"w":[{},[0,2,1]],"y":[{},[0,2]]},[0,1]],"o":[{"c":[{"h":[{},[0,3]]}],"d":[{".":[{},[0,2]],"i":[{"a":[{},[0,4]]},[0,2]],"r":[{},[0,0,0,3]]}],"e":[{"n":[{},[0,0,4]]},[2]],"f":[{"y":[{"d":[{"d":[{"i":[{"o":[{},[0,0,0,5]]}]}]}]}]},[0,2]],"l":[{".":[{},[0,3]],"l":[{},[0,4]],"w":[{"g":[{},[0,0,0,4]]}]}],"m":[{},[0,3]],"n":[{"a":[{},[0,0,0,2]],"e":[{},[0,0,0,2]],"t":[{},[0,3]]}],"r":[{"a":[{},[0,0,0,2]],"d":[{"a":[{},[0,0,0,4]]}],"w":[{"e":[{},[0,0,0,5]]}]}],"s":[{},[0,0,0,3]],"w":[{},[0,0,2]]},[0,1]],"r":[{".":[{},[2]],"a":[{".":[{},[3]],"d":[{".":[{},[0,0,3]],"a":[{},[0,0,3]],"d":[{},[0,0,0,0,0,3]],"w":[{},[0,0,3]]}],"f":[{},[0,0,3,4]],"i":[{"d":[{},[0,0,5]],"n":[{},[0,0,5]]}],"m":[{"g":[{},[0,0,0,0,4]]}],"n":[{".":[{},[0,0,4]],"a":[{},[0,0,0,3]],"e":[{},[0,0,0,3]],"n":[{},[0,0,4]],"t":[{},[0,0,3]]}],"u":[{".":[{},[0,0,5]]}]}],"c":[{},[0,0,3]],"e":[{"d":[{"o":[{},[0,0,4]]},[0,0,3]],"n":[{},[0,0,3]],"u":[{},[0,4]],"w":[{},[0,0,0,0,3]]}],"f":[{"f":[{},[0,0,0,0,4]]},[0,0,3]],"i":[{"a":[{"u":[{},[0,0,4]]}],"d":[{},[0,4,3]],"r":[{},[0,4]]}],"o":[{"e":[{"s":[{},[0,0,0,3]]},[0,4]],"g":[{"e":[{},[0,0,0,0,4]]},[4]],"l":[{".":[{},[0,0,5]]},[0,0,3]],"n":[{".":[{},[0,0,3]],"a":[{},[0,0,0,0,3]],"t":[{},[0,0,3]]}]}],"w":[{"g":[{},[0,4]],"n":[{},[0,0,3]],"y":[{"f":[{},[0,0,3]]}]}],"y":[{"d":[{},[0,0,3]],"n":[{".":[{},[0,0,3]]}],"w":[{},[0,3]]}]}],"s":[{},[0,1,2]],"u":[{"g":[{},[0,1,0,1]],"n":[{".":[{},[0,4]],"a":[{},[0,0,0,3]],"i":[{"a":[{},[0,4]]}]}],"r":[{},[0,1]],"s":[{},[0,1]],"t":[{},[1]],"w":[{"c":[{"h":[{},[0,0,5]]}]}]}],"w":[{"a":[{"d":[{"w":[{},[0,0,3]]}],"e":[{},[0,3]],"f":[{},[0,0,3]],"i":[{"t":[{},[0,3]]}],"l":[{},[0,3]],"n":[{},[0,0,3]],"s":[{},[0,0,3]]},[0,0,2]],"b":[{"l":[{},[0,0,0,0,4]]},[0,0,0,3]],"c":[{},[0,3]],"d":[{},[0,0,0,2]],"e":[{"d":[{"i":[{},[0,0,3]]}],"n":[{},[0,2]],"r":[{"y":[{},[0,0,0,0,5]]}]}],"i":[{"d":[{},[0,4,3]],"r":[{},[0,4,3]],"t":[{},[0,4]]}],"m":[{"i":[{"g":[{},[0,0,5]]}]}],"o":[{},[0,0,3]],"r":[{"e":[{},[0,0,0,3]],"n":[{},[0,2]]}],"y":[{"b":[{},[0,0,0,3]],"c":[{},[0,4]],"n":[{},[0,0,0,0,3]],"o":[{"n":[{".":[{},[0,0,0,4]]}]}],"r":[{},[0,2]]}]},[0,1]],"y":[{".":[{},[3]],"c":[{"h":[{".":[{},[0,5]]}]},[0,1]],"d":[{".":[{},[0,3]],"d":[{},[4]],"w":[{"y":[{},[0,0,0,0,5]]},[0,0,0,2]]},[0,1]],"f":[{"a":[{"n":[{},[0,0,0,5]]}],"f":[{},[0,0,0,0,4]],"n":[{},[0,0,0,4,3]],"o":[{"d":[{"d":[{},[0,0,0,5]],"i":[{},[0,0,5]]},[0,0,0,4]]}],"r":[{"a":[{"d":[{},[0,0,0,0,0,0,4]]}]},[0,0,0,2,3]]}],"g":[{".":[{},[0,3]],"l":[{},[0,3]],"y":[{},[0,0,3]]}],"l":[{"a":[{"d":[{},[0,0,0,5]],"n":[{},[0,0,3]]}],"l":[{},[0,0,0,0,3]],"u":[{},[0,0,3]]},[0,2]],"m":[{"a":[{"g":[{},[0,0,0,0,0,5]]}],"o":[{"d":[{},[0,0,0,5]]}]},[0,1]],"n":[{"a":[{"s":[{},[0,0,3]]},[3]],"e":[{"s":[{},[0,0,3]]}],"o":[{"d":[{},[0,0,3,4]]}]}],"r":[{"a":[{},[0,0,3,2]],"e":[{},[0,0,0,2]],"i":[{},[0,0,3]],"y":[{"d":[{},[0,0,5]]}]}],"s":[{".":[{},[2]],"a":[{},[4]],"g":[{"a":[{},[0,0,0,0,5]]},[0,0,0,4]],"o":[{},[4]]}]}]}],"e":[{"a":[{"d":[{"f":[{},[0,4]],"l":[{},[0,4]]},[0,1]],"f":[{".":[{},[0,3]],"a":[{},[0,0,4]],"g":[{},[0,4]]},[0,0,0,1]],"i":[{},[0,1]],"n":[{"g":[{},[0,4]]},[0,1,0,3]],"r":[{"f":[{"o":[{},[0,0,0,5]]},[0,0,0,0,2]],"n":[{"i":[{},[0,0,0,0,4]]}]},[0,0,0,1]],"s":[{},[0,1]],"u":[{},[0,1]],"w":[{},[0,3]]},[2]],"b":[{"a":[{"d":[{},[0,0,3]],"r":[{".":[{},[0,0,5]]}]}],"e":[{},[0,0,1]],"l":[{},[0,0,0,2]],"o":[{"n":[{"t":[{},[0,0,3]]}]},[0,0,1]],"r":[{"a":[{"n":[{"e":[{},[0,0,0,0,5]]}]}],"e":[{},[0,0,0,3]],"i":[{},[0,0,4,3]],"o":[{},[0,0,0,3]]}],"w":[{"y":[{},[0,0,3]]},[0,0,1]],"y":[{"l":[{"l":[{},[0,0,5]]}]}]}],"c":[{"a":[{},[2,0,1]],"e":[{},[2,0,3]],"h":[{"o":[{"d":[{},[0,0,0,5]]}],"r":[{"y":[{},[0,0,0,3]]},[0,0,0,0,4]],"w":[{"e":[{},[0,0,0,5]],"y":[{"d":[{},[0,0,0,5]],"n":[{"a":[{},[0,0,0,0,0,5]],"e":[{},[0,0,0,0,0,5]]}]}]}]},[0,0,0,1]],"o":[{"n":[{"o":[{},[0,0,0,5]]},[0,0,0,0,2]],"r":[{"d":[{},[0,0,5]]}]},[2]],"r":[{},[0,0,0,1]],"t":[{"o":[{},[0,0,4]]},[2]],"w":[{},[2]],"y":[{},[0,0,3]]}],"d":[{"a":[{"l":[{},[0,0,4]]},[2,0,3]],"d":[{"a":[{"d":[{},[0,0,0,3]],"l":[{},[0,0,0,3]],"r":[{},[0,0,0,3]]}],"e":[{},[0,0,0,3]],"f":[{"a":[{},[0,0,0,0,3]],"i":[{},[0,0,0,0,5]],"o":[{},[0,0,0,0,3]],"w":[{},[0,0,0,0,3]],"y":[{},[0,0,0,0,3]]},[2]],"g":[{},[4]],"o":[{},[0,0,0,3]],"y":[{"c":[{},[0,0,0,3]],"g":[{},[0,0,0,3]],"l":[{"a":[{},[0,0,0,5]],"e":[{"d":[{},[0,0,0,5]]}],"o":[{},[0,0,0,5]],"w":[{},[0,0,0,5]]}],"n":[{},[0,0,0,5]]}]}],"e":[{"g":[{},[0,0,3]],"i":[{},[0,0,2]],"n":[{"a":[{},[0,0,0,0,5]]}]},[0,0,1]],"f":[{"a":[{},[0,0,3]],"e":[{},[0,0,3]],"i":[{},[0,0,3]],"w":[{},[0,0,0,4]]}],"i":[{"a":[{},[4]],"f":[{},[0,0,0,4]],"g":[{},[0,0,3]],"n":[{},[0,0,3,4]],"r":[{},[0,0,3]],"w":[{},[0,0,3]]}],"ï":[{},[3]],"l":[{"o":[{},[0,0,4]]},[2,0,0,1]],"r":[{".":[{},[4]],"e":[{},[0,0,0,3]],"o":[{},[0,0,0,3]],"y":[{"d":[{},[0,0,0,4]]}]}],"w":[{"e":[{"n":[{},[0,0,0,3]]},[0,0,2]],"l":[{"w":[{},[0,0,0,5]]}],"y":[{},[0,0,3,0,4]]},[2]],"y":[{"m":[{},[0,0,0,0,4]]},[0,0,3]]}],"e":[{},[2,1]],"f":[{"a":[{"d":[{"w":[{"y":[{".":[{},[0,0,5]]}]}]}],"n":[{".":[{},[0,0,5]]},[0,0,3]],"r":[{},[0,0,3,0,3]],"u":[{},[0,0,3]]}],"e":[{"r":[{},[0,0,0,0,2]]},[0,0,1]],"f":[{"e":[{},[0,0,0,4]],"r":[{"e":[{},[0,0,0,5]],"o":[{"e":[{"r":[{},[0,0,0,0,0,4]]}]}]},[0,0,0,3,4]],"y":[{},[0,0,0,3]]}],"i":[{"d":[{},[0,0,3]],"g":[{},[0,0,3]]}],"l":[{"o":[{},[0,0,4]]},[0,0,2,3]],"n":[{"o":[{"s":[{},[0,0,5]]}]},[0,0,0,1]],"o":[{"d":[{"o":[{},[0,0,4]]}]},[0,0,1]],"r":[{"e":[{},[0,0,0,3]],"i":[{},[0,0,4]],"y":[{},[0,0,4]]},[0,0,2]],"u":[{"s":[{},[0,0,4]]}],"w":[{},[0,0,1]],"y":[{"d":[{"d":[{"a":[{"d":[{},[0,0,0,0,0,0,0,5]]}]}]}],"n":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,5]]}]}]}],"g":[{"a":[{"n":[{".":[{},[4,0,5]],"a":[{},[0,0,4]]}],"r":[{},[0,0,0,0,3]]}],"e":[{"i":[{"r":[{},[0,0,0,0,0,4]]}],"l":[{"l":[{},[0,0,5]]}],"n":[{".":[{},[4]]}]}],"f":[{},[2]],"i":[{"g":[{".":[{},[0,0,5]]}]}],"l":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,3]],"o":[{},[0,0,0,3]]}],"o":[{"n":[{".":[{},[0,0,4]]}],"s":[{".":[{},[0,0,5]]},[4]]},[2]],"r":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,3]],"i":[{},[0,0,0,3]],"o":[{},[0,0,0,3]],"w":[{},[0,0,0,3]],"y":[{"c":[{},[0,0,0,3]]},[0,0,3]]}],"u":[{},[0,0,2]],"y":[{"r":[{},[0,0,3]]}]},[0,2,1]],"h":[{"o":[{},[0,1]],"y":[{},[0,1]]}],"i":[{"a":[{"f":[{"r":[{},[0,0,5]]},[0,0,0,0,3]]},[2,0,1]],"b":[{"r":[{"e":[{},[0,0,3]]}]}],"c":[{"h":[{},[0,0,0,0,3]]}],"d":[{"a":[{"l":[{},[0,0,0,0,0,5]]}],"d":[{"y":[{},[0,0,0,0,5]]},[0,0,0,0,3]],"e":[{"r":[{},[0,0,5]]}],"l":[{"a":[{},[0,0,0,5]]},[0,0,0,0,2]],"r":[{"o":[{},[0,0,0,0,5]]},[2]]}],"e":[{},[0,0,1]],"g":[{"l":[{"a":[{"d":[{},[0,0,0,0,5]]}],"e":[{"n":[{"n":[{},[0,0,0,5]]}]}],"w":[{},[0,0,0,0,3]]}],"r":[{},[0,0,4]]},[2]],"l":[{"a":[{"d":[{"w":[{"y":[{".":[{},[4]]}]}]},[3]]}],"e":[{"c":[{},[0,0,0,5]],"g":[{},[0,0,0,5]],"s":[{},[0,0,0,3]]}],"l":[{},[0,0,4]]}],"n":[{"a":[{},[0,0,0,2]],"d":[{"i":[{},[0,0,0,0,5]],"r":[{"w":[{},[0,0,0,4]]}]}],"f":[{},[4]],"g":[{"a":[{},[0,0,0,0,4]]}],"i":[{"o":[{},[0,0,0,5]]}],"l":[{},[4]],"y":[{},[4]]}],"o":[{"n":[{"t":[{},[0,0,3]]}]},[2,0,1]],"r":[{"y":[{},[0,0,0,3]]}],"t":[{"h":[{"e":[{},[0,0,0,0,5]]}]},[2]],"w":[{},[0,0,1]],"y":[{},[0,0,3]]},[0,2]],"l":[{"a":[{"i":[{"n":[{},[0,0,5]]}],"n":[{"e":[{},[0,0,0,0,5]]}]},[0,0,1]],"c":[{"o":[{},[0,0,4]]}],"e":[{"d":[{},[0,0,3]],"n":[{"o":[{},[0,0,4]]}],"r":[{"a":[{},[0,0,4]],"e":[{},[0,0,4]]}]},[0,0,1]],"f":[{"a":[{"r":[{},[0,0,5]]}],"e":[{"d":[{},[0,0,5]]}]}],"g":[{"r":[{"i":[{},[0,0,0,0,0,5]]}]}],"h":[{},[3]],"i":[{"f":[{"f":[{},[0,0,5]]}],"g":[{},[4]]}],"l":[{"a":[{"c":[{},[0,0,0,5]]}],"t":[{"i":[{"r":[{},[0,0,0,0,4]]}]}],"w":[{"y":[{},[0,0,0,5]]}],"y":[{},[0,0,0,3]]},[0,0,0,1]],"m":[{"y":[{"n":[{},[0,0,5]]}]},[0,0,2,3]],"o":[{"d":[{"d":[{},[0,0,3]]},[0,0,2]],"g":[{"a":[{},[0,0,4]]},[4]]},[0,0,1]],"r":[{"i":[{},[0,0,2]]}],"w":[{"i":[{},[0,0,4]],"y":[{},[0,0,3]]}],"y":[{"b":[{"i":[{"a":[{},[0,0,5]]}],"r":[{},[0,0,5]]}],"c":[{},[0,0,3]],"d":[{".":[{},[0,0,5]],"d":[{},[0,0,3]]},[4]],"n":[{"a":[{},[0,0,3]],"e":[{"d":[{},[0,0,5]]}],"g":[{},[0,0,0,0,0,4]],"n":[{},[0,0,3]]},[0,0,0,0,3]],"r":[{},[0,0,3]],"s":[{"g":[{},[0,0,4]],"t":[{},[0,0,4]]},[0,0,3]]}]},[2,2]],"m":[{"a":[{"i":[{"n":[{},[0,0,5]]}],"t":[{},[0,0,4]]}],"e":[{},[2,0,3]],"o":[{"s":[{},[0,0,4]]},[2]],"p":[{"r":[{},[0,0,0,0,3]]},[2]],"r":[{"y":[{"n":[{},[0,0,5]]}]}],"t":[{"a":[{"s":[{},[0,0,5]]}]},[2]],"y":[{},[2]]}],"n":[{"a":[{"d":[{"a":[{},[0,0,5]],"u":[{},[0,4,3]]}],"e":[{},[0,4]],"f":[{},[0,0,3]],"g":[{"o":[{},[0,0,5]]},[0,4]],"i":[{},[0,0,3]],"n":[{},[0,0,3]],"r":[{"g":[{},[0,0,0,0,4]]},[0,4,0,0,3]],"w":[{},[0,4,3]]}],"b":[{"y":[{"l":[{},[0,0,5]]}]}],"c":[{"t":[{},[0,0,4]],"y":[{},[0,0,4]]},[0,0,3]],"d":[{"i":[{"g":[{},[0,0,0,0,0,3]]}],"r":[{},[0,0,0,0,4]]},[2]],"e":[{"c":[{},[0,0,3]],"d":[{".":[{},[0,0,3]],"d":[{},[0,0,5]]}],"l":[{},[0,0,3]],"m":[{},[0,0,3]],"n":[{},[0,0,3]],"r":[{},[0,0,3]],"s":[{"t":[{},[0,0,3]]}],"u":[{},[0,0,3]],"w":[{"y":[{},[0,0,0,0,5]]},[0,4]]}],"f":[{"y":[{"d":[{},[0,0,5]]}]}],"g":[{"h":[{},[0,0,0,3]],"i":[{},[0,0,4]],"l":[{"o":[{"g":[{},[0,0,5,0,4]]}]},[0,0,0,0,3]]}],"i":[{"s":[{"e":[{},[0,0,5]]}],"t":[{},[0,0,3]]}],"o":[{"l":[{"i":[{},[0,0,4]]}]},[0,0,3]],"t":[{"i":[{"r":[{},[0,0,0,4]]},[4]],"r":[{},[0,0,3]],"w":[{"r":[{},[0,0,0,4]]}],"y":[{"a":[{},[0,0,5]]},[4]]}],"u":[{"c":[{"h":[{},[0,0,5]]}]}],"w":[{"a":[{"d":[{},[0,0,0,3]]}],"c":[{},[0,0,3]],"n":[{},[0,0,3]],"r":[{},[0,0,3]],"y":[{"d":[{},[0,0,3]],"f":[{},[0,0,3]]}]}],"y":[{"c":[{"h":[{".":[{},[0,0,5]],"a":[{"s":[{"e":[{},[0,0,5]]}]}],"i":[{"a":[{},[0,0,5]]}]}]},[0,0,3]],"g":[{},[0,0,4]]}]}],"o":[{"c":[{"h":[{".":[{},[0,5]]}]}],"d":[{},[0,1]],"e":[{},[0,1]],"l":[{"a":[{"e":[{},[0,4]],"i":[{"d":[{},[0,4]]}],"u":[{},[0,4]]}]}],"m":[{},[0,1]],"n":[{},[0,1]],"r":[{},[0,0,0,3]]},[2]],"p":[{"a":[{"c":[{"h":[{},[0,0,5]]}]}],"l":[{},[0,0,3]]}],"r":[{"a":[{"i":[{"n":[{},[0,0,5]]}]},[0,0,1]],"c":[{"a":[{},[0,0,0,3]],"h":[{},[0,0,4]],"o":[{},[4]]},[0,0,2]],"d":[{"e":[{},[0,0,3]],"y":[{},[0,0,0,3]]},[2,0,2]],"e":[{},[0,0,1]],"f":[{"a":[{"n":[{},[0,0,5]],"u":[{},[0,0,0,5]]}],"e":[{"d":[{},[0,0,3]]}],"f":[{},[0,0,3]],"l":[{},[0,0,4]],"u":[{},[0,0,4]],"y":[{"d":[{},[0,0,3]]}]},[2]],"g":[{"l":[{},[0,0,3]],"y":[{},[0,0,2]]}],"i":[{"c":[{},[0,0,4]],"l":[{},[0,0,4]],"n":[{},[0,0,0,0,3]],"r":[{".":[{},[0,0,5]]}],"t":[{".":[{},[0,0,5]]}]},[0,0,3]],"l":[{"y":[{"s":[{},[0,0,5]]}]},[0,0,2]],"m":[{"d":[{},[0,0,4]],"w":[{},[0,0,4]],"y":[{},[0,0,4]]}],"n":[{"a":[{},[0,0,3]],"i":[{"a":[{"s":[{},[0,0,5,0,5]]}]},[0,0,0,4]],"y":[{"w":[{},[0,0,5]]}]}],"o":[{"b":[{},[4]],"g":[{},[0,0,0,0,4]],"l":[{"i":[{},[0,0,5]]},[4]],"n":[{"y":[{},[0,0,4]]}]},[0,0,1]],"s":[{"e":[{"i":[{},[0,0,5]]},[0,0,2]]}],"t":[{},[2]],"w":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,4,3]],"l":[{},[0,0,4]],"n":[{},[0,0,3]],"r":[{"e":[{},[0,0,4]]}],"y":[{"c":[{},[0,0,4]],"d":[{"d":[{},[0,0,4]]}]},[0,0,3]]}],"y":[{"c":[{},[0,0,3]],"d":[{"d":[{},[0,0,3]]}],"g":[{},[0,0,3]],"l":[{"e":[{},[0,0,0,0,3]],"l":[{},[0,0,4]]},[0,0,3]],"n":[{"a":[{},[0,0,0,0,4]],"e":[{},[0,0,0,0,4]]},[0,0,3]]}]}],"s":[{"a":[{},[0,0,3]],"b":[{"a":[{},[0,0,3]]}],"e":[{},[0,0,3]],"g":[{"a":[{"r":[{},[0,0,5]]}],"e":[{},[0,0,4]],"n":[{},[0,0,4]],"w":[{},[0,0,4,3]],"y":[{"n":[{},[0,0,4]]}]}],"n":[{"e":[{},[0,0,4]]},[0,0,3]],"t":[{"a":[{"m":[{},[0,0,5]]},[0,0,4,3]],"e":[{"r":[{},[0,0,0,3]]}],"f":[{},[2]],"l":[{},[2]],"o":[{"l":[{},[0,0,0,5]]}],"u":[{},[4]],"y":[{"l":[{"l":[{".":[{},[0,0,5]]}]}],"n":[{"a":[{},[0,0,0,0,5]],"e":[{},[0,0,0,0,5]]}]}]}],"u":[{"r":[{"a":[{"d":[{},[0,0,0,0,0,0,4]]}]}]},[2]],"y":[{"d":[{".":[{},[0,0,4]]}],"n":[{},[0,0,3,0,3]]}]}],"t":[{"a":[{"c":[{},[0,0,3]],"d":[{},[0,0,3]],"e":[{},[0,3]]}],"e":[{"g":[{".":[{},[0,0,5]]}],"r":[{".":[{},[0,0,3]]},[0,0,0,0,4]]}],"h":[{"e":[{},[0,0,0,3]],"i":[{},[0,0,0,3]],"l":[{"e":[{},[0,0,0,4]]}],"o":[{"s":[{},[0,0,0,3]]}],"r":[{},[0,0,0,4,3]],"w":[{},[0,0,0,3]]},[0,0,0,1]],"i":[{"r":[{"o":[{},[0,0,5]]}]}],"o":[{},[0,0,1]],"r":[{"e":[{".":[{},[0,0,5]]}]}],"s":[{"w":[{"y":[{},[0,0,5]]}]}],"w":[{"r":[{},[4]]},[0,0,1]],"y":[{"w":[{"y":[{},[0,0,0,5]]}]}]},[0,2]],"u":[{"a":[{"u":[{},[4]]},[0,0,3]],"b":[{},[2,0,1,2]],"d":[{"a":[{},[0,0,3]],"e":[{},[0,0,3,4]],"i":[{},[0,0,0,4]]},[2,0,0,2]],"f":[{},[2,0,1]],"g":[{},[0,0,1]],"l":[{"l":[{},[0,0,0,0,4]],"y":[{"s":[{},[0,0,5]]}]}],"n":[{"a":[{"n":[{},[0,0,5]]}],"o":[{"s":[{},[0,0,5]]}],"y":[{"d":[{"d":[{"i":[{},[0,0,5]]}]}]}]},[2,0,0,2]],"s":[{"i":[{"l":[{},[0,0,5]]}],"t":[{},[0,0,0,3]]}],"t":[{"h":[{},[0,0,4]],"u":[{},[0,0,4]]}],"w":[{},[0,0,3]]},[0,2]],"w":[{"a":[{},[0,0,1]],"d":[{},[0,0,3]],"e":[{},[0,0,1]],"g":[{"l":[{},[0,0,0,0,4]],"w":[{},[0,0,0,4]]},[0,0,3]],"i":[{"r":[{},[0,0,3]],"s":[{},[0,0,0,0,3]]}],"l":[{},[0,0,0,1]],"o":[{},[0,0,3]],"p":[{"a":[{"r":[{},[0,0,5]]}]}],"y":[{"d":[{".":[{},[0,3]]}],"f":[{},[0,3]]}]},[2]],"y":[{"c":[{},[0,1]],"e":[{"n":[{},[0,0,4]]}]},[2]]}],"ë":[{},[1]],"f":[{"a":[{".":[{},[3]],"b":[{"i":[{},[0,0,0,4]]},[0,0,0,3]],"c":[{"h":[{},[0,0,0,0,3]],"w":[{},[0,0,0,4]]}],"d":[{"d":[{},[0,0,0,0,2]],"e":[{"i":[{},[0,0,0,4]]}],"r":[{},[0,0,0,4,3]]}],"e":[{"l":[{},[0,0,0,0,3]]}],"f":[{},[0,1]],"g":[{"d":[{},[0,0,0,4]],"l":[{},[0,0,0,0,3]]},[3]],"i":[{},[0,1]],"l":[{"c":[{"h":[{},[0,0,0,0,0,4]]}],"o":[{"n":[{},[0,4,0,5]]}],"u":[{},[0,4]]}],"m":[{},[0,3]],"n":[{".":[{},[0,4]],"d":[{},[0,0,0,3]],"e":[{"d":[{"d":[{},[0,0,0,5]]}],"s":[{},[0,0,0,4]]}],"f":[{},[0,3]],"o":[{},[0,0,0,3]],"t":[{},[0,0,0,0,2]]}],"o":[{"e":[{},[3]]}],"r":[{"a":[{},[0,0,0,3]],"c":[{"h":[{},[0,0,0,4,0,3]]}],"e":[{},[4,0,0,2]],"f":[{"a":[{},[0,0,0,4]]},[0,3]],"l":[{},[0,0,0,4]],"n":[{"a":[{},[0,0,0,0,3]]},[3]],"p":[{},[0,3]],"t":[{},[0,3]],"w":[{"e":[{},[0,4]],"y":[{},[0,3]]}]}],"s":[{"i":[{"w":[{},[0,0,0,4]]}]},[0,1]],"t":[{"o":[{},[0,0,0,4]]},[0,3]],"w":[{"d":[{"a":[{},[0,0,0,0,4]]}],"r":[{},[3]]}]}],"b":[{},[0,1,2]],"d":[{"d":[{},[0,0,0,2]],"w":[{"r":[{".":[{},[0,0,5]]}]},[0,2]]},[0,1,2]],"e":[{"b":[{".":[{},[0,4]],"r":[{},[0,0,0,0,3]]}],"c":[{},[0,1]],"d":[{"n":[{},[0,0,0,4]],"r":[{},[0,2]]}],"i":[{"a":[{},[3]],"e":[{},[3]],"o":[{},[0,0,4]],"r":[{"i":[{"a":[{"d":[{"u":[{},[0,0,0,0,0,0,0,4]]}]}]}]}],"t":[{"h":[{},[0,0,0,0,0,3]]}],"w":[{},[0,0,4]]}],"l":[{".":[{},[0,4]],"l":[{},[0,3]],"y":[{"n":[{"o":[{},[0,0,0,5]]}]}]}],"m":[{},[0,1]],"n":[{"a":[{},[0,0,3]],"g":[{},[0,0,0,0,3]],"t":[{"r":[{},[0,0,0,0,0,5]]},[0,0,0,0,4]],"w":[{},[0,0,0,0,3]],"y":[{},[0,0,0,3]]}],"r":[{"a":[{},[2]],"c":[{"h":[{"e":[{"r":[{},[0,0,0,0,0,4]]}]}]}],"d":[{"d":[{},[0,0,0,0,0,4]]}],"e":[{},[2,2]],"i":[{"n":[{},[0,0,0,4]]},[2,2]],"o":[{},[2,2]],"w":[{"y":[{"c":[{},[0,0,0,0,5]]}]},[0,2]],"y":[{},[0,4,0,3]]}],"s":[{},[0,1]],"t":[{"h":[{".":[{},[0,4]],"a":[{},[0,4]]},[0,0,0,0,3]]}],"u":[{},[0,0,0,1]],"y":[{},[3]]}],"f":[{"a":[{"d":[{},[0,0,3]],"n":[{"t":[{},[0,0,3]]}],"t":[{},[0,0,4]],"u":[{},[0,0,3]]}],"e":[{"d":[{".":[{},[0,0,3]],"i":[{"g":[{},[0,0,5]]}]}],"i":[{"o":[{},[0,0,5]]}],"l":[{".":[{},[0,0,5]]}],"n":[{"e":[{"d":[{},[0,0,0,0,5]]}],"t":[{},[0,0,3]]}],"r":[{".":[{},[0,0,3]],"t":[{},[3]]}],"s":[{"u":[{},[0,0,3]]}],"t":[{},[0,0,0,0,4]]}],"i":[{"d":[{"l":[{},[0,0,0,0,0,5]]}]},[2]],"l":[{"a":[{"c":[{},[0,0,0,4]]},[0,0,4]],"o":[{"g":[{},[0,0,5]],"s":[{},[0,0,5]]},[0,0,4]]},[0,0,2]],"n":[{},[0,0,3]],"o":[{"d":[{"e":[{},[0,0,0,0,5]],"i":[{},[0,0,4]]},[0,0,3]],"n":[{".":[{},[3]],"a":[{},[0,0,0,3,4]],"e":[{},[0,0,0,3,4]],"t":[{},[0,0,3]]}],"r":[{".":[{},[5]]},[0,0,2]],"s":[{},[0,0,4]]}],"r":[{"a":[{},[0,0,2]],"i":[{},[0,0,2]],"o":[{"d":[{},[0,0,4]]}],"w":[{},[0,0,2]],"y":[{"n":[{},[0,0,0,3]]},[4]]}],"t":[{},[0,0,2]],"u":[{"r":[{"f":[{},[5,0,0,0,0,3]]}]}],"w":[{"y":[{"f":[{},[0,0,5]]}]}],"y":[{"l":[{".":[{},[0,0,5]]}]}]},[0,2]],"g":[{"w":[{"r":[{},[0,0,4]]}]},[0,1]],"h":[{"a":[{"o":[{"l":[{},[0,0,0,5]]}]}]},[0,1,2]],"i":[{"a":[{"d":[{"a":[{"e":[{},[0,4]]}]}]}],"c":[{"e":[{},[0,0,0,4]]},[2]],"d":[{".":[{},[0,3]]},[0,2]],"g":[{"e":[{"n":[{".":[{},[0,0,0,4]]}]}]}],"l":[{"y":[{},[0,0,0,3]]}],"n":[{".":[{},[0,4]],"d":[{},[0,3]],"t":[{},[0,0,0,4]]},[0,0,0,3]],"s":[{"g":[{},[0,0,0,0,4]]}]},[0,1]],"ï":[{},[0,2]],"l":[{"a":[{"d":[{},[0,0,3]],"f":[{},[0,0,0,0,4]],"i":[{},[0,0,3]],"m":[{"a":[{"d":[{},[0,0,0,0,0,0,4]]}]}],"n":[{"a":[{},[0,0,0,3]],"e":[{"d":[{},[0,0,0,0,5]]}]}],"s":[{},[0,2]],"w":[{},[0,0,0,0,4]]}],"e":[{"c":[{},[0,0,3]],"i":[{"s":[{},[0,0,5]]}],"m":[{},[0,0,3]],"n":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,5]]}],"o":[{},[0,0,4]]}],"i":[{"d":[{},[0,0,3]],"g":[{},[0,0,4]],"n":[{"e":[{},[0,0,0,0,3]]}],"r":[{},[0,0,3]],"w":[{},[0,0,4]]}],"o":[{"m":[{},[0,0,3]],"n":[{},[0,3]]}],"r":[{"w":[{"y":[{},[0,0,5]]}]}],"w":[{"r":[{},[0,4,3]]}],"y":[{"c":[{"h":[{"w":[{},[0,5]]}]}],"d":[{},[0,4,4]],"f":[{},[0,0,4]],"n":[{"a":[{},[0,0,0,0,3]],"e":[{},[0,0,0,0,3]]}]},[0,1]]},[0,0,2]],"n":[{"a":[{},[0,0,3]],"d":[{},[0,0,3]],"e":[{"c":[{},[0,4,3]],"d":[{},[0,4,3]],"m":[{},[0,4,3]],"n":[{},[0,4]]}],"i":[{"f":[{},[0,3]],"g":[{},[0,0,3]],"t":[{"h":[{},[0,3]]}]}],"l":[{"u":[{".":[{},[0,0,5]]}]}],"o":[{"c":[{},[0,4,3]],"m":[{},[0,4,3]],"n":[{},[0,4,3]]}],"w":[{},[0,0,3]],"y":[{"c":[{},[0,4,3]],"n":[{},[0,0,3]]},[0,0,2]]},[0,2]],"o":[{"c":[{},[0,1]],"d":[{"d":[{},[0,0,0,0,3]],"e":[{"n":[{"n":[{},[0,0,0,4]]}]}],"f":[{},[0,4]],"r":[{"w":[{},[0,0,0,3]]},[0,0,0,0,4]],"u":[{},[0,4]]}],"e":[{"d":[{"d":[{},[0,3]]}]}],"g":[{},[0,1]],"l":[{"e":[{"n":[{"n":[{},[0,0,0,4]]}]}]},[0,0,0,3]],"m":[{},[0,1]],"n":[{"d":[{},[0,0,0,4]],"o":[{"g":[{},[5]]}],"y":[{},[0,4]]}],"r":[{".":[{},[0,4]],"c":[{},[0,0,0,4]],"d":[{},[0,4]],"f":[{},[0,0,0,3]]}],"s":[{"i":[{},[0,0,0,4]],"o":[{},[0,0,0,3]]},[0,3,0,2]],"t":[{"r":[{},[0,4]]},[0,3]]}],"r":[{"a":[{"f":[{},[0,2]],"i":[{},[0,2]],"n":[{"a":[{},[0,0,0,3]],"e":[{"d":[{},[0,0,0,5]]}]}],"s":[{"a":[{"u":[{},[0,0,0,0,4]]}]}],"u":[{},[0,4,3]]},[0,0,2]],"d":[{"d":[{},[0,0,0,0,2]]},[0,0,3]],"e":[{"c":[{},[0,2]],"d":[{".":[{},[0,4]]}],"g":[{"y":[{},[0,0,0,0,3]]},[0,4]],"m":[{},[0,2]],"n":[{},[0,4]],"o":[{},[0,3]],"r":[{},[0,2]]},[0,0,0,2]],"f":[{},[0,0,3]],"h":[{},[0,2]],"i":[{"d":[{".":[{},[0,0,3]]},[0,2]],"r":[{},[0,2]],"t":[{},[0,4]]}],"o":[{"a":[{"d":[{"w":[{},[0,5]]}]},[0,3]],"c":[{},[0,2]],"d":[{"i":[{"a":[{"e":[{},[0,0,0,0,4]]}]}]}],"e":[{"n":[{},[0,0,0,4]],"s":[{"i":[{},[0,0,0,5]]}]},[0,0,0,2]],"i":[{},[0,3,0,2]],"m":[{},[0,2]],"n":[{},[0,2]],"o":[{},[0,3]],"t":[{},[0,0,4]],"w":[{"c":[{},[0,0,0,4]],"n":[{},[0,0,0,4]]},[0,3]]},[0,0,2]],"u":[{},[0,1]],"w":[{"c":[{},[0,2]]},[0,0,2]],"y":[{"n":[{},[0,3]]},[0,2]]}],"t":[{"a":[{},[0,1]],"e":[{"r":[{},[0,3]]}]}],"u":[{"d":[{"d":[{"l":[{},[0,0,0,0,4]]}],"w":[{},[0,0,0,3]]}],"l":[{},[0,0,2]],"n":[{},[0,1,0,3]],"r":[{"f":[{},[0,4]]}]}],"w":[{"a":[{},[0,3]],"c":[{},[0,1]],"d":[{},[0,0,0,3]],"e":[{},[0,1]],"l":[{".":[{},[4]]}],"n":[{},[0,1,0,2]],"r":[{".":[{},[0,3]],"n":[{"e":[{},[0,0,0,5]]}]}],"y":[{".":[{},[0,4]],"d":[{},[0,3]],"l":[{"l":[{"t":[{},[0,0,0,0,0,0,4]]}]}],"n":[{".":[{},[0,4]]},[0,0,0,0,3]],"s":[{},[0,4]]}]}],"y":[{"c":[{},[0,1]],"d":[{"d":[{"a":[{"d":[{},[0,0,0,0,0,0,4]]}],"l":[{},[0,0,0,0,4]],"y":[{},[0,0,0,0,5]]}],"l":[{},[0,0,0,4,3]],"r":[{},[0,4]],"y":[{},[0,0,0,3]]},[0,0,0,2]],"f":[{"y":[{},[0,0,0,4]]},[3]],"l":[{".":[{},[0,4]]},[0,1]],"n":[{".":[{},[4]],"g":[{},[0,3]],"o":[{"d":[{},[0,0,0,5]]},[0,0,0,3]]},[0,2]],"r":[{"a":[{},[0,0,3,2]],"d":[{},[0,3]],"e":[{},[0,0,0,2]],"f":[{"y":[{},[0,0,0,0,4]]}],"y":[{},[0,0,0,4]]},[0,2]],"s":[{"t":[{"y":[{"r":[{"o":[{},[0,0,0,0,0,0,4]]}]}]},[0,0,0,4]],"w":[{},[0,0,0,4]]}]}]}],"g":[{"a":[{"b":[{"l":[{"e":[{"n":[{},[0,0,0,0,4]]}]}]}],"c":[{"h":[{".":[{},[0,5]]}]}],"d":[{"a":[{"r":[{},[5]]},[0,0,0,3]],"u":[{"r":[{"i":[{},[5]]}]},[0,4,0,2]],"w":[{"r":[{},[0,4]]}]},[0,0,0,1]],"e":[{"a":[{},[0,0,0,3]]},[0,1]],"f":[{".":[{},[0,3]],"a":[{},[0,0,0,3]],"r":[{},[0,0,0,4,3]]}],"i":[{},[0,1]],"l":[{"a":[{"r":[{"a":[{},[0,0,0,5]],"e":[{},[0,0,0,5]],"i":[{},[0,0,0,5]],"o":[{},[0,0,0,5]],"w":[{"y":[{},[0,0,0,5]]}]}]}],"e":[{"d":[{},[0,0,0,0,0,5]]}],"l":[{},[4]]},[1,0,0,2]],"m":[{"e":[{"n":[{"n":[{},[0,0,0,4]]}]}],"n":[{},[0,0,0,0,4]]}],"n":[{"a":[{},[0,0,0,3]],"d":[{},[0,0,0,4]],"e":[{},[0,0,4]],"g":[{"h":[{"e":[{"n":[{"a":[{},[0,0,0,0,0,0,5]]}]}]}]}],"t":[{},[0,3]],"w":[{"r":[{},[4]]}]}],"o":[{},[0,3]],"r":[{"e":[{"g":[{},[0,0,0,3]],"n":[{"n":[{},[0,0,0,4]]}]}],"f":[{},[0,3]],"g":[{"e":[{},[0,0,0,4]]}],"t":[{"h":[{"i":[{"a":[{},[4]]}]}]},[3]],"w":[{"e":[{},[0,0,0,4]]}]}],"s":[{"e":[{"d":[{},[5]]}],"g":[{"e":[{},[0,0,0,0,4]]}]},[0,1]],"t":[{"r":[{},[0,0,4,3]]}],"u":[{},[2,1]],"w":[{"e":[{},[4]]}]}],"b":[{"e":[{"r":[{},[0,0,4]]}]},[2,1]],"c":[{},[0,1]],"d":[{"d":[{"i":[{"g":[{},[0,0,0,0,0,5]]}]},[0,0,0,2]],"o":[{"r":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,5,4]]}]}],"w":[{"r":[{".":[{},[0,0,5]]}]},[0,2]]},[2,1,2]],"e":[{"c":[{},[0,1]],"d":[{"d":[{},[0,0,0,0,3]],"e":[{},[0,2]],"i":[{".":[{},[0,4]],"d":[{},[0,4]],"r":[{},[0,4]],"t":[{},[0,4]]}],"o":[{},[0,2]],"u":[{},[0,4]],"y":[{"c":[{},[0,4]]}]},[0,1]],"g":[{"y":[{},[0,2]]},[0,0,0,3]],"i":[{".":[{},[0,2]],"d":[{},[0,3]]}],"l":[{".":[{},[0,4]],"l":[{"a":[{},[0,0,0,0,5]]}],"o":[{},[0,0,0,3]]}],"m":[{},[0,1]],"n":[{"d":[{},[0,0,0,4]],"n":[{"i":[{".":[{},[0,5]]}]}],"r":[{},[0,0,0,2]],"t":[{},[0,3]],"u":[{},[0,4]]}],"r":[{".":[{},[0,3]],"d":[{},[3,4]],"f":[{},[0,0,0,4]],"y":[{},[0,0,0,3]]}],"s":[{},[0,1]],"u":[{"l":[{},[0,0,0,4]]}]}],"f":[{"a":[{"n":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,5]]}]}],"e":[{"n":[{"e":[{},[0,0,0,5]]}]}],"y":[{"n":[{},[0,0,0,0,3]]}]},[0,1,2]],"g":[{"a":[{},[0,3]]}],"h":[{"a":[{"e":[{},[0,0,0,0,4]],"n":[{"a":[{},[0,0,0,0,3]],"g":[{"h":[{"e":[{"n":[{"a":[{},[0,0,0,0,0,0,0,5]]}]}]}]}]}],"r":[{"e":[{"n":[{},[0,0,0,0,4]]}]}],"s":[{"g":[{"e":[{},[0,0,0,0,0,4]]}]}]}],"e":[{"n":[{"i":[{},[0,0,0,0,5]]}],"r":[{"f":[{},[0,0,0,0,4]]}]}],"l":[{"e":[{"i":[{"d":[{},[0,0,0,0,0,0,4]]}]},[0,0,4]]}],"n":[{"e":[{},[0,0,4]]}],"o":[{"b":[{"l":[{},[0,0,0,0,0,4]]},[0,0,0,0,3]],"f":[{"r":[{},[0,0,0,0,5]]}],"g":[{},[0,0,4]],"n":[{"y":[{},[0,0,0,0,4]]}]}],"r":[{"a":[{},[0,0,0,0,4]],"e":[{"d":[{"a":[{"d":[{"u":[{},[0,0,0,0,0,4]]}]}],"i":[{"n":[{"i":[{"a":[{},[0,0,0,0,0,4]]}]}]}]}]}]},[0,0,0,2]],"w":[{"f":[{},[0,0,0,4]]}],"y":[{"d":[{},[0,0,0,0,3]],"m":[{"a":[{"n":[{},[0,0,0,0,4]]}]}],"s":[{"g":[{},[0,0,0,0,0,3]]}]}]},[0,0,2]],"i":[{"b":[{},[0,0,0,3]],"d":[{"a":[{},[0,4]]}],"e":[{"n":[{".":[{},[0,0,5]]}]}],"g":[{},[0,2,0,1]],"l":[{},[3]],"p":[{},[1]],"w":[{},[0,3]]},[0,1]],"l":[{"a":[{"c":[{},[0,0,3]],"d":[{"w":[{},[0,0,3]]}],"f":[{},[0,0,0,0,2]],"n":[{"e":[{},[0,0,0,0,5]],"t":[{},[0,0,3]]}],"s":[{".":[{},[0,5]]},[0,0,0,0,3]],"t":[{},[0,3]],"u":[{".":[{},[0,0,5]]}]}],"e":[{".":[{},[0,3]],"c":[{"h":[{},[0,0,3]]}],"d":[{"i":[{},[0,0,3]]}],"i":[{"s":[{"i":[{"a":[{"s":[{"o":[{},[0,5]]}]}]}]}]}],"o":[{},[0,3]],"s":[{},[0,0,3]],"u":[{},[0,0,3]]},[0,0,2]],"f":[{},[0,0,3]],"i":[{"a":[{},[0,0,3]],"d":[{},[0,0,3]],"w":[{},[0,3]]}],"o":[{"d":[{"i":[{},[0,0,4]],"y":[{},[0,0,4]]}],"e":[{},[0,0,0,4]],"f":[{},[0,0,4]],"g":[{"a":[{},[5,0,4]]}],"i":[{},[0,0,0,2]]}],"u":[{".":[{},[0,4]]}],"w":[{"c":[{},[0,4]],"m":[{},[0,4,4]],"n":[{},[0,4,3]],"y":[{"f":[{},[0,4]]}]}],"y":[{"c":[{},[0,0,3]],"d":[{".":[{},[0,3]]}],"m":[{},[0,0,4]],"s":[{},[0,0,4]],"w":[{},[0,0,4]]}]},[0,2]],"n":[{"i":[{"o":[{},[0,0,3]],"w":[{},[0,4]]},[0,0,2]],"ï":[{},[0,3,0,1]],"o":[{"e":[{},[0,0,0,3]],"f":[{},[0,0,2]]}],"u":[{},[0,0,2]],"w":[{},[0,0,1]],"y":[{"w":[{},[0,0,4]]}]},[0,2]],"o":[{"b":[{"l":[{},[0,0,0,0,4]]}],"c":[{},[0,1]],"d":[{"d":[{"e":[{"f":[{"a":[{"d":[{},[0,0,0,0,0,0,0,0,4]]}]}]}],"r":[{},[0,0,5]]}],"y":[{"n":[{},[0,0,0,5]]},[0,2,0,2]]}],"e":[{},[0,2]],"f":[{"a":[{"u":[{},[0,0,5]]}],"e":[{"r":[{},[0,0,3]]}],"f":[{"a":[{"u":[{},[0,0,0,0,4]]}]}],"u":[{"n":[{},[0,0,0,4]]}]}],"g":[{"a":[{"n":[{},[0,0,3]]}],"e":[{},[0,0,0,3]],"l":[{},[0,0,0,4,4]],"y":[{"n":[{},[0,0,5]]}]},[0,0,0,2]],"l":[{".":[{},[0,3]],"e":[{"u":[{},[0,0,0,0,0,5]]}],"l":[{},[3,4,0,0,3]],"w":[{},[0,0,4]],"y":[{"g":[{"a":[{},[0,0,0,5]],"e":[{},[0,0,0,5]],"w":[{"y":[{},[0,0,0,5]]}]}]}]}],"m":[{".":[{},[0,3]],"e":[{},[0,0,3]]}],"n":[{"a":[{"d":[{},[0,0,0,5]]}],"e":[{},[0,4]],"t":[{},[0,3]],"y":[{"n":[{},[0,0,0,4]]}]}],"r":[{"c":[{"h":[{"y":[{},[0,0,0,5]]}]}],"d":[{"d":[{"a":[{"d":[{},[0,0,0,0,0,0,0,4]]}]}],"i":[{},[0,0,0,0,5]]}],"f":[{},[0,4]],"n":[{"a":[{"n":[{},[0,0,0,0,4]]}]}],"o":[{"l":[{},[0,4]]}],"t":[{},[0,0,0,3]]},[0,2]],"s":[{"b":[{"a":[{},[0,0,0,0,3]]}]},[1]],"t":[{"a":[{},[0,3]],"e":[{},[0,3]],"i":[{},[0,3]],"o":[{},[0,3]],"w":[{},[0,3]]}]}],"r":[{"a":[{"m":[{},[0,0,0,4]],"n":[{"a":[{},[0,0,0,0,3]]}]}],"e":[{"l":[{},[0,0,4]]}],"f":[{},[0,0,3]],"i":[{"d":[{},[0,4,0,0,4]],"e":[{},[0,0,3]],"n":[{"g":[{},[0,0,0,0,0,4]]}],"r":[{},[0,4,3]],"t":[{".":[{},[0,4]]}]},[0,0,2]],"o":[{"d":[{},[0,0,3]],"e":[{"d":[{},[0,0,5]]},[0,0,4]],"f":[{},[0,0,0,0,4]],"g":[{},[0,0,0,0,3]],"n":[{"a":[{"s":[{},[0,0,0,5]]},[0,0,0,0,4]],"e":[{"d":[{},[0,0,0,0,4]],"s":[{},[0,0,0,0,4]]}],"o":[{},[0,0,4]]}]},[0,0,2]],"w":[{"n":[{"a":[{},[0,0,0,0,5]]}],"o":[{},[0,0,3]],"t":[{},[0,0,4]],"y":[{"d":[{"d":[{},[0,5]]}]},[0,0,2]]}],"y":[{"c":[{},[0,4]],"g":[{"l":[{},[0,0,0,0,0,4]]},[0,0,0,0,3]],"m":[{},[0,0,4]],"n":[{},[0,0,4]]}]},[0,2]],"s":[{"y":[{"m":[{},[0,0,0,0,4]]}]},[0,1,2]],"u":[{"b":[{},[0,0,0,3]],"d":[{"r":[{},[0,0,0,0,4]]}],"e":[{"d":[{"d":[{},[0,0,5]]}]}],"t":[{"o":[{},[0,0,4]]}]}],"w":[{"a":[{"r":[{"a":[{"s":[{},[0,0,0,5,4]]}],"e":[{"s":[{},[0,0,0,0,4]]}]}],"s":[{},[0,0,4]]}],"c":[{},[0,3]],"e":[{"i":[{"t":[{"h":[{"i":[{"a":[{"d":[{},[0,0,0,0,0,0,0,0,0,4]]}]}]}]}]}],"l":[{"a":[{"d":[{},[0,0,0,0,0,0,4]]}],"e":[{},[0,0,0,0,5]]}],"n":[{"a":[{},[0,0,0,0,3]]}],"r":[{"t":[{"h":[{"a":[{"d":[{},[0,0,0,0,0,0,0,0,4]]}]}]}]}]}],"m":[{},[0,0,0,3]],"n":[{"a":[{},[0,0,0,4]],"e":[{},[0,0,4,4]]}],"o":[{"b":[{"r":[{},[0,0,0,0,0,3]]}]}],"r":[{".":[{},[0,3]],"d":[{},[0,4]]}],"t":[{"h":[{".":[{},[0,5]]}]}],"y":[{"b":[{"y":[{},[0,0,0,3]]}],"d":[{".":[{},[0,3]],"r":[{},[0,0,0,0,0,5]]}],"f":[{},[0,3]],"r":[{},[0,0,0,4]],"w":[{},[0,0,0,0,3]]}]},[0,0,2]],"y":[{"b":[{"y":[{},[0,0,0,3]]},[3]],"c":[{"h":[{"o":[{},[0,4]]},[0,0,0,0,3]]},[0,1]],"d":[{"d":[{"f":[{},[0,0,0,0,4,5]]}],"i":[{},[0,2]],"l":[{},[0,0,0,0,4]],"r":[{},[0,0,0,3,4]],"u":[{},[0,4]],"y":[{},[0,4]]}],"f":[{"a":[{"n":[{},[0,0,0,5]]}],"e":[{},[0,0,4]],"l":[{},[0,0,4]],"r":[{},[0,0,4]]},[3]],"l":[{"a":[{},[0,3,0,3]],"c":[{},[3]],"e":[{},[0,3]],"i":[{"o":[{},[0,4]]}],"o":[{},[0,3]],"w":[{},[0,3]]}],"m":[{"a":[{"n":[{},[0,0,0,4]]}],"u":[{},[0,0,0,3]]},[0,2]],"n":[{"g":[{},[0,0,0,0,3]],"o":[{},[0,2]]}],"r":[{"o":[{},[0,4]]},[0,2]],"s":[{"e":[{},[0,0,4]],"g":[{},[0,0,0,0,3]],"o":[{"n":[{},[0,0,0,5]]}],"t":[{"o":[{},[0,0,0,5]]},[0,0,0,3]]},[0,2]],"w":[{"a":[{},[0,0,3]],"e":[{"d":[{},[0,0,3]]}],"i":[{},[0,0,3]],"y":[{},[0,0,3]]},[3]]}]}],"h":[{"a":[{"b":[{"y":[{"d":[{},[0,0,0,3]]}]}],"d":[{"d":[{"a":[{"s":[{},[0,0,0,0,5]]}],"o":[{},[0,0,0,0,3]]}],"e":[{"g":[{},[0,0,0,4]],"n":[{"y":[{},[0,0,0,4]]}]}],"f":[{"e":[{"r":[{},[0,0,0,4]]}]},[0,4]],"l":[{"a":[{},[0,0,0,0,4]]}],"n":[{},[0,0,0,3]],"r":[{},[0,0,0,3,4]]}],"e":[{"o":[{"l":[{},[0,5]]}]}],"f":[{"a":[{},[0,0,4,3]],"l":[{},[0,4]],"o":[{"l":[{},[0,0,0,5]]}],"s":[{},[0,4]]}],"g":[{"w":[{},[0,0,0,3]]}],"i":[{"f":[{},[0,4]]},[0,1]],"l":[{"e":[{},[0,0,0,3]],"l":[{"o":[{},[0,0,0,0,3]]}],"o":[{},[0,0,0,3]]}],"m":[{"e":[{"n":[{"n":[{},[0,0,0,4]]}]}],"n":[{},[0,0,0,0,4]],"s":[{},[0,0,0,3]]}],"n":[{"a":[{"d":[{},[0,0,0,3]],"u":[{},[0,4]]}],"c":[{},[0,0,0,0,4]],"d":[{},[0,0,0,3]],"e":[{"d":[{"d":[{},[0,0,0,5]]}],"r":[{},[0,0,0,4]]},[0,0,4]],"g":[{"e":[{},[0,4]],"h":[{"e":[{"n":[{"r":[{},[0,0,0,0,0,0,0,4]]}]}]}]}],"i":[{"g":[{},[0,0,0,3]]}],"l":[{},[0,0,0,3]],"o":[{"d":[{"a":[{},[0,0,0,4]]}],"l":[{"a":[{"i":[{},[0,0,0,5]],"s":[{},[0,0,0,5]]}],"e":[{},[0,0,0,5]],"w":[{"y":[{},[0,0,0,5]]}]}]},[0,0,0,2]],"r":[{"h":[{"y":[{"d":[{},[0,0,0,0,0,0,0,4]]}]}]}],"s":[{"o":[{"d":[{"d":[{"e":[{"i":[{},[0,0,0,0,0,0,0,4]]}]}]}]}]}]}],"r":[{"a":[{"d":[{"w":[{"y":[{".":[{},[0,0,0,5]]}]}]}],"t":[{"o":[{"e":[{"n":[{},[0,0,0,0,0,0,4]]}]}]},[0,0,0,0,3]]}],"b":[{"w":[{"r":[{},[0,0,0,4]]}]}],"c":[{"h":[{"a":[{},[0,0,0,4]]}]}],"f":[{"o":[{},[0,0,0,4]]}]}],"s":[{"f":[{},[0,3]],"t":[{"a":[{},[0,0,0,0,4]]}]},[0,1]],"t":[{"r":[{"e":[{},[0,0,0,0,3]]},[0,0,4]]}],"u":[{},[0,1]],"w":[{"e":[{"n":[{"a":[{"s":[{},[0,0,0,0,5]]}],"e":[{},[0,0,0,0,5]]}]}],"l":[{},[0,0,0,0,3]]}]}],"â":[{},[0,2]],"b":[{"l":[{"a":[{},[0,0,0,4]]}]},[0,1,2]],"d":[{"d":[{"a":[{"d":[{},[0,0,0,0,0,3]]}]}],"i":[{"r":[{},[0,0,4]]},[0,3]],"o":[{"n":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,3]]}]}],"r":[{"a":[{},[0,0,4]],"e":[{},[0,0,0,3]],"o":[{"c":[{},[0,0,0,5]],"d":[{},[0,0,0,5]],"e":[{"d":[{},[0,0,0,0,5]]}]}],"w":[{"y":[{"d":[{},[0,0,0,5]]}]}]}],"w":[{"r":[{},[0,4]]}]},[0,1,2]],"e":[{"b":[{".":[{},[0,3]],"r":[{"a":[{},[0,0,0,3]]}]},[0,2]],"d":[{"d":[{"f":[{"o":[{},[0,0,0,0,4]]}]},[0,0,0,0,3]],"e":[{},[0,2]],"f":[{"o":[{},[0,0,0,5]],"w":[{},[0,0,0,5]]}],"i":[{"d":[{},[0,4]],"r":[{},[0,4]],"t":[{},[0,4]]}],"o":[{},[0,2]],"r":[{"w":[{"y":[{},[0,0,0,0,5]]}]}],"u":[{},[0,4]],"y":[{},[0,4]]}],"f":[{},[0,2]],"g":[{"n":[{},[0,0,0,0,3]],"y":[{},[0,4]]},[0,2]],"h":[{"o":[{},[0,0,4]]}],"i":[{"a":[{},[0,4,3]],"l":[{},[0,4]],"m":[{"l":[{"a":[{"d":[{"w":[{},[0,0,0,0,0,0,0,4]]}]}]}]}]},[0,2,0,2]],"l":[{".":[{},[0,4]],"a":[{"d":[{},[4]],"f":[{},[4]],"i":[{},[4]],"n":[{},[4]],"s":[{},[4]]}],"d":[{},[0,3]],"e":[{},[2]],"i":[{},[4]],"o":[{},[2,0,0,3]],"s":[{},[0,0,0,0,4]],"w":[{},[2]],"y":[{"d":[{},[0,0,0,3]]},[4]]}],"m":[{},[0,1]],"n":[{"c":[{"y":[{},[0,0,0,5]]}],"i":[{"d":[{},[0,0,0,4]]}],"s":[{},[0,0,0,0,4]],"w":[{"y":[{"n":[{"a":[{},[0,0,0,0,0,5]],"e":[{},[0,0,0,0,0,5]]}]},[0,0,0,3]]}],"y":[{"n":[{"a":[{},[0,0,0,0,5]]}]}]}],"o":[{"l":[{},[0,0,3]]}],"r":[{"b":[{},[0,0,0,3]],"o":[{},[0,2]]}],"s":[{"i":[{},[0,3]]}],"t":[{"e":[{},[0,3]],"o":[{},[0,3]]},[0,2]],"u":[{"a":[{"e":[{"t":[{"h":[{"a":[{},[0,0,0,4]]}]}]},[5]]}],"d":[{},[0,0,0,3]],"l":[{},[0,0,0,2]]}],"w":[{"i":[{},[0,0,4]],"y":[{"n":[{"a":[{"s":[{},[0,0,0,0,5]]}]}]}]}]}],"f":[{"i":[{"l":[{},[0,0,0,0,4]]}],"o":[{"n":[{"h":[{"e":[{"d":[{"d":[{},[0,0,0,0,0,0,0,0,5]]}]}]}]}],"s":[{},[0,0,4]]}],"w":[{"y":[{},[0,0,4]]}]},[0,1,2]],"g":[{"a":[{"n":[{},[0,0,0,0,3]],"p":[{},[0,0,0,0,2]]}],"i":[{"a":[{"i":[{},[0,0,0,5]]}]}]},[0,1,2]],"i":[{"a":[{"c":[{"h":[{"a":[{"s":[{},[0,0,0,0,5]]}],"e":[{},[0,0,0,0,5]],"w":[{},[0,0,0,0,5]]},[0,0,0,0,0,4]]}],"n":[{},[0,0,4,4]]}],"b":[{},[0,0,0,3]],"d":[{"l":[{},[0,0,0,0,3]]}],"g":[{"y":[{},[0,0,0,3]]},[0,2,0,1]],"n":[{"t":[{},[0,0,0,4]]}],"r":[{},[0,0,0,3]],"w":[{"a":[{},[0,0,4]]}]},[0,1,2]],"ï":[{"e":[{"n":[{},[0,0,4]]}]},[0,2,1]],"l":[{"a":[{"d":[{"w":[{},[0,0,5]]},[0,0,4]],"m":[{},[0,0,4]],"n":[{"a":[{},[0,0,0,3]]}],"s":[{".":[{},[0,5]],"i":[{},[0,0,3]],"o":[{},[0,0,3]]}],"w":[{},[0,0,4]]}],"e":[{"c":[{"h":[{".":[{},[0,0,5]]}]}],"d":[{"i":[{"g":[{},[0,0,5]]}],"r":[{},[0,0,0,0,0,5]]}],"f":[{},[0,3]],"i":[{"t":[{},[4]]}],"n":[{},[0,0,4]],"t":[{},[0,0,4]]}],"i":[{"d":[{},[0,0,3]]}],"o":[{"n":[{"a":[{},[0,0,0,0,3]],"e":[{},[0,0,0,0,5]]}]}],"u":[{"s":[{},[0,4]]}],"w":[{"m":[{},[0,4]]}],"y":[{"d":[{".":[{},[0,5]],"d":[{},[0,0,3]]}],"m":[{"u":[{},[0,0,0,0,4]]}],"n":[{".":[{},[0,0,3]]},[0,4]],"w":[{"a":[{"d":[{},[0,0,0,0,0,0,4]]}]}]}]},[0,0,2]],"m":[{"y":[{"g":[{"a":[{"d":[{},[0,0,0,0,0,0,4]]}]},[0,3]],"n":[{".":[{},[0,3]],"a":[{},[0,0,0,3]],"e":[{},[0,0,0,5]],"i":[{},[0,5]]}]}]},[0,1,2]],"n":[{"a":[{"d":[{},[0,3]]}],"e":[{"g":[{},[0,2]],"w":[{},[0,4]]}],"i":[{"e":[{},[0,0,4]]}],"ï":[{},[0,1,0,1]],"o":[{"d":[{},[0,0,0,0,3]],"l":[{"e":[{},[0,0,5]]},[0,2]]}],"y":[{"w":[{},[0,0,4]]}]},[0,0,2]],"o":[{"a":[{"d":[{".":[{},[0,0,4]]}]}],"b":[{"l":[{},[0,0,4]]}],"d":[{"l":[{},[0,0,0,4]],"y":[{},[0,0,4]]}],"e":[{"n":[{},[0,0,4]]}],"f":[{"f":[{"a":[{"d":[{"w":[{"y":[{},[0,0,0,0,0,0,4]]}]}]}]}]}],"g":[{".":[{},[0,3]],"a":[{},[0,3,4]],"l":[{"u":[{},[0,0,0,5]]}]}],"h":[{},[0,0,2]],"l":[{".":[{},[0,3]],"u":[{"d":[{},[0,0,0,5]]}]},[0,2]],"m":[{},[0,1]],"r":[{".":[{},[0,3]],"c":[{},[0,0,0,4]],"n":[{"a":[{"n":[{},[0,0,0,0,4]]}]}]},[0,2]],"s":[{".":[{},[0,4]],"b":[{},[0,0,0,0,3]],"o":[{},[0,0,0,3]]}],"w":[{},[0,2]]}],"p":[{},[0,0,2]],"r":[{"a":[{"d":[{"d":[{},[0,0,0,3]],"w":[{},[0,0,3]]}],"f":[{".":[{},[0,0,3]]}],"g":[{},[0,0,0,3]],"i":[{"d":[{".":[{},[0,0,4]]}]}],"n":[{"t":[{},[0,0,3]]}],"u":[{"l":[{},[0,5]]}]}],"e":[{"d":[{"i":[{"g":[{},[0,0,5]]}]}],"m":[{".":[{},[0,0,3]]}]}],"f":[{},[0,0,3]],"i":[{"a":[{},[0,0,3]],"d":[{".":[{},[0,0,3]],"a":[{},[0,0,0,0,4]]}],"e":[{},[0,0,3]],"n":[{"g":[{},[0,0,0,0,0,4]]}],"r":[{},[0,0,3]],"s":[{"i":[{"a":[{"d":[{},[0,0,0,0,0,0,0,4]]}]}]}],"t":[{},[0,0,3]],"w":[{"y":[{},[0,0,3]]}]},[0,0,2]],"o":[{"a":[{"d":[{},[0,0,0,4,0,4]]}],"c":[{"h":[{".":[{},[0,0,5]]}]}],"d":[{"d":[{},[0,0,3]]}],"g":[{},[0,0,0,0,3]],"m":[{".":[{},[0,0,3]]}],"n":[{"a":[{"s":[{},[0,0,0,5]]},[0,0,0,0,4]],"e":[{},[0,0,0,0,4]],"g":[{},[0,0,0,0,0,5]],"t":[{},[0,0,3]]}]},[0,0,2]],"u":[{"d":[{},[0,0,4]]}],"w":[{"n":[{".":[{},[0,0,3]]}],"y":[{"d":[{".":[{},[0,0,5]],"d":[{".":[{},[0,5]]}]}],"f":[{},[0,0,3]]}]}],"y":[{"c":[{},[0,4]],"g":[{"l":[{},[0,0,0,0,0,4]]},[0,0,0,0,3]],"l":[{},[0,0,0,3]],"m":[{},[0,0,4]],"n":[{"h":[{"o":[{"e":[{},[0,0,0,0,0,0,4]],"i":[{},[0,0,0,0,0,0,4]],"w":[{"n":[{},[0,0,0,0,0,0,4]]}]}]}]}],"s":[{},[0,4]]}]},[0,2]],"s":[{"e":[{"f":[{},[0,0,0,0,4]]}]},[0,1,2]],"t":[{},[0,2]],"u":[{"b":[{"o":[{"n":[{},[0,0,0,5]]}]}],"d":[{"d":[{"y":[{},[0,0,0,0,5]]},[0,0,0,0,3]],"r":[{},[0,0,0,0,4]],"w":[{},[0,0,0,3]],"y":[{"l":[{},[0,0,0,5]]}]}],"g":[{"e":[{},[0,4]],"l":[{},[0,0,0,4]]}],"n":[{"a":[{"d":[{},[0,0,0,3]]}],"n":[{},[0,4]]}],"r":[{".":[{},[0,3]]}],"s":[{".":[{},[0,3]],"e":[{},[0,4]],"t":[{},[0,4]],"w":[{},[0,4]]}]},[0,2]],"w":[{"a":[{"s":[{},[0,0,4]]},[0,0,2]],"b":[{"l":[{"e":[{},[0,0,0,0,5]]}]}],"d":[{},[0,0,0,3]],"e":[{"d":[{"l":[{},[0,0,0,0,0,5]]}],"i":[{},[0,3]],"l":[{".":[{},[0,4]]}],"n":[{"y":[{"c":[{"h":[{"a":[{"s":[{"o":[{},[0,0,0,5]]}]}],"e":[{"d":[{},[0,0,0,5]]}]}]}]},[0,0,0,0,4]]},[0,0,0,0,3]],"r":[{"w":[{},[0,0,0,0,0,5]]}],"u":[{"g":[{},[0,0,0,5]]}]},[0,0,2]],"i":[{"w":[{"g":[{},[0,0,0,0,5]]}]},[0,0,2]],"m":[{},[0,0,0,3]],"n":[{"e":[{},[0,0,0,4]]}],"r":[{".":[{},[0,3]]}],"y":[{".":[{},[0,4]],"a":[{},[0,4]],"b":[{"r":[{},[0,0,0,0,0,4]]}],"c":[{},[0,0,4]],"l":[{"l":[{"t":[{},[0,0,0,0,0,5]]}]}],"m":[{},[0,0,4]],"o":[{"l":[{},[0,5]]},[0,4]],"r":[{},[0,0,0,4]]},[0,2]]}],"y":[{"b":[{"l":[{},[0,0,0,4]],"w":[{"y":[{"l":[{},[0,0,0,4]]}]}],"y":[{},[0,0,0,3]]}],"d":[{"d":[{"i":[{"d":[{},[0,0,0,0,4]]}]}],"f":[{"o":[{},[0,0,0,4]]}],"i":[{},[0,2]],"l":[{},[0,0,0,0,4]],"n":[{"a":[{"w":[{},[0,0,0,4]]}]}]}],"f":[{"a":[{"d":[{},[0,0,0,0,0,4]],"e":[{},[0,0,0,4]],"r":[{"f":[{},[0,0,0,0,0,5]]}]},[0,0,4,3]],"e":[{"r":[{},[0,0,0,0,0,3]]}],"f":[{"e":[{"l":[{},[0,0,0,0,0,0,5]]}],"r":[{"e":[{"d":[{"i":[{"n":[{".":[{},[0,0,0,0,0,0,0,4]]}]}]}]}]}]}],"i":[{"a":[{"i":[{},[0,0,0,4]]}]}]}],"g":[{"a":[{},[0,0,4]],"l":[{"o":[{},[0,0,0,0,4]],"w":[{},[0,0,0,0,4]]}],"r":[{},[0,0,0,0,4]]}],"l":[{"l":[{"a":[{},[0,0,0,0,3]]}]}],"m":[{"a":[{"d":[{"w":[{},[0,0,0,4]]}],"n":[{"t":[{},[0,0,0,4]]}]}],"e":[{"l":[{},[0,0,0,5]],"n":[{".":[{},[0,0,0,4]]}],"r":[{"a":[{"d":[{},[0,0,0,0,0,0,0,4]]}]}]}],"o":[{},[0,0,0,3]],"p":[{},[0,0,0,0,4]],"u":[{},[0,0,0,3]],"y":[{"r":[{},[0,0,0,5]],"s":[{},[0,0,0,5]]}]}],"n":[{"a":[{},[0,0,0,3]],"e":[{"f":[{},[0,0,0,0,0,3]]},[0,0,0,3]],"y":[{"c":[{},[0,0,0,3]]}]}],"r":[{"a":[{},[0,0,0,3]],"d":[{"d":[{},[0,0,0,0,0,5]]}],"f":[{},[0,0,0,0,3]],"n":[{"o":[{},[0,0,0,5,4]]}],"w":[{},[0,0,0,2]]}],"s":[{"b":[{},[0,0,0,4]],"e":[{},[0,0,4]],"g":[{"o":[{"d":[{},[0,0,0,0,5]]}]}],"i":[{"g":[{},[0,0,0,4]]}],"n":[{},[0,0,0,4]],"o":[{"n":[{"i":[{},[0,0,0,5]]}]}]}],"t":[{"b":[{"w":[{},[0,0,0,4]]}],"h":[{"r":[{"u":[{},[0,0,0,0,5]]}]}],"u":[{"n":[{"d":[{"e":[{"b":[{"a":[{},[0,0,0,0,0,4]]}]}]}]}]},[0,0,0,2]]}],"w":[{"a":[{"s":[{},[0,0,3]]}],"e":[{"d":[{},[0,0,5]]},[0,0,3]],"i":[{},[0,0,3]],"y":[{"d":[{},[0,0,3]]}]}]}]}],"i":[{"a":[{"b":[{"a":[{},[0,0,0,4]]}],"c":[{"h":[{},[0,0,0,0,2]]}],"d":[{"a":[{"e":[{"t":[{"h":[{".":[{},[5]]}]}]}]},[0,4]],"l":[{"o":[{},[0,0,0,4]]}],"u":[{"r":[{"o":[{},[5]]}]}]},[0,0,0,3]],"e":[{"l":[{},[0,3]],"t":[{},[3]]}],"f":[{"o":[{},[4]]}],"g":[{"w":[{},[0,0,0,3]]}],"l":[{"a":[{"e":[{},[0,0,0,4]]}]},[2,0,0,1]],"m":[{"h":[{},[0,0,0,3]]},[2,3,0,2]],"n":[{"a":[{},[0,0,3]],"d":[{"a":[{},[0,0,0,5]]},[4]],"e":[{},[0,0,3,2]],"g":[{"e":[{},[0,0,0,0,4]],"h":[{"e":[{"n":[{},[0,0,0,0,0,0,0,5]]}]}]},[4,3]],"o":[{},[0,0,0,3]],"w":[{},[0,0,0,3]]}],"r":[{"d":[{},[0,3]],"f":[{},[0,3]],"l":[{"l":[{},[0,0,0,0,0,5]]},[0,0,0,4]],"s":[{},[0,0,0,4]]},[2]],"s":[{"g":[{},[0,3]]}],"t":[{"e":[{"r":[{},[0,0,0,5]]}]}],"u":[{},[0,2]],"w":[{"n":[{"a":[{"d":[{},[0,0,0,0,0,0,4]]}]}]}]},[1]],"b":[{"e":[{"d":[{},[0,0,3]],"l":[{},[0,0,3]],"n":[{"y":[{},[0,0,0,0,5]]}],"s":[{},[0,0,3]],"t":[{"r":[{},[0,0,0,0,0,4]]}]}],"i":[{"l":[{},[0,0,4]]},[0,0,3]],"l":[{"e":[{},[0,0,0,3]],"o":[{},[0,0,0,3]],"w":[{},[0,0,0,3]]}],"o":[{"g":[{".":[{},[0,0,5]]}],"n":[{},[0,0,3]]}],"r":[{"a":[{},[0,0,0,3]],"w":[{},[0,0,0,3]]}],"y":[{"n":[{"a":[{"d":[{},[0,0,0,4,0,0,4]]}]}]}]},[2]],"c":[{"e":[{"n":[{},[0,0,3]]}],"h":[{"l":[{},[0,0,0,0,4]]}],"i":[{"e":[{"d":[{},[0,0,5]]}]}],"o":[{"n":[{"i":[{},[0,0,5]]},[0,0,0,0,2]]}],"r":[{"w":[{"y":[{},[0,0,5]]}]}],"s":[{"i":[{"w":[{},[0,0,5]]},[0,0,0,4]]}],"t":[{},[0,0,3,2]]},[2]],"d":[{"a":[{"l":[{},[0,0,0,0,4]]},[2]],"d":[{"a":[{"i":[{},[0,4]],"u":[{},[0,0,0,4]]}],"e":[{},[0,2]],"f":[{},[0,0,0,3,4]],"i":[{"r":[{},[0,4]]},[0,0,0,3]],"o":[{"d":[{},[0,4]]}],"r":[{},[0,0,0,3]]},[2]],"e":[{"l":[{},[0,0,0,0,4]],"r":[{},[0,0,0,0,4]]},[2]],"f":[{"w":[{},[0,0,0,4]]},[2]],"i":[{"a":[{},[0,0,0,4]]},[2,0,3]],"l":[{"o":[{},[0,0,4]],"w":[{},[0,0,0,3]]}],"m":[{},[2]],"o":[{"g":[{},[0,0,3]],"l":[{"a":[{},[0,3]],"e":[{},[0,3]],"o":[{},[0,3]],"w":[{"y":[{},[0,5]]}]}],"n":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,5]]}],"r":[{},[0,3]]},[2,2,2]],"r":[{"a":[{},[0,0,0,4]],"o":[{},[0,0,0,4]],"w":[{"y":[{},[0,0,3]]}]},[2]],"u":[{},[2]],"w":[{"a":[{"d":[{"w":[{},[0,0,0,0,0,4]]}]},[0,0,0,3]],"r":[{},[0,0,4]]},[2]],"y":[{"l":[{},[0,0,3]],"m":[{},[0,0,2]]},[2]]}],"e":[{"d":[{"d":[{},[4]],"i":[{".":[{},[4]],"f":[{},[0,0,0,0,0,5]]}],"y":[{"l":[{},[0,0,0,4]]}]}],"f":[{},[2,3]],"g":[{"w":[{"y":[{"d":[{"d":[{},[0,0,0,0,0,0,0,4]]}]}]}]},[0,3]],"i":[{"d":[{},[0,3]],"s":[{},[0,0,0,0,4]]},[2]],"n":[{".":[{},[4]],"a":[{},[0,0,0,4]],"c":[{},[0,0,0,4]],"d":[{},[4]],"e":[{},[0,3]],"n":[{},[2]],"w":[{},[0,0,0,0,4]],"y":[{},[0,3]]}],"s":[{"g":[{},[0,3]]}]},[1]],"f":[{"a":[{"d":[{"d":[{},[0,0,4]]}],"e":[{},[0,0,4]],"l":[{},[0,0,4]],"n":[{"a":[{},[0,0,0,0,3]],"e":[{},[0,0,0,0,5]]}],"o":[{},[0,0,4]],"r":[{"d":[{},[0,0,5]],"e":[{},[0,0,0,0,3]]},[0,0,4]],"t":[{"h":[{},[0,0,5]]},[0,0,4]],"w":[{},[0,0,4]]}],"b":[{"i":[{"n":[{},[0,0,5]]}]}],"e":[{"c":[{},[0,4]],"d":[{".":[{},[0,4]],"i":[{},[0,4]]}],"i":[{"o":[{},[0,5]],"w":[{},[0,5]]}],"m":[{},[0,4]],"n":[{"t":[{},[0,4]]},[0,0,0,4]],"r":[{".":[{},[0,4]],"y":[{},[0,3]]}],"s":[{"i":[{},[0,4]]}],"t":[{},[0,3]]}],"f":[{"l":[{},[0,0,0,0,3]],"o":[{"r":[{},[0,0,0,5]]}],"u":[{},[0,3,0,0,2]],"y":[{"n":[{"a":[{},[0,0,0,0,5]],"e":[{},[0,0,0,0,5]]}]}]}],"i":[{},[0,0,3]],"l":[{"a":[{"s":[{},[0,3]]}]}],"o":[{"n":[{".":[{},[0,0,4]]}]}],"r":[{"e":[{},[0,3]],"y":[{},[0,3]]}],"u":[{},[0,1]],"w":[{"c":[{},[0,4]],"n":[{},[0,4]],"y":[{"d":[{},[0,4]],"f":[{},[0,4]]}]}],"y":[{"c":[{},[0,4]],"l":[{},[0,4,4]],"r":[{"e":[{},[0,0,0,5]]}]},[0,1]]},[2]],"g":[{"a":[{"d":[{},[0,0,3]],"f":[{},[0,0,3]],"i":[{"n":[{},[0,0,4]]}],"n":[{},[2]],"r":[{},[4,3]]}],"e":[{"d":[{},[0,0,3]],"s":[{},[0,0,3]]},[0,0,1]],"h":[{"a":[{"l":[{},[0,0,5,0,0,4]]}]}],"i":[{},[2,0,3]],"l":[{"a":[{"n":[{".":[{},[0,0,5]],"n":[{},[0,0,5]]}],"w":[{},[0,0,5]]}],"e":[{"t":[{},[0,0,5]]}],"o":[{},[0,0,4,3]],"y":[{"d":[{},[0,0,5]],"n":[{},[0,0,0,3]]},[0,0,4]]}],"n":[{},[0,0,0,1]],"o":[{"d":[{"d":[{},[0,0,3]],"e":[{},[0,0,4]]}],"e":[{},[0,0,3]],"m":[{},[0,0,3]]},[2]],"r":[{"e":[{"f":[{},[0,0,0,0,0,4]]},[0,3]],"o":[{},[0,3]],"w":[{},[0,0,3]],"y":[{"b":[{},[0,0,0,0,0,4]]}]},[2]],"w":[{"a":[{"i":[{},[0,0,5]]}],"c":[{},[0,4]],"n":[{},[0,4,3]],"r":[{"n":[{},[0,0,4]]}]},[2]],"y":[{"f":[{"f":[{},[0,0,0,0,0,4]]}],"n":[{".":[{},[0,0,5]],"a":[{},[0,0,4]]}],"r":[{},[0,0,4]],"s":[{"o":[{},[0,0,5]],"y":[{"l":[{"l":[{"t":[{},[0,0,0,0,0,0,0,0,4]]}]}]}]},[0,0,0,0,4]],"t":[{},[0,0,0,0,4]],"w":[{},[0,0,0,4]]},[2,0,1]]}],"h":[{"a":[{"n":[{},[0,2]],"t":[{},[0,0,0,0,4]]}],"e":[{"w":[{},[0,0,0,4]]}]},[2,1,2]],"i":[{"w":[{},[0,3]]},[2,1]],"l":[{"a":[{"u":[{".":[{},[5]]}]},[0,0,3]],"c":[{},[0,0,0,2]],"d":[{"i":[{"r":[{},[0,0,0,5]]}]}],"e":[{"d":[{},[0,0,3]],"n":[{".":[{},[0,0,5]]}],"w":[{},[0,0,0,0,4]]}],"f":[{"y":[{},[0,0,0,4]]},[0,0,1]],"i":[{"p":[{},[0,0,4]]},[0,0,3]],"l":[{"i":[{"w":[{},[0,0,0,5]]}],"t":[{},[0,0,0,0,4]]},[0,0,0,3]],"o":[{"c":[{},[0,0,3]],"d":[{},[0,0,3]],"f":[{"y":[{},[0,0,5]]}],"n":[{},[0,0,3]]}],"s":[{"y":[{},[0,0,4]]},[0,0,2,3]],"t":[{"i":[{},[0,0,4]]}],"u":[{"d":[{"d":[{},[0,0,0,0,0,4]]}],"n":[{},[0,0,3]]}],"w":[{"a":[{"i":[{},[0,0,5]]}],"e":[{"n":[{},[0,0,0,0,0,3]]}],"s":[{},[0,0,4]]},[0,0,1]],"y":[{"d":[{},[0,0,3]],"g":[{},[0,0,3,0,4]],"n":[{".":[{},[0,0,3]],"a":[{},[0,0,0,3]],"e":[{},[0,0,0,5]]}],"s":[{"i":[{"a":[{},[0,4]]}]}],"w":[{"a":[{},[0,0,5]]}]}]},[2,2]],"m":[{"b":[{"i":[{},[0,0,4]]}],"i":[{},[0,0,3]],"l":[{"e":[{},[0,0,4]]},[0,0,0,3]]},[2,0,2]],"n":[{"a":[{"c":[{},[0,0,3]],"d":[{},[0,0,3]],"f":[{},[0,0,3]],"i":[{},[0,0,3]],"n":[{},[0,0,3]]},[0,0,1]],"b":[{"e":[{},[0,0,2]]}],"c":[{"e":[{},[0,0,0,4]],"i":[{},[0,0,4]],"o":[{},[0,0,0,2]],"y":[{},[0,0,4]]}],"d":[{"a":[{"i":[{},[0,0,4]]}]}],"e":[{"b":[{},[3,0,4]]},[0,0,1]],"f":[{},[0,0,3]],"g":[{"e":[{"n":[{},[0,0,0,5]]}],"o":[{},[0,0,4,3]],"w":[{},[0,0,0,3]],"y":[{"l":[{},[0,0,0,5]],"n":[{},[0,0,5]]}]}],"i":[{"a":[{},[0,0,3]],"d":[{},[0,0,3]],"e":[{"w":[{},[0,0,5]]}],"g":[{},[0,0,3]],"w":[{"e":[{},[0,0,4]]},[0,0,0,0,4]]}],"o":[{"d":[{"e":[{},[0,0,4]],"i":[{},[0,0,4]],"y":[{},[0,0,4]]}],"e":[{"d":[{},[0,0,3]]}],"n":[{},[0,0,3]],"s":[{},[0,0,3]]},[0,0,1]],"t":[{"a":[{},[0,0,0,4]],"e":[{},[0,0,4]],"r":[{},[0,0,2,3]],"y":[{},[0,0,4]]}],"w":[{"y":[{"c":[{},[0,0,5]]}]},[0,0,3,2]],"y":[{},[0,0,1]]},[2]],"o":[{".":[{},[3]],"d":[{".":[{},[2]],"d":[{"e":[{},[0,3]]}],"l":[{"e":[{},[0,0,0,5]]}],"w":[{"y":[{},[0,0,0,5]]}]}],"e":[{},[2]],"f":[{},[2,1]],"g":[{},[0,0,0,3]],"l":[{"c":[{},[4]]}],"m":[{},[0,0,0,3]],"n":[{"a":[{},[0,0,0,3]]},[0,2]],"r":[{"c":[{},[0,0,0,4]],"f":[{},[0,0,0,4]],"w":[{},[0,4]]}],"s":[{},[2]],"t":[{},[2]]},[1]],"p":[{"e":[{"l":[{"l":[{},[0,0,5]]}]}],"o":[{"g":[{},[0,0,4]]}]},[2]],"r":[{"a":[{"g":[{"l":[{},[0,0,5]]}],"n":[{},[0,0,3]]},[0,0,2]],"á":[{"f":[{},[0,0,4]]}],"b":[{},[0,0,3]],"c":[{"h":[{},[0,0,0,0,3]]}],"d":[{"y":[{"n":[{"a":[{},[0,0,0,0,5]],"e":[{},[0,0,0,0,5]]}]}]}],"f":[{},[2,0,3]],"i":[{"a":[{},[0,4]],"o":[{},[0,0,3]],"s":[{},[0,3]]},[2]],"l":[{"i":[{},[0,0,4]],"l":[{},[0,0,4]]}],"n":[{"a":[{"d":[{"w":[{"y":[{".":[{},[0,0,0,0,0,4]]}]}]}]},[0,0,3]],"o":[{},[0,0,3]],"y":[{},[0,0,0,4]]}],"o":[{},[2,0,3]],"w":[{"i":[{},[0,0,0,2]],"o":[{},[0,0,4]]},[0,0,3]],"y":[{"n":[{},[0,0,3]],"w":[{},[0,3]]},[0,0,2]]},[0,0,1]],"s":[{"a":[{"f":[{},[0,0,0,0,4]]}],"b":[{},[0,0,3]],"e":[{"l":[{"d":[{},[0,0,5]]}],"r":[{".":[{},[0,0,5]]},[0,0,2]]}],"g":[{"a":[{"m":[{},[0,0,4]]}],"e":[{},[0,0,4]],"o":[{},[0,0,0,3]],"r":[{},[0,0,3]],"w":[{"y":[{"d":[{},[0,0,0,5]]}]}],"y":[{},[0,0,3]]}],"l":[{"a":[{},[0,0,4]]}],"m":[{"y":[{"n":[{},[0,0,5]]}]}],"o":[{"d":[{"d":[{},[0,0,5]]}],"l":[{},[0,0,3]],"n":[{},[0,0,3]]},[0,0,2]],"t":[{"i":[{},[0,0,4]],"o":[{"l":[{},[0,0,5]]}]},[0,0,0,2]],"w":[{"n":[{},[0,0,3]],"y":[{"d":[{".":[{},[0,0,5]]}]}]},[0,0,2]],"y":[{"c":[{},[0,0,4]],"r":[{},[0,0,4]]}]},[2]],"t":[{".":[{},[1]],"a":[{},[3,0,2]],"h":[{"a":[{"u":[{},[0,0,0,4]]},[0,0,0,3]],"e":[{"g":[{},[0,0,0,3]]}],"i":[{},[0,0,0,3]],"o":[{"r":[{},[0,0,0,5]]}],"w":[{},[0,0,0,3]],"y":[{},[0,0,0,3]]},[2,0,0,1]]}],"w":[{".":[{},[2]],"a":[{"d":[{"w":[{},[0,0,3]]}],"f":[{},[0,0,3]],"i":[{"r":[{},[0,4]]}],"l":[{},[0,3]],"n":[{},[0,0,3]],"s":[{},[0,0,3]]}],"c":[{"h":[{},[0,0,4]]},[3]],"d":[{"i":[{},[0,0,0,4]]},[2,0,1,2]],"e":[{"d":[{"d":[{".":[{},[0,0,5]]}],"i":[{},[0,0,3]]}],"i":[{"d":[{},[0,0,3]]}]}],"g":[{"w":[{},[0,0,0,4]]}],"i":[{},[2,0,1]],"l":[{"e":[{},[0,0,0,4]],"i":[{},[0,0,0,4]],"o":[{},[0,0,0,4]],"w":[{},[0,0,0,4]]},[0,0,1,2]],"m":[{"e":[{},[0,0,0,4]],"p":[{},[0,0,0,0,4]]}],"n":[{"i":[{},[0,0,0,4]],"l":[{},[4]]},[3]],"o":[{},[0,0,3]],"r":[{"e":[{},[0,3]],"t":[{},[0,3]]}],"t":[{"e":[{"r":[{},[0,0,5]]}]}],"y":[{"d":[{},[0,0,4]],"f":[{},[0,0,4]],"n":[{},[0,0,0,0,3]],"r":[{},[4]]},[1]]}],"y":[{"d":[{},[2]],"m":[{},[2,1]],"n":[{},[0,0,0,3]],"s":[{},[2,1]]},[1]]}],"ï":[{"a":[{"e":[{},[0,3]]}],"i":[{},[0,2]]}],"l":[{"a":[{"c":[{"h":[{},[0,0,0,0,3]]},[0,1]],"d":[{".":[{},[2]],"d":[{},[0,4,0,4,3]],"m":[{},[0,0,0,2]],"o":[{},[0,0,0,2]],"r":[{"w":[{},[0,0,0,3,4]]}]}],"e":[{"n":[{},[4]]}],"f":[{".":[{},[0,3]],"a":[{"r":[{},[5]]}]}],"i":[{"n":[{},[0,4]],"r":[{},[0,4]],"t":[{},[0,4]]},[0,1]],"m":[{},[0,0,0,3]],"n":[{".":[{},[0,4]],"c":[{"e":[{"d":[{},[0,0,0,5]]}]}],"d":[{"e":[{},[0,0,0,5]],"r":[{},[0,0,0,0,0,3]]}],"e":[{"s":[{},[0,0,0,4]]},[0,2]],"n":[{},[0,4]],"o":[{},[0,0,0,3]],"t":[{},[4,0,0,0,3]]}],"r":[{"a":[{},[0,0,0,3]],"i":[{"a":[{},[0,0,0,4]]}],"n":[{},[0,0,0,3]]}],"s":[{".":[{},[0,4]],"g":[{},[0,0,0,0,4]],"t":[{"a":[{},[0,0,0,5]]},[0,0,0,0,2]]},[0,1]],"t":[{".":[{},[4]],"h":[{"r":[{},[0,0,0,0,0,3]]}],"s":[{"i":[{},[0,0,0,0,5]]}]}],"u":[{},[2,3]],"w":[{"d":[{"d":[{"e":[{},[0,0,0,5]]}]}],"e":[{"n":[{},[0,0,0,0,0,3]]}],"l":[{},[0,0,0,3]],"n":[{"o":[{},[0,0,0,3]]}],"r":[{"o":[{},[0,0,0,5]]},[0,0,0,0,2]],"y":[{},[0,0,0,3]]}]}],"b":[{"a":[{"n":[{},[0,0,4]]}]},[2,1]],"c":[{"h":[{"i":[{"o":[{},[0,0,0,5]],"w":[{},[0,0,0,5]]}],"r":[{},[0,0,0,3]],"w":[{"y":[{"d":[{".":[{},[0,0,0,5]]}]}]}]},[0,0,0,1]],"o":[{},[0,3]],"y":[{"n":[{".":[{},[0,0,3]]}]}]},[0,2]],"d":[{"d":[{},[0,0,0,2]],"i":[{"r":[{},[0,0,4]]},[0,0,3]],"r":[{"o":[{},[0,0,0,0,3]]}],"y":[{"n":[{"a":[{},[0,0,0,5]],"e":[{},[0,0,0,5]]}]}]},[2,1,2]],"e":[{".":[{},[1]],"a":[{"d":[{".":[{},[0,0,4]],"a":[{},[0,0,4]]}]},[0,0,3]],"b":[{"r":[{},[0,0,0,0,3]]}],"c":[{"h":[{},[0,0,0,0,3]]}],"d":[{".":[{},[0,3]],"d":[{"f":[{},[0,0,0,0,0,5]],"o":[{"g":[{},[0,4]]}]}],"f":[{"y":[{},[0,0,0,5]]}],"l":[{},[0,0,0,3,4]],"r":[{},[0,4]]}],"f":[{"e":[{},[0,0,0,3]],"y":[{},[0,0,0,3]]},[0,0,0,1]],"g":[{"a":[{"r":[{".":[{},[0,0,0,5]]}]},[0,2]],"w":[{},[0,2]],"y":[{"r":[{},[0,0,0,5]]}]}],"i":[{"a":[{"u":[{},[0,0,5]]}],"d":[{".":[{},[0,0,3]]}],"l":[{},[0,0,0,3,4]],"r":[{".":[{},[0,0,3]]}],"t":[{".":[{},[0,0,3]]}],"w":[{},[0,0,4]]}],"l":[{},[0,3]],"m":[{".":[{},[0,3]],"a":[{},[0,2]]},[2,1]],"n":[{"d":[{"i":[{},[0,0,0,5]]},[0,0,0,2]],"i":[{"g":[{},[0,0,0,5]]}],"t":[{},[0,3]],"y":[{},[0,0,0,3]]}],"o":[{"c":[{},[0,0,3]],"n":[{".":[{},[0,0,4]]}]},[1]],"r":[{".":[{},[0,3]],"a":[{"u":[{},[0,4]]}],"i":[{"g":[{},[0,0,0,5]]}]}],"s":[{"g":[{"e":[{},[0,0,0,0,5]]}],"n":[{},[0,4]]}],"t":[{"e":[{"m":[{},[0,0,0,4]]}],"r":[{},[0,0,4]]}],"u":[{"a":[{"d":[{},[0,4]]}],"h":[{},[0,4]],"o":[{"n":[{".":[{},[0,5]]},[4]]}]}],"w":[{"c":[{"h":[{},[0,0,3]]}],"n":[{},[0,0,3]],"y":[{"n":[{},[0,0,0,3]]}]}]}],"f":[{"a":[{"i":[{"r":[{},[0,0,5]]}],"n":[{},[0,3]]}],"e":[{"n":[{"e":[{},[0,0,0,3]]}]}],"f":[{"a":[{},[0,0,4]],"y":[{},[0,0,0,4]]}],"i":[{"c":[{"y":[{},[0,0,5]]}]},[0,1]],"o":[{"d":[{"a":[{},[0,0,5]]}]},[0,1]],"r":[{},[0,1]],"w":[{"y":[{},[0,0,4]]}],"y":[{"d":[{},[0,0,3]],"r":[{"e":[{},[0,0,0,5]]}]}]},[0,0,2]],"g":[{"a":[{"n":[{},[0,0,4]]}],"o":[{"f":[{},[0,0,0,4,3]]}]},[0,1,2]],"h":[{"a":[{},[0,3]],"e":[{},[0,3]],"i":[{},[0,3]],"o":[{},[0,3]],"w":[{},[0,3]]},[2,1,2]],"i":[{"a":[{"c":[{"h":[{},[0,0,0,0,0,3]]}],"n":[{},[4]]}],"b":[{"r":[{},[0,0,0,0,3]]}],"d":[{"e":[{},[0,0,3]]},[2]],"f":[{"r":[{},[0,0,4]]},[1,0,0,1]],"o":[{".":[{},[4]],"e":[{"d":[{},[0,0,5]]}]}],"p":[{"a":[{"l":[{},[0,0,5]]}]}],"r":[{".":[{},[0,3]]},[2]],"s":[{"g":[{},[0,0,0,4,3]]}],"t":[{".":[{},[0,3]],"h":[{"r":[{},[0,0,0,0,4,3]]}]}],"w":[{".":[{},[0,4]]}]},[0,1,2]],"l":[{".":[{},[2]],"a":[{"d":[{"a":[{},[0,0,4]],"r":[{},[0,0,0,0,0,3]],"w":[{"y":[{".":[{},[0,0,5]]}]}]}],"n":[{"t":[{},[0,0,3]]}],"r":[{"n":[{},[0,0,5]]}]}],"e":[{"d":[{"r":[{"e":[{},[0,0,0,0,0,4]]}],"y":[{},[0,0,4]]}],"o":[{},[0,0,0,3]],"s":[{"t":[{},[0,0,0,0,0,4]]}],"u":[{"a":[{},[0,0,0,0,4]]}]}],"f":[{"y":[{},[0,0,0,4]]},[0,0,1]],"i":[{"n":[{"e":[{},[0,0,0,0,3]]}]}],"o":[{"d":[{"d":[{},[0,0,3]]}],"s":[{"g":[{"a":[{"d":[{},[0,0,0,0,0,0,0,4]]}]}]}]}],"t":[{"y":[{"r":[{},[0,0,5]]}]}],"u":[{"d":[{"d":[{},[0,0,0,0,0,3]]}]}],"w":[{"a":[{},[0,0,3]],"e":[{},[0,0,0,4]]},[0,0,0,2]],"y":[{"d":[{".":[{},[5]]}],"g":[{"r":[{},[0,0,0,0,0,3]]}],"n":[{"n":[{},[0,0,4]]}],"r":[{"o":[{},[0,0,5]]},[0,0,4,0,2]]}]},[0,2]],"m":[{"a":[{"d":[{},[0,4]],"f":[{},[0,4]],"i":[{},[0,0,3]],"s":[{},[0,2,3]],"u":[{},[0,4]]},[0,1]],"o":[{},[0,0,3]],"w":[{},[0,0,3]],"y":[{"n":[{},[0,0,4]]}]},[0,0,2]],"n":[{},[0,1]],"o":[{".":[{},[2]],"b":[{"y":[{"n":[{},[0,0,0,5]]}]}],"c":[{"h":[{},[0,0,0,0,3]]},[2]],"d":[{"d":[{},[0,0,0,0,3]]},[2]],"e":[{"d":[{".":[{},[0,0,3]]}]}],"g":[{"l":[{},[0,0,0,0,2]]},[0,1,0,3]],"l":[{"w":[{},[0,0,0,2]],"y":[{"g":[{},[0,0,0,0,0,4]]}]},[0,1]],"m":[{".":[{},[0,3]]},[2,1]],"n":[{"a":[{},[0,0,0,2]],"d":[{},[0,0,0,3]],"e":[{"s":[{},[0,0,0,4]]}],"t":[{},[4,3]]}],"r":[{".":[{},[0,3]],"a":[{"u":[{},[0,4]]}],"g":[{},[0,4]],"y":[{},[0,4]]}],"t":[{},[2]],"y":[{"n":[{"n":[{},[0,0,5]]}]}]}],"p":[{"a":[{},[0,0,3]],"u":[{},[0,3]]}],"r":[{"h":[{},[0,3]]},[0,1,2]],"s":[{"i":[{"g":[{},[0,0,4]]}],"y":[{"n":[{},[0,4]]}]}],"t":[{"a":[{"d":[{},[0,0,3]]}],"e":[{"g":[{".":[{},[0,0,5]]}],"m":[{},[0,0,3]],"r":[{"a":[{},[0,5]],"o":[{},[0,5]]}]}],"i":[{"a":[{},[0,4]],"g":[{},[0,0,4]],"o":[{},[0,4]]}],"o":[{},[0,0,1]],"r":[{"a":[{},[0,3]],"e":[{},[0,0,0,4]]}],"u":[{".":[{},[0,4]]},[0,3]],"w":[{},[0,0,1]]},[0,2]],"u":[{".":[{},[2]],"d":[{"d":[{"y":[{},[0,0,0,0,5]]}],"w":[{},[0,0,0,3]]},[0,2]],"e":[{"d":[{"d":[{},[0,0,4]]}]}],"n":[{".":[{},[0,4]]},[0,2,0,3]],"r":[{"i":[{"g":[{},[0,0,0,5]]}]}],"s":[{"t":[{"l":[{},[0,0,0,0,5]]}]}]}],"w":[{"a":[{"d":[{"d":[{},[0,0,0,0,0,4]]}],"e":[{},[0,0,4]]},[0,0,1]],"c":[{"h":[{},[0,3]]},[0,1]],"e":[{"d":[{},[0,0,3]],"r":[{},[0,0,3]],"s":[{},[0,0,3]]}],"f":[{"a":[{},[0,0,4]],"r":[{"e":[{},[0,0,0,0,5]]}]}],"g":[{"r":[{},[0,4]]}],"i":[{"g":[{},[0,0,4]]},[0,0,1]],"n":[{".":[{},[0,3]]},[0,1]],"o":[{},[0,0,3]],"r":[{"e":[{},[4]]},[0,1,0,1]],"y":[{"c":[{},[0,4]],"d":[{"i":[{"o":[{},[0,0,0,0,4]]},[0,4]]}],"n":[{},[0,4,0,0,3]],"r":[{},[0,4]],"t":[{},[3,4]]}]}],"y":[{"b":[{},[0,0,0,3]],"c":[{"h":[{".":[{},[0,3]]}]},[2]],"d":[{".":[{},[0,4]],"d":[{},[2]],"n":[{},[0,0,0,0,3]],"r":[{},[0,0,0,0,3]]},[0,0,0,2]],"f":[{"a":[{"n":[{},[0,0,0,5,0,5]]},[0,0,0,3]],"n":[{},[0,0,0,4,3]],"r":[{".":[{},[5]]},[0,0,0,4,3]]}],"g":[{"e":[{"d":[{"d":[{},[4]]}]}],"i":[{"a":[{},[4]]}]},[0,2]],"m":[{},[0,0,0,3]],"n":[{"a":[{"u":[{},[0,4]]}],"g":[{"a":[{},[0,0,0,0,3]]}],"y":[{},[0,4,0,3]]}],"r":[{"a":[{},[0,0,0,3]]}],"s":[{"a":[{"u":[{},[4]]}],"e":[{"n":[{".":[{},[4]]}]}],"g":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,3]]}],"l":[{},[0,4]],"n":[{},[4]],"r":[{},[4]],"y":[{"n":[{},[4]]}]}],"w":[{},[0,0,0,1]]}]}],"m":[{"a":[{"b":[{"i":[{},[0,0,0,4]]},[0,0,0,3]],"c":[{"w":[{},[0,0,0,4]]},[0,3]],"d":[{"a":[{"d":[{},[0,4]],"f":[{},[0,4]],"i":[{},[0,4]],"n":[{},[0,4]],"s":[{},[0,4]]}],"i":[{},[0,2]],"r":[{},[0,0,0,4,3]],"w":[{"c":[{},[0,4]],"n":[{},[0,4]]}],"y":[{},[0,4]]}],"e":[{"l":[{},[0,0,0,0,3]]}],"f":[{"l":[{},[0,0,0,4,3]]}],"g":[{},[0,3]],"i":[{},[2]],"m":[{},[0,3]],"n":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,3]],"f":[{},[0,4]],"o":[{},[0,0,0,2]]}],"r":[{".":[{},[0,4]],"c":[{"h":[{},[0,0,0,4,0,3]]}],"e":[{},[0,4]],"i":[{},[0,4]],"l":[{},[0,0,0,4]],"n":[{},[0,0,0,0,3]],"u":[{},[0,4]],"w":[{"y":[{},[0,0,0,4]]}]},[0,3]],"s":[{"g":[{"e":[{},[0,0,0,3]]},[0,0,0,0,2]]}],"t":[{"e":[{"g":[{},[0,0,0,5]]}],"o":[{},[0,0,0,4]]},[0,3]],"w":[{"d":[{"a":[{},[0,0,0,0,4]]}]},[0,3]]}],"b":[{"a":[{"r":[{"a":[{"t":[{"o":[{},[0,0,0,0,0,0,0,5]]}]}]}]}],"i":[{},[0,3]],"y":[{},[0,3]]}],"c":[{"a":[{"n":[{},[0,0,0,0,3]]}]}],"d":[{"a":[{"i":[{},[0,4]],"n":[{"a":[{"s":[{},[0,0,0,5]]},[0,0,0,0,4]],"e":[{},[0,0,0,5,4]]}]}],"d":[{"a":[{"d":[{"l":[{},[0,0,0,0,0,0,4]]}]}],"e":[{"f":[{},[0,0,0,0,0,3]]}],"i":[{"d":[{},[0,0,0,0,4]]}]},[0,0,0,2]],"e":[{"r":[{".":[{},[0,5]],"a":[{},[0,4]]}]}],"o":[{"g":[{"a":[{"e":[{"t":[{"h":[{"o":[{},[0,0,0,0,4]]}]}]}]}]}],"n":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,5]]}]}],"r":[{"o":[{"e":[{},[0,0,0,0,3]]}]}],"w":[{"y":[{},[0,0,0,0,4]]}],"y":[{"n":[{"g":[{},[0,0,0,0,0,5]]}],"r":[{"e":[{},[0,0,0,5]]}]}]},[0,0,2]],"e":[{"d":[{"a":[{},[4]],"d":[{"i":[{"a":[{},[4]]}],"w":[{"r":[{},[4]]}]}],"i":[{},[4]],"ï":[{},[4]],"r":[{},[0,0,0,0,3]]}],"g":[{"n":[{"i":[{},[0,0,0,0,0,3]]},[0,0,0,3,4]]}],"i":[{"t":[{"h":[{},[0,0,0,0,0,3]]}],"w":[{},[0,0,4]]}],"l":[{"y":[{"n":[{"o":[{},[0,0,0,5]]}]}]}],"n":[{"s":[{},[0,0,0,0,4]],"t":[{"e":[{},[0,0,0,0,4]],"r":[{},[0,0,0,0,0,5]],"y":[{},[5]]}],"y":[{"d":[{},[0,0,0,5]]}]}],"r":[{".":[{},[0,3]],"a":[{"d":[{"w":[{"y":[{".":[{},[0,4]]}]}]},[0,3]],"f":[{},[0,4]],"i":[{},[0,4]],"n":[{},[0,4]],"s":[{},[0,4]]}],"c":[{"h":[{"e":[{"r":[{},[0,0,0,0,0,4]]}]}]}],"d":[{"d":[{},[0,0,0,0,0,4]]}],"e":[{},[0,4]],"i":[{"a":[{"d":[{"a":[{},[0,5]]}]}]}],"o":[{"c":[{},[0,4]],"m":[{},[0,4]],"n":[{},[0,4]]}],"w":[{},[0,4]],"y":[{},[0,4]]},[0,2]],"s":[{"i":[{"a":[{},[4]]}],"o":[{"l":[{},[4]]}],"t":[{},[0,0,0,0,4]],"w":[{"r":[{},[4]]}],"y":[{},[4]]}],"u":[{},[0,0,0,1]]}],"f":[{"a":[{"l":[{"c":[{"h":[{"i":[{"a":[{},[0,0,0,0,0,0,0,5]],"e":[{},[0,0,0,0,0,0,0,5]]}]}]}]}]}],"f":[{"l":[{},[0,0,0,0,4]]}],"y":[{"d":[{"d":[{},[0,0,0,0,0,4]]}]}]}],"g":[{"y":[{"f":[{"f":[{"r":[{"o":[{},[0,0,0,0,0,0,5]]}]},[0,0,0,0,0,4]]}],"m":[{"e":[{"r":[{"i":[{"a":[{},[0,0,0,0,5]]}]}]}]},[0,0,0,0,4]],"s":[{},[0,0,0,0,2]]}]},[0,0,2]],"h":[{"a":[{"r":[{"a":[{"d":[{},[0,0,0,0,5]]}]}]}],"e":[{"i":[{"r":[{"a":[{},[0,0,0,0,0,4]]}]}],"n":[{"a":[{},[0,0,0,3]],"e":[{"d":[{},[0,0,0,5]],"s":[{},[0,0,0,5]]}],"t":[{},[0,0,0,0,3,4]],"w":[{},[0,0,0,0,5]]}],"t":[{"a":[{},[0,0,0,3]]},[0,0,0,0,2]],"u":[{},[0,2]]}],"o":[{"b":[{"l":[{},[0,0,0,0,4]]}]}],"r":[{"a":[{},[0,0,0,4]],"y":[{"f":[{},[0,0,0,0,0,5]]}]}],"y":[{"d":[{},[0,0,0,0,4]],"f":[{},[0,0,0,3]]}]},[0,0,2]],"i":[{"a":[{"s":[{},[0,3]]}],"d":[{},[0,3,0,3]],"e":[{},[0,3]],"g":[{"e":[{"i":[{},[0,0,5]]}]}],"n":[{"t":[{},[0,0,0,4]]},[0,0,0,1]],"o":[{},[0,3]],"r":[{},[0,3]],"s":[{"g":[{},[0,0,0,0,4]],"i":[{},[0,0,0,4]]},[0,0,0,2]],"t":[{},[0,3]],"w":[{},[0,3]],"y":[{},[0,3]]},[2]],"l":[{"a":[{"s":[{},[0,2]]}],"b":[{"l":[{"w":[{},[0,0,5]]}]}],"e":[{"d":[{},[0,3]],"w":[{},[0,0,0,0,3]]}],"i":[{"n":[{},[0,3]],"w":[{"i":[{"a":[{"i":[{"s":[{},[0,5]]}],"s":[{"e":[{},[0,5]]}]}],"w":[{"y":[{},[0,5]]}]}]}]}],"o":[{"n":[{"a":[{},[0,0,0,3]],"e":[{"d":[{},[0,0,0,0,4]]}]}]}],"y":[{"n":[{},[0,0,0,0,3]]}]},[0,0,2]],"n":[{"a":[{"s":[{},[0,0,4]]},[0,3]],"e":[{"d":[{"i":[{},[0,0,5]]},[0,4]]},[0,3]],"i":[{"a":[{"u":[{},[0,5]]}]}],"ï":[{},[0,3,0,3]]},[0,2]],"o":[{"d":[{"d":[{},[0,3]],"i":[{"g":[{},[0,0,0,4]]}],"r":[{},[0,0,0,3]]},[0,2]],"f":[{"y":[{"d":[{},[0,0,0,5]]}]}],"g":[{},[0,3]],"n":[{".":[{},[0,4]],"a":[{},[0,0,0,3]],"d":[{},[0,0,0,4]],"ï":[{},[0,4]]}],"r":[{"c":[{},[0,0,0,3]],"d":[{"d":[{"i":[{"w":[{},[0,0,0,0,0,0,0,5]]}]},[0,0,0,0,0,4]]}],"o":[{},[0,0,0,4]]},[0,0,0,2]],"s":[{"i":[{"y":[{},[0,0,5]]},[0,0,0,4]]},[0,3,0,2]]}],"p":[{"r":[{"a":[{},[0,0,0,3]],"o":[{},[0,0,0,3]],"w":[{},[0,0,0,3]]}],"w":[{"a":[{"i":[{},[0,0,5]]}]}]},[0,2]],"r":[{"a":[{"i":[{},[0,2,3]],"n":[{"a":[{},[0,0,0,3]]}]}],"e":[{"d":[{},[0,2,4]],"g":[{"y":[{},[0,0,0,0,3]]}]}],"i":[{"a":[{},[0,4]],"e":[{},[0,4]],"g":[{},[0,4]]}],"o":[{"a":[{"d":[{},[0,0,0,4]]}],"d":[{"i":[{"a":[{"e":[{},[0,0,0,0,4]]}],"r":[{},[0,0,0,0,4]]}]}],"e":[{},[0,2]],"i":[{},[0,2]],"o":[{},[0,2]],"w":[{},[0,2]],"y":[{},[0,4]]}],"y":[{"n":[{"d":[{},[0,0,0,0,4]]},[0,4]],"s":[{"o":[{},[0,0,0,0,4]]}]}]},[0,0,2]],"s":[{"a":[{},[0,3]],"e":[{"n":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,5]]}]},[0,2]],"o":[{},[0,2]],"t":[{"r":[{},[0,0,0,0,4]]}]},[0,0,2]],"t":[{"a":[{"s":[{},[0,0,0,0,4]]},[0,0,2]],"h":[{},[0,3]]},[0,2]],"u":[{"a":[{"n":[{},[0,0,4]]}],"d":[{"d":[{"l":[{},[0,0,0,0,4]]}],"w":[{},[0,0,0,3]]}],"l":[{},[0,0,2,3]],"n":[{},[0,0,0,3]],"s":[{},[0,3]]},[0,2]],"w":[{"a":[{"s":[{},[0,0,3]]},[0,3,2]],"c":[{"h":[{},[0,3]]}],"i":[{},[0,3]],"r":[{"i":[{},[0,0,0,3]]},[0,0,0,2]],"t":[{},[0,3]],"y":[{"b":[{},[0,0,0,3]],"l":[{"l":[{"t":[{},[0,0,0,0,0,0,4]]}]}],"n":[{},[0,0,0,0,3]],"s":[{"e":[{},[0,5]]}],"t":[{"h":[{"a":[{"d":[{"w":[{},[0,0,0,0,0,4]]}],"f":[{},[0,0,0,0,0,4]],"s":[{"a":[{"n":[{},[0,0,0,0,0,4]]}],"o":[{},[0,0,0,0,0,4]],"w":[{},[0,0,0,0,0,4]]}]}],"e":[{"c":[{},[0,0,0,0,0,4]],"m":[{},[0,0,0,0,0,4]],"r":[{},[0,0,0,0,0,4]]}],"i":[{},[0,0,0,0,0,4]],"o":[{"c":[{},[0,0,0,0,0,4]]}],"w":[{},[0,0,0,0,0,4]],"y":[{},[0,0,0,0,0,4]]}]}]}]}],"y":[{"c":[{"h":[{},[0,0,0,0,3]]},[0,3]],"d":[{"d":[{"i":[{},[0,0,0,0,5]]}],"r":[{},[0,0,0,0,3]],"y":[{},[0,0,0,3]]},[0,3]],"f":[{"y":[{},[0,0,0,4]]}],"l":[{".":[{},[0,4]],"a":[{},[0,0,0,3]],"n":[{},[0,4]]}],"m":[{},[0,3]],"n":[{"a":[{"i":[{".":[{},[0,0,0,4]]}]}]}],"r":[{"a":[{"s":[{"a":[{},[0,0,0,5]]},[0,0,0,4]]}],"e":[{"d":[{"i":[{},[0,0,0,4]]}]}],"f":[{},[0,0,0,0,4]]},[0,3]],"s":[{"g":[{".":[{},[0,4]]}],"w":[{},[0,0,0,4]]},[0,3]],"w":[{"y":[{},[0,0,0,3]]}]},[2,2]]},[0,1]],"n":[{"a":[{"b":[{"l":[{},[0,0,4]],"o":[{},[0,0,4]]},[3,0,3,2]],"c":[{"h":[{},[0,0,4,0,3]]}],"d":[{"l":[{},[0,3]],"n":[{"a":[{},[0,0,0,0,0,4]]},[0,0,0,4]],"o":[{},[0,4]],"r":[{},[0,0,0,3]],"u":[{},[0,0,0,3]],"w":[{"r":[{},[0,3]]},[0,0,0,3]]},[0,2]],"e":[{"a":[{"r":[{"a":[{},[0,0,0,5]],"w":[{},[0,0,0,5]]}]}],"l":[{},[0,0,0,0,4]]},[0,1]],"f":[{"a":[{"u":[{},[0,5]]},[0,2]],"o":[{},[0,2,0,3]],"y":[{},[0,4]]}],"i":[{"c":[{},[0,4]],"g":[{},[0,4]],"n":[{},[0,4]],"r":[{},[0,4]]}],"l":[{},[0,3]],"n":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,3]],"f":[{},[0,0,0,3]]}],"p":[{"o":[{"m":[{},[0,0,0,4]]}]}],"r":[{"l":[{"l":[{"e":[{"n":[{"a":[{"d":[{},[0,0,0,0,0,0,0,0,0,4]]}]}]}]}]}]},[0,3]],"s":[{"g":[{},[0,3]],"o":[{"l":[{},[0,4]]}],"t":[{},[0,3,0,4]]}],"t":[{},[1]],"u":[{},[0,0,0,3]]}],"b":[{"y":[{"d":[{"r":[{},[0,0,0,0,5]]}]}]},[0,1,2]],"c":[{"a":[{"n":[{},[0,0,3]]}],"d":[{"e":[{"s":[{},[0,0,5]]}]}],"e":[{"d":[{},[0,0,4]],"i":[{},[0,0,2]],"n":[{".":[{},[0,0,5]]}]}],"h":[{"w":[{"i":[{"l":[{"i":[{"a":[{"d":[{},[0,0,0,0,0,0,0,0,0,4]]}]}]}]}]}]},[0,3]],"i":[{"a":[{},[0,4]],"d":[{},[0,4]],"e":[{},[0,4]],"o":[{"d":[{".":[{},[0,5]]}]},[0,4]],"r":[{},[0,4]],"t":[{},[0,4]],"w":[{},[0,4]],"y":[{},[0,4]]}],"l":[{},[0,3]],"r":[{},[0,0,0,1]],"t":[{},[0,0,0,1]],"y":[{"d":[{".":[{},[0,5]]}],"n":[{"y":[{},[0,5]]}]}]},[0,2]],"d":[{"a":[{"s":[{},[0,0,3]],"w":[{},[0,0,3]]}],"d":[{"a":[{},[0,0,4]]},[0,0,0,2]],"e":[{"n":[{},[0,0,0,0,2]]}],"i":[{"a":[{},[0,4,3]],"e":[{},[0,0,3]],"f":[{},[0,3,0,3]],"g":[{},[0,3,0,4]],"l":[{},[0,3]],"o":[{},[0,0,3]],"r":[{},[0,0,4]],"s":[{},[0,3]],"t":[{},[0,3]],"w":[{},[0,0,3]],"y":[{},[0,0,3]]}],"o":[{"d":[{},[0,3]],"e":[{},[0,0,3]],"r":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,5,4]]}]}],"w":[{"r":[{},[0,2]]}],"y":[{"n":[{"a":[{},[0,0,0,5]],"e":[{},[0,0,0,5]]}],"s":[{},[0,4]]}]},[0,1,2]],"e":[{"a":[{"l":[{"l":[{"a":[{"d":[{},[0,0,0,0,0,0,0,4]]}]}]}]}],"b":[{"o":[{},[0,0,0,3]],"r":[{"y":[{},[0,5]]}]},[0,2,0,1]],"d":[{"d":[{"f":[{},[0,0,0,0,0,5]]}],"e":[{},[0,2]],"i":[{"d":[{},[0,4]],"g":[{"a":[{},[0,5]]}],"r":[{},[0,4]],"t":[{},[0,4]]}],"o":[{},[0,2]],"u":[{},[0,4]],"y":[{},[0,3]]}],"f":[{"n":[{},[0,0,0,0,3]],"y":[{},[0,4]]},[0,1]],"g":[{"i":[{"n":[{},[0,0,0,5]]}]},[0,1]],"h":[{},[0,0,3]],"i":[{"d":[{"d":[{},[0,3]]}],"s":[{},[0,2]]}],"l":[{".":[{},[3]],"y":[{"n":[{},[0,0,0,5]]}]},[0,1]],"n":[{"t":[{"y":[{},[3]]}]}],"r":[{"a":[{},[0,0,0,3]],"c":[{"h":[{},[0,0,0,0,0,5]]}],"g":[{},[0,4]],"l":[{},[0,4]],"t":[{},[3]]}],"s":[{"e":[{},[3]],"i":[{"a":[{},[4]],"o":[{},[0,4]]}],"m":[{},[0,0,0,4]],"o":[{},[3]],"t":[{},[0,2]],"w":[{},[3]],"y":[{},[0,2]]}],"t":[{"h":[{"o":[{},[0,0,0,0,5]]}]}],"u":[{"d":[{},[0,0,0,3]],"f":[{},[0,4]],"l":[{},[0,0,0,0,4]]},[0,2]],"w":[{"y":[{"l":[{"l":[{".":[{},[0,0,0,5]]}]}],"n":[{},[0,0,0,0,0,3]]}]},[3]]}],"f":[{"a":[{"d":[{"d":[{},[0,0,0,0,0,4]]}],"m":[{},[0,0,4]],"n":[{"e":[{},[0,0,0,0,5]],"t":[{},[0,0,0,0,4]]},[0,0,0,0,3]],"o":[{"l":[{},[0,0,0,5]]}],"t":[{},[0,0,4]]}],"e":[{"l":[{},[0,0,0,0,2]]}],"f":[{"a":[{},[0,0,4]],"o":[{},[0,0,0,4]],"y":[{"n":[{"a":[{"d":[{},[0,0,0,0,0,0,0,4]]}]},[0,0,0,0,0,4]]}]},[0,0,0,2]],"i":[{"d":[{},[0,0,4]],"l":[{},[0,4]]}],"o":[{"d":[{"l":[{},[0,0,0,0,4]]}],"n":[{"a":[{},[0,0,0,0,5]],"e":[{"d":[{"i":[{},[0,5]]}]}]},[0,2]]}],"r":[{"i":[{},[0,0,4]]}],"w":[{"y":[{},[0,0,4]]}],"y":[{"d":[{".":[{},[0,5]],"a":[{},[0,0,0,0,3]]}]},[0,2]]},[0,1,2]],"g":[{"a":[{"d":[{"w":[{"y":[{".":[{},[0,0,5]]}]}]},[0,0,2]],"i":[{},[0,4]],"l":[{},[0,0,0,0,4]],"m":[{},[0,3]],"r":[{},[0,3]],"u":[{},[0,4]]}],"d":[{"d":[{"y":[{},[0,0,4]]}]}],"e":[{"l":[{},[0,0,0,0,4]]}],"h":[{"w":[{"y":[{"n":[{},[0,0,0,0,0,0,5]]}]}]}],"i":[{},[0,2]],"l":[{"w":[{"m":[{},[0,3]]}],"y":[{"m":[{},[0,5]],"n":[{},[0,0,0,0,0,3]]},[0,4]]},[0,2,0,2]],"n":[{},[0,0,0,2]],"o":[{"e":[{},[0,0,3]],"f":[{"a":[{},[0,0,0,0,3]]}],"l":[{"e":[{"d":[{},[0,0,0,0,4]]}]}],"n":[{},[0,0,3]],"p":[{},[0,0,0,0,2]]}],"r":[{"a":[{},[0,0,0,4]]},[0,1]],"w":[{"i":[{},[0,0,4]],"y":[{"n":[{"a":[{"s":[{},[0,0,0,0,5]]}]}]}]},[0,2]],"y":[{"f":[{},[0,0,0,3]],"n":[{},[0,4]]}]}],"h":[{"a":[{"o":[{},[0,0,0,3]],"r":[{},[0,0,0,0,4]],"w":[{"s":[{},[0,0,0,0,0,4]]}]}],"e":[{"b":[{"r":[{},[0,0,0,0,5]]}],"n":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,3]]}],"p":[{},[0,0,0,0,2]],"s":[{},[0,0,4]]}],"o":[{"e":[{"d":[{},[0,0,0,3]],"s":[{"i":[{},[0,0,0,5]]}]}],"n":[{"a":[{},[0,0,0,3,4]],"e":[{},[0,0,0,0,4]]}]}],"u":[{"d":[{"d":[{"e":[{"d":[{".":[{},[0,0,0,0,0,4]]}]}]}]}],"e":[{},[0,0,0,4]]}],"y":[{"c":[{},[0,0,0,0,4]],"d":[{},[0,0,0,0,2]],"l":[{},[0,0,0,0,4]],"m":[{},[0,0,0,0,4]]}]},[2,1,2]],"i":[{"a":[{"d":[{},[4,0,4]],"l":[{"d":[{},[0,5]]}]}],"b":[{"a":[{},[0,0,0,4]],"e":[{},[0,0,0,4]],"r":[{"y":[{"d":[{},[0,0,0,0,0,0,4]]}]}]},[0,0,1]],"d":[{"d":[{"e":[{},[0,0,5]]},[0,0,0,0,4]],"e":[{},[0,0,0,4]]},[0,0,1]],"e":[{"t":[{},[0,0,4]],"u":[{},[0,0,3]],"w":[{},[0,4]]},[0,3]],"f":[{"e":[{"d":[{},[0,0,3]],"n":[{},[0,0,3]],"r":[{"y":[{"c":[{},[0,0,4]]}]}]}],"f":[{"r":[{},[0,0,3]]}],"w":[{},[0,0,3]]}],"g":[{"a":[{"m":[{},[0,5]]}],"e":[{"n":[{"a":[{},[0,0,0,0,5]]}]}],"i":[{"a":[{"d":[{".":[{},[0,5]],"a":[{},[0,5]],"w":[{},[5]]},[4]]}],"o":[{"n":[{".":[{},[0,5]],"t":[{},[5]]},[4]]}],"w":[{"r":[{},[4,5]]}]}],"l":[{},[0,0,0,0,4]],"y":[{"m":[{},[0,0,3,0,0,4]]},[4]]},[0,2]],"l":[{"e":[{"a":[{"d":[{},[0,0,0,0,0,0,4]]}]}],"l":[{"a":[{"d":[{"a":[{"s":[{},[0,0,0,0,5]]}]}]}],"i":[{"o":[{},[0,5]]}]}],"u":[{},[0,0,3]],"y":[{"s":[{},[0,0,3]]}]}],"n":[{"o":[{},[0,0,3]],"w":[{},[0,0,0,4]]},[0,0,0,2]],"o":[{"r":[{},[0,0,3]]}],"r":[{"a":[{},[0,0,3]],"e":[{},[0,0,0,4]],"i":[{},[0,0,3]],"w":[{},[0,0,4]],"y":[{"m":[{},[0,0,3]]}]}],"s":[{"g":[{},[0,0,0,3]],"o":[{},[0,0,3]],"t":[{"y":[{},[0,0,0,3]]}],"w":[{},[0,0,3]],"y":[{},[0,0,3]]}],"t":[{"h":[{"e":[{},[0,0,0,0,4]]}]}],"w":[{"a":[{},[0,0,0,4]],"c":[{},[0,0,4]],"e":[{"d":[{"d":[{"a":[{"s":[{},[0,0,0,5]]}],"e":[{},[0,0,0,5]],"o":[{},[0,0,0,5]],"w":[{},[0,0,0,5]]}]}]}],"l":[{"e":[{},[0,0,0,0,5]],"o":[{},[0,0,0,0,5]],"w":[{},[0,0,0,0,5]]},[0,0,0,0,3]]},[0,0,0,2]],"y":[{"d":[{"d":[{},[0,0,5]]}]}]},[0,1]],"ï":[{"i":[{},[0,2]],"y":[{"c":[{},[0,0,4]]}]}],"l":[{"a":[{"d":[{"r":[{},[0,0,0,0,0,3]]}]}],"i":[{"n":[{},[0,0,0,0,3]]}],"l":[{"o":[{"n":[{},[0,0,0,0,0,4]]}],"w":[{},[0,0,4]],"y":[{"n":[{},[0,4]]}]},[0,0,0,2]],"y":[{"n":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,3]]}]},[0,2]]},[0,1,2]],"m":[{"o":[{"l":[{"a":[{"d":[{},[0,0,0,0,0,0,4]]}]}]}]},[0,1,2]],"n":[{"a":[{"l":[{},[0,0,4]],"r":[{},[0,0,4]]}],"e":[{"d":[{},[0,0,0,0,4]],"t":[{"h":[{},[0,0,0,0,0,4]]}]}],"h":[{},[0,3]],"i":[{"f":[{},[0,0,0,0,4]],"l":[{"l":[{},[0,0,0,0,0,4]]},[0,0,0,4]],"o":[{},[0,0,0,4]],"s":[{},[0,0,0,0,4]],"w":[{},[0,0,0,4]]},[0,0,0,2]],"o":[{"s":[{"b":[{},[0,5,0,0,4]]}]}],"w":[{"y":[{},[0,0,4]]}],"y":[{"n":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,5]]}],"w":[{},[0,0,4]]}]},[0,1,2]],"o":[{"a":[{"d":[{"a":[{},[0,0,4]]}]}],"b":[{},[0,3]],"d":[{".":[{},[0,2]],"o":[{},[0,2]],"r":[{},[0,0,0,3]]}],"e":[{"o":[{},[0,0,0,4]],"r":[{},[0,0,3]],"t":[{},[3,0,4]]},[0,2]],"f":[{"e":[{"l":[{},[0,0,0,4]]}],"y":[{},[0,2]]},[0,1,0,1]],"g":[{},[0,1]],"l":[{"e":[{"g":[{},[0,0,0,5]]}]}],"m":[{"i":[{},[0,4]]},[0,0,0,3]],"n":[{"e":[{"s":[{},[0,5]]}]}],"r":[{"c":[{"h":[{},[0,0,0,0,0,4]]}],"f":[{},[0,0,0,4]]},[0,1]],"s":[{},[2,0,0,3]]}],"ö":[{"e":[{"s":[{".":[{},[0,0,5]]}]}]}],"p":[{"e":[{"t":[{},[0,0,4]]}]}],"r":[{"e":[{"o":[{},[0,0,0,4]]}]},[0,1,2]],"s":[{"e":[{"i":[{},[0,3]],"n":[{},[0,0,3]]},[0,2]],"i":[{"c":[{},[0,0,4]],"g":[{},[0,0,4]],"l":[{},[0,3,4]],"y":[{"c":[{},[0,0,5]],"n":[{},[0,3]]},[0,0,4]]},[0,0,3]],"y":[{"n":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,3]]}]}]},[0,1,2]],"t":[{"a":[{"d":[{},[0,0,3]],"f":[{".":[{},[0,0,5]]}],"i":[{"d":[{},[0,0,5]]}],"n":[{"a":[{},[0,0,4]]}],"w":[{},[0,0,3]]}],"e":[{"i":[{},[0,3]],"l":[{},[0,0,3]],"m":[{},[0,0,3]],"r":[{".":[{},[0,0,3]]}],"w":[{},[0,0,0,0,3]]},[0,2]],"h":[{},[0,0,0,2]],"i":[{"a":[{},[0,4]],"l":[{".":[{},[0,0,5]]}],"n":[{},[0,0,4]],"s":[{},[0,3]]}],"o":[{"c":[{},[0,0,3]],"d":[{".":[{},[0,0,5]]},[0,0,3]],"e":[{},[0,0,3]],"r":[{},[0,4,3]]}],"r":[{},[0,1]],"w":[{},[0,0,1]],"y":[{"n":[{},[0,0,3]],"r":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,3,4]]}]}]}],"u":[{"d":[{"o":[{},[0,0,0,2]]}],"n":[{"i":[{},[0,0,0,4]]}],"t":[{},[0,0,0,1]]},[0,1]],"w":[{"a":[{"f":[{},[0,0,3]],"i":[{"t":[{},[0,3]]}],"n":[{},[0,0,3]],"r":[{"e":[{"d":[{".":[{},[0,0,0,0,4]]}]}]},[0,3]],"s":[{},[0,0,3]]}],"b":[{"l":[{"e":[{},[0,0,0,5]]},[0,0,0,0,4]]}],"d":[{"e":[{},[0,0,0,3]]}],"e":[{"d":[{"d":[{},[0,5]],"i":[{},[0,0,3]]}],"i":[{"t":[{"h":[{"i":[{"a":[{"u":[{},[0,0,0,0,0,0,0,5]]}]}]}]}]},[0,3]],"l":[{"a":[{"d":[{},[0,0,0,0,0,0,4]]}]}],"n":[{"d":[{},[0,0,0,0,5]]}]}],"i":[{"a":[{},[0,0,4]],"d":[{},[0,0,3]],"r":[{".":[{},[0,0,3]]},[0,0,0,0,4]],"s":[{},[0,3]]}],"o":[{},[0,0,3]],"r":[{"e":[{"i":[{},[0,0,0,5]]}]}],"y":[{".":[{},[0,4]],"b":[{"o":[{"d":[{"a":[{},[0,0,0,0,0,0,4]]}]}]}],"c":[{},[0,4]],"l":[{},[0,3]],"n":[{".":[{},[0,4]]},[0,2]],"t":[{},[0,3]]}]}],"y":[{"c":[{"h":[{},[0,0,0,0,3]]}],"f":[{"a":[{"l":[{"a":[{},[0,0,5]],"e":[{},[0,0,5]],"o":[{},[0,0,5]]}]}],"f":[{},[0,0,0,0,4]],"n":[{},[0,0,0,4]],"o":[{"d":[{},[0,0,5]]},[0,0,0,4]],"r":[{},[0,0,0,0,3]]},[0,0,0,2]],"g":[{"y":[{},[0,0,3]]},[0,2]],"l":[{"a":[{"n":[{},[0,0,3]]}],"u":[{},[0,0,3]]},[0,1]],"m":[{"a":[{},[0,0,0,4]],"y":[{},[0,0,0,4]]}],"n":[{"n":[{"a":[{"u":[{},[0,5]]}]}],"o":[{"d":[{},[0,0,3,4]]}]}],"r":[{"a":[{},[0,0,3]],"c":[{"h":[{"a":[{"f":[{"a":[{"d":[{},[0,0,0,0,0,0,0,0,0,4]]}]}]}]}]}],"i":[{},[0,0,3]]}],"s":[{".":[{},[0,4]],"g":[{},[0,0,0,4]]},[0,1]],"w":[{},[0,3]]}]}],"o":[{"a":[{},[2,1]],"b":[{"a":[{"e":[{},[0,0,3]],"n":[{"t":[{},[0,0,5]]},[0,0,4]]}],"e":[{"d":[{},[0,0,3]],"l":[{},[0,0,3]],"n":[{".":[{},[0,0,5]],"y":[{},[0,0,0,0,5]]}],"r":[{".":[{},[0,0,5]]}]}],"l":[{"a":[{},[0,0,0,3]],"e":[{"d":[{},[0,0,0,5]],"r":[{},[0,0,3]],"s":[{},[0,0,0,5]]}],"o":[{},[0,0,0,3]],"w":[{},[0,0,0,3]],"y":[{},[0,3,4]]}],"o":[{},[0,0,3]],"r":[{},[0,0,0,1]],"y":[{"d":[{},[0,0,3]]}]},[2,2]],"c":[{"a":[{},[0,0,1]],"b":[{"y":[{"n":[{},[0,0,5]]}]}],"e":[{},[0,0,3]],"h":[{"a":[{"n":[{},[0,0,0,5]]},[0,0,0,3]],"e":[{"n":[{},[0,0,0,5]]}],"l":[{"a":[{},[0,0,0,0,3]],"e":[{"s":[{},[0,0,0,0,5]]}],"o":[{},[0,0,0,0,3]],"w":[{},[0,0,0,0,3]]}],"n":[{"i":[{},[0,0,0,4]]},[0,0,0,3]],"o":[{},[0,0,0,3]],"r":[{},[0,0,0,0,3]],"w":[{},[0,0,0,3]],"y":[{},[0,0,0,3]]}],"i":[{},[2]],"r":[{},[2]],"t":[{},[2]]}],"d":[{"a":[{"o":[{},[0,0,4]],"r":[{},[0,0,0,0,4]]},[2,0,3]],"d":[{"a":[{},[0,0,0,3]],"f":[{"y":[{},[0,0,0,0,5]]}],"i":[{"l":[{},[0,0,0,5]],"w":[{},[0,0,0,0,0,3]]}],"r":[{"i":[{},[0,0,0,5]]},[0,0,0,3]],"u":[{},[4]],"y":[{"d":[{},[0,0,0,5]],"n":[{},[0,0,0,5]]},[0,0,0,3]]}],"e":[{"b":[{"a":[{"u":[{},[0,5]]}],"u":[{},[0,5]]},[0,0,0,0,3]],"d":[{"i":[{},[0,0,5]]}],"i":[{"d":[{},[0,0,5]]}],"l":[{},[0,0,3]],"r":[{},[0,0,3]]}],"i":[{},[0,0,3]],"l":[{"a":[{},[0,0,0,3]],"e":[{"c":[{},[0,0,0,3]],"s":[{"i":[{},[0,0,0,5]]}]}],"w":[{},[0,0,0,3]]}],"o":[{"f":[{"f":[{},[0,0,5]]}],"g":[{"a":[{},[0,0,4]]},[2]]}],"r":[{"a":[{},[0,0,0,3]],"e":[{"c":[{},[0,0,0,5]],"m":[{},[0,0,0,5]]}],"o":[{},[0,0,0,3]],"w":[{"y":[{"d":[{".":[{},[0,0,0,5]]}]}]}],"y":[{"c":[{},[0,0,0,5]]},[0,0,4]]},[2]],"w":[{"a":[{},[0,0,3]],"e":[{"d":[{},[0,0,5]],"n":[{},[0,0,5]]}]},[2]],"y":[{"c":[{},[0,0,3]],"n":[{"n":[{},[0,0,4]]},[0,0,3]]}]}],"e":[{"c":[{},[0,1]],"d":[{"d":[{},[0,4,0,0,3]],"i":[{"g":[{},[0,3]]},[0,0,0,3]],"l":[{"a":[{"n":[{},[0,0,0,5]]},[0,0,0,0,4]]}],"r":[{"a":[{},[0,0,0,5]]}]}],"g":[{},[0,0,0,3]],"l":[{"c":[{},[0,0,0,3]]}],"m":[{},[0,1]],"n":[{"t":[{},[0,3]]},[0,0,0,3]],"r":[{},[0,0,0,3]],"s":[{"g":[{"o":[{},[0,0,0,0,4]]}]},[0,0,0,3]],"t":[{"a":[{"n":[{},[0,0,0,5]]}],"r":[{},[0,0,0,0,3]]}]}],"f":[{".":[{},[2]],"a":[{"d":[{},[0,0,3]],"i":[{},[0,0,3]],"n":[{"e":[{},[0,0,0,0,5]],"t":[{},[0,0,3]]},[0,0,0,0,3]],"o":[{"l":[{},[0,0,0,5]]}]}],"e":[{"b":[{"i":[{},[0,0,5]]}],"d":[{},[0,0,3]],"l":[{},[0,0,3]],"n":[{"n":[{},[0,0,4]]},[0,0,3]],"r":[{".":[{},[0,0,3]],"l":[{},[0,4]],"y":[{},[0,4]]}]}],"f":[{"a":[{},[0,0,4,3]],"e":[{"d":[{},[0,0,0,3]]}],"i":[{"d":[{},[0,0,0,5]]}],"w":[{},[0,0,0,3]]}],"i":[{"a":[{"d":[{"w":[{},[0,0,0,0,0,4]]}]}]}],"l":[{},[0,0,0,3]],"n":[{"a":[{},[0,0,4]],"d":[{},[0,0,4]],"e":[{},[0,0,4]],"f":[{},[0,0,4]]},[0,0,3]],"o":[{"d":[{"o":[{},[0,0,4]]}]},[0,0,1]],"r":[{"a":[{},[0,0,0,3]],"e":[{"c":[{},[0,0,4]],"d":[{},[0,0,4]],"m":[{},[0,0,4]],"r":[{},[0,0,4]]},[0,0,3]]}],"w":[{"y":[{"f":[{},[0,0,5]]}]}],"y":[{"n":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,3]]},[0,0,4]]}]}],"g":[{"a":[{"i":[{},[0,0,3]],"n":[{"a":[{"u":[{},[0,4]]}],"u":[{},[0,4]]},[0,0,2,0,3]],"s":[{},[0,0,3]]}],"e":[{"d":[{"y":[{},[0,0,4]]}],"l":[{"y":[{"n":[{},[0,0,5]]}]}],"r":[{"d":[{},[0,0,5]]},[0,0,3]],"s":[{},[0,0,3]]}],"f":[{},[2]],"i":[{},[0,0,3]],"l":[{"w":[{},[0,0,0,3]],"y":[{},[0,0,0,3]]},[2]],"n":[{},[2,0,0,3]],"o":[{"f":[{},[3,0,2,4]],"r":[{"u":[{},[0,0,5]]}]}],"r":[{"w":[{"y":[{},[0,0,3]]}],"y":[{},[0,3]]}],"y":[{"d":[{},[0,0,3]],"f":[{},[0,0,0,0,4]],"l":[{},[0,0,4]],"r":[{"n":[{},[0,0,5]]}]}]},[0,0,1]],"h":[{"e":[{"b":[{},[0,0,0,0,3]],"r":[{},[0,0,0,0,4]]}]},[0,1,2]],"i":[{"d":[{},[0,1]],"g":[{},[0,0,0,1]],"r":[{},[0,1]],"t":[{},[0,1]]}],"l":[{"a":[{"u":[{},[2]]}],"c":[{"e":[{},[0,0,4]]}],"d":[{"a":[{},[0,0,4]]},[0,0,3]],"e":[{"u":[{"a":[{},[0,0,3]],"e":[{"d":[{},[0,0,4]]}],"o":[{},[0,0,5]],"w":[{"r":[{},[0,0,4]]}]},[4]],"w":[{},[0,0,0,0,3]]}],"i":[{},[0,0,3]],"l":[{"e":[{"d":[{},[0,0,0,5]]},[0,0,0,3]],"t":[{},[0,0,4]],"w":[{"y":[{},[0,0,0,5]]}]},[0,0,0,1]],"o":[{"s":[{},[0,3]]},[0,0,0,2]],"s":[{"b":[{},[0,0,4]]},[0,0,3]],"u":[{},[2]],"w":[{"r":[{},[2]],"y":[{"d":[{},[0,0,3]],"n":[{"o":[{},[0,0,5]]}]},[0,0,0,4]]}],"y":[{"n":[{"e":[{},[0,0,4]],"i":[{},[0,0,4]],"o":[{},[0,0,4]],"w":[{},[0,0,4]]}]}]},[0,0,1]],"m":[{"a":[{"t":[{},[0,0,4]]},[2]],"b":[{},[2]],"e":[{"d":[{"a":[{},[0,0,5]],"i":[{},[0,0,5]]}],"g":[{".":[{},[0,0,5]]}],"i":[{},[0,0,3]],"n":[{},[0,0,3]]},[0,0,2]],"i":[{"s":[{"i":[{},[0,0,5]]}]}],"l":[{},[2]],"o":[{"g":[{},[0,0,4,0,4]]}],"p":[{"r":[{"e":[{},[0,0,5]]}]},[2]]}],"n":[{"a":[{"c":[{"h":[{".":[{},[0,0,5]]}]}],"d":[{"u":[{},[0,0,5]]}],"f":[{},[0,0,3]],"i":[{"r":[{},[4]]},[0,4,3]],"n":[{},[0,0,3]],"u":[{".":[{},[0,0,5]]},[0,4,3]]}],"b":[{},[2]],"c":[{"y":[{"f":[{},[0,0,5]]}]}],"d":[{"i":[{"d":[{},[0,0,5]]}],"o":[{},[0,0,2]]},[2]],"e":[{"d":[{"d":[{".":[{},[0,0,5]]}]}],"l":[{},[0,0,3]],"s":[{"t":[{},[0,0,0,0,0,3]]}]},[2]],"f":[{},[2]],"g":[{"l":[{},[0,0,0,0,3]],"o":[{},[0,0,0,2]],"w":[{},[0,0,0,3]],"y":[{"r":[{},[0,0,4]]}]}],"i":[{},[2]],"n":[{"u":[{},[4]]},[2]],"o":[{"f":[{".":[{},[0,0,5]]}],"g":[{},[2]]}],"t":[{"o":[{},[4]]},[0,0,2]],"w":[{},[0,0,3]]},[0,0,1]],"o":[{},[2,1]],"p":[{"a":[{"o":[{"n":[{},[0,0,5]]},[0,0,4]]},[0,0,3]],"l":[{},[0,0,0,3]],"r":[{"a":[{"i":[{},[0,0,0,5]]}],"e":[{"n":[{},[0,0,5]]}]}]},[2]],"r":[{"a":[{"c":[{"h":[{},[0,0,3]]},[4]],"e":[{"t":[{"h":[{".":[{},[0,0,5]],"a":[{},[0,0,5]]}]}]}],"f":[{},[0,0,3]],"i":[{},[0,0,3]],"n":[{},[0,0,3]],"u":[{},[0,4,3]],"w":[{},[0,0,3,0,4]]},[0,0,1]],"b":[{},[0,0,3]],"c":[{"h":[{"w":[{},[0,0,3]]}]},[0,0,2]],"d":[{"d":[{"y":[{"n":[{},[0,0,5]]}]},[0,0,4]],"e":[{"n":[{},[0,0,0,3]]}],"i":[{"n":[{},[0,0,5]]}],"y":[{"n":[{},[0,0,4,5]]}]}],"e":[{"b":[{},[0,0,2]],"d":[{"d":[{"y":[{},[0,0,0,5]]},[0,0,4]]}],"g":[{"w":[{},[0,0,4]]},[4]],"t":[{},[0,0,4]]},[0,0,1]],"f":[{"a":[{"n":[{"a":[{},[0,0,0,0,5]],"e":[{},[0,0,0,0,5]]}]},[0,0,3]],"f":[{"e":[{},[0,0,0,0,4]]}],"o":[{},[0,0,3]],"y":[{},[0,0,3,4]]}],"g":[{},[2,0,3]],"i":[{},[0,0,3]],"l":[{},[0,0,3]],"m":[{"u":[{},[0,0,4]],"y":[{},[0,0,4]]}],"n":[{"a":[{},[0,0,0,3]],"e":[{"l":[{},[0,0,3]]}]}],"o":[{"f":[{},[0,0,3]],"h":[{},[0,0,4]],"n":[{"a":[{},[0,0,0,0,5]],"e":[{},[0,0,3]],"i":[{".":[{},[0,0,5]],"d":[{},[0,0,5]],"r":[{},[0,0,5]],"t":[{},[0,0,5]]}]}]},[0,0,1]],"p":[{"w":[{"s":[{},[0,0,5]]}]}],"t":[{"h":[{".":[{},[4]]}],"i":[{},[0,0,0,4]],"y":[{},[0,0,4]]}],"u":[{"w":[{"c":[{},[0,0,5]]}]}],"w":[{"a":[{"h":[{},[0,0,5]]}],"e":[{"l":[{},[0,0,4]]},[0,0,0,4]],"g":[{"l":[{},[0,0,5]]}]},[0,0,1]],"y":[{"d":[{"d":[{},[0,0,3]]}]},[0,0,1]]}],"s":[{"a":[{"n":[{"a":[{},[0,0,4]]}]},[0,0,3]],"b":[{"a":[{"s":[{},[0,0,0,3]]}],"e":[{"d":[{},[0,0,0,5]]}],"o":[{},[0,0,0,3]],"w":[{},[0,0,0,3]],"y":[{},[0,0,0,3]]}],"e":[{"a":[{"i":[{},[0,0,5]]}]}],"g":[{"a":[{},[0,0,0,3]],"l":[{},[0,0,3]],"o":[{"e":[{},[0,0,0,0,5]],"r":[{},[0,0,3]]}],"w":[{"y":[{},[0,0,0,3]]}]}],"i":[{"a":[{"e":[{},[0,0,5]]}],"b":[{"i":[{},[0,0,5]]}]}],"o":[{"d":[{"d":[{},[0,0,3]]}],"l":[{},[0,0,3]],"n":[{},[0,0,3]]},[0,0,2]],"t":[{"e":[{},[0,0,3]],"r":[{},[0,0,3,0,4]],"u":[{},[0,0,4]]}],"w":[{},[0,0,3]],"y":[{},[0,0,3]]},[2]],"t":[{".":[{},[3]],"e":[{"s":[{"a":[{},[0,0,5]]}]},[0,0,3]],"h":[{},[0,0,0,3]],"s":[{"i":[{"a":[{},[0,0,5]]},[0,0,0,4]]}]},[2,0,1]],"u":[{},[0,2]],"w":[{"c":[{},[0,1]],"g":[{},[0,0,0,3]],"l":[{"a":[{"s":[{},[0,0,0,5]]}],"e":[{},[0,0,0,3]]}],"n":[{},[0,1]],"t":[{"e":[{"r":[{},[0,0,0,5]]}]}],"y":[{},[0,1]]}],"y":[{"c":[{},[0,1]],"w":[{"e":[{},[0,0,4]]},[0,0,0,3]]}]}],"ô":[{"r":[{"f":[{},[0,0,3]]}]}],"p":[{"a":[{"b":[{"y":[{"d":[{},[0,0,0,5]]}]}],"d":[{},[2,3]],"f":[{},[2,3]],"i":[{},[2,3]],"n":[{},[2,3]],"o":[{"d":[{},[0,0,3]]}],"r":[{"a":[{"t":[{},[0,0,0,0,3]]}],"c":[{},[0,0,0,4]],"w":[{},[0,0,0,3]]}],"s":[{"t":[{},[0,0,0,0,4]]}],"u":[{},[0,3]],"w":[{"e":[{"n":[{"a":[{},[0,0,0,0,5]]}]}]}]},[0,2]],"e":[{"c":[{},[2]],"d":[{"i":[{"g":[{},[4,5]]}]}],"i":[{"r":[{"a":[{},[0,0,0,0,4]]}]},[0,2]],"l":[{"i":[{".":[{},[0,5]]}],"y":[{},[0,0,0,3]]}],"m":[{},[2]],"n":[{"g":[{"l":[{},[0,0,0,0,0,4]]}],"s":[{},[0,0,0,0,4]],"t":[{},[0,0,0,3,2]],"w":[{"y":[{"n":[{"a":[{},[0,0,0,0,0,5]]}]}]},[0,0,0,3]]}],"r":[{},[2]],"s":[{},[2]],"t":[{"a":[{},[0,0,3]]},[0,0,0,2]]}],"h":[{"e":[{"i":[{"r":[{"a":[{},[0,0,0,0,0,4]]}]}],"n":[{"t":[{},[0,0,0,0,3,4]],"w":[{},[0,0,0,0,5]]}],"t":[{"a":[{},[0,0,0,3]]},[0,0,0,0,2]]}],"o":[{"b":[{"l":[{},[0,0,0,0,4]]}]}],"r":[{"a":[{},[0,0,0,4]],"y":[{"f":[{},[0,0,0,0,0,5]]}]}]},[0,2,2]],"i":[{"a":[{},[0,3]],"b":[{},[0,0,0,1]],"e":[{},[0,3]],"o":[{},[0,3]],"w":[{},[0,3]]}],"l":[{"a":[{"n":[{"a":[{},[0,0,0,3]]}],"u":[{},[0,4]]}],"e":[{"d":[{"a":[{},[0,0,5]]}]}],"y":[{"c":[{},[0,4]],"g":[{},[3]]}]},[0,2]],"o":[{"b":[{"l":[{},[0,0,4,4]]}],"g":[{"y":[{},[0,0,0,4]]}],"l":[{},[0,0,0,3]]}],"r":[{"a":[{"s":[{},[0,0,3]]}],"y":[{"f":[{},[0,0,0,0,3]],"n":[{"n":[{},[0,0,5]]}]}]},[0,2,2]],"s":[{"i":[{"w":[{},[0,0,4]]}]},[0,2]],"t":[{},[0,0,2]],"u":[{"d":[{},[0,2]],"s":[{"r":[{},[0,4]]}]}],"w":[{"d":[{},[0,0,0,3]],"r":[{},[0,0,0,1]],"y":[{".":[{},[0,4]]}]},[0,0,2]],"y":[{"d":[{"r":[{},[0,0,0,0,3]]}],"r":[{},[0,2]]}]},[0,1]],"r":[{"a":[{"b":[{"e":[{},[0,4]],"i":[{},[0,4]],"l":[{"y":[{"d":[{},[0,0,0,5]]}]}],"y":[{},[0,0,0,3]]}],"c":[{"h":[{"w":[{"y":[{},[0,0,0,0,5]]}]}],"i":[{},[0,4,4]],"s":[{},[0,0,0,0,4]],"t":[{},[0,4,4]]}],"d":[{"a":[{},[0,2]],"d":[{"o":[{"l":[{},[0,0,0,0,5]]}]},[0,4]],"r":[{"i":[{},[0,0,0,4]]}],"w":[{"r":[{"i":[{},[0,0,0,0,0,4]]}]}]}],"e":[{"d":[{"d":[{"a":[{"d":[{},[0,0,0,0,0,0,0,4]]}]}]},[0,0,0,0,4]],"n":[{},[0,4]]},[0,2]],"f":[{"a":[{"n":[{"n":[{},[0,0,5]]}]}],"á":[{"n":[{},[0,0,5]]}],"f":[{},[0,4]]}],"g":[{"e":[{},[0,0,4]],"o":[{},[0,0,0,3]],"r":[{"a":[{},[0,0,3]]}]},[0,0,0,1]],"h":[{"a":[{"u":[{},[0,0,5]]},[0,0,4]]}],"i":[{"d":[{"d":[{},[4]]}]},[0,1]],"m":[{"o":[{"d":[{},[0,0,0,3]],"r":[{},[0,0,5]]}],"w":[{},[0,0,3,2]]}],"n":[{"d":[{},[0,0,0,4,3]],"e":[{},[0,0,0,2]],"f":[{},[0,4]],"o":[{"d":[{".":[{},[0,4]]}]},[0,0,0,3]]}],"p":[{"h":[{"e":[{},[0,0,5]]}]}],"r":[{"c":[{},[0,0,0,4]]},[0,3,0,3]],"s":[{"i":[{"e":[{},[0,0,0,4]]}],"t":[{},[0,0,0,3,2]]},[2,1]],"t":[{"a":[{"o":[{},[0,3]]}],"e":[{},[0,0,0,3]]}],"u":[{},[2,1]],"w":[{"e":[{"s":[{},[5]]},[0,0,0,3]],"i":[{},[3]],"n":[{},[0,0,0,0,3]]}]}],"b":[{"a":[{"r":[{},[0,3]]},[0,2]],"e":[{"c":[{},[0,4]],"m":[{},[0,4]],"n":[{"t":[{},[0,4]]}],"r":[{},[0,0,4]],"s":[{},[0,4]]}],"l":[{},[0,2]],"o":[{"c":[{},[0,4]],"m":[{},[0,4]],"n":[{"t":[{},[0,4]]}]}],"w":[{"c":[{},[0,4]],"d":[{},[0,4]],"n":[{},[0,4]]}],"y":[{"d":[{},[0,0,0,0,3]]}]},[2,1]],"c":[{"a":[{"d":[{"w":[{},[0,0,5]]}],"f":[{".":[{},[0,0,5]]}],"r":[{},[0,3]]},[0,0,2]],"e":[{"r":[{},[0,0,4]]},[0,0,3]],"h":[{"a":[{"d":[{},[0,0,0,3]],"n":[{},[0,0,0,3]],"r":[{},[0,0,0,3,0,5]]}],"e":[{"b":[{},[0,0,0,5]],"i":[{},[0,5]],"t":[{},[0,0,0,3]]}],"l":[{},[0,0,0,3]],"m":[{},[0,3]],"o":[{"c":[{},[0,0,0,3]],"e":[{},[0,0,0,3]],"g":[{},[0,0,0,3]]}],"u":[{},[0,3]],"w":[{"a":[{},[0,3]],"i":[{},[0,3]],"y":[{"d":[{},[0,0,0,5]],"n":[{},[0,5]]}]}],"y":[{"c":[{},[0,0,0,3]],"f":[{},[0,0,0,0,0,4]],"m":[{},[0,0,0,0,0,4]]}]},[0,2]],"y":[{},[0,1]]}],"d":[{"a":[{"i":[{},[0,3]],"n":[{},[0,0,0,0,3]],"u":[{".":[{},[0,0,5]]}]},[0,1]],"d":[{"a":[{"d":[{},[0,0,0,3]],"s":[{},[0,0,0,5]]}],"e":[{"l":[{"l":[{},[0,0,0,5]]}]}],"i":[{"n":[{},[0,0,0,5]],"w":[{"y":[{},[0,0,0,5]]}]}],"o":[{"d":[{".":[{},[0,0,0,4]],"i":[{},[0,5]]}]},[0,0,0,3]],"u":[{".":[{},[0,4]]},[0,3,0,4]],"w":[{},[0,0,0,0,4]],"y":[{"c":[{"h":[{"w":[{},[0,5]]}]},[0,0,0,3]],"r":[{"c":[{"h":[{},[0,0,0,0,0,0,0,5]]}]}],"w":[{},[0,5]]}]},[0,2]],"e":[{},[0,1]],"i":[{"n":[{},[0,0,4]],"r":[{},[0,0,4]]},[0,0,3]],"o":[{"d":[{".":[{},[0,5]]}]},[0,1]],"r":[{"o":[{"a":[{"d":[{"a":[{},[0,0,0,0,4]]}]}]},[0,0,0,0,3]]},[0,1]],"w":[{},[0,3]],"y":[{"n":[{".":[{},[0,0,3]]},[0,0,0,4]]},[0,1]]},[2,0,2]],"e":[{"a":[{},[0,0,3]],"b":[{"a":[{"i":[{},[0,3]],"s":[{},[0,3]]}],"e":[{},[0,3]],"i":[{},[0,3]],"l":[{},[0,0,0,0,3]],"o":[{},[0,3]]}],"c":[{"h":[{},[0,0,0,0,3]],"i":[{},[0,0,0,3]]}],"d":[{"d":[{".":[{},[0,5]]},[4]],"i":[{"o":[{},[0,4]]}],"o":[{"l":[{},[0,4]]}],"w":[{"r":[{},[0,4]]}],"y":[{"n":[{".":[{},[0,0,0,4]]}]}]}],"f":[{"a":[{},[0,0,4]],"n":[{"y":[{},[0,0,0,0,5]]}],"y":[{},[0,0,0,3]]}],"g":[{"l":[{".":[{},[0,5]]},[0,4]],"o":[{"g":[{},[0,4]]}]}],"i":[{"a":[{"u":[{},[0,0,5]]}],"c":[{},[0,4]],"d":[{".":[{},[0,0,5]],"d":[{},[0,0,0,0,0,5]]}],"g":[{},[0,4]],"l":[{},[0,4]],"n":[{"e":[{},[0,4]]}],"r":[{".":[{},[0,0,5]]}],"t":[{".":[{},[0,0,5]]}],"w":[{},[0,0,4]]}],"l":[{"l":[{},[0,3]]}],"m":[{"i":[{},[0,4]]}],"n":[{"d":[{},[0,0,0,4]],"g":[{},[0,4,0,0,3]],"i":[{"n":[{},[0,0,0,3]]},[0,4]],"n":[{"y":[{"d":[{},[0,4]]}]}]}],"o":[{},[0,0,1]],"r":[{"i":[{"d":[{},[0,4,0,4]],"n":[{},[0,0,0,5]]}]},[0,1]],"s":[{"t":[{"r":[{},[0,0,0,0,0,3]]}],"w":[{},[0,4]]}],"u":[{"a":[{},[0,4]],"o":[{},[0,4]],"y":[{},[0,2]]}],"w":[{"i":[{"d":[{},[0,0,0,5]]},[0,0,4]],"n":[{".":[{},[0,0,5]]}],"y":[{"n":[{"n":[{},[0,0,0,5]]}]}]}]}],"f":[{"a":[{"d":[{},[0,4,3]],"e":[{"t":[{"h":[{".":[{},[0,4]]}]}]}],"f":[{},[0,4]],"i":[{},[0,4]],"o":[{},[0,0,4]],"s":[{},[0,4]],"t":[{},[0,0,4]],"u":[{},[0,4]]},[0,1]],"e":[{"d":[{"w":[{},[0,3]]}],"l":[{},[0,0,0,0,3]],"n":[{"y":[{},[0,0,4]]},[0,0,3]],"y":[{},[0,0,4]]}],"f":[{".":[{},[0,4]],"i":[{},[0,0,0,3]],"l":[{},[0,0,0,3]],"o":[{},[0,0,0,3]],"w":[{},[0,3]],"y":[{},[0,0,0,3]]}],"i":[{"d":[{},[0,0,3]],"l":[{".":[{},[0,5]]}]}],"l":[{"u":[{},[0,0,3]]},[0,3]],"o":[{"d":[{"a":[{"d":[{},[0,0,0,0,0,0,4]]}]}],"l":[{".":[{},[0,0,5]]}],"n":[{},[0,0,3]],"r":[{"d":[{},[0,0,5]]},[0,0,0,0,2]]}],"r":[{},[0,3]],"u":[{},[0,3]],"w":[{"i":[{"s":[{},[0,0,5]]}]},[0,0,1]],"y":[{"n":[{"y":[{"c":[{},[0,0,0,0,5]]}]}],"r":[{},[0,0,4]],"s":[{},[0,3]]}]},[2,2]],"g":[{"a":[{"l":[{},[0,0,0,0,4]],"n":[{},[0,0,0,0,3]]}],"e":[{"l":[{"y":[{},[0,0,0,0,4]]}],"n":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,5]]}]},[0,3]],"o":[{"f":[{},[0,0,0,4]]}]},[2,1,2]],"h":[{"a":[{"g":[{"e":[{},[0,0,0,0,5]],"l":[{},[0,0,0,0,3]],"o":[{},[0,0,0,0,3]]}],"n":[{"a":[{},[0,0,0,3,4]],"e":[{},[0,0,0,0,4]]}],"w":[{},[0,4]]}],"e":[{"s":[{},[0,0,4]],"w":[{"y":[{},[0,0,0,0,5]]}]}],"i":[{"f":[{},[0,0,0,0,3]]}],"o":[{"e":[{"c":[{},[0,0,0,4]]}],"n":[{"a":[{},[0,0,0,0,5]]}],"s":[{"t":[{"i":[{"r":[{},[0,0,0,0,0,4]]}]}]}]}],"u":[{"g":[{"l":[{},[0,0,0,0,0,5]]}]}],"y":[{"f":[{},[0,0,0,0,2]],"n":[{"a":[{},[0,0,0,3,4]],"e":[{},[0,0,0,0,4]]}]}]},[0,1,2]],"i":[{"a":[{"e":[{"t":[{"h":[{"u":[{},[0,4]]}]}]}],"f":[{},[0,0,0,0,3]],"g":[{"l":[{},[0,0,5]]},[0,4]],"i":[{"d":[{"d":[{},[0,4,5]]}]},[0,3]],"l":[{"l":[{},[0,0,5]]}],"n":[{"t":[{},[0,5]]},[0,0,4]],"s":[{},[0,3]],"w":[{"d":[{},[0,0,5]]},[0,4]]},[2]],"b":[{"e":[{},[0,0,0,3]],"l":[{},[0,0,0,0,3]],"w":[{},[0,0,0,3]],"y":[{},[0,0,0,3]]}],"c":[{"a":[{"n":[{},[0,0,5]]}]}],"d":[{"a":[{},[0,4]],"d":[{"y":[{},[0,0,0,0,5]]},[0,0,0,0,3]],"i":[{},[0,4]],"y":[{"l":[{"l":[{"a":[{"u":[{},[0,0,0,4]]}]}]}]}]}],"e":[{"i":[{},[0,0,3]]},[2]],"f":[{},[0,0,0,1]],"g":[{"o":[{},[0,4]]},[0,0,0,3]],"i":[{},[0,0,3]],"n":[{"d":[{"i":[{"r":[{},[0,0,0,5]]}]}],"e":[{},[0,0,0,3]],"g":[{"l":[{},[0,0,0,0,0,5]]}],"i":[{},[0,4]],"l":[{},[0,4]]}],"o":[{"c":[{},[0,3]],"d":[{"a":[{"d":[{},[0,0,5]],"f":[{},[0,0,5]],"i":[{},[0,0,5]],"n":[{},[0,0,5]],"s":[{"a":[{"i":[{},[0,0,5]],"n":[{},[0,0,5]]}],"e":[{},[0,0,5]],"i":[{},[0,0,5]],"o":[{"c":[{},[0,0,5]],"m":[{},[0,0,5]]}],"w":[{},[0,0,5]]}]}],"d":[{},[0,3]],"e":[{},[0,0,3]],"i":[{},[0,0,3]],"o":[{"c":[{},[0,0,5]],"d":[{},[0,0,5]],"m":[{},[0,0,5]],"n":[{},[0,0,5]]}],"w":[{"c":[{},[0,0,5]],"n":[{},[0,0,5]],"y":[{},[0,0,5]]}],"y":[{},[0,0,5]]}],"e":[{},[0,4]],"m":[{},[0,3]],"n":[{"g":[{},[0,0,3]],"t":[{},[0,3]]}]},[2]],"r":[{},[0,1]],"s":[{"g":[{"l":[{},[0,0,0,0,0,3]]},[0,0,0,4]],"t":[{},[0,0,0,0,3]]}],"t":[{"h":[{},[3,4]]}],"w":[{"a":[{},[0,0,4]],"l":[{},[0,0,0,3,4]],"r":[{".":[{},[0,5]]}]},[2]],"y":[{},[2,3]]},[0,0,2]],"l":[{"a":[{"n":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,3]]}]}],"e":[{"w":[{},[0,3]]}],"i":[{"a":[{},[0,0,3]],"e":[{},[0,0,3]],"o":[{},[0,0,3]]}],"l":[{".":[{},[0,4]],"e":[{"n":[{},[0,0,0,0,0,3]]},[0,0,0,4]],"w":[{},[0,0,4,4]]},[0,3]],"o":[{"g":[{".":[{},[0,0,5]]}],"n":[{},[0,3]]}],"u":[{"d":[{"d":[{},[0,0,0,0,0,4]]}]}],"w":[{},[0,3]],"y":[{"m":[{},[0,2]],"n":[{".":[{},[0,0,5]]},[0,0,0,0,3]]}]},[0,1,2]],"m":[{"a":[{"c":[{},[0,0,4]]},[0,2]],"i":[{"l":[{},[0,0,4]]},[0,0,3]],"o":[{"d":[{},[0,0,4]]},[0,2]],"y":[{},[0,3]]},[0,1,2]],"n":[{"a":[{"i":[{".":[{},[0,4]]}],"u":[{},[0,4]]}],"e":[{"s":[{".":[{},[0,0,4]],"a":[{},[0,0,4]],"t":[{},[0,5]]}]}],"g":[{"e":[{},[0,0,0,4]]}],"i":[{"a":[{"e":[{},[0,0,5]]}],"i":[{},[0,0,4]],"o":[{"l":[{},[0,0,5]]}]},[0,0,3]],"ï":[{},[0,3,2,1]],"o":[{"s":[{},[0,0,4]]}],"y":[{"w":[{},[0,0,4]]},[0,0,3]]},[2,2,1]],"o":[{"a":[{"d":[{},[4]],"u":[{},[4]]},[2]],"b":[{"l":[{},[0,0,0,3,4]]}],"c":[{"h":[{"l":[{},[0,0,0,0,0,4]]},[0,0,0,0,3]],"r":[{},[0,0,3]]}],"d":[{"d":[{},[0,0,0,0,3]],"r":[{"w":[{},[0,0,0,5]]},[0,4]]}],"e":[{"a":[{},[0,0,4]],"d":[{},[0,0,0,0,3]],"o":[{},[0,0,4]],"r":[{},[0,0,3]]}],"f":[{"l":[{},[0,0,0,3,4]],"u":[{"n":[{"e":[{"d":[{".":[{},[0,0,0,0,0,4]]}]}]}]}],"w":[{},[0,0,0,3]]},[0,2]],"g":[{".":[{},[0,3]],"a":[{"e":[{},[0,4]]}],"e":[{},[0,0,4]]}],"l":[{},[0,0,0,3]],"m":[{},[0,1,0,3]],"n":[{"a":[{"u":[{},[0,4]]}],"g":[{"l":[{"w":[{"y":[{},[0,0,0,0,5]]}]},[0,0,0,0,0,4]]}],"i":[{},[0,0,0,3]]}],"s":[{".":[{},[0,4]],"f":[{},[0,4]],"g":[{},[0,0,0,0,4]],"o":[{},[0,0,0,3]]}],"t":[{},[2]]}],"ö":[{"e":[{"d":[{"i":[{},[0,0,5]]}]}]}],"p":[{"a":[{"r":[{},[0,0,0,0,3]]},[0,1]],"e":[{"c":[{"h":[{},[0,0,5]]}],"m":[{".":[{},[0,0,5]]}],"n":[{"t":[{},[0,0,5]]},[0,2]],"r":[{".":[{},[0,0,5]]}],"s":[{"i":[{},[0,0,5]]}]},[0,1]],"i":[{},[0,0,3]],"o":[{},[0,0,3]],"w":[{"y":[{},[0,0,3]]}],"y":[{},[0,0,3]]},[0,0,2]],"r":[{"a":[{},[0,3]],"o":[{"g":[{},[0,0,4]]}]},[0,1,2]],"s":[{"a":[{"i":[{},[0,0,4]],"u":[{},[0,4]]}],"e":[{"n":[{},[0,2,3]]}],"i":[{"n":[{},[0,0,4]]},[0,0,3]],"l":[{"i":[{".":[{},[0,0,5]]}]}],"t":[{},[0,2,3,2]],"y":[{},[0,2]]},[0,1,2]],"t":[{"a":[{"u":[{},[0,4]]},[0,1,2]],"e":[{"d":[{},[0,4]],"i":[{"s":[{},[0,3]]}],"n":[{},[0,4]],"s":[{},[0,4]]}],"h":[{"a":[{},[0,0,0,3]],"e":[{"g":[{},[0,0,0,4]]}],"i":[{"n":[{},[0,3]]}],"l":[{"a":[{},[0,0,0,3]]}],"o":[{"l":[{},[0,0,0,5]]},[0,0,0,3]],"r":[{"u":[{},[0,0,0,5]],"y":[{"c":[{},[0,5]]}]}],"w":[{"y":[{"o":[{"n":[{".":[{},[0,0,0,5]]}]}]}]},[0,4]],"y":[{"d":[{"d":[{},[0,0,0,5]]}]}]}],"i":[{"y":[{},[0,0,4]]}],"r":[{"a":[{},[0,0,0,4]],"w":[{"y":[{},[0,0,5]]}]},[0,1]],"u":[{},[0,0,2]],"y":[{},[0,0,3]]}],"u":[{"b":[{"a":[{},[0,0,0,4]]}],"c":[{},[0,3]],"d":[{"d":[{".":[{},[3]]},[0,0,0,0,3]]}],"n":[{"i":[{},[0,0,0,4]]}],"s":[{},[0,1]]}],"w":[{"a":[{"d":[{},[0,0,3]],"f":[{},[0,0,3]],"g":[{},[0,3,4]],"i":[{"t":[{},[0,3]]}]},[0,0,2]],"b":[{"a":[{"n":[{},[0,0,0,5]]}],"l":[{},[0,0,0,0,3]]}],"c":[{},[0,1]],"d":[{"e":[{"n":[{"n":[{},[0,5]]}]}]}],"e":[{"d":[{"d":[{"o":[{"g":[{},[0,4]],"l":[{},[0,4]]}]},[0,0,0,0,0,3]]}],"i":[{"d":[{},[0,4,3]]}],"l":[{},[0,3]],"r":[{},[0,3]]}],"g":[{},[0,2]],"h":[{"e":[{"l":[{},[0,0,5]]}]}],"i":[{"n":[{},[0,0,3]]},[0,0,1]],"l":[{},[0,3]],"n":[{"c":[{},[0,4]],"i":[{},[0,0,4]],"o":[{},[0,0,4,3]]}],"o":[{"b":[{"r":[{},[0,0,0,0,0,4]]}],"d":[{},[0,0,3]],"l":[{"d":[{},[0,0,5]]}]}],"r":[{"e":[{"s":[{},[0,0,0,5]]}],"i":[{"a":[{"e":[{"t":[{"h":[{"o":[{},[0,0,0,4]]}]}]}]}]}]},[0,1]],"y":[{"b":[{},[0,4]],"d":[{"d":[{"e":[{"n":[{".":[{},[0,5]]}]}],"i":[{"a":[{"d":[{"u":[{},[0,0,0,0,0,4,0,0,4]]}]}]}]}],"e":[{},[0,4]],"o":[{},[0,4]],"r":[{},[0,0,0,0,0,3]],"y":[{},[0,4]]}],"m":[{},[3]],"n":[{},[0,0,0,0,3]],"s":[{},[0,4]]},[0,0,2]]}],"y":[{".":[{},[3]],"b":[{"l":[{},[3]],"o":[{},[0,0,3]]}],"c":[{"h":[{"w":[{"a":[{"i":[{},[0,0,0,0,5]]}]}]}]}],"d":[{".":[{},[0,4]],"a":[{"n":[{"o":[{},[0,0,5]]}]}],"d":[{"o":[{"n":[{".":[{},[0,0,0,0,4]]}]}]}],"l":[{},[0,0,0,0,4]]},[0,2]],"f":[{"a":[{},[0,0,3,4]],"e":[{"r":[{},[0,0,3]]},[0,0,0,2]],"o":[{"d":[{},[0,0,0,4]]}]}],"l":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,2]],"i":[{"t":[{},[0,0,0,5]]}]}],"m":[{"r":[{},[0,0,0,2,3]]}],"n":[{"a":[{},[0,0,0,3]],"c":[{},[0,0,0,0,4]],"d":[{},[4]],"e":[{},[0,0,0,3]],"f":[{},[0,0,0,3]],"g":[{"a":[{},[0,0,0,0,5]]}],"n":[{},[4]],"o":[{"d":[{"e":[{"d":[{},[0,0,0,0,5]],"r":[{},[0,0,0,0,5]]}]},[0,0,0,0,0,4]]}],"y":[{"c":[{},[0,0,0,3]]}]}],"s":[{"b":[{"a":[{},[0,0,0,5]]},[0,0,0,3]],"g":[{"w":[{},[0,0,0,0,5]],"y":[{},[0,0,0,0,3]]}]}],"w":[{"a":[{},[0,0,3]],"i":[{},[0,0,0,3]]}]}]}],"s":[{"a":[{"c":[{"h":[{},[0,0,0,0,3]]}],"f":[{"a":[{},[0,0,0,3]],"o":[{},[0,0,0,3]]}],"n":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,3]],"o":[{},[0,0,0,3]]}],"r":[{"f":[{"a":[{},[0,0,0,0,5]]}]}],"t":[{"a":[{},[0,0,0,4]],"h":[{"r":[{"a":[{"w":[{},[0,0,0,0,0,0,0,4]]}]}]},[0,0,0,0,4]]}],"u":[{},[0,3]]}],"á":[{"i":[{"t":[{},[0,0,4]]}]}],"b":[{"a":[{"d":[{"w":[{},[0,0,0,0,4]]}],"i":[{},[0,4]]}],"e":[{"t":[{},[0,3]]}],"i":[{"w":[{},[0,0,3]],"y":[{"c":[{},[0,0,5]]}]}],"l":[{},[0,3]],"r":[{"i":[{"o":[{},[0,0,0,5]]}]}]},[0,2,2]],"d":[{"o":[{"r":[{},[0,0,4]]}]}],"e":[{"c":[{"a":[{"n":[{},[0,0,0,4]]}]}],"d":[{"d":[{},[0,0,0,0,3]]}],"f":[{},[3]],"i":[{"o":[{"n":[{},[0,0,5]]}]}],"n":[{"o":[{"l":[{},[0,0,0,5]]}],"w":[{},[0,0,0,0,3]]}],"r":[{"c":[{"h":[{},[0,0,0,0,0,5]]},[0,4]],"i":[{},[0,4]]}],"t":[{},[0,2]]},[0,0,2]],"f":[{"a":[{"m":[{},[0,0,4]]}],"e":[{"d":[{"d":[{},[0,0,0,0,0,4]]}]}],"f":[{"y":[{},[0,0,0,4]]}],"w":[{"y":[{},[0,0,4]]}],"y":[{"r":[{},[0,0,4]]}]}],"g":[{"a":[{"d":[{"r":[{},[0,5,4]],"w":[{},[0,0,3]]}],"m":[{},[0,3]],"n":[{},[0,0,3]],"r":[{"a":[{},[0,0,0,0,5]]}],"w":[{},[0,3]]}],"e":[{"d":[{"a":[{},[0,3]],"e":[{},[0,3]],"i":[{"g":[{},[0,4]]}],"o":[{},[0,5]],"w":[{},[0,5]]}],"l":[{},[0,0,0,0,4]],"n":[{".":[{},[0,0,5]],"a":[{},[0,3,0,3]],"e":[{},[0,0,0,5]]}]}],"i":[{"a":[{},[0,4]]}],"l":[{".":[{},[0,4]],"a":[{},[0,0,0,3]],"o":[{},[0,0,0,3]]}],"n":[{"i":[{},[0,0,3]]},[0,3]],"o":[{"d":[{".":[{},[0,0,4]]},[0,0,3]],"g":[{},[0,0,0,4,3]],"l":[{},[0,0,4]],"m":[{},[0,0,3]],"n":[{},[0,0,3]],"t":[{"y":[{},[0,0,5]]}]}],"r":[{"w":[{"y":[{},[0,0,5]]}],"y":[{"w":[{},[0,0,5]]}]}],"w":[{"c":[{},[0,4]],"n":[{},[0,0,3]]}],"y":[{"c":[{},[0,4]],"f":[{},[0,0,0,4,3]],"n":[{"a":[{},[0,0,0,3]],"e":[{"s":[{},[0,0,0,5]]}]}]}]},[0,2]],"i":[{"a":[{"l":[{".":[{},[0,5]],"u":[{},[0,5]]}],"m":[{},[0,0,4]],"n":[{"d":[{},[5]]}],"r":[{},[0,4]]}],"d":[{"a":[{},[0,0,0,4]]},[0,3,0,3]],"e":[{"t":[{},[0,4]]},[0,3]],"g":[{".":[{},[0,3]],"a":[{},[0,0,4]],"e":[{},[0,3]],"l":[{".":[{},[5]]},[0,0,0,0,3]],"r":[{},[0,3]],"y":[{"n":[{},[0,5]]}]},[0,2]],"l":[{"f":[{},[0,0,0,4]]}],"n":[{"s":[{},[0,0,0,0,4]]}],"o":[{},[0,3]],"r":[{},[0,3]],"t":[{},[0,3]],"w":[{"r":[{},[0,0,4]]}],"y":[{"n":[{},[0,2]]}]},[2]],"ï":[{},[2,2,1]],"l":[{"a":[{"u":[{},[0,0,4]]}],"o":[{"n":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,3,4]]}]}],"y":[{"w":[{},[0,0,0,0,4]]},[0,3]]},[2,0,2]],"m":[{"a":[{"r":[{},[0,0,4]]}],"e":[{"r":[{},[0,0,4]]}],"w":[{"y":[{"t":[{"h":[{"a":[{"s":[{"o":[{},[0,0,0,0,0,5]]}]}]}]}]}]}]},[0,0,2]],"n":[{"a":[{"u":[{},[0,4]]}],"e":[{"g":[{},[0,0,0,0,2]]},[0,0,2]],"i":[{},[0,2,3]],"o":[{"b":[{},[0,0,4]]}]}],"o":[{"c":[{},[0,3]],"d":[{"d":[{},[0,0,0,0,3]],"l":[{},[0,0,0,4,3]]}],"e":[{},[0,3]],"f":[{"l":[{},[0,0,0,4]]}],"g":[{},[2,3,0,3]],"m":[{},[0,3,0,3]],"n":[{".":[{},[0,4]],"a":[{"u":[{},[0,4]]}],"d":[{"e":[{"b":[{"a":[{},[0,0,0,4]]}],"r":[{},[0,0,0,4]]}]}],"e":[{},[0,3]],"g":[{},[0,4]]},[0,0,0,3]]}],"r":[{"a":[{"n":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,5]]}]}]}],"t":[{"a":[{"c":[{},[0,0,3]],"d":[{"e":[{},[0,4]]}],"f":[{},[0,4]],"m":[{},[0,0,4]],"n":[{},[0,0,2]],"s":[{},[0,0,3]],"u":[{},[0,4]],"w":[{"c":[{},[0,0,5]]}]}],"e":[{"c":[{},[0,4]],"d":[{},[0,4]],"i":[{},[0,4]],"m":[{},[0,4,3]],"n":[{},[0,4]],"s":[{},[0,4]]}],"f":[{},[0,0,3]],"i":[{"r":[{"o":[{},[0,5]]}]}],"l":[{"o":[{},[0,0,0,3]],"y":[{"t":[{},[0,0,5]]}]}],"o":[{"d":[{".":[{},[0,3]]}],"r":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,3,4]]}]},[0,0,2]],"r":[{"a":[{".":[{},[0,3]]},[0,0,4]],"e":[{"c":[{},[0,0,0,3]],"s":[{},[0,0,0,3]]}],"o":[{"c":[{},[0,0,0,3]],"l":[{},[0,0,0,3]]}],"w":[{},[0,4,0,3]],"y":[{"c":[{},[0,0,0,3]]}]}],"u":[{"r":[{},[0,0,3]],"s":[{".":[{},[0,0,5]]}]},[0,0,2]],"w":[{"y":[{"i":[{},[0,5]]}]}],"y":[{"r":[{},[0,0,0,0,3]]}]},[0,2]],"u":[{"r":[{},[0,0,0,3]],"s":[{},[0,3]]},[0,2]],"w":[{"a":[{},[0,0,2]],"c":[{"r":[{},[0,0,0,0,3]]},[0,3]],"e":[{"d":[{"d":[{},[0,0,5]]},[0,4]],"n":[{},[0,0,0,0,3]]},[0,3]],"i":[{},[2]],"m":[{"p":[{},[0,0,0,0,3]]}],"y":[{"f":[{},[0,3]],"n":[{},[0,0,0,0,3]],"r":[{},[0,0,0,4]]}]}],"y":[{"c":[{"h":[{".":[{},[0,5]]}]},[0,3]],"d":[{},[0,3]],"f":[{"l":[{},[0,0,0,4,3]]}],"g":[{},[2]],"l":[{"l":[{"a":[{},[0,0,0,0,3]],"t":[{},[0,0,0,0,0,3]]}]}],"m":[{"l":[{},[0,0,0,4,3]],"u":[{"d":[{"a":[{"d":[{},[0,0,0,0,0,0,0,4]]}]}]}]}],"n":[{".":[{},[2,3]],"f":[{"e":[{},[0,0,0,4]]}]}],"r":[{"a":[{},[0,0,0,2]],"e":[{},[0,0,0,2]]},[0,3]],"s":[{},[0,3]],"t":[{},[3]],"w":[{"a":[{},[0,4]]}]},[0,2]]},[0,1]],"t":[{"a":[{"c":[{"h":[{},[0,0,0,0,3]]},[1]],"d":[{"l":[{},[3,0,0,4,3]],"r":[{},[0,0,0,3]]}],"f":[{"a":[{},[0,0,4]],"l":[{},[0,0,0,4]]},[0,1]],"g":[{},[0,0,0,3]],"i":[{"d":[{},[0,3]]},[0,1]],"l":[{"i":[{"a":[{"e":[{},[0,5]]}]}],"m":[{},[0,0,0,2,3]]}],"n":[{"c":[{},[4]],"e":[{},[0,0,0,3]],"g":[{"n":[{},[0,0,0,0,5]]}],"o":[{},[0,0,0,3]],"w":[{},[0,0,0,3]]},[0,1]],"o":[{},[0,3]],"r":[{"d":[{},[3,0,0,4]],"f":[{},[0,0,0,4]]}],"s":[{},[0,1]],"t":[{},[0,0,0,1]],"u":[{},[0,1]],"w":[{"l":[{},[0,0,0,0,3]]}]}],"b":[{},[0,1]],"c":[{"h":[{},[0,3]]}],"e":[{"c":[{},[0,1]],"d":[{"d":[{},[0,0,0,0,3]]},[0,1]],"g":[{".":[{},[4]],"i":[{"o":[{},[4]]}]}],"i":[{"d":[{"i":[{},[0,3]]}],"m":[{"l":[{"a":[{"d":[{"w":[{},[0,0,0,0,0,0,0,4]]}]}]}]}]}],"l":[{"y":[{},[0,0,0,4]]}],"m":[{".":[{},[0,3]],"i":[{},[0,4]]}],"n":[{"d":[{},[0,0,0,4]],"e":[{},[0,0,4]]},[0,1]],"r":[{"f":[{"y":[{"n":[{},[0,0,0,0,0,0,5]]}]},[0,0,0,0,4]]}],"s":[{"a":[{},[0,4]],"i":[{"o":[{},[0,0,0,4]]}]},[0,1]],"t":[{"a":[{},[0,0,0,4]]}],"w":[{".":[{},[4]],"c":[{},[4]],"i":[{"d":[{},[0,0,0,5]]}]},[3]]}],"f":[{"f":[{"e":[{},[0,0,0,4]]},[0,0,0,2]],"o":[{"d":[{},[0,0,0,0,4]]}],"y":[{"d":[{"d":[{},[0,0,0,0,0,4]]}]}]},[0,1]],"g":[{"a":[{"f":[{},[0,0,4]],"n":[{},[0,0,4]]}],"e":[{"n":[{},[0,0,4]],"r":[{},[0,0,4]]}],"l":[{"a":[{},[0,0,0,4]]}],"n":[{},[0,0,0,2]],"o":[{"r":[{".":[{},[0,5]],"i":[{"a":[{},[0,5]]}],"n":[{},[0,5]]},[0,2]]}],"w":[{"c":[{},[0,0,4]],"y":[{},[0,0,4]]}],"y":[{"w":[{},[0,0,0,3]]}]},[0,1,2]],"h":[{"a":[{"l":[{"a":[{"d":[{},[0,0,0,0,0,0,4]]}],"m":[{},[0,0,0,0,4,3]]}],"n":[{"g":[{"n":[{},[0,0,0,0,0,5]]}]}],"r":[{"f":[{},[0,0,0,0,4]]},[0,0,4]],"t":[{"y":[{},[0,0,0,0,5]]},[0,0,4]]}],"e":[{"f":[{},[0,0,4]],"l":[{"l":[{},[0,0,5]]}],"r":[{"f":[{"y":[{"n":[{},[0,0,0,0,0,0,0,5]]}]}]}],"t":[{},[0,0,0,0,4]]},[0,0,1]],"l":[{"a":[{},[0,0,0,3]],"e":[{"n":[{"t":[{},[0,0,0,5]]}],"t":[{},[0,0,5]]}]}],"n":[{"o":[{"d":[{},[0,0,5]]}]},[0,0,3]],"o":[{"l":[{"d":[{},[0,0,5]],"l":[{"t":[{},[0,0,0,0,0,0,4]]}]}],"n":[{"e":[{},[0,0,0,0,4]]}],"r":[{"a":[{"d":[{},[0,0,0,0,0,0,4]]}]}]},[0,0,1]],"r":[{"a":[{"c":[{},[0,0,0,3]]}],"e":[{"d":[{},[0,0,3]],"n":[{"t":[{},[0,0,0,5]]}]}],"i":[{"d":[{},[0,0,0,0,0,4]]}],"o":[{"f":[{},[0,0,0,0,3]]}],"w":[{"f":[{},[0,0,5]]}],"y":[{"d":[{"a":[{},[0,0,0,0,5]]},[0,0,0,0,0,4]]}]}],"u":[{"g":[{},[0,0,3]],"m":[{},[0,0,3]],"n":[{},[0,0,3]],"s":[{},[0,0,3]]}],"w":[{"a":[{},[0,0,3]],"l":[{},[0,0,4]],"y":[{"d":[{},[0,0,3]],"f":[{},[0,0,3]],"s":[{"g":[{},[0,0,0,0,0,0,4]]}]}]},[0,0,1]],"y":[{"c":[{"h":[{},[0,0,3]]}],"d":[{"d":[{},[0,0,0,0,0,5]]}],"m":[{"a":[{},[0,0,5]]}],"r":[{"f":[{"a":[{"u":[{},[0,0,0,0,0,4]]}]}],"w":[{},[0,0,0,0,3]]}],"w":[{},[0,0,0,4]]}]},[0,2]],"i":[{"a":[{},[0,3]],"d":[{},[0,0,0,3]],"e":[{},[0,3]],"n":[{"g":[{},[0,0,0,0,3]],"o":[{},[0,4]]},[0,3]],"o":[{"n":[{"o":[{},[0,4]]},[0,0,0,0,4]]}]},[2,1]],"ï":[{"o":[{"l":[{".":[{},[0,0,5]]}]}]}],"l":[{"a":[{"e":[{},[0,0,4]]},[0,0,3]],"e":[{"n":[{".":[{},[0,0,4]]}]},[0,0,1]],"o":[{"n":[{},[0,0,3]]}],"w":[{"y":[{},[0,0,3]]}],"y":[{"d":[{},[0,3]]}]}],"n":[{},[0,1,2]],"o":[{"c":[{"h":[{},[0,3]]}],"d":[{".":[{},[0,4]],"d":[{},[0,3]]}],"e":[{"c":[{},[0,0,4]],"d":[{"i":[{},[0,0,3]]}],"m":[{},[0,0,4]],"s":[{"i":[{},[0,0,3]]}]}],"f":[{},[0,0,0,3]],"g":[{},[0,3,0,3]],"i":[{"s":[{},[3]]}],"l":[{"l":[{"t":[{},[0,0,0,0,0,4]]}],"y":[{},[0,0,0,3]]},[0,2]],"m":[{".":[{},[0,3]]},[0,1]],"n":[{"e":[{},[0,0,0,4]],"t":[{},[0,3]]},[0,1]],"r":[{"a":[{},[0,0,0,2]],"c":[{},[0,0,0,4]]},[3]],"s":[{},[0,3]],"w":[{"c":[{},[0,0,4]],"n":[{},[0,0,4]]}]}],"r":[{"a":[{"c":[{},[0,0,0,3]],"d":[{"d":[{},[0,0,0,3]],"w":[{},[0,0,3]]}],"f":[{".":[{},[0,0,3]]}],"g":[{},[0,0,0,3]],"n":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,5]],"t":[{},[0,0,3]]}],"w":[{},[3]]}],"e":[{"d":[{},[0,0,3]],"f":[{"a":[{},[0,0,0,0,5]],"l":[{},[0,0,0,0,3]]},[3,0,4]],"g":[{},[4]],"m":[{".":[{},[0,0,3]]}],"n":[{"t":[{},[0,0,3]]}],"w":[{},[3]]}],"i":[{"d":[{},[0,0,3,0,4]],"g":[{".":[{},[0,0,5]]}]}],"o":[{"a":[{"d":[{"a":[{},[0,0,0,4]]}]}],"d":[{"d":[{},[0,0,3]]}],"f":[{"a":[{},[0,0,0,5]]}],"l":[{"a":[{},[0,0,3]],"o":[{},[0,0,3]],"w":[{},[0,0,3]]}],"n":[{"o":[{},[0,0,0,0,4]],"t":[{},[0,0,3]]}]}],"w":[{"m":[{},[0,0,4]],"n":[{},[0,0,3]],"y":[{"d":[{".":[{},[0,0,5]],"d":[{},[0,5,4]]}],"f":[{},[0,0,3]]}]},[2]],"y":[{"d":[{"a":[{},[0,0,0,3]],"y":[{},[0,0,0,0,4]]}],"f":[{},[0,0,0,3]],"l":[{},[0,0,0,3]],"n":[{".":[{},[0,0,5]]}],"w":[{},[3]]}]}],"s":[{"a":[{"c":[{"h":[{},[0,0,5]]}]}],"e":[{},[0,1]],"i":[{},[0,0,3]]},[0,0,2]],"u":[{"d":[{"r":[{},[0,0,0,0,4]]},[3]],"m":[{},[1]],"n":[{},[0,1,0,3]],"r":[{"m":[{},[0,4]]},[1]]}],"w":[{"a":[{"i":[{},[0,3]]}],"c":[{},[0,1]],"n":[{},[0,1]],"r":[{"n":[{},[0,0,0,4]]},[0,1,0,1]],"y":[{"a":[{},[3]],"d":[{},[0,3]],"e":[{},[3]],"f":[{},[0,3]],"m":[{},[0,0,4]],"o":[{},[3]],"s":[{"g":[{},[0,0,0,0,0,4]]}],"w":[{},[3]]}]},[0,0,2]],"y":[{"c":[{},[0,1]],"d":[{"d":[{"y":[{},[0,0,0,0,5]]}]},[0,1]],"g":[{"a":[{"r":[{},[0,0,5]]}]}],"l":[{"i":[{},[0,0,3]]}],"m":[{"p":[{},[0,0,0,0,4]]}],"n":[{".":[{},[4,3]],"g":[{"a":[{"d":[{},[0,0,0,0,5]]}]}]}],"r":[{"a":[{},[0,0,0,2]],"e":[{"s":[{},[0,0,0,4]]}]},[1]],"w":[{"r":[{},[0,0,3]]}]}]}],"u":[{"a":[{"l":[{},[0,0,0,3]],"n":[{"d":[{},[0,2]],"e":[{},[0,4]]}],"r":[{},[0,3]],"w":[{},[0,3]]},[2,1]],"b":[{},[0,0,1]],"c":[{"h":[{"e":[{"d":[{},[0,0,0,5]]},[0,0,0,3]]},[0,0,0,1]]},[2]],"d":[{"a":[{"d":[{},[0,0,3]],"l":[{"e":[{},[0,5]]}]}],"d":[{"a":[{},[0,0,0,3]],"e":[{"g":[{},[0,0,0,4]],"l":[{},[0,0,0,3]]}],"f":[{},[0,0,0,3]],"i":[{},[0,0,0,3]]},[0,0,0,1]],"e":[{"i":[{"r":[{},[0,0,5]]}],"r":[{},[0,0,3]]}],"i":[{},[0,0,3]],"l":[{},[0,0,1]],"r":[{"w":[{"y":[{"d":[{"d":[{},[0,0,5]]}]}]}]},[0,0,0,3]],"w":[{"n":[{},[0,0,3]],"r":[{},[0,0,3]]},[0,0,2]],"y":[{"n":[{},[0,0,3]]}]}],"e":[{"d":[{"d":[{},[0,0,0,0,3]]}],"s":[{"t":[{"a":[{"i":[{".":[{},[0,4]]}],"u":[{},[0,4]]}],"w":[{"r":[{},[0,4]]}],"y":[{},[0,4]]}]}]},[0,1]],"f":[{"a":[{"u":[{".":[{},[0,0,5]]}]}],"f":[{"y":[{},[0,0,0,4]]}],"y":[{},[0,0,3]]}],"g":[{"a":[{"d":[{},[0,0,3]],"f":[{},[0,0,3]]}],"e":[{"n":[{},[0,0,3]]}],"i":[{},[0,0,3]],"l":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,3]],"w":[{},[0,0,3]]}],"n":[{},[0,0,0,3]],"o":[{},[0,0,1]],"u":[{},[0,0,1]],"w":[{},[0,0,1]],"y":[{},[0,0,3]]}],"h":[{},[0,1,2]],"i":[{},[0,1]],"l":[{"a":[{"d":[{},[0,0,3]],"f":[{},[0,0,3]],"n":[{".":[{},[0,5]],"n":[{},[0,5]],"t":[{},[0,0,3]]}],"t":[{"h":[{},[0,5]]}]}],"d":[{},[0,0,3]],"e":[{},[0,2,1]],"f":[{},[0,0,1]],"i":[{"g":[{"r":[{},[0,0,5]]}]}],"l":[{},[0,0,0,1]],"o":[{"c":[{},[0,0,3]],"d":[{},[0,0,3]],"n":[{"e":[{},[0,0,0,0,5]]},[0,0,0,0,3]]},[0,1]],"u":[{},[0,0,1]],"w":[{},[0,0,1]],"y":[{"c":[{},[0,0,3]],"d":[{},[0,3]]}]}],"n":[{"e":[{"d":[{"y":[{},[0,0,4]]}],"l":[{"l":[{},[0,0,5]]}],"s":[{".":[{},[0,0,5]]}]}],"i":[{"g":[{},[0,0,0,0,3]]},[0,0,3]],"o":[{"d":[{".":[{},[0,0,5]]}],"l":[{".":[{},[0,0,5]]},[0,0,2]]}]},[0,0,1]],"o":[{"g":[{},[0,0,0,3]],"s":[{},[0,3,0,3]]},[2,1]],"p":[{},[0,0,2]],"r":[{"b":[{"w":[{},[0,0,0,4]]}],"d":[{"d":[{"u":[{},[0,0,5]]}]}],"e":[{},[0,0,3]],"f":[{"a":[{"u":[{},[0,0,5]]}],"l":[{},[0,0,4]]}],"g":[{"y":[{},[0,0,2]]}],"n":[{".":[{},[4]]}],"o":[{"f":[{},[0,0,0,0,4]]}],"s":[{},[0,0,2,3]],"t":[{"y":[{},[0,0,4]]}],"u":[{"d":[{},[0,0,4]]}],"w":[{"y":[{"d":[{"d":[{},[0,5]]}]}]}],"y":[{"w":[{},[0,0,4]]},[0,0,3]]},[0,0,1]],"s":[{".":[{},[1]],"e":[{"d":[{"d":[{"a":[{},[0,0,4]]}]}],"n":[{"d":[{},[0,0,5]]}]}],"g":[{},[0,0,0,1]],"i":[{".":[{},[4]]}],"o":[{},[0,0,3]],"r":[{},[3]],"t":[{"e":[{"r":[{},[0,0,3]]}],"o":[{"d":[{},[0,0,3]]}],"r":[{},[0,0,3]]}]}],"t":[{"a":[{},[0,0,3]],"e":[{},[0,0,1]],"h":[{"r":[{},[0,0,0,4,3]],"u":[{"n":[{},[0,0,0,4]]},[0,0,0,3]]}],"o":[{},[0,0,3]],"r":[{},[0,0,0,3]]}],"w":[{"c":[{"h":[{},[0,0,0,0,3]]},[0,2]]},[2,1]],"y":[{},[0,1]]}],"w":[{"a":[{"c":[{"e":[{"w":[{},[0,0,0,5]]}]}],"d":[{"d":[{},[0,0,0,0,3]],"n":[{},[0,0,0,2,3]],"w":[{"y":[{".":[{},[0,5]]}]}]}],"e":[{"n":[{"i":[{},[0,0,0,0,4]]}],"r":[{},[0,0,0,0,2]]}],"g":[{},[0,0,0,1]],"i":[{".":[{},[0,3]],"d":[{},[0,3]],"r":[{},[0,2]],"s":[{},[0,3]],"t":[{},[0,4]]},[0,1]],"l":[{"l":[{"t":[{},[0,0,0,0,0,5]]}]}],"n":[{".":[{},[0,4]],"a":[{},[0,0,0,3]],"e":[{},[0,0,0,3]],"o":[{},[0,0,0,3]]}],"r":[{"d":[{"d":[{"r":[{},[0,0,0,5]]}]}],"e":[{"d":[{"d":[{},[0,0,0,4]]}]},[0,0,0,3]],"i":[{"a":[{},[0,0,0,5]]}],"t":[{"h":[{"a":[{"i":[{},[0,0,0,0,5]],"s":[{},[0,0,0,0,5]]}],"i":[{},[0,0,0,0,5]],"w":[{},[0,0,0,0,5]]},[0,0,0,0,0,4]]}],"w":[{},[0,0,0,3]]}],"s":[{".":[{},[3,4]],"e":[{},[0,3]],"g":[{},[0,0,0,4]],"i":[{},[0,3]],"o":[{},[0,3]],"t":[{},[0,4,0,4]],"w":[{},[0,3]]}],"t":[{"e":[{"r":[{},[0,0,0,5]]}]}],"u":[{},[0,1]]},[2]],"b":[{"l":[{"e":[{"s":[{},[0,0,0,5]]}]}]},[2]],"c":[{"a":[{},[2]],"e":[{"d":[{},[0,0,4]]}],"h":[{"u":[{},[4]]},[0,0,0,1]],"i":[{},[2]],"w":[{"l":[{"l":[{},[0,0,5]]}]}],"y":[{"n":[{},[0,0,4]]}]},[0,2]],"d":[{"d":[{"e":[{"g":[{},[0,0,0,3]],"w":[{},[0,5]]}]}],"e":[{"d":[{},[0,0,3]],"n":[{"a":[{},[0,0,0,3,4]],"e":[{},[0,0,0,5,4]]}]},[0,0,2]],"i":[{"h":[{},[0,0,4]]},[0,0,3]],"l":[{"y":[{},[0,0,3]]}],"o":[{"d":[{".":[{},[0,3]]}]}],"r":[{"a":[{},[0,0,4]],"y":[{},[0,0,0,0,4]]},[0,0,0,1]],"u":[{},[0,0,2]]},[2]],"e":[{"b":[{},[0,1,0,3]],"c":[{},[2,1]],"d":[{".":[{},[2,3]],"a":[{},[0,4]],"d":[{"f":[{},[4]],"i":[{},[4]]}],"i":[{"g":[{},[0,3]]},[4]]}],"g":[{"i":[{},[0,0,4]],"r":[{},[0,0,0,0,4]]}],"i":[{"n":[{},[0,0,0,0,3]]}],"l":[{"l":[{"t":[{"i":[{},[0,0,0,0,5]]}]}],"o":[{},[0,0,0,3]],"w":[{"l":[{},[0,0,0,0,5]]}]}],"m":[{},[2,1]],"n":[{"a":[{"u":[{},[0,0,0,3]]}],"d":[{},[0,0,0,4]],"t":[{},[2,3]],"w":[{"y":[{"n":[{},[0,0,0,0,0,0,5]]}]}],"y":[{},[0,0,0,3]]}],"r":[{".":[{},[2,3]],"i":[{"d":[{},[0,0,0,5]]},[0,0,0,4]],"s":[{},[0,4]],"y":[{"d":[{},[0,0,0,4]]}]}],"s":[{"i":[{"r":[{},[0,4]],"t":[{},[0,4]]},[4,3]],"t":[{".":[{},[5]],"a":[{"i":[{},[0,0,0,0,4]]}]}]},[2]],"t":[{"h":[{},[0,4]]},[0,1]],"u":[{"g":[{},[0,0,0,2]],"n":[{},[0,0,0,0,3]]},[2]]}],"f":[{"a":[{},[0,1]],"e":[{},[0,1]],"f":[{"a":[{},[0,0,0,3]]}],"i":[{"d":[{},[0,0,4]]},[0,1]],"o":[{"r":[{},[0,0,0,0,2]]},[0,1]],"w":[{"y":[{},[0,0,4]]},[0,1]],"y":[{},[0,3]]},[2,0,2]],"g":[{".":[{},[2]],"i":[{"g":[{".":[{},[0,5]]}]}],"l":[{},[2]],"n":[{},[0,0,3]]},[0,0,1]],"h":[{"e":[{},[0,3]],"w":[{},[0,3]]},[2,1,2]],"i":[{"a":[{"n":[{},[0,0,4]]}],"b":[{"a":[{"n":[{},[0,0,0,5]]}],"l":[{"a":[{},[0,0,0,0,5]]}],"o":[{"l":[{},[0,0,0,5]]}]}],"d":[{"l":[{},[0,0,0,0,3]]}],"f":[{"r":[{},[0,0,4]]}],"g":[{"l":[{"e":[{},[0,0,0,0,5]]}]},[3,0,0,1]],"l":[{},[0,0,0,3]],"n":[{"g":[{"a":[{"d":[{"a":[{},[0,0,0,5]],"e":[{},[0,0,0,5]],"i":[{},[0,0,0,5]],"o":[{},[0,0,0,5]]}]}]}]}],"o":[{"n":[{"e":[{},[0,4]]}]}],"r":[{},[0,0,0,3]],"s":[{"g":[{},[0,0,0,0,3]]}],"t":[{},[0,1]],"w":[{".":[{},[3]],"e":[{},[0,0,0,4]]}]},[2]],"l":[{"a":[{"d":[{".":[{},[3]]}],"n":[{},[0,0,0,0,3]]}],"c":[{"o":[{},[0,0,4]]}],"i":[{"n":[{},[0,0,3]],"p":[{},[0,4]]}],"l":[{"y":[{"n":[{},[0,0,0,5]]}]}],"w":[{"s":[{".":[{},[0,0,5]]}]}],"y":[{"c":[{},[0,0,4]]}]},[2]],"m":[{"a":[{"n":[{},[0,0,0,0,3]]},[0,0,3]],"b":[{"r":[{},[0,0,4]]}],"i":[{"a":[{"i":[{},[0,0,5]],"n":[{},[0,0,5]]}]},[0,0,2]],"w":[{"l":[{},[0,0,4]]}]},[2]],"n":[{"a":[{"d":[{"w":[{"y":[{".":[{},[0,0,5]]}]}]}],"e":[{},[0,0,2]]}],"d":[{"e":[{},[0,0,3]],"i":[{},[0,0,3]],"r":[{},[0,0,0,0,3]]},[2]],"e":[{"i":[{},[0,0,4]]}],"ê":[{"l":[{},[0,0,4]]}],"g":[{"l":[{},[0,0,0,0,4]]},[2,0,3]],"i":[{"n":[{},[0,0,3]]}],"l":[{},[0,0,3]],"o":[{"c":[{},[0,4,3]],"d":[{"d":[{},[0,0,3]]}],"g":[{},[0,0,3]],"l":[{},[0,0,3]],"m":[{},[0,4,3]],"n":[{},[0,4,3]]},[0,0,2]],"w":[{},[2]]},[0,0,1]],"o":[{"d":[{".":[{},[0,3]],"d":[{},[0,3]]},[0,2]],"l":[{".":[{},[0,3]],"a":[{"e":[{},[0,3]]}]},[0,2]],"r":[{},[0,2]]},[2,1]],"p":[{"e":[{},[0,0,3]],"l":[{},[0,0,0,1]],"w":[{"r":[{"d":[{},[0,0,5]]}]}]},[2]],"r":[{"a":[{"e":[{"t":[{},[0,0,5]]}]}],"b":[{"y":[{"n":[{},[0,0,0,5]]}]}],"c":[{"a":[{},[0,0,3]],"e":[{},[0,0,4]],"h":[{},[0,0,4,0,3]],"i":[{},[0,0,4]],"w":[{"d":[{},[0,0,5]]}]},[0,0,0,2]],"d":[{"e":[{"i":[{},[0,0,5]]}]},[2]],"e":[{"d":[{},[0,0,3]],"i":[{"g":[{},[0,0,0,0,0,3]]}],"s":[{"i":[{},[0,0,5]]}]}],"f":[{"a":[{"u":[{},[0,0,5]]}],"i":[{},[0,0,4]]},[0,0,3]],"i":[{".":[{},[4]],"d":[{".":[{},[0,0,3]]},[0,0,0,0,3]],"e":[{},[0,0,3]]}],"l":[{"l":[{},[0,0,4]]},[0,0,3]],"n":[{"a":[{},[0,0,3,2]],"e":[{"s":[{},[0,0,0,4]]}],"o":[{},[0,0,3]]}],"o":[{},[0,0,1]],"t":[{"h":[{},[0,0,0,0,3]]},[0,0,2]],"w":[{"s":[{},[0,0,4]],"y":[{"d":[{"d":[{},[0,5]]}]}]},[0,0,1]],"y":[{"w":[{},[0,0,0,4]]}]}],"s":[{"b":[{"r":[{"e":[{},[0,0,5]]}]}],"e":[{},[0,0,3]],"g":[{"l":[{},[0,0,4]]},[0,0,3]],"i":[{"g":[{},[0,0,4]]}],"o":[{"g":[{},[0,0,4]]}],"t":[{"a":[{"n":[{},[0,0,0,5]]},[0,0,4]],"e":[{"r":[{".":[{},[0,0,5]]}]}],"r":[{},[0,0,0,0,3]]}],"u":[{"s":[{},[0,0,4]]}],"w":[{"a":[{},[0,0,3]]}]}],"t":[{"a":[{"n":[{},[0,0,0,0,3]]},[0,0,3]],"e":[{"m":[{},[0,0,3]],"r":[{"y":[{},[0,0,5]]}]}],"h":[{".":[{},[4]],"w":[{},[0,0,0,3]]},[0,0,0,1]],"o":[{"d":[{},[0,0,3]]}],"w":[{"y":[{},[0,0,3]]}],"y":[{},[0,0,3]]},[2]],"w":[{},[2,1]],"y":[{"a":[{"l":[{"c":[{},[0,0,5]]}]},[2]],"b":[{"r":[{"y":[{},[0,0,0,0,5]]},[4]],"u":[{},[0,0,3]]}],"c":[{"h":[{},[0,0,0,0,3]]},[0,1]],"d":[{"a":[{},[0,0,0,3]],"d":[{"l":[{"y":[{},[0,0,0,0,4]]}],"y":[{"d":[{},[0,0,0,0,4]]}]},[2]],"r":[{"o":[{},[0,0,0,0,3]]}],"y":[{},[2]]}],"e":[{},[2]],"f":[{"r":[{},[0,0,3]]}],"h":[{},[0,0,3]],"i":[{},[2]],"l":[{"d":[{"e":[{"b":[{},[0,0,0,4]]}]}],"l":[{"a":[{},[0,0,0,0,3]]}]},[2]],"n":[{"a":[{"d":[{".":[{},[0,0,0,5]]}]}],"d":[{},[4]],"e":[{"g":[{},[0,0,0,3]]}],"f":[{},[0,0,0,3]],"g":[{},[0,0,0,3,4]],"i":[{},[0,0,4]],"o":[{},[0,0,0,3]],"y":[{},[0,0,0,3]]}],"o":[{},[2]],"r":[{"a":[{"d":[{},[0,0,0,3]],"n":[{},[0,0,3]]}],"d":[{"d":[{".":[{},[5]]}]}],"l":[{"i":[{},[0,0,0,0,3]]}]}],"s":[{},[2]],"t":[{},[2]],"w":[{"r":[{},[0,0,3]],"y":[{},[0,0,3]]},[2]],"y":[{},[2]]}]}],"y":[{"a":[{"r":[{".":[{},[0,4]],"n":[{},[0,4]]},[0,3,0,3]]},[2,1]],"b":[{"a":[{"c":[{},[0,0,4]]}],"e":[{"d":[{"d":[{},[0,0,5]]}],"r":[{},[0,0,0,0,4]]}],"l":[{"y":[{},[0,0,3]]},[0,0,0,1]],"r":[{"i":[{},[0,0,0,3]]},[0,0,0,1]],"w":[{},[0,0,3]]},[2]],"c":[{"h":[{"a":[{"n":[{"w":[{"r":[{},[0,0,0,4]]}]},[0,0,0,0,0,5]]}],"e":[{"i":[{},[0,0,0,5]]}],"r":[{},[0,0,0,3]],"w":[{"e":[{},[4]],"y":[{"n":[{"a":[{},[0,0,0,0,0,5]],"e":[{},[0,0,0,0,0,5]]}]},[0,0,0,3]]}]},[0,0,0,1]],"l":[{},[0,0,0,3]]}],"d":[{".":[{},[2]],"a":[{"d":[{},[0,0,3]],"l":[{},[0,0,4]],"n":[{"a":[{},[0,3]],"e":[{},[0,3]],"t":[{},[0,0,3]],"w":[{},[0,5]]},[0,0,2,0,3]],"r":[{},[0,3]],"s":[{},[0,0,3]],"u":[{},[0,0,3]]},[2]],"d":[{"a":[{"n":[{},[0,0,0,5]]}],"e":[{},[0,0,4]],"f":[{},[0,0,4,0,4]],"i":[{"n":[{".":[{},[0,0,0,4]]}]},[0,0,4,0,4]],"o":[{"f":[{},[0,0,0,4]]}],"y":[{"n":[{".":[{},[0,0,0,5]],"e":[{},[0,0,0,0,5]]}],"s":[{"g":[{},[0,0,0,4]]}]}]},[0,0,0,3]],"e":[{"b":[{},[0,3]],"d":[{"d":[{"a":[{"u":[{},[0,0,4]]}]}]},[0,0,3]],"i":[{},[0,0,3]],"r":[{},[0,0,3]],"u":[{},[0,0,4]]},[2]],"f":[{"f":[{"u":[{},[0,0,5]]}],"w":[{"r":[{},[0,0,0,0,0,3]]}],"y":[{"n":[{},[0,0,0,0,0,3]]}]}],"i":[{},[0,0,3]],"l":[{},[0,0,1]],"m":[{"a":[{},[0,0,4]]}],"n":[{"e":[{"b":[{},[0,0,0,0,5]]},[0,0,2]]}],"o":[{"d":[{".":[{},[0,0,4]]}],"l":[{},[0,0,0,0,3]],"s":[{},[0,0,4]]},[2,0,3]],"r":[{"a":[{"u":[{},[4]]}],"e":[{"c":[{},[0,0,0,3]],"m":[{},[0,0,0,3]],"s":[{"i":[{"d":[{},[0,0,0,5]]}]}],"w":[{},[0,0,3]]}],"i":[{"a":[{},[4]]},[0,0,4]],"o":[{"c":[{},[0,0,0,3]],"l":[{},[4]]}],"w":[{"y":[{"d":[{".":[{},[0,0,0,5]],"d":[{},[0,0,5]]}]}]}],"y":[{"c":[{},[0,0,0,3]]},[4]]}],"w":[{"a":[{},[0,0,3]],"e":[{"d":[{},[0,0,5]],"i":[{"t":[{"h":[{"i":[{"o":[{"l":[{},[0,0,0,0,0,0,0,0,5]]}]}]}]}]}],"l":[{"e":[{},[0,0,0,0,0,5]]}]}],"r":[{},[0,0,3]]},[2]],"y":[{"l":[{},[0,0,0,4]]},[0,0,1]]}],"e":[{"l":[{},[0,3]],"r":[{"a":[{},[0,4]],"n":[{},[0,4]]}]},[0,1]],"f":[{"a":[{"g":[{},[0,4,3]],"i":[{},[0,0,3]],"n":[{"t":[{},[0,0,0,0,3]]}],"r":[{"e":[{},[0,0,3]],"h":[{},[0,0,3]],"w":[{"a":[{},[0,0,0,0,5]]}]}]}],"e":[{"d":[{"a":[{},[0,0,3]],"e":[{},[0,0,3]],"i":[{},[0,0,3]],"o":[{},[0,0,3]],"w":[{},[0,0,3]]}],"i":[{},[0,0,3]],"l":[{},[0,0,0,0,3]],"r":[{"f":[{},[0,0,5]],"n":[{},[0,0,0,0,3]]}],"s":[{"i":[{},[0,0,5]]}],"w":[{"i":[{},[0,0,5]]}]}],"f":[{"a":[{"i":[{"t":[{},[0,0,5]]}]},[0,0,4]],"e":[{"i":[{},[0,0,5]]}],"i":[{"n":[{},[0,0,0,5]]},[0,4,0,3]],"l":[{},[0,4]],"r":[{"a":[{},[0,0,0,0,3]],"o":[{"e":[{"d":[{},[0,0,0,0,0,5]],"m":[{},[0,0,0,0,0,5]],"n":[{},[0,0,0,0,0,5]]}],"w":[{"c":[{},[0,0,0,0,0,5]]}]}],"w":[{},[0,0,0,0,3]],"y":[{},[0,0,0,3]]}]},[0,0,0,1]],"i":[{},[0,0,3]],"l":[{"e":[{"d":[{},[0,0,0,4]]}],"o":[{"e":[{},[0,0,0,0,3]]}]}],"n":[{"e":[{},[0,0,3]],"o":[{},[0,0,3]],"y":[{},[0,0,3]]}],"o":[{"d":[{".":[{},[0,0,5]]}],"g":[{"l":[{},[0,0,0,0,0,4]]}]},[0,0,3]],"r":[{"a":[{"i":[{"t":[{},[0,0,5]]}],"n":[{"e":[{},[0,0,0,0,5]]}]}],"y":[{"w":[{},[0,0,5]]}]}],"u":[{},[0,0,3]],"w":[{"n":[{"g":[{},[0,0,5]]}]}],"y":[{"g":[{},[0,0,3]],"n":[{".":[{},[0,0,5]],"a":[{},[0,0,0,3]],"e":[{},[0,0,0,5]],"g":[{},[0,0,0,0,0,5]]}],"t":[{},[0,0,4]]}]},[2,0,1]],"g":[{"a":[{"d":[{"u":[{},[0,0,5]]}],"r":[{},[0,0,4]]},[0,0,3]],"e":[{"g":[{},[0,0,0,0,4]],"i":[{"d":[{},[0,0,4]]}]}],"i":[{"l":[{},[0,0,4]],"n":[{},[3]]},[0,0,3]],"l":[{"a":[{},[0,0,0,3]],"o":[{},[0,0,0,3]],"w":[{},[0,0,0,3]],"y":[{},[0,0,0,3]]}],"n":[{},[0,0,0,3]],"o":[{"e":[{},[0,0,4]],"f":[{},[0,0,4]]},[0,0,3]],"r":[{"a":[{"d":[{},[0,0,0,0,0,4]]}]},[0,0,0,1]],"w":[{"y":[{"d":[{},[0,0,5]]}]}],"y":[{"c":[{},[0,4]],"d":[{},[4]]}]},[0,0,1]],"h":[{"e":[{"i":[{},[0,0,0,3]],"w":[{},[0,0,0,3]]},[0,2]]},[0,1,2]],"i":[{"e":[{},[0,3]]},[0,1]],"l":[{"a":[{"d":[{".":[{},[0,0,3]],"w":[{"y":[{".":[{},[0,0,5]]}]}]}],"f":[{},[0,0,3]],"n":[{"t":[{},[0,0,3]]},[0,0,0,0,3]],"w":[{".":[{},[0,5]]}]}],"c":[{"h":[{"w":[{},[0,0,0,0,3]]}]},[2]],"d":[{"e":[{"r":[{"a":[{},[0,0,4]]}]}]}],"e":[{},[0,0,1]],"f":[{},[0,0,1]],"i":[{"n":[{},[0,3]],"t":[{},[0,4]]}],"l":[{"a":[{"d":[{".":[{},[0,0,0,5]]}]}],"e":[{},[0,0,0,3]],"f":[{},[4]],"i":[{"d":[{"a":[{},[0,0,0,5]]}]}],"o":[{},[0,0,0,3]],"w":[{},[0,0,0,3]],"y":[{},[0,0,0,3]]}],"n":[{"o":[{"s":[{},[0,0,5]]}]}],"o":[{"c":[{},[0,0,3]],"d":[{},[0,0,3]],"n":[{},[0,0,3]],"r":[{"e":[{},[0,0,5]]}]}],"u":[{".":[{},[0,4]]}],"w":[{"e":[{},[4]],"y":[{},[0,0,3]]}],"y":[{},[0,0,1]]}],"m":[{"a":[{"i":[{"t":[{},[0,0,5]]}],"l":[{},[0,0,4]],"n":[{".":[{},[0,0,5]],"t":[{},[0,0,0,0,5]]}],"r":[{"w":[{},[0,0,0,0,5]]}]}],"b":[{"l":[{},[0,0,0,0,2]]}],"e":[{"d":[{"r":[{},[0,0,5]]}],"r":[{"i":[{},[0,0,4]]}],"s":[{"u":[{},[0,0,5,0,3]]}]}],"g":[{},[3]],"h":[{"e":[{"u":[{},[0,0,3]]}]}],"l":[{"e":[{},[0,0,2]],"i":[{},[0,0,2]],"o":[{"n":[{"e":[{},[0,0,0,0,5]]}]}]}],"o":[{"l":[{"i":[{},[0,0,4]]}],"n":[{},[0,0,3]]}],"p":[{"a":[{},[0,0,0,3]],"i":[{},[0,0,4]],"o":[{"d":[{},[0,0,0,5]]}],"r":[{},[0,0,3]]}],"r":[{"a":[{"n":[{"e":[{},[0,0,0,0,5]]}]}],"i":[{"g":[{},[0,0,0,5]]}],"o":[{"e":[{},[0,0,0,0,5]]}],"u":[{},[0,0,4]]}],"s":[{"e":[{},[0,0,3]]}],"u":[{"m":[{},[0,0,4]]}],"w":[{"y":[{"b":[{},[5]]}]}],"y":[{"n":[{"y":[{},[0,0,0,0,5]]}],"r":[{"a":[{},[0,0,5]],"e":[{},[0,0,5]],"i":[{},[0,0,5]],"o":[{},[0,0,5]],"w":[{},[0,0,5]]}]},[0,0,3]]}],"n":[{"a":[{"d":[{"a":[{},[0,0,4]]}],"e":[{},[0,0,3]],"f":[{},[0,0,3]],"i":[{},[0,0,3]],"n":[{},[0,0,3,0,3]],"s":[{},[0,0,0,0,3]],"u":[{},[2,0,3]],"w":[{},[0,0,4]]}],"b":[{"y":[{"n":[{},[0,0,5]]}]}],"c":[{"e":[{"d":[{},[0,0,0,5]]}]}],"d":[{"i":[{"r":[{},[0,0,3]]}]}],"e":[{"b":[{},[0,0,4]],"c":[{},[0,0,3]],"d":[{".":[{},[0,0,3]],"d":[{},[0,0,3]]}],"g":[{},[0,0,2]],"i":[{},[0,0,3]],"m":[{},[0,0,3]],"n":[{},[0,0,3]],"r":[{},[0,0,3]],"s":[{"a":[{"u":[{},[0,4]]},[0,3]]}]}],"f":[{"y":[{"d":[{},[0,0,0,0,0,3]]}]},[2]],"g":[{"e":[{"r":[{},[0,0,0,5]]},[0,0,4]],"l":[{},[0,0,3]]},[2,0,0,1]],"i":[{"a":[{"w":[{},[0,0,0,0,0,4]]}],"d":[{},[0,0,0,4]],"f":[{},[0,0,3,4]],"g":[{"y":[{},[0,0,5]]},[0,3]],"l":[{},[0,0,3,0,3]]}],"n":[{},[0,0,3]],"o":[{"a":[{"d":[{},[0,0,5,5]]}],"d":[{"d":[{},[0,0,5]],"i":[{},[0,0,4]],"y":[{},[0,0,4]]}],"e":[{},[0,0,3]],"s":[{},[0,0,3,0,4]]},[0,0,1]],"r":[{},[2]],"t":[{"a":[{},[0,0,0,4]],"e":[{},[0,0,4]],"i":[{},[0,0,4]],"o":[{},[0,0,4]],"u":[{},[0,0,4]]},[0,0,0,1]],"u":[{"d":[{},[0,0,4]]}],"w":[{"a":[{},[0,0,3]],"e":[{},[0,0,2,4]],"y":[{"r":[{},[0,0,4]]},[0,0,3]]},[0,0,1]],"y":[{"c":[{},[0,0,2]],"d":[{"d":[{},[0,0,0,0,0,5]]}]},[0,0,1]]}],"o":[{},[0,1]],"p":[{"l":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,3]],"o":[{},[0,0,0,3]],"w":[{},[0,0,0,3]],"y":[{},[0,0,3]]}]}],"r":[{"a":[{"e":[{},[0,0,3]],"f":[{},[0,0,3]],"n":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,3]],"t":[{},[0,0,3]]}],"u":[{},[0,4,3]]}],"c":[{"h":[{"e":[{},[0,0,0,0,3]],"o":[{},[0,0,0,0,3]],"w":[{},[0,0,0,0,3]],"y":[{},[0,0,0,0,3]]},[0,0,4]]}],"d":[{"d":[{"y":[{"d":[{},[0,0,5]]}]},[0,0,4,0,3]]}],"e":[{"i":[{},[0,0,2]],"l":[{".":[{},[0,0,5]]}],"n":[{"d":[{},[0,0,0,0,5]]}]},[0,0,1]],"f":[{"e":[{},[0,0,0,3]],"f":[{},[0,0,3,0,4]],"u":[{},[0,0,4]],"y":[{"d":[{},[0,0,0,5]]}]}],"i":[{"a":[{},[0,4]],"d":[{},[0,0,3]]}],"l":[{"y":[{},[0,0,3]]},[0,0,2]],"n":[{},[0,0,0,3]],"o":[{"l":[{".":[{},[0,0,5]]}]},[0,0,1]],"s":[{},[0,0,2]],"w":[{"a":[{"y":[{},[0,0,5]]}]},[0,0,1]],"y":[{},[0,0,1]]}],"s":[{"a":[{"w":[{},[0,0,3]]},[2]],"b":[{"ï":[{"w":[{},[0,0,0,5]]}],"l":[{},[0,0,4]],"y":[{"d":[{},[0,0,0,3]]}]},[2]],"e":[{"t":[{"l":[{},[0,0,5]]}]},[2]],"f":[{},[2]],"g":[{"a":[{"r":[{".":[{},[4]],"a":[{"i":[{},[0,0,5]],"s":[{"a":[{},[0,0,5]]}]}],"i":[{"a":[{},[0,0,5]]}],"w":[{"y":[{},[0,0,5]]}]}]}],"e":[{},[0,0,0,0,4]],"l":[{"e":[{},[0,0,0,0,4]],"w":[{},[0,0,0,5]]}],"n":[{},[0,0,4]],"r":[{},[3]],"y":[{},[0,0,4]]}],"i":[{},[2]],"n":[{"i":[{".":[{},[0,0,5]]}]}],"o":[{"d":[{},[0,0,3]],"l":[{".":[{},[0,0,5]]},[4]]},[2]],"t":[{"a":[{},[0,0,3]],"e":[{"b":[{},[0,0,0,5]],"d":[{},[0,0,5]],"r":[{},[0,0,3]]},[4]],"r":[{"y":[{},[0,0,4]]}],"w":[{},[0,0,0,4]]}],"u":[{},[0,0,3]],"w":[{"e":[{},[0,0,4]],"i":[{},[0,0,4]]},[2]],"y":[{"g":[{},[0,0,4]]},[2,0,3]]}],"t":[{"a":[{"d":[{},[0,0,3]]}],"e":[{},[0,0,1]],"h":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,3]],"i":[{"e":[{},[0,0,0,0,3]]}],"l":[{},[0,0,0,3]],"o":[{},[0,0,0,3]],"r":[{"e":[{"c":[{},[0,0,0,0,5]],"d":[{},[0,0,0,0,5]],"s":[{},[0,0,0,0,5]],"u":[{},[0,0,0,5]]},[0,0,0,4]],"o":[{},[0,0,0,0,3]],"w":[{"b":[{},[0,0,0,5]]}],"y":[{"c":[{},[0,0,0,0,5]]}]}],"u":[{"r":[{},[0,0,0,5]]}],"w":[{},[0,0,0,3]],"y":[{"n":[{},[0,0,0,3]]}]}],"i":[{"r":[{"o":[{},[0,0,5]]}]}],"o":[{},[0,0,3]],"r":[{"a":[{"s":[{},[0,0,3]]}]},[0,0,0,2]],"s":[{},[0,0,3]],"w":[{"a":[{"d":[{},[0,0,0,5]]}],"y":[{},[0,0,3]]}],"y":[{"s":[{"a":[{},[0,0,5]]}]}]}],"w":[{"a":[{"e":[{},[0,0,4]],"i":[{"t":[{},[0,3]]}]}],"c":[{},[0,1]],"e":[{"d":[{"d":[{"i":[{"a":[{},[0,5]]}]},[0,3]]}],"g":[{".":[{},[0,0,5]]}],"l":[{},[0,4]],"n":[{".":[{},[0,0,5]]}],"s":[{},[0,0,3]]}],"g":[{},[0,0,1,2]],"i":[{"a":[{},[0,4]],"d":[{},[0,0,3]],"o":[{},[0,4]],"r":[{".":[{},[0,4]]}]}],"n":[{},[0,1]],"o":[{"l":[{},[0,0,3]]}],"r":[{"a":[{"i":[{"n":[{},[0,0,0,5]]}]},[0,0,0,4]]},[0,2,0,1]],"y":[{"c":[{},[0,4]],"f":[{},[0,3]],"n":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,5]]}]}]},[2]],"y":[{},[0,1]]}]}';
  var hyphenation = [];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
