(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsEnUs = factory();
  }
})(this, function () {
  var patterns =
    '{" ":[{},[]],".":[{"a":[{"c":[{"h":[{},[0,0,0,4]]}],"d":[{"d":[{"e":[{"r":[{},[0,0,4]]}]}]}],"f":[{"t":[{},[0,0,1]]}],"l":[{"t":[{},[0,0,3]]}],"m":[{"a":[{"t":[{},[0,0,5]]}]}],"n":[{"c":[{},[0,0,5]],"g":[{},[0,0,0,4]],"i":[{"m":[{},[0,0,0,5]]}],"t":[{"e":[{},[0,0,3]],"i":[{"s":[{},[0,0,0,0,5]]}]},[0,0,0,4]]}],"r":[{"s":[{},[0,0,5]],"t":[{"i":[{"e":[{},[0,0,4]]}],"y":[{},[0,0,4]]}]}],"s":[{"c":[{},[0,0,3]],"p":[{},[0,0,1]],"s":[{},[0,0,1]],"t":[{"e":[{"r":[{},[0,0,0,0,0,5]]}]}]}],"t":[{"o":[{"m":[{},[0,0,0,0,5]]}]}],"u":[{"d":[{},[0,0,1]]}],"v":[{"i":[{},[0,0,4]]}],"w":[{"n":[{},[0,0,0,4]]}]}],"b":[{"a":[{"g":[{},[0,0,4]],"n":[{"a":[{},[0,0,5]]}],"s":[{"e":[{},[0,0,0,4]]}]}],"e":[{"r":[{"a":[{},[0,0,5]]},[0,0,0,4]],"s":[{"m":[{},[0,0,3]],"t":[{"o":[{},[0,0,5]]}]}]}],"r":[{"i":[{},[0,0,0,2]]}],"u":[{"t":[{"t":[{"i":[{},[0,0,0,4]]}]}]}]}],"c":[{"a":[{"m":[{"p":[{"e":[{},[0,0,0,4]]}]}],"n":[{"c":[{},[0,0,0,5]]}],"p":[{"a":[{"b":[{},[0,0,0,0,5]]}]}],"r":[{"o":[{"l":[{},[0,0,0,5]]}]}],"t":[{},[0,0,4]]}],"e":[{"l":[{"a":[{},[0,0,4]]}]}],"h":[{"i":[{"l":[{"l":[{"i":[{},[0,0,0,0,0,5]]}]}]}]},[0,0,4]],"i":[{"t":[{"r":[{},[0,0,0,5]]}]},[0,0,2]],"o":[{"e":[{},[0,0,3]],"r":[{"n":[{"e":[{"r":[{},[0,0,0,5]]}]}]},[0,0,4]],"n":[{"g":[{"r":[{},[0,0,0,5]]}]}]}]}],"d":[{"e":[{"m":[{"o":[{"i":[{},[0,0,4]]}]}],"o":[{},[0,0,3]],"r":[{"a":[{},[0,0,3]],"i":[{"v":[{"a":[{},[0,0,5]]}]},[0,0,3]]}],"s":[{"c":[{},[0,0,0,4]]}]}],"i":[{"c":[{"t":[{"i":[{"o":[{},[0,0,0,0,0,0,5]]}]}]}]}],"o":[{"t":[{},[0,0,4]]}],"u":[{"c":[{},[0,0,4]],"m":[{"b":[{},[0,0,0,0,5]]}]}],"r":[{"i":[{"v":[{},[0,0,0,5,4]]}]}]}],"e":[{"a":[{"r":[{"t":[{"h":[{},[0,0,0,0,0,5]]}]}],"s":[{"i":[{},[0,0,0,3]]}]}],"b":[{},[0,0,4]],"e":[{"r":[{},[0,0,0,4]]}],"g":[{},[0,0,2]],"l":[{"d":[{},[0,0,5]],"e":[{"m":[{},[0,0,3]]}]}],"n":[{"a":[{"m":[{},[0,0,0,0,3]]}],"g":[{},[0,0,3]],"s":[{},[0,0,3]]}],"q":[{"u":[{"i":[{"t":[{},[0,0,5,0,5]]}]}]}],"r":[{"r":[{"i":[{},[0,0,4]]}]}],"s":[{},[0,0,3]],"u":[{"l":[{"e":[{"r":[{},[0,0,4]]}]}]},[0,0,3]],"y":[{"e":[{},[0,0,0,5]]}],"t":[{"h":[{"y":[{"l":[{},[0,0,0,1,6,1]]}]}]}],"v":[{"e":[{"r":[{"s":[{"i":[{"b":[{},[0,0,0,0,5,0,5]]}]}]}]}]},[0,0,2]]}],"f":[{"e":[{"s":[{},[0,0,0,3]]}],"o":[{"r":[{"m":[{"e":[{"r":[{},[0,0,0,5]]}]}]}]}]}],"g":[{"a":[{"s":[{"o":[{"m":[{},[0,0,4,1,0,1]]}]}]},[0,0,2]],"e":[{"n":[{"t":[{},[0,0,0,3,4]]}],"o":[{"g":[{},[0,0,5]],"m":[{"e":[{},[0,0,4]]}],"t":[{},[0,0,5,0,1]]}]},[0,0,2]],"i":[{"a":[{},[0,0,5]],"b":[{},[0,0,4]]}],"o":[{"r":[{},[0,0,4]]}]}],"h":[{"a":[{"n":[{"d":[{"i":[{},[0,0,0,0,5]]}],"k":[{},[0,0,0,5]]}]}],"e":[{"r":[{"o":[{"i":[{},[0,0,0,0,5]],"e":[{},[0,0,3]]}]}],"s":[{},[0,0,0,3]],"t":[{},[0,0,0,3]],"m":[{"o":[{},[0,0,3,0,1]]}],"p":[{"a":[{},[0,0,3,6]]}]},[0,0,2]],"i":[{"b":[{},[0,0,3]],"e":[{"r":[{},[0,0,3]]}]}],"o":[{"n":[{"e":[{"y":[{},[0,0,0,5]]}],"o":[{},[0,0,0,3]]}],"v":[{},[0,0,0,5]]}]}],"i":[{"d":[{"l":[{},[0,0,4]],"o":[{"l":[{},[0,0,0,0,3]]}]}],"m":[{"m":[{},[0,0,3]],"p":[{"i":[{"n":[{},[0,0,5]]}]}]}],"n":[{"c":[{"i":[{},[0,0,3]]}],"e":[{},[0,0,0,2]],"k":[{},[0,0,2]],"s":[{},[0,0,3]],"u":[{"t":[{},[0,0,5,2]]}]},[0,0,1]],"r":[{"r":[{},[0,0,5]]}],"s":[{"i":[{},[0,0,4]]}]}],"j":[{"u":[{"r":[{},[0,0,3]]}]}],"l":[{"a":[{"c":[{"y":[{},[0,0,4]]}],"m":[{},[0,0,4]],"t":[{"e":[{"r":[{},[0,0,0,5]]}],"h":[{},[0,0,0,0,5]]}]}],"e":[{"g":[{"e":[{},[0,0,0,5]]}],"n":[{},[0,0,0,4]],"p":[{},[0,0,0,5]],"v":[{},[0,0,0,1]],"i":[{"c":[{"e":[{"s":[{},[0,0,6]]}]}]}]},[0,0,2]],"i":[{"g":[{"a":[{},[0,0,0,5]]},[0,0,4]],"n":[{},[0,0,2]],"o":[{},[0,0,3]],"t":[{},[0,0,4]]}]}],"m":[{"a":[{"g":[{"a":[{},[0,0,0,5,5]]}],"l":[{"o":[{},[0,0,0,5]]}],"n":[{"a":[{},[0,0,0,5]]}],"r":[{"t":[{"i":[{},[0,0,0,5]]}]}]}],"e":[{"r":[{"c":[{},[0,0,0,3]]}],"t":[{"e":[{"r":[{},[0,0,5]]}],"a":[{"l":[{"a":[{},[0,0,0,4]]}]}]}],"g":[{"a":[{"l":[{},[0,0,4,0,1]]}]}]},[0,0,2]],"i":[{"s":[{"t":[{"i":[{},[0,0,0,0,5]]}],"e":[{"r":[{"s":[{},[0,0,1,4]]}]}]},[0,0,0,1]],"m":[{"i":[{"c":[{},[0,0,0,5,2,1]]}]}]}],"o":[{"n":[{"e":[{},[0,0,0,3]]}],"r":[{"o":[{},[0,0,3]]}]}],"u":[{"t":[{"a":[{"b":[{},[0,0,0,0,5]]},[0,0,5]]}]}]}],"n":[{"i":[{"c":[{},[0,0,4]]}],"e":[{"o":[{"f":[{},[0,0,6,3]]}]}],"o":[{"e":[{"t":[{"h":[{},[0,0,0,1]]}]}],"n":[{"e":[{"m":[{},[0,0,0,1,2]]}]}]}]}],"o":[{"d":[{"d":[{},[0,0,0,5]]},[0,0,2]],"f":[{"t":[{"e":[{},[0,0,5]]}]}],"r":[{"a":[{"t":[{"o":[{},[0,0,5]]}]}],"c":[{},[0,0,3]],"d":[{},[0,0,1]],"t":[{},[0,0,3]]}],"s":[{"t":[{"l":[{},[0,0,4]]}]},[0,0,3]],"t":[{"h":[{},[0,0,0,3]]}],"u":[{"t":[{},[0,0,0,3]]}]}],"p":[{"e":[{"d":[{"a":[{"l":[{},[0,0,0,5]]}]}],"t":[{"e":[{},[0,0,5]],"i":[{"t":[{},[0,0,5]]}]}]}],"i":[{"e":[{},[0,0,4]],"o":[{"n":[{},[0,0,0,5]]}],"t":[{},[0,0,2]]}],"r":[{"e":[{"m":[{},[0,0,0,3]],"a":[{"m":[{},[0,0,0,1]]}]}]}],"o":[{"l":[{"y":[{"s":[{},[0,0,0,0,1]]}]}],"s":[{"t":[{"a":[{"m":[{},[0,0,0,0,1]]}]}]}]}]}],"r":[{"a":[{"c":[{},[0,0,4]],"n":[{"t":[{},[0,0,0,4]]}],"t":[{"i":[{"o":[{"n":[{"a":[{},[0,0,0,0,0,5]]}]}]}]}],"v":[{"e":[{"n":[{"o":[{},[0,0,0,5,0,1]]}]}]}]}],"e":[{"e":[{"c":[{},[0,0,1,4]]},[0,0,0,2]],"m":[{"i":[{"t":[{},[0,0,5]]}]}],"s":[{"t":[{"a":[{"t":[{},[0,0,5]]}]}]},[0,0,0,2]]}],"i":[{"g":[{},[0,0,4]],"t":[{"u":[{},[0,0,0,5]]}]}],"o":[{"q":[{},[0,0,4]],"s":[{"t":[{},[0,0,0,5]]}],"w":[{"d":[{},[0,0,0,5]]}]}],"u":[{"d":[{},[0,0,4]]}]}],"s":[{"c":[{"i":[{"e":[{},[0,0,0,3]]}]}],"e":[{"l":[{"f":[{},[0,0,0,0,5]],"l":[{},[0,0,0,0,5]]}],"n":[{},[0,0,2]],"r":[{"i":[{"e":[{},[0,0,5]]}]}],"m":[{"i":[{"c":[{},[0,0,0,4]],"d":[{},[0,0,0,0,0,6]],"p":[{},[0,0,0,0,0,4]],"r":[{},[0,0,0,0,0,4]],"s":[{},[0,0,0,6,0,4]],"v":[{},[0,0,0,0,0,4]]},[0,0,0,0,5]]}]}],"h":[{},[0,0,2]],"i":[{"n":[{"g":[{},[0,0,0,0,4]]}]},[0,0,2]],"t":[{"a":[{"b":[{"l":[{},[0,0,0,5]]}]}]},[0,0,4]],"y":[{},[0,0,2]],"p":[{"h":[{"i":[{"n":[{},[0,0,0,6,0,1]]}]}],"i":[{"n":[{"o":[{},[0,0,0,0,1]]}]}]}]}],"t":[{"a":[{"p":[{"e":[{"s":[{"t":[{"r":[{},[0,0,5,0,0,1]]}]}]}]}]},[0,0,4]],"e":[{"n":[{"a":[{"n":[{},[0,0,0,5]]}]}],"l":[{"e":[{"g":[{"r":[{},[0,0,3]]}]}]}]},[0,0,4]],"h":[{},[0,0,2]],"i":[{"l":[{},[0,0,0,4]],"m":[{"o":[{},[0,0,0,5,5]]}],"n":[{"g":[{},[0,0,0,0,4]],"k":[{},[0,0,0,5]]}]},[0,0,2]],"o":[{"n":[{"a":[{},[0,0,0,4]]}],"p":[{"i":[{},[0,0,0,5]],"o":[{"g":[{},[0,0,6]]}]},[0,0,4]],"u":[{"s":[{},[0,0,0,5]]}],"q":[{},[0,0,2]]}],"r":[{"i":[{"b":[{"u":[{"t":[{},[0,0,0,0,5]]}]}]}]}]}],"u":[{"n":[{"a":[{"t":[{"t":[{},[0,0,3,0,5]]}]},[0,0,1]],"c":[{"e":[{},[0,0,3]]}],"d":[{"e":[{"r":[{},[0,0,0,0,0,5]]}]}],"e":[{"r":[{"r":[{},[0,0,5,0,0,5]]}]},[0,0,1]],"k":[{},[0,0,5]],"o":[{},[0,0,5]],"u":[{},[0,0,3]]}],"p":[{},[0,0,3]],"r":[{"e":[{},[0,0,0,3]]}],"s":[{"a":[{},[0,0,5]]}]}],"v":[{"e":[{"n":[{"d":[{"e":[{},[0,0,0,4]]}]}],"r":[{"a":[{},[0,0,5]]}]}],"i":[{"c":[{"a":[{"r":[{},[0,0,2,3]]}]}]}]}],"w":[{"i":[{"l":[{"i":[{},[0,0,0,5]]}]}],"e":[{"b":[{"l":[{},[0,0,2,1]]}]}]}],"y":[{"e":[{},[0,0,4]]}],"k":[{"i":[{"l":[{"n":[{"i":[{},[0,0,0,2,3]]}]}]}],"o":[{"r":[{"t":[{"e":[{},[0,0,6,1,0,1]]}]}]}]}]}],"a":[{"b":[{".":[{},[4]],"a":[{"l":[{},[0,5]],"n":[{},[0,5]]}],"e":[{"r":[{"d":[{},[0,0,5]]}]},[0,0,0,2]],"i":[{"a":[{},[0,0,0,5]],"t":[{"a":[{"b":[{},[0,0,5,0,5]]}]}]}],"l":[{"a":[{"t":[{},[0,0,5]]}]}],"o":[{"l":[{"i":[{"z":[{},[0,0,5,5]],"c":[{},[0,5]]}]}]}],"r":[{"o":[{"g":[{},[0,0,5]]}]},[4]],"u":[{"l":[{},[0,0,3]]}]}],"c":[{"a":[{"r":[{"d":[{},[0,0,5]],"o":[{},[0,0,5]]},[0,4]],"b":[{"l":[{},[0,2]]}]}],"e":[{"o":[{"u":[{},[0,5]]}],"r":[{},[0,0,1]]}],"h":[{"e":[{"t":[{},[0,5]]}]}],"i":[{"e":[{},[0,3]],"n":[{},[0,0,1]],"o":[{},[0,3]]},[4,2]],"r":[{"o":[{"b":[{},[0,0,5]]}]}],"t":[{"i":[{"f":[{},[0,0,0,5]]}]}],"u":[{"l":[{},[0,0,3]],"m":[{},[0,0,4]]}]}],"d":[{"d":[{"i":[{"n":[{},[0,0,4]]}]}],"e":[{"r":[{".":[{},[0,0,5]]}]}],"i":[{"a":[{},[0,3]],"c":[{"a":[{},[0,0,3]]}],"e":[{"r":[{},[0,0,0,4]]}],"o":[{},[0,3]],"t":[{},[0,3]],"u":[{},[0,5]]},[2]],"l":[{"e":[{},[0,0,4]]}],"o":[{"w":[{},[0,0,3]]}],"r":[{"a":[{"n":[{},[0,0,5]]}]}],"s":[{"u":[{},[0,0,4]]}],"u":[{"c":[{},[0,3]],"m":[{},[0,0,5]]},[4]]},[0,2]],"e":[{"r":[{"i":[{"e":[{},[0,0,0,0,4]]}]},[0,0,4]]}],"f":[{"f":[{"i":[{"s":[{"h":[{},[0,0,6]]}]}]},[0,0,0,4]]},[0,2]],"g":[{"a":[{"b":[{},[0,4]],"n":[{},[0,0,0,4]]}],"e":[{"l":[{"l":[{},[0,0,5]]}],"o":[{},[0,0,0,4]],"u":[{},[4]]}],"i":[{},[0,0,1]],"l":[{},[4,0,4]],"n":[{},[0,0,1]],"o":[{"g":[{},[3]],"n":[{"i":[{},[0,0,3]]}]},[0,2]],"u":[{"e":[{"r":[{},[0,5]]}],"l":[{},[0,0,5]]}],"y":[{},[0,4]]}],"h":[{"a":[{},[0,3]],"e":[{},[0,3]],"l":[{},[0,0,4]],"o":[{},[0,3]]}],"i":[{"a":[{},[0,5]],"c":[{".":[{},[0,3]]}],"l":[{"y":[{},[0,0,5]]}],"n":[{"i":[{"n":[{},[0,0,0,5]]}],"o":[{},[0,0,0,5]]},[0,4,4]],"t":[{"e":[{"n":[{},[0,0,0,5]]}]}]},[0,0,2]],"j":[{},[0,1]],"k":[{"e":[{"n":[{},[0,0,1]]}]}],"l":[{"a":[{"b":[{},[0,0,5]],"d":[{},[0,0,3]],"r":[{},[0,4]]}],"d":[{"i":[{},[4]]}],"e":[{"n":[{"d":[{},[0,0,3]],"t":[{"i":[{},[0,4]]}]}],"o":[{},[0,5,0,5]]},[2]],"i":[{"a":[{".":[{},[0,0,4]]}],"e":[{},[0,0,0,4]]},[0,0,1]],"l":[{"e":[{"v":[{},[0,0,5]]}],"i":[{"c":[{},[4]]}]}],"m":[{},[4]],"o":[{"g":[{".":[{},[0,5]]}]}],"y":[{".":[{},[0,4]],"s":[{"t":[{},[5,5]]},[4]],"t":[{},[5]],"z":[{},[3]]}]}],"m":[{"a":[{"b":[{},[0,0,5]],"g":[{},[0,0,3]],"r":[{"a":[{},[0,0,0,5]]}],"s":[{"c":[{},[0,0,5]]}],"t":[{"i":[{"s":[{},[0,4]]}],"o":[{},[0,4,5]]}]},[4]],"e":[{"r":[{"a":[{},[0,0,5]]}],"n":[{"t":[{"a":[{"b":[{},[0,0,1,0,3,0,5]]}]}]}]}],"i":[{"c":[{},[0,0,3]],"f":[{},[0,0,5]],"l":[{"y":[{},[0,0,5]]}],"n":[{"o":[{},[0,0,0,4]]},[0,0,1]]}],"o":[{"n":[{},[0,5]],"r":[{"i":[{},[0,0,0,0,5]]}]},[0,2]],"p":[{"e":[{"n":[{},[0,0,0,5]]}]}]}],"n":[{"a":[{"g":[{"e":[{},[0,0,3]]}],"l":[{"y":[{"s":[{},[0,0,0,0,6]]},[3]]}],"r":[{"c":[{},[0,0,3]],"i":[{},[0,0,0,0,4]]},[0,3]],"t":[{"i":[{},[0,3]]}]}],"d":[{"e":[{"s":[{},[0,0,0,0,4]]}],"i":[{"s":[{},[0,0,3]]}],"l":[{},[0,0,1]],"o":[{"w":[{},[0,0,4]]}]},[4]],"e":[{"e":[{},[0,5]],"n":[{},[0,3]],"s":[{"t":[{".":[{},[0,0,5]]}]}],"u":[{},[0,3]]}],"g":[{"i":[{"e":[{},[0,0,0,5]]}],"l":[{},[0,0,1]]},[2]],"i":[{"c":[{},[0,4,1]],"e":[{"s":[{},[0,3]]}],"f":[{},[0,0,3,3]],"m":[{"e":[{},[0,0,4]],"i":[{},[0,5]]}],"n":[{"e":[{},[0,5]]}],"o":[{},[0,0,3]],"p":[{},[0,3]],"s":[{"h":[{},[0,0,3]]}],"t":[{},[0,0,3]],"u":[{},[0,3]]}],"k":[{"l":[{"i":[{},[0,0,4]]}]}],"n":[{"i":[{"z":[{},[5]]}]}],"o":[{"t":[{"h":[{},[0,0,0,0,0,5]]},[0,0,5]],"a":[{"c":[{},[0,0,0,5,2]]}]},[0,0,0,4]],"s":[{"a":[{},[0,0,2]],"c":[{"o":[{},[0,0,4]]}],"n":[{},[0,0,4]],"p":[{"o":[{},[0,0,0,3]]},[0,0,2]],"t":[{},[0,0,4]],"u":[{"r":[{},[0,0,4]]}],"g":[{"r":[{},[0,0,0,5]]}],"v":[{},[0,0,0,3]]}],"t":[{"a":[{"l":[{},[0,0,0,0,0,4]]}],"i":[{"e":[{},[0,0,4]],"d":[{},[0,0,0,0,1]],"n":[{},[0,0,3,0,1,2]],"r":[{"e":[{},[0,0,0,0,1]]}]}],"o":[{},[4]],"r":[{},[0,0,2]],"w":[{},[0,0,4]]}],"u":[{"a":[{},[0,0,3]],"l":[{},[0,0,3]],"r":[{},[0,5]]}]},[0,2]],"o":[{},[4]],"p":[{"a":[{"r":[{},[0,0,0,0,4]],"t":[{},[0,0,5]]}],"e":[{"r":[{"o":[{},[0,0,5]]}],"a":[{"b":[{"l":[{"e":[{},[0,4,0,5]]}]}]}]}],"h":[{"e":[{"r":[{},[0,3]]}],"i":[{},[4]]}],"i":[{"l":[{"l":[{"a":[{"r":[{},[0,0,5]]},[0,4]]}]}],"n":[{},[0,0,3]],"t":[{"a":[{},[0,0,3]],"u":[{},[0,3]]}]}],"l":[{},[0,2]],"o":[{"c":[{},[0,0,0,0,5]],"l":[{"a":[{},[0,0,5]]}],"r":[{"i":[{},[0,0,0,0,5]]}],"s":[{"t":[{},[0,0,0,0,3]]}]}],"s":[{"e":[{"s":[{},[0,0,0,5]]}]}],"u":[{},[0,3]]}],"q":[{"u":[{"e":[{},[0,0,0,0,5]]}]}],"r":[{"a":[{"c":[{"t":[{},[0,0,3]]}],"d":[{"e":[{},[0,5]],"i":[{"s":[{},[0,0,5]]}]}],"l":[{},[0,0,3]],"m":[{"e":[{"t":[{"e":[{},[0,5]]}]}]}],"n":[{"g":[{},[0,0,0,0,4]]}],"p":[{},[0,0,0,3]],"t":[{"i":[{"o":[{},[0,5]],"v":[{},[0,0,5]]}]},[0,0,4]],"u":[{},[0,5]],"v":[{},[0,0,5,0,4]],"w":[{},[0,0,0,0,4]]}],"b":[{"a":[{"l":[{},[0,0,0,0,0,4]]}]}],"c":[{"h":[{"a":[{"n":[{},[0,0,4]]}],"e":[{"t":[{},[0,0,3,0,0,5]]}]}]}],"d":[{"i":[{"n":[{"e":[{},[0,0,5]]}]}],"r":[{},[0,0,4]]}],"e":[{"a":[{"s":[{},[0,0,5]]}],"e":[{},[0,3]],"n":[{"t":[{},[0,0,3]]}],"s":[{"s":[{},[0,5]]}]}],"f":[{"i":[{},[0,0,4]],"l":[{},[0,0,4]]}],"i":[{"a":[{"l":[{},[0,0,5]],"n":[{},[0,0,3]]}],"e":[{"t":[{},[0,3]]}],"m":[{},[0,0,4]],"n":[{"a":[{"t":[{},[0,0,5]]}]}],"o":[{},[0,0,3]],"z":[{},[0,0,2]]},[0,0,1]],"m":[{"i":[{},[0,0,2]]}],"o":[{"d":[{},[0,0,5,5]],"n":[{"i":[{},[0,5]]}],"o":[{},[0,3]]}],"p":[{},[0,0,2]],"q":[{},[0,0,3]],"r":[{"e":[{},[0,0,0,0,4]],"a":[{"n":[{"g":[{"e":[{},[0,0,2]]}]}]}]}],"s":[{"a":[{},[0,0,4]],"h":[{},[0,0,2]]}]},[2,2]],"s":[{".":[{},[4]],"a":[{"b":[{},[0,0,4]],"n":[{"t":[{},[0,0,3]]}]}],"h":[{"i":[{},[0,0,0,0,4]]}],"i":[{"a":[{".":[{},[0,5]]}],"b":[{},[0,3]],"c":[{},[0,3]],"t":[{},[5,5,0,4]]}],"k":[{"i":[{},[0,0,0,3]]}],"l":[{},[0,0,4]],"o":[{"c":[{},[0,4]]}],"p":[{"h":[{},[0,0,5]]}],"s":[{"h":[{},[0,0,4]]}],"t":[{"e":[{"n":[{},[0,0,3]]}],"r":[{},[0,0,1]]}],"u":[{"r":[{"a":[{},[0,0,0,0,5]]}]}],"y":[{"m":[{"p":[{"t":[{"o":[{"t":[{},[0,0,5]]}]}]}]}]}]}],"t":[{"a":[{"b":[{"l":[{},[0,0,3]]}],"c":[{},[0,0,5]],"l":[{"o":[{},[0,0,3]]}],"p":[{},[0,0,5]]},[0,2]],"e":[{"c":[{"h":[{},[0,0,5]]},[0,0,0,5]],"g":[{"o":[{},[0,0,3]]}],"n":[{".":[{},[0,0,3]]}],"r":[{"a":[{},[0,0,3]],"n":[{"a":[{},[0,5]]},[0,0,0,0,5]]}],"s":[{"t":[{},[0,0,3]]}],"v":[{},[0,0,5]]}],"h":[{"e":[{"m":[{},[0,0,0,5]],"n":[{},[0,5]],"r":[{"o":[{"s":[{},[0,0,0,3,0,1,1]]}]}]}],"o":[{"m":[{},[0,0,0,5]]},[0,0,4]]},[4]],"i":[{".":[{},[4]],"a":[{},[0,5]],"b":[{},[0,0,5,5]],"c":[{},[0,0,1]],"f":[{},[0,0,3]],"o":[{"n":[{"a":[{"r":[{},[0,0,0,0,0,5]]}]}]}],"t":[{"u":[{},[0,0,3]]}]}],"o":[{"g":[{},[0,4]],"m":[{"i":[{"z":[{},[0,0,5]]}]},[0,2]],"p":[{},[0,4]],"s":[{},[0,4]]}],"r":[{"o":[{"p":[{},[0,0,5]]}]},[0,1]],"s":[{"k":[{},[0,0,4]]}],"t":[{"a":[{"g":[{},[0,0,4]]}],"e":[{"s":[{".":[{},[0,0,6]]}]},[0,0,5]],"h":[{},[0,0,4]]}],"u":[{"a":[{},[0,0,5]],"e":[{},[0,0,5]],"l":[{},[0,0,3]],"r":[{"a":[{},[0,0,3]]}]},[0,2]],"y":[{},[0,2]]}],"u":[{"b":[{},[0,0,4]],"g":[{"h":[{"t":[{"l":[{},[0,0,0,0,4]]}]},[0,0,0,0,3]],"u":[{},[0,0,3]]}],"l":[{"i":[{"f":[{},[0,0,5,0,5]]}]},[0,0,4,2]],"n":[{"d":[{},[0,0,0,5]]}],"r":[{},[0,0,3]],"s":[{"i":[{"b":[{},[0,0,5]]}]}],"t":[{"e":[{"n":[{},[0,0,0,5]]}],"h":[{},[0,0,1]]}]}],"v":[{"a":[{"g":[{},[0,0,3]],"n":[{},[0,5]]},[0,2]],"e":[{"n":[{"o":[{},[0,0,0,4]]}],"r":[{"a":[{},[0,0,3]],"n":[{},[0,0,5]],"y":[{},[0,0,5]]}]}],"i":[{"e":[{"r":[{},[0,0,0,4]]}],"g":[{},[0,0,3]],"o":[{"u":[{},[0,0,3]]}]},[0,0,1]],"o":[{"c":[{},[0,0,5]],"r":[{},[0,1]]}]}],"w":[{"a":[{"y":[{},[3]]}],"i":[{},[0,0,3]],"l":[{"y":[{},[0,0,4]]}],"s":[{},[0,0,0,4]]}],"x":[{"i":[{"c":[{},[0,0,4]],"d":[{},[0,0,4]]}]}],"y":[{"a":[{"l":[{},[0,0,5]]}],"e":[{},[0,0,0,4]],"s":[{},[0,0,0,4]]}],"z":[{"i":[{"e":[{"r":[{},[0,0,0,4]]}]}],"z":[{"i":[{},[0,0,0,5]]}]}]}],"b":[{"a":[{".":[{},[5]],"d":[{"g":[{"e":[{"r":[{},[0,0,0,5]]}]}]}],"g":[{"e":[{},[0,0,4]]}],"l":[{"a":[{},[0,0,0,1]]}],"n":[{"d":[{"a":[{"g":[{},[0,0,0,5]]}]}],"e":[{},[0,0,0,4]],"i":[{},[0,0,0,3]]}],"r":[{"b":[{"i":[{},[0,0,0,0,0,5]]}],"i":[{"a":[{},[0,0,0,0,4]]}],"o":[{"n":[{"i":[{"e":[{},[0,0,6,1]]}]}]}]}],"s":[{"s":[{"i":[{},[0,0,0,4]]}]}],"t":[{"h":[{"y":[{},[0,0,1]]}]},[1]],"z":[{},[0,0,4]],"c":[{"k":[{"e":[{"r":[{".":[{},[0,0,0,0,2]]}]}]}]}]}],"b":[{"e":[{"r":[{},[0,3]]},[0,2]],"i":[{"n":[{"a":[{},[0,0,0,4]]}],"t":[{},[0,0,0,4]]}]},[2,1]],"d":[{},[4,1]],"e":[{".":[{},[4]],"a":[{"k":[{},[0,0,0,0,4]],"t":[{},[0,0,0,0,3]]}],"d":[{"a":[{},[0,0,3]],"e":[{},[0,0,3]],"i":[{},[0,0,3]]},[4,0,2]],"g":[{"i":[{},[0,0,3]],"u":[{},[0,0,5]]}],"l":[{"i":[{},[0,0,1]],"o":[{},[0,0,3]]},[1]],"m":[{},[4,0,5]],"n":[{"i":[{"g":[{},[0,0,5]]}],"u":[{},[0,0,5]]}],"s":[{"p":[{},[0,0,3]],"t":[{"r":[{},[0,0,5]]}]},[4,0,0,4]],"t":[{"i":[{"z":[{},[0,0,0,5]]}],"r":[{},[0,0,5]],"w":[{},[0,0,3]]},[3]],"w":[{},[0,0,3]],"y":[{"o":[{},[0,0,5]]}],"v":[{"i":[{"e":[{},[0,0,2]]}]}]}],"f":[{},[2]],"h":[{},[4,3]],"i":[{"b":[{},[0,0,2]],"d":[{"i":[{"f":[{},[0,0,5,2]]}]},[0,0,4]],"e":[{"n":[{},[0,0,5]],"r":[{},[0,0,4]]},[3]],"f":[{},[2,3]],"l":[{"i":[{"z":[{},[0,0,3]]}],"l":[{"a":[{"b":[{},[0,0,0,2]]}]}]},[1]],"n":[{"a":[{"r":[{},[0,0,0,0,5,4]]}],"d":[{},[0,0,0,4]],"e":[{"t":[{},[0,0,5]]}]}],"o":[{"g":[{"r":[{},[0,0,3]]}],"u":[{},[0,0,5]],"m":[{},[0,0,0,5]],"r":[{"b":[{},[0,0,1]],"h":[{},[0,0,0,1]]}]}],"t":[{"i":[{"o":[{},[3,0,3]],"v":[{"e":[{},[0,1,3]]}]}],"r":[{},[0,0,3]],"u":[{"a":[{},[3,0,0,5]]}],"z":[{},[0,5]]},[0,0,2]]}],"j":[{},[0,1]],"k":[{},[0,0,4]],"l":[{"a":[{"t":[{"h":[{},[0,0,0,0,0,5]]}],"n":[{"d":[{},[0,0,0,0,2,1]]}]}],"e":[{".":[{},[0,4]],"n":[{},[0,0,0,0,4]],"s":[{"p":[{},[5]]}]}],"i":[{"s":[{},[0,3]],"n":[{"d":[{},[0,0,0,0,2,1]]}]}],"o":[{"n":[{"d":[{},[0,0,0,0,2,2]]}]},[0,4]],"u":[{"n":[{"t":[{},[0,0,0,0,4]]}]}]},[0,2,2]],"m":[{},[4,1]],"n":[{"e":[{"g":[{},[0,0,0,5]]}]},[4,3]],"o":[{"d":[{"i":[{},[0,0,0,3]]},[3]],"e":[{},[0,0,4]],"l":[{"i":[{"c":[{},[0,0,0,3]]}]}],"m":[{"b":[{"i":[{},[0,0,0,4]]}]}],"n":[{"a":[{"t":[{},[0,0,0,5]]},[0,0,0,4]]}],"o":[{},[3]],"r":[{".":[{},[5]],"a":[{},[4,1]],"d":[{},[0,0,0,5]],"e":[{},[5]],"i":[{},[5]],"n":[{"o":[{},[0,0,0,1,0,5]]}]}],"s":[{},[5,0,0,4]],"t":[{"a":[{},[0,5]],"h":[{},[0,0,0,0,5]],"o":[{},[0,0,4]],"u":[{"l":[{},[0,0,2,1,1]]}]}],"u":[{"n":[{"d":[{},[0,0,0,0,0,3]]}]}]}],"p":[{},[4]],"r":[{"i":[{"t":[{},[4]]}],"o":[{"t":[{"h":[{},[0,0,0,0,0,3]]}]}],"u":[{"s":[{"q":[{},[0,0,0,0,4]]}]}]}],"s":[{"o":[{"r":[{},[0,0,0,0,4]]}]},[2,5,2]],"t":[{"l":[{},[0,0,4]],"o":[{},[0,4]],"r":[{},[0,3]]},[2]],"u":[{"f":[{"f":[{"e":[{"r":[{},[0,0,0,4]]}]}]}],"g":[{"a":[{},[0,0,4]]}],"l":[{"i":[{},[0,0,3]]}],"m":[{"i":[{},[0,0,0,0,4]]}],"n":[{"t":[{"i":[{},[0,0,0,0,4]]}]},[0,0,4]],"r":[{"e":[{},[0,0,3]]}],"s":[{"i":[{"e":[{"r":[{},[0,0,0,6,2]],"s":[{},[0,0,0,6,2]]},[0,0,0,5]]}],"s":[{"e":[{},[0,0,0,0,4]],"i":[{"n":[{"g":[{},[0,0,0,0,4]]}]}]}],"t":[{},[5]]}],"t":[{"a":[{},[4]],"i":[{"o":[{},[3]]}],"o":[{},[0,5]],"e":[{"d":[{".":[{},[0,0,0,2]]}]}],"t":[{"e":[{"d":[{},[0,0,0,4]]}]}]}]}],"v":[{},[0,1]],"w":[{},[4,5]],"y":[{".":[{},[5]],"s":[{},[0,0,0,4]]}]}],"c":[{"a":[{"b":[{"i":[{"n":[{},[0,0,0,3]]}],"l":[{},[0,0,1]]}],"c":[{"h":[{},[0,0,0,0,4]]}],"d":[{"e":[{"n":[{},[0,0,5]],"m":[{},[0,0,0,5,1]]}]}],"g":[{},[4,0,0,4]],"h":[{},[2,5]],"l":[{"a":[{"t":[{},[0,0,3]]}],"l":[{"a":[{},[0,0,0,4]],"i":[{"n":[{},[0,0,0,0,5]]}]}],"o":[{},[4]]}],"n":[{"d":[{},[0,0,0,5]],"e":[{},[0,0,0,4]],"i":[{"c":[{},[0,0,0,4]],"s":[{},[0,0,0,5]],"z":[{},[0,0,0,3]]}],"t":[{"y":[{},[0,0,0,4]]}],"y":[{},[0,0,0,0,4]]}],"p":[{"e":[{"r":[{},[0,0,5]]}]}],"r":[{"o":[{"m":[{},[0,0,0,5]]}]}],"s":[{"t":[{"e":[{"r":[{},[0,0,0,0,5]]}],"i":[{"g":[{},[0,0,0,5]]}]}],"y":[{},[4]]}],"t":[{"h":[{},[0,0,4]],"i":[{"v":[{},[4]]}],"a":[{"s":[{},[0,0,0,1,1,2]]}]}],"v":[{"a":[{"l":[{},[0,0,0,5]]}]}]},[1]],"c":[{"h":[{"a":[{},[0,0,0,0,5]]}],"i":[{"a":[{},[0,0,0,4]]}],"o":[{"m":[{"p":[{"a":[{},[0,0,0,0,0,0,5]]}]}],"n":[{},[0,0,0,0,4]],"u":[{"t":[{},[0,0,0,0,3]]}]}]},[0,3]],"e":[{".":[{},[2]],"d":[{".":[{},[4]],"e":[{"n":[{},[4]]}]}],"i":[{},[3]],"l":[{".":[{},[5]],"l":[{},[3]]}],"n":[{"c":[{},[3]],"e":[{},[2,0,0,4]],"i":[{},[4]],"t":[{},[3]]},[1]],"p":[{},[3]],"r":[{"a":[{"m":[{},[0,0,5]]}]}],"s":[{"a":[{},[4]],"s":[{"i":[{"b":[{},[0,0,0,5,0,5]]},[3]]}],"t":[{},[0,0,0,5]]}],"t":[{"a":[{},[0,5,4]]},[0,0,0,4]],"w":[{},[0,0,0,4]]}],"h":[{".":[{},[4]],"a":[{"b":[{},[4,0,3]],"n":[{"i":[{"c":[{},[5]],"s":[{},[0,0,5,5]]}]}]}],"e":[{"a":[{"p":[{},[0,0,0,0,0,3]]}],"d":[{},[4]],"l":[{"o":[{},[0,0,0,5]]}],"m":[{"i":[{},[3]]}],"n":[{"e":[{},[0,0,5]]}],"r":[{".":[{},[0,0,3]],"s":[{},[0,0,3]]}]},[0,0,0,2]],"i":[{"n":[{"e":[{".":[{},[5]],"s":[{"s":[{},[0,0,5]]}]}],"i":[{},[5]]},[4,0,1]],"o":[{},[5]],"t":[{},[3]],"z":[{},[0,0,0,2]],"e":[{"v":[{"o":[{},[0,0,0,0,5]]}]}]}],"o":[{},[3,0,0,2]],"t":[{"i":[{},[0,0,4]]}],"s":[{".":[{},[4]],"h":[{"u":[{},[0,0,0,3]]}]}]},[2]],"i":[{"a":[{"b":[{},[0,0,2,5]],"r":[{},[0,0,0,5]]},[3]],"c":[{},[0,0,5]],"e":[{"r":[{},[4]]}],"f":[{"i":[{"c":[{".":[{},[5]]}]}]}],"i":[{},[4]],"l":[{"a":[{},[0,0,4]],"i":[{},[3]]}],"m":[{},[2]],"n":[{"a":[{"t":[{},[3]]},[0,4]],"e":[{"m":[{},[0,0,0,3]]}],"g":[{".":[{},[0,5]]},[0,1]],"o":[{},[5]],"q":[{},[0,0,0,2]]},[2]],"o":[{"n":[{},[0,0,0,0,4]]}],"p":[{"e":[{},[4]],"h":[{},[0,0,3]],"i":[{"c":[{},[4]]}]}],"s":[{"t":[{"a":[{},[4]],"i":[{},[4]]}]}],"t":[{"i":[{"z":[{},[0,0,0,3]]}]},[2,1]],"z":[{},[5]],"g":[{"a":[{"r":[{},[0,0,0,3,3]]}]}]},[1]],"k":[{"i":[{},[0,0,3]]},[0,0,1]],"l":[{"a":[{"r":[{"a":[{"t":[{"i":[{"o":[{},[0,5]]}]}]}],"e":[{},[5]]},[4]]}],"e":[{"m":[{},[0,0,0,4]],"a":[{"r":[{},[0,0,0,4]]}]}],"i":[{"c":[{},[4]],"m":[{},[0,0,0,0,4]]}],"y":[{},[0,0,0,4]]},[1,4,4]],"n":[{},[0,5]],"o":[{"a":[{"g":[{},[0,0,5]]}],"e":[{},[0,0,0,2]],"g":[{"r":[{},[0,0,4]]},[2]],"i":[{"n":[{"c":[{},[0,0,3]]}]},[0,0,0,4]],"l":[{"i":[{},[0,0,0,5]],"o":[{"r":[{},[0,0,0,3]]},[5]]}],"m":[{"e":[{"r":[{},[0,0,0,5]]}]}],"n":[{"a":[{},[0,0,0,4]],"e":[{},[0,4]],"g":[{},[0,0,0,3]],"t":[{},[0,0,0,5]]}],"p":[{"a":[{},[0,0,3]],"i":[{"c":[{},[0,0,0,3]]}],"l":[{},[0,0,4]],"h":[{"o":[{"n":[{},[0,0,6,0,1,3]]}]}]}],"r":[{"b":[{},[4]],"o":[{"n":[{},[0,0,0,0,3]]}]}],"s":[{"e":[{},[0,0,0,4]]}],"v":[{"e":[{},[0,0,0,0,4]]},[0,0,0,1]],"w":[{"a":[{},[0,0,0,5]]}],"z":[{"e":[{},[0,0,0,5]],"i":[{},[0,0,5]]}],"u":[{"s":[{"t":[{"i":[{},[0,0,0,0,2]]}]}]}]},[1]],"q":[{},[0,1]],"r":[{"a":[{"s":[{"t":[{},[0,0,0,0,5]]}],"t":[{".":[{},[5]],"i":[{"c":[{},[5]]}]}]}],"e":[{"a":[{"t":[{},[0,0,0,3]]}],"d":[{},[5]],"t":[{"a":[{},[4,3]]}],"v":[{},[0,0,0,4]]}],"i":[{"f":[{},[0,0,0,5]],"n":[{},[0,4]],"s":[{},[0,0,0,0,4]],"t":[{"i":[{"e":[{},[0,0,0,3]]},[5]]}]},[0,0,0,2]],"o":[{"p":[{"l":[{},[0,0,0,4]],"o":[{},[0,0,0,0,5]]}],"s":[{"e":[{},[0,0,0,0,4]]}],"c":[{"o":[{"d":[{},[0,0,0,0,1,1]]}]}],"e":[{"c":[{"o":[{},[0,0,0,5,2]]}]}]}],"u":[{"d":[{},[0,0,0,4]]}]}],"s":[{},[4,3,2]],"t":[{"a":[{"b":[{},[0,0,0,4]],"n":[{"g":[{},[0,0,5]],"t":[{},[0,5]]}]}],"e":[{"r":[{},[0,3]]},[0,2]],"i":[{"c":[{"u":[{},[0,4]]}],"m":[{"i":[{},[0,0,0,0,3]]}]}],"u":[{"r":[{},[0,0,0,4]]}],"w":[{},[0,4]],"r":[{"o":[{"m":[{"e":[{"c":[{},[0,2,0,0,3,0,6]]}]}]}]}]},[2,1]],"u":[{"d":[{},[0,0,0,5]],"f":[{},[0,4]],"i":[{"t":[{"y":[{},[0,0,5]]}]},[0,4]],"l":[{"i":[{},[5]],"t":[{"i":[{"s":[{},[0,0,0,4]]}],"u":[{},[3]]}]}],"m":[{"a":[{},[0,0,2]],"e":[{},[0,3]],"i":[{},[0,0,4]]}],"n":[{},[3]],"p":[{"i":[{},[0,0,3]],"y":[{},[0,0,5]]}],"r":[{"a":[{"b":[{},[0,0,0,5,4]],"n":[{"c":[{"e":[{},[1,0,2,1]]}]}]}],"i":[{"a":[{},[0,0,5]]}]}],"s":[{"s":[{"i":[{},[0,0,0,0,4]]}]},[1]],"t":[{"i":[{"e":[{},[0,0,4]],"v":[{},[4,5]]}],"r":[{},[4]]},[3,4]]}],"y":[{},[1]],"z":[{"e":[{},[0,0,0,4]]}]}],"d":[{"a":[{".":[{},[5]],"b":[{},[2,3,4]],"c":[{"h":[{},[0,0,0,0,4]]}],"f":[{},[4]],"g":[{},[2]],"m":[{},[0,0,2,2]],"n":[{"g":[{},[0,0,0,3]]}],"r":[{"d":[{},[0,0,0,0,5]],"k":[{},[0,0,0,0,5]],"y":[{},[4]]}],"t":[{"i":[{"v":[{},[4]]}],"o":[{},[4]],"a":[{"b":[{},[0,0,0,0,1]]}]},[3]],"v":[{"e":[{},[0,0,0,5]]},[5,0,0,4]],"y":[{},[5]],"l":[{"o":[{"n":[{"e":[{},[2,3]]}]}]}]},[1,2]],"b":[{},[0,1]],"c":[{},[0,5]],"d":[{"a":[{"b":[{},[0,0,5,5]]}],"i":[{"b":[{},[0,2,5]]}]},[0,1,4]],"e":[{".":[{},[2]],"a":[{"f":[{},[0,0,0,0,5]],"l":[{"s":[{".":[{},[0,0,4]]}]}]}],"b":[{"i":[{"t":[{},[0,0,0,5]]}],"o":[{"n":[{},[0,0,4]]}]}],"c":[{"a":[{"n":[{},[0,0,0,0,0,4]]}],"i":[{"l":[{},[0,0,4]]}],"o":[{"m":[{},[0,0,5]]}],"l":[{"a":[{"r":[{},[0,0,5,0,0,0,1]]}],"i":[{"n":[{"a":[{},[0,0,2,5]]}]}]}]}],"d":[{},[2,1]],"e":[{".":[{},[4]]}],"i":[{"f":[{},[0,0,5]]}],"l":[{"i":[{"e":[{},[0,0,0,0,4]],"q":[{},[0,0,0,5,5]]}],"o":[{},[0,0,5]]}],"m":[{".":[{},[5]],"i":[{"c":[{".":[{},[0,0,0,5]]},[3]],"l":[{},[0,0,5]]}],"o":[{"n":[{"s":[{},[0,0,4]]}],"r":[{},[0,0,0,0,0,5]],"s":[{},[0,0,2]]}]},[0,4]],"n":[{"a":[{"r":[{},[0,0,4]]}],"o":[{},[0,0,3]],"t":[{"i":[{"f":[{},[0,0,0,0,0,5]]}]}],"u":[{},[0,0,3]]},[1]],"p":[{"a":[{},[0,0,3]],"i":[{},[0,0,0,0,4]],"u":[{},[0,0,2]]},[0,0,1]],"q":[{},[0,3]],"r":[{"h":[{},[0,4]],"m":[{},[5]],"n":[{"i":[{"z":[{},[0,0,0,0,5]]}]}],"s":[{},[0,0,0,5]]}],"s":[{".":[{},[0,2]],"c":[{},[0,0,1]],"o":[{},[0,0,2,5]],"t":[{"i":[{},[0,0,0,3]],"r":[{},[0,0,3]]}],"u":[{},[0,0,4]],"i":[{"c":[{},[0,0,0,3]]}]},[0,0,0,2]],"t":[{"o":[{},[0,0,2]],"i":[{"c":[{},[0,0,2]]}]},[0,0,1]],"v":[{"i":[{"l":[{},[0,0,0,3]]}]},[0,0,1]],"y":[{},[4]],"f":[{"i":[{"n":[{"i":[{"t":[{"i":[{},[0,0,3,0,0,3]]}]}]}]}]}]}],"f":[{},[4,1]],"g":[{"a":[{},[0,4]],"e":[{"t":[{},[0,3,0,4]]}],"i":[{},[0,0,1]],"y":[{},[0,2]]}],"h":[{},[0,1,2]],"i":[{".":[{},[5]],"a":[{"b":[{},[0,0,0,5]]},[1,4,3]],"c":[{"a":[{"m":[{},[0,0,4]],"i":[{"d":[{},[0,0,0,1]]}]}],"e":[{},[0,4]],"t":[{},[3]]}],"d":[{},[3]],"e":[{"n":[{},[5,0,3]]}],"f":[{"f":[{"r":[{"a":[{},[0,0,0,5]]}]}]},[0,1]],"g":[{"e":[{},[0,0,3]]}],"l":[{"a":[{"t":[{"o":[{},[0,0,4]]}]}]}],"n":[{"a":[{},[1]],"e":[{".":[{},[3]]}],"i":[{"z":[{},[0,0,5]]},[5]]},[0,1]],"o":[{"g":[{},[0,0,0,5]]},[1]],"p":[{"l":[{},[0,0,4]]}],"r":[{"e":[{"n":[{},[0,0,2]],"r":[{},[0,0,2]]},[0,0,1]],"t":[{"i":[{},[0,0,0,0,5]]}]},[0,0,0,2]],"s":[{"i":[{},[5]],"t":[{},[0,4,0,3]]},[0,0,0,1]],"t":[{"i":[{},[0,2]]}],"v":[{},[1,0,1]],"m":[{"e":[{"t":[{"h":[{"y":[{},[3,0,1]]}]}]}]}]}],"j":[{},[0,1]],"k":[{},[0,5,2]],"l":[{"a":[{},[4,5]],"e":[{".":[{},[3]],"d":[{},[3]],"s":[{".":[{},[3]],"s":[{},[4]]}],"a":[{"d":[{},[2,1]]}]}],"o":[{},[2,3]],"u":[{},[4,5]],"y":[{},[2]],"i":[{"e":[{},[2,1,0,2]]}]}],"m":[{},[0,1]],"n":[{},[4,1,4]],"o":[{".":[{},[3]],"d":[{"e":[{},[0,0,5]]}],"e":[{},[5]],"f":[{},[2,5]],"g":[{},[0,4]],"l":[{"a":[{},[0,0,4]],"i":[{},[0,0,0,0,4]],"o":[{"r":[{},[0,0,5]]}]}],"m":[{"i":[{"z":[{},[0,0,0,5]]}]}],"n":[{"a":[{"t":[{},[0,0,3]]}],"i":[{},[0,0,0,0,4]]}],"o":[{"d":[{},[0,0,0,3]]}],"p":[{"p":[{},[0,0,0,4]]}],"r":[{},[0,4]],"s":[{},[3]],"u":[{"t":[{},[4,5]]}],"v":[{},[0,0,4]],"x":[{},[3]],"w":[{"o":[{"r":[{"d":[{},[3,0,5]]}]}]}]},[1]],"p":[{},[0,1]],"r":[{"a":[{"g":[{"o":[{"n":[{},[0,0,0,0,5]]}]}],"i":[{},[4]]}],"e":[{"a":[{"r":[{},[0,0,0,0,5]]}],"n":[{"a":[{"l":[{},[0,0,0,0,1,5]]}]},[5]]},[0,0,0,4]],"i":[{"b":[{},[0,0,0,4]],"l":[{},[0,0,0,0,4]],"f":[{"t":[{"a":[{},[0,0,0,0,2,1]]}]}],"p":[{"l":[{"e":[{"g":[{},[0,1,0,3,0,0,0,5]]}]}]}]}],"o":[{"p":[{},[0,0,0,4]],"w":[{},[4]],"m":[{"e":[{"d":[{},[0,0,0,0,3,5]]}]}]}],"u":[{"p":[{"l":[{"i":[{},[5]]}]}]}],"y":[{},[4]]},[1]],"s":[{"p":[{},[0,0,4]],"w":[{},[0,4]],"y":[{},[0,4]]},[2,1,2]],"t":[{"h":[{},[0,2]],"a":[{"b":[{},[0,3]]}]}],"u":[{"a":[{"l":[{".":[{},[0,0,2]]}]},[0,1,1]],"c":[{"a":[{},[0,1]],"e":[{"r":[{},[0,0,0,5]]}],"t":[{".":[{},[4]],"s":[{},[4]]}]},[0,0,2]],"e":[{"l":[{},[0,0,5]]}],"g":[{},[0,0,4]],"l":[{"e":[{},[0,3]]}],"m":[{"b":[{"e":[{},[0,0,0,4]]}]}],"n":[{},[0,0,4]],"p":[{"e":[{},[0,0,4]]},[4]],"o":[{"p":[{"o":[{"l":[{},[0,0,1,0,1,1]]}]}]}]},[1]],"v":[{},[0,1]],"w":[{},[0,1]],"y":[{"n":[{},[5]],"s":[{"e":[{},[0,0,4]],"p":[{},[0,0,0,5]]}]},[0,2]]}],"e":[{"a":[{"b":[{},[0,1,4]],"c":[{"t":[{},[0,3]]}],"d":[{"i":[{"e":[{},[0,0,0,5]]}]},[0,0,0,1]],"g":[{"e":[{"r":[{},[0,0,5]]},[0,0,4]]}],"l":[{"e":[{"r":[{},[0,0,0,5]]}],"o":[{"u":[{},[0,0,0,3]]}]},[0,0,4]],"m":[{"e":[{"r":[{},[0,0,0,3]]}]}],"n":[{"d":[{},[0,5]],"i":[{"e":[{"s":[{},[0,0,4,3]]}]}]}],"r":[{"a":[{},[0,0,0,3]],"c":[{},[0,0,0,4]],"e":[{"s":[{},[0,0,0,5]]}],"i":[{"c":[{},[0,0,0,4]],"l":[{},[0,0,0,4]]}],"k":[{},[0,0,0,5]],"t":[{"e":[{},[0,0,0,0,3]]},[0,0,0,2]]}],"s":[{"p":[{},[0,0,5]],"s":[{},[0,3]],"t":[{},[0,0,0,0,3]]}],"t":[{"e":[{"n":[{},[0,0,0,5]]}],"h":[{"i":[{},[0,0,0,0,3]]}],"i":[{"f":[{},[0,5]]}],"u":[{},[0,4,3]]},[0,0,2]],"v":[{"e":[{"n":[{},[0,0,0,3]]}],"i":[{},[0,0,0,5]],"o":[{},[0,0,0,5]]},[0,0,2]]}],"b":[{"e":[{"l":[{".":[{},[0,4]],"s":[{},[0,4]]}],"n":[{},[0,4]]}],"i":[{"t":[{},[0,4]]}],"r":[{},[0,3]]},[2,1]],"c":[{"a":[{"d":[{},[0,4]],"n":[{"c":[{},[0,0,0,0,5]]}]}],"c":[{"a":[{},[0,0,0,0,5]]}],"e":[{"s":[{"s":[{"a":[{},[0,0,5]]}]}]},[0,1]],"i":[{"b":[{},[0,4]],"f":[{"i":[{"c":[{"a":[{"t":[{},[0,0,5]]}]}],"e":[{},[0,0,5]]}],"y":[{},[0,0,5]]}],"m":[{},[0,0,3]],"t":[{"e":[{},[0,5]]},[0,0,0,4]]},[0,0,2]],"l":[{"a":[{"m":[{},[0,4]]}],"u":[{"s":[{},[0,4]]}]}],"o":[{"l":[{},[0,2]],"m":[{"m":[{},[0,4]],"p":[{"e":[{},[0,4]]}]}],"n":[{"c":[{},[0,4]]}],"r":[{"a":[{},[0,0,3]],"o":[{},[0,0,0,5]]},[0,2]]}],"r":[{"e":[{"m":[{},[0,4]]}]},[0,1]],"t":[{"a":[{"n":[{},[0,0,4]]}],"e":[{},[0,0,4]]}],"u":[{"l":[{"a":[{},[0,0,3]]},[0,4]]},[0,1]],"h":[{"a":[{"s":[{},[0,3]]}]}]}],"d":[{"a":[{},[2,2]],"d":[{},[4,0,3]],"e":[{"r":[{},[0,4,1]],"s":[{},[0,0,0,4]]}],"i":[{"a":[{},[0,3]],"b":[{},[0,0,3]],"c":[{"a":[{},[0,0,3]]}],"m":[{},[0,0,3]],"t":[{},[0,0,1]],"z":[{},[0,0,0,5]]},[4]],"o":[{"l":[{},[0,4]],"n":[{},[0,0,0,0,2]]},[4]],"r":[{"i":[{},[0,4]]}],"u":[{"l":[{"o":[{},[0,0,5]],"i":[{"n":[{"g":[{},[0,0,1]]}]}]},[0,4]]}],"g":[{"l":[{},[0,0,0,1]]}]}],"e":[{"c":[{},[0,0,2]],"d":[{"i":[{},[0,0,0,3]]}],"f":[{},[0,0,2]],"l":[{"i":[{},[0,0,0,3]],"y":[{},[0,0,4]]}],"m":[{},[0,0,2]],"n":[{"a":[{},[0,0,4]]}],"p":[{},[0,0,4,1]],"s":[{"t":[{},[0,0,0,0,4]]},[0,0,2,4]],"t":[{"y":[{},[0,0,4]]}],"x":[{},[0,5]]}],"f":[{"e":[{"r":[{"e":[{},[0,4,3]]}]}],"f":[{},[1]],"i":[{"c":[{"i":[{},[5]]},[0,4]],"l":[{},[0,0,0,0,4]],"n":[{"e":[{},[0,3]],"i":[{"t":[{"e":[{},[0,0,5,5]]}]}]}],"t":[{},[3]]}],"o":[{"r":[{"e":[{"s":[{},[0,0,0,0,5]]}]}]}],"u":[{"s":[{"e":[{".":[{},[0,4]]}]}]}]},[0,1]],"g":[{"a":[{"l":[{},[4]]}],"e":[{"r":[{},[0,0,0,0,4]]}],"i":[{"b":[{},[0,0,5]],"c":[{},[0,0,4]],"n":[{"g":[{},[0,0,5]]}],"t":[{},[0,5,0,0,5]]}],"n":[{},[0,0,5]],"o":[{".":[{},[0,4]],"s":[{},[0,4]]}],"u":[{"l":[{},[0,0,1]],"r":[{},[0,5]]}],"y":[{},[5]]}],"h":[{"e":[{"r":[{},[0,0,0,0,4]]}]},[0,1,4]],"i":[{"c":[{},[0,5]],"d":[{},[0,0,5]],"g":[{"l":[{},[0,0,5]]},[0,0,0,2]],"m":[{"b":[{},[0,3]]}],"n":[{"f":[{},[0,3]],"g":[{},[0,1]],"s":[{"t":[{},[0,5]]}]}],"r":[{"d":[{},[0,0,0,4]]}],"t":[{"e":[{},[0,0,0,3]],"h":[{},[0,0,3]],"y":[{},[0,5]]}]},[0,0,2]],"j":[{"u":[{"d":[{"i":[{},[0,0,5]]},[0,4]]}]},[0,1]],"k":[{"i":[{"n":[{},[0,0,0,4]]}],"l":[{"a":[{},[0,0,4]]}]}],"l":[{"a":[{".":[{},[0,4]],"c":[{},[0,4]],"n":[{"d":[{},[0,0,0,0,4]]}],"t":[{"i":[{"v":[{},[0,0,5]]}]}],"w":[{},[0,4]],"x":[{"a":[{},[0,0,0,0,0,4]]}]},[0,1]],"e":[{"a":[{},[0,3]],"b":[{"r":[{"a":[{},[0,0,5]]}]}],"c":[{},[5]],"d":[{},[0,4]],"g":[{"a":[{},[0,0,3]]}],"n":[{},[0,5]],"r":[{},[0,4,1]],"s":[{},[0,1]]}],"f":[{},[0,0,2]],"i":[{"b":[{"e":[{},[0,3]]}],"c":[{".":[{},[0,4,5]],"a":[{},[0,0,3]]}],"e":[{"r":[{},[0,3]]}],"g":[{"i":[{"b":[{},[0,0,5]]}]}],"m":[{},[0,5]],"n":[{"g":[{},[0,4,3]]}],"o":[{},[0,3]],"s":[{"h":[{},[0,0,5]]},[0,2]],"v":[{},[0,3,0,0,3]],"t":[{"i":[{"s":[{},[0,0,0,2,1]]}]}]},[0,0,2]],"l":[{"a":[{"b":[{},[0,0,4]]},[4]],"o":[{},[0,0,0,0,4]]}],"o":[{"c":[{},[0,5]],"g":[{},[0,0,5]],"p":[{".":[{},[0,0,3]]}],"a":[{},[0,1]]}],"s":[{"h":[{},[0,0,2]]}],"t":[{"a":[{},[0,0,4]]}],"u":[{"d":[{},[0,5]],"g":[{},[0,0,5]]}]}],"m":[{"a":[{"c":[{},[0,4]],"g":[{},[0,4]],"n":[{"a":[{},[0,0,5]]},[0,5]]}],"b":[{},[0,0,5]],"e":[{"l":[{},[0,2]],"t":[{},[0,4]]},[0,1]],"i":[{"c":[{"a":[{},[0,0,3]]}],"e":[{},[0,0,0,4]],"g":[{"r":[{"a":[{},[0,0,5]]}]}],"n":[{"e":[{},[0,0,5]],"i":[{},[0,0,3,3]]},[0,0,1,0,2]],"s":[{"h":[{},[0,0,5]],"s":[{},[0,5]]},[0,4]],"z":[{},[0,0,3]]}],"n":[{"i":[{"z":[{},[5]]}]}],"o":[{"g":[{},[0,0,0,4]],"n":[{"i":[{"o":[{},[0,0,0,0,0,5]]}]}]}],"p":[{"i":[{},[0,0,3]]}],"u":[{"l":[{"a":[{},[0,0,5]]},[0,4]],"n":[{},[0,0,0,3]]}],"y":[{},[0,3]]}],"n":[{"a":[{"m":[{"o":[{},[0,0,5]]}],"n":[{"t":[{},[0,4]]}]}],"c":[{"h":[{"e":[{"r":[{},[0,0,0,0,4]]}]}]}],"d":[{"i":[{"c":[{},[0,0,3]],"x":[{},[0,0,1]]}]}],"e":[{"a":[{},[0,5]],"e":[{},[0,5]],"m":[{},[0,0,3]],"r":[{"o":[{},[0,0,5]]}],"s":[{"i":[{},[0,0,5]],"t":[{},[0,0,5]]}],"t":[{"r":[{},[0,0,3]]}],"w":[{},[0,3]]}],"i":[{"c":[{"s":[{},[0,0,5]]}],"e":[{},[0,5]],"l":[{},[0,5]],"o":[{},[0,3]],"s":[{"h":[{},[0,0,3]]}],"t":[{},[0,0,3]],"u":[{},[0,5]],"z":[{},[5]]}],"n":[{},[4]],"o":[{"g":[{},[0,0,0,4]],"s":[{},[0,4]],"v":[{},[0,0,3]]},[4]],"s":[{"w":[{},[0,0,4]]}],"t":[{"a":[{"g":[{"e":[{},[0,0,0,5]]}]}],"h":[{"e":[{"s":[{},[4]]}]}]}],"u":[{"a":[{},[0,0,3]],"f":[{},[0,0,5]]}],"y":[{".":[{},[0,3]]}],"z":[{},[4,0,3]]}],"o":[{"f":[{},[0,5]],"g":[{"r":[{"a":[{"p":[{},[0,0,3]]}]}]},[0,0,2]],"i":[{},[0,4,0,4]],"l":[{},[0,3]],"p":[{"a":[{"r":[{},[0,0,0,3]]}]}],"r":[{"e":[{},[0,0,3]],"o":[{"l":[{},[0,0,5]]}]},[0,1]],"s":[{},[0,0,0,4]],"t":[{"o":[{},[0,0,4]]},[0,4]],"u":[{"t":[{},[0,5]]}],"w":[{},[0,5]]}],"p":[{"a":[{"i":[{},[0,3]],"n":[{"c":[{},[0,0,5]]}]},[0,2]],"e":[{"l":[{},[0,5]],"n":[{"t":[{},[0,3]]}],"t":[{"i":[{"t":[{"i":[{"o":[{},[0,0,5]]}]}]}]}]}],"h":[{"e":[{},[0,0,0,0,4]]}],"l":[{"i":[{},[0,4]]}],"o":[{},[0,1]],"r":[{"e":[{"c":[{"a":[{},[0,0,5]]},[0,4]],"d":[{},[0,4]],"h":[{},[0,0,3]]}],"o":[{"b":[{},[0,4]]},[0,3]]}],"s":[{"h":[{},[0,0,4]]}],"t":[{"i":[{"b":[{},[0,0,5,0,5]]}]}],"u":[{"t":[{"a":[{},[0,0,5]]},[0,4]]}],"i":[{"n":[{"e":[{"p":[{"h":[{},[1,6,3,3,0,0,0,1]]}]}]}]}]}],"q":[{"u":[{"i":[{"l":[{},[0,0,0,0,3]],"s":[{},[0,4,3,0,3]]}]}]},[0,1]],"r":[{"a":[{"b":[{},[0,0,0,4]],"n":[{"d":[{},[4]]}],"r":[{},[0,0,3]],"t":[{"i":[{".":[{},[4]]}]}]},[0,0,1]],"b":[{"l":[{},[0,0,4]]},[2]],"c":[{"h":[{"e":[{},[0,0,4]]},[0,0,3]]}],"e":[{".":[{},[2]],"a":[{"l":[{},[0,3]]}],"c":[{"o":[{},[0,0,0,5]]}],"i":[{"n":[{},[0,0,0,3]]}],"l":[{".":[{},[0,0,5]]}],"m":[{"o":[{},[0,0,3]]}],"n":[{"a":[{},[0,0,5]],"c":[{"e":[{},[0,0,5]]}],"e":[{},[4]],"t":[{},[0,0,3]]}],"q":[{},[0,0,0,4]],"s":[{"s":[{},[0,0,5]],"t":[{},[0,0,3]]}],"t":[{},[0,0,0,0,4]]}],"h":[{},[0,0,1]],"i":[{"a":[{"n":[{".":[{},[0,2,3,4]]}]},[0,1,0,0,4]],"c":[{"k":[{},[5]]}],"e":[{"n":[{},[0,3]],"r":[{},[0,0,0,4]]}],"n":[{"e":[{},[0,0,3]]}],"o":[{},[0,1]],"t":[{},[4]],"u":[{},[0,0,4]],"v":[{"a":[{},[0,4]]},[0,0,0,4]]},[0,0,1]],"m":[{},[0,0,3,4]],"n":[{"i":[{"s":[{},[0,0,4]],"t":[{},[4]],"z":[{},[5]]}],"o":[{},[0,0,3]]}],"o":[{"b":[{},[0,0,5]],"c":[{},[0,5]],"r":[{},[0,0,0,4]],"u":[{},[0,0,1]]},[2]],"s":[{"e":[{"t":[{},[0,0,3]]}]},[0,0,1]],"t":[{"e":[{"r":[{},[0,0,0,3]]}],"l":[{},[4]],"w":[{},[0,0,3]]}],"u":[{"t":[{},[0,0,0,4]]},[4]],"w":[{"a":[{"u":[{},[5]]}]}]}],"s":[{"a":[{"g":[{"e":[{".":[{},[0,4]],"s":[{},[0,4]]}]}]},[0,1,4]],"c":[{"a":[{"n":[{},[0,0,5]]},[0,2]],"r":[{},[0,3]],"u":[{},[0,0,5]]},[0,0,2]],"e":[{"c":[{"r":[{},[0,0,5]]},[0,2]],"n":[{"c":[{},[0,0,5]]}],"r":[{"t":[{".":[{},[0,4]],"s":[{},[0,4]]}],"v":[{"a":[{},[0,4]]}]}]},[0,1,2]],"h":[{"a":[{},[0,3]],"e":[{"n":[{},[0,0,0,5]]}]},[4]],"i":[{"c":[{},[0,2]],"d":[{"e":[{"n":[{},[0,0,5]]}]},[0,2]],"g":[{"n":[{"a":[{},[0,0,5]]}]}],"m":[{},[0,2,5]],"n":[{},[0,0,4,4]],"s":[{"t":[{"e":[{},[0,0,0,0,4]]}]}],"u":[{},[0,0,0,4]]},[0,1]],"k":[{"i":[{"n":[{},[0,5]]}]}],"m":[{"i":[{},[0,0,4]]}],"o":[{"l":[{"u":[{},[0,0,3]]},[0,2]],"n":[{"a":[{},[0,0,5]]},[0,2]]}],"p":[{"e":[{"r":[{},[0,0,3]]}],"i":[{"r":[{"a":[{},[0,0,5]]}]}],"r":[{"e":[{},[0,0,4]]}],"a":[{"c":[{"i":[{},[0,3,0,0,0,6]]}]}]},[0,1]],"s":[{"i":[{"b":[{},[0,0,4,0,4]]}]},[2]],"t":[{"a":[{"n":[{},[0,0,0,0,0,4]]}],"i":[{"g":[{},[0,0,3]],"m":[{},[0,0,5]]}],"o":[{"n":[{},[0,3]]},[4,0,2]],"r":[{"o":[{},[0,5]],"u":[{"c":[{},[0,0,0,0,0,0,5]]}]},[2]]}],"u":[{"r":[{"r":[{},[0,0,5]]},[0,2]]}],"w":[{},[0,0,4]]}],"t":[{"a":[{"b":[{},[0,0,0,4]]}],"e":[{"n":[{"d":[{},[0,0,0,0,4]]}],"o":[{},[0,3]]}],"h":[{"o":[{"d":[{},[0,0,0,0,0,3]]}],"y":[{"l":[{"e":[{"n":[{"e":[{},[0,0,0,1,6,1]]}]}]}]}]}],"i":[{"c":[{},[0,0,1]],"d":[{"e":[{},[0,5]]}],"n":[{"o":[{},[0,0,0,4]]},[0,0,0,0,4]],"r":[{},[0,5]],"t":[{"i":[{"o":[{},[0,5]],"v":[{},[0,0,5]]}]}]}],"n":[{},[4]],"o":[{"n":[{"a":[{},[0,0,5]]}]}],"r":[{"a":[{},[0,3]],"e":[{},[0,3]],"i":[{"c":[{},[0,0,3]],"f":[{},[0,0,5]]}],"o":[{"g":[{},[0,0,3]],"s":[{},[0,0,5]]}]}],"u":[{"a":[{},[0,0,3]]}],"y":[{"m":[{},[0,0,5]]}],"z":[{},[0,0,5]]}],"u":[{"n":[{},[0,5]],"p":[{},[0,3]],"r":[{"o":[{},[0,0,3]]}],"s":[{},[0,0,0,4]],"t":[{"e":[{},[0,0,0,0,4]],"i":[{"l":[{},[0,0,0,0,5]]}],"r":[{},[0,0,5]]}],"c":[{"l":[{"i":[{"d":[{},[5,0,2,0,0,0,1]]}]}]}]},[4]],"v":[{"a":[{"p":[{},[0,0,0,2,5]],"s":[{"t":[{},[0,0,5]]},[0,2]]}],"e":[{"a":[{},[0,5]],"l":[{"l":[{},[0,0,3]],"o":[{},[0,0,0,0,3]]}],"n":[{"g":[{},[0,5]],"i":[{},[0,0,0,0,4]]}],"r":[{"b":[{},[0,5]]},[0,0,1]]}],"i":[{"d":[{},[0,0,3]],"l":[{},[0,0,0,4]],"n":[{},[0,4]],"v":[{},[0,0,0,4]]},[0,1]],"o":[{"c":[{},[0,5]]}],"u":[{},[0,5]]}],"w":[{"a":[{"g":[{},[0,4]]},[0,1]],"e":[{"e":[{},[0,5]]}],"h":[{},[0,3]],"i":[{"l":[{},[0,0,0,0,5]],"n":[{"g":[{},[0,0,3]]}],"t":[{},[0,3]]}]}],"x":[{"p":[{},[1]]}],"y":[{"c":[{},[5]],"e":[{".":[{},[5]]}],"s":[{},[0,0,0,4]]}]}],"f":[{"a":[{"b":[{"l":[{},[0,0,3]],"r":[{},[0,0,0,3]]}],"c":[{"e":[{},[0,0,4]]}],"g":[{},[4]],"i":[{"n":[{},[0,0,0,0,4]]}],"l":[{"l":[{"e":[{},[0,0,0,0,5]]}]}],"m":[{"a":[{},[4,0,4]],"i":[{"s":[{},[0,0,0,5]]}]}],"r":[{"t":[{"h":[{},[0,0,0,5]]}]},[5]],"t":[{"a":[{},[0,0,3]],"h":[{"e":[{},[0,0,3]]}],"o":[{},[4]]}],"u":[{"l":[{"t":[{},[0,0,0,0,0,5]]}]}]},[1]],"b":[{},[4,5]],"d":[{},[4]],"e":[{".":[{},[4]],"a":[{"s":[{},[0,0,0,0,4]],"t":[{"h":[{},[0,0,0,0,0,3]]}]}],"b":[{"r":[{"u":[{"a":[{},[0,0,0,1]]}]}]},[0,0,4]],"c":[{"a":[{},[4]],"t":[{},[5]]}],"d":[{},[2]],"l":[{"i":[{},[0,0,3]]}],"m":[{"o":[{},[0,0,4]]}],"n":[{"d":[{"e":[{},[0,0,0,0,5]]},[0,0,0,2]]}],"r":[{"r":[{},[5]],"m":[{"i":[{"o":[{},[0,0,0,0,0,1]]}]}]},[0,0,0,1]],"v":[{},[0,0,0,4]]}],"f":[{"e":[{"s":[{},[0,4]]}],"i":[{"e":[{},[0,4]],"n":[{".":[{},[0,5]]}],"s":[{},[0,2,5]]}],"l":[{"y":[{},[0,4]]}],"y":[{},[0,2]]},[4,1]],"h":[{},[4]],"i":[{"a":[{},[0,0,3]],"c":[{".":[{},[2,3]],"a":[{"l":[{},[4,3]],"n":[{},[0,3]],"t":[{"e":[{},[4]]}]}],"e":[{"n":[{},[0,3]],"r":[{},[0,0,3]]}],"i":[{"a":[{},[5]],"e":[{},[5]]},[0,0,0,4]],"s":[{},[4]],"u":[{},[0,0,3]],"h":[{},[3]]}],"d":[{"e":[{"l":[{},[0,0,5]]}]}],"g":[{"h":[{"t":[{},[0,0,0,0,0,5]]}]}],"l":[{"i":[{},[0,0,0,5]],"l":[{"i":[{"n":[{},[0,0,0,0,5]]}]}],"y":[{},[4]]}],"n":[{"a":[{},[5]],"d":[{},[0,0,0,2,5]],"e":[{},[0,0,2]],"g":[{},[0,1,0,3]],"n":[{},[0,0,0,4]]},[2]],"s":[{"t":[{"i":[{},[0,0,0,4]]}]}],"t":[{"t":[{"e":[{"d":[{".":[{},[0,0,0,5]]}]}]}]}]},[1]],"l":[{"e":[{"s":[{"s":[{},[0,5]]}]}],"i":[{"n":[{},[0,0,0,0,4]]}],"o":[{"r":[{"e":[{},[0,0,0,3]]}],"w":[{"e":[{"r":[{".":[{},[0,0,0,0,2]]}]}]}]}],"y":[{},[0,2,0,5]],"a":[{"g":[{"e":[{"l":[{},[0,0,0,1,6]]}]}]}],"u":[{"o":[{"r":[{},[3]]}]}]},[0,4,2]],"m":[{},[4]],"n":[{},[4]],"o":[{"n":[{"d":[{"e":[{},[0,0,0,4]]}],"t":[{},[0,0,0,4]]},[5]],"r":[{"a":[{"t":[{},[0,0,5]],"y":[{},[0,0,0,5]]}],"e":[{"t":[{},[0,0,0,0,5]]}],"i":[{},[0,0,0,4]],"t":[{"a":[{},[0,0,0,0,5]]}]},[0,0,2]],"s":[{},[0,0,0,5]]},[1]],"p":[{},[4,5]],"r":[{"a":[{"t":[{},[0,0,0,4]]}],"e":[{"a":[{},[0,5]],"s":[{"c":[{},[0,0,0,0,5]]}]}],"i":[{"l":[{},[0,0,0,0,4]]},[0,0,0,2]],"o":[{"l":[{},[0,0,0,0,5]]}]}],"s":[{},[2,3]],"t":[{"o":[{},[0,4]],"y":[{},[0,2]]},[2]],"u":[{"e":[{"l":[{},[0,0,5]]}],"g":[{},[4]],"m":[{"i":[{"n":[{},[0,0,4]]}]}],"n":[{"e":[{},[0,0,5]]}],"r":[{"i":[{},[0,0,3]]}],"s":[{"i":[{},[0,0,0,0,4]],"s":[{},[0,0,0,4]]}],"t":[{"a":[{},[4]]}]},[3]],"y":[{},[1]]}],"g":[{"a":[{"f":[{},[0,0,0,4]],"l":[{".":[{},[5]],"i":[{},[3]],"o":[{},[0,0,3]]}],"m":[{"e":[{"t":[{},[0,0,5]]}],"o":[{},[0,5]]},[2]],"n":[{"i":[{"s":[{},[0,0,0,5]],"z":[{"a":[{},[0,0,0,0,5]]},[0,0,3]]}],"o":[{},[4]]}],"r":[{"n":[{},[0,0,0,5,4]]}],"s":[{"s":[{},[0,0,0,0,4]]}],"t":[{"h":[{},[0,0,0,0,3]],"i":[{"v":[{},[4]]}]}],"z":[{},[4]]},[1]],"b":[{},[0,3]],"d":[{},[0,0,4]],"e":[{".":[{},[2]],"d":[{},[2]],"e":[{"z":[{},[0,0,0,0,4]]}],"l":[{"i":[{"n":[{},[0,0,0,4]],"s":[{},[0,0,5]],"z":[{},[0,0,5]]}],"y":[{},[4]]}],"n":[{"a":[{"t":[{},[0,0,4]]}],"i":[{"z":[{},[0,0,5]]}],"o":[{},[4]],"y":[{},[4]],"c":[{"y":[{".":[{},[0,0,0,2]]}]}]},[1]],"o":[{"m":[{},[0,0,3]],"d":[{},[0,0,3,1]]},[1]],"r":[{"y":[{},[0,4]]}],"s":[{"i":[{},[5]]}],"t":[{"h":[{},[0,0,0,0,5]],"o":[{},[4]],"y":[{},[0,0,4]],"i":[{"c":[{".":[{},[0,0,0,2]]}]}]}],"v":[{},[0,0,4]]}],"g":[{"e":[{"r":[{},[0,3]]},[0,2]],"l":[{"u":[{},[0,0,0,0,5]]}],"o":[{},[0,0,0,4]]},[4,1,2]],"h":[{"i":[{"n":[{},[0,0,3]]}],"o":[{"u":[{"t":[{},[0,0,5]]}]}],"t":[{"o":[{},[0,0,4]],"w":[{"e":[{},[0,0,0,1]]}]}]}],"i":[{".":[{},[5]],"a":[{"r":[{},[0,0,0,5]]},[1,0,4]],"c":[{"i":[{"a":[{},[5]]}],"o":[{},[0,4]]},[0,1]],"e":[{"n":[{},[0,0,0,0,5]],"s":[{".":[{},[5]]}]}],"l":[{},[0,0,0,4]],"m":[{"e":[{"n":[{},[0,3]]}]}],"n":[{".":[{},[3,4]],"g":[{"e":[{},[0,0,0,5]]}],"s":[{},[5,4]]}],"o":[{},[5]],"r":[{"l":[{},[0,0,0,4]]},[3]],"s":[{"l":[{},[0,3]]}],"u":[{},[0,0,4]],"v":[{},[5]],"z":[{},[3]]}],"l":[{"a":[{"d":[{"i":[{},[0,0,0,0,5]]}],"s":[{},[5]]},[0,0,0,4]],"e":[{"a":[{"d":[{},[0,1]]}]},[1]],"i":[{"b":[{},[0,0,0,4]],"g":[{},[0,3]],"s":[{"h":[{},[4,1]]}]}],"o":[{"r":[{},[0,0,0,3]],"b":[{"i":[{"n":[{},[5,0,0,5]]}]}]},[3]]},[0,0,2]],"m":[{"y":[{},[0,4]]},[0,1]],"n":[{"a":[{".":[{},[0,4]],"c":[{},[1,2]]},[0,0,4]],"e":[{"t":[{"t":[{},[0,0,0,0,4]],"i":[{"s":[{"m":[{},[0,0,0,0,1]]}]}]}]}],"i":[{"n":[{},[0,2]],"o":[{},[0,4]]},[0,1]],"o":[{"n":[{},[0,4]],"m":[{"o":[{},[0,0,0,5]]}],"r":[{".":[{},[0,2,1]],"e":[{"s":[{"p":[{},[0,2]]}]}]}]},[0,1]]}],"o":[{".":[{},[3]],"b":[{},[0,0,0,5]],"e":[{},[5]],"g":[{},[3,4,4]],"i":[{"s":[{},[0,0,3]]}],"n":[{"a":[{},[4,3,3]],"d":[{"o":[{},[0,0,0,0,0,5]]}],"i":[{"z":[{"a":[{},[2,1,4,3,1]]}]},[0,0,3]]},[0,0,0,2]],"o":[{},[5]],"r":[{"i":[{"z":[{},[0,0,5]]}],"o":[{"u":[{},[0,0,0,5]]}]}],"s":[{".":[{},[5]]}],"v":[{},[0,0,0,1]]},[1]],"p":[{},[0,3]],"r":[{"a":[{"d":[{"a":[{},[4]]}],"i":[{},[0,4]],"n":[{},[0,0,0,0,2]],"p":[{"h":[{".":[{},[5]],"e":[{"r":[{".":[{},[0,0,0,0,0,5]]},[0,5]]}],"i":[{"c":[{},[5]]}],"y":[{},[4]]}]}],"y":[{},[4]]}],"e":[{"n":[{},[0,0,0,4]],"s":[{"s":[{".":[{},[4]]}]}]}],"i":[{"t":[{},[4]],"e":[{"v":[{},[0,0,0,0,0,1]]}]}],"o":[{},[0,4]],"u":[{"f":[{},[0,0,0,0,4]]}]},[1]],"s":[{"t":[{"e":[{},[0,5]]}]},[0,0,2]],"t":[{"h":[{},[0,0,0,3]]}],"u":[{"a":[{"r":[{"d":[{},[3]]}]},[0,0,4]],"e":[{},[2]],"i":[{"t":[{},[5,0,0,5]]}],"n":[{},[3]],"s":[{},[3]],"t":[{"a":[{"n":[{},[0,1]]}]},[4,0,4]]}],"w":[{},[0,3]],"y":[{"n":[{},[2,5,3]],"r":[{"a":[{},[0,0,5]]}]},[1]]}],"h":[{"a":[{"b":[{"l":[{},[0,3,0,4]]}],"c":[{"h":[{},[0,0,0,0,4]]}],"e":[{"m":[{},[0,0,0,4]],"t":[{},[0,0,0,4]]}],"g":[{"u":[{},[0,5]]}],"l":[{"a":[{"m":[{},[0,0,0,0,3]]},[0,0,3]]}],"m":[{},[0,0,4]],"n":[{"c":[{"i":[{},[0,0,0,4]],"y":[{},[0,0,0,4]]}],"d":[{".":[{},[5]]}],"g":[{"e":[{"r":[{},[0,0,0,0,5]]}],"o":[{},[0,0,0,0,5]]},[0,0,0,4]],"i":[{"z":[{},[0,5,5]]}],"k":[{},[0,0,0,4]],"t":[{"e":[{},[0,0,0,4]]}]}],"p":[{"l":[{},[0,0,0,3]],"t":[{},[0,0,0,5]],"a":[{"r":[{"r":[{},[0,0,2,3,0,5]]}]}]}],"r":[{"a":[{"n":[{},[0,0,3]],"s":[{},[0,0,5]]}],"d":[{"e":[{},[0,0,0,0,3]]},[0,0,0,2]],"l":[{"e":[{},[0,0,0,4]]}],"p":[{"e":[{"n":[{},[0,0,0,0,5]]}]}],"t":[{"e":[{"r":[{},[0,0,0,5]]}]}]}],"s":[{"s":[{},[0,0,0,5]]}],"u":[{"n":[{},[0,0,0,0,4]]}],"z":[{"a":[{},[0,0,0,3]]},[5]],"i":[{"r":[{"s":[{},[0,0,0,0,1]]}]}],"t":[{"c":[{"h":[{},[0,0,0,0,0,1]]}]}]}],"b":[{},[0,1]],"e":[{"a":[{"d":[{},[1]],"r":[{},[3]]}],"c":[{"a":[{"n":[{},[0,0,4]],"t":[{},[0,5]]}]}],"d":[{"o":[{},[0,0,5,0,5]]},[0,4]],"l":[{"i":[{},[0,0,3,4]],"l":[{"i":[{"s":[{},[0,0,0,4]]}],"y":[{},[0,0,0,4]]}],"o":[{},[0,5]]}],"m":[{"p":[{},[0,0,0,4]]}],"n":[{"a":[{"t":[{},[0,0,0,5]]},[0,0,0,0,4]]},[0,0,2]],"o":[{"r":[{},[0,0,0,5]]}],"p":[{},[0,0,0,5]],"r":[{"a":[{"p":[{},[0,0,0,0,3]]},[0,4]],"b":[{"a":[{},[0,0,0,4]]}],"e":[{"a":[{},[0,0,0,0,5]]}],"n":[{},[0,3]],"o":[{"u":[{},[0,5]]}],"y":[{},[0,3]]}],"s":[{"p":[{},[0,0,2,5]]},[0,1]],"t":[{"e":[{"d":[{},[0,0,0,4]]}]},[0,0,4]],"u":[{},[0,0,0,4]],"x":[{"a":[{},[0,0,0,2,3]]}]}],"f":[{},[0,1]],"h":[{},[0,1]],"i":[{"a":[{"n":[{},[0,0,5]]}],"c":[{"o":[{},[0,0,4]]}],"g":[{"h":[{},[0,0,0,0,5]]}],"l":[{},[0,4,0,2]],"m":[{"e":[{"r":[{},[0,0,0,0,0,4]]}]}],"n":[{"a":[{},[0,4]]}],"o":[{"n":[{"e":[{},[0,0,0,0,4]]}]}],"p":[{"e":[{"l":[{"a":[{},[0,3,5,0,0,1,4]]}]}]},[0,0,4]],"r":[{"l":[{},[0,0,0,4]],"o":[{},[0,0,3]],"p":[{},[0,0,0,4]],"r":[{},[0,0,0,4]]}],"s":[{"e":[{"l":[{},[0,0,0,3]]}],"s":[{},[0,0,0,4]]}],"t":[{"h":[{"e":[{"r":[{},[0,0,0,0,5]]}]}],"e":[{"s":[{"i":[{"d":[{},[0,0,0,0,3]]}]}]}]}],"v":[{},[0,0,2]]}],"k":[{},[4]],"l":[{"a":[{"n":[{},[0,0,0,0,4]]}],"o":[{"r":[{"i":[{},[0,0,0,3]]}]},[0,2]]},[4,1,4]],"m":[{"e":[{"t":[{},[0,0,0,0,4]]}]},[4,1]],"n":[{"a":[{"u":[{"z":[{},[0,0,0,0,3]]}]}]},[2,1]],"o":[{"d":[{"i":[{"z":[{},[0,5]]}],"s":[{},[0,5]]}],"g":[{"e":[{},[0,0,0,0,4]]},[0,0,4]],"l":[{"a":[{"r":[{},[0,0,0,5]]}],"e":[{},[3,0,0,4]]}],"m":[{"a":[{},[0,0,4]],"e":[{},[0,0,0,0,3]]}],"n":[{"a":[{},[0,0,0,4]],"y":[{},[0,0,5]]}],"o":[{"d":[{},[3]],"n":[{},[0,0,0,0,4]]}],"r":[{"a":[{"t":[{},[0,0,0,5]]}],"i":[{"s":[{},[0,0,5]],"c":[{".":[{},[0,0,6,1]]}]}],"t":[{"e":[{},[0,0,0,0,3]]}],"u":[{},[0,0,5]]}],"s":[{"e":[{"n":[{},[0,0,5]]},[0,0,0,4]],"p":[{},[0,0,0,1]]}],"u":[{"s":[{"e":[{},[0,0,0,0,0,3]]},[1]]}],"v":[{"e":[{"l":[{},[0,0,0,5]]}]}]}],"p":[{},[4,5]],"r":[{"e":[{"e":[{},[0,0,0,0,5]]}],"o":[{"n":[{"i":[{"z":[{},[0,0,0,5]]}]}],"p":[{"o":[{},[0,0,0,3]]}]}]},[4,0,4]],"s":[{"h":[{},[0,4]]},[4,1,2]],"t":[{"a":[{"r":[{},[0,4]]}],"e":[{"n":[{},[0,0,1]],"s":[{},[0,0,5]],"o":[{"u":[{},[0,2,1]]}]}],"y":[{},[0,4]]}],"u":[{"g":[{},[0,0,4]],"m":[{"i":[{"n":[{},[0,0,4]]}]}],"n":[{"k":[{"e":[{},[0,0,0,5]]}],"t":[{},[0,0,0,4]]}],"s":[{"t":[{},[0,0,0,3,4]]}],"t":[{},[0,0,4]]}],"w":[{"a":[{"r":[{"t":[{},[0,4]]}]}]},[0,1]],"y":[{"p":[{"e":[{},[0,0,3]],"h":[{},[0,0,3]],"o":[{"t":[{"h":[{"a":[{},[0,0,0,0,1]]}]}]}]}],"s":[{},[0,0,2]]}]}],"i":[{"a":[{"l":[{},[0,2]],"m":[{"e":[{"t":[{"e":[{},[0,0,0,5]]}]}]},[0,0,0,4]],"n":[{"c":[{},[4]],"i":[{},[0,0,0,3]],"t":[{},[4,0,0,4]]},[0,2]],"p":[{"e":[{},[0,0,5]]}],"s":[{"s":[{},[0,0,0,0,4]]}],"t":[{"i":[{"v":[{},[0,4]]}],"r":[{"i":[{"c":[{},[0,0,4]]}]}],"u":[{},[0,4]]}]},[2,1]],"b":[{"e":[{"r":[{"a":[{},[0,0,3]],"t":[{},[0,0,5]]}]},[0,0,0,4]],"i":[{"a":[{},[0,0,5]],"n":[{},[0,0,3]],"t":[{".":[{},[0,0,5]],"e":[{},[0,0,5]]}]}],"l":[{"i":[{},[0,0,3]]},[0,1]],"o":[{},[0,5]],"r":[{"i":[{},[0,2,5]]},[0,1]],"u":[{"n":[{},[0,5]]}]}],"c":[{"a":[{"m":[{},[4]],"p":[{},[5]],"r":[{".":[{},[0,4]],"a":[{},[0,4]]},[4]],"s":[{},[0,0,0,0,5]],"y":[{},[0,4]]}],"c":[{"u":[{},[0,0,0,0,4]]}],"e":[{"o":[{},[4]]}],"h":[{},[4]],"i":[{"d":[{},[0,5]],"n":[{"a":[{},[0,0,5]]}],"p":[{"a":[{},[0,0,3]]},[0,2]]},[2]],"l":[{"y":[{},[0,4]]}],"o":[{"c":[{},[0,2,5]]}],"r":[{"a":[{},[5]],"y":[{},[0,4]]},[4,1]],"t":[{"e":[{},[0,0,4]],"u":[{"a":[{},[0,0,4,3]]},[0,0,0,0,2]]}],"u":[{"l":[{"a":[{},[0,0,3]]}],"m":[{},[0,0,4]],"o":[{},[0,0,5]],"r":[{},[0,3]]}]}],"d":[{"a":[{"i":[{},[0,4]],"n":[{"c":[{},[0,0,5]]}]}],"d":[{},[0,0,5]],"e":[{"a":[{"l":[{},[0,0,0,3]]}],"s":[{},[0,0,0,4]]}],"i":[{"a":[{"n":[{},[0,0,5]],"r":[{},[0,0,0,4]]}],"e":[{},[0,5]],"o":[{"u":[{},[0,0,0,5]],"s":[{},[0,0,4]]},[0,0,3]],"t":[{},[0,0,1]],"u":[{},[0,0,5]]},[0,2]],"l":[{"e":[{},[0,3]]}],"o":[{"m":[{},[0,4]],"w":[{},[0,0,3]]}],"r":[{},[0,4]],"u":[{"o":[{},[0,0,5]]},[0,2]]},[2]],"e":[{"d":[{"e":[{},[0,0,0,4]]}],"g":[{"a":[{},[5,0,5]]}],"l":[{"d":[{},[0,0,0,0,3]]}],"n":[{"a":[{},[0,0,0,5,4]],"e":[{},[0,0,0,4]],"n":[{},[0,5]],"t":[{"i":[{},[0,3]]}]}],"r":[{".":[{},[0,1]]}],"s":[{"c":[{},[0,3]],"t":[{},[0,1]]}],"t":[{},[0,3]]},[2,0,4]],"f":[{".":[{},[4]],"e":[{"r":[{"o":[{},[0,0,5]]}]}],"f":[{"e":[{"n":[{},[0,0,0,5]]}],"r":[{},[0,0,4]]}],"i":[{"c":[{".":[{},[4]]}],"e":[{},[0,3]]}],"l":[{},[0,3]],"t":[{},[4]],"a":[{"c":[{"e":[{"t":[{},[0,0,0,0,1]]}]}]}]}],"g":[{"a":[{"b":[{},[0,0,0,5]]}],"e":[{"r":[{"a":[{},[0,0,3]]}]}],"h":[{"t":[{"i":[{},[0,0,0,0,3]]}]}],"i":[{"b":[{},[0,3]],"l":[{},[0,0,3]],"n":[{},[0,0,3]],"t":[{},[0,0,3]]},[4]],"l":[{},[0,4,4]],"o":[{"r":[{},[0,0,3]],"t":[{},[0,0,5]]},[0,2]],"r":[{"e":[{},[0,5]]}],"u":[{"i":[{},[0,0,0,5]],"r":[{},[0,0,1]]}],"n":[{"i":[{"t":[{"e":[{"r":[{},[0,0,0,0,0,1]]}]},[0,0,0,4]]}]}]},[2]],"h":[{},[0,3]],"i":[{},[4,5,4]],"j":[{"k":[{},[0,4]]},[0,3]],"k":[{},[4]],"l":[{"a":[{"b":[{},[0,0,3,4]],"d":[{"e":[{},[0,4]]}],"m":[{},[0,2,5]],"r":[{"a":[{},[0,0,0,5]]}]},[0,1]],"e":[{"g":[{},[0,3]],"r":[{},[0,0,1]],"v":[{},[0,0,0,0,4]]}],"f":[{},[0,0,5]],"i":[{"a":[{},[0,0,3]],"b":[{},[0,0,2]],"o":[{},[0,0,3]],"s":[{"t":[{},[0,0,4]]}],"t":[{},[2]],"z":[{},[0,0,2]]},[0,0,1]],"l":[{"a":[{"b":[{},[0,0,0,5]]}]}],"n":[{},[4]],"o":[{"q":[{},[0,0,3]]}],"t":[{"y":[{},[0,0,4]]}],"u":[{"r":[{},[0,0,5]]}],"v":[{},[0,0,3]]}],"m":[{"a":[{"g":[{"e":[{},[0,0,3]]},[0,4]],"r":[{"y":[{},[0,0,0,5]]}]}],"e":[{"n":[{"t":[{"a":[{"r":[{},[0,0,0,0,0,0,5]]}]}]}],"t":[{},[4]]}],"i":[{"d":[{"a":[{},[0,0,5]]}],"l":[{"e":[{},[0,0,0,5]]}],"n":[{"i":[{},[0,5]]}],"t":[{},[4]]},[0,0,1]],"n":[{"i":[{},[0,0,4]]}],"o":[{"n":[{},[0,3]]}],"u":[{"l":[{"a":[{},[0,0,3]]}]},[0,2]],"p":[{"e":[{"d":[{"a":[{},[0,0,3,0,0,3]]}]}]}]}],"n":[{".":[{},[2]],"a":[{"u":[{},[0,4,3]],"v":[{},[4]]}],"c":[{"e":[{"l":[{},[0,0,0,0,0,4]],"r":[{},[0,0,3]]}]}],"d":[{"l":[{"i":[{"n":[{"g":[{},[0,0,5]]}]}]}]},[4]],"e":[{"e":[{},[0,3]],"r":[{"a":[{"r":[{},[0,0,0,0,4]]}]}],"s":[{"s":[{},[0,5]]}]},[2]],"g":[{"a":[{},[4]],"e":[{"n":[{},[0,0,5]]},[4]],"i":[{},[4]],"l":[{"i":[{"n":[{"g":[{},[0,0,5]]}]}]}],"o":[{},[4]],"u":[{},[4]]}],"i":[{".":[{},[0,5]],"a":[{},[0,4]],"o":[{},[0,0,3]],"s":[{},[0,0,1]],"t":[{"e":[{".":[{},[0,5]],"l":[{"y":[{".":[{},[0,5]]}]}]}],"i":[{"o":[{},[5]]}],"y":[{},[0,0,3]]}]},[2]],"k":[{},[4]],"l":[{},[4]],"n":[{},[2]],"o":[{"c":[{},[0,4,0,4]],"s":[{},[0,0,0,4]],"t":[{},[0,4]]},[2,1]],"s":[{"e":[{},[0,0,3]],"u":[{"r":[{"a":[{},[0,0,0,0,0,5]]}]}]},[2]],"t":[{".":[{},[2]],"h":[{},[2,0,4]]}],"u":[{"s":[{},[0,5]]},[0,0,1]],"y":[{},[4]],"f":[{"r":[{"a":[{"s":[{},[0,0,0,0,0,1,2]]}]}]}]}],"o":[{".":[{},[4]],"g":[{"e":[{},[0,0,0,0,4]],"r":[{},[0,0,2]]}],"l":[{},[0,1]],"m":[{},[0,0,4]],"n":[{"a":[{"t":[{},[0,0,0,3]]}],"e":[{"r":[{"y":[{},[0,0,0,4]]}]}],"i":[{},[0,0,0,3]]}],"p":[{"h":[{},[0,0,5]]}],"r":[{"i":[{},[0,0,0,3]]}],"s":[{},[0,4]],"t":[{"h":[{},[0,0,5]],"i":[{},[0,5]],"o":[{},[0,0,4]]}],"u":[{"r":[{},[0,4]]}]},[2]],"p":[{"e":[{},[0,0,0,4]],"h":[{"r":[{"a":[{"s":[{},[0,0,0,0,0,0,4]]}]}]}],"i":[{"c":[{},[0,0,4]]},[0,0,3]],"r":[{"e":[{},[0,0,4,0,4]]}],"u":[{"l":[{},[0,0,3]]}]},[2]],"q":[{"u":[{"a":[{},[0,3]],"e":[{"f":[{},[0,0,5]]}],"i":[{"d":[{},[0,0,3]],"t":[{},[0,0,3,0,3]]}]}]}],"r":[{"a":[{"b":[{},[0,0,0,4]],"c":[{},[0,4]]},[0,1]],"d":[{"e":[{},[0,0,0,5]]}],"e":[{"d":[{"e":[{},[0,0,0,4]]}],"f":[{},[0,4]],"l":[{},[0,4,0,0,4]],"s":[{},[0,4]]}],"g":[{"i":[{},[0,0,5]]}],"i":[{"d":[{"e":[{},[0,0,0,5]]}],"s":[{},[0,0,4]],"t":[{"u":[{},[0,0,0,3]]}],"z":[{},[5,5,2]]},[0,0,1]],"m":[{"i":[{"n":[{},[0,0,4]]}]}],"o":[{"g":[{},[0,0,0,4]],"n":[{".":[{},[5]]}]}],"u":[{"l":[{},[0,0,5]]}],"r":[{"e":[{"v":[{"o":[{"c":[{},[0,0,0,0,6,3]]}]}]}]}]},[4]],"s":[{".":[{},[2]],"a":[{"g":[{},[0,0,5]],"r":[{},[0,0,3]],"s":[{},[0,0,0,0,5]]}],"c":[{"h":[{},[0,0,3]]},[2,0,1]],"e":[{"r":[{},[0,0,3]]},[4]],"f":[{},[3]],"h":[{"a":[{"n":[{},[0,0,5]]}],"o":[{"n":[{},[0,0,3]],"p":[{},[0,0,0,5]]}]}],"i":[{"b":[{},[0,0,3]],"d":[{},[0,0,0,4]],"s":[{},[0,5]],"t":[{"i":[{"v":[{},[0,0,5]]}]}]}],"k":[{},[4,0,4]],"l":[{"a":[{"n":[{},[0,0,0,0,0,4]]}]}],"m":[{"s":[{},[4]]}],"o":[{"m":[{"e":[{"r":[{},[0,0,0,5]]}]}]},[0,2]],"p":[{"i":[{},[0,0,2]],"y":[{},[0,0,4]]},[0,0,1]],"s":[{"a":[{"l":[{},[0,0,4]]}],"e":[{"n":[{},[0,0,0,0,0,4]],"s":[{},[0,0,4]]}]},[4,0,1]],"t":[{"a":[{".":[{},[0,0,4]]}],"e":[{},[0,0,1]],"i":[{},[0,0,1]],"l":[{"y":[{},[0,0,0,4]]}],"r":[{"a":[{"l":[{},[4]]}]}]}],"u":[{"s":[{},[0,0,5]]},[0,2]]}],"t":[{"a":[{".":[{},[4]],"b":[{"i":[{},[0,0,0,4]]}],"g":[{},[0,4]],"m":[{},[4,0,0,5]],"n":[{},[0,3]],"t":[{},[0,3]]}],"e":[{"r":[{"a":[{},[0,0,3]],"i":[{},[0,5]]}],"s":[{"i":[{"m":[{"a":[{},[0,1]]}]}]},[0,0,4]]},[2]],"h":[{"i":[{"l":[{},[0,0,0,5,2]]}]},[2]],"i":[{"a":[{},[4]],"c":[{"a":[{},[0,0,3]],"k":[{},[5,5]]},[4,2]],"g":[{},[0,0,3]],"l":[{"l":[{},[0,0,5]]}],"m":[{},[0,2]],"o":[{},[2]],"s":[{"m":[{},[0,4]]},[4]],"n":[{"e":[{"r":[{"a":[{"r":[{},[0,0,0,0,5,0,5]]}]}]}]}]},[0,1]],"o":[{"m":[{},[0,2,5,5]],"n":[{},[4]]}],"r":[{"a":[{"m":[{},[0,4]]}],"y":[{},[0,0,5]]}],"t":[{},[4]],"u":[{"a":[{"t":[{},[0,0,3]]}],"d":[{},[0,5]],"l":[{},[0,0,3]]}],"z":[{".":[{},[4]]}]}],"u":[{},[0,1]],"v":[{"e":[{"l":[{"l":[{},[0,0,3]]}],"n":[{".":[{},[0,0,3]]}],"r":[{".":[{},[0,4,3]],"s":[{".":[{},[0,4]]}]}]}],"i":[{"l":[{".":[{},[0,0,5]]}],"o":[{},[0,0,5]],"t":[{},[0,0,1]]}],"o":[{"r":[{"e":[{},[0,5]],"o":[{},[0,0,3,3]]}],"t":[{},[0,4,3]]}]},[2]],"w":[{},[4,5]],"x":[{"o":[{},[0,0,4]]}],"y":[{},[4]],"z":[{"a":[{"r":[{},[4]]}],"i":[{},[0,0,0,4]],"o":[{"n":[{"t":[{},[5]]}]}]}]}],"j":[{"a":[{"c":[{"q":[{},[0,0,0,4]]}],"p":[{"a":[{"n":[{"e":[{"s":[{},[0,0,0,0,0,1,2]]}]}]}]},[0,0,4]],"n":[{"u":[{"a":[{},[0,0,0,0,3]]}]}]},[5]],"e":[{"r":[{"s":[{},[0,0,0,5]],"e":[{"m":[{},[0,0,1,0,1]]}]}],"s":[{"t":[{"i":[{"e":[{},[4]]}],"y":[{},[4]]}]}],"w":[{},[0,0,0,3]]},[1]],"o":[{"p":[{},[0,0,4]]}],"u":[{"d":[{"g":[{},[5]]}]}]}],"k":[{"a":[{".":[{},[3]],"b":[{},[0,3]],"g":[{},[0,5]],"i":[{"s":[{},[0,0,0,0,4]]}],"l":[{},[0,0,0,4]]}],"b":[{},[0,1]],"e":[{"d":[{},[0,2]],"e":[{},[1]],"g":[{},[0,0,4]],"l":[{"i":[{"n":[{"g":[{},[1,0,6]]}]},[0,0,5]]}],"n":[{"d":[{},[0,3,0,4]]}],"r":[{},[0,1]],"s":[{"t":[{".":[{},[0,3]]}]},[0,0,0,4]],"t":[{"y":[{},[0,0,4]]}]}],"f":[{},[0,3]],"h":[{},[0,0,4]],"i":[{".":[{},[5]],"c":[{},[5,2]],"l":[{"l":[{},[0,4]],"o":[{},[0,0,0,0,5]]}],"m":[{},[0,4]],"n":[{".":[{},[0,4]],"d":[{"e":[{},[0,0,0,4]]}],"e":[{"s":[{"s":[{},[0,5]]}],"t":[{"i":[{"c":[{},[1,0,5]]}]}]}],"g":[{},[0,0,0,4]]}],"p":[{},[0,0,4]],"s":[{"h":[{},[0,5]]},[0,0,0,4]]},[0,1]],"k":[{},[0,0,4]],"l":[{"e":[{"y":[{},[4]]}],"y":[{},[4]]},[0,1]],"m":[{},[0,1]],"n":[{"e":[{"s":[{},[0,5]]}],"o":[{},[1,2]]}],"o":[{"r":[{},[0,0,5]],"s":[{"h":[{},[0,0,0,0,4]]}],"u":[{},[0,3]],"v":[{"i":[{"a":[{"n":[{},[1]]}]}]}]}],"r":[{"o":[{"n":[{},[0,0,0,5]]}]}],"s":[{"c":[{},[0,4]],"l":[{},[0,0,4]],"y":[{},[0,4]],"h":[{"a":[{},[0,3]]}]},[4,1,2]],"t":[{},[0,5]],"w":[{},[0,1]]}],"l":[{"a":[{"b":[{"i":[{"c":[{},[0,0,0,3]]}],"o":[{},[0,4]]}],"c":[{"i":[{"e":[{},[0,0,4,3,5]]},[0,0,0,0,4]]}],"d":[{"e":[{},[0,4]],"y":[{},[0,0,3]]}],"g":[{"n":[{},[0,0,0,4]]}],"m":[{"o":[{},[0,0,0,3]]}],"n":[{"d":[{"l":[{},[0,0,0,4]]},[3]],"e":[{"t":[{},[0,0,0,5]]}],"t":[{"e":[{},[0,0,0,4]]}]}],"r":[{"g":[{},[0,0,0,4]],"i":[{},[0,0,0,3]],"c":[{"e":[{"n":[{},[0,0,0,5,0,1]]}]}]}],"s":[{"e":[{},[0,0,0,4]]}],"t":[{"a":[{"n":[{},[0,0,5]]}],"e":[{"l":[{"i":[{},[4]]}]}],"i":[{"v":[{},[4]]}]}],"v":[{"a":[{},[0,0,4,4]]},[4]],"i":[{"n":[{"e":[{"s":[{"s":[{},[0,0,0,6,3]]}]}]}]}]}],"b":[{"i":[{"n":[{},[0,0,0,0,4]]}]},[2,1]],"c":[{"e":[{},[0,0,0,4]],"i":[{},[0,3]],"h":[{"a":[{"i":[{},[0,3]]}],"i":[{"l":[{"d":[{},[0,3,0,0,0,6,1]]}]}]}]},[4,1,2]],"d":[{"e":[{"r":[{"e":[{},[0,0,4]],"i":[{},[0,0,4]]}]},[0,2]],"i":[{"s":[{},[0,0,5]]},[0,0,0,4]],"r":[{"i":[{},[0,4]]},[0,3]]},[2]],"e":[{"a":[{"d":[{"e":[{"r":[{".":[{},[0,0,0,0,6]]}]}]}],"s":[{"a":[{},[0,0,0,4,1]]}]},[0,0,2]],"b":[{"i":[{},[0,0,4]]}],"f":[{"t":[{},[0,0,0,0,5]]}],"g":[{".":[{},[5]],"g":[{},[5]],"e":[{"n":[{"d":[{"r":[{"e":[{},[0,0,3,6,0,2]]}]}]}]}]}],"m":[{"a":[{"t":[{"i":[{"c":[{},[0,0,0,5]]}]},[0,0,4]]}]}],"n":[{".":[{},[4]],"c":[{},[3]],"e":[{".":[{},[5]]}],"t":[{},[1]],"o":[{"i":[{"d":[{},[1,0,1]]}]}]}],"p":[{"h":[{},[0,0,3]],"r":[{},[0,0,4]]}],"r":[{"a":[{"b":[{},[0,0,0,0,5]]}],"e":[{},[0,0,0,4]],"g":[{},[3]],"i":[{},[3,4]],"o":[{},[0,4]]}],"s":[{"c":[{"o":[{},[0,0,5]]}],"q":[{},[5]],"s":[{".":[{},[5]]},[3]]},[0,0,0,2]],"v":[{"a":[{},[0,3]],"e":[{"r":[{".":[{},[0,0,0,4]],"a":[{},[0,0,0,4]],"s":[{},[0,0,0,4]]}]}]}],"y":[{"e":[{},[4]]},[3]],"c":[{"t":[{"a":[{"b":[{},[1,0,0,3,0,6]]}]}]}]}],"f":[{"r":[{},[0,5]]},[2]],"g":[{"a":[{"r":[{},[0,0,0,0,3]]},[0,5]],"e":[{"s":[{},[0,4]]}],"o":[{},[0,0,0,3]]},[4,1,4]],"h":[{},[2,3]],"i":[{"a":[{"g":[{},[0,0,4]],"m":[{},[0,0,2]],"r":[{"i":[{"z":[{},[0,0,0,0,5]]}]}],"s":[{},[0,0,4]],"t":[{"o":[{},[0,0,4]]}]}],"b":[{"i":[{},[0,0,5]]}],"c":[{"i":[{"o":[{},[5]]}],"o":[{"r":[{},[0,0,4]]}],"s":[{},[4]],"t":[{".":[{},[4]]}],"u":[{},[0,4]],"y":[{},[0,3]]}],"d":[{"a":[{},[0,3]],"e":[{"r":[{},[0,0,0,5]]}],"i":[{},[3]]}],"f":[{"e":[{"r":[{},[0,0,0,3]]}],"f":[{},[0,4]],"l":[{},[0,0,4]]}],"g":[{"a":[{"t":[{"e":[{},[5]]}]}],"h":[{},[3]],"r":[{"a":[{},[0,0,4]]}]}],"k":[{},[3]],"l":[{},[4,4,4]],"m":[{"b":[{"l":[{},[0,0,0,4]]}],"i":[{},[0,0,0,3]],"o":[{},[0,0,4]],"p":[{},[0,4,0,4]]}],"n":[{"a":[{},[0,4]],"e":[{"a":[{},[0,0,0,3]]},[1,4]],"i":[{},[0,0,0,3]],"k":[{"e":[{"r":[{},[0,0,0,0,5]]}]}]}],"o":[{"g":[{},[0,0,5]]}],"q":[{},[4,4]],"s":[{"p":[{},[0,0,0,4]]}],"t":[{".":[{},[0,2]],"i":[{"c":[{"a":[{},[5]],"s":[{},[0,5,5]]}]}],"h":[{"o":[{"g":[{},[0,0,0,0,1,5]]}]}]},[0,1]],"v":[{"e":[{"r":[{},[0,0,0,3]]}]}],"z":[{},[0,1]]}],"j":[{},[4]],"k":[{"a":[{"l":[{},[0,3]],"t":[{},[0,0,0,4]]},[0,0,0,3]]}],"l":[{"a":[{"w":[{},[0,4]]}],"e":[{"a":[{},[0,5]],"c":[{},[0,3]],"g":[{},[0,3]],"l":[{},[0,3]],"n":[{},[0,3,0,4]],"t":[{},[0,3,0,4]]},[0,2]],"i":[{"n":[{"a":[{},[0,5]]},[0,2,0,0,4]],"s":[{"h":[{},[0,2,3]]}]},[0,0,2]],"o":[{"q":[{"u":[{"i":[{},[0,0,0,0,0,0,5]]}]}],"u":[{"t":[{},[0,0,5]]}],"w":[{},[0,5]]},[0,0,4]],"f":[{"l":[{},[0,0,1]]}]},[0,1]],"m":[{"e":[{"t":[{},[0,5]]}],"i":[{"n":[{"g":[{},[0,0,3]]}]}],"o":[{"d":[{},[0,4]],"n":[{"e":[{"l":[{"l":[{},[0,5,0,3]]}]}]},[0,0,0,0,4]]}]},[2]],"n":[{},[2,1,2]],"o":[{".":[{},[3]],"b":[{"a":[{"l":[{},[0,0,0,5]]}],"o":[{"t":[{"o":[{},[0,0,1,0,0,1,1]]}]}]}],"c":[{"i":[{},[0,0,4]]}],"f":[{},[4]],"g":[{"i":[{"c":[{},[3]]}],"o":[{},[0,5]],"u":[{},[3]],"e":[{"s":[{".":[{},[0,0,2]]}]}]}],"m":[{"e":[{"r":[{},[0,0,0,3]]}]}],"n":[{"g":[{},[5]],"i":[{"z":[{},[0,3,3]]},[0,0,0,4]]}],"o":[{"d":[{},[0,0,0,0,5]]}],"p":[{"e":[{".":[{},[5]]}],"i":[{},[0,0,0,3]],"m":[{},[0,3]]}],"r":[{"a":[{"t":[{"o":[{},[0,0,4]]}]},[0,0,0,0,4]],"i":[{"e":[{},[0,0,5]]}],"o":[{"u":[{},[0,0,0,5]]}]}],"s":[{".":[{},[5]],"e":[{"t":[{},[0,0,0,5]]}],"o":[{"p":[{"h":[{"i":[{"z":[{},[5]]}],"y":[{},[5]]}]}]}],"t":[{},[0,0,0,4]]}],"t":[{"a":[{},[0,0,4]]}],"u":[{"n":[{"d":[{},[0,0,0,0,5]]}],"t":[{},[2]]}],"v":[{},[4]],"a":[{"d":[{"e":[{"d":[{".":[{},[0,0,0,0,4]]}],"r":[{".":[{},[0,0,0,0,6]]}]}]}]}]}],"p":[{"a":[{"b":[{},[0,0,0,5]]}],"h":[{"a":[{},[0,3]],"i":[{},[0,5]]}],"i":[{"n":[{"g":[{},[0,0,5]]}],"t":[{},[0,3]]}],"l":[{},[0,4]],"r":[{},[0,5]]},[2]],"r":[{},[4,1]],"s":[{"c":[{},[0,4]],"e":[{},[0,2]],"i":[{"e":[{},[0,4]]}]},[2,1,2]],"t":[{"a":[{"g":[{},[0,0,5]],"n":[{"e":[{},[0,0,0,0,0,5]]}]}],"e":[{"n":[{},[0,0,0,0,4]],"r":[{"a":[{},[0,0,0,0,0,4]]}],"a":[{},[0,3]]},[0,1]],"h":[{"i":[{"l":[{"y":[{},[0,0,0,5,2]]}]},[0,0,0,3]]}],"i":[{"e":[{"s":[{".":[{},[0,5]]}]}],"s":[{},[0,0,0,0,4]]}],"r":[{},[0,1]],"u":[{"r":[{"a":[{},[0,0,0,0,3]]}]},[0,0,0,2]]},[4]],"u":[{"a":[{},[0,0,5]],"b":[{"r":[{},[0,0,3]]}],"c":[{"h":[{},[0,0,0,0,4]],"i":[{},[0,0,3]]}],"e":[{"n":[{},[0,0,3]],"p":[{},[0,0,0,1]]}],"f":[{},[0,0,0,4]],"i":[{"d":[{},[0,0,5]]}],"m":[{"a":[{},[0,0,4]],"i":[{},[5]],"n":[{".":[{},[0,5]],"i":[{"a":[{},[5]]}]}],"b":[{"i":[{"a":[{".":[{},[1,0,0,5]]}]}]}]}],"o":[{"r":[{},[0,0,0,3]]},[0,0,3]],"p":[{},[4]],"s":[{"s":[{},[0,0,0,0,4]],"t":[{"e":[{},[0,0,0,3]]}]}],"t":[{},[1]],"n":[{"k":[{"e":[{"r":[{},[1,0,0,0,3]]}]}]}]}],"v":[{"e":[{"n":[{},[0,5]],"t":[{},[0,5,0,0,4]]}]}],"w":[{},[2,1]],"y":[{"a":[{},[4]],"b":[{},[4]],"m":[{"e":[{},[0,0,5]]}],"n":[{"o":[{},[0,0,3]]}],"s":[{"e":[{},[0,5]],"t":[{"y":[{"r":[{},[0,0,5]]}]}]},[2,0,0,4]],"g":[{"a":[{"m":[{"i":[{},[3,0,0,1,1]]}]}]}]},[1]]}],"m":[{"a":[{"b":[{},[2]],"c":[{"a":[{},[0,0,2]],"h":[{"i":[{"n":[{"e":[{},[0,0,5]]}]}]}],"l":[{},[0,0,4]]}],"g":[{"i":[{"n":[{},[0,0,0,5]]}],"n":[{},[5]]}],"h":[{},[2]],"i":[{"d":[{},[0,0,0,0,5]]}],"l":[{"d":[{},[4]],"i":[{"g":[{},[0,0,3]],"n":[{},[0,0,5]]}],"l":[{"i":[{},[0,0,0,4]]}],"t":[{"y":[{},[0,0,0,4]]}],"a":[{"p":[{},[0,0,1,0,1]]}]}],"n":[{"i":[{"a":[{},[5]],"s":[{},[0,0,0,5]],"z":[{},[0,0,0,3]]}],".":[{},[0,2]],"u":[{"s":[{"c":[{},[0,0,0,3,1]]}]}]}],"p":[{"h":[{"r":[{"o":[{},[5,0,0,0,1,0,1]]}]}]},[4]],"r":[{"i":[{"n":[{"e":[{".":[{},[0,0,5]]}]}],"z":[{},[0,0,5]]}],"l":[{"y":[{},[0,0,0,4]]}],"v":[{},[0,0,0,3]],"g":[{"i":[{"n":[{},[0,0,0,1,0,0,1]]}]}]}],"s":[{"c":[{"e":[{},[0,0,5]]}],"e":[{},[0,0,0,4]],"t":[{},[0,0,0,1]]}],"t":[{"e":[{},[5]],"h":[{},[0,0,0,0,3]],"i":[{"s":[{},[0,0,3]],"z":[{"a":[{},[4]]}]}]}]},[1]],"b":[{"a":[{"t":[{},[0,0,0,4,5]]}],"i":[{"l":[{},[0,5]],"n":[{"g":[{},[0,4,3]]}],"v":[{},[0,0,0,4]]}]},[4,1]],"c":[{},[4,5]],"e":[{".":[{},[4]],"d":[{".":[{},[4]],"i":[{"a":[{},[5]],"e":[{},[0,0,3]],"c":[{"i":[{"n":[{},[0,0,0,3,3]]}]},[0,0,0,0,2]],"o":[{"c":[{},[0,0,0,0,0,6,1]]}]}],"y":[{},[0,5,5]]},[2]],"g":[{"r":[{"a":[{"n":[{},[0,0,3,0,0,0,3]]}]}]},[0,0,2]],"l":[{"o":[{"n":[{},[0,0,0,5]]}],"t":[{},[0,0,0,4]]}],"m":[{"o":[{},[0,0,0,1,3]]},[0,0,2]],"n":[{"a":[{"c":[{},[0,0,0,5]]},[0,0,0,4]],"d":[{"e":[{},[0,0,0,4]]}],"e":[{},[4]],"i":[{},[0,0,0,4]],"s":[{"u":[{},[0,0,0,0,0,5]]},[0,0,0,0,4]],"t":[{"e":[{},[0,0,0,4]]},[3]],".":[{},[0,2]]},[1]],"o":[{"n":[{},[0,0,5]]}],"r":[{"s":[{"a":[{},[0,5]]}]}],"s":[{"t":[{"i":[{},[3]]}]},[2]],"t":[{"a":[{"l":[{},[0,0,0,3]]},[0,0,4]],"e":[{},[0,0,1]],"h":[{"i":[{},[0,0,5]]}],"r":[{"i":[{"c":[{},[5]],"e":[{},[0,0,5]]}],"y":[{},[0,0,3]]},[0,4]]}],"v":[{},[0,0,4]]}],"f":[{},[4,1]],"h":[{},[2]],"i":[{".":[{},[5]],"a":[{},[0,0,3]],"d":[{"a":[{"b":[{},[3,0,3,0,5]]},[0,0,0,4]],"g":[{},[0,0,0,4]]}],"g":[{},[0,0,0,4]],"l":[{"i":[{"a":[{},[3]],"e":[{},[0,5,5]],"t":[{"a":[{},[3]]}]}],"l":[{"a":[{"g":[{},[0,0,0,2,1]]}],"i":[{"l":[{"i":[{},[0,0,0,5,0,5]]}]}]},[0,4]]}],"n":[{"a":[{},[0,0,0,4]],"d":[{},[3]],"e":[{"e":[{},[0,5]]}],"g":[{"l":[{"i":[{},[0,0,0,5]],"y":[{},[0,5]]},[0,4]]}],"t":[{},[0,0,0,4]],"u":[{"t":[{"e":[{"r":[{},[0,0,1,2,0,1]],"s":[{"t":[{},[0,0,1,2,0,1]]}]}]}]},[0,4]],"i":[{"s":[{".":[{},[0,0,6,3]]}]}]}],"o":[{"t":[{},[0,0,0,0,4]]}],"s":[{"e":[{"r":[{".":[{},[0,0,0,4]]}]}],"l":[{},[0,0,0,5]],"t":[{"i":[{},[0,0,0,4]],"r":[{"y":[{},[0,5]]}]}]},[0,2]],"t":[{"h":[{},[4]]}],"z":[{},[0,2]]}],"k":[{},[4]],"l":[{},[4,1]],"m":[{"a":[{"r":[{"y":[{},[0,0,0,5]]}],"b":[{},[0,3,0,1]]}]},[0,1]],"n":[{"a":[{},[0,0,4]],"i":[{"n":[{},[0,4]]}],"o":[{},[0,0,4]]},[4,1]],"o":[{"c":[{"r":[{"a":[{"t":[{"i":[{"z":[{},[5]]}]},[5,0,0,1,0,1]]}]},[4]]}],"d":[{},[0,0,2,1]],"g":[{"o":[{},[0,0,4]]}],"i":[{"s":[{"e":[{},[0,0,0,5]]},[0,0,0,0,2]]}],"k":[{},[4]],"l":[{"e":[{"s":[{"t":[{},[0,0,5]]}],"c":[{},[0,0,0,1,5]]}]}],"m":[{"e":[{},[0,0,3]]}],"n":[{"e":[{"t":[{},[0,0,0,5]],"y":[{"l":[{},[0,0,0,4,0,1]]}]}],"g":[{"e":[{},[0,0,0,5]]}],"i":[{"a":[{},[0,0,0,0,3]],"s":[{"m":[{},[0,0,0,4]],"t":[{},[0,0,0,4]]}],"z":[{},[0,0,3]]}],"o":[{"l":[{},[0,0,0,0,0,4]],"c":[{"h":[{},[0,0,0,0,3]]}],"e":[{"n":[{},[0,0,4,0,1]]}],"s":[{},[0,0,0,0,1,6]]}],"y":[{".":[{},[0,0,3]]}]}],"r":[{"a":[{".":[{},[4]]}],"o":[{"n":[{"i":[{"s":[{},[0,0,0,0,6,5]]}]}]}]},[0,0,2]],"s":[{"e":[{"y":[{},[0,0,5]]}],"p":[{},[0,0,3]]},[0,0,0,2]],"t":[{"h":[{"e":[{"t":[{},[0,0,0,0,4,0,2]]}]},[0,0,0,0,3]]}],"u":[{"f":[{},[0,5]],"s":[{"i":[{"n":[{},[0,1,0,3]]}]},[3]]}],"v":[{},[0,0,2]],"e":[{"l":[{"a":[{"s":[{},[0,0,5,2]]}]}]}]},[1]],"p":[{"a":[{"r":[{"a":[{"b":[{},[0,0,0,5]]},[0,0,0,0,0,5]],"i":[{},[0,0,0,0,5]]}]}],"e":[{"t":[{},[0,3]]}],"h":[{"a":[{"s":[{},[0,0,0,0,0,4]]}]}],"i":[{"a":[{},[0,0,0,4]],"e":[{"s":[{},[0,0,5]]}],"n":[{},[0,4,1]],"r":[{},[0,5]],"s":[{},[0,0,5]]},[0,2]],"o":[{"r":[{"i":[{},[0,0,0,3]]}],"s":[{"i":[{"t":[{"e":[{},[0,0,0,0,5]]}]}]}],"u":[{"s":[{},[0,4]]}],"v":[{},[0,0,0,0,5]]}],"t":[{"r":[{},[0,0,4]]}],"y":[{},[0,2]]},[4,1]],"r":[{},[4,3]],"s":[{"h":[{"a":[{"c":[{"k":[{},[0,5,0,0,0,0,2]]}]}]},[0,4]],"i":[{},[0,5]]},[4,1,2]],"t":[{},[4]],"u":[{"l":[{"a":[{"r":[{},[0,0,0,0,5,4]]}],"t":[{"i":[{"u":[{},[0,0,0,2,0,5]]},[0,0,0,0,0,3]]},[5]]}],"m":[{},[3]],"n":[{},[0,0,0,2]],"p":[{},[4]],"u":[{},[0,0,4]],"d":[{"r":[{"o":[{},[0,0,2]]}]}]},[1]],"w":[{},[4]]}],"n":[{"a":[{"b":[{"u":[{},[0,4]]},[2,1,2]],"c":[{".":[{},[4]],"a":[{},[0,0,4]],"t":[{},[0,5]]}],"g":[{"e":[{"r":[{".":[{},[0,0,0,5]]}]}]}],"k":[{},[0,0,0,4]],"l":[{"i":[{"a":[{},[0,0,5]]},[0,0,4]],"t":[{},[4]]}],"m":[{"i":[{"t":[{},[0,0,5]]}]}],"n":[{"c":[{"i":[{},[0,0,0,0,0,4]]}],"i":[{"t":[{},[0,0,0,4]]}],"k":[{},[0,0,0,0,4]]},[0,2]],"r":[{"c":[{"h":[{"s":[{".":[{},[0,3,0,4]]}]}]},[0,0,0,3]],"e":[{},[4]],"i":[{},[0,0,0,3]],"l":[{},[0,0,0,4]],"m":[{},[0,5]]}],"s":[{"c":[{},[0,0,0,4]],"t":[{"i":[{},[0,0,0,5]]}]},[0,4]],"t":[{"a":[{"l":[{},[0,0,3]]}],"o":[{"m":[{"i":[{"z":[{},[0,0,0,0,5]]}]}]}]},[0,2]],"u":[{"s":[{"e":[{},[0,0,0,3]]}],"t":[{},[3]]},[0,2]],"v":[{"e":[{},[0,0,0,4]]}]},[1]],"b":[{},[4,1,4]],"c":[{"a":[{"r":[{},[0,0,0,0,5]]}],"e":[{"s":[{".":[{},[0,4]]}]}],"h":[{"a":[{},[0,3]],"e":[{"o":[{},[0,5]],"s":[{"t":[{},[0,3,0,2,0,1]]}]}],"i":[{"l":[{},[0,5]],"s":[{},[0,3]]}]}],"i":[{"n":[{},[0,0,1]],"t":[{},[0,0,4]]}],"o":[{"u":[{"r":[{"a":[{},[0,0,0,0,0,5]]}]}]}],"r":[{},[0,1]],"u":[{},[0,1]]}],"d":[{"a":[{"i":[{},[0,4]],"n":[{},[0,5]]}],"e":[{"s":[{"t":[{".":[{},[0,0,5]]}]}]},[0,1]],"i":[{"b":[{},[0,0,0,4]],"f":[{},[0,5,2]],"t":[{},[0,1]],"z":[{},[0,3]],"e":[{"c":[{"k":[{},[0,1]]}]}]}],"u":[{"c":[{},[0,5]],"r":[{},[0,0,0,4]]}],"w":[{"e":[{},[0,0,2]]}],"t":[{"h":[{"r":[{},[0,0,3]]}]}]}],"e":[{".":[{},[2]],"a":[{"r":[{},[0,3]]}],"b":[{"u":[{},[0,0,0,3]],"a":[{"c":[{"k":[{},[0,0,3]]}]}]},[0,0,2]],"c":[{"k":[{},[5]]},[0,0,2]],"d":[{},[2]],"g":[{"a":[{"t":[{"i":[{"v":[{},[0,0,0,5]]}]},[0,0,4]]}],"e":[{},[5]]}],"l":[{"a":[{},[0,0,4]],"i":[{"z":[{},[0,0,0,5]]}]}],"m":[{"i":[{},[0,0,5]],"o":[{},[0,0,4]]}],"n":[{"e":[{},[4]]},[1]],"o":[{},[3]],"p":[{"o":[{},[0,0,4]]}],"q":[{},[0,0,2]],"r":[{"a":[{"b":[{},[0,0,0,0,5]],"r":[{},[0,4]]}],"e":[{},[0,2]],"i":[{},[0,4,0,5]],"r":[{},[0,0,0,4]]},[0,1]],"s":[{".":[{},[2]],"p":[{},[4]],"t":[{},[2]],"w":[{},[4]],"k":[{"i":[{},[2,0,1]]}]},[1]],"t":[{"i":[{"c":[{},[3]]}]}],"v":[{"e":[{},[0,5]]},[0,0,4]],"w":[{},[0,0,4]]}],"f":[{"i":[{"n":[{"i":[{"t":[{"e":[{"s":[{},[0,0,0,6,3]]}]}]}]}]}]},[0,3]],"g":[{"a":[{"b":[{},[0,4]]}],"e":[{"l":[{},[0,3]],"n":[{"e":[{"s":[{},[0,0,0,5]]},[0,0,0,4,4]]}],"r":[{"e":[{},[0,5]],"i":[{},[0,3]]}]}],"h":[{"a":[{},[0,0,5]],"o":[{},[0,0,1]]}],"i":[{"b":[{},[0,3]],"n":[{},[0,0,1]],"t":[{},[0,5]]}],"l":[{"a":[{},[0,4]]}],"o":[{"v":[{},[0,0,0,0,4]]}],"s":[{"h":[{},[0,0,5]],"p":[{"r":[{},[0,0,1]]}]}],"u":[{"m":[{},[0,4]]},[0,1]],"y":[{},[0,2]]}],"h":[{"a":[{"b":[{},[0,0,0,0,3]]},[0,0,0,4]],"e":[{},[0,0,0,4]]},[4,1,4]],"i":[{"a":[{"n":[{".":[{},[4,5,4]]},[0,0,3]],"p":[{},[0,0,4]]},[3,4]],"b":[{"a":[{},[0,0,3]],"l":[{},[0,0,4]]}],"d":[{"i":[{},[0,0,5]]},[0,0,4]],"e":[{"r":[{},[0,0,4]]}],"f":[{"i":[{"c":[{"a":[{"t":[{},[0,0,5]]}]}]},[0,0,2]]}],"g":[{"r":[{},[0,5]]}],"k":[{},[0,0,0,4]],"m":[{"i":[{"z":[{},[0,0,3]]}]},[0,1]],"n":[{"e":[{".":[{},[5]]}],"g":[{},[0,0,0,4]]},[0,1]],"o":[{},[0,0,4]],"s":[{".":[{},[5]],"t":[{"a":[{},[0,0,0,4]]}]}],"t":[{"h":[{},[0,4]],"i":[{"o":[{},[3]]}],"o":[{"r":[{},[0,3]]}],"r":[{},[0,0,3]]},[0,2]]}],"j":[{},[0,1]],"k":[{"e":[{"r":[{"o":[{},[0,5]]}],"t":[{},[0,3]]}],"i":[{"n":[{},[0,0,3]]}],"l":[{},[0,1]],"r":[{"u":[{"p":[{},[0,0,3]]}]}]},[4,0,2]],"l":[{"e":[{"s":[{"s":[{},[0,5]]}]}]},[4,1]],"m":[{"e":[{"t":[{},[0,0,0,0,4]]},[0,0,0,4]]},[0,5]],"n":[{"e":[{},[0,0,0,4]],"i":[{"a":[{"l":[{},[0,0,0,3]]}],"v":[{},[0,0,0,4]]}]},[4,1,2]],"o":[{"b":[{"l":[{"e":[{},[0,0,3]]},[0,0,0,4]]}],"c":[{"l":[{},[0,5]],"e":[{"r":[{"o":[{"s":[{},[5,0,0,3,0,1]]}]}]}]}],"d":[{},[4,3,2]],"e":[{},[3]],"g":[{"e":[{},[0,0,0,0,4]]},[4]],"i":[{"s":[{"i":[{},[0,0,0,0,5]]}]}],"l":[{"i":[{},[0,0,5,4]],"o":[{"g":[{"i":[{"s":[{},[5]]}]}]}]}],"m":[{"i":[{"c":[{},[3]],"z":[{},[0,5,5]],"s":[{"t":[{},[0,1,1]]}]}],"o":[{},[0,0,4]],"y":[{},[0,0,3]],"a":[{"l":[{},[0,0,0,1,6]]}],"e":[{"n":[{"o":[{},[0,0,0,5,1]]}]}]}],"n":[{"a":[{"g":[{},[0,0,0,4]]}],"i":[{"z":[{},[0,5]],"s":[{"o":[{},[0,0,0,1,4]]}]},[0,0,0,5]],"e":[{"q":[{},[0,0,0,1]]}]},[0,0,4]],"p":[{"o":[{"l":[{"i":[{},[5,0,0,5,5]],"y":[{".":[{},[5,0,0,1]]}]}]}]},[4]],"r":[{"a":[{"b":[{},[0,0,0,5]],"r":[{"y":[{},[0,0,4]]}]}]}],"s":[{"c":[{},[4]],"e":[{},[0,0,0,4]],"t":[{},[0,0,0,5]]}],"t":[{"a":[{},[0,0,5]]}],"u":[{"n":[{},[3]]},[1]],"v":[{"e":[{"l":[{},[0,0,0,3,0,3]],"m":[{"b":[{},[0,0,1]]}]}]}],"w":[{"l":[{},[0,0,0,0,3]]}]}],"p":[{"i":[{},[0,0,0,4]],"r":[{"e":[{"c":[{},[0,0,0,0,4]]}]}]},[0,1,4]],"q":[{},[0,1]],"r":[{"u":[{},[0,0,0,4]]},[0,1]],"s":[{"a":[{"b":[{},[0,0,5]],"t":[{"i":[{},[0,0,0,0,0,4]]}]}],"c":[{"e":[{"i":[{"v":[{},[0,0,5]]}]}]},[0,0,4]],"e":[{"s":[{},[0,4,3]]},[0,2]],"i":[{"d":[{},[0,0,0,0,1]],"g":[{},[0,0,0,0,4]]}],"l":[{},[0,2]],"m":[{"o":[{"o":[{},[0,0,4]]}]},[0,0,3]],"o":[{"c":[{},[0,4]]}],"p":[{"e":[{},[0,0,4]],"i":[{},[0,5]]}],"t":[{"a":[{"b":[{"l":[{},[0,0,0,0,5]]}]}]}]},[2,1,2]],"t":[{"a":[{"b":[{},[0,0,0,4]]}],"e":[{"r":[{"s":[{},[0,0,0,0,3]]}]}],"i":[{"b":[{},[0,5]],"e":[{"r":[{},[0,0,0,4]]}],"f":[{},[0,0,0,2]],"n":[{"e":[{},[0,3]],"g":[{},[0,4,3]]}],"p":[{},[0,0,0,4]]},[0,0,2]],"r":[{"o":[{"l":[{"l":[{"i":[{},[0,0,0,0,0,5]]}]}]}],"e":[{"p":[{},[0,0,0,0,1]]}]}],"s":[{},[0,0,4]],"u":[{"m":[{"e":[{},[0,0,0,3]]}]}]},[0,1]],"u":[{"a":[{},[0,0,1]],"d":[{},[0,0,4]],"e":[{"n":[{},[0,0,5]]}],"f":[{"f":[{"e":[{},[0,0,0,4]]}]}],"i":[{"n":[{},[0,3]],"t":[{},[3,0,3]]}],"m":[{"e":[{},[0,0,1]],"i":[{},[0,5]]},[0,4]],"n":[{},[3,0,4]],"o":[{},[0,3]],"t":[{"r":[{},[0,0,3]]}]}],"v":[{},[0,1,2]],"w":[{},[0,1,4]],"y":[{"m":[{},[0,0,0,4]],"p":[{},[0,0,0,4]]}],"z":[{"a":[{},[0,3]]},[4]]}],"o":[{"a":[{"d":[{},[0,0,0,3]],"l":[{"e":[{"s":[{},[0,5,5]]}]}],"r":[{"d":[{},[0,0,0,0,3]]}],"s":[{"e":[{},[0,0,0,4]],"t":[{"e":[{},[0,0,0,0,5]]}]}],"t":[{"i":[{},[0,0,0,5]]}]},[4]],"b":[{"a":[{"b":[{},[0,0,3,3]],"r":[{},[0,5]]}],"e":[{"l":[{},[0,0,0,4]]}],"i":[{"n":[{"g":[{},[0,0,5]]},[0,2]]},[0,1]],"r":[{},[0,3]],"u":[{"l":[{},[0,0,3]]}],"l":[{"i":[{"g":[{},[0,0,0,0,2,1]]}]}]}],"c":[{"e":[{},[0,1]],"h":[{"e":[{"t":[{},[0,3]]}],"a":[{"s":[{},[0,3]]}]},[0,0,0,4]],"i":[{"f":[{},[0,0,0,0,3]],"l":[{},[0,4]]}],"l":[{"a":[{"m":[{},[0,4]]}]}],"o":[{"d":[{},[0,4]]}],"r":[{"a":[{"c":[{},[0,0,3]],"t":[{"i":[{"z":[{},[0,0,5]]}]}]}],"e":[{},[0,0,0,0,3]],"i":[{"t":[{},[5]]}]}],"t":[{"o":[{"r":[{"a":[{},[0,0,0,0,0,5]]}]}]}],"u":[{"l":[{"a":[{},[0,0,3]]}],"r":[{"e":[{},[0,5]]}]}]}],"d":[{"d":[{"e":[{"d":[{},[0,0,5]]}]}],"i":[{"c":[{},[0,0,3]],"o":[{},[0,0,0,3]],"t":[{"i":[{"c":[{},[0,0,0,0,1]]}]}]}],"o":[{"r":[{},[0,0,0,0,3]]},[0,2,0,4]],"u":[{"c":[{"t":[{".":[{},[0,0,5]],"s":[{},[0,0,5]]}]}]}],"e":[{"l":[{"l":[{"i":[{},[0,0,0,0,3]]}]}]}]}],"e":[{"l":[{},[0,4]],"n":[{"g":[{},[0,5]]}],"r":[{"s":[{"t":[{},[0,0,0,0,0,2]]}]},[0,3]],"t":[{"a":[{},[0,0,4]]}],"v":[{},[0,3]]}],"f":[{"i":[{"t":[{"e":[{},[0,0,5]],"t":[{},[0,0,0,0,4]]}]},[0,2]]}],"g":[{"a":[{"r":[{},[0,2,5,5]],"t":[{"i":[{"v":[{},[0,0,5]]}],"o":[{},[0,4]]}]}],"e":[{"n":[{"e":[{},[0,5]]}],"o":[{},[0,5]],"r":[{},[0,4]]},[0,1]],"i":[{"e":[{},[0,3]],"s":[{},[1,1]],"t":[{},[0,0,3]]}],"l":[{"y":[{},[0,5,2]]},[0,4]],"n":[{"i":[{"z":[{},[3]]}]}],"r":[{"o":[{},[0,4]]}],"u":[{"i":[{},[0,0,0,5]]}],"y":[{"n":[{},[2]]},[1]]}],"h":[{"a":[{"b":[{},[0,0,0,0,5]]}]},[0,1,2]],"i":[{"c":[{"e":[{"s":[{},[0,0,0,3]]}]}],"d":[{"e":[{"r":[{},[0,0,3]]}]}],"f":[{"f":[{},[0,0,0,0,4]]}],"g":[{},[0,0,0,4]],"l":[{"e":[{"t":[{},[0,0,5]]}]}],"n":[{"g":[{},[0,3]],"t":[{"e":[{"r":[{},[0,0,0,0,5]]}]}]}],"s":[{"m":[{},[0,5]],"o":[{"n":[{},[0,0,5]]}],"t":[{"e":[{"n":[{},[0,0,0,0,5]]}]}]}],"t":[{"e":[{"r":[{},[0,0,3]]}]}]},[0,0,2]],"j":[{},[0,5]],"k":[{"e":[{"n":[{},[0,3]],"s":[{"t":[{},[0,0,0,1]]}]}],"i":[{"e":[{},[0,0,5]]}]},[2]],"l":[{"a":[{"n":[{},[0,4]],"s":[{"s":[{},[0,0,0,0,0,4]]}]},[0,1]],"d":[{"e":[{},[0,0,0,1]]},[0,0,2]],"e":[{"r":[{},[0,0,3]],"s":[{"c":[{},[0,3]],"t":[{"e":[{"r":[{},[0,3,0,0,3]]}]}]}],"t":[{},[0,3]]}],"f":[{"i":[{},[0,0,4]]}],"i":[{"a":[{},[0,3]],"c":[{"e":[{},[0,3]]}],"d":[{".":[{},[0,0,5]]}],"f":[{},[0,3,0,4]],"l":[{},[0,5]],"n":[{"g":[{},[0,0,3]]}],"o":[{},[0,5]],"s":[{".":[{},[0,5]],"h":[{},[0,0,3]]}],"t":[{"e":[{},[0,5]],"i":[{"o":[{},[0,5]]}]}],"v":[{},[0,5]],"g":[{"o":[{"p":[{"o":[{},[0,0,0,3,0,0,1,1]]}]}]}]},[0,0,2]],"l":[{"i":[{"e":[{},[0,0,0,0,4]]}]}],"o":[{"g":[{"i":[{"z":[{},[0,0,5]]}]}],"r":[{},[0,0,0,4]],"n":[{"o":[{"m":[{},[0,1,0,3,4]]}]}]}],"p":[{"l":[{},[0,0,5]]}],"t":[{},[0,0,2]],"u":[{"b":[{},[0,0,3]],"m":[{"e":[{},[0,0,3]]}],"n":[{},[0,0,3]],"s":[{},[0,5]]}],"v":[{},[0,0,2]],"y":[{},[0,2]]}],"m":[{"a":[{"h":[{},[0,0,5]],"l":[{},[0,0,0,5]],"t":[{"i":[{"z":[{},[0,0,5]]}]}]}],"b":[{"e":[{},[0,0,2]],"l":[{},[0,0,4]]}],"e":[{"n":[{"a":[{},[0,0,3]]}],"r":[{"s":[{"e":[{},[0,0,5]]}]}],"t":[{"r":[{"y":[{},[0,0,5]]}]},[0,4]],"c":[{"h":[{"a":[{},[0,3,0,0,0,0,6]]}]}]},[0,2]],"i":[{"a":[{},[0,3]],"c":[{".":[{},[0,0,3]],"a":[{},[0,0,3]]}],"d":[{},[0,5]],"n":[{"i":[{},[0,5]]},[0,0,1]]}],"m":[{"e":[{"n":[{"d":[{},[5]]}]}]}],"o":[{"g":[{"e":[{},[0,0,0,4]]}],"n":[{},[0,4]]}],"p":[{"i":[{},[0,0,3]],"r":[{"o":[{},[0,0,0,0,0,5]]}]}]}],"n":[{"a":[{"c":[{},[0,0,4]],"n":[{},[0,3]]},[0,0,1]],"c":[{"i":[{"l":[{},[3]]}]},[0,0,1]],"d":[{"o":[{},[0,0,5]]},[2]],"e":[{"n":[{},[0,3]],"s":[{"t":[{},[0,0,5]]}]}],"g":[{"u":[{},[0,0,4]]}],"i":[{"c":[{},[0,0,1]],"o":[{},[0,3]],"s":[{},[0,0,1]],"u":[{},[0,5]]}],"k":[{"e":[{"y":[{},[0,0,3]]}]}],"o":[{"d":[{"i":[{},[0,0,4]]}],"m":[{"y":[{},[0,0,3]],"i":[{"c":[{},[0,0,0,0,1]]}]}],"r":[{"m":[{"a":[{},[0,3]]}]}],"t":[{"o":[{"n":[{},[0,3,0,2,1,3]]}]}],"u":[{},[0,3]]}],"s":[{"p":[{"i":[{"r":[{"a":[{},[0,0,0,0,0,0,5]]}]},[0,0,0,0,0,4]]}],"u":[{},[0,0,0,0,4]]},[0,0,3]],"t":[{"e":[{"n":[{},[0,0,0,0,0,4]]}],"i":[{"f":[{},[0,0,0,0,0,5]]},[0,0,3,4]]}],"u":[{"m":[{},[0,0,5]]}],"v":[{"a":[{},[0,0,0,0,5]]}]},[0,2]],"o":[{"d":[{"e":[{},[0,0,0,5]],"i":[{},[0,0,0,5]]}],"k":[{},[0,0,4]],"p":[{"i":[{},[0,0,0,3]]}],"r":[{"d":[{},[0,3]]}],"s":[{"t":[{},[0,0,0,0,5]]}]},[0,0,2]],"p":[{"a":[{},[0,2]],"e":[{"d":[{},[0,0,0,5]],"r":[{"a":[{"g":[{},[4]]},[3]]},[0,0,1]]}],"h":[{"a":[{"n":[{},[0,5]]}],"e":[{"r":[{},[0,5]]}]},[2]],"i":[{"n":[{"g":[{},[0,0,3]]}],"t":[{},[0,3]],"s":[{"m":[{".":[{},[0,0,1]]}]}]}],"o":[{"n":[{},[0,5]],"s":[{"i":[{},[0,4]]}]}],"r":[{},[0,1]],"u":[{},[0,0,1]],"y":[{},[0,0,0,5]]}],"q":[{},[0,1]],"r":[{"a":[{".":[{},[0,5]],"g":[{},[0,4,3]],"l":[{"i":[{"z":[{},[0,0,5]]}]}],"n":[{"g":[{"e":[{},[0,0,5]]}]}]},[0,1]],"e":[{"a":[{"l":[{},[0,5]]},[0,0,0,5]],"i":[{},[0,0,3]],"s":[{"h":[{},[0,0,0,5]],"t":[{".":[{},[0,0,5]]}]}],"w":[{},[0,0,0,0,4]]}],"g":[{"u":[{},[0,0,4]]}],"i":[{"a":[{},[4,5]],"c":[{"a":[{},[0,0,3]]}],"l":[{},[0,5]],"n":[{},[0,0,1]],"o":[{},[0,1]],"t":[{"y":[{},[0,0,3]]}],"u":[{},[0,3]]}],"m":[{"i":[{},[0,0,2]]}],"n":[{"e":[{},[0,0,0,2]]}],"o":[{"f":[{},[0,5]],"u":[{"g":[{},[0,0,3]]}]}],"p":[{"e":[{},[0,0,5]]}],"r":[{"h":[{},[3]]}],"s":[{"e":[{"n":[{},[0,0,0,5]]},[0,0,4]],"t":[{},[0,0,0,0,4]]}],"t":[{"h":[{"i":[{},[0,0,3]],"y":[{},[0,0,3]],"o":[{"n":[{"i":[{"t":[{},[0,0,4,0,0,3,0,4]]}]}]}],"r":[{"i":[{},[0,0,0,0,1]]}]}],"y":[{},[0,0,4]],"i":[{"v":[{"e":[{"l":[{"y":[{},[0,0,5]]}]}]}]}]}],"u":[{"m":[{},[0,5]]}],"y":[{},[0,1]]}],"s":[{"a":[{"l":[{},[0,0,3]]}],"c":[{"e":[{},[0,0,4]],"o":[{"p":[{"i":[{},[4]]},[0,3]]}],"r":[{},[0,5]]},[0,0,2]],"i":[{"e":[{},[0,0,4,4]],"t":[{"i":[{"v":[{},[0,0,5]]}],"o":[{},[0,0,3]],"y":[{},[0,0,3]]}],"u":[{},[0,0,0,4]]}],"l":[{},[0,0,4]],"o":[{},[0,2]],"p":[{"a":[{},[0,0,4]],"o":[{},[0,0,4]],"h":[{"e":[{"r":[{},[0,4,3]]}]}]}],"t":[{"a":[{"t":[{"i":[{},[0,5]]}]},[0,0,2]],"i":[{"l":[{},[0,0,5]],"t":[{},[0,0,5]]}]}]}],"t":[{"a":[{"n":[{},[0,4]]}],"e":[{"l":[{"e":[{"g":[{},[0,0,0,0,0,4]]}]}],"r":[{".":[{},[0,0,3]],"s":[{},[0,0,5]]}],"s":[{"t":[{"e":[{"r":[{},[0,5,0,0,0,1]]}],"o":[{"r":[{},[0,5,0,0,3]]}]}]},[0,4]]}],"h":[{"e":[{"s":[{"i":[{},[0,0,0,5]]}],"o":[{"s":[{},[0,0,0,3,1,1]]}]}],"i":[{},[0,0,0,3,4]]},[4]],"i":[{"c":[{".":[{},[0,0,3]],"a":[{},[0,0,5]],"e":[{},[0,3]]}],"f":[{},[0,3]],"s":[{},[0,3]]}],"o":[{"s":[{},[0,0,0,5]]}]}],"u":[{"b":[{"l":[{},[0,0,3]],"a":[{"d":[{"o":[{},[0,0,3,0,3]]}]}]}],"c":[{"h":[{"i":[{},[0,0,0,0,5]]}]}],"e":[{"t":[{},[0,0,5]]}],"l":[{},[0,0,4]],"n":[{"c":[{"e":[{"r":[{},[0,0,0,0,5]]}]}],"d":[{},[0,0,0,2]]}],"v":[{},[0,0,5]]},[0,0,2]],"v":[{"e":[{"n":[{},[0,0,4]],"r":[{"n":[{"e":[{},[0,0,0,0,4]]}],"s":[{},[0,0,0,0,3]],"t":[{},[0,0,4]]}]}],"i":[{"s":[{},[0,3]],"t":[{"i":[{},[0,0,0,0,0,4]]}],"a":[{"n":[{".":[{},[0,6,3,4]]}]}]}],"o":[{"l":[{},[0,5,4]]}]}],"w":[{"d":[{"e":[{"r":[{},[0,0,3]]}]}],"e":[{"l":[{},[0,0,3]],"s":[{"t":[{},[0,0,5]]}]}],"i":[{},[0,0,1]],"n":[{"i":[{},[0,0,0,5]]}],"o":[{},[0,4]]}],"y":[{"a":[{},[0,0,1]]}],"x":[{"i":[{"d":[{"i":[{"c":[{},[0,0,0,6,1]]}]}]}]}]}],"p":[{"a":[{"c":[{"a":[{},[0,0,4]],"e":[{},[0,0,4]],"t":[{},[0,0,0,4]]}],"d":[{},[0,4]],"g":[{"a":[{"n":[{},[5]],"t":[{},[0,3]]}]}],"i":[{"n":[{},[0,0,0,0,4]]},[0,4]],"l":[{"m":[{"a":[{"t":[{},[0,0,0,6]]}]}]},[0,4]],"n":[{"a":[{},[0,0,0,4]],"e":[{"l":[{},[0,0,0,3]]}],"t":[{"y":[{},[0,0,0,4]]}],"y":[{},[0,0,3]]}],"p":[{"u":[{},[0,0,4]]},[0,0,1]],"r":[{"a":[{"b":[{"l":[{},[0,0,0,0,5]]}],"g":[{"e":[{},[0,0,0,5]],"r":[{"a":[{},[0,0,0,0,0,6,0,4]]}]}],"l":[{"e":[{},[0,0,0,4,1]]}],"m":[{"e":[{},[0,0,0,0,3]]},[0,0,0,0,0,4]]}],"d":[{"i":[{},[0,0,0,5]]}],"e":[{"l":[{},[0,0,0,5]]},[3]],"i":[{"s":[{},[0,0,0,4]]},[0,4,4]]}],"t":[{"e":[{"r":[{},[0,0,5]]},[0,0,2]],"h":[{"i":[{"c":[{},[5]]}],"y":[{},[0,0,5]]}],"r":[{"i":[{"c":[{},[0,0,4]]}]}]}],"v":[{},[0,0,0,4]],"y":[{},[3]]},[1]],"b":[{},[4,1]],"d":[{},[0,0,4]],"e":[{".":[{},[4]],"a":[{"r":[{"l":[{},[0,0,0,0,4]]}]},[3,0,4]],"c":[{},[0,0,2]],"d":[{"e":[{},[3]],"i":[{"a":[{},[0,0,0,0,0,4]],"c":[{},[0,0,0,4]]},[3]]},[2,2]],"e":[{"d":[{},[0,0,0,4]],"v":[{},[0,0,0,2,1]]},[0,4]],"k":[{},[0,0,0,4]],"l":[{"a":[{},[0,0,4]],"i":[{"e":[{},[0,0,0,0,4]]}]}],"n":[{"a":[{"n":[{},[0,0,4]]}],"c":[{},[0,4]],"t":[{"h":[{},[0,0,0,4]]}]}],"o":[{"n":[{},[0,0,5]]}],"r":[{"a":[{".":[{},[0,4]],"b":[{"l":[{},[0,0,0,0,5]]}],"g":[{},[0,4]]}],"i":[{"s":[{"t":[{},[0,0,0,0,5]]}]},[0,4]],"m":[{"a":[{"l":[{},[0,0,0,4]]}],"e":[{},[0,0,0,0,0,5]]}],"n":[{},[0,4]],"o":[{},[0,0,0,3]],"t":[{"i":[{},[0,0,0,3]]}],"u":[{},[0,0,5]],"v":[{},[0,0,0,1]]}],"t":[{"e":[{"n":[{},[0,0,5]]}],"i":[{"z":[{},[0,0,5]]}]},[0,0,2]]}],"f":[{},[4]],"g":[{},[4]],"h":[{".":[{},[4]],"a":[{"r":[{"i":[{},[0,0,0,0,5]]}]}],"e":[{"n":[{"o":[{},[0,0,0,3]]}],"r":[{},[0,0,4]],"s":[{".":[{},[0,0,4]]}]}],"i":[{"c":[{},[0,0,1]],"e":[{},[5]],"n":[{"g":[{},[0,0,5]]}],"s":[{"t":[{"i":[{},[5]]}]}],"z":[{},[3]],"l":[{"a":[{"n":[{"t":[{},[0,0,0,2,3]]}],"t":[{"e":[{"l":[{},[0,0,0,5,0,0,1,3]]}]}]}]}]}],"l":[{},[0,0,2]],"o":[{"b":[{},[3]],"n":[{"e":[{},[3]],"i":[{},[5]]}],"r":[{},[0,0,0,4]]}],"s":[{},[4]],"t":[{},[0,0,3]],"u":[{},[5]],"y":[{},[1]]}],"i":[{"a":[{"n":[{},[0,0,0,0,4]]},[0,0,3]],"c":[{"i":[{"e":[{},[0,0,4]]}],"y":[{},[0,0,4]],"a":[{"d":[{},[0,0,2,1,3]]}]}],"d":[{"a":[{},[0,5]],"e":[{},[0,0,3]],"i":[{},[5]]},[0,4]],"e":[{"c":[{},[3]],"n":[{},[0,0,3]]}],"g":[{"r":[{"a":[{"p":[{},[0,0,4]]}]}]}],"l":[{"o":[{},[0,0,3]]}],"n":[{".":[{},[0,4]],"d":[{},[0,0,0,0,4]],"o":[{},[0,4]]},[0,0,2]],"o":[{"n":[{},[0,0,0,0,4]]},[3,0,1]],"t":[{"h":[{"a":[{},[0,0,5]]},[0,3]],"u":[{},[0,0,2]]}]}],"k":[{},[2,3,2]],"l":[{"a":[{"n":[{},[3]],"s":[{"t":[{},[0,0,0,0,5]]}]}],"i":[{"a":[{},[0,0,0,3]],"e":[{"r":[{},[0,0,0,5]]}],"g":[{},[4]],"n":[{"a":[{"r":[{},[0,0,0,5]]}]},[0,0,0,4]],"c":[{"a":[{"b":[{},[0,0,0,2,1]]}]}]}],"o":[{"i":[{},[0,0,0,0,4]]}],"u":[{"m":[{"b":[{},[0,0,0,0,4]]},[0,0,0,4]]}]},[1,2,2]],"m":[{},[4,1]],"n":[{},[2,3]],"o":[{"c":[{},[0,0,4]],"d":[{".":[{},[5]]}],"e":[{"m":[{},[0,0,5]],"t":[{},[0,0,3,0,5]]}],"g":[{},[5,0,4]],"i":[{"n":[{"t":[{},[5]],"c":[{"a":[{},[0,0,0,0,3]]}]},[0,0,0,0,2]]}],"l":[{"y":[{"t":[{},[0,0,0,0,5]],"e":[{},[0,0,0,0,1]],"p":[{"h":[{"o":[{"n":[{"o":[{},[0,0,3,0,0,0,1]]}]}]}]}]}],"e":[{".":[{},[1]]}]}],"n":[{"i":[{},[0,0,4]]}],"p":[{},[0,0,4]],"r":[{"y":[{},[0,0,4]]},[1,4]],"s":[{"s":[{},[0,0,0,1]]},[1]],"t":[{"a":[{},[0,0,4]]},[0,4]],"u":[{"n":[{},[5]]}]}],"p":[{"a":[{"r":[{"a":[{},[0,0,0,5]]}]}],"e":[{"d":[{},[0,4]],"l":[{},[0,5]],"n":[{},[0,3]],"r":[{},[0,3]],"t":[{},[0,3]]},[0,2]],"o":[{"s":[{"i":[{"t":[{"e":[{},[0,0,0,5]]}]}]}]}]},[4,1]],"r":[{"a":[{"y":[{"e":[{},[0,0,0,0,4]]}]}],"e":[{"c":[{"i":[{},[5]],"o":[{},[0,0,0,5]]}],"e":[{"m":[{},[0,0,0,3]]}],"f":[{"a":[{"c":[{},[0,0,0,0,5]]}]}],"l":[{"a":[{},[0,0,0,4]]}],"r":[{},[0,0,0,3]],"s":[{"e":[{},[0,3]],"s":[{},[3]],"p":[{"l":[{"i":[{},[0,0,0,0,2]]}]}]}],"t":[{"e":[{"n":[{},[0,0,0,5]]}]}],"v":[{},[0,0,0,3]],"m":[{"a":[{"c":[{},[1,0,0,0,0,3]]}]}],"n":[{"e":[{"u":[{},[0,0,0,1]]}]}]}],"i":[{"e":[{},[5,0,0,4]],"n":[{"t":[{},[0,0,0,0,4,3]]}],"s":[{"o":[{},[0,0,0,0,3]]},[0,0,0,4]]}],"o":[{"c":[{"a":[{},[0,3]],"e":[{"s":[{"s":[{},[0,0,0,2]]}]}],"i":[{"t":[{"y":[{".":[{},[0,0,0,0,3,3]]}]}]}]}],"f":[{"i":[{"t":[{},[0,0,0,0,5]]}]}],"l":[{},[0,0,0,3]],"s":[{"e":[{},[0,0,0,0,3]]}],"t":[{},[0,0,0,1]],"g":[{"e":[{},[0,0,0,2,1]]}]}]},[0,0,2]],"s":[{"e":[{"u":[{"d":[{"o":[{"d":[{},[0,0,0,0,3,6,3,2]],"f":[{},[0,0,0,0,3,6,3,2]]}]},[3,0,0,0,2]]}]},[0,2]],"h":[{},[0,0,4]],"i":[{"b":[{},[0,4]]}]},[2,1,2]],"t":[{"a":[{"b":[{},[0,0,5,4]]}],"e":[{},[0,2]],"h":[{},[0,2]],"i":[{"m":[{},[0,0,0,3]]}],"u":[{"r":[{},[0,0,0,4]]}],"w":[{},[0,4]],"o":[{"m":[{"a":[{"t":[{},[0,0,0,3,0,0,4]]}]}]}],"r":[{"o":[{"l":[{},[0,5,0,0,0,3]]}]}]},[2,1]],"u":[{"b":[{"e":[{"s":[{"c":[{},[0,0,5,0,0,5]]}]}]},[0,0,0,3]],"e":[{},[0,0,0,4]],"f":[{},[0,0,0,4]],"l":[{"c":[{},[0,0,0,3]]}],"m":[{},[0,0,4]],"n":[{},[0,0,2]],"r":[{"r":[{},[0,0,0,4]]}],"s":[{},[5]],"t":[{"e":[{"r":[{},[0,0,0,3]]},[5]],"r":[{},[0,0,3]],"t":[{"e":[{"d":[{},[0,0,0,4]]}],"i":[{"n":[{},[0,0,0,4]]}]}]},[0,0,2]]}],"w":[{},[0,3]]}],"q":[{"u":[{"a":[{"v":[{},[0,0,0,5]],"i":[{"n":[{"t":[{"e":[{},[0,0,0,0,0,2,1]]}]}]}],"s":[{"i":[{"r":[{},[0,0,0,0,0,0,6]],"s":[{},[0,0,0,0,0,0,6]]},[0,0,6,3,0,3]]}]}],"e":[{".":[{},[2]],"r":[{},[3]],"t":[{},[3]]}],"i":[{"n":[{"t":[{"e":[{"s":[{"s":[{},[0,0,0,0,5,0,0,5]]}]}]}]}],"v":[{"a":[{"r":[{},[0,0,0,3,4]]}]}]}]},[0,0,2]]}],"r":[{"a":[{"b":[{"i":[{},[0,0,3]],"o":[{"l":[{"i":[{"c":[{},[0,1]]}],"o":[{"i":[{},[3,0,0,1,1]]}]}]}]},[2]],"c":[{"h":[{"e":[{},[0,0,0,0,4]],"u":[{},[0,0,3]]}],"l":[{},[0,5]]}],"f":[{"f":[{"i":[{},[0,0,0,5]]}],"t":[{},[0,0,0,4]]}],"i":[{},[0,2]],"l":[{"o":[{},[0,0,4]]}],"m":[{"e":[{"t":[{"r":[{"i":[{"z":[{},[3,0,4,5,1]]}]}]},[0,0,0,3]],"n":[{},[0,2]]}],"i":[{},[0,2]],"o":[{"u":[{},[0,0,3]]}]}],"n":[{"e":[{"o":[{},[0,0,0,0,5]]}],"g":[{"e":[{},[0,0,0,4]]}],"i":[{},[0,4]],"o":[{},[0,0,5]],"h":[{"a":[{"s":[{},[0,0,5,2]]}]}]}],"p":[{"e":[{"r":[{},[0,0,0,3]]}],"h":[{"y":[{},[3]]}]}],"r":[{"c":[{},[0,0,0,5]],"e":[{"f":[{},[0,0,0,5]]},[0,0,0,0,4]],"i":[{"l":[{},[4]]}]}],"s":[{},[0,2]],"t":[{"i":[{"o":[{"n":[{},[0,0,0,0,0,0,4]]}]}]}],"u":[{"t":[{},[0,0,0,4]]}],"v":[{"a":[{"i":[{},[0,0,5]]}],"e":[{"l":[{},[0,0,0,3]]}]}],"z":[{"i":[{"e":[{},[0,0,5]]}]}],"d":[{"i":[{"g":[{},[0,3,3]],"o":[{"g":[{},[0,0,0,0,1,6]]}]}]}],"o":[{"r":[{},[0,0,1]]}]}],"b":[{"a":[{"b":[{},[0,4]],"g":[{},[0,4]]}],"i":[{"f":[{},[0,0,0,4]],"n":[{"e":[{},[0,5]],"g":[{".":[{},[0,0,5]],"e":[{},[0,3,0,0,1]]}]},[0,2]]},[0,0,0,2]],"o":[{},[0,0,4]]},[0,1]],"c":[{"e":[{"n":[{},[0,0,0,0,4]]},[0,2]],"h":[{"a":[{},[0,3]],"e":[{"r":[{},[0,0,0,4]]}]}],"i":[{"b":[{},[0,4,0,4]],"t":[{},[0,0,4]]}],"u":[{"m":[{},[0,0,0,0,3]]}]},[0,1]],"d":[{"a":[{"l":[{},[0,4]]}],"i":[{"a":[{},[0,0,0,4]],"e":[{"r":[{},[0,0,0,4]]}],"n":[{"g":[{},[0,0,3]]},[0,0,0,0,4]]},[0,0,2]]}],"e":[{".":[{},[2]],"a":[{"l":[{},[0,0,1]],"n":[{},[0,0,3]],"r":[{"r":[{},[0,0,5]]}],"v":[{},[5]],"w":[{},[0,0,4]]}],"b":[{"r":[{"a":[{"t":[{},[0,5]]}]}]}],"c":[{"o":[{"l":[{"l":[{},[0,0,0,5]]}],"m":[{"p":[{"e":[{},[0,0,0,5]]}]}]}],"r":[{"e":[{},[0,0,4]]}],"i":[{"p":[{"r":[{},[0,0,2,3,1]]}]}],"t":[{"a":[{"n":[{"g":[{},[0,0,0,5,6]]}]}]}]}],"d":[{"e":[{},[0,0,1]],"i":[{"s":[{},[0,0,3]],"t":[{},[0,0,0,5]]}]},[2,2]],"f":[{"a":[{"c":[{},[0,0,4]]}],"e":[{"r":[{".":[{},[0,0,5]]}]},[0,0,2]],"i":[{},[0,0,3]],"y":[{},[0,0,4]]}],"g":[{"i":[{"s":[{},[0,0,0,3]]}]}],"i":[{"t":[{},[0,0,5]]}],"l":[{"i":[{},[0,0,1]],"u":[{},[0,0,5]]}],"n":[{"t":[{"a":[{},[0,4,0,4]],"e":[{},[0,0,0,4]]}]}],"o":[{},[0,0,1]],"p":[{"i":[{"n":[{},[0,0,5]]}],"o":[{"s":[{"i":[{},[0,0,4]]}]}],"u":[{},[0,0,1]]}],"r":[{"i":[{},[0,4]],"o":[{},[0,0,0,0,4]],"u":[{},[0,0,5]]},[0,1,0,4]],"s":[{".":[{},[0,4]],"p":[{"i":[{},[0,0,4]]}],"s":[{"i":[{"b":[{},[0,0,0,0,5]]}]}],"t":[{"a":[{"l":[{},[0,0,5]]}],"r":[{},[0,0,3]]},[0,0,0,2]]}],"t":[{"e":[{"r":[{},[0,0,4]]}],"i":[{"z":[{},[0,0,4,0,4]]}],"r":[{"i":[{"b":[{"u":[{},[0,0,4,1]]}]},[0,0,3]]}]}],"u":[{"t":[{"i":[{},[0,0,5]]}]},[0,0,0,2]],"v":[{"a":[{"l":[{},[0,0,4]]}],"e":[{"l":[{},[0,0,0,3]],"r":[{".":[{},[0,5,0,5]],"s":[{},[0,0,5]],"t":[{},[0,0,5]]}]}],"i":[{"l":[{},[0,0,5]]}],"o":[{"l":[{"u":[{},[0,0,0,5]]}]}]},[0,0,0,2]],"w":[{"h":[{},[0,0,4]]}]}],"f":[{"u":[{},[0,0,0,4]],"y":[{},[0,4]]},[0,1]],"g":[{"e":[{"r":[{},[0,0,3]],"t":[{},[0,3]]}],"i":[{"c":[{},[0,3]],"n":[{"g":[{},[0,0,3]]},[0,0,0,4]],"s":[{},[0,5]],"t":[{},[0,5]]}],"l":[{},[0,1]],"o":[{"n":[{},[0,0,0,4]]}],"u":[{},[0,3]]},[0,0,2]],"h":[{".":[{},[4]],"a":[{"l":[{},[4]]}]},[0,0,4]],"i":[{"a":[{"b":[{},[0,0,0,4]],"g":[{},[0,0,4]],"l":[{".":[{},[0,3]]}]},[0,0,3]],"b":[{"a":[{},[0,0,0,3]]},[0,4]],"c":[{"a":[{"s":[{},[0,0,0,5]]}],"e":[{},[0,4]],"i":[{"d":[{},[5]],"e":[{},[0,0,4]]},[4]],"o":[{},[0,4]]}],"d":[{"e":[{"r":[{},[0,0,0,5]]}]}],"e":[{"n":[{"c":[{},[0,0,3]],"t":[{},[0,0,3]]}],"r":[{},[0,0,1]],"t":[{},[0,0,5]]}],"g":[{"a":[{"n":[{},[0,0,0,5]]}],"i":[{},[5]]}],"l":[{"i":[{"z":[{},[0,0,0,3]]}]}],"m":[{"a":[{"n":[{},[5]]}],"i":[{},[0,0,0,5]],"o":[{},[3]],"p":[{"e":[{},[0,0,0,4]]}]}],"n":[{"a":[{".":[{},[5]]},[0,2]],"d":[{},[0,0,0,4]],"e":[{},[0,0,0,4]],"g":[{},[0,0,0,4]]}],"o":[{},[0,0,1]],"p":[{"h":[{"e":[{},[0,0,0,0,5]]},[5]],"l":[{"i":[{"c":[{},[0,0,0,5]]}]},[0,0,2]]}],"q":[{},[0,4]],"s":[{".":[{},[0,4]],"c":[{},[0,0,0,4]],"h":[{},[0,3]],"p":[{},[0,0,0,4]]},[0,2]],"t":[{"a":[{"b":[{},[0,0,3,0,3]]}],"e":[{"d":[{".":[{},[0,5]]}],"r":[{".":[{},[0,0,0,5]],"s":[{},[0,0,0,5]]}]}],"i":[{"c":[{},[0,0,0,3]]}],"u":[{"r":[{},[0,0,0,5]]},[0,0,2]]}],"v":[{"e":[{"l":[{},[0,0,0,5]],"t":[{},[0,0,0,3]]}],"i":[{},[0,0,0,3]],"o":[{"l":[{},[0,0,0,1,1]]}]}]}],"j":[{},[0,3]],"k":[{"e":[{"t":[{},[0,3]]}],"l":[{"e":[{},[0,0,4]],"i":[{"n":[{},[0,0,4]]}]}],".":[{},[6]],"h":[{"o":[{},[0,0,1]]}],"r":[{"a":[{"u":[{},[0,1]]}]}],"s":[{".":[{},[6]]}]}],"l":[{"e":[{"d":[{},[0,2]],"q":[{"u":[{},[0,5,0,5]]}]},[0,0,0,4]],"i":[{"g":[{},[0,4]],"s":[{"h":[{},[0,0,5]]},[0,4]]}],"o":[{},[0,3,0,4]]},[0,1]],"m":[{"a":[{"c":[{},[0,0,0,5]]}],"e":[{"n":[{},[0,3]],"r":[{"s":[{},[0,0,5]]}]},[0,2]],"i":[{"n":[{"g":[{".":[{},[0,4]]},[0,0,3]]}],"o":[{},[0,4]],"t":[{},[0,3]]}],"y":[{},[0,4]]},[0,1]],"n":[{"a":[{"r":[{},[0,4]]}],"e":[{"l":[{},[0,3]],"r":[{},[0,4]],"t":[{},[0,5]],"y":[{},[0,3]]}],"i":[{"c":[{},[0,5]],"s":[{},[0,1,0,0,4]],"t":[{},[0,3]],"v":[{},[0,3]]}],"o":[{"u":[{},[0,4]]},[0,0,0,4]],"u":[{},[0,3]]}],"o":[{"b":[{"l":[{},[0,0,0,3]],"o":[{"t":[{},[0,0,1,0,0,1]]}]}],"c":[{"r":[{},[0,0,3]]},[0,2]],"e":[{"l":[{"a":[{"s":[{},[0,0,5,2]]}]}],"p":[{"i":[{"d":[{"e":[{},[0,0,5,0,0,0,0,1]]}]}]}]},[0,0,4]],"f":[{"e":[{},[0,0,1]],"i":[{"l":[{},[0,0,5]]}]}],"k":[{"e":[{"r":[{},[0,0,5]]}]},[0,0,0,2]],"l":[{"e":[{".":[{},[5]]}]}],"m":[{"e":[{"t":[{"e":[{},[0,0,0,5]]}],"s":[{"h":[{},[0,0,3]]}]}],"i":[{},[0,0,0,4]],"p":[{},[0,0,0,4]]}],"n":[{"a":[{"l":[{},[0,0,0,4]]}],"e":[{},[0,0,0,4]],"i":[{"s":[{},[0,0,5,4]]}],"t":[{"a":[{},[0,0,0,4]]}]}],"o":[{"m":[{},[1]],"t":[{},[5]]}],"p":[{"e":[{"l":[{},[0,0,3]]}],"i":[{"c":[{},[0,0,0,3]]}]}],"r":[{"i":[{},[0,0,0,3]],"o":[{},[0,0,5]]}],"s":[{"p":[{"e":[{"r":[{},[0,0,0,5]]}]}],"s":[{},[0,0,0,4]]}],"t":[{"h":[{"e":[{},[0,0,4]]}],"y":[{},[0,0,4]],"r":[{"o":[{"n":[{},[0,0,1]]}]}]}],"v":[{"a":[{},[0,0,4]],"e":[{"l":[{},[0,0,0,5]]}]}],"x":[{},[0,0,0,5]]}],"p":[{"e":[{"a":[{},[0,4]],"n":[{"t":[{},[0,5]]}],"r":[{".":[{},[0,0,5]]}],"t":[{},[0,3]]}],"h":[{},[0,0,4,4]],"i":[{"n":[{"g":[{},[0,0,3]]}]}],"o":[{},[0,3]],"a":[{"u":[{"l":[{"i":[{},[0,3,0,0,5]]}]}]}]},[0,1]],"r":[{"e":[{"c":[{},[0,0,0,4]],"f":[{},[0,0,0,4]],"o":[{},[0,4]],"s":[{"t":[{},[0,0,0,4]]}]}],"i":[{"o":[{},[0,0,0,4]],"v":[{},[0,0,0,4]]}],"o":[{"n":[{},[0,0,0,0,4]],"s":[{},[0,0,0,0,4]]}],"y":[{"s":[{},[0,0,0,0,4]]}]},[0,1,4]],"s":[{"a":[{"t":[{"i":[{},[0,0,0,5]]}]},[0,1]],"c":[{},[0,0,4]],"e":[{"c":[{"r":[{},[0,0,0,4]]},[0,3]],"r":[{".":[{},[0,0,5]],"a":[{"d":[{"i":[{},[0,0,0,1,0,0,1]]}]}]}],"s":[{},[0,0,3]],"v":[{},[0,0,0,5,2]]},[0,2]],"h":[{"a":[{},[0,5]]},[0,1]],"i":[{"b":[{},[0,4,0,4]]},[0,1]],"o":[{"n":[{},[0,0,0,0,3]]}],"p":[{},[0,1]],"w":[{},[0,5]]},[4,0,2]],"t":[{"a":[{"c":[{"h":[{},[0,0,0,0,0,4]]}],"g":[{},[0,4]]}],"e":[{"b":[{},[0,3]],"n":[{"d":[{},[0,0,0,0,4]]}],"o":[{},[0,0,0,5]]}],"i":[{"b":[{},[0,0,5]],"d":[{},[0,0,0,4]],"e":[{"r":[{},[0,4]]}],"g":[{},[0,3]],"l":[{"i":[{},[0,0,0,0,3]],"l":[{},[0,0,0,0,4]],"y":[{},[0,4]]}],"s":[{"t":[{},[0,4]]}],"v":[{},[0,4]]},[0,1]],"r":[{"i":[{},[0,3]],"o":[{"p":[{"h":[{},[0,0,0,0,0,0,4]]}]}],"e":[{"u":[{},[0,1]]}]}],"s":[{"h":[{},[0,0,4]]}],"h":[{"o":[{"u":[{},[0,1]]}]}]}],"u":[{"a":[{},[0,0,3]],"e":[{"l":[{},[0,0,3,4]],"n":[{},[0,0,3]]}],"g":[{"l":[{},[0,0,4]]}],"i":[{"n":[{},[0,0,3]]}],"m":[{"p":[{"l":[{},[0,0,0,3]]}]}],"n":[{"k":[{},[0,0,0,0,5]],"t":[{"y":[{},[0,0,0,4]]}]},[0,0,2]],"s":[{"c":[{},[0,5]]}],"t":[{"i":[{"n":[{},[0,0,0,0,5]]}]}]}],"v":[{"e":[{"l":[{"i":[{},[0,0,0,0,4]]}],"n":[{},[0,3]],"r":[{".":[{},[0,0,5]]}],"s":[{"t":[{},[0,5]]}],"y":[{},[0,3]],"i":[{"l":[{},[0,1]]}]},[0,0,4]],"i":[{"c":[{},[0,3]],"v":[{},[0,0,0,4]]}],"o":[{},[0,3]]}],"w":[{},[0,1]],"y":[{"c":[{},[0,0,4]],"n":[{"g":[{"e":[{},[5]]}]}],"t":[{},[0,0,3]]}],"z":[{"s":[{"c":[{},[0,0,1]]}]}]}],"s":[{"a":[{"b":[{},[2,1]],"c":[{"k":[{},[5]],"r":[{"i":[{},[0,0,0,3]]}],"t":[{},[0,3]]}],"i":[{},[5]],"l":[{"a":[{"r":[{},[0,0,0,0,0,4]]}],"m":[{},[0,0,0,4]],"o":[{},[0,0,5]],"t":[{},[0,0,0,4]],"e":[{"s":[{"c":[{},[0,0,0,0,0,3]],"w":[{},[0,0,0,0,0,5]]}]}]}],"n":[{"c":[{},[3]],"d":[{"e":[{},[0,0,0,4]]}]}],"p":[{"a":[{"r":[{"i":[{"l":[{},[5,0,3,0,0,5]]}]}]}]},[0,1]],"t":[{"a":[{},[0,0,5]],"i":[{"o":[{},[5,0,3]]}],"u":[{},[0,0,0,3]]}],"u":[{},[0,0,0,4]],"v":[{"o":[{"r":[{},[0,0,5]]}]}],"w":[{},[5]]},[0,0,2]],"b":[{},[4,5]],"c":[{"a":[{"n":[{"t":[{},[0,0,0,0,4,5]]}],"p":[{"e":[{"r":[{},[0,0,0,6,1]]}]},[0,0,0,4]],"v":[{},[0,0,0,0,5]],"t":[{"o":[{"l":[{},[0,0,0,2,1]]}]}]}],"e":[{"d":[{},[0,4]],"i":[{},[4]],"s":[{},[0,4]]}],"h":[{"o":[{},[0,4]],"i":[{"t":[{"z":[{},[0,4]]}]}],"r":[{"o":[{"d":[{"i":[{"n":[{"g":[{},[0,0,0,0,0,1,0,0,0,1]]}]}]}]}]}]},[0,0,0,2]],"i":[{"e":[{},[3,4]],"n":[{"d":[{},[5,0,0,0,4]]}],"u":[{"t":[{"t":[{},[1,0,0,2]]}]}]}],"l":[{"e":[{},[0,0,0,0,5]],"i":[{},[0,4]]}],"o":[{"f":[{},[0,0,0,0,4]],"p":[{"y":[{},[4]]}],"u":[{"r":[{"a":[{},[0,0,0,0,0,5]]}]}]}],"u":[{},[0,1]],"r":[{"a":[{"p":[{"e":[{"r":[{".":[{},[0,0,0,0,0,4]]}]}]}]}]}],"y":[{"t":[{"h":[{},[0,0,0,4,0,1]]}]}]}],"d":[{},[4,5]],"e":[{".":[{},[4]],"a":[{"s":[{},[0,0,0,0,4]],"w":[{},[0,0,0,5]]},[0,0,4]],"c":[{"o":[{},[0,0,2,3]],"t":[{},[3]]}],"d":[{"e":[{},[0,0,4,4]],"l":[{},[0,5]]},[4,4]],"g":[{"r":[{},[0,0,0,3]]},[0,0,2]],"i":[{},[5]],"l":[{"e":[{},[0,0,1]],"f":[{},[5]],"v":[{},[5]]}],"m":[{"e":[{"s":[{"t":[{},[0,0,3,0,0,1]]}]},[4]],"o":[{"l":[{},[0,0,4]]}],"a":[{"p":[{"h":[{},[0,0,0,1,1]]}]}],"i":[{"t":[{"i":[{"c":[{},[0,0,1,0,6,5]]}]}]}]}],"n":[{"a":[{"t":[{},[0,0,0,5]]}],"c":[{},[4]],"d":[{},[0,0,0,4]],"e":[{"d":[{},[0,5]]}],"g":[{},[0,0,0,5]],"i":[{"n":[{},[0,5]]}],"t":[{"d":[{},[4]],"l":[{},[4]]}]}],"p":[{"a":[{},[0,0,0,3,3]],"t":[{"e":[{"m":[{"b":[{},[0,0,0,3]]}]}]}]}],"r":[{".":[{},[4,1]],"l":[{},[0,4]],"o":[{},[0,0,0,4]],"v":[{"o":[{},[4]]}]}],"s":[{"h":[{},[0,0,5]],"t":[{},[0,0,0,5]]},[0,1,4]],"u":[{"m":[{},[5,0,5]]}],"v":[{"e":[{"n":[{},[0,0,0,3]]}]},[5]],"w":[{"i":[{},[0,0,0,4]]}],"x":[{},[5]]}],"f":[{},[4,3]],"g":[{},[2,3]],"h":[{".":[{},[2]],"e":[{"r":[{},[0,0,1]],"v":[{},[5]]}],"i":[{"n":[{},[0,0,1]],"o":[{},[0,0,3]],"p":[{},[3]],"v":[{},[0,0,0,0,5]]}],"o":[{"l":[{"d":[{},[0,0,5]]}],"n":[{},[0,0,0,0,3]],"r":[{"t":[{},[0,0,0,0,0,5]]},[0,0,0,0,4]],"e":[{"s":[{"t":[{},[0,0,0,0,1]]}]}]},[0,0,0,4]],"w":[{},[4]]},[0,2]],"i":[{"b":[{},[0,0,1]],"c":[{"c":[{},[0,5]]}],"d":[{"e":[{".":[{},[3]],"s":[{"t":[{},[0,0,0,0,5]],"w":[{},[0,0,0,0,5]]},[5]],"d":[{".":[{},[0,0,0,2]]}]}],"i":[{"z":[{},[0,0,5]]},[5]]}],"g":[{"n":[{"a":[{},[4]]}]}],"l":[{"e":[{},[0,0,0,4]],"y":[{},[4]]}],"n":[{"a":[{},[0,2]],"e":[{".":[{},[5]]}],"g":[{},[0,3]]},[2,1]],"o":[{"n":[{"a":[{},[0,0,0,0,5]]},[5]]},[1]],"r":[{"a":[{},[0,0,0,5]],"e":[{"s":[{"i":[{"d":[{},[0,0,5]]}]}]}]},[0,0,2]],"s":[{},[1]],"t":[{"i":[{"o":[{},[3]]}]}],"u":[{},[5]],"v":[{},[1]],"z":[{},[5]]}],"k":[{"e":[{"t":[{},[0,3]]},[4]],"i":[{"n":[{"e":[{},[0,0,5]],"g":[{},[0,0,5]]}]}],"y":[{"s":[{"c":[{},[0,0,0,1]]}]}]},[0,0,2]],"l":[{"a":[{"t":[{},[0,3]]}],"e":[{},[0,2]],"i":[{"t":[{"h":[{},[0,0,0,0,0,5]]}]}],"o":[{"v":[{"a":[{"k":[{"i":[{"a":[{},[3,0,0,0,0,1]]}]}]}]}]}]},[0,1,2]],"m":[{"a":[{"l":[{"l":[{},[0,0,0,0,0,3]]}],"n":[{},[0,0,0,0,3]]},[0,3]],"e":[{"l":[{},[0,0,0,0,4]],"n":[{},[0,5]]}],"i":[{"t":[{"h":[{},[5]]}]}],"o":[{"l":[{"d":[{},[0,0,0,0,5,4]]}]}]},[2,1]],"n":[{},[0,1,4]],"o":[{"c":[{"e":[{},[0,0,4]]}],"f":[{"t":[{},[0,0,0,0,3]]}],"l":[{"a":[{"b":[{},[0,0,4]]}],"d":[{},[0,0,0,3,2]],"i":[{"c":[{},[0,0,3]]}],"v":[{},[5]],"u":[{"t":[{"e":[{},[0,0,2]]}]}]}],"m":[{},[3]],"n":[{".":[{},[3,4]],"a":[{},[0,0,0,0,4]],"g":[{},[0,0,0,4]]}],"p":[{"h":[{"i":[{"c":[{},[5]],"z":[{},[0,5]]}],"y":[{},[0,5]]}]},[0,4]],"r":[{"c":[{},[0,0,0,5]],"d":[{},[0,0,0,5]]}],"v":[{"i":[{},[0,0,5]]},[4]],"g":[{"a":[{"m":[{"y":[{},[3,2,0,1,1]]}]}]}]},[1]],"p":[{"a":[{"i":[{},[5]],"n":[{},[0,0,0,4]],"c":[{"e":[{},[3,2]],"i":[{"n":[{},[1,2]]}]}]},[2]],"e":[{"n":[{"d":[{},[0,0,0,0,4]]}],"o":[{},[2,5]],"r":[{},[2]],"c":[{"i":[{"o":[{},[0,0,0,3]]}]}]}],"h":[{"e":[{"r":[{"o":[{},[0,0,0,0,0,1]]},[3]]},[0,2]],"o":[{},[0,0,0,0,5]]}],"i":[{"l":[{},[0,0,0,0,4]],"n":[{"g":[{},[0,0,5]]}],"o":[{},[4]],"c":[{"i":[{"l":[{},[0,0,0,2,1]]}]}]}],"l":[{"y":[{},[0,4]]}],"o":[{"n":[{},[0,4]],"r":[{"t":[{"s":[{"c":[{},[0,0,0,0,0,0,3]],"w":[{},[0,0,0,0,0,0,3]]}]}]},[0,0,0,0,4]],"t":[{},[4]],"k":[{"e":[{"s":[{"w":[{},[0,0,0,0,0,0,5]]}]}]}]}]}],"q":[{"u":[{"a":[{"l":[{"l":[{},[0,0,0,0,0,4]]}]}],"i":[{"t":[{"o":[{},[0,3,0,0,3]]}]}]}]}],"r":[{},[0,1]],"s":[{"a":[{"s":[{},[0,0,0,0,3]],"c":[{"h":[{"u":[{},[0,2,1,3,0,0,1]]}]}]},[0,1]],"c":[{},[0,2,5]],"e":[{"l":[{},[0,3]],"n":[{"g":[{},[0,5]]}],"s":[{".":[{},[0,4]]}],"t":[{},[0,5]]}],"i":[{"e":[{"r":[{},[0,0,0,4]]},[0,4]],"l":[{"y":[{},[0,0,5]]}],"a":[{"n":[{".":[{},[0,2,3,4]]}]}],"g":[{"n":[{"a":[{"b":[{},[0,5,0,0,0,5,3]]}]}]}]},[0,1]],"l":[{"i":[{},[0,0,4]]},[0,4]],"n":[{},[0,4]],"p":[{"e":[{"n":[{"d":[{},[0,0,0,0,0,0,4]]}]}]}],"t":[{},[0,0,2]],"u":[{"r":[{"a":[{},[0,0,0,0,5]]}]}],"w":[{},[0,0,5]],"h":[{"a":[{"t":[{},[0,0,3]]}]}]},[2]],"t":[{".":[{},[2]],"a":[{"g":[{},[0,2]],"l":[{},[0,2]],"m":[{"i":[{},[0,0,0,0,4]],"p":[{},[1,2]]}],"n":[{"d":[{},[5]],"t":[{"s":[{"h":[{"i":[{},[0,2,1,0,0,5]]}]}]}]}],"p":[{},[0,4,0,4]],"t":[{".":[{},[5]],"i":[{},[0,0,0,1]]}],"r":[{"t":[{"l":[{"i":[{},[0,0,0,0,3]]}]}]}]}],"e":[{"d":[{},[0,4]],"r":[{"n":[{"i":[{},[0,0,0,0,0,5]]}],"o":[{},[0,5]]}],"w":[{"a":[{},[0,0,0,0,5]]},[0,0,0,2]]}],"h":[{"e":[{},[0,3]]}],"i":[{".":[{},[0,4]],"a":[{},[0,5]],"c":[{"k":[{},[5]]},[0,1]],"e":[{},[0,4]],"f":[{},[0,3]],"n":[{"g":[{},[0,0,3]]}],"r":[{},[5]]},[0,0,2]],"l":[{"e":[{},[0,1]]}],"o":[{"c":[{"k":[{},[5]]}],"m":[{"a":[{},[0,0,0,0,3]]}],"n":[{"e":[{},[5]]}],"p":[{},[0,4]],"r":[{"e":[{},[3]],"a":[{"b":[{},[1,0,0,0,1]]}]}]}],"r":[{"a":[{"d":[{},[0,4]],"t":[{"u":[{},[5]],"a":[{"g":[{},[0,0,0,0,0,1,1]]}]}],"y":[{},[0,4]]}],"i":[{"d":[{},[0,4]],"b":[{"u":[{"t":[{},[0,0,0,0,0,5]]}]}]}],"y":[{},[4]]},[0,0,4]],"w":[{},[4,0,3]],"y":[{"l":[{"i":[{"s":[{},[0,0,0,0,1]]}]}]},[0,2]],"b":[{},[0,0,5]],"s":[{"c":[{"r":[{},[0,0,5]]}]}],"u":[{"p":[{"i":[{"d":[{},[0,0,0,1,0,4,1]]}]}]}]}],"u":[{"a":[{"l":[{},[0,0,1]]}],"b":[{},[0,0,4,3]],"g":[{},[0,0,2,3]],"i":[{"s":[{},[0,0,5]],"t":[{},[0,0,0,0,3]]}],"l":[{},[0,4]],"m":[{"i":[{},[0,0,0,3]]},[0,0,2]],"n":[{},[0,0,2]],"r":[{},[0,0,2]],"p":[{"e":[{"r":[{"e":[{},[0,0,2,0,0,1,6]]}]}]}]},[1]],"v":[{},[4]],"w":[{"o":[{},[4]],"i":[{"m":[{"m":[{},[0,0,0,0,0,6]]}]}]},[0,0,2]],"y":[{"c":[{},[4]],"l":[{},[3]],"n":[{"o":[{},[0,0,0,5]],"c":[{},[1]]}],"r":[{"i":[{"n":[{},[0,0,5]]}]}],"t":[{"h":[{"i":[{},[1,0,0,0,3,2]]}]}]},[0,4]]}],"t":[{"a":[{".":[{},[3]],"b":[{"l":[{"e":[{"s":[{},[0,0,5]]}]}],"o":[{"l":[{"i":[{"z":[{},[5]],"s":[{"m":[{},[5,0,0,1,1]]}]}]}]}]},[2]],"c":[{"i":[{},[4]]}],"d":[{"o":[{},[0,0,5]]}],"f":[{},[4,0,0,4]],"i":[{"l":[{"o":[{},[0,0,0,5]]}]}],"l":[{"a":[{},[0,0,5]],"e":[{"n":[{},[0,0,0,5]]}],"i":[{},[0,0,0,3]],"k":[{"a":[{},[0,0,0,0,1,5]]},[4]],"l":[{"i":[{"s":[{},[0,0,0,4]]}]}],"o":[{"g":[{},[0,0,5]]}]},[0,0,2]],"m":[{"o":[{},[0,0,5]],"i":[{"n":[{},[0,1,1]]}]}],"n":[{"d":[{"e":[{},[0,0,0,4]]}],"t":[{"a":[{},[0,0,0,0,0,3]]}]}],"p":[{"e":[{"r":[{},[0,0,5]]}],"l":[{},[0,0,5]],"a":[{"t":[{"h":[{},[0,6,0,6]]}]}]}],"r":[{"a":[{},[0,0,0,4]],"c":[{},[4]],"e":[{},[4]],"i":[{"z":[{},[0,0,3]]}],"r":[{"h":[{},[5,0,0,2]]}]}],"s":[{"e":[{},[0,0,0,4]],"y":[{},[0,0,5]]}],"t":[{"i":[{"c":[{},[4]]}],"u":[{"r":[{},[0,0,4]]}]}],"u":[{"n":[{},[0,0,0,0,4]]}],"v":[{},[0,0,0,4]],"w":[{},[2]],"x":[{"i":[{"s":[{},[0,0,0,4]]}]}],"g":[{"o":[{"n":[{".":[{},[0,0,3]]}]}]}]},[1]],"b":[{},[2,1]],"c":[{"h":[{"e":[{"t":[{},[0,0,0,5]]}],"c":[{},[0,0,0,1]],"i":[{"e":[{"r":[{},[0,0,0,3,1]]}]}]},[0,4]],"r":[{},[0,1]]},[4]],"d":[{},[4,1]],"e":[{".":[{},[4]],"a":[{"d":[{"i":[{},[0,0,0,0,4]]}],"t":[{},[4]],"c":[{"h":[{"e":[{"r":[{".":[{},[0,0,0,0,0,4]]}]}]}]}]}],"c":[{"e":[{},[0,0,0,0,4]],"t":[{},[5]]}],"d":[{"i":[{},[0,0,5]]},[2,1]],"e":[{},[1]],"g":[{"e":[{"r":[{},[0,0,5]]}],"i":[{},[0,0,5]]},[0,0,0,4]],"l":[{".":[{},[3]],"i":[{},[0,0,0,0,4]],"s":[{},[5]],"e":[{"g":[{},[0,0,0,0,2]],"r":[{"o":[{},[0,0,0,0,1,6]]}]}]}],"m":[{"a":[{"t":[{},[0,0,0,3]]},[0,0,2,0,2]]}],"n":[{"a":[{"n":[{},[3]]}],"c":[{},[3]],"d":[{},[3]],"e":[{"s":[{},[4]]}],"t":[{"a":[{"g":[{},[0,0,0,4]]}]},[1]]}],"o":[{},[1]],"p":[{"e":[{},[0,0,5]]},[0,0,4]],"r":[{"c":[{},[0,0,0,3]],"d":[{},[5,0,0,3]],"i":[{"e":[{"s":[{},[0,0,0,5]]}],"s":[{},[0,0,0,3]],"z":[{"a":[{},[0,0,0,0,5]]}],"c":[{".":[{},[0,0,0,2]]}]},[1]],"n":[{"i":[{"t":[{},[5]]}]}],"v":[{},[0,0,0,5]],"g":[{"e":[{"i":[{},[3,0,0,1]]}]}]}],"s":[{".":[{},[4]],"s":[{".":[{},[0,3]],"e":[{"s":[{},[0,3,0,0,2]]}]},[4]]}],"t":[{"h":[{"e":[{},[0,0,0,0,5]]}]}],"u":[{},[3]],"x":[{},[3]],"y":[{},[4]]}],"f":[{},[2,1]],"g":[{},[4,1]],"h":[{".":[{},[2]],"a":[{"n":[{},[0,0,0,0,4]],"l":[{"a":[{"m":[{},[0,0,0,4,1]]}]}]}],"e":[{"a":[{"s":[{},[0,0,3]],"t":[{},[0,0,0,5]]},[4]],"i":[{"s":[{},[0,0,0,3]]}],"t":[{},[3]]},[0,0,2]],"i":[{"c":[{".":[{},[0,0,5]],"a":[{},[0,0,5]]}],"l":[{},[4]],"n":[{"k":[{},[5]]}]}],"l":[{},[4]],"o":[{"d":[{"e":[{},[0,0,5]],"i":[{"c":[{},[5]]}],"o":[{"n":[{},[0,0,0,3]]}]}],"o":[{},[4]],"r":[{"i":[{"t":[{},[0,0,0,0,5]],"z":[{},[0,0,0,5]]}]}],"g":[{"e":[{"n":[{"i":[{},[0,0,1,5,0,0,1]]}]}]}],"k":[{"e":[{"r":[{},[0,0,0,1,2]]}]}]}],"s":[{},[2]],"y":[{"l":[{"a":[{"n":[{},[0,0,0,4,1]]}]}],"s":[{"c":[{},[0,0,0,3]]}]}]}],"i":[{"a":[{"b":[{},[0,0,4]],"t":[{"o":[{},[0,0,4]]}],"n":[{".":[{},[2,3,4]]}]},[1]],"b":[{},[2,0,2]],"c":[{"k":[{},[4]],"o":[{},[0,4]],"u":[{},[0,4,0,1]]}],"d":[{"i":[{},[5]]}],"e":[{"n":[{},[3]]}],"f":[{"y":[{},[0,0,5]]},[0,0,0,2]],"g":[{"u":[{},[5]]},[2]],"l":[{"l":[{"i":[{"n":[{},[0,0,0,0,5]]}]}]}],"m":[{"p":[{},[4]],"u":[{"l":[{},[0,0,0,5]]}]},[1]],"n":[{"a":[{},[0,2]],"e":[{".":[{},[3]]}],"i":[{},[3]],"o":[{"m":[{},[0,0,2,3,1]]}]},[2,1]],"o":[{"c":[{},[0,0,5]],"n":[{"e":[{"e":[{},[0,0,0,0,5]]}]}]},[1]],"q":[{},[5]],"s":[{"a":[{},[0,0,3]],"e":[{},[3]],"m":[{},[0,0,0,4]],"o":[{},[0,0,5]],"p":[{},[0,0,0,4]],"t":[{"i":[{"c":[{"a":[{},[5]]}]}]}]}],"t":[{"l":[{},[0,0,3]]}],"u":[{},[0,0,4]],"v":[{"a":[{},[0,0,0,4]]},[1]],"z":[{"a":[{},[0,0,3]],"e":[{"n":[{},[0,0,3]]}]},[1]]}],"l":[{"a":[{"n":[{},[0,0,0,0,4]]},[0,5]],"e":[{".":[{},[3]],"d":[{},[3]],"s":[{".":[{},[3]]}],"t":[{".":[{},[0,5]]}]}],"o":[{},[0,5]],"i":[{"e":[{"r":[{},[0,1,0,2]]}]}]},[2]],"m":[{"e":[{},[0,0,0,4]]},[4,1]],"n":[{},[2,1,2]],"o":[{"b":[{},[0,0,3]],"c":[{"r":[{"a":[{"t":[{},[0,0,5]]}]}]}],"d":[{"o":[{},[4]]}],"f":[{},[2]],"g":[{"r":[{},[0,0,2]]}],"i":[{"c":[{},[0,0,5]]}],"m":[{"a":[{},[0,0,2]],"b":[{},[0,0,0,4]],"y":[{},[0,0,3]]}],"n":[{"a":[{"l":[{"i":[{},[0,0,0,4]]}],"t":[{},[0,0,3]]}],"o":[{},[4]],"y":[{},[4]]}],"r":[{"a":[{},[0,0,2]],"i":[{"e":[{},[0,0,3]],"z":[{},[0,0,0,5]]}]}],"s":[{},[0,0,0,2]],"u":[{"r":[{},[5]],"t":[{},[4]]}],"w":[{"a":[{"r":[{},[0,0,3]]}]}],"l":[{"o":[{"g":[{"y":[{},[0,0,0,0,2]]}]}]}],"t":[{"i":[{"c":[{},[0,0,0,3]]}]}]},[1]],"p":[{},[4,1]],"r":[{"a":[{"b":[{},[0,0,0,3]],"c":[{"h":[{},[0,0,0,5]],"i":[{"t":[{},[0,0,0,0,4]]},[0,0,0,0,0,4]],"t":[{"e":[{},[0,0,0,0,4]]}]}],"s":[{},[0,0,0,0,4]],"v":[{"e":[{"n":[{},[0,0,0,5]],"s":[{},[0,0,0,0,5,0,5]],"r":[{"s":[{"a":[{"b":[{},[0,0,0,0,0,0,0,3,3]]}]},[0,0,0,1]]}]}]}],"i":[{"t":[{"o":[{"r":[{},[0,0,0,0,3,0,0,1]]}]}]}]},[1]],"e":[{"f":[{},[0,0,0,5]],"m":[{"i":[{},[0,0,0,0,5]]},[0,0,0,4]],"a":[{"c":[{"h":[{"e":[{},[0,0,0,0,0,0,1]]}]}]}]}],"i":[{"a":[{"l":[{".":[{},[0,0,4]]}]},[5]],"c":[{"e":[{"s":[{},[0,0,0,5]]}],"i":[{"a":[{},[5]]}],"s":[{},[4]]}],"m":[{},[2]],"v":[{},[0,0,0,4]]}],"o":[{"m":[{"i":[{},[0,0,0,5]]}],"n":[{"i":[{},[0,0,0,0,5]],"y":[{},[4]]}],"p":[{"h":[{"e":[{},[0,0,0,5]]}],"i":[{"s":[{},[0,0,0,1,2]]}],"o":[{"l":[{"e":[{"s":[{},[3,0,0,0,1,5]]}],"i":[{"s":[{},[3,0,0,0,1,5]],"t":[{},[0,1,0,1,0,0,3]]}]}]}]}],"s":[{"p":[{},[0,0,0,3]]}],"v":[{},[0,0,0,3]],"l":[{"e":[{"u":[{"m":[{},[3,0,0,1,0,1]]}]}]}],"f":[{"i":[{"c":[{".":[{},[0,0,0,0,4]]}],"t":[{},[0,0,0,3]]}]}]}],"u":[{"i":[{},[0,0,0,5]],"s":[{},[0,0,0,0,4]]}]}],"s":[{"c":[{"h":[{"i":[{"e":[{},[0,0,0,0,3]]}]}]},[0,4]],"h":[{},[0,0,0,4]],"w":[{},[0,4]]},[4,1,2]],"t":[{"e":[{"s":[{},[0,4]]}],"o":[{},[0,5]],"u":[{},[0,0,0,4]],"r":[{"i":[{"b":[{"u":[{"t":[{},[0,0,0,0,0,1,0,1]]}]}]}]}]},[4,3,2]],"u":[{"a":[{"r":[{},[0,0,3]]},[0,0,1]],"b":[{"i":[{},[0,0,4]]}],"d":[{},[0,0,0,2]],"e":[{},[4]],"f":[{},[4,0,0,4]],"i":[{},[5,0,3]],"m":[{},[3]],"n":[{"i":[{"s":[{},[0,0,4]]}]}],"p":[{".":[{},[2,3]]}],"r":[{"e":[{},[3]],"i":[{"s":[{},[0,0,0,3]]},[5]],"o":[{},[0,0,0,5]],"y":[{},[0,0,5]],"n":[{"a":[{"r":[{},[0,0,0,0,3]]}]}]}],"s":[{},[3]]},[1]],"v":[{},[4]],"w":[{"a":[{},[4,1]],"i":[{"s":[{},[0,0,0,0,4]]}],"o":[{},[4]],"h":[{},[0,1]]},[0,0,4]],"y":[{"a":[{},[4]],"l":[{},[2]],"p":[{"e":[{},[0,0,0,0,3]],"h":[{},[0,0,5]],"a":[{"l":[{},[0,0,2,5]]}]}]},[1]],"z":[{"e":[{},[0,0,4]]},[4]]}],"u":[{"a":[{"b":[{},[4]],"c":[{},[0,0,0,4]],"n":[{"a":[{},[0,0,5]],"i":[{},[0,0,0,4]]}],"r":[{"a":[{"n":[{"t":[{},[0,0,0,5]]}]}],"d":[{},[0,0,0,2]],"i":[{},[0,0,0,3]],"t":[{},[0,0,0,3]]}],"t":[{},[0,1]],"v":[{},[0,0,0,4]],"d":[{"r":[{"a":[{"t":[{"i":[{},[0,0,3]],"u":[{},[0,0,0,1]]}]}]}]}]}],"b":[{"e":[{"l":[{},[0,4]],"r":[{"o":[{},[0,4]]},[0,3]]},[0,0,4]],"i":[{"n":[{"g":[{},[0,4,5]]}]},[0,1,4]],"l":[{"e":[{".":[{},[0,3]]}]}]}],"c":[{"a":[{},[0,3]],"i":[{"b":[{},[0,0,0,4]],"t":[{},[0,0,4]]}],"l":[{"e":[{},[0,0,0,0,3]]}],"r":[{},[0,3]],"u":[{},[0,3]],"y":[{},[0,4]]}],"d":[{"d":[{},[0,0,5]],"e":[{"r":[{},[0,0,3]],"s":[{"t":[{},[0,0,5]]}],"v":[{},[0,0,0,0,4]]}],"i":[{"c":[{},[0,1]],"e":[{"d":[{},[0,0,3]],"s":[{},[0,0,3]]}],"s":[{},[0,0,5]],"t":[{},[0,5]]}],"o":[{"n":[{"y":[{},[0,5,0,3]]},[0,4]]}],"s":[{"i":[{},[0,0,4]]}],"u":[{},[0,4]]}],"e":[{"n":[{"e":[{},[0,4]],"s":[{},[0,0,0,0,4]],"t":[{"e":[{},[0,0,0,4]]}]}],"r":[{"i":[{"l":[{},[0,0,0,4]]}]}],"a":[{"m":[{},[0,0,0,1]]}]}],"f":[{"a":[{},[3]],"l":[{},[0,3]]}],"g":[{"h":[{"e":[{"n":[{},[0,0,0,3]]}]}],"i":[{"n":[{},[0,0,5]]}]}],"i":[{"l":[{"i":[{"z":[{},[0,0,0,5]]}]}],"n":[{"g":[{},[0,1]]},[0,0,4]],"r":[{"m":[{},[0,0,0,4]]}],"t":[{"a":[{},[0,0,0,0,4]]}],"v":[{"e":[{"r":[{".":[{},[0,0,0,4]]}]}]},[0,0,0,3]]},[2,0,2]],"j":[{},[0,5]],"k":[{},[4]],"l":[{"a":[{"b":[{},[0,0,0,5]],"t":[{"i":[{},[0,5]]}]},[0,1]],"c":[{"h":[{"e":[{},[5]]},[0,0,0,0,4]]}],"d":[{"e":[{"r":[{},[0,0,3]]}]}],"e":[{"n":[{},[0,1]]},[0,0,4]],"g":[{"i":[{},[0,0,4]]}],"i":[{"a":[{},[0,5]],"n":[{"g":[{},[0,0,3]]}],"s":[{"h":[{},[0,0,5]]}]},[0,0,2]],"l":[{"a":[{"r":[{},[0,0,4]]}],"i":[{"b":[{},[0,0,4,0,4]],"s":[{},[0,0,4]]}]}],"m":[{},[4,0,3]],"o":[{},[0,1,4]],"s":[{"e":[{"s":[{},[0,0,0,5]]}]},[4]],"t":[{"i":[{},[0,0,1]],"r":[{"a":[{},[0,0,0,0,0,3]]}],"u":[{},[4]]}],"u":[{"l":[{},[0,0,5]]},[0,3]],"v":[{},[0,0,5]]}],"m":[{"a":[{"b":[{},[0,0,5]]}],"b":[{"i":[{},[0,0,4]],"l":[{"y":[{},[0,0,4]]}]}],"i":[{"n":[{"g":[{},[0,4,3]]}]},[0,1]],"o":[{"r":[{"o":[{},[0,0,0,0,5]]}]}],"p":[{},[0,0,2]]}],"n":[{"a":[{"t":[{},[0,0,0,0,4]]}],"e":[{"r":[{},[0,0,4]]},[0,2]],"i":[{"m":[{},[0,0,4]],"n":[{},[0,2]],"s":[{"h":[{},[0,0,5]]}],"v":[{},[0,0,0,3]]},[0,1]],"s":[{"w":[{},[0,0,4]]},[0,0,3,4]],"t":[{"a":[{"b":[{},[0,0,0,3]]}],"e":[{"r":[{".":[{},[0,0,4]]}],"s":[{},[0,0,4]]}]}],"u":[{},[0,0,0,4]],"y":[{},[0,0,5]],"z":[{},[0,0,5]]}],"o":[{"r":[{"s":[{},[0,4]]}],"s":[{},[0,5]],"u":[{},[0,1]]}],"p":[{"e":[{"r":[{"s":[{},[0,0,0,0,5]]}]},[0,1]],"i":[{"a":[{},[0,5]],"n":[{"g":[{},[0,0,3]]}]}],"l":[{},[0,3]],"p":[{"o":[{"r":[{"t":[{},[0,0,0,0,0,0,5]]}]}]},[0,0,3]],"t":[{"i":[{"b":[{},[0,0,0,5]]}],"u":[{},[0,0,0,0,4]]}]}],"r":[{"a":[{".":[{},[4]],"g":[{},[0,4]],"s":[{},[0,4]],"l":[{".":[{},[0,2,1]]}]},[0,1]],"b":[{"e":[{},[0,0,4]]}],"c":[{},[0,0,0,4]],"d":[{},[0,0,1]],"e":[{"a":[{"t":[{},[0,0,0,5]]}]}],"f":[{"e":[{"r":[{},[0,0,4]]}],"r":[{},[0,0,4]]}],"i":[{"f":[{"i":[{"c":[{},[0,0,0,4]]}]},[0,3]],"n":[{},[0,0,1]],"o":[{},[0,3]],"t":[{},[0,1]],"z":[{},[0,0,3]],"a":[{"l":[{".":[{},[0,0,0,4]]}]}]}],"l":[{"i":[{"n":[{"g":[{".":[{},[0,0,0,5]]}]}]}]},[0,0,2]],"n":[{"o":[{},[0,0,4]]}],"o":[{"s":[{},[0,0,0,0,4]]}],"p":[{"e":[{},[0,0,4]],"i":[{},[0,0,4]]}],"s":[{"e":[{"r":[{},[0,0,0,5]]}]}],"t":[{"e":[{"s":[{},[0,0,5]]}],"h":[{"e":[{},[0,0,3]]}],"i":[{"e":[{},[0,0,4]]},[0,0,0,0,4]]}],"u":[{},[0,3]]}],"s":[{"a":[{"d":[{},[0,5]],"n":[{},[0,5]],"p":[{},[0,0,4]]}],"c":[{"i":[{},[0,0,3]]},[0,0,0,2]],"e":[{"a":[{},[0,0,0,5]],"r":[{".":[{},[0,0,2]]}]}],"i":[{"a":[{},[0,5]],"c":[{},[0,3]]}],"l":[{"i":[{"n":[{},[0,0,4]]}]}],"p":[{},[0,0,1]],"s":[{"l":[{},[0,0,5]]}],"t":[{"e":[{"r":[{"e":[{},[0,0,5]]}]}],"r":[{},[0,0,1]]}],"u":[{"r":[{},[0,0,0,0,4]]},[0,2]]},[2]],"t":[{"a":[{"b":[{},[0,0,0,4]],"t":[{},[0,3]]}],"e":[{".":[{},[4]],"l":[{},[4]],"n":[{"i":[{},[0,0,0,0,4]]},[4]]}],"i":[{"l":[{"i":[{"z":[{},[0,0,0,5]]}]}],"n":[{"e":[{},[0,3]],"g":[{},[0,0,3]]}],"o":[{"n":[{"a":[{},[0,0,0,0,0,5]]}]}],"s":[{},[0,4]],"z":[{},[5,5]]},[4,1,2]],"l":[{},[0,4,1]],"o":[{"f":[{},[0,0,5]],"g":[{},[0,0,0,5]],"m":[{"a":[{"t":[{"i":[{"c":[{},[0,0,0,5]]}]}]}]}],"n":[{},[0,5]],"u":[{},[0,4]]}],"s":[{},[0,0,0,4]]}],"u":[{"m":[{},[0,0,4]]},[0,3]],"v":[{},[0,1,2]],"x":[{"u":[{},[0,0,0,3]]}],"z":[{"e":[{},[0,0,4]]}]}],"v":[{"a":[{".":[{},[5]],"b":[{},[2,1,4]],"c":[{"i":[{"l":[{},[0,0,0,5]]}],"u":[{},[0,0,0,3]]}],"g":[{"e":[{},[0,0,4]],"u":[{"e":[{"r":[{},[0,0,6]]}]}]},[0,0,0,4]],"l":[{"i":[{"e":[{},[0,0,5]]}],"o":[{},[0,0,0,5]],"u":[{},[0,0,0,1]]}],"m":[{"o":[{},[0,0,5]]}],"n":[{"i":[{"z":[{},[0,0,5]]}]}],"p":[{"i":[{},[0,0,5]]}],"r":[{"i":[{"e":[{"d":[{},[0,0,0,5]]}]}]}],"t":[{"i":[{"v":[{},[0,1]]}]},[3]],"u":[{"d":[{"e":[{"v":[{},[0,0,0,0,0,3]]}]}]}]},[1]],"e":[{".":[{},[4]],"d":[{},[4]],"g":[{},[0,0,0,3]],"l":[{".":[{},[0,3]],"l":[{"i":[{},[0,0,0,3]]}],"o":[{},[0,0,4]],"y":[{},[0,4]]}],"n":[{"o":[{"m":[{},[0,0,0,3]]}],"u":[{"e":[{},[0,5]]}]}],"r":[{"d":[{},[0,4]],"e":[{".":[{},[5]],"l":[{"y":[{".":[{},[1]]}]},[0,4]],"n":[{"c":[{},[0,0,0,5]]},[0,3]],"s":[{},[0,4]],"i":[{"g":[{},[0,1,0,1]]}]}],"i":[{"e":[{},[0,0,0,3]]}],"m":[{"i":[{"n":[{},[0,0,0,0,0,4]]}]}],"s":[{"e":[{},[3]]}],"t":[{"h":[{},[0,0,0,3]]}]}],"s":[{".":[{},[4]],"t":[{"e":[{},[0,0,0,4]],"i":[{"t":[{"e":[{},[0,0,0,1]]}]}]}]},[0,4,2]],"t":[{"e":[{"r":[{},[0,0,0,3]]},[0,0,4]],"y":[{},[0,0,4]]}]}],"i":[{"a":[{"l":[{"i":[{},[0,0,5]]}],"n":[{},[5]]}],"d":[{"e":[{".":[{},[5]],"d":[{},[5]],"n":[{},[4,3]],"s":[{},[5]]}],"i":[{},[5]]}],"f":[{},[0,3]],"g":[{"n":[{},[0,0,5]]}],"k":[{},[0,0,0,4]],"l":[{"i":[{"t":[{},[5]],"z":[{},[0,3,3]]}]},[2]],"n":[{"a":[{},[4,0,4]],"c":[{},[0,2]],"d":[{},[0,0,0,5]],"g":[{},[4]]},[0,1]],"o":[{"l":[{},[0,0,0,3]],"r":[{},[0,3,0,4]],"u":[{},[0,0,1]]}],"p":[{},[0,0,4]],"r":[{"o":[{},[0,0,5]]}],"s":[{"i":[{"t":[{},[0,0,0,3]]}],"o":[{},[0,0,3]],"u":[{},[0,0,3]]}],"t":[{"i":[{},[4]],"r":[{},[0,0,0,3]],"y":[{},[4]]}],"v":[{"i":[{"p":[{"a":[{"r":[{},[0,0,1,0,0,3,3]]}]}]}]},[3]]}],"o":[{".":[{},[5]],"i":[{"r":[{"d":[{"u":[{},[0,1,0,0,5,0,1]]}]}],"c":[{"e":[{"p":[{},[0,0,0,0,0,1]]}]}]},[0,0,0,4]],"k":[{},[3]],"l":[{"a":[{},[0,0,4]],"e":[{},[0,5]],"t":[{},[5]],"v":[{},[3]]}],"m":[{"i":[{},[0,0,0,5]]}],"r":[{"a":[{"b":[{},[0,0,0,5]]}],"i":[{},[0,0,0,0,4]],"y":[{},[0,0,4]]}],"t":[{"a":[{},[0,0,4]],"e":[{"e":[{},[4]]}]}]}],"v":[{},[4,0,4]],"y":[{},[0,4]]}],"w":[{"a":[{"b":[{"l":[{},[0,5]]}],"c":[{},[2]],"g":[{"e":[{"r":[{},[0,0,5]]}],"o":[{},[0,0,0,5]]}],"i":[{"t":[{},[0,0,0,0,5]]}],"l":[{".":[{},[0,5]]}],"m":[{},[0,0,0,4]],"r":[{"t":[{},[0,0,0,4]]}],"s":[{"t":[{"e":[{"w":[{"a":[{},[0,0,0,0,0,3,6,2]]}]}]},[0,0,0,4]]}],"t":[{"e":[{},[0,0,1]]}],"v":[{"e":[{"r":[{},[0,0,5]],"g":[{},[0,0,0,0,1,4]]}]}]}],"b":[{},[0,1]],"e":[{"a":[{"r":[{"i":[{"e":[{},[0,0,0,5]]}]}],"t":[{"h":[{},[0,0,0,0,0,3]]}]}],"d":[{"n":[{},[0,0,0,4]]}],"e":[{"t":[{},[0,0,0,0,3]],"v":[{},[0,0,0,5]],"k":[{"n":[{},[0,0,0,0,1]]}]}],"l":[{"l":[{},[0,0,0,4]]}],"r":[{},[0,1]],"s":[{"t":[{},[0,0,0,0,3]]}],"v":[{},[0,3]]}],"h":[{"i":[{},[0,0,0,4]]}],"i":[{"l":[{"l":[{"i":[{"n":[{},[0,0,0,0,5]]}]}]},[0,0,0,2]],"n":[{"d":[{"e":[{},[0,0,0,4]]}],"g":[{},[0,0,0,4]]}],"r":[{},[0,0,0,4]],"s":[{"e":[{},[3]]}],"t":[{"h":[{},[0,0,0,0,3]]}],"z":[{},[0,0,0,5]],"d":[{"e":[{"s":[{"p":[{},[0,0,0,0,5]]}]}]}]},[0,0,2]],"k":[{},[0,4]],"l":[{"e":[{"s":[{},[0,0,4]]}],"i":[{"n":[{},[0,0,3]]}]}],"n":[{"o":[{},[0,4]]}],"o":[{"m":[{},[0,0,0,1]],"v":[{"e":[{"n":[{},[0,0,5]]}]}],"k":[{"e":[{"n":[{},[0,0,4,1]]}]}]},[1,0,2]],"p":[{},[0,5]],"r":[{"a":[{"p":[{"a":[{"r":[{"o":[{},[0,0,0,0,3]]}]}]}]},[0,0,0,4]],"i":[{"t":[{"a":[{},[0,0,0,0,0,4]],"e":[{"r":[{".":[{},[0,0,0,0,6]]}]}]}]},[0,0,0,4]]}],"s":[{"h":[{},[0,3]],"l":[{},[0,0,4]],"p":[{"e":[{},[0,0,4]]}],"t":[{},[0,5,4]]}],"t":[{},[4]],"y":[{},[0,0,4]],"c":[{},[0,3]]}],"x":[{"a":[{"c":[{"e":[{},[0,0,0,5]]}],"g":[{"o":[{},[0,4]]}],"m":[{},[0,0,0,3]],"p":[{},[0,4]],"s":[{},[0,0,0,5]]},[0,1]],"c":[{},[0,3,2]],"e":[{"c":[{"u":[{"t":[{"o":[{},[0,0,4]]}]}]}],"d":[{},[0,2]],"r":[{"i":[{},[0,0,0,4]],"o":[{},[0,0,5]]}]},[0,1]],"h":[{"i":[{"l":[{},[0,0,0,0,5]]},[0,0,0,2]],"u":[{},[0,0,0,4]]},[0,1]],"i":[{"a":[{},[0,0,5]],"c":[{},[0,0,5]],"d":[{"i":[{},[0,0,5]]}],"m":[{"e":[{},[0,4]],"i":[{"z":[{},[0,0,5]]}]}]},[0,3]],"o":[{"b":[{},[0,4]]},[0,3]],"p":[{"a":[{"n":[{"d":[{},[0,0,0,0,4]]}]}],"e":[{"c":[{"t":[{"o":[{},[0,0,0,0,0,0,5]]}]}],"d":[{},[0,0,0,3]]}]},[0,3]],"t":[{"i":[{},[0,3]]},[0,1,2]],"u":[{"a":[{},[0,0,3]]},[0,1]],"x":[{},[0,0,4]],"q":[{"u":[{"i":[{"s":[{},[0,0,0,0,0,3]]}]}]},[0,1]]}],"y":[{"a":[{"c":[{},[0,5]],"r":[{},[3,0,0,4]],"t":[{},[0,5]]}],"b":[{},[0,1]],"c":[{"e":[{"r":[{},[0,0,5]]},[0,2]],"h":[{"e":[{"d":[{},[0,5,0,0,3]]},[0,0,0,4]]},[0,3]],"o":[{"m":[{},[0,0,0,0,4]],"t":[{},[0,0,0,0,4]]}]},[0,1]],"d":[{},[0,1]],"e":[{"e":[{},[0,5]],"r":[{"f":[{},[0,4]]},[0,1]],"s":[{"t":[{"e":[{"r":[{"y":[{},[0,0,0,5,0,0,1]]}]}]}]},[0,0,0,4]],"t":[{},[0,0,4]]}],"g":[{"i":[{},[0,5]]}],"h":[{},[4,3]],"i":[{},[0,1]],"l":[{"a":[{},[0,3]],"l":[{"a":[{"b":[{"l":[{},[0,0,0,0,5]]}]}]}],"o":[{},[0,3]],"u":[{},[0,5]]}],"m":[{"b":[{"o":[{"l":[{},[0,0,0,0,0,5]]}]}],"e":[{"t":[{"r":[{"y":[{},[0,0,5,5]]}]}]},[0,0,0,4]],"p":[{"a":[{},[0,0,0,0,3]]}]}],"n":[{"c":[{"h":[{"r":[{},[0,0,3]]}]}],"d":[{},[0,0,5]],"g":[{},[0,0,5]],"i":[{"c":[{},[0,0,5]]}],"x":[{},[5]]}],"o":[{"d":[{},[0,0,5]],"g":[{},[0,4,5]],"m":[{},[0,0,0,4]],"n":[{"e":[{"t":[{},[0,0,5]]}],"s":[{},[0,4]]}],"s":[{},[0,4]]},[0,1,4]],"p":[{"e":[{"d":[{},[0,4]],"r":[{},[0,0,0,0,5]]}],"i":[{},[0,0,3]],"o":[{"c":[{},[0,4]]},[0,3]],"t":[{"a":[{},[0,0,2]]}],"u":[{},[0,5]]}],"r":[{"a":[{"m":[{},[0,0,0,5]]}],"i":[{"a":[{},[0,0,5]]}],"o":[{},[0,3]],"r":[{},[0,0,4]]}],"s":[{"c":[{},[0,0,4]],"e":[{},[0,3,2]],"i":[{"c":[{"a":[{},[0,0,3]]}],"o":[{},[0,0,3]],"s":[{},[3]]}],"o":[{},[0,4]],"s":[{},[0,0,0,4]],"t":[{"a":[{},[0,0,3]],"r":[{"o":[{},[0,1]]}]},[0,0,1]],"u":[{"r":[{},[0,0,0,0,4]]}]}],"t":[{"h":[{"i":[{"n":[{},[0,3]]}]}],"i":[{"c":[{},[0,0,3]]}]}],"w":[{},[0,1]]}],"z":[{"a":[{"b":[{},[0,5,2]],"r":[{},[0,0,0,2]]},[0,0,1]],"b":[{},[4]],"e":[{"n":[{},[0,0,4]],"p":[{},[0,0,4]],"r":[{"o":[{},[0,0,3]]},[0,1]],"t":[{},[0,0,0,4]]},[2]],"i":[{"l":[{},[0,4]],"s":[{},[0,4]],"a":[{"n":[{".":[{},[0,3]]}]}]},[2,1]],"l":[{},[5]],"m":[{},[4]],"o":[{"m":[{},[0,0,4]],"o":[{"l":[{},[0,0,5]]}],"p":[{"h":[{"r":[{},[0,3,1]]}]}]},[1]],"t":[{"e":[{},[0,0,0,4]]}],"z":[{"y":[{},[0,4]],"w":[{},[0,2,3]]},[4,1,2]]}]}';
  var hyphenation = [
    "as-so-ciate",
    "as-so-ciates",
    "dec-li-na-tion",
    "oblig-a-tory",
    "phil-an-thropic",
    "present",
    "presents",
    "project",
    "projects",
    "reci-procity",
    "re-cog-ni-zance",
    "ref-or-ma-tion",
    "ret-ri-bu-tion",
    "ta-ble",
    ""
  ];

  return {
    patterns: patterns,
    exceptions: hyphenation || []
  };
});
