(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsEt = factory();
  }
})(this, function () {
  var patterns =
    '{".":[{"a":[{"a":[{"s":[{"t":[{"a":[{},[0,0,0,0,0,5]]}]}]},[0,0,4]],"h":[{"e":[{"l":[{"i":[{},[0,0,0,4]]}]}]}],"l":[{"a":[{},[0,0,4]],"g":[{"a":[{"s":[{},[0,0,4]]}]}]}],"n":[{"t":[{"i":[{"i":[{"k":[{},[0,0,0,0,0,0,5]]}]}]}]}],"p":[{"l":[{},[0,0,3]],"r":[{},[0,0,3]]}],"r":[{"t":[{"r":[{},[0,0,0,5]]}]}],"u":[{"a":[{},[0,0,3]]}]}],"e":[{"b":[{"a":[{},[0,0,0,3]]}],"e":[{"l":[{"a":[{},[0,0,0,0,4]]}]},[0,0,4]],"k":[{"l":[{},[0,0,3]],"r":[{},[0,0,5]]}]}],"g":[{"u":[{"a":[{},[0,0,4]]}]}],"h":[{"i":[{"e":[{},[0,0,0,5]]}]}],"i":[{"d":[{"i":[{},[0,0,0,4]]}],"n":[{"i":[{"m":[{"a":[{},[0,0,0,0,5]]}]}]}],"s":[{"e":[{"e":[{},[0,0,0,5]]}],"o":[{},[0,0,4]]}]}],"j":[{"a":[{"e":[{},[0,0,4]],"t":[{},[0,0,4]]}]}],"k":[{"a":[{"e":[{},[0,0,4]],"o":[{},[0,0,2]]}],"e":[{"h":[{"i":[{},[0,0,5]]}]}],"i":[{"p":[{"r":[{},[0,0,0,5]]}]}],"u":[{"p":[{"l":[{},[0,0,4]]}],"s":[{"a":[{},[0,0,5]],"e":[{"e":[{},[0,0,0,0,0,4]]}]}]}]}],"l":[{"a":[{"p":[{"l":[{},[0,0,4]]}]}],"e":[{"e":[{},[0,0,4]],"h":[{"i":[{},[0,0,5]]}],"m":[{"m":[{"i":[{"k":[{},[0,0,0,0,0,0,5]]}]}]}],"s":[{"e":[{},[0,0,5]]}]}],"õ":[{"p":[{"p":[{},[0,0,0,0,3]]}]}]}],"m":[{"a":[{"a":[{"a":[{},[0,0,0,5]]},[0,0,4]],"j":[{},[0,0,5]]}],"i":[{"s":[{"a":[{},[0,0,5]]}]}],"o":[{"e":[{},[0,0,4]]}]}],"n":[{"e":[{"k":[{},[0,0,0,3]]}],"i":[{"p":[{},[0,0,4]],"s":[{"u":[{},[0,0,0,0,5]]}]}],"o":[{"a":[{},[0,0,0,3]]}]}],"o":[{"a":[{},[0,0,3]],"o":[{},[0,0,4]]}],"p":[{"a":[{"p":[{"p":[{},[0,0,0,4]]}]}],"e":[{"a":[{"a":[{},[0,0,0,3]]}]}]}],"r":[{"a":[{"a":[{"d":[{"i":[{"o":[{},[0,0,0,0,0,0,5]]}]}]}]}],"e":[{"a":[{},[0,0,4]],"o":[{},[0,0,2]],"p":[{"r":[{},[0,0,0,3]]}],"s":[{"o":[{},[0,0,5]]}]}],"ü":[{"h":[{"i":[{},[0,0,5]]}]}]}],"s":[{"a":[{"k":[{"r":[{},[0,0,0,5]]}],"p":[{"r":[{},[0,0,0,3]]}]}],"e":[{"a":[{},[0,0,4]]}],"k":[{"a":[{"a":[{},[0,0,0,0,5]]}]},[0,0,4]],"o":[{"l":[{"i":[{},[0,0,5]]}]}],"p":[{},[0,0,4]],"t":[{},[0,0,4]]}],"t":[{"e":[{"o":[{"o":[{},[0,0,0,0,4]]}],"t":[{"r":[{},[0,0,0,3]]}]}],"i":[{"n":[{"a":[{},[0,0,0,0,5]]}]}],"o":[{"a":[{},[0,0,0,3]]}],"s":[{"i":[{"s":[{},[0,0,0,4]]}]},[0,0,4]],"u":[{"r":[{"b":[{"a":[{},[0,0,0,0,0,5]]}]}],"s":[{"a":[{},[0,0,3]]},[0,0,0,2]]}]}],"u":[{"l":[{"g":[{"a":[{},[0,0,4]]}],"u":[{"k":[{},[0,0,0,4]]}]}],"m":[{"b":[{},[0,0,2]]}],"u":[{},[0,0,4]]}],"v":[{"a":[{"a":[{"l":[{},[0,0,0,3]]}],"s":[{"k":[{},[0,0,0,0,3]]}]}],"e":[{"r":[{"e":[{},[0,0,0,0,3]]}]}]}],"õ":[{"p":[{"p":[{"e":[{},[0,0,0,0,5]]}]}],"õ":[{},[0,0,4]]}],"ä":[{"ä":[{},[0,0,4]]}],"ö":[{"ö":[{},[0,0,4]]}],"ü":[{"h":[{"i":[{"s":[{},[0,0,0,4]]}]}],"l":[{"e":[{"e":[{},[0,0,0,3]]}]}],"r":[{},[0,0,2]],"ü":[{},[0,0,4]]}]}],"a":[{"a":[{"a":[{"l":[{},[0,0,0,5]],"s":[{},[0,1]]}],"b":[{"i":[{".":[{},[0,0,4]]}]},[4]],"d":[{"e":[{"l":[{".":[{},[5]]}]}],"i":[{"o":[{"a":[{},[0,0,0,0,0,5]]}]}]}],"e":[{"r":[{},[0,4]]},[0,1]],"f":[{"e":[{},[0,0,4]]}],"g":[{"a":[{"n":[{},[0,0,4]]}]}],"h":[{"a":[{"s":[{},[0,0,4]]}]},[0,0,2]],"i":[{"g":[{},[0,0,0,4]],"s":[{},[0,0,4]],"t":[{},[0,5]]},[0,0,1]],"j":[{},[0,0,2]],"l":[{"a":[{"e":[{},[0,0,4]],"r":[{},[0,0,0,0,4]],"s":[{},[0,0,4]]},[0,0,2]],"e":[{"h":[{},[0,0,4]],"k":[{},[0,0,4]],"l":[{},[0,0,4]]}],"g":[{},[0,0,0,0,4]],"i":[{"k":[{"e":[{},[0,0,0,0,4]]}]}],"k":[{},[0,0,0,3]],"l":[{"i":[{"k":[{},[0,5]]}]}],"t":[{},[0,0,0,3,4]],"õ":[{},[0,0,2,3]],"ü":[{},[0,0,4]]}],"m":[{"a":[{"d":[{},[0,0,4]],"n":[{},[0,0,4]]}],"e":[{"e":[{"r":[{},[0,5]]},[0,0,4]]}],"ö":[{},[0,0,4]]}],"n":[{"a":[{"m":[{},[0,0,4]],"t":[{},[0,0,4]]}],"d":[{"m":[{},[0,5]],"u":[{"u":[{},[0,0,0,4]]}]}],"i":[{},[0,0,5]],"t":[{},[0,0,0,0,4]]},[4]],"p":[{"e":[{"k":[{},[0,0,4]],"n":[{},[0,0,4]]}]}],"r":[{"a":[{"b":[{},[0,0,4,0,4]],"f":[{},[0,0,4]],"j":[{},[0,0,4]],"l":[{},[0,0,0,0,4]]}],"t":[{"e":[{"r":[{},[0,5]]}]}],"õ":[{},[0,0,2,3]],"ö":[{},[0,0,4]],"ü":[{},[0,0,4]]}],"s":[{"a":[{"b":[{},[0,0,4]],"i":[{},[0,0,4]],"r":[{},[0,0,4]]}],"e":[{},[0,0,2,0,4]],"o":[{},[0,0,4]],"t":[{"a":[{},[3,0,0,5]]}],"u":[{"l":[{},[0,5,4]],"t":[{},[0,0,4]]}],"ü":[{},[0,0,4]]}],"t":[{"a":[{"a":[{},[0,0,4]],"s":[{},[0,0,4]]}],"e":[{"h":[{},[0,0,4]]}],"o":[{"m":[{},[5]]}],"õ":[{},[0,0,4]],"ü":[{"h":[{},[0,0,4]]}]},[4]],"u":[{},[0,1]],"š":[{"i":[{},[0,0,0,0,5]]}]}],"b":[{"a":[{},[4,3]],"e":[{},[0,5]],"i":[{"e":[{},[3]],"j":[{},[0,4]]}],"s":[{},[5]]},[0,1]],"d":[{"a":[{"d":[{},[0,4]]}],"e":[{"o":[{},[0,4]],"r":[{},[0,2]]}],"i":[{},[0,3]],"u":[{"r":[{},[0,0,0,4]],"s":[{"e":[{},[0,0,0,3]]}]}],"ö":[{},[0,4]]},[0,1]],"e":[{"a":[{"l":[{"i":[{},[0,5]]}]}],"d":[{".":[{},[3]]},[0,0,2]],"e":[{"s":[{},[0,3]]},[2]],"f":[{},[0,0,4]],"g":[{".":[{},[1]],"a":[{"j":[{},[0,0,4,0,4]]}],"i":[{},[0,0,4]],"n":[{},[3]]}],"h":[{},[2,1,2]],"i":[{},[4]],"k":[{"s":[{},[0,3]]},[4]],"l":[{"a":[{"n":[{"i":[{},[0,5]]}]}],"e":[{},[0,0,2]],"o":[{},[0,0,4]],"u":[{".":[{},[0,0,4]]}]},[2]],"m":[{},[4,0,2]],"n":[{},[4]],"p":[{"i":[{},[0,0,4]]}],"s":[{"i":[{},[0,3]]},[0,0,2]],"t":[{"t":[{},[4]]}]}],"f":[{"e":[{"k":[{},[0,4]]}]},[0,1]],"g":[{"e":[{"n":[{"t":[{},[3,4]]}]}],"i":[{"a":[{},[0,0,0,0,4]]}],"o":[{},[0,3]],"r":[{"e":[{"g":[{},[5]]}]}],"u":[{"d":[{},[0,0,0,0,4]]}]},[0,1]],"h":[{"i":[{".":[{},[1,2]]}],"k":[{"a":[{"r":[{},[0,0,4]]}]}],"n":[{"u":[{},[5]]}]}],"i":[{".":[{},[4]],"a":[{"n":[{},[5]]},[0,0,2]],"h":[{"u":[{},[0,0,4]]}],"k":[{"e":[{},[0,0,4]],"l":[{},[0,0,4]]}],"l":[{"m":[{},[0,3]],"u":[{},[0,0,4]]}],"m":[{"e":[{".":[{},[0,0,4]]}],"p":[{},[0,0,0,0,4]]}],"n":[{".":[{},[4]],"f":[{},[0,5]],"i":[{"m":[{"e":[{},[0,5]]}]}],"s":[{"e":[{},[0,3]]},[4]]}],"p":[{"r":[{},[0,0,4]]}],"s":[{"a":[{},[0,0,2]],"t":[{"i":[{"n":[{},[5]]}],"r":[{},[0,0,0,0,4]]}]}],"v":[{"a":[{},[0,0,4]]}]}],"j":[{"a":[{".":[{},[0,3]],"l":[{"e":[{},[0,4]],"o":[{},[5]],"u":[{},[0,4]]}],"m":[{},[1,2]]}],"o":[{},[4]],"u":[{"t":[{},[0,0,0,0,4]]}]},[0,1]],"k":[{"a":[{"a":[{"s":[{},[0,0,0,0,4]],"t":[{},[0,4]]}],"s":[{},[0,0,4]]}],"e":[{"n":[{".":[{},[3]]}]}],"i":[{},[0,3]],"k":[{"i":[{"s":[{},[0,0,4]]}],"r":[{},[0,0,4]]}],"l":[{"a":[{"s":[{},[0,3]],"u":[{},[0,0,4]]}],"i":[{"i":[{},[0,5]]}]}],"r":[{"i":[{"i":[{},[0,3]]}],"o":[{},[0,0,3]]}],"s":[{},[4]],"t":[{"e":[{"l":[{},[0,0,4,0,4]]}]}],"u":[{".":[{},[0,2]],"m":[{"a":[{"p":[{},[0,0,0,4]]}]}]}],"v":[{"a":[{"l":[{"i":[{},[0,5]]}]}]}]},[0,1]],"l":[{"a":[{"l":[{"d":[{},[3]]}],"m":[{"a":[{"s":[{},[0,0,0,4]]}]}],"ü":[{"h":[{},[0,4]]}]}],"e":[{"l":[{"e":[{},[0,0,0,4]]}],"t":[{"t":[{},[0,0,0,0,4]]},[0,0,4]]}],"g":[{"a":[{"t":[{},[5]]}],"e":[{"d":[{},[0,0,4]]}]}],"i":[{"s":[{"a":[{"n":[{},[0,0,0,4]]}],"t":[{"e":[{},[0,4]]}]}]},[0,3]],"l":[{"e":[{"e":[{".":[{},[5]]}],"h":[{},[0,0,4,0,4]]}],"u":[{"j":[{},[0,0,4]]}],"ü":[{},[0,0,2]]}],"o":[{"b":[{},[0,4]]}],"s":[{},[0,0,0,4]],"t":[{},[4]],"u":[{".":[{},[4]],"d":[{},[0,4]],"n":[{},[1]]}],"ü":[{"h":[{},[0,0,0,4]],"t":[{},[0,4]]}]}],"m":[{".":[{},[4]],"a":[{".":[{},[0,5]],"a":[{"d":[{},[0,4]]}]}],"e":[{"t":[{"n":[{},[3]]}]}],"i":[{"t":[{},[0,0,0,0,4]]}],"o":[{},[0,0,4]],"p":[{"a":[{"l":[{},[0,0,4]]}],"e":[{"r":[{".":[{},[5]]}]}]}],"ü":[{},[4]]},[0,1]],"n":[{".":[{},[2]],"a":[{"l":[{"ü":[{},[3]]}],"t":[{"o":[{"o":[{"m":[{},[5]]}]}]}]}],"d":[{"a":[{"s":[{},[0,0,4]]}],"e":[{"o":[{},[0,0,4]]}],"o":[{"g":[{},[0,0,4]]}]}],"e":[{"h":[{},[0,4]]},[2]],"i":[{"s":[{"o":[{},[0,4]]}]},[0,3]],"j":[{},[4]],"k":[{"r":[{},[0,0,4]],"u":[{},[3]]}],"n":[{"a":[{"h":[{},[0,0,4]]}]}],"o":[{"s":[{},[0,0,0,0,4]]},[4]],"s":[{"a":[{"m":[{},[3]]}],"t":[{},[4]]}],"t":[{"e":[{"n":[{},[3]]}],"i":[{"l":[{"o":[{},[5]]}]}]}]}],"o":[{"d":[{},[0,0,4]],"h":[{"e":[{},[0,0,4]],"t":[{},[0,3]]}],"j":[{},[0,0,4]],"l":[{"e":[{},[0,0,2]],"u":[{},[0,0,2]]}],"m":[{"a":[{},[0,3]]},[0,0,2]],"n":[{"u":[{},[0,0,4]]}],"o":[{"p":[{},[0,0,0,4]]}],"p":[{"e":[{"r":[{"a":[{},[0,5]]}]},[0,0,2]]}],"r":[{"a":[{"s":[{},[0,5]]}]},[0,0,2]],"s":[{"a":[{},[0,1]],"u":[{},[0,0,4]]}],"t":[{"s":[{},[0,1]]}]}],"p":[{"a":[{"r":[{"a":[{"a":[{},[5]]}],"t":[{},[0,5]],"v":[{},[0,3]]},[0,2]]}],"i":[{},[0,3]],"l":[{"a":[{},[0,3]]}],"o":[{},[0,3]],"p":[{"a":[{"l":[{},[0,0,4]]}],"i":[{"n":[{},[0,0,4]],"s":[{},[0,0,4]]}]}],"r":[{"i":[{},[0,0,3]],"o":[{"n":[{},[0,0,3]]}],"u":[{},[0,4]]}],"ä":[{},[0,3]]},[0,1]],"r":[{"a":[{"k":[{"k":[{},[0,0,0,0,4]]}],"s":[{"e":[{},[0,4]]}]},[4]],"e":[{"n":[{"g":[{},[5]]}],"t":[{"u":[{},[3]]}]}],"h":[{"i":[{"t":[{},[3]]}]}],"i":[{"a":[{"l":[{},[0,0,0,4]],"p":[{},[0,0,0,4]]}]},[2]],"k":[{"e":[{"l":[{},[0,0,4]]}]},[4]],"m":[{"a":[{"s":[{"t":[{},[5]]}]}],"e":[{"e":[{".":[{},[5]]}]}]}],"o":[{"l":[{},[0,4,0,4]]}],"s":[{"t":[{},[1]]}],"t":[{"i":[{"k":[{"k":[{},[5]]}]}]}],"u":[{"a":[{},[3]]}],"v":[{"a":[{"m":[{},[3]]}],"e":[{"s":[{"t":[{"u":[{"s":[{},[5]]}]}]}]}],"u":[{},[1]],"ä":[{"ä":[{},[0,0,4]]}]}]}],"s":[{"a":[{"l":[{"a":[{"s":[{},[0,0,0,4]]}]}],"m":[{"e":[{},[0,4]]}],"u":[{},[0,4]]}],"e":[{"m":[{"a":[{".":[{},[0,0,5]]},[0,0,0,4]]}],"n":[{},[1,2]],"o":[{"s":[{},[0,4]]}],"s":[{"e":[{},[0,4]]}],"t":[{"t":[{},[0,4]],"u":[{},[3,4]]}]}],"f":[{"ä":[{},[0,0,4]]}],"i":[{".":[{},[1,2]],"a":[{"l":[{"a":[{},[0,0,0,4]]}],"n":[{},[0,0,0,3]]}],"n":[{"d":[{},[0,4]]}],"p":[{},[0,0,0,0,4]]}],"j":[{"a":[{"n":[{},[5]]}]}],"k":[{"õ":[{"l":[{},[0,0,4]]},[0,0,0,0,4]]}],"l":[{"a":[{"a":[{"v":[{},[0,5]]}]}]}],"o":[{"k":[{},[0,4]],"l":[{"e":[{},[0,0,3]]}],"p":[{},[0,0,0,4]]}],"p":[{"e":[{"t":[{},[0,0,4]]}],"l":[{},[0,0,3]],"o":[{"r":[{},[0,3]]},[0,0,2]]}],"s":[{"a":[{"n":[{},[0,0,4]]}],"t":[{},[0,0,0,5]]}],"t":[{"i":[{},[4]],"m":[{"e":[{},[5]]}],"r":[{"a":[{"k":[{},[0,0,0,4]]}]}]}],"u":[{"b":[{},[0,4,0,4]],"d":[{},[0,4]],"i":[{},[0,0,0,0,4]],"s":[{"s":[{},[0,4]]}],"u":[{},[0,5]]}]}],"t":[{"a":[{"ž":[{},[0,4]]},[0,3]],"e":[{"l":[{"j":[{"e":[{"e":[{},[5]]}]}]}]}],"i":[{"i":[{"v":[{},[0,0,0,0,4]]}]}],"m":[{"i":[{"k":[{},[0,0,0,0,4]]}]}],"r":[{"o":[{"o":[{},[5]],"s":[{},[0,0,4]]}],"u":[{"s":[{},[0,0,4]]}]}],"s":[{"o":[{"o":[{},[0,0,4]]}],"p":[{},[0,0,0,4]],"ü":[{},[0,0,4]]}],"t":[{"s":[{},[0,0,0,4]]}],"u":[{},[4]]},[0,1]],"u":[{"a":[{"l":[{},[0,0,0,3]]},[0,0,2]],"b":[{"a":[{".":[{},[0,0,4]]}]}],"d":[{"e":[{".":[{},[0,0,4]]}]},[4]],"i":[{},[0,3]],"j":[{},[4,0,2]],"k":[{"e":[{},[0,0,4]]}],"l":[{"u":[{"s":[{},[0,0,0,0,0,4]]},[0,0,0,0,3]]}],"p":[{"ü":[{},[0,0,4,0,4]]}],"r":[{"g":[{},[0,5]]}],"s":[{"o":[{},[0,0,0,4]],"u":[{"l":[{},[0,3]]},[0,0,2]]}],"t":[{"o":[{"o":[{},[0,0,0,0,0,4]],"s":[{},[0,0,0,0,5]]},[1]],"r":[{},[0,0,0,4]]}]}],"v":[{"a":[{"n":[{"s":[{},[0,4]]}],"r":[{},[0,3]]},[0,0,4]],"e":[{"h":[{},[0,4]]}]},[0,1]],"õ":[{},[0,1,2]],"ö":[{},[0,1,2]],"ä":[{},[0,1,2]],"ü":[{},[0,1,2]],"ž":[{"n":[{"i":[{},[0,0,4]]}]}],"š":[{},[4,1]]}],"b":[{"a":[{"a":[{"g":[{},[0,0,0,4]],"k":[{},[0,0,0,4]],"s":[{},[0,0,0,4]]},[5]],"b":[{},[0,0,0,4]],"e":[{},[0,0,0,4]],"g":[{},[0,0,0,4]],"h":[{"e":[{},[0,0,4]]}],"j":[{"u":[{".":[{},[0,0,4]]}]}],"k":[{"r":[{},[0,0,3,4]],"s":[{},[0,0,0,4]],"v":[{},[0,0,0,4]]}],"p":[{"l":[{},[0,0,0,4]],"r":[{},[0,0,0,4]]}],"r":[{"õ":[{},[0,0,4]]}],"s":[{"a":[{"s":[{},[0,0,0,0,4]]}],"k":[{"o":[{},[0,0,0,4]]}],"p":[{"e":[{},[0,0,0,4]]}]}],"t":[{"r":[{},[0,0,0,4]]}]}],"b":[{},[4]],"d":[{},[2]],"e":[{"a":[{},[0,0,3,4]],"b":[{},[0,0,0,2]],"f":[{},[0,0,0,4]],"g":[{},[0,0,0,4]],"l":[{"ü":[{},[0,0,4,0,4]]}],"r":[{"a":[{},[0,0,2,0,2]],"k":[{},[0,0,0,0,4]],"o":[{},[0,0,0,0,4]],"õ":[{},[0,0,4,0,4]]}],"s":[{"i":[{},[0,0,4]],"t":[{"i":[{"s":[{},[0,0,0,4]]}]},[0,0,4]]}],"t":[{"r":[{},[0,0,0,4]]}]}],"f":[{},[4]],"h":[{"a":[{},[0,0,0,4]]},[4]],"i":[{"a":[{"l":[{"a":[{},[0,0,4]]}],"v":[{},[0,0,0,4]]}],"e":[{"n":[{},[0,0,4]]},[2,0,1]],"n":[{"õ":[{},[4]]}],"p":[{"l":[{"a":[{},[0,0,4]]}]}],"s":[{"a":[{},[0,0,0,4]],"i":[{},[0,0,4]],"k":[{},[0,0,0,4]]}]}],"j":[{},[2,1]],"k":[{},[2,1]],"l":[{"e":[{"t":[{},[0,0,0,0,4]]},[0,0,4]],"o":[{"n":[{},[0,2]]}]},[2,1]],"m":[{},[2]],"n":[{},[2]],"o":[{"r":[{"t":[{},[4]]}]}],"p":[{},[2]],"r":[{"i":[{"g":[{},[3]]}],"o":[{"s":[{},[0,0,0,0,4]]}]},[2,1]],"s":[{"o":[{},[0,3]]},[2]],"t":[{},[2,0,4]],"u":[{"k":[{"s":[{},[4]]}],"l":[{"õ":[{},[0,0,4]]}],"m":[{},[3]],"s":[{"e":[{},[0,0,0,0,5]],"i":[{},[0,0,4,0,4]],"k":[{"r":[{},[0,0,0,4]]}]}]}],"v":[{},[2,3]]}],"d":[{"a":[{"a":[{"b":[{},[0,0,5]],"l":[{"a":[{},[0,0,0,0,0,4]]}]},[0,0,0,2]],"d":[{"o":[{},[0,0,4]]}],"e":[{},[0,0,0,4]],"f":[{},[0,0,0,4]],"i":[{"n":[{},[0,5]]}],"l":[{"e":[{"h":[{},[0,0,4]]}],"u":[{"m":[{},[0,0,4]],"s":[{},[0,0,4]]}]}],"m":[{},[5]],"n":[{"n":[{},[4]],"u":[{"m":[{},[0,0,4]]}]}],"o":[{},[0,0,0,4]],"r":[{"a":[{"t":[{},[0,0,0,0,0,4]]}],"b":[{},[4]],"d":[{"e":[{},[0,0,0,4]]}],"e":[{},[4,0,4]],"u":[{},[4]],"v":[{".":[{},[0,3]]},[2]]}],"s":[{"e":[{"n":[{},[4]]}],"u":[{"m":[{},[0,0,4]]}]}]},[1]],"b":[{},[2,5,2]],"d":[{},[2]],"e":[{"a":[{"a":[{},[2]],"v":[{},[0,0,5]]},[0,0,0,2]],"d":[{},[0,0,0,4]],"e":[{".":[{},[2]],"l":[{"e":[{},[0,0,0,4]]}]}],"h":[{"e":[{},[4]]}],"k":[{"l":[{},[0,0,0,3]],"s":[{},[0,0,0,4]]}],"l":[{".":[{},[5]],"a":[{"u":[{},[0,0,4]]}],"e":[{"k":[{},[4,0,4]]}],"u":[{"v":[{},[4]]}]}],"p":[{"r":[{"e":[{"s":[{"s":[{"i":[{},[0,0,0,5]]}]}]}]},[0,0,4]]}],"r":[{"e":[{"l":[{},[0,0,4]],"p":[{},[0,0,4]]},[0,0,0,0,4]],"o":[{},[5]],"u":[{},[0,0,0,0,4]]}]},[1]],"f":[{},[2]],"g":[{},[2,5]],"h":[{},[2,1]],"i":[{"a":[{"v":[{},[0,0,0,4]]}],"d":[{},[0,0,0,4]],"g":[{},[0,0,0,4]],"i":[{"g":[{},[0,0,0,4]],"n":[{"a":[{},[0,0,0,0,0,4]]}],"s":[{"a":[{},[0,0,0,4]],"u":[{},[0,0,0,4]]}]}],"l":[{"m":[{},[4]]}],"n":[{"i":[{},[4]]}],"o":[{"s":[{},[0,0,2]]}],"p":[{"l":[{"o":[{},[0,0,4]]}]}],"s":[{"a":[{"i":[{},[0,0,0,4]],"r":[{},[0,0,4]],"s":[{},[0,0,4]]}],"p":[{"r":[{},[0,0,0,4]]}]}],"t":[{"r":[{},[0,0,0,4]]}]},[1]],"j":[{},[2,1]],"k":[{"o":[{"p":[{},[0,0,0,0,4]]}]},[2,3,4]],"l":[{"e":[{"v":[{},[0,0,0,4]]}],"u":[{"s":[{"t":[{},[0,0,0,0,0,4]]}]}]},[2,1]],"m":[{"e":[{"e":[{},[0,0,0,0,4]]}],"i":[{"k":[{},[0,0,0,4]]}]},[2,1]],"n":[{},[2,1]],"o":[{"h":[{},[0,0,4]],"i":[{"r":[{},[0,0,0,4]]}],"s":[{"a":[{},[0,3]],"k":[{},[5]]},[2]]},[1]],"p":[{},[2,3,4]],"r":[{"a":[{"a":[{"m":[{"a":[{".":[{},[5]]}]}]}],"o":[{},[0,0,0,0,4]]}],"e":[{"e":[{"n":[{},[3]]}],"l":[{},[0,4]],"n":[{"a":[{},[3]]},[0,2]]}]},[2,1,4]],"s":[{"a":[{"r":[{},[0,0,0,0,4]]}]},[2,1,4]],"t":[{},[2,3,2]],"u":[{"b":[{},[0,0,4]],"e":[{},[0,0,0,4]],"k":[{"s":[{},[2,5]]}],"s":[{"a":[{},[0,0,4,1]],"e":[{"e":[{},[0,0,4]]}],"k":[{},[0,0,0,0,4]]},[0,4,2]]},[1]],"v":[{},[2,1]],"õ":[{"l":[{},[0,0,4]]},[2]],"ä":[{},[4]],"ü":[{"l":[{"i":[{},[0,0,4]]},[2]],"r":[{},[4,0,4]],"ü":[{},[5]]}],"ž":[{},[4]],"š":[{"e":[{"m":[{},[3]]}]},[2,2]]}],"e":[{"a":[{"a":[{"j":[{},[0,0,3]],"s":[{},[0,1]]},[0,0,0,2]],"b":[{"i":[{},[0,3]]},[0,0,2]],"e":[{},[0,1]],"h":[{"i":[{},[0,0,2]]}],"i":[{},[0,1]],"j":[{},[0,0,2]],"k":[{"s":[{},[0,0,0,4]],"v":[{},[0,0,0,4]]}],"l":[{"a":[{".":[{},[0,3]]},[0,0,2]],"u":[{},[0,1,4]]}],"m":[{"e":[{"t":[{},[0,5]]},[0,0,2]]}],"n":[{"n":[{},[0,5]],"u":[{},[0,0,4]]}],"o":[{},[0,0,0,4]],"p":[{"a":[{},[0,0,2]]}],"r":[{"e":[{},[0,0,4]]},[0,1]],"s":[{"s":[{},[0,4]],"t":[{"e":[{},[0,5]]}],"u":[{"t":[{},[0,5]]}]},[0,0,2]],"u":[{},[0,3]],"v":[{"a":[{".":[{},[0,3]]}]},[0,0,2]]}],"b":[{},[0,1]],"d":[{"a":[{},[0,0,4]]},[0,1]],"e":[{"a":[{"l":[{"i":[{},[0,3]]}]}],"e":[{"s":[{},[0,3]]}],"f":[{"e":[{},[0,0,4]]}],"i":[{},[0,0,0,4]],"k":[{"r":[{},[0,0,0,4]]}],"l":[{"a":[{"r":[{},[3]]},[0,0,2]],"e":[{"k":[{"t":[{},[0,5]]}]}],"u":[{"u":[{},[0,0,0,5]]}]}],"n":[{"a":[{"i":[{},[0,0,4]],"l":[{},[0,0,4]],"m":[{},[0,0,4]]}],"o":[{},[0,0,4]],"t":[{},[0,0,0,0,4]]}],"p":[{"a":[{"i":[{},[0,0,4]]}],"i":[{"t":[{},[0,5,4]]}],"o":[{"s":[{},[5]]}]}],"r":[{"a":[{"l":[{},[0,0,4]],"p":[{},[0,0,0,5]]}],"o":[{"s":[{},[0,0,4]],"t":[{},[0,0,4]]}]}],"s":[{"i":[{"n":[{"e":[{},[0,5]]},[0,0,4]],"s":[{"t":[{},[0,0,4,5]]}]}],"k":[{"i":[{"r":[{},[5]]}]}],"ü":[{},[0,0,4]]}],"t":[{"õ":[{"m":[{},[0,0,4]]}],"ä":[{},[0,0,4]]}]}],"f":[{},[0,1]],"g":[{"a":[{"a":[{},[0,0,0,0,4]],"s":[{"t":[{},[0,0,0,0,4]]}]}],"o":[{"i":[{},[0,4]]}]},[0,1]],"h":[{"a":[{},[4]],"e":[{".":[{},[0,2]]}],"i":[{"n":[{},[0,3]],"s":[{"t":[{},[5]]}],"t":[{"i":[{},[5]]},[1,4]]},[0,2]],"t":[{"a":[{},[0,0,4,0,4]]}],"ä":[{},[4]]}],"i":[{"d":[{"u":[{"l":[{},[0,0,4]]}]}],"e":[{"r":[{"i":[{},[0,0,0,5]]}]},[0,0,4]],"g":[{"a":[{".":[{},[0,3]]},[0,0,2]]}],"h":[{"a":[{},[0,0,4]],"e":[{},[0,0,4]]}],"l":[{"m":[{},[0,3]],"u":[{},[0,0,2]]}],"m":[{"e":[{"m":[{},[0,0,4]]}]}],"n":[{"e":[{".":[{},[5]]}]}],"r":[{"o":[{"o":[{},[0,0,4]]}]}],"s":[{"a":[{".":[{},[0,5,4]]}],"i":[{"s":[{"t":[{},[0,0,4]]}]}]}],"t":[{"a":[{"u":[{},[0,0,4]]}],"õ":[{},[0,0,4]]}],"v":[{"a":[{".":[{},[0,0,4]]}]}]}],"j":[{},[0,3]],"k":[{"a":[{"h":[{"i":[{},[0,4]]}]},[0,3]],"e":[{},[0,3]],"k":[{"a":[{"p":[{},[0,0,4]]}]}],"l":[{"o":[{},[0,0,4]]},[0,0,2]],"o":[{},[0,3,4]],"r":[{"e":[{},[0,0,3]],"i":[{"i":[{},[0,3]]}]}],"s":[{".":[{},[4]],"a":[{"m":[{".":[{},[5]]}]}],"e":[{"m":[{},[3]]}],"i":[{"k":[{},[0,0,0,0,3]]}],"k":[{"a":[{},[3]]}],"p":[{"r":[{},[0,0,0,0,3]]}],"t":[{"r":[{},[5]]}]}],"t":[{"ü":[{"l":[{},[0,0,4]]}]}],"ü":[{},[0,3]]}],"l":[{"a":[{"a":[{"v":[{},[0,0,0,0,4]]}],"g":[{"r":[{},[0,4]]}],"m":[{"u":[{},[3]]},[0,2]],"n":[{"i":[{"k":[{},[5]]}]},[0,0,4]]}],"e":[{"i":[{"s":[{},[0,0,0,0,0,4]]}],"k":[{"s":[{},[0,4]],"t":[{"r":[{"o":[{},[5]]}]}]}],"m":[{"e":[{},[3]]}],"v":[{"a":[{"a":[{"t":[{"o":[{},[5]]}]}]}]}]}],"i":[{"d":[{},[0,4]],"i":[{"t":[{},[0,0,0,0,4]]}]},[0,3]],"k":[{"u":[{"s":[{},[0,0,4]]}]}],"o":[{"b":[{},[0,4,4]],"p":[{},[0,0,0,4]]}],"s":[{"t":[{},[0,0,0,4]]}],"t":[{"r":[{},[0,0,0,2]],"ü":[{},[0,0,4]]}],"u":[{".":[{},[1]],"b":[{},[0,5]],"i":[{},[0,0,0,5,4]],"n":[{},[1,4]],"s":[{".":[{},[0,3]],"s":[{".":[{},[0,0,5]]},[0,4]]}]},[0,2]],"ü":[{"h":[{},[0,0,4]]}]}],"m":[{"a":[{"n":[{"d":[{".":[{},[5]]}]}],"t":[{},[0,5]]}],"n":[{"e":[{},[0,0,0,0,3]]}],"o":[{"s":[{},[0,0,0,0,4]]}],"p":[{"r":[{},[0,0,0,4]]}],"u":[{"l":[{"s":[{},[5]]}]}]},[0,1]],"n":[{"d":[{"u":[{"s":[{},[0,0,0,0,0,3]]}]}],"e":[{"l":[{"a":[{"s":[{},[5]]}]}],"m":[{},[0,5]],"r":[{"g":[{},[3]]}],"s":[{"e":[{},[0,4]],"l":[{},[0,4]]}]}],"k":[{"l":[{},[0,0,0,5]],"r":[{},[0,0,0,4]]}],"s":[{"a":[{"l":[{},[0,0,4]]}]}],"t":[{"o":[{"s":[{},[0,0,4]]}],"ü":[{},[0,0,4]]}]}],"o":[{"a":[{},[0,0,5]],"j":[{"a":[{},[0,0,4]]}],"l":[{"e":[{},[0,3,4]],"u":[{},[0,0,2]]}],"m":[{"a":[{},[0,0,2]]}],"o":[{"p":[{},[0,0,0,4]]}],"p":[{"l":[{},[0,0,5]]}],"s":[{"a":[{".":[{},[0,3]],"k":[{},[0,3]],"l":[{"i":[{},[0,5]]}],"v":[{},[0,5]]}],"f":[{},[0,0,0,4]]}],"t":[{"s":[{".":[{},[0,3]]}]}]}],"p":[{"l":[{"i":[{},[0,4]],"u":[{},[0,0,4]]},[0,3]]},[0,1]],"r":[{"a":[{"a":[{},[0,3]],"k":[{"o":[{"n":[{},[5]]}]}],"l":[{"d":[{},[5]]}],"o":[{},[0,4]]}],"e":[{"i":[{},[0,0,0,0,2]],"k":[{},[0,0,0,0,4]]}],"g":[{"u":[{"t":[{},[5]]}]}],"i":[{"h":[{},[0,0,0,0,4]],"u":[{"u":[{},[0,0,0,4]]}]}],"n":[{"a":[{"u":[{},[0,0,4]]}]}],"o":[{"r":[{},[0,4,0,4]]}],"p":[{"r":[{},[0,0,2]]},[0,0,0,4]],"s":[{"k":[{},[0,0,0,4]]}],"t":[{"a":[{"a":[{},[0,0,4]],"k":[{},[0,0,4]]}],"e":[{"s":[{},[0,0,4]]}]}],"u":[{"d":[{},[0,4]]}]},[0,1]],"s":[{"a":[{"n":[{},[0,0,1]]}],"e":[{".":[{},[1,2]],"k":[{},[0,5]],"n":[{},[0,5]]}],"i":[{"l":[{},[0,5]]}],"k":[{"a":[{"j":[{},[0,0,0,0,4]],"s":[{},[0,0,0,0,4]]}],"e":[{"l":[{},[0,0,5]]},[0,0,0,0,4]],"l":[{},[0,0,0,3]],"r":[{},[0,0,0,3]],"ö":[{},[0,0,2,5]]}],"l":[{"a":[{"a":[{},[0,0,4]]}]}],"o":[{"l":[{"e":[{},[0,0,3]]}],"r":[{},[0,0,4]]}],"p":[{"o":[{"r":[{},[0,3]]},[0,0,2]]}],"s":[{"i":[{"s":[{"t":[{},[0,0,4]]}]}]}],"t":[{"ü":[{},[0,0,4]]},[4]],"u":[{"p":[{},[0,0,0,0,4]]},[0,3]]}],"t":[{"a":[{},[0,3,4]],"e":[{"n":[{"d":[{"u":[{"s":[{".":[{},[5]]}]}]}]},[0,2]]}],"i":[{"i":[{"s":[{},[0,0,0,0,4]]}]}],"r":[{"a":[{},[0,0,2]]}],"s":[{"i":[{"n":[{},[0,0,4]]}],"o":[{"o":[{},[0,0,4]]}],"ü":[{},[0,0,4]]}],"t":[{"a":[{"j":[{},[0,0,4]]}],"e":[{},[1]],"r":[{"u":[{},[0,0,4]]}],"ä":[{},[0,0,4]],"ü":[{},[0,0,4]]}],"u":[{},[4]],"õ":[{"d":[{},[0,4,0,4]]}],"ü":[{"m":[{},[0,4]]}]},[0,1]],"u":[{"d":[{"e":[{},[0,0,4]]}],"j":[{},[0,3,2]],"l":[{},[0,3,2]],"n":[{},[0,5,2]],"p":[{},[0,0,4]],"s":[{"k":[{},[0,5]]},[0,0,4]],"u":[{},[0,3]]}],"v":[{"a":[{},[0,3,4]]},[0,1]],"õ":[{},[0,1,2]],"ö":[{},[0,3,4]],"ä":[{},[0,1,2]],"ü":[{},[0,1,4]],"š":[{},[0,1]]}],"f":[{"a":[{"a":[{"n":[{},[0,0,0,4]]},[5]],"d":[{},[4,0,4]]}],"f":[{},[2]],"i":[{"i":[{"t":[{},[0,0,0,4]]}]},[1]],"j":[{},[4]],"k":[{},[4]],"l":[{"o":[{"o":[{"r":[{"a":[{},[5]]}]}]},[0,2]]},[2,1]],"n":[{},[2,1]],"o":[{"l":[{"k":[{},[0,0,0,0,5]]}],"r":[{"o":[{},[0,0,4]]}]},[1]],"r":[{"e":[{"e":[{"s":[{},[3]]}]},[0,2]]},[2,1]],"s":[{},[2]],"t":[{"a":[{"t":[{},[0,0,0,0,4]]}]},[2,1]],"u":[{},[3]]}],"g":[{"a":[{"a":[{"r":[{},[0,0,0,4]],"s":[{"t":[{},[4]]}]},[3]],"b":[{},[4]],"e":[{"d":[{},[4]]}],"g":[{},[0,0,0,4]],"h":[{"i":[{},[0,0,2]]},[2]],"i":[{"g":[{},[0,0,0,4]],"s":[{},[0,0,5]]}],"k":[{},[0,0,3,4]],"m":[{},[5]],"o":[{},[0,0,3]],"p":[{},[0,0,3]],"r":[{"t":[{},[4]],"v":[{},[4]]}],"s":[{"u":[{"k":[{},[4,0,4]]}]},[0,4]],"t":[{"a":[{},[5]],"r":[{},[0,0,0,4]]}],"u":[{},[0,0,0,4]],"v":[{"a":[{".":[{},[0,0,4]],"n":[{},[0,0,4]]}]}]}],"b":[{},[2,3]],"d":[{},[2,0,4]],"e":[{"a":[{},[0,0,0,4]],"d":[{"u":[{".":[{},[0,0,4]]}]}],"k":[{"l":[{},[0,0,5]],"s":[{"e":[{},[4]]}]},[0,0,0,4]],"l":[{"a":[{"h":[{},[0,0,4]],"s":[{},[0,0,0,0,4]]}],"e":[{"h":[{},[0,0,4]]}],"u":[{},[0,0,3]],"ä":[{},[0,0,4]]}],"n":[{"a":[{"n":[{},[0,0,4]]}]}],"o":[{"k":[{},[0,0,0,0,4]],"r":[{},[0,0,4]],"s":[{},[4]]}],"r":[{"g":[{},[4]],"u":[{"s":[{},[0,0,4]]}]}]}],"f":[{},[4]],"g":[{},[4]],"h":[{},[2,1]],"i":[{"a":[{"j":[{},[0,0,2]]}],"i":[{"s":[{},[0,0,0,4]]}],"k":[{},[0,0,3]],"n":[{"f":[{},[4]],"t":[{},[4]]}],"o":[{"r":[{},[0,0,0,4]]}],"p":[{"l":[{},[0,0,3]]}],"s":[{"a":[{"n":[{},[0,0,4]]}],"i":[{"l":[{},[0,0,4]]}],"ö":[{},[0,0,4]]}],"t":[{"r":[{},[0,0,0,4]]}],"v":[{"a":[{"j":[{},[0,0,4]]}]}]}],"j":[{},[2,1]],"k":[{},[2,1]],"l":[{"ü":[{"t":[{},[0,4]]}]},[2,1]],"m":[{},[2,1]],"n":[{"e":[{"t":[{"a":[{},[0,0,0,4]],"e":[{},[0,0,0,4,0,4]]}]}]},[2,1]],"o":[{"h":[{},[4]],"l":[{"e":[{},[0,0,4]]}],"m":[{"a":[{},[0,0,4]]}],"p":[{"o":[{},[0,0,4]]}]}],"p":[{},[2,1,4]],"r":[{"a":[{"n":[{"a":[{"a":[{},[5]]}]},[0,2]],"v":[{},[3,2]]}],"u":[{"p":[{},[3]]},[0,2]]},[2,1]],"s":[{},[4,1,4]],"t":[{"r":[{},[0,3]]},[2,1,2]],"u":[{"b":[{},[0,0,0,4]],"e":[{},[0,0,0,4]],"i":[{},[0,0,5]],"n":[{"e":[{"l":[{},[0,0,4]]}]}],"o":[{},[0,0,3]],"p":[{},[0,0,0,4]],"s":[{"e":[{"n":[{},[0,0,4]]}],"ä":[{},[0,0,4]]}],"u":[{"j":[{},[0,0,0,4]]}]},[3]],"v":[{},[2,1]],"õ":[{},[2,3,4]],"ä":[{},[4]],"ü":[{"l":[{},[0,0,4]]}]}],"h":[{"a":[{"a":[{"r":[{"i":[{},[0,0,0,4]]}],"s":[{},[0,0,0,4]]}],"l":[{"l":[{"a":[{"i":[{},[0,0,0,4]]}]}]}],"r":[{},[5]],"s":[{"a":[{},[0,0,0,0,4]]}],"t":[{"r":[{},[0,0,0,4]]}]},[3]],"e":[{"e":[{"m":[{},[0,0,0,4]],"s":[{},[0,0,0,4]]}],"i":[{"s":[{},[0,0,0,4]]}],"k":[{"v":[{},[0,0,0,4]]}],"l":[{".":[{},[2]],"s":[{},[0,0,0,0,4]]}],"t":[{"r":[{},[0,0,0,4]]}]},[1]],"h":[{"e":[{"l":[{},[0,0,0,4]]}]},[4,1]],"i":[{"a":[{},[0,0,0,2]],"i":[{"s":[{},[0,0,0,4]]}],"l":[{},[5]],"m":[{},[5]],"o":[{},[0,0,0,2]],"s":[{"a":[{"n":[{},[0,0,4]],"r":[{},[0,0,4]]}],"e":[{"l":[{},[0,0,0,0,4]]}],"t":[{},[0,0,4,0,4]],"ü":[{},[0,0,4]]}],"t":[{"s":[{},[5]]}]},[1]],"j":[{"a":[{"a":[{},[0,0,0,0,4]]}]},[0,1]],"k":[{"a":[{"l":[{},[0,4]],"s":[{},[0,4]]}],"i":[{"s":[{},[0,4]]}],"l":[{},[0,0,3]],"o":[{},[0,4,0,4]],"r":[{},[0,0,3]],"s":[{},[0,0,0,4]],"t":[{},[0,0,0,4]],"u":[{"s":[{"k":[{},[0,4]],"u":[{},[0,4,0,4]]}]}],"õ":[{},[0,4]],"ä":[{},[0,4]]},[4]],"l":[{"e":[{"n":[{},[0,0,0,4]]}]},[0,1]],"m":[{"o":[{},[0,4,0,4]],"ü":[{},[0,4]]},[4,1]],"n":[{"i":[{"k":[{"a":[{},[0,0,0,0,0,5]]}]}]},[0,1]],"o":[{"m":[{"o":[{},[0,0,0,4]]}]},[1]],"p":[{},[4,0,4]],"r":[{"s":[{},[0,0,0,4]]}],"t":[{"a":[{"j":[{},[0,0,0,2]],"k":[{},[0,5]],"l":[{},[0,0,0,4]],"r":[{},[0,0,5]],"s":[{"u":[{},[0,0,0,4]]}]},[0,2]],"e":[{"g":[{},[0,4]],"n":[{},[0,0,0,4]],"r":[{},[0,0,0,4]]}],"i":[{"d":[{},[0,4]]}],"o":[{},[0,4]],"r":[{},[0,4]],"s":[{},[0,0,5,4]],"ö":[{},[0,4]],"ä":[{},[0,4]]},[4]],"u":[{"a":[{},[0,0,3]],"e":[{},[0,0,0,4]],"i":[{"d":[{},[0,0,0,4]]}],"k":[{"l":[{},[0,0,0,4]]}],"p":[{},[0,0,0,4]],"s":[{"a":[{},[0,0,3]]}]},[1]],"v":[{"a":[{"d":[{},[0,0,0,0,4]],"s":[{"t":[{},[0,0,0,0,0,4]]}]}],"e":[{"l":[{},[0,0,0,4]]}],"i":[{"n":[{"i":[{},[0,4]]}]}],"o":[{},[0,4]],"u":[{"s":[{},[0,0,0,4]]}]},[2,1]],"õ":[{},[1]],"ö":[{},[3]],"ä":[{},[1]],"ü":[{},[3]]}],"i":[{"a":[{"a":[{"l":[{"a":[{"n":[{"e":[{},[0,0,5]]}]}]},[0,0,0,4]],"s":[{"t":[{},[0,3]]}]},[0,0,0,2]],"b":[{"i":[{},[0,5,4]],"o":[{},[0,0,4]]}],"e":[{},[0,1]],"g":[{},[0,0,2]],"h":[{},[0,0,2]],"i":[{"n":[{"e":[{},[0,3]]}]}],"j":[{},[0,1,2]],"k":[{"r":[{},[0,0,4]],"t":[{},[0,3]]}],"l":[{"a":[{},[0,1,2]],"b":[{},[0,5]],"l":[{"i":[{},[0,3]]}],"u":[{},[0,1,2]]}],"m":[{"e":[{"t":[{".":[{},[0,5]]}]},[0,0,2]]}],"n":[{"a":[{},[0,0,2]],"d":[{"j":[{},[0,5]],"m":[{},[0,5]]}],"e":[{},[0,0,4]],"n":[{"e":[{},[0,5]]}]}],"p":[{"a":[{"r":[{},[0,3]]}],"r":[{},[0,0,5]]},[0,0,2,4]],"r":[{"e":[{},[0,0,2]],"m":[{},[0,3]],"u":[{},[0,0,4]],"v":[{},[0,1]]}],"s":[{"k":[{"e":[{},[0,0,0,4]]}],"t":[{"e":[{".":[{},[0,5]]}]}],"u":[{},[0,3]]},[0,0,2]],"t":[{"e":[{"l":[{},[0,0,4]]}],"r":[{},[0,0,0,4]]}],"u":[{"l":[{},[0,0,0,4]]},[0,1]],"v":[{"a":[{"j":[{},[0,5,4]],"l":[{"d":[{},[0,5]]}]}]}]},[4]],"b":[{"a":[{"d":[{},[0,4]],"u":[{},[0,4]]}]},[0,1]],"d":[{"e":[{"a":[{"a":[{},[5]]}]}],"i":[{"i":[{},[0,0,0,0,4]]}],"l":[{"u":[{},[0,0,0,0,4]]}]},[0,1]],"e":[{"a":[{"l":[{"i":[{},[0,3]]}]}],"e":[{"l":[{},[0,1]]}],"i":[{},[0,0,0,4]],"k":[{"s":[{},[0,1]]}],"l":[{"a":[{"n":[{"i":[{},[0,5]]}]}],"u":[{},[0,1]]}],"o":[{"s":[{},[0,3]]}],"r":[{"i":[{},[0,0,4]],"s":[{},[0,0,0,0,4]]}],"s":[{"i":[{},[0,3]],"o":[{},[0,0,5]],"s":[{},[0,5]],"t":[{},[0,0,4]]}],"t":[{"e":[{"n":[{},[0,3]]}],"u":[{"s":[{},[0,0,0,0,4]]}]}]},[0,0,2]],"f":[{},[0,1]],"g":[{"a":[{"g":[{},[0,4,0,4]],"r":[{},[0,5]],"t":[{"s":[{"u":[{},[5]]}]}],"v":[{},[0,4]]}],"r":[{"a":[{"m":[{},[0,0,4]]}]}]},[0,1]],"h":[{"l":[{"e":[{},[0,0,4]]}],"t":[{"e":[{},[0,0,4]],"i":[{"n":[{},[0,0,4]]}]}]}],"i":[{"a":[{},[0,0,4]],"d":[{"e":[{"o":[{},[0,0,4]]}],"u":[{".":[{},[0,0,4]]}]}],"e":[{"s":[{},[0,0,4]]},[0,0,0,3]],"g":[{"a":[{"a":[{},[0,0,4]],"s":[{},[0,0,4,0,4]]}]}],"h":[{"a":[{},[0,0,4]]}],"k":[{"a":[{},[0,0,0,0,4]],"i":[{"s":[{},[0,0,4]]}],"r":[{"o":[{},[0,0,0,4]]}],"s":[{"t":[{},[0,0,0,0,4]]}],"t":[{},[0,0,0,0,4]]}],"l":[{"a":[{"b":[{},[0,0,4]],"d":[{},[0,0,4]],"e":[{},[0,0,4]],"s":[{"t":[{},[0,0,4]]}]}],"e":[{"h":[{},[0,0,4]],"l":[{},[0,0,4]],"s":[{},[0,0,4]]}],"õ":[{},[0,0,2,0,4]],"ü":[{},[0,0,4]]}],"m":[{"a":[{"i":[{},[0,0,4]],"t":[{},[0,0,0,0,0,4]]}],"e":[{"t":[{},[0,0,4]]}]}],"n":[{"a":[{"i":[{},[0,0,4]],"u":[{},[0,0,4]]}],"d":[{"e":[{},[0,5]]}],"f":[{},[0,5]],"i":[{"m":[{"e":[{"n":[{},[0,5]]}]}],"t":[{},[0,0,0,0,0,4]]},[0,0,3]],"k":[{},[0,0,0,0,4]],"o":[{"l":[{},[0,0,4]],"s":[{},[0,0,4]]},[0,0,0,0,4]],"õ":[{},[0,0,4]]}],"p":[{"r":[{},[0,0,4]]}],"r":[{"a":[{"n":[{},[0,0,4]],"u":[{},[0,0,4]]}],"s":[{},[0,0,0,0,4]],"ü":[{},[0,0,4]]}],"s":[{"a":[{"n":[{},[0,0,4]]}],"e":[{"l":[{},[0,0,0,0,4]],"v":[{},[0,0,4]]}],"i":[{"k":[{".":[{},[0,0,4]]}]}]}],"t":[{"a":[{},[0,0,2]],"e":[{"h":[{},[0,0,4]]}],"o":[{"m":[{},[0,0,4]],"s":[{},[0,0,4]]},[0,0,0,0,4]],"r":[{"e":[{},[0,0,0,5]]}],"õ":[{},[0,0,4]],"ü":[{},[0,0,4]]}],"v":[{"e":[{"s":[{},[0,0,4]],"t":[{},[0,0,4]]}],"o":[{},[0,0,2]]}]}],"j":[{},[0,1]],"k":[{"a":[{"l":[{"u":[{},[0,4]]}],"r":[{"e":[{},[0,4,0,4]],"k":[{},[0,4]]}],"u":[{"t":[{},[0,4]]}]}],"e":[{"l":[{"u":[{},[0,4,5]]}],"s":[{"i":[{},[0,0,0,4]]}]}],"l":[{"a":[{"a":[{},[0,3]],"s":[{},[0,3]]}],"e":[{"r":[{},[0,0,4]]}],"u":[{"b":[{},[0,5]]}]}],"o":[{"p":[{},[0,0,0,0,4]],"s":[{},[0,0,0,0,4]],"v":[{},[0,4]]}],"r":[{"e":[{},[0,3]],"o":[{},[0,0,3]]}],"s":[{"a":[{"r":[{},[0,0,4]]}],"k":[{},[0,0,0,4]],"p":[{"o":[{},[0,0,0,4]]}]}],"t":[{"r":[{},[0,0,3,2]]}],"u":[{"a":[{},[0,0,0,3]]},[0,3]]},[0,1]],"l":[{"a":[{"s":[{"i":[{},[0,4]]},[0,0,0,4]]},[0,0,4]],"i":[{"a":[{},[0,0,0,0,4]],"s":[{"i":[{},[0,4]]}]}],"k":[{"a":[{"n":[{},[0,0,4]]}],"õ":[{},[0,0,4]]}],"l":[{"e":[{"s":[{},[0,0,0,0,5]]}],"o":[{},[0,0,0,0,4]]}],"m":[{"e":[{".":[{},[5]]}],"o":[{"t":[{},[0,0,4]]}],"u":[{"t":[{},[3]]}]}],"o":[{"g":[{},[0,0,0,5,2]]}],"p":[{"l":[{},[0,0,0,3]]}],"t":[{"i":[{},[0,0,4]]}],"u":[{"n":[{},[0,5]],"s":[{"a":[{},[0,0,0,3]],"t":[{"u":[{},[5]]}]}]}],"ü":[{"h":[{},[0,0,0,4]]}]}],"m":[{"e":[{"l":[{"u":[{},[0,4]]}]}],"i":[{"g":[{},[0,0,0,4]],"s":[{"u":[{},[0,0,0,0,0,4]]}]}],"o":[{"l":[{},[0,4,0,4]]}],"p":[{"e":[{"r":[{},[5]]}]}]},[0,1]],"n":[{"d":[{"a":[{"l":[{},[0,0,0,3]]}],"e":[{"k":[{"s":[{},[5]]}],"r":[{},[0,0,0,0,4]]}],"r":[{"e":[{},[0,0,0,4]]}]}],"e":[{"e":[{"s":[{},[0,0,0,0,4]]}],"h":[{},[0,4]],"k":[{"s":[{},[0,4]]}]},[2]],"i":[{"k":[{"ü":[{},[0,0,0,4]]}],"m":[{"a":[{"s":[{},[0,0,0,4]]}],"e":[{"n":[{"e":[{},[5]]}]},[0,4]],"l":[{},[5]]},[0,2]],"n":[{"i":[{},[0,4]]}]}],"n":[{"a":[{"a":[{},[0,0,0,0,5]]}],"i":[{"s":[{"i":[{},[0,0,0,0,4]]}]}]}],"s":[{"e":[{"n":[{},[3]]}],"p":[{},[1]],"t":[{},[1]]}],"v":[{"e":[{"n":[{},[3]]}]}]},[0,1]],"o":[{"d":[{"e":[{},[0,0,4]]}],"h":[{"t":[{},[0,3]],"v":[{},[0,5]]},[0,0,4]],"j":[{},[0,0,4]],"k":[{"s":[{".":[{},[0,5]]}]}],"l":[{"e":[{"k":[{},[0,3]]},[0,0,2]],"u":[{"k":[{},[0,5]]},[0,0,2]],"ü":[{},[0,0,4]]}],"m":[{"a":[{"n":[{},[0,5]]},[0,0,2]]}],"o":[{"d":[{"a":[{},[0,0,0,4]]}],"n":[{"e":[{},[0,0,0,4]],"i":[{},[0,0,0,0,0,3]]}]}],"p":[{"e":[{"r":[{},[0,3]]}]},[0,0,2]],"r":[{"k":[{},[0,5]]}],"s":[{"a":[{},[0,1]],"f":[{},[0,0,0,4]],"p":[{},[0,0,0,4]],"t":[{"r":[{},[0,0,0,0,4]]},[0,0,0,4]],"u":[{},[0,0,4]]}],"t":[{"s":[{".":[{},[0,3]],"i":[{},[0,3]]}],"ü":[{},[0,0,4]]}]}],"p":[{"l":[{"a":[{},[0,3]],"u":[{},[0,0,4]]}],"r":[{"o":[{},[0,0,4]]}],"s":[{"a":[{"s":[{},[0,0,4]]}],"e":[{"p":[{},[0,0,4]]},[0,0,0,0,4]],"u":[{"s":[{},[0,0,4]]}]}]},[0,1]],"r":[{"a":[{"b":[{},[0,4,0,4]],"s":[{"e":[{},[0,4]]}]}],"d":[{"i":[{"s":[{},[0,0,4]]}]}],"n":[{"õ":[{},[0,0,4]]}],"u":[{"i":[{},[0,2]],"u":[{},[0,0,0,0,4]]}]}],"s":[{"a":[{"a":[{"v":[{},[0,0,0,0,4]]}],"j":[{"a":[{},[0,0,0,4]]}],"n":[{"a":[{},[0,4]]}],"r":[{"e":[{},[0,0,0,4]],"h":[{},[0,4]]}]}],"e":[{"l":[{"o":[{},[0,4]]}],"m":[{},[0,3]],"t":[{"s":[{},[0,0,0,0,4]]}]}],"i":[{"g":[{},[0,0,0,4]]}],"o":[{"l":[{"a":[{},[3]],"i":[{},[0,5]]}],"m":[{"a":[{},[0,0,5]]}],"r":[{},[0,0,0,4]],"t":[{},[0,3]]},[0,2]],"p":[{"e":[{"k":[{},[0,3,4]]}],"l":[{},[0,0,3]],"o":[{"r":[{},[0,3,4]]}]}],"s":[{"p":[{},[0,0,3]]}],"t":[{"a":[{"n":[{"d":[{},[5]]}]}],"i":[{"i":[{"l":[{},[0,5,4]]}]}],"m":[{"e":[{},[5]]}],"r":[{"u":[{},[0,0,0,4]]}],"s":[{"e":[{"e":[{},[0,5]]},[0,0,0,4]]}],"u":[{"t":[{"u":[{},[5]]}]}]}],"u":[{},[0,3]],"õ":[{"m":[{},[0,4]]}],"ü":[{"l":[{},[0,2,0,4]],"r":[{},[0,0,0,4]]}]}],"t":[{"a":[{"a":[{},[0,0,0,0,2]]}],"e":[{"e":[{"l":[{},[0,0,0,0,4]]}]}],"r":[{"a":[{"k":[{},[0,0,4]],"s":[{},[0,0,4]]}],"u":[{},[0,0,2,0,4]]}],"s":[{"k":[{},[0,0,0,3]],"o":[{},[0,0,4]]}],"t":[{"e":[{},[0,0,0,0,1]],"s":[{},[0,0,0,4]]}]},[2]],"u":[{"b":[{},[0,0,4]],"d":[{"a":[{},[0,0,2]]}],"g":[{"i":[{},[0,0,4]]}],"j":[{"u":[{},[0,3]]},[0,0,2]],"l":[{"a":[{},[0,0,4]]}],"m":[{"a":[{"r":[{},[0,0,4]]}],"e":[{},[0,0,4,0,4]],"o":[{},[0,0,2]]}],"n":[{"i":[{},[0,0,4]]}],"p":[{"u":[{},[0,0,4]]}],"s":[{"a":[{},[0,0,5]],"s":[{".":[{},[0,5]]}],"u":[{},[0,0,2]]}],"t":[{"i":[{},[0,0,0,0,4]]}],"u":[{},[0,3]]}],"v":[{"a":[{"d":[{},[0,4]],"k":[{"t":[{},[0,4]]}],"l":[{"u":[{"s":[{},[0,4,0,4]]}]}],"n":[{"t":[{},[0,4]]}],"u":[{},[0,4]]}],"e":[{"h":[{},[0,4]],"l":[{},[0,0,0,4]]}],"i":[{"i":[{"l":[{},[0,0,0,0,0,5]]}]}],"ü":[{},[0,4]]},[0,1]],"õ":[{},[0,1,2]],"ä":[{},[0,1,4]],"ü":[{},[0,1,2]],"ž":[{},[0,1]]}],"j":[{"a":[{"a":[{"j":[{},[0,0,1]],"l":[{},[0,0,0,4]],"r":[{},[0,0,0,4]],"s":[{},[0,0,0,4]]},[3]],"b":[{},[0,0,0,4]],"d":[{},[0,0,0,4]],"e":[{"l":[{},[0,0,5]],"r":[{},[0,0,0,4]]}],"g":[{},[0,0,0,4]],"i":[{},[0,0,3,2]],"k":[{"r":[{"a":[{},[0,0,5]]}]}],"m":[{"a":[{},[5]],"e":[{},[5]]}],"o":[{"h":[{},[0,0,0,4]]}],"p":[{},[0,0,3,4]],"s":[{"k":[{"e":[{},[0,0,0,4]]}],"t":[{"i":[{"i":[{},[0,0,0,4]]}]}]}],"t":[{"r":[{},[0,0,0,4]],"s":[{"u":[{},[0,0,0,4]]}]}],"u":[{"b":[{},[0,0,0,4]],"l":[{},[0,0,0,4]]}]},[0,4]],"e":[{"l":[{"u":[{},[0,0,3]]}]}],"o":[{"o":[{"k":[{},[0,0,0,4]]}]},[3]],"u":[{"e":[{},[0,0,0,4]],"m":[{"a":[{},[5]]}],"s":[{"e":[{"i":[{},[0,0,4]],"l":[{},[0,0,0,0,4]]}]}]}],"õ":[{},[5]],"ä":[{},[5]]}],"k":[{"a":[{"a":[{"d":[{"a":[{},[0,0,0,4]],"e":[{},[0,0,0,3]]}],"j":[{},[0,0,5]],"l":[{},[0,0,4]],"r":[{"a":[{},[0,0,0,4]]}],"s":[{"i":[{"s":[{},[0,0,0,4]]}]}],"t":[{"a":[{},[0,0,0,4]]}]}],"d":[{"e":[{"r":[{},[4]]}]}],"e":[{"d":[{},[4]],"g":[{},[4]],"l":[{"u":[{},[0,0,0,3]]}]}],"g":[{},[0,0,0,4]],"h":[{"e":[{"i":[{},[0,0,0,0,5]]}]}],"i":[{"a":[{},[4]],"n":[{},[2]],"s":[{"t":[{},[0,0,5]]}],"t":[{"s":[{"e":[{},[0,0,0,0,0,0,5]]}]}]}],"j":[{"a":[{"v":[{},[0,0,4]]}],"u":[{".":[{},[0,0,4]]}]}],"l":[{"u":[{"s":[{},[0,5,4]]}]}],"p":[{"l":[{},[0,0,4]],"r":[{},[0,0,2]]}],"r":[{"m":[{},[4]]}],"s":[{"e":[{"t":[{},[4]]}],"j":[{},[0,5]]}],"t":[{"r":[{},[0,0,0,4]]}]},[1]],"b":[{},[2,3]],"d":[{},[2,0,4]],"e":[{"e":[{"l":[{"u":[{},[0,0,0,3]]},[0,0,4]]}],"h":[{"i":[{},[2]]}],"k":[{"s":[{},[4]]}],"l":[{"a":[{"j":[{},[0,0,4]],"k":[{},[0,0,4]]}],"o":[{"k":[{},[0,0,4]]}]}],"m":[{"b":[{},[4]]}],"n":[{".":[{},[2]],"e":[{},[5]]}],"o":[{},[0,0,0,2]],"s":[{"k":[{"a":[{},[0,0,0,0,3,4]]},[0,0,0,2]]}],"t":[{"r":[{"a":[{},[0,0,0,5]]}],"t":[{"e":[{},[0,0,0,4,0,4]]}]}]},[1,2]],"f":[{},[2,0,4]],"g":[{},[4]],"h":[{},[2,1,4]],"i":[{"e":[{},[0,0,0,4]],"k":[{"r":[{},[0,0,0,4]]}],"n":[{"f":[{},[4]]}],"o":[{},[0,0,0,4]],"p":[{"r":[{},[0,0,4]]}],"s":[{"a":[{"n":[{},[0,0,4]]},[0,0,0,4]],"i":[{"k":[{},[0,0,4]]}],"t":[{"e":[{},[4]]}]}],"t":[{"r":[{},[0,0,0,4]]}],"u":[{"d":[{},[0,0,0,4]],"s":[{"u":[{},[0,0,0,3]]}]}]},[1]],"j":[{},[2,1]],"k":[{"r":[{"a":[{},[0,3]]}],"s":[{},[0,0,0,4]],"u":[{"r":[{"o":[{},[0,0,0,4]]}]}]},[4,1]],"l":[{"a":[{".":[{},[0,3]],"a":[{"s":[{},[3]]}],"i":[{},[0,3]],"m":[{"b":[{},[3,4]]}],"n":[{},[0,3]],"p":[{"p":[{},[3]]}],"s":[{"s":[{"i":[{},[5]]}]}],"t":[{},[0,3]],"v":[{"e":[{"r":[{},[5]]}]}]},[0,2]],"e":[{"a":[{},[0,0,0,4]],"e":[{},[0,4]],"i":[{"t":[{},[3]]},[0,2]],"m":[{},[0,3]]}],"i":[{"b":[{"u":[{},[5]]},[0,4]],"g":[{},[0,0,0,0,4]],"i":[{"m":[{},[3]],"s":[{"t":[{"e":[{},[5]]}]}]},[0,2]],"k":[{},[0,3]],"n":[{"k":[{},[0,4]]},[0,3]]}],"o":[{"o":[{"m":[{},[0,3]]}],"t":[{"s":[{},[3]]}]},[0,2]],"u":[{"b":[{},[0,2]],"s":[{".":[{},[0,3]],"a":[{},[0,0,0,4]],"õ":[{},[0,0,0,4]]}],"t":[{},[0,4]]}]},[2,1,4]],"m":[{},[2,1]],"n":[{"a":[{"a":[{},[0,0,0,0,4]]}],"i":[{"p":[{},[0,4]]}]},[2,1]],"o":[{"k":[{"s":[{},[2]]}],"l":[{"e":[{"n":[{},[0,0,4]]}]},[0,4]],"o":[{"s":[{"a":[{},[0,0,0,4]]}]}],"r":[{"i":[{"e":[{},[4,0,4]]}],"p":[{"i":[{},[4]]}]}],"s":[{"a":[{".":[{},[0,5]]}]}],"v":[{"a":[{},[0,0,4]]}]},[1]],"p":[{},[2,3,4]],"r":[{"a":[{"a":[{"n":[{"a":[{},[5]]},[0,4]],"v":[{},[3]]}],"b":[{},[3]],"e":[{},[3,4]],"i":[{},[0,3]],"m":[{"p":[{},[3]]}],"n":[{},[4]],"u":[{},[0,3]]}],"e":[{"d":[{"i":[{"i":[{},[5]]}]}],"e":[{"m":[{},[3,4]]}],"g":[{},[4]],"s":[{},[5,4]],"t":[{},[0,5]]}],"i":[{"p":[{},[4]],"s":[{"t":[{"a":[{"l":[{},[5]]}]}]}]}],"o":[{"h":[{"v":[{},[3]]},[0,4]],"o":[{"k":[{},[0,4]]}]}],"u":[{"t":[{},[0,3]],"u":[{},[3]],"v":[{"i":[{},[3]]}]}],"ü":[{},[4,3]]},[2,2]],"s":[{"a":[{"e":[{},[0,5]],"i":[{},[0,4]]}],"e":[{"k":[{},[0,0,0,0,4]]}],"i":[{"k":[{"a":[{},[0,0,0,0,0,4]]},[0,0,0,2]],"t":[{},[0,0,0,0,4]]}],"k":[{"l":[{},[0,0,0,4]],"õ":[{},[0,0,5]]}],"p":[{"l":[{"o":[{},[0,0,0,5]]}],"r":[{},[0,0,2]]}],"t":[{"r":[{},[0,0,0,3]],"ü":[{},[0,0,4]]}]},[4,1]],"t":[{"r":[{"a":[{},[0,0,2]]}]},[2]],"u":[{"i":[{"s":[{},[0,0,0,4]]}],"j":[{"u":[{"j":[{},[4]],"m":[{},[4]]}]}],"k":[{"l":[{"a":[{},[0,0,0,3]]}],"s":[{},[4]]}],"l":[{"d":[{},[0,0,0,2]],"p":[{},[2]]}],"m":[{"i":[{"s":[{"u":[{},[0,0,0,0,4,0,4]]}]}],"m":[{"i":[{},[0,0,0,0,0,5]]}]}],"s":[{"i":[{"v":[{},[0,0,4]]}]},[3]],"t":[{"r":[{},[0,0,0,4]]}],"u":[{"n":[{"i":[{},[0,0,0,4]]}],"s":[{"e":[{},[0,0,0,0,0,5]]}]}],"ž":[{},[4]]},[1]],"v":[{"a":[{"n":[{},[0,4]],"r":[{"t":[{},[3]]}]}],"i":[{"i":[{"t":[{"u":[{},[5]]}]}]}]},[2,1]],"õ":[{"d":[{"e":[{".":[{},[0,0,4]]}]}],"i":[{"s":[{},[0,5]]},[2]],"p":[{},[4]]},[1]],"ö":[{"d":[{},[4]]},[1]],"ä":[{"i":[{"s":[{},[0,0,0,5]]}],"k":[{},[2]],"m":[{},[4]]},[1]],"ü":[{"h":[{"e":[{},[2]]}],"l":[{"e":[{},[4]],"l":[{".":[{},[4]]}]}]},[1]],"ž":[{},[2,0,4]],"š":[{},[4]]}],"l":[{"a":[{"a":[{"g":[{},[5]],"j":[{},[0,0,4]],"r":[{"a":[{},[0,0,0,0,5]]},[0,0,0,2]],"s":[{"a":[{},[0,0,0,4]]}],"v":[{"a":[{},[5]]},[2]]}],"d":[{"j":[{},[4]],"u":[{},[5]]}],"e":[{"r":[{},[0,0,0,4]],"v":[{},[3]]}],"h":[{"v":[{},[4]]}],"i":[{"e":[{"k":[{},[0,0,0,5,0,5]]}],"g":[{"a":[{},[0,0,0,4]]}]}],"j":[{"a":[{"p":[{},[0,0,4]],"v":[{},[0,0,4]]}]}],"k":[{"r":[{},[0,0,3,4]],"v":[{},[0,0,0,4]]}],"l":[{"a":[{".":[{},[0,0,4]]}],"d":[{},[4]],"e":[{"s":[{},[0,0,4]]}],"s":[{},[4]],"u":[{"s":[{},[0,0,4]]}]}],"m":[{"a":[{},[3]],"p":[{},[3]],"s":[{},[4]]}],"n":[{"e":[{"s":[{},[0,0,4]]}],"i":[{},[2]]}],"p":[{"l":[{},[0,0,0,4]]}],"r":[{"v":[{},[4,1]],"ü":[{},[4]]}],"s":[{"a":[{"s":[{},[0,0,4]]}],"b":[{},[4]],"e":[{"i":[{},[0,0,4]],"m":[{},[0,0,4]],"n":[{},[4]]}],"i":[{},[0,2]],"u":[{"t":[{},[4,0,4]]}]}],"u":[{"d":[{},[5]],"n":[{},[0,0,0,4]],"s":[{"u":[{},[0,0,0,5]]}]},[3]],"v":[{"h":[{},[4]]}]},[1]],"b":[{"a":[{"u":[{},[0,4]]}],"l":[{"o":[{},[0,0,4]]}]},[2,1]],"d":[{"a":[{"l":[{"a":[{},[0,4]]}]}],"i":[{"s":[{"t":[{},[0,5]]}]}],"o":[{"n":[{},[0,4]]}],"ü":[{},[0,4]]},[4,1]],"e":[{"a":[{},[0,0,1,2]],"e":[{"k":[{"l":[{},[0,0,0,0,5]]}],"l":[{"e":[{},[0,0,0,4]]}],"p":[{"r":[{},[0,0,0,0,5]]}]},[3]],"h":[{"i":[{"t":[{},[4]]},[0,0,3]],"t":[{},[5]]}],"j":[{},[3]],"k":[{"k":[{},[4]],"s":[{".":[{},[5]]}],"t":[{"r":[{"i":[{},[0,0,0,0,0,0,5]]},[4]]}]}],"l":[{"e":[{"k":[{},[0,0,4]]},[4]]}],"m":[{"a":[{".":[{},[5]]}],"o":[{"r":[{},[0,0,4]]}]}],"n":[{"a":[{"a":[{},[0,0,0,0,0,4]]}]}],"o":[{"h":[{},[0,0,3]],"l":[{"u":[{},[0,0,5]]}]},[0,0,0,2]],"p":[{"l":[{},[0,0,4]]}],"s":[{"e":[{".":[{},[4]]}],"õ":[{},[0,0,3]]},[0,0,2]],"t":[{"t":[{"e":[{},[4]]}]},[3]]},[1]],"f":[{"o":[{"o":[{},[0,0,0,0,4]]}],"t":[{},[0,0,4]]},[4,1]],"g":[{"a":[{"e":[{},[0,4]],"i":[{},[0,4]],"l":[{"l":[{},[0,4]]}],"n":[{"n":[{},[0,4]]}],"s":[{"e":[{},[0,4]],"k":[{},[0,0,0,0,4]]}]}],"e":[{"l":[{"e":[{},[0,4,0,4]]}]}],"i":[{"d":[{},[0,4,0,4]]}],"o":[{},[0,2]],"u":[{"j":[{},[0,4,0,4]]}]},[0,1]],"h":[{},[2,1]],"i":[{"a":[{"l":[{"a":[{},[0,0,4]]}],"m":[{},[0,0,5]],"v":[{},[0,0,0,4]]}],"d":[{"a":[{"n":[{},[0,0,4]]}]},[3]],"g":[{"a":[{".":[{},[0,0,4]]}]}],"i":[{"a":[{},[4]],"e":[{},[0,0,0,0,4]],"g":[{},[5]],"n":[{"a":[{},[0,0,0,4]]}]}],"k":[{".":[{},[5]],"a":[{"i":[{},[0,0,0,0,0,4]]}],"l":[{"a":[{},[0,0,3]]}],"r":[{"o":[{},[0,0,0,4]]}]}],"l":[{"m":[{},[4]],"u":[{"s":[{},[4,0,4]]}]}],"m":[{"i":[{"s":[{},[0,0,0,0,4]]}]}],"n":[{"f":[{},[4]],"i":[{"m":[{},[4]]}],"s":[{},[4]],"t":[{"e":[{},[0,0,0,4]]}],"v":[{},[4]]}],"o":[{"k":[{},[0,0,0,4]]}],"p":[{"l":[{},[0,0,3,4]]}],"s":[{"a":[{"h":[{},[0,0,4]]}],"i":[{"k":[{},[0,0,4]]}],"o":[{"l":[{},[4]]}],"u":[{"j":[{},[0,0,4]]}],"õ":[{"l":[{},[0,0,4]]}],"ö":[{},[0,0,4]]}],"t":[{"r":[{},[0,0,0,4]],"u":[{},[0,0,5]]}],"ž":[{"e":[{},[2]]}]},[1]],"j":[{"a":[{"a":[{},[0,0,0,1]],"o":[{"s":[{},[0,0,0,5]]}]}]},[2,1]],"k":[{"k":[{},[0,0,0,4]],"l":[{"i":[{},[0,4]],"u":[{},[0,0,4]]}],"r":[{},[0,3]]},[2,1]],"l":[{"e":[{"r":[{},[0,5]]}],"i":[{"t":[{"r":[{},[0,0,0,3]]}]}],"o":[{"r":[{},[0,2]],"t":[{"s":[{},[0,4]]}]}],"p":[{},[0,0,0,4]],"s":[{},[0,0,0,4]],"t":[{},[0,0,0,4]],"u":[{},[0,3]],"ä":[{"ä":[{},[0,4]]}]},[2,1]],"m":[{"a":[{"a":[{"v":[{},[0,0,0,0,4]]}],"t":[{},[0,0,0,0,4]],"u":[{},[0,4]]}],"e":[{"k":[{"s":[{},[0,4]]}]}],"p":[{},[0,0,0,4]]},[2,1]],"n":[{},[2,1]],"o":[{"d":[{"r":[{},[0,0,0,4]]}],"f":[{},[0,0,0,4]],"g":[{"a":[{"l":[{},[0,0,4]]}]}],"h":[{"a":[{},[4]],"v":[{},[4]]}],"i":[{},[5]],"k":[{"r":[{},[0,0,0,4]]}],"l":[{"e":[{},[0,1]],"i":[{"j":[{},[0,3]]}],"o":[{},[3]]},[2,0,2]],"m":[{"a":[{"n":[{},[0,0,4]]}]}],"o":[{"g":[{},[5]],"r":[{"a":[{"m":[{},[0,0,0,4]]}]}]}],"r":[{"d":[{},[4]],"n":[{},[4]]}],"s":[{"a":[{".":[{},[0,3]]},[2]]}]},[1]],"p":[{"l":[{"a":[{"a":[{},[0,3]]}],"e":[{},[0,0,4]]}],"u":[{"k":[{},[0,4]]}]},[2,1]],"r":[{"i":[{"h":[{},[0,0,0,0,4]]}]},[2,1]],"s":[{"k":[{"a":[{},[0,0,4]],"e":[{},[0,0,0,0,4]]}],"o":[{},[0,0,4]],"t":[{"e":[{},[0,0,0,0,4]]}]},[2,1]],"t":[{"a":[{"u":[{},[0,4]]}],"i":[{"l":[{},[0,0,0,4]]}],"o":[{"k":[{},[0,4]]}],"s":[{"e":[{"l":[{},[0,0,4]]}],"i":[{"s":[{},[0,0,4]]}]}],"u":[{"k":[{},[0,4]]}],"õ":[{"m":[{},[0,4]]}],"ä":[{"ä":[{},[0,4]]}],"ü":[{"t":[{},[0,4]]}]},[2]],"u":[{"a":[{"l":[{},[0,0,3]]},[3]],"d":[{},[0,0,0,4]],"e":[{},[0,0,0,4]],"g":[{},[3,0,0,4]],"h":[{"k":[{},[4]]}],"i":[{"m":[{},[4]]}],"j":[{"u":[{"k":[{},[0,0,4]]}]}],"k":[{".":[{},[4]],"k":[{},[3]]}],"n":[{"i":[{"n":[{},[0,0,4]],"o":[{},[0,0,4]]}]},[2]],"o":[{"r":[{},[0,0,0,3]]}],"r":[{"a":[{"u":[{},[0,0,4]]}]}],"s":[{"e":[{"e":[{},[0,0,4]]}],"t":[{"i":[{"i":[{},[0,0,0,4]]}]}],"u":[{"m":[{},[0,0,4]]}],"ö":[{},[0,0,4]]}],"t":[{"a":[{},[3]],"r":[{},[0,0,0,4]]}],"u":[{},[3]]},[1]],"v":[{"e":[{"l":[{},[0,0,0,0,4]]}]},[2,1]],"õ":[{"d":[{},[4]],"i":[{"e":[{},[4]],"k":[{},[5]],"s":[{},[4]],"t":[{},[4]]}],"l":[{},[0,0,4]],"p":[{"e":[{},[0,0,3]],"p":[{},[0,0,0,2]]}]},[1]],"ö":[{"e":[{},[4]]},[1]],"ä":[{"n":[{"g":[{"i":[{},[0,0,0,4]]}]},[4]],"ä":[{"n":[{"e":[{},[0,0,0,0,0,5]]}]}]},[1]],"ü":[{"h":[{},[0,0,3]],"m":[{"a":[{},[0,0,4]]}]},[1]]}],"m":[{"a":[{"a":[{"b":[{"i":[{},[0,0,3]]},[0,0,0,2,4]],"l":[{"a":[{},[0,0,0,3]]}],"p":[{},[0,0,0,3]]},[3]],"b":[{"i":[{},[0,0,4]]}],"e":[{},[0,0,1,2]],"g":[{"l":[{},[0,0,0,4]]}],"h":[{"l":[{},[5]],"v":[{},[4]]}],"j":[{"a":[{"m":[{},[4]]}],"u":[{".":[{},[4,0,4]]}]}],"k":[{"l":[{},[0,0,3]],"v":[{},[0,0,0,4]]}],"l":[{"a":[{".":[{},[0,0,4]]}],"m":[{"a":[{},[0,0,0,4]]}]},[3]],"o":[{"m":[{},[0,0,4]]}],"p":[{"l":[{},[0,0,3]]}],"r":[{"t":[{},[4]],"v":[{},[4]]}],"s":[{"e":[{},[0,0,5]],"i":[{"n":[{},[0,0,5]]}],"t":[{},[0,0,4]],"u":[{"l":[{},[4,0,4]]}],"ä":[{},[0,0,4]]}],"u":[{"t":[{},[4]]}]},[1]],"b":[{"a":[{"t":[{},[0,0,0,0,4]]}],"e":[{"r":[{},[0,0,0,2,3]]}],"l":[{"u":[{},[0,0,0,0,4]]}],"o":[{"j":[{},[0,0,0,4]]}],"u":[{"s":[{"a":[{},[0,0,5]]}]}]},[2,1]],"d":[{},[2,0,4]],"e":[{"a":[{"n":[{},[0,0,4]]},[0,0,1,4]],"e":[{"l":[{"a":[{},[0,0,0,5]]}],"s":[{},[0,0,0,4]]},[3]],"h":[{"i":[{},[0,0,3]]}],"k":[{"v":[{},[4]]}],"r":[{"s":[{},[0,0,0,0,4]],"t":[{},[0,0,0,0,4]]}],"s":[{"o":[{},[0,0,5,4]]}],"t":[{".":[{},[4]],"l":[{},[4]],"n":[{},[2]],"s":[{"e":[{},[0,0,0,4]]}],"t":[{},[4]]},[0,4]],"u":[{},[0,0,5,4]]},[1]],"f":[{},[2,1]],"g":[{},[4,0,4]],"h":[{},[2,1]],"i":[{"a":[{"m":[{},[0,0,0,4]],"r":[{},[0,0,0,4]]}],"d":[{"e":[{},[4]]}],"k":[{"a":[{"j":[{},[0,0,4]]}]}],"n":[{"a":[{"h":[{},[0,0,4]]}],"f":[{},[4]],"i":[{},[0,0,3]]}],"p":[{},[0,0,0,4]],"s":[{"a":[{},[0,0,0,1,2]],"i":[{"g":[{},[0,0,4]],"h":[{},[0,0,4]],"k":[{},[4,0,4]],"l":[{},[0,0,4]]},[0,0,3]],"k":[{},[0,0,0,3,4]],"t":[{"i":[{"i":[{},[0,0,0,4]]}],"r":[{},[0,0,0,0,4]],"s":[{},[0,0,0,3]]}]},[0,0,2]],"t":[{"t":[{"e":[{},[0,0,0,0,0,3]]}]}]},[1]],"j":[{},[2,1]],"k":[{},[2,3,4]],"l":[{},[2,1]],"m":[{"a":[{"a":[{"t":[{},[0,4]]}],"s":[{},[0,0,0,4]]}],"e":[{"r":[{},[0,0,0,4]]},[0,0,4]],"i":[{"k":[{"a":[{"l":[{},[0,0,0,4]]},[0,0,0,0,0,4]]}]}],"o":[{"r":[{},[0,4]]}]},[2,1]],"n":[{},[2,1,4]],"o":[{"h":[{"a":[{},[0,0,4]]},[4]],"k":[{"s":[{},[0,3]]}],"r":[{"g":[{},[4]],"n":[{},[4]]}],"s":[{"a":[{},[0,0,3]]}]},[1]],"p":[{"a":[{"l":[{},[0,0,0,4]],"p":[{},[0,4]]}],"l":[{},[0,0,3]],"r":[{},[0,0,3]]},[2]],"r":[{"u":[{"u":[{},[0,0,0,0,4]]}]},[2,1]],"s":[{"o":[{},[0,0,4]],"p":[{},[0,0,4]]},[2,1]],"t":[{"s":[{},[0,5]]},[2,1,2]],"u":[{"a":[{"h":[{},[0,0,5]]},[0,0,0,4]],"d":[{},[0,0,0,4]],"e":[{},[0,0,0,4]],"i":[{"m":[{},[0,0,0,4]]}],"l":[{"s":[{},[4]]}],"p":[{},[0,0,0,4]],"s":[{},[5]],"t":[{"r":[{"a":[{},[0,0,0,4]]}]}]},[1]],"v":[{},[2,1]],"õ":[{"d":[{},[0,0,4]],"i":[{"g":[{},[4]]}],"p":[{},[4]]}],"ö":[{"k":[{},[4]]},[3]],"ä":[{"k":[{},[4]],"r":[{"g":[{"e":[{"l":[{},[0,0,0,4]]}]}]}]},[3]],"ü":[{"h":[{},[4]]},[3]],"ž":[{},[4]]}],"n":[{"a":[{"a":[{"h":[{},[0,0,5]],"l":[{"u":[{},[0,0,0,4]]}],"r":[{"a":[{},[0,0,0,4,5]]}]},[0,4]],"d":[{},[0,0,0,4]],"e":[{"i":[{},[0,0,5]]}],"g":[{"l":[{},[0,0,0,4]]}],"h":[{"k":[{"e":[{},[0,0,0,4]]}]}],"i":[{"d":[{},[0,0,0,4]],"s":[{"i":[{},[0,0,0,4]]}]}],"k":[{"r":[{"u":[{},[0,0,4]]}]}],"l":[{"ü":[{},[2,0,0,4]]}],"m":[{"e":[{"r":[{},[4,0,4]]}],"i":[{"i":[{"d":[{},[0,5]]},[0,0,4]]}]}],"n":[{"t":[{"s":[{"a":[{},[0,0,0,0,0,5]]}]}]}],"o":[{},[0,0,3,4]],"p":[{"l":[{},[0,0,0,4]]}],"r":[{"e":[{"t":[{},[0,0,4]]}],"v":[{},[4]]}],"s":[{"b":[{},[4]],"s":[{},[0,0,0,0,4]]},[0,4]],"t":[{"r":[{"a":[{},[0,0,0,4]]}]}],"u":[{"b":[{},[0,0,0,4]]}]},[1]],"b":[{},[4,0,4]],"d":[{"a":[{"a":[{"s":[{},[0,4]]}],"b":[{},[0,4]],"e":[{},[0,4]],"k":[{"o":[{},[0,0,0,4]]}],"l":[{},[0,0,0,4]],"u":[{},[0,4]]}],"i":[{"f":[{},[0,0,0,0,4]],"p":[{},[0,0,0,0,4]]}],"o":[{"r":[{},[0,4,0,4]]}],"u":[{"j":[{},[0,4]],"s":[{"õ":[{},[0,0,0,4]]}]}],"ü":[{},[0,4]]},[4,1]],"e":[{".":[{},[5]],"a":[{},[0,0,0,2]],"e":[{"l":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,4]],"u":[{},[0,0,0,3]]}]}],"i":[{"v":[{},[0,0,0,4]]}],"l":[{"a":[{"h":[{},[0,0,4]],"s":[{},[4]]}],"e":[{"k":[{},[0,0,4]]}]}],"o":[{"d":[{},[0,0,0,4]]}],"p":[{"l":[{},[0,0,4]]}],"r":[{"g":[{},[2]]}],"s":[{},[0,4]],"t":[{"a":[{"n":[{},[0,0,4]]}],"õ":[{"m":[{},[0,0,4]]}]}]},[1]],"f":[{},[2,1]],"g":[{"a":[{"i":[{},[0,4]],"l":[{"l":[{},[0,4]]}],"s":[{"e":[{},[0,4]]}],"u":[{},[0,4]]}],"l":[{"ü":[{},[0,0,4]]}],"o":[{"r":[{},[0,4,0,4]]}],"r":[{},[0,0,3]],"u":[{"d":[{},[0,0,0,0,4]],"s":[{"t":[{},[0,0,0,0,4]]}]}],"ü":[{},[0,2]]},[2,1]],"h":[{},[2,1]],"i":[{"a":[{"p":[{},[0,0,3]],"v":[{},[0,0,0,4]]}],"g":[{},[0,0,0,4]],"i":[{"g":[{},[0,0,0,4]],"t":[{"u":[{},[0,0,0,4]]}]}],"k":[{"k":[{"e":[{"l":[{},[0,0,0,0,0,0,5]]}]}]}],"l":[{"m":[{},[4]]}],"m":[{"a":[{"s":[{},[0,0,0,0,4]]},[5]],"e":[{"t":[{},[5]]}],"i":[{"g":[{},[0,0,4]]},[3]],"l":[{},[4]]}],"n":[{"t":[{},[4]]}],"s":[{"i":[{"d":[{},[0,0,4]]}],"k":[{"e":[{},[0,0,0,4]]}],"l":[{},[4]]}]},[1]],"j":[{},[2,1]],"k":[{"a":[{"n":[{},[0,4,0,4]]}],"r":[{},[0,0,3]],"s":[{"e":[{},[0,0,4]],"t":[{},[0,0,0,0,4]]}]},[2]],"l":[{},[2,1,4]],"m":[{},[2,1]],"n":[{"a":[{"e":[{},[0,0,0,3]],"i":[{},[0,0,0,5]],"k":[{"r":[{},[0,0,0,0,4]]}]}],"e":[{"f":[{},[0,4,0,4]]}],"i":[{"o":[{},[0,0,0,0,4]]}],"k":[{},[0,0,0,4]]},[2,1]],"o":[{"b":[{},[4]],"d":[{},[0,0,0,4]],"k":[{"s":[{},[4]]}],"o":[{"n":[{"a":[{},[0,0,0,4]]}]}],"r":[{},[0,4]]},[1]],"p":[{},[2,3,4]],"r":[{},[2,1]],"s":[{"a":[{"l":[{"p":[{},[0,4]]}]}],"e":[{},[0,0,4]],"k":[{"r":[{},[0,0,0,5]]}],"o":[{"r":[{},[0,0,0,4]]},[0,3]],"t":[{"e":[{"e":[{},[0,0,4]],"m":[{},[0,0,4]]},[0,0,0,0,4]],"i":[{"s":[{},[0,0,0,0,0,4]]}],"r":[{},[0,0,0,3]],"u":[{},[0,0,4]]}],"u":[{"s":[{},[0,0,0,4]]}]},[2]],"t":[{"a":[{"a":[{"r":[{},[0,0,0,0,4]]}]}],"e":[{"h":[{},[0,4]],"l":[{},[0,0,0,4]]}],"i":[{"g":[{},[0,0,0,0,4]],"s":[{"o":[{},[0,4]]}]}],"o":[{"t":[{"s":[{},[0,4]]}]}],"r":[{"a":[{},[0,0,3]],"e":[{},[0,0,3]]},[0,4]],"s":[{"a":[{"b":[{},[0,0,4]],"l":[{},[0,0,4]],"n":[{},[0,0,4]],"r":[{},[0,0,4]]}],"ü":[{},[0,0,5]]}],"t":[{},[0,0,0,4]],"ü":[{"h":[{},[0,4]],"k":[{},[0,4]]}]},[2]],"u":[{"d":[{"a":[{},[0,0,4]]}],"i":[{"g":[{},[0,0,0,4]]}],"r":[{"k":[{},[0,0,0,2]]}],"s":[{"p":[{},[0,0,0,4]]}]},[1]],"v":[{},[2,1]],"õ":[{"l":[{"i":[{},[4]]},[0,0,4]]},[1]],"ö":[{},[1]],"ä":[{},[1]],"ü":[{"l":[{},[4]]},[1]],"ž":[{},[4]],"š":[{},[4]]}],"o":[{"a":[{"a":[{},[0,0,4]],"e":[{},[0,1]],"k":[{"u":[{},[0,5]]}],"n":[{"a":[{"l":[{},[0,3]]}]}],"p":[{"a":[{},[0,5]]}],"u":[{"b":[{},[0,0,0,4]]}]},[0,0,2]],"b":[{"a":[{"s":[{},[0,0,0,4]]}],"j":[{},[1]]},[0,1]],"d":[{"a":[{"a":[{"l":[{},[0,0,0,0,0,3]]},[0,0,0,0,4]]}],"e":[{"h":[{},[0,4]]}],"u":[{"s":[{"õ":[{},[0,0,0,4]]}]}],"š":[{},[0,0,4]]},[4,1]],"e":[{"a":[{},[0,0,5,4]],"f":[{"e":[{},[0,0,4]]}],"l":[{"e":[{},[0,3]]},[0,0,2]],"m":[{"i":[{},[0,0,4]],"u":[{},[0,0,4]]}],"o":[{},[0,4]],"r":[{"a":[{"h":[{},[0,0,4]]}],"õ":[{},[0,0,4]]}],"s":[{"i":[{},[0,0,4]]}],"t":[{"r":[{},[0,0,0,4]]}]}],"f":[{"r":[{},[0,0,5]]},[0,1]],"g":[{"l":[{"a":[{},[0,0,4]],"i":[{},[0,0,4]]}]},[0,1]],"h":[{"a":[{"k":[{"a":[{},[3]]}]}],"t":[{"o":[{},[0,0,5]]}],"v":[{"i":[{"t":[{"s":[{},[5]]}]}]}]}],"i":[{"t":[{"a":[{},[0,0,2]]}],"u":[{"a":[{},[0,0,0,5]]}]}],"j":[{"u":[{"s":[{},[0,0,0,2]]}]},[0,1]],"k":[{"a":[{"s":[{"t":[{},[0,0,0,0,0,4]]}]}],"k":[{"u":[{},[0,0,0,0,5]]}],"l":[{"a":[{},[0,0,3]],"i":[{"i":[{"n":[{},[0,0,5]]}]}]}],"o":[{"o":[{"s":[{},[0,0,0,0,0,4]]}]}],"r":[{"e":[{},[0,0,4]],"i":[{"s":[{},[0,5]]},[0,0,4]],"u":[{},[0,0,4]]},[0,0,3]]}],"l":[{"a":[{"e":[{},[0,4]],"g":[{},[0,0,0,0,4]],"l":[{"a":[{"s":[{},[0,0,0,4]]}]}],"s":[{"u":[{},[0,0,0,4]]}]},[0,3]],"d":[{"o":[{},[0,0,4]]}],"e":[{"a":[{"n":[{},[0,0,0,4]]}],"k":[{".":[{},[3]]}],"n":[{"d":[{},[0,4]]}]}],"i":[{"g":[{},[0,0,0,0,4]],"i":[{"g":[{},[0,0,0,0,4]]},[0,3]],"l":[{"u":[{},[0,4,0,4]]}],"s":[{},[0,3]]}],"j":[{},[4]],"l":[{"a":[{"e":[{},[0,0,4]]}],"i":[{"s":[{},[0,0,0,0,0,4]]}],"ü":[{},[0,0,4]]}],"m":[{"a":[{"i":[{},[0,0,4]]}]}],"o":[{},[4,3]],"t":[{"a":[{"m":[{},[0,0,4]],"r":[{},[0,0,4]]}]}],"u":[{".":[{},[1]],"k":[{"o":[{"r":[{},[5]]}],"s":[{},[0,4]]}]}],"õ":[{},[0,0,0,4]],"ä":[{},[0,4]]}],"m":[{"a":[{"d":[{"u":[{},[3]]}]}],"b":[{"a":[{"j":[{},[0,0,4]],"n":[{},[0,0,4]]}]}],"o":[{"k":[{},[0,4]]}]}],"n":[{"a":[{"a":[{},[0,0,0,4]],"j":[{},[0,4]],"k":[{"o":[{},[0,0,0,4]]}]}],"e":[{"h":[{},[0,4]],"l":[{"e":[{},[0,4]]}]}],"g":[{"o":[{"s":[{},[0,0,4]]}]}],"i":[{"t":[{"r":[{},[0,0,0,0,4]]}],"u":[{},[0,0,0,0,4]]}],"s":[{"o":[{"o":[{},[0,0,0,0,0,4]]}]}],"t":[{"r":[{"e":[{},[0,0,0,4]]}]}],"u":[{"u":[{},[0,4]]}]}],"o":[{"a":[{},[0,0,1]],"k":[{"a":[{"l":[{},[0,0,4]]}],"r":[{},[0,0,0,4]],"ä":[{"ä":[{},[0,0,4]]}]}],"l":[{"a":[{"u":[{},[0,0,4]]}],"e":[{"e":[{},[0,0,4]]}],"i":[{"g":[{},[0,0,4]],"s":[{"t":[{},[0,0,4]]}]}],"o":[{"g":[{},[0,0,4]]}],"õ":[{},[0,0,4]],"ü":[{},[0,0,4]]}],"n":[{"a":[{"h":[{},[0,0,4]],"r":[{},[0,0,4]],"u":[{},[0,0,4]]}],"d":[{"e":[{"e":[{},[0,0,0,4]]}]}],"k":[{},[0,0,0,0,4]],"o":[{"h":[{},[0,0,4]]},[0,0,0,0,4]],"s":[{},[0,0,0,0,4]],"t":[{},[0,0,0,5,4]]}],"p":[{"t":[{"i":[{},[0,5]]}]}],"r":[{"a":[{"t":[{},[0,0,4]]}],"e":[{"e":[{},[0,0,4]]}]}],"s":[{"a":[{},[0,0,3]],"e":[{"l":[{},[0,0,4]]}]}],"t":[{"õ":[{},[0,0,4]]}]},[2,2]],"p":[{"a":[{},[0,3]],"l":[{"a":[{"s":[{"t":[{".":[{},[0,0,5]]}]}]}],"u":[{},[0,0,4]]}],"r":[{"a":[{},[0,0,3]],"i":[{},[0,0,3]]}]}],"r":[{"a":[{"i":[{},[0,2,3]],"l":[{"g":[{},[0,4]]}],"m":[{"i":[{"i":[{},[0,0,0,4]]}]}],"n":[{"a":[{},[0,4]]}],"v":[{},[5]]}],"d":[{"e":[{"r":[{},[3]]}]}],"g":[{"r":[{},[0,0,0,4]]},[1]],"i":[{"a":[{},[0,0,0,0,4]]}],"j":[{"u":[{},[3]]}],"k":[{"e":[{"s":[{"t":[{"e":[{},[5]]}]}]}]}],"n":[{"a":[{},[3]],"e":[{"l":[{},[0,0,4]]}]}],"t":[{"a":[{"l":[{},[0,0,4]]}],"r":[{},[0,0,0,3]]}],"u":[{"s":[{},[0,0,0,4]]}],"v":[{"õ":[{},[0,0,4]]}]}],"s":[{"a":[{"k":[{"e":[{},[0,4]],"o":[{},[3]]}],"u":[{},[4,3]]},[0,2]],"e":[{"k":[{"s":[{},[0,4]]}]},[4]],"f":[{},[4]],"i":[{".":[{},[0,2]],"n":[{},[4]]}],"k":[{"u":[{"s":[{},[3]]}]}],"l":[{},[4]],"o":[{"k":[{},[0,4]],"l":[{},[0,0,1]]},[4]],"p":[{"a":[{},[0,0,4]]}],"s":[{"a":[{"j":[{},[0,0,4]]}],"ü":[{},[0,0,4]]},[4]],"t":[{"a":[{"a":[{"s":[{},[0,0,5]]}]}],"e":[{"m":[{},[0,0,4]]}],"o":[{},[4]],"r":[{"u":[{},[0,0,0,4]]}]}],"u":[{"t":[{"i":[{},[5]]}]}],"õ":[{},[4]]}],"t":[{"o":[{"a":[{},[0,0,0,5]],"k":[{},[0,0,0,0,4]]}],"r":[{"a":[{"n":[{},[0,3]]},[0,0,2]]}],"s":[{"a":[{},[3]],"ö":[{},[0,5]]}],"t":[{"a":[{},[0,0,4]],"e":[{"o":[{},[0,0,4]]}]}],"u":[{"s":[{"t":[{"a":[{},[0,0,0,0,4]]}]}]}],"ü":[{"l":[{},[0,0,0,4]]}]}],"u":[{"b":[{},[0,0,4]],"n":[{},[0,0,4]]}],"v":[{"a":[{"a":[{"l":[{},[0,0,0,0,4]]}]}],"i":[{"o":[{},[0,0,0,0,4]]}],"o":[{"l":[{},[0,0,0,0,4]]}],"u":[{"n":[{},[0,4,0,4]]}]},[0,1]],"õ":[{},[0,3,4]],"ü":[{},[0,0,2]]}],"p":[{"a":[{"a":[{"k":[{"a":[{},[0,0,0,4]]}],"m":[{},[0,0,3,2]],"t":[{"e":[{"l":[{},[0,0,0,4]]}]}]}],"e":[{},[0,0,4]],"l":[{"u":[{"s":[{},[0,0,4]]}]}],"n":[{"s":[{},[0,0,0,0,4]]}],"p":[{"r":[{},[0,0,4]]}],"r":[{"a":[{"s":[{},[5]]}],"k":[{},[3]],"t":[{"a":[{},[4]]}]}],"s":[{"p":[{},[0,0,4]]}]},[1]],"b":[{},[4]],"d":[{},[4]],"e":[{"a":[{"j":[{},[0,0,0,5]],"s":[{},[0,0,0,0,4]],"u":[{},[0,0,4]],"v":[{},[0,0,0,3]]},[0,0,2]],"f":[{},[0,0,4]],"k":[{"t":[{"r":[{},[4]]}]}],"l":[{"a":[{},[0,0,0,0,4]],"e":[{"v":[{},[4,0,4]]}],"t":[{},[0,0,0,4]],"ü":[{},[0,0,4,0,4]]}],"m":[{},[0,4]],"o":[{"l":[{},[0,0,4]]}],"r":[{"d":[{},[5]]}],"t":[{"a":[{"p":[{},[0,0,4]]}],"i":[{"k":[{},[0,0,0,0,4]]}]}]},[1]],"f":[{},[2,0,4]],"g":[{},[0,0,4]],"h":[{},[2]],"i":[{"i":[{"v":[{},[0,0,0,4]]}],"k":[{"r":[{},[0,0,0,5]]}],"n":[{"d":[{},[0,0,0,2]],"g":[{"i":[{"s":[{},[0,0,0,4]]}]}]}],"p":[{"r":[{},[0,0,0,3]]}],"s":[{"t":[{"a":[{},[0,0,0,5]]}]}],"u":[{"g":[{},[0,0,0,4]]}]},[1]],"j":[{},[2,1]],"k":[{},[2,1]],"l":[{"a":[{".":[{},[4]],"a":[{"s":[{"i":[{},[0,5]]}],"t":[{},[3]]},[0,4]],"k":[{},[0,4]],"m":[{},[0,3]],"n":[{"e":[{".":[{},[0,5]]}]}],"s":[{"m":[{},[3]],"t":[{"i":[{"k":[{},[5]]}]}]}]}],"e":[{"k":[{"k":[{},[3]]},[0,0,0,0,2]],"m":[{},[4,3]]}],"i":[{"i":[{"a":[{},[5]],"g":[{},[0,0,0,0,0,4]]}]},[0,3]],"o":[{"k":[{},[3]],"m":[{},[0,3]]}],"u":[{"u":[{"s":[{},[3]]}]},[0,3]],"õ":[{},[4]]},[2,2,4]],"m":[{},[2,1]],"n":[{"e":[{"u":[{},[0,4]]}]},[2,1]],"o":[{"e":[{},[5,0,4]],"n":[{},[3]],"o":[{"l":[{"a":[{"v":[{},[0,0,0,0,0,4]]},[0,0,0,4]]}]},[3]],"r":[{"d":[{"i":[{},[0,0,0,0,0,5]]}]}]},[1,4]],"p":[{"a":[{"k":[{},[0,0,0,4]],"s":[{},[0,4]]}],"e":[{"a":[{},[0,0,0,3]],"e":[{},[0,0,0,0,4]]}],"l":[{},[0,0,3]],"r":[{},[0,2,3]],"s":[{},[0,0,0,4]],"u":[{"d":[{},[0,4]]}],"õ":[{},[0,4]],"ü":[{},[0,4]]},[4,1]],"r":[{"a":[{"a":[{},[3]],"g":[{},[3]],"k":[{"t":[{},[3]]}],"u":[{},[0,5]]},[2]],"e":[{"p":[{},[0,4]],"s":[{"i":[{},[0,4]]}]}],"i":[{"b":[{},[4]],"i":[{"t":[{},[0,5]]},[2]]}],"o":[{"g":[{},[0,4]],"o":[{},[0,4]],"s":[{},[4,4]],"t":[{},[3,4]]}],"u":[{"m":[{},[4]],"u":[{},[5]]}]},[0,2,4]],"s":[{"a":[{},[0,0,4]],"o":[{"r":[{},[0,4]]}],"ü":[{},[3,2]]},[2,1]],"t":[{"a":[{"k":[{},[0,4]]}]},[2,1]],"u":[{"a":[{},[0,0,0,4]],"d":[{"a":[{},[0,0,4]]}],"h":[{"a":[{},[0,0,0,0,4]]}],"i":[{"t":[{},[0,0,0,4]]}],"k":[{"k":[{},[0,0,0,4]]}],"l":[{"t":[{"i":[{},[0,0,0,4]]}]}],"r":[{"t":[{},[4]]}],"s":[{"p":[{},[0,0,0,4]]}]},[3]],"v":[{},[2,1]],"õ":[{"h":[{"i":[{},[0,0,0,0,3]]}],"i":[{"s":[{},[0,0,0,4]]},[0,4]],"l":[{"i":[{},[0,0,0,0,4]]}]},[3]],"ö":[{},[5]],"ä":[{"r":[{"g":[{"u":[{},[0,0,0,4]]}]}],"s":[{},[4]]},[1]],"ü":[{"h":[{"e":[{},[0,0,3]]}]},[3]],"ž":[{},[4]],"š":[{},[4]]}],"r":[{"a":[{"a":[{"l":[{"a":[{},[0,0,0,0,3]],"e":[{},[4]],"n":[{"e":[{},[5]]}],"u":[{},[0,0,0,4]]}],"m":[{"a":[{"t":[{"u":[{},[0,0,0,0,0,0,0,5]]}]}]}],"t":[{"a":[{},[0,0,0,4,0,4]],"t":[{},[4]],"u":[{},[0,0,0,4]]}],"v":[{},[4]],"š":[{},[5]]}],"i":[{"e":[{},[0,0,0,0,3]],"n":[{"e":[{},[0,3]]},[2]],"s":[{"i":[{},[0,0,0,4]]}]}],"l":[{"a":[{".":[{},[0,5,4]]}],"t":[{},[0,0,0,4]],"u":[{"s":[{},[0,0,4]]}]}],"m":[{"e":[{},[3]]}],"n":[{"d":[{"e":[{"m":[{},[0,0,0,4]]}]}]}],"o":[{"m":[{},[0,0,3]]}],"p":[{"a":[{},[4]],"l":[{},[0,0,4]],"t":[{},[4]]}],"r":[{"b":[{},[4]],"e":[{"n":[{},[0,0,4]]}],"s":[{},[4]],"v":[{},[2]]}],"s":[{"a":[{"l":[{},[0,0,4]]}],"e":[{"n":[{},[4]]}],"i":[{"s":[{},[0,0,4]]}],"t":[{"r":[{},[0,0,0,0,4]]}],"u":[{"k":[{},[0,0,4]],"l":[{},[0,0,4]],"t":[{},[0,0,4]]}]}],"t":[{"a":[{"s":[{},[5]]}],"i":[{"i":[{"v":[{"a":[{},[0,0,0,0,0,0,5]]}]}]}],"s":[{"e":[{"n":[{},[0,0,0,4]]}]}]}],"u":[{"a":[{},[0,0,0,0,3]],"d":[{"o":[{},[0,0,0,0,5]]},[0,0,0,2]],"k":[{},[2]],"m":[{},[4]],"r":[{},[4]],"t":[{"e":[{},[0,0,0,4]]}]}],"v":[{"i":[{},[5]]}]},[1]],"b":[{"a":[{"e":[{},[0,4]]}]},[2,1]],"d":[{"a":[{"e":[{},[0,4]],"r":[{},[0,2]]}],"e":[{"a":[{},[0,0,0,3]]}],"r":[{"e":[{},[0,0,4]]}],"u":[{"j":[{},[0,4]]}],"ü":[{},[0,4]]},[4,1]],"e":[{".":[{},[5]],"a":[{},[5]],"b":[{},[0,0,0,2]],"e":[{"l":[{"e":[{},[0,0,0,4]]}],"m":[{"a":[{".":[{},[0,0,0,4]],"n":[{},[0,0,0,4]]}]}],"r":[{},[3]],"t":[{},[3]]}],"g":[{},[5]],"h":[{"i":[{},[2]]}],"i":[{"s":[{"e":[{},[0,0,0,4]]}]}],"k":[{"l":[{},[0,0,0,3]],"s":[{},[4]]}],"l":[{"a":[{"i":[{},[0,0,4]]}],"i":[{"i":[{"t":[{},[0,0,4]]}]}],"v":[{},[5]]}],"m":[{"ä":[{"ä":[{},[0,0,4]]}]}],"p":[{"p":[{},[4]],"r":[{"e":[{},[0,0,0,3]]},[0,0,2]]}],"s":[{"i":[{"n":[{},[0,0,4]]}]}],"t":[{"e":[{},[0,0,3]],"k":[{},[0,0,0,4]],"r":[{},[0,0,4]],"s":[{},[0,0,0,5]]}]},[1]],"f":[{"r":[{},[0,0,4]]},[2,1]],"g":[{"a":[{"e":[{},[0,4]],"h":[{},[0,0,3]],"r":[{"e":[{},[0,0,0,4]]}]}],"e":[{"h":[{},[0,4]]}],"i":[{"m":[{"e":[{},[0,0,0,4]]}]}],"r":[{"a":[{},[0,5,2]]}]},[2,1]],"h":[{},[2,1]],"i":[{"a":[{"m":[{},[0,0,3]],"s":[{"t":[{},[0,0,5]]}]},[3]],"d":[{},[5]],"g":[{"a":[{".":[{},[0,0,4]]}],"e":[{},[3]],"r":[{},[0,0,0,4]]},[2]],"i":[{"b":[{},[2]],"e":[{},[5]],"n":[{"u":[{},[4]]}]}],"k":[{"i":[{"s":[{},[0,0,4]]}],"r":[{},[0,0,3,4]]}],"l":[{"m":[{},[4]]}],"m":[{},[3]],"o":[{"k":[{"s":[{},[0,0,5]]}],"r":[{},[0,0,0,4]]}],"p":[{"l":[{"i":[{},[0,0,0,4]]}],"p":[{},[4,0,0,2]]},[3]],"s":[{"a":[{".":[{},[4,0,4]],"h":[{},[0,0,4]],"r":[{},[0,0,4]]}],"e":[{"s":[{},[0,0,4]]}],"o":[{"l":[{},[4]]}]}],"t":[{"o":[{"l":[{},[0,0,4]]}],"r":[{},[0,0,3,2]]}],"u":[{},[5]],"v":[{},[5]],"ö":[{},[4]]},[1]],"j":[{},[2,1]],"k":[{"a":[{"d":[{},[0,4]],"i":[{"n":[{},[0,0,5]]}],"s":[{"e":[{},[0,0,0,4]]}]}],"e":[{"k":[{},[0,4]]}],"t":[{},[0,0,0,4]]},[2,1]],"l":[{},[2,1]],"m":[{"a":[{"l":[{"d":[{},[0,4]]}]}],"e":[{"l":[{"e":[{},[0,4,0,4]]}]}],"i":[{"g":[{},[0,4]]}],"o":[{"r":[{"a":[{},[0,0,0,4]]}],"s":[{},[0,0,0,4]]}],"p":[{},[0,0,0,4]],"s":[{},[0,0,0,4]]},[2,1]],"n":[{"a":[{"d":[{},[0,4]]}],"e":[{"h":[{},[0,4]]}],"k":[{},[0,0,0,4]]},[2,1]],"o":[{"a":[{},[0,0,0,4]],"e":[{},[0,0,3,2]],"k":[{"k":[{},[0,0,0,4]]}],"l":[{"l":[{"a":[{},[0,0,0,4]],"e":[{},[0,0,0,4]]}]}],"m":[{"b":[{},[4]],"i":[{},[2]]}],"n":[{"o":[{"p":[{},[0,0,4]]}]}],"o":[{"g":[{"a":[{},[0,0,0,4]]}]}],"s":[{"a":[{},[4]],"p":[{"o":[{},[0,0,0,4]]}],"t":[{"a":[{"a":[{"t":[{"i":[{},[0,0,5]]}]}]}],"r":[{},[0,0,0,0,4]]}]}],"ž":[{},[4]]},[1]],"p":[{"r":[{"e":[{"t":[{},[0,0,5]]}]}]},[2,1]],"r":[{"i":[{},[0,3]]},[2,1]],"s":[{"a":[{"a":[{"l":[{},[0,0,0,0,4]]}]}],"l":[{},[0,0,4]],"o":[{},[0,0,4]],"p":[{"o":[{},[0,5,2]]}],"t":[{"a":[{"k":[{},[0,0,4]]}]}]},[2]],"t":[{"a":[{"h":[{},[0,4]]}],"o":[{"s":[{},[0,4]]}],"r":[{"a":[{},[0,0,4]],"i":[{},[0,4]],"o":[{"o":[{},[0,0,5]]}]},[0,0,2]],"s":[{"a":[{"i":[{},[0,0,4]]}]}]},[2]],"u":[{"a":[{},[2,0,0,4]],"d":[{},[0,0,0,4]],"j":[{},[0,4]],"k":[{"r":[{},[0,0,3]]}],"m":[{"a":[{},[3]],"b":[{},[4]],"m":[{},[2]],"p":[{},[4]]}],"s":[{".":[{},[5]],"e":[{"t":[{},[0,0,4]]}],"i":[{"n":[{},[0,0,4]]}],"u":[{"l":[{},[0,0,4]]}]}],"t":[{"r":[{},[0,0,0,4]]}],"u":[{"m":[{"a":[{},[0,0,0,0,5]]}],"r":[{},[4]]}]},[1]],"v":[{"a":[{"l":[{"a":[{},[0,0,0,4]],"u":[{},[0,0,0,4]]}],"n":[{"n":[{},[0,4]]}],"s":[{"k":[{},[0,0,0,0,5]]}]}],"i":[{"s":[{"k":[{},[0,0,0,0,4]]}]}],"o":[{"h":[{},[0,4]],"k":[{},[0,4]]}]},[2,1]],"õ":[{"l":[{"i":[{},[0,5]]},[2,0,2]],"n":[{"g":[{"u":[{},[0,0,0,4]]}]}],"r":[{},[4]]},[1]],"ö":[{"k":[{},[4]],"ö":[{"p":[{"e":[{},[0,0,0,4]],"l":[{},[0,0,0,0,5]]}]}]},[3]],"ä":[{"r":[{},[4,0,4]]},[1]],"ü":[{"k":[{},[4]],"m":[{},[4]],"r":[{},[4,0,4]]},[1]],"ž":[{},[4]],"š":[{},[4]]}],"s":[{"a":[{"a":[{"j":[{},[0,0,0,5]],"l":[{"u":[{},[0,0,0,4]]}],"n":[{},[0,0,4]],"s":[{},[4,3]]},[3,2]],"b":[{"a":[{},[3]],"i":[{".":[{},[0,0,4]]}],"o":[{},[4]]}],"d":[{"a":[{},[5]],"e":[{"r":[{},[0,5]]},[4]]},[0,4]],"e":[{"l":[{},[0,0,0,4]]},[2,1]],"g":[{"a":[{},[5,0,5]],"e":[{},[0,4]],"u":[{},[0,0,4]]}],"h":[{"v":[{},[4]]}],"i":[{".":[{},[3]],"a":[{},[4]],"n":[{},[0,1]]}],"j":[{"a":[{"n":[{},[0,4]]}],"u":[{".":[{},[0,0,4]]}]}],"k":[{"r":[{"o":[{},[0,0,0,4]]}],"s":[{},[5]],"u":[{".":[{},[4]]}],"ä":[{"ä":[{},[0,0,4]]}]}],"l":[{"a":[{".":[{},[4,3,4]],"s":[{},[4]],"t":[{".":[{},[5]]},[0,4]]}],"e":[{"v":[{},[0,0,4]]}],"l":[{"a":[{},[4]],"u":[{},[4]]}],"t":[{},[3]],"u":[{"m":[{},[0,0,4]]}],"v":[{},[5]]}],"m":[{"p":[{},[4]]},[3,4]],"n":[{"k":[{},[4]],"n":[{},[4,5]],"t":[{"i":[{},[4]]},[0,4]],"u":[{"m":[{},[0,0,4]]},[0,4]]}],"p":[{"r":[{},[0,0,2]]}],"r":[{"i":[{"s":[{},[0,0,4]]}],"v":[{".":[{},[0,4]],"a":[{},[0,0,0,4]]}]}],"s":[{"e":[{},[0,0,0,0,4]],"t":[{"i":[{"i":[{},[0,0,0,4]]},[3]]}],"u":[{"k":[{},[0,0,4]],"m":[{},[0,0,4]]}]}],"t":[{"l":[{},[4]]},[3]],"v":[{"a":[{"l":[{"d":[{},[0,5]]}]}]}]},[1]],"b":[{},[2,3,2]],"d":[{},[2,3,2]],"e":[{"a":[{"d":[{},[3]],"l":[{"a":[{},[0,0,3]],"i":[{},[0,5]]}],"v":[{"a":[{"l":[{},[0,0,5]]}]}]}],"d":[{"u":[{".":[{},[0,0,4]]}]}],"e":[{"l":[{"a":[{},[4]],"e":[{},[0,0,0,4]],"n":[{},[0,5]]}],"m":[{"a":[{},[0,0,0,4]]}],"p":[{"i":[{},[4]]}],"r":[{},[3]],"s":[{"i":[{},[0,0,0,4]]}],"t":[{"a":[{},[0,0,0,4,0,4]]}]}],"f":[{"e":[{},[4,0,4]]}],"g":[{"a":[{"a":[{},[0,0,0,0,5]]}]},[5]],"h":[{"a":[{},[3]],"o":[{},[3]],"u":[{},[5]],"ä":[{},[5]]},[2]],"i":[{"d":[{},[0,0,0,4]],"s":[{"i":[{},[0,0,0,4]]}]},[3]],"k":[{"a":[{},[3]],"l":[{},[0,0,3]],"s":[{"p":[{},[4,5]]}]}],"l":[{"a":[{"j":[{},[0,0,4]]}],"e":[{"k":[{},[4]]}],"i":[{},[5]],"l":[{"u":[{},[4]]}],"t":[{},[3]],"u":[{},[2]]}],"n":[{"s":[{},[4]]}],"o":[{"h":[{},[0,0,5]],"k":[{},[0,0,0,4]],"m":[{},[0,0,5]],"p":[{},[0,0,0,4]],"r":[{},[0,0,0,4]]}],"p":[{"a":[{"t":[{},[0,0,0,0,0,4]]}]},[3]],"r":[{"e":[{"m":[{},[4]]}]}],"s":[{"e":[{".":[{},[4]]}],"i":[{".":[{},[0,0,4]],"n":[{},[4,0,4]],"t":[{},[0,5]]}],"k":[{},[0,0,0,4]],"t":[{},[3]]}],"t":[{"e":[{"n":[{},[4,5]]}],"r":[{},[0,0,3,2]],"t":[{"e":[{},[4]]}]}]},[1]],"f":[{},[2,1,2]],"g":[{},[2,1,2]],"h":[{},[2,1]],"i":[{"a":[{"h":[{},[0,0,0,4]]},[3]],"e":[{},[0,0,0,4]],"g":[{"n":[{},[5]],"r":[{"a":[{},[0,0,0,4]]}]}],"h":[{"a":[{".":[{},[0,5,4]]}]}],"i":[{"g":[{},[0,0,0,4]],"s":[{"a":[{},[0,0,0,4]],"e":[{},[0,0,0,4]]}],"t":[{"s":[{},[4]],"u":[{},[0,0,0,4]]}]}],"k":[{"e":[{"t":[{},[0,0,4]]}],"o":[{"d":[{},[0,0,0,0,4]]}],"s":[{"p":[{},[0,0,0,0,4]]}],"t":[{},[0,0,0,0,4]],"v":[{"i":[{},[0,0,0,4]]}]}],"n":[{"i":[{"m":[{"e":[{},[0,5]]},[4]]}],"s":[{},[4]]}],"o":[{"l":[{"e":[{},[0,0,0,4]]}]}],"p":[{"r":[{"o":[{},[0,0,4]]}]}],"r":[{"r":[{},[4]],"u":[{},[5]]}],"s":[{"a":[{".":[{},[4,0,4]]}],"e":[{},[0,0,3]],"i":[{"k":[{},[0,5,4]]}],"p":[{},[0,0,0,2]],"s":[{"e":[{},[0,0,0,0,0,3]]}],"t":[{"u":[{"j":[{},[0,5]]}]}],"u":[{},[5]]}]},[1]],"j":[{"a":[{"a":[{"r":[{},[0,0,0,5]]}]}]},[2,1]],"k":[{"a":[{"a":[{"l":[{"a":[{},[5,0,0,0,5]]}]}],"n":[{"o":[{},[0,0,0,4]]}]},[4]],"e":[{"e":[{"m":[{".":[{},[5]]}]}],"l":[{"a":[{},[0,4]],"e":[{"t":[{},[5]]}]}],"n":[{},[0,5]]}],"i":[{"g":[{},[0,0,0,4]]}],"l":[{"a":[{"s":[{},[0,5]]}],"e":[{"r":[{},[5]]}]},[0,0,2]],"u":[{"k":[{},[0,0,0,0,4]],"l":[{"p":[{},[3]]}],"s":[{"i":[{},[0,0,0,4]]}]}]},[2,1]],"l":[{},[2,1]],"m":[{"a":[{"s":[{"a":[{},[0,0,0,4]]}]}]},[4,1]],"n":[{"e":[{"p":[{},[0,0,0,4]]}]},[2,1]],"o":[{"b":[{"i":[{},[3]]}],"e":[{},[3]],"h":[{"t":[{},[0,1]]}],"i":[{},[3]],"k":[{"s":[{".":[{},[0,5]]}]}],"l":[{"e":[{"k":[{},[0,3]]}],"i":[{"j":[{},[0,3]]}],"o":[{},[5]],"u":[{"t":[{},[0,0,3]]}]},[2,0,2]],"m":[{"a":[{},[0,0,2]]}],"n":[{},[3]],"o":[{"o":[{},[0,0,0,5]]},[3]],"p":[{"e":[{},[4,0,4]],"r":[{},[0,0,4]]}],"r":[{".":[{},[5]],"j":[{},[0,3]],"t":[{},[3]]}],"s":[{},[2,1]],"t":[{"s":[{"u":[{},[4]]}]}]},[1]],"p":[{"e":[{"r":[{},[0,5]]}]},[2,1]],"r":[{},[2,1]],"s":[{"e":[{"l":[{"l":[{},[0,0,0,0,4]]}]}],"f":[{"ä":[{},[0,0,2]]}],"i":[{"n":[{"f":[{},[0,4]]},[0,0,0,0,4]]}],"k":[{"e":[{},[0,0,4]]},[0,0,0,4]],"p":[{"o":[{"r":[{},[0,5]]}]},[0,0,2]],"t":[{"a":[{"t":[{},[0,5]]}],"i":[{},[0,0,4]],"r":[{},[0,0,0,5]]},[0,0,2]],"u":[{"s":[{"s":[{},[0,4]]}]}]},[2,1]],"t":[{"a":[{"a":[{"d":[{},[3]],"š":[{},[5]]},[0,2]],"i":[{"n":[{},[0,4]]}],"m":[{},[4]],"n":[{"d":[{"a":[{"r":[{"d":[{},[5]]}]}]}]}],"r":[{"t":[{},[3]]}],"t":[{"i":[{"s":[{},[5]]},[0,4]]}]}],"e":[{"n":[{"o":[{},[0,4]]}],"p":[{"p":[{},[5]]}],"t":[{},[0,0,0,0,4]]}],"o":[{"h":[{},[0,4]],"p":[{},[0,4]],"t":[{},[0,4]]}],"r":[{"e":[{"i":[{"k":[{},[5]]}],"k":[{},[5]]}],"u":[{"k":[{"t":[{"u":[{},[5]]}]}]}]}],"s":[{"o":[{},[0,0,4]]}],"t":[{},[0,0,0,4]],"u":[{"s":[{"a":[{},[0,0,0,4,5]]},[0,0,0,2]],"u":[{"d":[{},[3]]}]}],"ä":[{"r":[{},[0,4]]},[0,0,0,4]],"ü":[{"h":[{},[0,4]]}]},[2,1]],"u":[{"a":[{},[0,0,0,2]],"b":[{"a":[{"r":[{},[0,0,4]]}]}],"d":[{"r":[{},[0,0,0,4]],"u":[{},[0,0,4]]}],"e":[{},[0,0,5]],"j":[{"u":[{"l":[{},[0,0,4]]}]}],"k":[{"s":[{".":[{},[0,5]]},[4]]}],"l":[{"g":[{"a":[{},[0,0,0,4]]},[5]]}],"n":[{"d":[{"e":[{},[0,0,0,4,0,4]]}],"i":[{"s":[{},[0,0,4]]}]}],"p":[{"e":[{"s":[{},[0,0,0,0,5]]},[0,0,0,0,4]],"r":[{},[0,0,4]]}],"r":[{"b":[{},[4]]}],"s":[{".":[{},[5]],"a":[{"a":[{},[0,0,0,4]]}],"e":[{"s":[{},[0,0,4]]}],"s":[{".":[{},[0,5]]}],"t":[{"i":[{},[0,0,0,4]]}],"u":[{"n":[{},[0,0,4]]}]}],"t":[{"r":[{},[0,0,0,4]],"ü":[{},[0,0,0,4]]}],"u":[{"g":[{},[4]],"r":[{"a":[{},[0,0,0,4]]}],"s":[{"a":[{},[0,0,0,0,0,3]]}]}]},[1]],"v":[{"u":[{"s":[{"t":[{},[0,0,0,0,4]]}]}]},[2,1]],"õ":[{"d":[{"a":[{},[5]],"e":[{},[0,0,4]]}],"h":[{},[4,3]],"i":[{"d":[{},[3]],"e":[{},[4]],"g":[{},[2,1]],"s":[{},[2,5]],"t":[{},[3]]}],"l":[{"i":[{},[2,3]],"m":[{},[3]]},[0,0,2]],"n":[{},[3]],"p":[{},[2,1]],"r":[{},[5]],"s":[{"a":[{},[0,0,0,0,4]]}],"u":[{},[2,3]]},[1]],"ö":[{"d":[{},[4]],"k":[{},[0,0,2]],"n":[{},[2]]},[1]],"ä":[{"k":[{},[4]],"m":[{},[4]]},[1]],"ü":[{"a":[{},[4]],"d":[{},[5]],"g":[{},[5]],"h":[{"i":[{},[0,3]]},[2]],"k":[{"s":[{},[0,3]]},[2]],"l":[{"a":[{},[0,0,4]],"d":[{"i":[{},[0,0,0,5]]}],"e":[{"m":[{},[0,0,3]]}],"o":[{},[4]]}],"r":[{"a":[{},[0,0,4]]}],"s":[{},[3]],"ü":[{},[3]]},[1]],"ž":[{},[4]]}],"t":[{"a":[{".":[{},[3]],"a":[{"t":[{".":[{},[3]]}]}],"b":[{"i":[{},[2]]}],"e":[{"d":[{},[4,3]]}],"i":[{"n":[{"e":[{},[0,3]]}],"s":[{},[4]]}],"k":[{"o":[{},[4,0,4]]}],"l":[{"a":[{"j":[{},[4,0,4]]}],"e":[{"v":[{},[0,0,4]]}],"l":[{"a":[{"s":[{},[0,0,0,4]]}]}],"u":[{"s":[{},[0,0,4]]},[0,0,3]]},[0,2]],"m":[{"a":[{},[5]]},[3]],"n":[{"d":[{"a":[{},[4]]}]}],"o":[{"t":[{},[0,0,4]]}],"p":[{"l":[{"a":[{},[0,0,4]]}],"r":[{},[0,0,4]]}],"r":[{"e":[{"t":[{},[4,0,4]]}],"m":[{},[4]],"t":[{},[2]]}],"s":[{"e":[{"r":[{},[0,0,4,0,4]],"s":[{},[0,0,4]],"t":[{},[0,0,4]]}],"i":[{"s":[{},[0,0,4]]}],"ü":[{},[0,0,4]]}],"u":[{"t":[{},[2]]}],"v":[{"a":[{"j":[{},[0,0,4]]}]},[3]]},[1]],"b":[{},[2,1,4]],"d":[{},[2,0,2]],"e":[{"a":[{"a":[{},[0,0,4]],"g":[{},[0,0,0,4]],"h":[{},[0,0,0,4]],"n":[{},[0,0,3]],"s":[{},[0,0,5]]}],"e":[{"l":[{"u":[{},[0,0,0,5]]}],"t":[{},[0,0,4]]},[3]],"h":[{"i":[{"s":[{},[0,0,0,0,4]]},[0,0,3]]}],"k":[{"l":[{},[0,0,3]],"r":[{},[0,0,0,4]],"v":[{},[0,0,0,4]]}],"l":[{"k":[{"e":[{},[0,0,0,4]]}],"o":[{"k":[{},[0,0,4]]}],"u":[{".":[{},[0,0,3]]}]}],"p":[{"i":[{"v":[{},[4]]}],"l":[{},[0,0,0,4]],"p":[{},[2]]}],"r":[{".":[{},[5]],"a":[{},[0,0,5,4]],"d":[{},[0,0,0,0,4]],"g":[{},[4]],"s":[{},[0,0,0,0,4]]},[3]],"s":[{"a":[{},[0,0,0,4]],"i":[{"n":[{},[0,0,4]]}],"k":[{},[0,0,0,4]]}]},[1,2]],"f":[{},[2,1]],"g":[{},[4,1,4]],"h":[{"õ":[{"l":[{},[0,0,0,0,4]]}]},[2,1]],"i":[{"a":[{},[0,0,0,2]],"e":[{},[0,0,3]],"i":[{"k":[{},[0,0,0,2]],"m":[{"a":[{},[0,0,0,4]]}],"s":[{"a":[{},[0,0,0,4]]}],"v":[{"e":[{},[0,0,0,4]]}]}],"k":[{"o":[{},[0,0,0,4]],"r":[{},[0,0,3,4]],"v":[{"i":[{},[0,0,0,4]]}]}],"l":[{"m":[{},[4]]}],"m":[{"a":[{},[5]]}],"n":[{"f":[{},[4]],"g":[{"a":[{},[0,0,0,4]]}]}],"s":[{"a":[{"i":[{},[0,0,4]],"v":[{},[0,0,0,0,4]]}],"i":[{"k":[{},[0,0,4]]}]}],"t":[{"e":[{"e":[{},[0,0,0,0,0,4]]}]}]},[3]],"j":[{},[2,1]],"k":[{"l":[{},[0,3]],"r":[{},[0,3]]},[2,1,2]],"l":[{"u":[{},[0,0,0,4]]},[2,1,4]],"m":[{"i":[{"k":[{"a":[{},[0,0,0,0,0,4]]}],"s":[{},[0,0,0,0,3]]}]},[2,1]],"n":[{},[2,1]],"o":[{"d":[{"a":[{},[4,0,4]]}],"e":[{"n":[{},[0,0,0,0,4]]}],"g":[{},[0,0,0,6]],"k":[{"s":[{".":[{},[4]],"i":[{"k":[{},[0,0,0,0,0,5]]}]}]}],"l":[{"e":[{"k":[{},[0,0,4]]}],"u":[{".":[{},[0,0,4]],"m":[{},[0,0,4]]}]}],"n":[{"i":[{"s":[{},[0,0,0,0,0,4]]}]}],"o":[{"n":[{"o":[{},[0,0,0,4]]}],"p":[{"e":[{},[0,0,0,4]]}]},[0,0,4]],"r":[{"a":[{"u":[{},[0,0,4]]}]}],"s":[{"p":[{},[0,0,0,4]],"t":[{},[0,0,0,0,4]]}]},[3,2]],"p":[{},[2,3,4]],"r":[{"a":[{"d":[{},[0,4]],"f":[{"o":[{},[3]]},[0,2]],"h":[{"h":[{},[0,4]]}],"l":[{"l":[{},[5]]}],"n":[{"s":[{},[3]]},[0,2]],"t":[{"e":[{},[0,4]]}],"u":[{"m":[{},[5]]}]}],"e":[{"e":[{"n":[{},[3]]}],"i":[{"m":[{},[5]]},[0,4]],"p":[{},[3]]},[0,2]],"i":[{"g":[{},[0,3]],"i":[{"b":[{},[5]],"p":[{},[5]]}],"k":[{"o":[{"o":[{".":[{},[5]]}]}]}],"p":[{"l":[{},[0,0,0,4]]}]}],"o":[{"s":[{"s":[{},[0,4]]}]}],"u":[{"m":[{"m":[{},[3]]}],"p":[{},[5,4]],"u":[{},[3,2]]}],"ü":[{"ü":[{},[4]]},[3,2]]},[2,1]],"s":[{"a":[{"a":[{},[0,0,4]],"i":[{"s":[{},[0,0,0,5]]}],"j":[{"u":[{},[0,4]]}],"l":[{"a":[{"n":[{},[0,0,0,4]]}]}]},[0,3,2]],"e":[{"h":[{"h":[{},[3]]}],"l":[{"a":[{},[0,0,0,3]],"l":[{"u":[{},[5]]}]}],"m":[{"e":[{"n":[{},[5]]}]}],"n":[{"a":[{},[4]],"s":[{"u":[{},[5]]}]}]}],"i":[{"g":[{},[0,0,0,0,4]],"i":[{"t":[{"s":[{"i":[{},[5]]}]}]}],"n":[{"k":[{},[0,4]]}],"s":[{"t":[{"e":[{},[5]]}]}]}],"l":[{"a":[{"a":[{},[0,0,4]]}]}],"o":[{"o":[{},[0,2]],"r":[{},[0,4]]}],"p":[{},[0,0,0,4]],"u":[{"s":[{"s":[{},[0,4]]}]}]},[2,1]],"t":[{"a":[{"d":[{},[0,4]]}],"e":[{"e":[{},[0,0,0,0,2]],"s":[{},[0,0,0,0,2]]}],"s":[{"e":[{"m":[{},[0,5]]}]}]},[2,1]],"u":[{"i":[{"m":[{},[4]]}],"r":[{"a":[{"j":[{},[0,0,4]]}]}],"s":[{"a":[{},[0,0,0,1]],"e":[{"e":[{},[0,0,4,5]]}],"i":[{},[0,0,2]],"s":[{".":[{},[4,5]]},[0,0,0,3]],"t":[{},[0,0,0,3,2]],"u":[{},[0,0,5]],"ä":[{},[0,0,4,0,4]],"ü":[{},[0,0,0,0,4]]}],"t":[{"o":[{"p":[{},[4]]}]}],"u":[{"d":[{},[4]],"l":[{"e":[{},[0,0,0,0,0,5]]}]}]},[3]],"v":[{},[2,1]],"õ":[{"b":[{},[5]],"i":[{},[2]],"l":[{},[0,0,4]],"n":[{},[4,0,4]],"p":[{},[4]],"u":[{"n":[{},[2,5]]}]},[1]],"ö":[{"e":[{},[4]],"k":[{},[4]],"ö":[{"k":[{},[0,0,0,5]],"p":[{},[0,0,0,3]]}]},[1]],"ä":[{"h":[{"t":[{"a":[{},[0,0,0,4,3]]}]}],"k":[{"e":[{},[0,0,5]]}],"m":[{},[4]]},[1]],"ü":[{"h":[{"e":[{".":[{},[0,0,5]]}],"i":[{},[0,0,3]]}]},[1]],"ž":[{"e":[{"k":[{},[5]],"m":[{},[3]]},[0,2]]},[2,1]]}],"u":[{"a":[{"a":[{"s":[{"t":[{},[0,3]]}]},[0,0,0,4]],"b":[{"i":[{},[0,5]]},[0,0,2]],"e":[{},[0,1]],"h":[{"e":[{},[0,0,4]]}],"i":[{"k":[{},[0,0,0,4]],"n":[{},[0,3]]}],"j":[{"a":[{},[0,0,2]]}],"k":[{"t":[{},[0,3]]}],"l":[{"l":[{},[0,3]]},[0,0,2]],"m":[{"e":[{"t":[{},[0,3]]}]}],"n":[{"u":[{},[0,0,4]]},[0,1]],"p":[{"a":[{"r":[{},[0,5]]}]}],"r":[{"e":[{"e":[{},[0,0,5]]},[0,0,2]],"t":[{},[0,5]]}],"s":[{"t":[{},[0,3]]},[0,0,2]],"u":[{"d":[{},[0,0,0,4]]},[0,1]],"v":[{"a":[{"l":[{"d":[{},[0,5]]}]}]},[0,0,2]]}],"b":[{},[0,1]],"d":[{"a":[{"l":[{"u":[{},[0,4]]}]}],"e":[{"h":[{},[0,4]],"o":[{},[0,0,0,0,4]]}],"o":[{"r":[{},[0,0,0,4]]}]}],"e":[{"a":[{"l":[{},[0,5]]}],"e":[{"l":[{},[0,3]]}],"k":[{"s":[{},[0,3]]}],"m":[{"a":[{},[0,0,2]]}],"o":[{},[0,0,0,4]],"r":[{},[0,0,4]]}],"f":[{},[0,1]],"g":[{"i":[{"d":[{},[0,4,0,4]]}],"r":[{"a":[{"a":[{},[0,5]]},[0,0,2]]}],"ü":[{},[0,4]]},[0,1]],"h":[{"t":[{"e":[{"m":[{},[0,0,4]],"r":[{},[0,0,4]]}],"i":[{"n":[{},[0,0,4]],"s":[{},[0,0,4]]}]}]}],"i":[{"d":[{"u":[{},[0,0,0,0,5]]}],"g":[{"a":[{},[0,0,2]]}],"h":[{"a":[{},[0,3]]},[0,0,4]],"l":[{"m":[{},[0,3]]}],"m":[{".":[{},[5]]}],"n":[{"a":[{"s":[{},[0,0,0,0,0,5]]},[0,0,0,0,2]]}],"s":[{"i":[{},[0,0,4]],"u":[{"t":[{},[3]]}]}],"t":[{"e":[{"h":[{},[0,0,0,0,4]]}],"o":[{},[0,0,4]]}],"v":[{"a":[{"l":[{"a":[{},[0,0,4]]}]}],"e":[{"l":[{},[0,0,4]]}],"o":[{},[0,0,4]]}]}],"j":[{"a":[{},[0,5]],"u":[{"j":[{},[0,4]],"m":[{"i":[{},[3]]},[0,4]]}]},[0,1]],"k":[{"a":[{"a":[{"s":[{},[0,0,0,0,4]]}]}],"i":[{"i":[{"g":[{},[0,0,0,0,4]]}]}],"k":[{"i":[{},[0,0,0,0,5]]}],"o":[{"p":[{},[0,0,0,0,4]]}],"r":[{"a":[{"a":[{},[0,3]]}],"o":[{},[0,5]]}],"u":[{"s":[{"a":[{},[0,0,0,4]]}]}],"v":[{"i":[{},[0,0,4]]}]},[0,1]],"l":[{"a":[{},[0,0,4]],"d":[{"e":[{"h":[{},[0,0,4]]}],"i":[{},[0,0,0,0,4]]}],"k":[{"r":[{},[0,0,4]]}],"l":[{"e":[{"n":[{},[0,0,4]]}],"u":[{"i":[{},[0,0,4]]}]}],"t":[{"r":[{"a":[{},[0,0,0,0,0,5]]}]}],"u":[{"o":[{},[0,0,0,0,4]]},[0,3]]}],"m":[{"a":[{"f":[{},[0,0,0,0,4]],"u":[{},[0,4]]}],"b":[{"r":[{"o":[{"h":[{},[5]]}]}]}],"e":[{"t":[{},[0,0,0,0,4]]}],"f":[{},[0,0,0,4]],"i":[{"a":[{},[0,0,0,0,4]],"t":[{},[0,0,0,0,4]]}],"p":[{"r":[{},[0,0,5,4]]}]},[4,1]],"n":[{"a":[{"a":[{"l":[{},[0,0,0,0,0,5]]},[0,0,0,0,4]]}],"d":[{"a":[{"k":[{},[0,0,4]],"n":[{},[0,0,4]],"s":[{},[0,0,4]]}],"o":[{},[0,0,4]]}],"i":[{".":[{},[0,4]]}]}],"o":[{"h":[{},[0,0,4]],"r":[{"g":[{},[0,3]]},[0,2]]},[0,1,2]],"p":[{"l":[{"a":[{},[0,3]],"e":[{},[0,0,3]]}],"p":[{"e":[{},[0,0,0,0,4]],"i":[{"s":[{},[0,0,4]]}]}]},[0,1]],"r":[{"a":[{"a":[{"l":[{},[0,0,0,0,4]]}],"g":[{},[0,4]],"j":[{"u":[{},[0,0,0,4]]}],"l":[{"a":[{},[0,4]]}],"p":[{},[0,4]],"u":[{"k":[{},[0,0,5]]}],"v":[{"a":[{},[0,0,0,4]]}]}],"b":[{".":[{},[3]]}],"d":[{"e":[{},[0,0,0,0,3]]}],"e":[{"a":[{},[0,0,0,0,4]],"o":[{"s":[{},[0,4]]}],"s":[{"k":[{},[0,0,0,0,4]]}],"t":[{"t":[{},[0,4]]}]}],"g":[{"a":[{"s":[{},[0,0,0,0,0,4]]}],"e":[{".":[{},[5]]}]}],"i":[{"m":[{"e":[{"t":[{},[0,4,0,4]]}]}],"n":[{"i":[{},[0,4]]}],"s":[{"k":[{},[0,0,0,0,4]]}]}],"k":[{"a":[{"v":[{},[0,0,0,0,4]]}]}],"o":[{"r":[{},[0,0,0,4]]}],"u":[{"l":[{"u":[{},[0,4]]}]}]}],"s":[{"a":[{".":[{},[0,5]],"d":[{},[0,0,0,0,4]],"e":[{},[0,4]],"l":[{"u":[{},[0,4]]}],"s":[{"t":[{"e":[{},[0,0,5]]}]}]},[0,2,0,2]],"e":[{"a":[{},[0,3]],"g":[{},[0,0,0,0,4]],"l":[{"e":[{"k":[{},[0,0,5]]}]}],"t":[{"t":[{},[0,4]],"u":[{},[0,3]]}],"v":[{},[0,5]]}],"f":[{"ä":[{},[0,0,4]]}],"g":[{},[0,0,5]],"i":[{"d":[{},[0,4,0,4]],"g":[{},[0,0,0,4]],"h":[{},[0,4,0,4]],"n":[{"d":[{},[0,0,5]]}],"v":[{"a":[{},[0,0,0,4]]}]}],"k":[{"r":[{},[0,0,3]]}],"o":[{"h":[{},[0,0,5,2]],"l":[{"e":[{},[0,0,3]]}],"r":[{},[0,0,0,4]]},[0,2]],"p":[{"o":[{"r":[{},[0,3,4]]}]},[0,0,3,4]],"u":[{"i":[{},[0,0,0,0,4]],"l":[{"i":[{},[3]]}],"s":[{"s":[{},[0,4]]}]}],"õ":[{},[0,2]],"ü":[{"h":[{},[0,0,3]]},[0,2]]}],"t":[{"k":[{"l":[{},[0,0,4]]}],"o":[{"s":[{},[0,0,0,0,2]],"t":[{},[0,0,0,0,4]]}],"r":[{"u":[{},[0,0,4]]}],"s":[{"o":[{},[0,0,4]]}],"t":[{"r":[{},[0,0,0,4]]}],"u":[{"s":[{},[0,0,0,4]]}],"ü":[{"h":[{},[0,0,0,4]]}]},[0,1]],"u":[{"a":[{"l":[{},[0,0,5]]}],"d":[{"u":[{".":[{},[0,0,4]]}]},[4]],"k":[{"a":[{"k":[{},[0,0,4]]}],"r":[{"i":[{},[0,0,0,5]]}]}],"m":[{"a":[{"l":[{},[0,0,4]]}],"i":[{"s":[{},[0,0,4]]}]}],"p":[{"ü":[{},[0,0,4]]}],"r":[{"a":[{"n":[{},[0,0,4]],"s":[{},[0,0,4]],"u":[{},[0,0,4]],"v":[{},[0,0,4]]}]}],"s":[{"a":[{"k":[{},[0,0,0,0,3]]},[0,0,3]],"k":[{"e":[{},[0,0,0,4]]}],"s":[{".":[{},[0,3]]}],"u":[{"l":[{},[0,0,4]]}]}],"t":[{"a":[{"s":[{},[0,0,4]]}],"i":[{"s":[{},[0,0,4]]}],"ü":[{"h":[{},[0,0,4]]}]},[4]],"u":[{"r":[{"i":[{},[0,5]]}]}]}],"v":[{"a":[{"u":[{},[0,4]]}]},[0,1]],"õ":[{},[0,1,2]],"ä":[{"r":[{},[0,3]]},[0,0,2]],"ü":[{},[0,1,2]],"ž":[{"l":[{},[0,0,4]]}]}],"v":[{"a":[{"a":[{"r":[{"e":[{},[0,0,0,4,0,4]]}],"s":[{},[0,0,4]]}],"b":[{"i":[{},[4]]}],"e":[{"r":[{},[0,0,0,4]]}],"g":[{},[0,0,0,4]],"h":[{"e":[{},[0,0,5]]}],"i":[{"a":[{},[4]],"n":[{},[4,3]]}],"k":[{"v":[{},[0,0,0,4]]}],"l":[{"a":[{".":[{},[0,0,4]],"i":[{},[0,0,4]]}],"d":[{"i":[{},[4]]}],"g":[{"a":[{},[0,0,0,4,0,4]]}],"ü":[{},[0,0,4]]}],"n":[{"a":[{"i":[{},[0,0,0,0,5]]}],"e":[{},[0,0,0,0,2]],"k":[{"u":[{},[4]]}],"t":[{"a":[{},[0,0,0,4]],"e":[{},[0,0,0,4]]}]}],"p":[{"r":[{},[0,0,0,4]]}],"r":[{"m":[{},[4]],"p":[{},[0,0,0,4]],"t":[{},[2]],"u":[{"h":[{},[4]]}],"v":[{"e":[{},[4]]}]},[0,4]],"s":[{"a":[{"s":[{},[0,0,4]]}],"k":[{},[0,0,0,4]],"t":[{"r":[{},[0,0,0,0,4]]}]}],"t":[{"r":[{},[0,0,0,4]],"u":[{"d":[{},[4]]}]}],"u":[{"d":[{},[0,0,0,4]]}],"v":[{},[0,0,0,4]]}],"b":[{},[4]],"d":[{},[2,1]],"e":[{"e":[{"a":[{},[0,0,0,3]],"k":[{},[0,0,0,3]],"l":[{"a":[{},[0,0,0,5]]}],"s":[{"p":[{},[0,0,0,3]]}]}],"h":[{"i":[{},[4]]}],"i":[{"s":[{"a":[{},[0,0,0,4]]}]}],"o":[{"l":[{},[0,0,4]],"t":[{},[0,0,0,0,4]]}],"r":[{"a":[{"h":[{},[0,0,4]]}]}],"s":[{"p":[{},[0,0,0,4]]}]},[3]],"f":[{},[2]],"g":[{},[2,0,4]],"h":[{},[2,1]],"i":[{"a":[{},[0,0,0,2]],"d":[{"e":[{"a":[{},[4]]}]},[0,0,0,4]],"p":[{"l":[{},[0,0,3]]},[0,0,0,4]],"r":[{"k":[{},[0,0,0,4]]}],"s":[{"a":[{"k":[{},[0,0,4]]}],"k":[{"o":[{"d":[{},[0,0,0,4,0,4]]}]}]}]},[3]],"j":[{},[2,1]],"k":[{},[2,1]],"l":[{},[2,1]],"m":[{},[2,1]],"n":[{},[2,1]],"o":[{"o":[{"l":[{"u":[{},[0,0,0,5]]}]}]}],"p":[{},[2,5]],"r":[{},[2,1]],"s":[{},[2,1]],"t":[{"r":[{},[0,3]]},[2,1,2]],"u":[{"s":[{"a":[{},[0,0,4]],"u":[{},[0,0,4,0,4]]}]}],"v":[{},[2,1]],"õ":[{"i":[{"g":[{},[4]]}],"l":[{"i":[{},[4,0,4]]}],"m":[{},[4]],"r":[{"k":[{},[0,0,0,4,5]]}]},[3]],"ä":[{"ä":[{"r":[{"e":[{},[0,0,0,4,0,4]],"u":[{},[0,0,0,4]]}]}]},[3]]}],"z":[{"o":[{"o":[{"k":[{},[0,0,0,0,4]],"s":[{},[0,0,0,0,4]]}]},[3]]}],"õ":[{"b":[{"e":[{},[0,0,0,3]]},[0,1]],"d":[{},[0,1]],"e":[{"a":[{},[0,0,0,4]],"l":[{"a":[{"n":[{},[0,0,4]]}],"u":[{},[0,0,3]]}],"t":[{},[0,0,0,2]],"u":[{},[0,0,0,4]]}],"g":[{},[0,1]],"h":[{"v":[{"u":[{},[0,0,4]]}]}],"i":[{"a":[{},[0,0,4]],"b":[{},[0,0,4]],"e":[{"k":[{},[0,0,0,5]],"l":[{},[3]]}],"g":[{"u":[{},[3]]}],"k":[{"o":[{},[0,0,4]]}],"s":[{"e":[{},[0,0,0,0,4]],"u":[{},[0,0,4,0,4]]}]}],"j":[{},[0,1]],"k":[{"k":[{"õ":[{},[0,0,4]]}]}],"l":[{"d":[{},[0,0,2]],"i":[{"m":[{},[0,4]],"t":[{},[0,4]]}],"m":[{"a":[{"d":[{},[0,0,4]]}]}]}],"m":[{"b":[{"l":[{},[3]]}]}],"n":[{"e":[{"t":[{"s":[{},[0,0,0,0,4]]}]}]}],"p":[{"a":[{},[0,3]],"i":[{"e":[{},[0,0,0,5]]}],"p":[{"a":[{},[0,0,2]]}],"r":[{},[4,0,3]]},[0,2]],"r":[{"a":[{"n":[{"d":[{"a":[{},[0,0,0,0,0,0,5]]}]}],"s":[{},[0,0,0,4]]}],"d":[{"a":[{},[0,0,4]]}],"g":[{"a":[{"a":[{},[0,0,4]],"r":[{},[0,0,4]]}],"o":[{},[0,0,4]]}]}],"s":[{"a":[{},[0,0,4]]},[4]],"t":[{"ü":[{},[0,4,0,4]]}],"u":[{"d":[{"e":[{},[0,0,0,0,3]]}]}],"v":[{},[0,1,4]],"õ":[{"p":[{},[0,0,5]],"r":[{"e":[{"l":[{},[0,0,4]]},[0,0,0,0,4]]}],"t":[{"a":[{},[0,0,4]]}]}]}],"ö":[{"a":[{},[0,0,2]],"b":[{},[0,1]],"d":[{"e":[{"e":[{},[5,2]]}],"i":[{"k":[{},[0,0,0,4]]}]},[0,1]],"e":[{"l":[{"d":[{},[3]]}],"p":[{},[0,0,0,4]],"t":[{"r":[{},[0,0,0,4]]}]}],"g":[{},[0,1,4]],"h":[{},[0,1]],"i":[{"a":[{},[0,0,4]],"g":[{},[0,0,4]],"s":[{},[0,0,4]]}],"j":[{},[0,1]],"k":[{"o":[{"n":[{"o":[{},[3]]},[0,2]]}],"v":[{},[0,0,4]]},[0,1]],"l":[{"i":[{"s":[{"a":[{},[0,0,0,0,5]]},[0,0,0,2]]}]},[0,1]],"m":[{},[0,1]],"o":[{},[0,0,2]],"p":[{"a":[{"u":[{},[0,2,3]]}],"l":[{"u":[{},[0,0,4]]}]}],"r":[{"a":[{"a":[{},[0,4]],"u":[{},[0,4]]}],"d":[{"a":[{},[0,0,4]],"e":[{"l":[{"l":[{},[0,0,4]]}]}]}],"e":[{},[0,0,4]],"i":[{"l":[{},[0,4,0,4]]}],"o":[{},[0,4,0,4]],"ä":[{},[0,4]],"ü":[{"l":[{},[0,4]]}]}],"s":[{"t":[{"i":[{"i":[{},[0,0,4]]}]}]}],"t":[{"o":[{},[0,4,0,4]],"ü":[{},[0,4,0,4]]}],"v":[{},[0,1]],"õ":[{},[0,3]],"ö":[{"a":[{},[0,0,3]],"e":[{},[0,0,3,4]],"i":[{},[0,0,5]],"l":[{"a":[{"n":[{},[3]]}]}],"o":[{},[0,0,3]],"t":[{"r":[{},[0,0,0,4]]}]}],"ü":[{},[0,0,4]]}],"ä":[{"a":[{},[0,0,4]],"b":[{"u":[{"s":[{},[0,0,0,0,5]],"t":[{},[0,0,0,0,4]]}]},[0,1]],"d":[{},[0,1]],"e":[{"a":[{},[0,0,3,4]],"o":[{},[0,0,1]]}],"g":[{"a":[{"r":[{"i":[{},[0,0,0,4]]}]}]},[0,1]],"h":[{"e":[{"a":[{},[0,0,0,5]]}]}],"i":[{"d":[{"i":[{"s":[{},[0,0,0,0,4]]}]}],"k":[{"e":[{},[0,0,0,0,3]]}],"l":[{"o":[{},[0,0,4]],"u":[{},[0,0,4]]}],"s":[{"a":[{},[0,0,0,0,4]],"õ":[{},[0,0,4]]},[0,0,2]],"t":[{"a":[{"r":[{},[0,0,4]]}]}]}],"j":[{},[0,3]],"k":[{"e":[{".":[{},[3]],"r":[{},[0,5]]},[0,2]],"õ":[{},[0,4]]}],"l":[{"i":[{"s":[{},[0,0,0,2]]}],"k":[{"o":[{},[0,0,4]]}]}],"m":[{"b":[{"l":[{},[5]]}]}],"n":[{"a":[{"h":[{},[0,4]]}],"d":[{"e":[{"o":[{},[0,0,4]]}]}],"e":[{"t":[{},[0,0,0,0,4]]}],"t":[{"o":[{},[0,0,4,0,4]]}]}],"o":[{"k":[{},[0,0,0,4]]}],"r":[{"a":[{"a":[{},[0,4,0,5]],"o":[{},[0,0,0,3,4]],"r":[{},[0,4]]}],"e":[{"l":[{"i":[{"s":[{},[0,0,0,4]]}]}],"t":[{},[0,0,0,0,4]]}],"g":[{"e":[{"l":[{},[0,0,0,0,4]]}]}],"i":[{"i":[{},[0,0,0,0,4]],"k":[{"l":[{},[0,0,0,4]]}],"s":[{"e":[{"l":[{},[0,0,0,4]]}],"t":[{"e":[{},[0,4]]}]}]}],"k":[{"a":[{"r":[{},[0,0,4]]}]}],"o":[{},[0,4]],"r":[{"i":[{"t":[{},[5]]}]}],"t":[{"a":[{},[0,0,4]]}],"v":[{"a":[{},[0,0,2]]}],"õ":[{},[0,4]]}],"s":[{"k":[{"o":[{},[0,0,4]]}],"n":[{"a":[{"i":[{},[0,0,4]]}]}],"p":[{},[0,0,4]],"s":[{"a":[{"n":[{},[0,0,4]]}],"o":[{},[0,0,4]]}]}],"t":[{"r":[{"i":[{},[0,0,4]]}]}],"u":[{"d":[{},[0,0,4]]}],"v":[{"e":[{"e":[{},[0,0,0,0,4]]}]},[0,1]],"ä":[{"k":[{"i":[{"n":[{},[0,0,4]]}]}],"o":[{},[0,0,0,4]],"r":[{"a":[{"s":[{"e":[{},[0,0,4]]}]}],"i":[{"s":[{".":[{},[5]]}]}]}]}]}],"ü":[{"a":[{"a":[{},[0,0,0,4]]}],"b":[{},[0,1]],"d":[{"a":[{"m":[{"e":[{},[0,0,0,0,0,5]]}]}]}],"g":[{},[0,1]],"h":[{"e":[{"i":[{},[0,0,0,5,4]],"n":[{},[1]]}],"i":[{"k":[{".":[{},[3]]}],"t":[{},[0,3]]}]},[0,2]],"j":[{},[0,1]],"k":[{"a":[{"n":[{},[0,0,0,0,4]]}],"k":[{"a":[{"s":[{},[0,0,4]]}]}],"l":[{},[0,0,3]]}],"l":[{"d":[{"a":[{},[0,0,0,5,2]]},[0,0,2]],"e":[{"k":[{},[3]],"l":[{},[0,5]],"m":[{"a":[{"s":[{},[0,0,0,4]]}]}],"s":[{"ä":[{},[0,0,0,0,0,4]]},[1]]},[0,2]],"g":[{"a":[{"v":[{},[0,0,4]]}],"e":[{"e":[{},[0,0,4]]}]}],"i":[{"h":[{},[0,4]],"i":[{},[0,0,0,0,4]],"k":[{"o":[{},[3]]}],"õ":[{},[0,4]]}],"k":[{"l":[{},[0,0,5]]}],"l":[{"a":[{},[0,0,5]]}],"m":[{"e":[{"i":[{},[0,0,4]]}]}],"o":[{"r":[{},[0,0,0,4]]}],"p":[{},[0,0,0,4]],"t":[{},[0,0,0,4]]}],"m":[{"a":[{"r":[{"a":[{"k":[{},[0,0,0,4]]}],"u":[{},[0,0,0,4]]}]}],"i":[{"k":[{"o":[{},[0,0,0,4]]}]}]}],"n":[{"e":[{},[0,5]],"i":[{"s":[{},[0,0,0,4]]}]}],"o":[{"t":[{},[0,0,0,4]]}],"p":[{"l":[{},[0,0,3]],"p":[{},[0,0,5,4]],"r":[{},[0,0,3]],"s":[{"u":[{},[0,0,0,0,4]]}]}],"r":[{"d":[{},[0,0,0,4]],"i":[{"k":[{},[0,0,0,0,4]]}]}],"s":[{"o":[{},[0,0,4]],"p":[{"r":[{},[0,0,4]]}],"t":[{"a":[{"l":[{},[0,0,4]],"s":[{},[0,0,4]]}]}]}],"t":[{"a":[{"r":[{},[0,0,0,4]]}],"e":[{"e":[{"l":[{},[0,0,0,0,4]]}]}],"l":[{"e":[{"v":[{},[5]]}]}],"r":[{"u":[{},[0,0,4]]},[0,4,3]]}],"v":[{},[0,1]],"ü":[{"l":[{"a":[{},[0,0,2,3,2]],"e":[{},[0,0,4]],"o":[{},[0,0,4]]}],"p":[{"e":[{},[0,0,4]]}]},[0,4]]}],"ž":[{"a":[{},[1]],"b":[{},[4]],"e":[{"e":[{},[5]],"r":[{},[5]]},[1]],"f":[{},[4]],"i":[{},[1]],"j":[{},[4]],"k":[{},[4]],"l":[{},[4]],"m":[{},[4]],"n":[{},[4]],"o":[{},[3]],"p":[{},[4]],"t":[{},[4]],"ö":[{},[5]],"ü":[{},[5]],"ž":[{},[2]]}],"š":[{"a":[{"k":[{},[4]],"u":[{},[4]]},[3]],"e":[{},[1]],"i":[{"s":[{"k":[{},[0,0,0,4]]}]},[3,4]],"k":[{},[4]],"o":[{},[5]],"t":[{},[4]],"u":[{},[3,0,4]]}]}';
  var hyphenation = [];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
