(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsFr = factory();
  }
})(this, function () {
  var patterns =
    '{"\'":[{"a":[{"b":[{"r":[{"é":[{"a":[{},[0,0,0,3]]}]}]}],"e":[{"s":[{"c":[{"h":[{},[0,0,0,3,4]]}]}]}],"l":[{"c":[{"o":[{"o":[{"l":[{},[0,2]]}]}]}]}],"m":[{"i":[{"n":[{"o":[{"a":[{"c":[{},[0,0,0,0,0,0,1,2]]}]}]}]}]}],"n":[{"a":[{"s":[{"t":[{"r":[{},[0,0,0,0,3,4]]}]}]}],"e":[{"s":[{"t":[{"h":[{"é":[{"s":[{"i":[{},[0,2,2]]}]}]}]}]}]}],"t":[{"i":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{"n":[{"n":[{"e":[{},[0,0,0,0,0,2]]}]}]},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"s":[{},[0,0,0,0,0,1,2]]}]}]}],"p":[{"o":[{"s":[{"t":[{"a":[{},[0,0,0,0,2,3]]}]}]}]}],"s":[{"t":[{"a":[{},[0,0,0,2]]}]}],"r":[{"g":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,3]]}]}]}]}],"p":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,3]]}]}]}]}]}],"g":[{"n":[{"a":[{"t":[{},[0,0,2,3]]}]}]}]},[0,0,4]],"â":[{},[0,0,4]],"e":[{"n":[{"a":[{},[0,0,0,1,2]],"o":[{},[0,0,0,1,2]]}],"u":[{"r":[{"a":[{},[0,0,0,2,1,2]]}]}]},[0,0,4]],"ê":[{},[0,0,4]],"é":[{},[0,0,4]],"è":[{},[0,0,4]],"i":[{"g":[{"n":[{"é":[{},[0,0,2,3]],"i":[{},[0,0,2,3]]}]}],"n":[{"f":[{"o":[{"r":[{"m":[{"a":[{"t":[{},[0,2]]}]}]}]}]}],"a":[{"n":[{"i":[{"t":[{},[0,0,0,2,3]]}]}],"u":[{"g":[{"u":[{"r":[{},[0,0,0,2]]}]}]}]},[0,0,0,1,2]],"e":[{"f":[{"f":[{"a":[{"b":[{},[0,0,0,2]]}]}]}],"p":[{"t":[{},[0,0,0,2]]}],"r":[{},[0,0,0,2]],"x":[{"o":[{"r":[{"a":[{},[0,0,0,2]]}]}]}]},[0,0,0,1,2]],"é":[{"l":[{"u":[{"c":[{"t":[{"a":[{},[0,0,0,2,3]]}]}]}]}],"n":[{"a":[{"r":[{"r":[{"a":[{},[0,0,0,2,3]]}]}]}]}]},[0,0,0,1,2]],"i":[{"m":[{"i":[{"t":[{"i":[{},[0,0,0,2,3]]}]}]}],"q":[{},[0,0,0,2,3]],"t":[{},[0,0,0,2,3]]},[0,0,0,1,2]],"o":[{"c":[{"u":[{"l":[{},[0,0,0,2,3]]}]}],"n":[{"d":[{},[0,0,0,2]]}]},[0,0,0,1,2]],"s":[{"t":[{"a":[{"b":[{},[0,0,0,1,2]]}]}]}],"t":[{"e":[{"r":[{"a":[{},[0,0,0,0,0,0,0,2]],"e":[{},[0,0,0,0,0,0,0,2]],"é":[{},[0,0,0,0,0,0,0,2]],"i":[{},[0,0,0,0,0,0,0,2]],"o":[{},[0,0,0,0,0,0,0,2]],"u":[{},[0,0,0,0,0,0,0,2]],"s":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,4,3]]}]}],"u":[{"i":[{"t":[{},[0,0,0,2]]}],"l":[{},[0,0,0,2,3]]},[0,0,0,1,2]]}]},[0,0,4]],"o":[{"n":[{"g":[{"u":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,3]]}]}]}]}]}]}],"c":[{"t":[{"e":[{"t":[{},[0,2]]}]}]}],"u":[{"a":[{"o":[{"u":[{},[0,0,0,0,1]]}]}]}],"v":[{"i":[{"s":[{"c":[{},[0,0,0,0,1,2]]}]}]}]},[0,0,4]],"î":[{},[0,0,4]],"ô":[{},[0,0,4]],"u":[{},[0,0,4]],"û":[{},[0,0,4]],"y":[{},[0,0,4]]},[2,2]],".":[{"a":[{"b":[{"r":[{"é":[{"a":[{},[0,0,3]]}]}]}],"e":[{"s":[{"c":[{"h":[{},[0,0,3,4]]}]}]}],"m":[{"i":[{"n":[{"o":[{"a":[{"c":[{},[0,0,0,0,0,1,2]]}]}]}]}]}],"n":[{"a":[{"s":[{"t":[{"r":[{},[0,0,0,3,4]]}]}]}],"t":[{"i":[{"a":[{},[0,0,0,0,1,2]],"e":[{"n":[{"n":[{"e":[{},[0,0,0,0,2]]}]}]},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"s":[{},[0,0,0,0,1,2]]}]}]}],"p":[{"o":[{"s":[{"t":[{"a":[{},[0,0,0,2,3]]}]}]}]}],"s":[{"t":[{"a":[{},[0,0,2]]}]}],"r":[{"d":[{"e":[{"n":[{"t":[{".":[{},[0,0,3]]}]}]}]}],"g":[{"e":[{"n":[{"t":[{".":[{},[0,0,3]]}]}]}]}],"p":[{"e":[{"n":[{"t":[{".":[{},[0,0,3]]}]}]}]}]}],"g":[{"n":[{"a":[{"t":[{},[0,2,3]]}]}]}]},[0,4]],"â":[{},[0,4]],"b":[{"a":[{"i":[{"s":[{"e":[{"m":[{"a":[{"i":[{"n":[{},[0,0,0,2,0,3]]}]}]}]}]}]}]}],"i":[{"a":[{"c":[{},[0,0,1,2]],"t":[{},[0,0,1,2]],"u":[{},[0,0,1]]}],"o":[{"a":[{},[0,0,0,1,2]]}],"s":[{"a":[{},[0,0,2,1,2]]}],"u":[{},[0,0,1,2]]}]}],"c":[{"h":[{"è":[{"v":[{"r":[{"e":[{"f":[{"e":[{"u":[{"i":[{"l":[{"l":[{"e":[{},[0,0,0,2,0,0,3]]}]}]}]}]}]}]}]}]}]}]},[0,0,4]],"i":[{"s":[{"a":[{"l":[{"p":[{},[0,0,2,1]]}]}]}]}],"o":[{"n":[{"s":[{},[0,0,0,0,4]],"t":[{"r":[{"e":[{"s":[{"c":[{},[0,0,0,0,0,0,1,2]]}],"m":[{"a":[{"î":[{"t":[{"r":[{"e":[{},[0,0,0,0,0,0,3]]}]}]}]}]}]}]}]}]},[0,0,0,4]],"o":[{"l":[{"i":[{"e":[{},[0,0,2,3]]}]}]},[0,0,1,2]],"m":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,3]]}]}]}]}]}]}],"u":[{"l":[{},[0,0,0,4]]}]}],"d":[{"a":[{"c":[{"r":[{"y":[{"o":[{"a":[{},[0,0,0,0,0,0,1,2]]}]}]}]}]}],"é":[{"a":[{},[0,0,1,2]],"i":[{"o":[{},[0,0,1]]}],"o":[{},[0,0,1,2]],"s":[{"a":[{"c":[{"r":[{},[0,0,3,2,3]]}],"m":[{},[0,0,0,2,3]],"t":[{"e":[{"l":[{"l":[{},[0,0,3,2,3]]}]}]}],"s":[{"t":[{"r":[{},[0,0,3,2]]}]}]}],"c":[{},[0,0,3,2]],"é":[{"g":[{"r":[{},[0,0,3,2,3]]}]},[0,0,2,1,2]],"e":[{"n":[{"s":[{"i":[{"b":[{},[0,0,3,2]]}]}]}],"r":[{"t":[{},[0,0,3,2]]}],"x":[{"u":[{},[0,0,3,2]]}]}],"i":[{"d":[{},[0,0,3,2,3]],"g":[{"n":[{},[0,0,3,2,3]]}],"l":[{"i":[{},[0,0,3,2,3]]}],"n":[{"e":[{"n":[{},[0,0,3,2,3]]}],"v":[{"o":[{},[0,0,3,2]]}]}],"r":[{},[0,0,3,2,3]],"s":[{"t":[{},[0,0,3,2]]}]},[0,0,2,1,2]],"o":[{"d":[{"é":[{},[0,0,3,2,3]]}],"l":[{},[0,0,3,2,3]],"p":[{"i":[{"l":[{},[0,0,3,2,3]]}]}],"r":[{"m":[{},[0,0,3,2]],"p":[{},[0,0,3,2]]}],"u":[{"f":[{"r":[{},[0,0,3,2]]}]}]}],"œ":[{},[0,0,2,1]],"p":[{},[0,0,3,2]],"t":[{},[0,0,3,2]],"u":[{"n":[{},[0,0,2,1,2]]}]},[0,0,2]]}],"i":[{"a":[{"c":[{"é":[{},[0,0,1,2]],"i":[{"d":[{},[0,0,1,2]]}]}],"l":[{"d":[{},[0,0,1]]}],"m":[{"i":[{},[0,0,1,2]]}],"t":[{"o":[{"m":[{},[0,0,1,2]]}]}]}],"e":[{"n":[{},[0,0,1,2]]}],"s":[{"h":[{},[0,0,2,3]]}]}],"y":[{"s":[{"a":[{},[0,0,2,1,2]],"i":[{},[0,0,2,1,2]],"o":[{},[0,0,2,1,2]],"u":[{},[0,0,2,1,2]]},[0,0,2,3]]}],"o":[{"l":[{"e":[{"n":[{"t":[{".":[{},[0,0,3]]}]}]}]}]}]}],"e":[{"n":[{"a":[{},[0,0,1,2]],"o":[{},[0,0,1,2]]}],"u":[{"r":[{"a":[{},[0,0,2,1,2]]}]}]},[0,4]],"ê":[{},[0,4]],"é":[{"m":[{"i":[{"n":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,3]]}]}]}]}]}]}]},[0,4]],"è":[{},[0,4]],"i":[{"g":[{"n":[{"é":[{},[0,2,3]],"i":[{},[0,2,3]]}]}],"n":[{"a":[{"n":[{"i":[{"t":[{},[0,0,2,3]]}]}],"u":[{"g":[{"u":[{"r":[{},[0,0,2]]}]}]}]},[0,0,1,2]],"e":[{"f":[{"f":[{"a":[{"b":[{},[0,0,2]]}]}]}],"p":[{"t":[{},[0,0,2]]}],"r":[{},[0,0,2]],"x":[{"o":[{"r":[{"a":[{},[0,0,2]]}]}]}]},[0,0,1,2]],"é":[{"l":[{"u":[{"c":[{"t":[{"a":[{},[0,0,2,3]]}]}]}]}],"n":[{"a":[{"r":[{"r":[{"a":[{},[0,0,2,3]]}]}]}]}]},[0,0,1,2]],"i":[{"m":[{"i":[{"t":[{"i":[{},[0,0,2,3]]}]}]}],"q":[{},[0,0,2,3]],"t":[{},[0,0,2,3]]},[0,0,1,2]],"o":[{"c":[{"u":[{"l":[{},[0,0,2,3]]}]}],"n":[{"d":[{},[0,0,2]]}]},[0,0,1,2]],"s":[{"t":[{"a":[{"b":[{},[0,0,1,2]]}]}]}],"t":[{"e":[{"r":[{"a":[{},[0,0,0,0,0,0,2]],"e":[{},[0,0,0,0,0,0,2]],"é":[{},[0,0,0,0,0,0,2]],"i":[{},[0,0,0,0,0,0,2]],"o":[{},[0,0,0,0,0,0,2]],"u":[{},[0,0,0,0,0,0,2]],"s":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,4,3]]}]}],"u":[{"i":[{"t":[{},[0,0,2]]}],"l":[{},[0,0,2,3]]},[0,0,1,2]]}]},[0,4]],"m":[{"a":[{"g":[{"n":[{"i":[{"c":[{"i":[{"d":[{"e":[{},[0,0,2,3]]}]}]}],"f":[{"i":[{"c":[{"a":[{"t":[{},[0,0,2,3]]}]}]}]}]}],"u":[{"m":[{},[0,0,2,3]]}]}]}],"c":[{"k":[{},[0,0,2,3]],"r":[{"o":[{"s":[{"c":[{},[0,0,0,0,0,1,2]]}]}]}]}],"l":[{"a":[{"d":[{"r":[{"e":[{"s":[{},[0,0,2,1,2]]}],"o":[{},[0,0,2,1,2]]}]}],"i":[{"s":[{"é":[{},[0,0,2,1]]}]}],"p":[{},[0,0,2,1]],"v":[{},[0,0,2,1,2]]}],"e":[{"n":[{},[0,0,2,1]]}],"i":[{"n":[{"t":[{},[0,0,2,1]]}]}],"o":[{"c":[{},[0,0,2,1]],"d":[{},[0,0,2,1,2]]}]}],"r":[{"x":[{},[0,0,2,1]]}]}],"é":[{"g":[{"o":[{"h":[{},[0,0,2,1]]}]}],"s":[{"a":[{"n":[{},[0,0,3]]},[0,0,2]],"e":[{"s":[{},[0,0,2,1]]}],"i":[{},[0,0,2,1]],"u":[{"s":[{},[0,0,2,1,2]]}]}],"t":[{"a":[{"s":[{"t":[{"a":[{},[0,0,0,0,1,2]]}]}]}]}]}],"i":[{"l":[{"l":[{"i":[{"a":[{"m":[{},[0,0,0,0,0,1]]}]}]}]}]}],"o":[{"n":[{"o":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"ï":[{"d":[{"é":[{},[0,0,0,0,1,2]]}]}],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"s":[{},[0,0,0,0,1,2]]}]}]}]}],"p":[{"r":[{"o":[{"g":[{"n":[{"a":[{"t":[{"h":[{},[0,0,0,2,3]]}]}]}]}],"é":[{},[0,0,0,1,2]],"s":[{"c":[{"é":[{},[0,0,0,1,2]]}]}],"u":[{"d":[{"h":[{},[0,0,0,0,3,2]]}]}]}],"é":[{"a":[{"l":[{"a":[{},[0,0,0,2,3]]}],"u":[{},[0,0,0,2]]},[0,0,0,1,2]],"é":[{},[0,0,0,1,2]],"e":[{},[0,0,0,1,2]],"i":[{},[0,0,0,1,2]],"o":[{},[0,0,0,1,2]],"u":[{},[0,0,0,1,2]],"s":[{},[0,0,0,1,2]]}]}],"a":[{"n":[{"a":[{"f":[{},[0,0,2,1,2]],"m":[{"é":[{},[0,0,2,1,2]]}],"r":[{"a":[{},[0,0,2,1,2]]}]}],"i":[{"s":[{},[0,0,2,1]]}],"o":[{"p":[{"h":[{},[0,0,2,1,2]],"t":[{},[0,0,2,1]]}]}]}],"r":[{"a":[{"c":[{"h":[{"e":[{},[0,0,2,1,2]],"è":[{},[0,0,2,1,2]]}]}],"s":[{},[0,0,0,0,1,2]]}],"h":[{"é":[{},[0,0,2,3]]}],"e":[{"n":[{"t":[{".":[{},[0,0,3]]}]}]}]}],"t":[{"e":[{"n":[{"t":[{".":[{},[0,0,3]]}]}]}]}]}],"e":[{"n":[{"t":[{"a":[{},[0,0,0,2]]}]}],"r":[{"a":[{},[0,0,0,1,2]],"e":[{},[0,0,0,1,2]],"é":[{},[0,0,0,1,2]],"i":[{},[0,0,0,1,2]],"o":[{},[0,0,0,1,2]],"u":[{},[0,0,0,1,2]]},[0,0,4]]}],"é":[{"r":[{"i":[{"o":[{"s":[{},[0,0,0,0,1]]}],"s":[{"s":[{},[0,0,0,0,2,3]],"t":[{"a":[{},[0,0,0,0,2,3]]}]},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]]}]}]}],"h":[{"a":[{"l":[{"a":[{"n":[{"s":[{"t":[{},[0,0,0,0,0,0,3,2]]}]}]}]}]}]},[0,0,4]],"l":[{"u":[{"r":[{"i":[{"a":[{},[0,0,0,0,0,1]]}]}]}]}],"o":[{"n":[{"t":[{"e":[{"t":[{},[0,0,0,2]]}]}]}],"s":[{"t":[{"h":[{},[0,0,0,2,3]],"i":[{"n":[{},[0,0,0,2,1]]}],"o":[{},[0,0,0,2,1,2]],"r":[{},[0,0,0,2,3]],"s":[{},[0,0,0,0,1,2]]}]}]}],"s":[{"y":[{"c":[{"h":[{"o":[{"a":[{"n":[{},[0,0,0,0,0,0,1,2]]}]}]}]}]}]}],"u":[{"d":[{"d":[{"l":[{},[0,0,0,1,2]]}]}]}]}],"s":[{"t":[{"a":[{"g":[{"n":[{},[0,0,0,2,3]]}]}],"i":[{"l":[{"l":[{},[0,0,0,0,3]]}]}]}],"y":[{"n":[{"g":[{"n":[{"a":[{"t":[{"h":[{},[0,0,0,2,3]]}]}]}]}]}]}],"a":[{"r":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,3]]}]}]}]}]}]}],"e":[{"r":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,3]]}]}]}]}]}],"u":[{"l":[{"e":[{},[0,0,0,2]]}]}]}],"c":[{"h":[{},[0,0,0,4]]}],"h":[{},[0,0,4]],"u":[{"b":[{"a":[{"l":[{"t":[{},[0,0,3,2]]}]},[0,0,2,1,2]],"é":[{"r":[{},[0,0,3,2,3]]},[0,0,2,1,2]],"i":[{"n":[{},[0,0,2,1]]}],"l":[{"i":[{"m":[{"i":[{"n":[{},[0,0,2,3]]}]}],"n":[{},[0,0,2,3]]}],"u":[{},[0,0,2,3]]}],"u":[{"r":[{},[0,0,2,1]]}]}],"r":[{"a":[{"t":[{},[0,0,3,2,3]]},[0,0,2,1,2]],"e":[{"a":[{"u":[{},[0,0,3,2]]}],"l":[{"l":[{},[0,0,3,2]]}],"t":[{},[0,0,3,2]]},[0,0,2,1,2]],"é":[{},[0,0,2,1,2]],"h":[{},[0,0,2,3]],"i":[{"m":[{},[0,0,2,1,2]],"n":[{"f":[{},[0,0,2,1]],"t":[{},[0,0,2,1]]}]}],"o":[{"f":[{},[0,0,2,1]],"x":[{},[0,0,2,1]]}]}]}],"o":[{"u":[{"v":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,3]]}]}]}]}]}]}]}],"o":[{"n":[{"g":[{"u":[{"e":[{"n":[{"t":[{".":[{},[0,0,3]]}]}]}]}]}]}],"u":[{"a":[{"o":[{"u":[{},[0,0,0,1]]}]}]}],"v":[{"i":[{"s":[{"c":[{},[0,0,0,1,2]]}]}]}]},[0,4]],"î":[{},[0,4]],"k":[{"h":[{},[0,0,4]]}],"t":[{"a":[{"l":[{"e":[{"n":[{"t":[{".":[{},[0,0,3]]}]}]}]}]}],"h":[{},[0,0,4]],"r":[{"i":[{"a":[{"c":[{},[0,0,0,1,2]],"n":[{},[0,0,0,1,2]],"t":[{},[0,0,0,1,2]]}],"o":[{"n":[{},[0,0,0,1,2]]}]}]}]}],"g":[{"e":[{"m":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,2]]}]}]}]}]}]}]}],"n":[{"o":[{"n":[{"o":[{"b":[{"s":[{},[0,0,2,1]]}]}]}]}]}],"ô":[{},[0,4]],"r":[{"é":[{"a":[{"l":[{"e":[{},[0,0,2,3]],"i":[{"s":[{},[0,0,2,3]],"t":[{},[0,0,2,3]]}]}],"u":[{"x":[{},[0,0,2]]}]},[0,0,1,2]],"é":[{},[0,0,1,2]],"e":[{"l":[{},[0,0,2]],"r":[{},[0,0,2]]},[0,0,1,2]],"è":[{"r":[{},[0,0,2]]}],"i":[{"f":[{"i":[{},[0,0,2,3]]}]},[0,0,1,2]],"o":[{},[0,0,1,2]],"u":[{"s":[{"s":[{},[0,0,2]]}]},[0,0,0,2]],"t":[{"r":[{"o":[{"a":[{},[0,0,0,0,0,1,2]]}]}]}]}],"e":[{"s":[{"c":[{"a":[{"p":[{},[0,0,2,3]]}],"i":[{"s":[{"i":[{},[0,0,2,3]],"o":[{},[0,0,2,3]]}]}],"o":[{"u":[{},[0,0,2,3]]}],"r":[{"i":[{},[0,0,2,3]]}]}],"p":[{"e":[{"c":[{"t":[{},[0,0,2,3]]}]}],"i":[{"r":[{},[0,0,2,3]]}],"l":[{"e":[{"n":[{"d":[{},[0,0,2,3]]}]}]}],"o":[{"n":[{"s":[{},[0,0,2,3]]}]}]}],"q":[{"u":[{"i":[{"l":[{},[0,0,2,3]]}]}]}],"s":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,3]]}]}]}]},[0,0,2,3]],"t":[{"a":[{"b":[{},[0,0,3,4]],"g":[{},[0,0,3,4]],"n":[{"d":[{},[0,0,3,4]]}],"t":[{},[0,0,3,4]]}],"é":[{"n":[{},[0,0,3,4]],"r":[{},[0,0,3,4]]}],"i":[{"m":[{},[0,0,3,4]],"p":[{},[0,0,3,4]]}],"o":[{"c":[{},[0,0,3,4]],"p":[{},[0,0,3,4]]}],"r":[{"e":[{"i":[{"n":[{},[0,0,4,5]]}]}],"i":[{"c":[{"t":[{},[0,0,4,5]]}],"n":[{},[0,0,4,5]]}]},[0,0,3,4]],"u":[{},[0,0,3,4]],"y":[{},[0,0,3,4]]},[0,0,2,3]]},[0,0,1,2]]}]}],"l":[{"a":[{"t":[{"e":[{"n":[{"t":[{".":[{},[0,0,3]]}]}]}]}]}]}],"u":[{},[0,4]],"û":[{},[0,4]],"y":[{},[0,4]]}],"a":[{"b":[{"h":[{},[0,0,2]],"î":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,2]]}]}]}]}]}],"s":[{"t":[{"i":[{"n":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,3]]}]}]}]}]}]}],"e":[{"n":[{"t":[{".":[{},[0,0,3]]}]}]}]}]}],"d":[{"h":[{},[0,0,2]]}],"è":[{"d":[{"r":[{"e":[{},[0,1,2]]}]}]}],"l":[{"c":[{"o":[{"o":[{"l":[{},[1]]}]}]}],"a":[{"l":[{"g":[{"i":[{},[0,2,1]]}]}]}]}],"n":[{"e":[{"s":[{"t":[{"h":[{"é":[{"s":[{"i":[{},[1,2]]}]}]}]}]}]}],"i":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,2]]}]}]}]}]}],"t":[{"i":[{"f":[{"e":[{"r":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,0,0,3]]}]}]}]}]}]}]}]}]}]}],"p":[{"o":[{"s":[{"t":[{"r":[{},[0,0,0,2,3]]}]}]}],"p":[{"a":[{"r":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,3]]}]}]}]}]}]}]}],"r":[{"c":[{"h":[{"i":[{"é":[{"p":[{"i":[{"s":[{},[0,0,0,0,0,1,2]]}]}]}]}]}]}],"m":[{"i":[{"l":[{"l":[{},[0,0,0,0,0,5]]}]}],"e":[{"n":[{"t":[{".":[{},[0,0,2]]}]}]}]}]}],"s":[{"t":[{"r":[{"o":[{},[0,2,3]]}]}],"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,2]]}]}]}]}]}],"c":[{"c":[{"e":[{"n":[{"t":[{".":[{},[0,0,3]]}]}]}]}],"q":[{"u":[{"i":[{"e":[{"s":[{"c":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,0,0,4]]}]}]}]}]}]}]}]}]}]}],"g":[{"n":[{"o":[{"s":[{},[0,2,3]]}]}]}],"v":[{"i":[{"l":[{"l":[{},[0,0,0,0,4]]}]}]}],"m":[{"a":[{"l":[{"g":[{"a":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,0,2]]}]}]}]}]}]}]}]}]}],"i":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,2]]}]}]}]}]}],"u":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,2]]}]}]}]}]}]}],"b":[{"a":[{},[1]],"â":[{},[1]],"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]},[1]],"é":[{},[1]],"è":[{},[1]],"ê":[{},[1]],"i":[{},[1]],"î":[{},[1]],"l":[{"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]}]},[1,2]],"o":[{"u":[{"t":[{"i":[{"l":[{"l":[{},[0,0,0,0,0,0,3]]}]}]}],"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,2]]}]}]}]}]}]},[1]],"ô":[{},[1]],"r":[{"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]}],"u":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,2]]}]}]}]}]}]},[1,2]],"u":[{},[1]],"û":[{},[1]],"y":[{},[1]]}],"ç":[{},[1]],"c":[{"a":[{"o":[{"u":[{"t":[{},[0,0,3,0,3,2]]}]}],"p":[{"i":[{"l":[{"l":[{},[0,0,0,0,0,3]]}]}]}],"r":[{"ê":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,2]]}]}]}]}]}]}]},[1]],"â":[{},[1]],"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]},[1]],"é":[{},[1]],"è":[{},[1]],"ê":[{},[1]],"h":[{".":[{},[4]],"b":[{},[2]],"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}],"v":[{"i":[{"l":[{"l":[{},[0,0,0,0,0,0,4]]}]}]}]}],"g":[{},[2]],"l":[{"e":[{".":[{},[4]],"s":[{".":[{},[4]]}]}],"o":[{"r":[{"a":[{"c":[{},[0,0,0,0,2,3,2]]}],"é":[{"t":[{},[0,0,0,0,2,3,2]]}]}]}]},[0,0,2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"r":[{"e":[{".":[{},[4]],"s":[{".":[{},[4]]}]}],"o":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,2]]}]}]}]}]}]},[0,0,2]],"s":[{},[2]],"t":[{},[2]],"w":[{},[2]],"i":[{"e":[{"n":[{"d":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,3]]}]}]}]}]}]}]}]},[1,2]],"i":[{"l":[{"l":[{},[0,0,0,3]]}]},[1]],"î":[{},[1]],"k":[{".":[{},[4]],"b":[{},[2]],"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]}],"f":[{},[2]],"g":[{},[2]],"h":[{},[2,0,3]],"p":[{},[2]],"s":[{},[2]],"t":[{},[2]]},[1,2]],"l":[{"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]}],"a":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,2]]}]}]}]}]}]},[1,2]],"o":[{"a":[{"c":[{"c":[{},[0,0,1]],"q":[{},[0,0,1]]}],"d":[{},[0,0,1,2]],"p":[{},[0,0,1]],"r":[{},[0,0,1]],"s":[{"s":[{"o":[{"c":[{},[0,0,1]]}],"u":[{"r":[{},[0,0,1]]}]}]}],"u":[{},[0,0,1]],"x":[{},[0,0,1]]}],"é":[{},[0,0,1,2]],"e":[{"f":[{},[0,0,1]],"n":[{},[0,0,1]],"x":[{},[0,0,1]]}],"n":[{"u":[{"r":[{"b":[{},[0,0,2]]}]}],"f":[{"i":[{"d":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,3]]}]}]}]}]}]}],"t":[{"i":[{"n":[{"g":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,0,3]]}]}]}]}],"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,3]]}]}]}]}]}]}],"n":[{"i":[{"v":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,3]]}]}]}]}]}]}]}],"g":[{"n":[{"i":[{"t":[{"i":[{},[0,0,2,3]]}]}]}]}],"r":[{"p":[{"u":[{"l":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,3]]}]}]}]}]}]}]}],"m":[{"p":[{"é":[{"t":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,3]]}]}]}]}]}]}]}]},[1]],"ô":[{},[1]],"œ":[{},[1]],"r":[{"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]}]},[1,2]],"u":[{"r":[{"r":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,3]]}]}]}]}]}]},[1]],"û":[{},[1]],"y":[{"r":[{"i":[{"l":[{"l":[{},[0,0,0,0,0,3]]}]}]}]},[1]],"c":[{"i":[{"d":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,3]]}]}]}]}]}]}]}],"j":[{"a":[{"c":[{"e":[{"n":[{"t":[{".":[{},[0,0,3]]}]}]}]}]}],"k":[{},[2]],"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]}]},[1]],"é":[{"c":[{"e":[{"n":[{"t":[{".":[{},[0,3]]}]}]}],"i":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,2]]}]}]}]}]}],"u":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,2]]}]}]}]}]}]}],"d":[{"e":[{"n":[{"t":[{".":[{},[0,3]]}]}]}],"h":[{"i":[{},[0,0,2]]}],"r":[{"i":[{"e":[{},[1,2]],"q":[{"u":[{"e":[{},[1,2]]}]}]}]}]}],"l":[{"e":[{"c":[{"t":[{"r":[{},[1,2]]}]}]}],"é":[{"m":[{"e":[{"n":[{"t":[{},[1,2]]}]}]}]}],"i":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,2]]}]}]}]}]}],"o":[{"q":[{"u":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,3]]}]}]}]}]}]}]}],"n":[{"e":[{"r":[{"g":[{},[1,2]]}]}],"i":[{"t":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,3]]}]}]}]}]}]}],"p":[{"i":[{"s":[{"c":[{"o":[{"p":[{"e":[{},[0,0,0,3,4]]},[0,0,0,2,3]]}]}]}]}]}],"m":[{"i":[{"l":[{"l":[{},[0,0,0,0,4]]}]}]}],"q":[{"u":[{"i":[{"v":[{"a":[{"l":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,0,4]]}]}]}]}]}]}],"p":[{"o":[{"t":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,0,3]]}]}]}]}]}]}]}],"e":[{"n":[{"t":[{".":[{},[0,3]]}]}]}]}]}],"r":[{"e":[{"n":[{"t":[{".":[{},[0,3]]}]}]}]}]}],"m":[{"u":[{"n":[{"i":[{"f":[{"i":[{"c":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,0,3]]}]}]}]}]}]}]}]}]},[1]],"i":[{"l":[{"l":[{"e":[{"t":[{},[0,0,0,4]]}]},[0,0,0,3]]}],"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,2]]}]}]}]}],"t":[{"t":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,3]]}]}]}]}]}]},[1]],"o":[{"n":[{"o":[{"v":[{"a":[{"l":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,0,3]]}]}]}]}]}]}]}],"t":[{"r":[{"é":[{"a":[{"l":[{},[0,0,0,2,3]]}]}]}]}]}],"y":[{"e":[{"n":[{"â":[{"g":[{},[0,0,0,0,2,1,2]]}]}]}]}]},[1]],"a":[{},[1]],"â":[{},[1]],"e":[{".":[{},[4]],"s":[{".":[{},[4]]}]},[1]],"é":[{"c":[{"o":[{"n":[{"t":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,3]]}]}]}]}]}]}]}]},[1]],"è":[{},[1]],"ê":[{},[1]],"î":[{},[1]],"n":[{"é":[{"m":[{"o":[{},[1,2]]}],"s":[{"i":[{},[1,2]]}]}],"è":[{"s":[{},[1,2]]}]}],"ô":[{},[1]],"œ":[{},[1]],"s":[{},[0,1,2]],"û":[{},[1]],"y":[{},[1]]}],"r":[{"é":[{"t":[{"i":[{"c":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,3]]}]}]}]}]}]}],"g":[{"e":[{"n":[{"t":[{".":[{},[0,0,3]]}]}]}]}],"s":[{"u":[{"r":[{"g":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,3]]}]}]}]}]}]}]}],"m":[{"a":[{"n":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,3]]}]}]}]}]}]}]},[1]],"i":[{"n":[{"g":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,3]]}]}]}]}]}],"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,2]]}]}]}]}]},[1]],"c":[{"i":[{"l":[{"l":[{},[0,0,0,0,4]]}]}]}],"m":[{"i":[{"l":[{"l":[{},[0,0,0,0,4]]}]}]}],"e":[{"l":[{"e":[{"n":[{"t":[{".":[{},[0,0,3]]}]}]}],"i":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,2]]}]}]}]}]}]}],"p":[{"e":[{"n":[{"t":[{".":[{},[0,0,3]]}]}]}]}],".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]},[1]],"u":[{"l":[{"e":[{"n":[{"t":[{".":[{},[0,0,3]]}]}]}]}]},[1]],"a":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,2]]}]}]}]}],"i":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,3]]}]}]}]}]}],"d":[{"i":[{"o":[{"a":[{},[0,0,0,0,0,1,2]]}]}]}]},[1]],"y":[{"t":[{"h":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,2]]}]}]}]}]}]}]},[1]],"â":[{},[1]],"è":[{},[1]],"ê":[{},[1]],"h":[{"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"u":[{"r":[{},[2,3]]}]}],"y":[{"d":[{"r":[{},[2,3]]}]}]},[1,2]],"î":[{},[1]],"o":[{},[1]],"ô":[{},[1]],"û":[{},[1]]}],"p":[{"r":[{"i":[{"v":[{"a":[{"t":[{"d":[{"o":[{"c":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,0,0,0,3]]}]}]}]}],"z":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,0,0,0,3]]}]}]}]}]}]}]}]}]}]}],"u":[{"d":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,3]]}]}]}]}]}],"é":[{"é":[{"m":[{"i":[{"n":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,0,3]]}]}]}]}]}]}]}],"s":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,3]]}]}]}]}]}],"o":[{"é":[{"m":[{"i":[{"n":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,0,3]]}]}]}]}]}]}]}],"s":[{"t":[{"a":[{"t":[{},[0,0,0,2,3]]}]}]}]}],"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]}]},[1,2]],"u":[{"g":[{"n":[{"a":[{"b":[{"l":[{"e":[{},[0,0,2,3]]}]}],"c":[{},[0,0,2,3]]}]}]}],"p":[{"i":[{"l":[{"l":[{},[0,0,0,0,0,3]]}]}]}],"s":[{"i":[{"l":[{"l":[{},[0,0,0,0,0,3]]}]}]}]},[1]],"a":[{"p":[{"i":[{"l":[{"l":[{"a":[{},[0,0,0,0,0,3]],"e":[{},[0,0,0,0,0,3]],"i":[{},[0,0,0,0,0,3]],"o":[{"m":[{},[0,0,0,0,0,3]]}]}]}]}]}],"l":[{"é":[{"o":[{"é":[{},[0,0,0,0,0,1,2]]}]}]}]},[1]],"i":[{"r":[{"i":[{"l":[{"l":[{},[0,0,0,0,0,3]]}]}]}]},[1]],"o":[{"l":[{"y":[{"v":[{"a":[{"l":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,0,3]]}]}]}]}]}]}],"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"è":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"s":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]]}]}],"a":[{"s":[{"t":[{"r":[{"e":[{},[0,0,1]]}]}]}]}]},[1]],"l":[{"u":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,2]]}]}]}]}]}],"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]}]},[1,2]],"e":[{"r":[{"m":[{"a":[{"n":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,3]]}]}]}]}]}]}],"t":[{"i":[{"n":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,3]]}]}]}]}]}]}],"h":[{},[0,0,0,3]]}],".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]},[1]],"â":[{},[1]],"é":[{"n":[{"u":[{"l":[{},[0,0,2]]}]}],"r":[{"é":[{"q":[{},[0,0,1,2,2]]}]}]},[1]],"è":[{},[1]],"ê":[{},[1]],"h":[{".":[{},[4]],"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]}],"l":[{"e":[{".":[{},[4]],"s":[{".":[{},[4]]}]}]},[0,0,2]],"n":[{},[2]],"o":[{"t":[{"o":[{"s":[{},[0,0,0,0,0,1,2]]}]}]}],"r":[{"e":[{".":[{},[4]],"s":[{".":[{},[4]]}]}]},[0,0,2]],"s":[{},[2]],"t":[{"a":[{"l":[{"é":[{},[3,0,2]]}]}],"i":[{"s":[{},[3,0,2]]}]},[2]]},[1,2]],"î":[{},[1]],"n":[{"é":[{},[1,2]],"e":[{"u":[{},[1,2]]}]}],"ô":[{},[1]],"s":[{"y":[{"c":[{"h":[{},[1,2]]}]}]}],"t":[{"è":[{"r":[{},[1,2]]}],"é":[{"r":[{},[1,2]]}]}],"û":[{},[1]],"y":[{},[1]]}],"i":[{"n":[{"n":[{"o":[{"c":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,3]]}]}]}]}]}]}],"c":[{"i":[{"d":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,3]]}]}]}]}]}]}],"d":[{"i":[{"g":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,3]]}]}]}]}]}],"u":[{"l":[{"g":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,3]]}]}]}]}]}]}],"o":[{"l":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,3]]}]}]}]}]}]}],"t":[{"e":[{"l":[{"l":[{"i":[{"g":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,0,0,3]]}]}]}]}]}]}]}]}],"i":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,2]]}]}]}]}]}]}],"s":[{"t":[{"i":[{"l":[{"l":[{},[0,0,0,0,0,0,3]]}]}]}],"o":[{"l":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,3]]}]}]}]}]}]}],"f":[{"o":[{"r":[{"m":[{"a":[{"t":[{},[1]]}]}]}]}]}]}],"s":[{"c":[{"e":[{"n":[{"t":[{".":[{},[0,0,3]]}]}]}],"h":[{"é":[{},[0,2,3]],"i":[{"a":[{},[0,2,3]],"o":[{},[0,2,3]]}]}]}],"t":[{"a":[{"t":[{},[0,1,2]]}]}]}],"m":[{"m":[{"i":[{"s":[{"c":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,4]]}]}]}]}]}],"n":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,3]]}]}]}]}]}],"a":[{"n":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,3]]}]}]}]}]}]}],"p":[{"u":[{"d":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,3]]}]}]}]}]}],"o":[{"t":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,3]]}]}]}]}]}]}]}],"a":[{"l":[{"g":[{"i":[{},[0,1]]}]}],"r":[{"t":[{"h":[{"r":[{},[0,1]]}]}]}]}],"è":[{"d":[{"r":[{"e":[{},[0,1,2]]}]}]}],"l":[{"l":[{},[0,0,2]]}],"b":[{"r":[{"i":[{"l":[{"l":[{},[0,0,0,0,0,3]]}]}]}]}],"o":[{"a":[{"c":[{"t":[{},[0,0,1,2]]}]}],"x":[{"y":[{},[0,1]]}]}],"v":[{"a":[{"l":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,3]]}]}]}]}]}]}]}],"e":[{"s":[{"c":[{"e":[{"n":[{"t":[{".":[{},[0,0,3]]}]}]}],"o":[{"p":[{},[0,2,3]]}],"h":[{},[0,2,3]]}],"t":[{"i":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,2]]}]}]}]}]}]}]}],"n":[{"i":[{"v":[{"r":[{},[0,2,1,2]]}]}],"t":[{"r":[{"e":[{"g":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,3]]}]}]}]}]}]}]}]}],"u":[{"s":[{"t":[{"a":[{"t":[{},[0,0,1,2]]}]}]}]}],"x":[{"t":[{"r":[{"a":[{"c":[{},[0,0,0,0,0,2]],"i":[{},[0,0,0,0,0,2]]},[0,0,0,0,0,1]]}]}]}],"r":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,2]]}]}]}]}]}]}],"d":[{"\'":[{},[1]],"a":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,2]]}]}]}]}]},[1]],"â":[{},[1]],"d":[{"h":[{},[0,1,2]]}],"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]},[1]],"é":[{"c":[{"a":[{"d":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,3]]}]}]}]}]}]}],"t":[{"r":[{"i":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,3]]}]}]}]}]}]}]}]},[1]],"è":[{},[1]],"ê":[{},[1]],"i":[{"s":[{"s":[{"i":[{"d":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,3]]}]}]}]}]}]}],"c":[{"o":[{"p":[{},[0,0,2,3]]}]}],"t":[{"i":[{"l":[{"l":[{},[0,0,0,0,0,0,3]]}]}]}]}],"l":[{"i":[{"g":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,3]]}]}]}]}]}]}],"a":[{"p":[{"h":[{"r":[{"a":[{"g":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,0,0,0,2]]}]}]}]}]}]}]}]}]}]}]},[1]],"h":[{"a":[{"l":[{},[3,2]]}],"o":[{"u":[{"d":[{},[3,2]]}]}]}],"î":[{},[1]],"l":[{"e":[{"n":[{"t":[{".":[{},[2]]}]}]}]}],"o":[{},[1]],"ô":[{},[1]],"r":[{"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]}]},[1,2]],"s":[{},[0,1,2]],"u":[{},[1]],"û":[{},[1]],"y":[{},[1]]}],"t":[{"r":[{"i":[{"d":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,3]]}]}]}]}]}],"u":[{"c":[{"u":[{"l":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,3]]}]}]}]}]}]}]}],"a":[{"n":[{"s":[{"p":[{"a":[{"r":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,0,0,3]]}]}]}]}]}]},[0,0,0,0,2,3]],"a":[{"c":[{"t":[{},[0,0,0,0,3,2]]}],"t":[{"s":[{},[0,0,0,0,3,2]]}]},[0,0,0,0,2,1,2]],"h":[{},[0,0,0,0,2,3]],"o":[{},[0,0,0,0,2,1,2]],"u":[{},[0,0,0,0,2,1,2]]}]}]}],"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]}]},[1,2]],"a":[{"n":[{"g":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,3]]}]}]}]}]}],"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,2]]}]}]}]}],"c":[{"h":[{"y":[{"a":[{},[0,0,0,0,0,1,2]]}]}]}]},[1]],"e":[{"r":[{"g":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,3]]}]}]}]}]}],"m":[{"p":[{"é":[{"r":[{"a":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,0,0,3]]}]}]}]}]}]}]}]}]}],"s":[{"t":[{"a":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,3]]}]}]}]}]}]}],".":[{},[4]]}],".":[{},[4]],"n":[{"t":[{".":[{},[2]]}]}]},[1]],"h":[{"r":[{"i":[{"l":[{"l":[{},[0,0,0,0,0,3]]}]}],"e":[{".":[{},[4]],"s":[{".":[{},[4]]}]}]},[0,0,2]],".":[{},[4]],"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"r":[{"m":[{"o":[{"s":[{},[0,0,0,0,0,0,1,2]]}]}]}],"u":[{"r":[{},[2,3]]}]}],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"s":[{},[2]]},[1,2]],"u":[{"r":[{"b":[{"u":[{"l":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,3]]}]}]}]}]}]}]}],"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,2]]}]}]}]}],"n":[{"g":[{"s":[{},[0,0,0,0,2,3]]}]}]},[1]],"o":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,2]]}]}]}]}],"r":[{"r":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,3]]}]}]}]}]}]},[1]],"â":[{},[1]],"à":[{},[1]],"c":[{"h":[{"i":[{"n":[{"t":[{},[0,0,0,0,0,3,2]]}]}]}]}],"é":[{"l":[{"é":[{"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{"b":[{},[0,0,0,0,1,2]],"p":[{},[0,0,0,0,1,2]]}],"s":[{},[0,0,0,0,1,2]]}]}]},[1]],"è":[{},[1]],"ê":[{},[1]],"i":[{},[1]],"î":[{},[1]],"ô":[{},[1]],"t":[{"l":[{},[0,1,2]]}],"û":[{},[1]],"y":[{},[1]]}],"f":[{"a":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,2]]}]}]}]}]},[1]],"â":[{},[1]],"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]},[1]],"é":[{"c":[{"u":[{"l":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,3]]}]}]}]}]}]}]},[1]],"è":[{},[1]],"ê":[{},[1]],"i":[{"r":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,2]]}]}]}]}]}],"c":[{"h":[{"u":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,3]]}]}]}]}]}]}]}]},[1]],"î":[{},[1]],"l":[{"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]}],"a":[{"m":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,2]]}]}]}]}]}]}]},[1,2]],"o":[{},[1]],"ô":[{},[1]],"r":[{"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]}],"i":[{"t":[{"i":[{"l":[{"l":[{},[0,0,0,0,0,0,3]]}]}]}]}]},[1,2]],"s":[{},[0,1,2]],"u":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,2]]}]}]}]}]},[1]],"û":[{},[1]],"y":[{},[1]]}],"g":[{"a":[{},[1]],"â":[{},[1]],"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]},[1]],"é":[{},[1]],"è":[{},[1]],"ê":[{},[1]],"h":[{"a":[{},[1,2]],"e":[{},[1,2]],"i":[{},[1,2]],"o":[{},[1,2]],"y":[{},[1,2]]}],"i":[{"l":[{"l":[{},[0,0,0,3]]}]},[1]],"î":[{},[1]],"l":[{"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]}]},[1,2]],"n":[{"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]}]},[1,2]],"o":[{},[1]],"ô":[{},[1]],"r":[{"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]}],"a":[{"m":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,2]]}]}]}]}]}],"n":[{"d":[{"i":[{"l":[{"o":[{"q":[{"u":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,0,0,0,3]]}]}]}]}]}]}]}]}]}]}]}]},[1,2]],"u":[{"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]}]},[1]],"û":[{},[1]],"s":[{},[0,1,2]],"y":[{},[1]]}],"s":[{"e":[{"r":[{"g":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,3]]}]}]}]}],"p":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,3]]}]}]}]}]}],"m":[{"i":[{"l":[{"l":[{},[0,0,0,0,0,4]]}]}]}],"s":[{"q":[{"u":[{"i":[{"a":[{},[0,0,0,0,0,0,1,2]]}]}]}],".":[{},[4]]}],".":[{},[4]],"n":[{"t":[{".":[{},[2]]}]}]},[1]],"u":[{"c":[{"c":[{"u":[{"l":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,3]]}]}]}]}]}]}]}],"b":[{"l":[{"i":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,2]]}]}]}]}]}]}],"s":[{},[0,0,0,1,2]]}],"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,2]]}]}]}]}],"r":[{"é":[{"m":[{"i":[{"n":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,0,3]]}]}]}]}]}]}]}],"a":[{"h":[{},[0,0,3,2]]}]}],"p":[{"e":[{"r":[{"o":[{},[0,0,0,0,0,0,2]],"s":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,4,1]]}]}]},[1]],"p":[{"o":[{"r":[{"u":[{"l":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,4]]}]}]}]}]}]},[1,2]]}],"a":[{"t":[{"i":[{"a":[{},[1,2]]}]}]}],"e":[{"r":[{"m":[{},[1,2]]}]}],"h":[{"è":[{"r":[{},[1,2]]}],"é":[{"r":[{},[1,2]]}]}],"i":[{"e":[{"l":[{},[1,2]]}],"r":[{"o":[{"s":[{},[1,2]]}]}]}]}],"l":[{"a":[{"l":[{"o":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,2]]}]}]}]}]}]}],"v":[{},[1,2]]}],"o":[{"v":[{},[1,2]]}]}],"a":[{},[1]],"â":[{},[1]],"c":[{"a":[{"p":[{"h":[{},[1,2]]}]}],"l":[{"é":[{"r":[{},[1,2]]}]}],"o":[{"p":[{},[1,2]]}],"h":[{".":[{},[4]],"e":[{".":[{},[4]],"s":[{".":[{},[4]]}]}],"s":[{},[2]]},[1,2]]}],"é":[{},[1]],"è":[{},[1]],"ê":[{},[1]],"h":[{".":[{},[4]],"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]}],"m":[{},[2]],"o":[{"m":[{},[2,3]]}],"r":[{},[2]],"s":[{},[2]]},[1,2]],"i":[{},[1]],"î":[{},[1]],"o":[{},[1]],"ô":[{},[1]],"œ":[{},[1]],"t":[{"a":[{"n":[{"d":[{"a":[{"r":[{"d":[{},[1,2]]}]}]}]}]}],"e":[{"i":[{"n":[{},[1,2]]}]}],"é":[{"r":[{"é":[{"o":[{"s":[{},[0,0,0,0,0,0,1,2]]}]}]}]}],"i":[{"g":[{"m":[{},[1,2]]}]}],"o":[{"c":[{"k":[{},[1,2]]}],"m":[{"o":[{"s":[{},[1,2]]}]}]}],"r":[{"o":[{"p":[{"h":[{},[1,2]]}]}],"u":[{"c":[{"t":[{"u":[{},[1,2]]}]}]}]}],"y":[{"l":[{"e":[{},[1,2]]}]}]}],"û":[{},[1]],"y":[{},[1]]}],"o":[{"g":[{"n":[{"o":[{"m":[{"o":[{"n":[{"i":[{},[0,2,3]]}]}]}],"s":[{"i":[{},[0,2,3]]}]}]}]}],"p":[{"u":[{"l":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,3]]}]}]}]}]}]}],"m":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,2]]}]}]}]}],"b":[{"u":[{"d":[{"s":[{},[0,0,0,0,0,2,3]]}]}]}],"n":[{"i":[{"s":[{},[0,0,0,0,1,2]],"p":[{"o":[{"t":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,0,3]]}]}]}]}]}]}]}]}]}],"r":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,2]]}]}]}]}]}],"b":[{"l":[{"o":[{"n":[{"g":[{},[0,2,3]]}]}]}]}],"c":[{"t":[{"e":[{"t":[{},[1]]}]}]}],"d":[{"l":[{},[0,1,2]]}],"è":[{"d":[{"r":[{"e":[{},[0,1,2]]}]}]}],"i":[{"o":[{"n":[{"i":[{},[0,1]]}]}]}],"s":[{"t":[{"a":[{"s":[{},[0,1,2]],"t":[{},[0,1,2]]}],"é":[{"r":[{"o":[{},[0,1,2]]}]}],"i":[{"m":[{},[0,1,2]]}],"o":[{"m":[{},[0,1,2]]}],"r":[{"a":[{"d":[{},[0,1,2]],"t":[{"u":[{},[0,1,2]]}]}],"i":[{"c":[{"t":[{"i":[{"o":[{"n":[{},[0,1,2]]}]}]}]}]}]}]}]}],"x":[{"y":[{"a":[{},[0,0,0,1,2]]}]}]}],"w":[{"a":[{"g":[{"n":[{},[0,0,2,3]]}]},[1]],"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]},[1]],"i":[{},[1]],"o":[{},[1]],"u":[{},[1]],"r":[{},[1,2]]}],"h":[{"a":[{},[1]],"â":[{},[1]],"e":[{".":[{},[4]],"s":[{".":[{},[4]]}]},[1]],"é":[{"m":[{"i":[{"é":[{},[0,0,0,0,1]]}],"o":[{"p":[{"t":[{},[0,0,0,0,1,2]]}]}]}]},[1]],"è":[{},[1]],"ê":[{},[1]],"i":[{"l":[{"l":[{},[0,0,0,3]]}]},[1]],"î":[{},[1]],"o":[{},[1]],"ô":[{},[1]],"u":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,2]]}]}]}]}]},[1]],"û":[{},[1]],"y":[{"p":[{"e":[{"r":[{"a":[{},[0,0,0,0,0,0,2]],"e":[{},[0,0,0,0,0,0,2]],"é":[{},[0,0,0,0,0,0,2]],"i":[{},[0,0,0,0,0,0,2]],"o":[{},[0,0,0,0,0,0,2]],"s":[{},[0,0,0,0,0,0,2]],"u":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,4,1]]}],"o":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"s":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]]}]}]},[1]]}],"u":[{"c":[{"i":[{"l":[{"l":[{},[0,0,0,0,4]]}]}]}],"e":[{"v":[{"i":[{"l":[{"l":[{},[0,0,0,0,0,4]]}]}]}]}],"v":[{"i":[{"l":[{"l":[{},[0,0,0,0,4]]}]}]}],"n":[{"i":[{"o":[{"v":[{},[0,0,0,1,2]]}],"a":[{"x":[{},[0,0,0,1,2]]}]}]}],"s":[{"t":[{"r":[{},[0,2,3]]}]}]}],"v":[{"a":[{"c":[{"i":[{"l":[{"l":[{},[0,0,0,0,0,4]]}]}]}],"n":[{"i":[{"l":[{"l":[{"i":[{"n":[{},[0,0,0,0,0,3]],"s":[{},[0,0,0,0,0,3]]}]}]}]}]}]},[1]],"i":[{"l":[{"l":[{},[0,0,0,3]]}],"d":[{"i":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,2]]}]}]}]}]}]}]},[1]],"e":[{"n":[{"i":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,2]]}]}]}]}]}],"t":[{"r":[{"i":[{"p":[{"o":[{"t":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,0,0,0,3]]}]}]}]}]}]}]}]}],".":[{},[2]]}]}],".":[{},[4]],"s":[{".":[{},[4]]}]},[1]],"â":[{},[1]],"é":[{"l":[{"o":[{"s":[{"k":[{"i":[{},[0,0,0,0,1,2]]}]}]}]}]},[1]],"è":[{},[1]],"ê":[{},[1]],"î":[{},[1]],"o":[{"l":[{"t":[{"a":[{"m":[{"p":[{},[0,0,0,2,1]]}]}]}]}]},[1]],"ô":[{},[1]],"r":[{"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]}]},[1,2]],"u":[{},[1]],"û":[{},[1]],"y":[{},[1]]}],"l":[{"i":[{"l":[{"l":[{},[0,0,0,3]]}]},[1]],"l":[{"i":[{"o":[{"n":[{},[0,3]]}]}],"u":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,2]]}]}]}]}]}]}],"a":[{"w":[{"r":[{"e":[{},[0,0,2,3]]}]}]},[1]],"â":[{},[1]],"à":[{},[1]],"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]},[1]],"é":[{},[1]],"è":[{},[1]],"ê":[{},[1]],"î":[{},[1]],"o":[{},[1]],"ô":[{},[1]],"s":[{"t":[{},[0,1,2]]}],"u":[{},[1]],"û":[{},[1]],"y":[{},[1]],"m":[{"e":[{"n":[{"t":[{".":[{},[0,2]]}]}]}]}]}],"x":[{"i":[{"l":[{"l":[{},[0,0,0,3]]}]}],"e":[{"n":[{"t":[{".":[{},[2]]}]}]}]}],"k":[{"a":[{},[1]],"â":[{},[1]],"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]},[1]],"é":[{},[1]],"è":[{},[1]],"ê":[{},[1]],"h":[{".":[{},[4]]},[1,2]],"i":[{},[1]],"î":[{},[1]],"o":[{},[1]],"ô":[{},[1]],"r":[{},[1,2]],"u":[{},[1]],"û":[{},[1]],"y":[{},[1]]}],"â":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,2]]}]}]}]}]}],"q":[{"u":[{"a":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,2]]}]}]}]}]}],"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]}]}]},[1]],"è":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,2]]}]}]}]}]}],"n":[{"u":[{"t":[{"r":[{"i":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,0,0,0,0,3]]}]}]}]}]}]}]}]},[1]],"a":[{},[1]],"â":[{},[1]],"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]},[1]],"é":[{},[1]],"è":[{},[1]],"ê":[{},[1]],"i":[{},[1]],"î":[{},[1]],"o":[{},[1]],"ô":[{},[1]],"œ":[{},[1]],"û":[{},[1]],"s":[{"a":[{"t":[{".":[{},[0,3,2]],"s":[{".":[{},[0,3,2]]}]}]}]}],"x":[{},[0,1]],"y":[{},[1]]}],"ô":[{"m":[{"e":[{"n":[{"t":[{".":[{},[0,2]]}]}]}]}]}],"y":[{"a":[{"s":[{"t":[{"h":[{},[0,1]]}]}],"l":[{"g":[{"i":[{},[0,1]]}]}]}],"s":[{"t":[{"o":[{"m":[{},[0,1,2]]}]}]}]}],"z":[{"a":[{},[1]],"e":[{".":[{},[4]],"s":[{".":[{},[4]]}],"n":[{"t":[{".":[{},[2]]}]}]},[1]],"é":[{},[1]],"è":[{},[1]],"i":[{},[1]],"o":[{},[1]],"u":[{},[1]],"y":[{},[1]]}]}';
  var hyphenation = [];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
