(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsGa = factory();
  }
})(this, function () {
  var patterns =
    '{".":[{"a":[{"b":[{"a":[{"i":[{},[0,0,4]],"r":[{},[0,0,6]]}],"r":[{},[0,0,5]]}],"c":[{"a":[{"d":[{},[0,0,6]]}],"h":[{"a":[{"r":[{},[0,0,0,6]]}]}]}],"d":[{"a":[{"i":[{"m":[{},[0,0,6]]}],"m":[{},[0,0,6]]}]}],"e":[{"n":[{},[0,0,5]]}],"g":[{"a":[{"r":[{},[0,0,6]]}],"h":[{"a":[{},[0,0,0,4]]}],"ó":[{},[0,0,4]],"r":[{},[0,0,5]],"ú":[{"i":[{},[0,0,6]]}]}],"i":[{"c":[{},[0,0,6,5]],"l":[{"t":[{"e":[{},[0,0,0,6]]}]}],"n":[{"g":[{},[0,0,0,3,4]],"t":[{"e":[{".":[{},[0,0,0,6]]}],"í":[{"n":[{},[0,0,0,6,5]]}]}]}],"r":[{"n":[{"í":[{},[0,0,0,6]]}]}],"s":[{"t":[{"e":[{".":[{},[0,0,0,6]]}]},[0,0,0,0,4]]},[0,0,0,3]]}],"í":[{},[0,0,4]],"l":[{"a":[{"m":[{},[0,0,0,5,6]]}],"g":[{},[0,0,5,6]],"l":[{"a":[{"g":[{},[0,0,0,0,0,6]]}]}],"m":[{"ó":[{},[0,0,0,4]]}],"t":[{"a":[{},[0,0,2,5]],"á":[{},[0,0,6,5]]}]}],"m":[{"a":[{"c":[{},[0,0,6]]}],"á":[{},[0,0,6]]}],"n":[{"a":[{"c":[{"h":[{},[0,0,0,0,0,6]]},[0,0,0,5]]},[0,0,2]],"á":[{},[0,0,2]],"c":[{},[0,0,0,6]],"d":[{"ó":[{"r":[{},[0,0,6]]}],"r":[{},[0,0,6]]}],"f":[{"a":[{},[0,0,6]]}],"g":[{"l":[{},[0,0,0,4]]}],"i":[{},[0,0,6]],"l":[{"a":[{"i":[{"n":[{},[0,0,6]]}],"n":[{},[0,0,6]]}]}],"ó":[{},[0,0,6]],"r":[{"a":[{"i":[{},[0,0,6]]}]}],"s":[{"a":[{},[0,0,6]]}],"t":[{"a":[{},[0,0,2]]}]}],"r":[{"a":[{"l":[{"t":[{},[0,0,0,0,0,3]]},[0,0,0,0,4]],"m":[{},[0,0,0,5,6]],"s":[{},[0,0,0,5,6]]}],"d":[{},[0,0,0,5]],"ó":[{"c":[{},[0,0,0,0,6]]},[0,0,0,5]],"t":[{},[0,0,0,4]]},[0,0,2]],"s":[{"a":[{"i":[{"l":[{},[0,0,6]],"m":[{},[0,0,6,0,0,5]]}],"l":[{".":[{},[0,0,6]]}],"m":[{"a":[{},[0,0,0,5,6]]},[0,0,6]]}],"c":[{"a":[{"r":[{},[0,0,0,6]]}]}],"ó":[{},[0,0,6]],"p":[{"a":[{".":[{},[0,0,6]]}]}],"t":[{"a":[{"i":[{},[0,0,0,5]],"í":[{},[0,0,0,5]]}],"ó":[{},[0,0,0,3]],"ú":[{},[0,0,6]]},[0,0,2]],"ú":[{},[0,0,4]]}],"t":[{"a":[{"r":[{".":[{},[0,0,5]]}]},[0,0,0,6]],"á":[{},[0,0,6]]}]}],"á":[{"i":[{"l":[{"t":[{"e":[{".":[{},[0,0,0,6]],"a":[{},[0,0,0,6,5]]}]}]}],"r":[{"g":[{"e":[{},[0,0,0,5]],"í":[{},[0,0,0,5]]}],"s":[{},[0,0,0,6]]}]}],"l":[{"t":[{},[0,0,6]]}],"r":[{"a":[{},[0,0,2]],"m":[{},[0,0,6]]}]}],"b":[{"a":[{"d":[{"á":[{},[0,0,0,3]]},[0,0,6]],"l":[{"b":[{},[0,0,0,6]]}]}],"e":[{"o":[{"f":[{},[0,0,0,5]],"g":[{},[0,0,0,5]],"i":[{"d":[{},[0,0,0,5]],"m":[{},[0,0,0,5]]}]}]}],"h":[{"á":[{"i":[{"t":[{"e":[{".":[{},[0,0,0,5]]}],"í":[{},[0,0,0,5]]}]}]}],"e":[{"o":[{"f":[{},[0,0,0,0,5]],"i":[{"d":[{},[0,0,0,0,5]],"m":[{},[0,0,0,0,5]],"n":[{},[0,0,0,0,5]]}]}]}],"í":[{"d":[{"í":[{"s":[{},[0,0,0,5]]}]}],"m":[{"i":[{"s":[{},[0,0,0,5]]}]}],"o":[{"d":[{"a":[{},[0,0,0,5]]}],"m":[{"a":[{"r":[{},[0,0,0,5]]}]}]}],"t":[{"e":[{"á":[{},[0,0,0,5]]}],"í":[{},[0,0,0,5]]}]}],"l":[{"í":[{},[0,0,0,0,3]]}],"r":[{"e":[{"o":[{"f":[{},[0,0,0,0,0,5]],"i":[{"d":[{},[0,0,0,0,0,5]],"m":[{},[0,0,0,0,0,5]],"n":[{},[0,0,0,0,0,5]]}]}]}],"í":[{"o":[{},[0,0,0,0,3]]}]}]},[0,0,4]],"l":[{"í":[{},[0,0,0,3]]}],"r":[{"e":[{"o":[{"f":[{},[0,0,0,0,5]],"i":[{"d":[{},[0,0,0,0,5]],"m":[{},[0,0,0,0,5]]}]}]}],"í":[{"o":[{},[0,0,0,3]]}]}]}],"c":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,6]]},[0,0,0,0,5]]}],"d":[{"á":[{},[0,0,0,5]]}],"í":[{"d":[{},[0,0,0,5]],"g":[{"í":[{},[0,0,0,5]]}],"m":[{},[0,0,0,5]],"o":[{},[0,0,0,5]]}],"r":[{"t":[{"a":[{"r":[{},[0,0,0,6,5]]}]}]}]},[0,0,4]],"h":[{"a":[{"c":[{"h":[{},[0,0,0,0,0,5]]}],"d":[{"á":[{},[0,0,0,0,5]]}],"í":[{"d":[{},[0,0,0,0,5]],"g":[{"í":[{},[0,0,0,0,5]]}],"m":[{},[0,0,0,0,5]],"o":[{},[0,0,0,0,5]],"t":[{"e":[{"á":[{},[0,0,0,0,5]]}],"í":[{},[0,0,0,0,5]]}]}],"n":[{"á":[{},[0,0,0,0,5]]}],"r":[{"t":[{"a":[{"r":[{},[0,0,0,0,6,5]]}],"á":[{},[0,0,0,0,6]]}]}]},[0,0,0,4]],"á":[{"r":[{"t":[{"a":[{".":[{},[0,0,0,0,5]]}]}]}]}],"e":[{"i":[{"l":[{"t":[{"e":[{".":[{},[0,0,0,0,0,6]]}]}]}]}]}],"í":[{},[0,0,0,6]],"l":[{"ó":[{"f":[{},[0,0,0,0,5]],"i":[{"d":[{},[0,0,0,0,5]],"m":[{},[0,0,0,0,5]],"n":[{"n":[{},[0,0,0,0,5]]}]}]}]}],"n":[{"a":[{"í":[{},[0,0,0,0,0,3]]}],"ó":[{},[0,0,0,0,5]]}],"ó":[{"i":[{"s":[{},[0,0,0,0,0,5]]}]}]},[0,0,4]],"i":[{"l":[{},[0,0,0,6]]},[0,0,6]],"í":[{},[0,0,6]],"l":[{"i":[{"p":[{},[0,0,0,0,5]]},[0,0,0,6]],"ó":[{"f":[{},[0,0,0,5]],"i":[{"d":[{},[0,0,0,5]],"m":[{},[0,0,0,5]]}]}]}],"n":[{"a":[{"í":[{},[0,0,0,0,3]]}],"ó":[{},[0,0,0,5]]}]}],"d":[{"a":[{},[0,0,6]],"h":[{"l":[{"í":[{"d":[{},[0,0,0,0,5]],"g":[{},[0,0,0,0,5]],"m":[{},[0,0,0,0,5]],"o":[{},[0,0,0,0,3]]}]}],"ó":[{"i":[{"t":[{"e":[{".":[{},[0,0,0,5]]}],"í":[{},[0,0,0,5]]}]}]}],"r":[{"e":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,0,0,6]]},[0,0,0,0,0,0,0,5]]}]}],"o":[{"f":[{},[0,0,0,0,0,5]],"i":[{"d":[{},[0,0,0,0,0,5]],"m":[{},[0,0,0,0,0,5]],"n":[{},[0,0,0,0,0,5]]}]}]}]}]},[0,0,2]],"l":[{"í":[{"d":[{},[0,0,0,5]],"g":[{},[0,0,0,5]],"m":[{},[0,0,0,5]],"o":[{},[0,0,0,5]]}]}],"ó":[{"f":[{},[0,0,5]],"i":[{"d":[{"í":[{},[0,0,5]]}],"m":[{},[0,0,5]],"t":[{"e":[{".":[{},[0,0,5]]}],"í":[{},[0,0,5]]}]}]}],"r":[{"e":[{"a":[{"c":[{"h":[{},[0,0,0,0,0,0,5]]}]}],"o":[{"f":[{},[0,0,0,0,5]],"i":[{"d":[{},[0,0,0,0,5]],"m":[{},[0,0,0,0,5]]}]}]}]}]}],"e":[{"a":[{"d":[{},[0,0,0,1]],"g":[{},[0,0,6,3]],"l":[{"t":[{},[0,0,0,4,3]]}],"r":[{"b":[{},[0,0,0,0,5]]}],"s":[{"t":[{"ó":[{},[0,0,0,3]]}]}]}],"i":[{"s":[{"c":[{"e":[{},[0,0,0,0,3]]}],"i":[{"l":[{},[0,0,0,4]]}]}]},[0,0,6]]}],"é":[{"a":[{"b":[{},[0,0,6]],"d":[{"a":[{"r":[{},[0,0,0,6]]}]}],"g":[{"ó":[{},[0,0,3,6]]}],"r":[{"t":[{},[0,0,0,0,6]]},[0,0,0,5]]}],"i":[{"d":[{"r":[{},[0,0,5,6]]}],"g":[{"e":[{"a":[{"r":[{},[0,0,5]]}]}]}],"m":[{"í":[{},[0,0,0,5]]}]}]}],"f":[{"a":[{"c":[{"h":[{},[0,0,0,0,3]]}]},[0,0,6]],"e":[{"o":[{"f":[{},[0,0,0,5]],"i":[{"d":[{"í":[{},[0,0,0,5]]}],"m":[{},[0,0,0,5]]}]}]}],"h":[{"r":[{"i":[{"o":[{"c":[{"h":[{},[0,0,0,0,0,0,0,5]]}]}]}]}],"u":[{"a":[{"f":[{"a":[{"i":[{"r":[{},[0,0,0,0,6]]}],"r":[{"a":[{},[0,0,0,0,6]]}]}]}],"i":[{"m":[{".":[{},[0,0,0,0,5]]}]}]}]}]}],"í":[{"d":[{"í":[{},[0,0,5]]}],"g":[{},[0,0,5]],"m":[{},[0,0,5]],"o":[{"d":[{"h":[{},[0,0,5]]}],"n":[{"n":[{},[0,0,5]]}]}]}]}],"g":[{"e":[{"a":[{"l":[{"t":[{"a":[{"í":[{},[0,0,0,0,6,5]]}]}]}],"t":[{},[0,0,0,0,5]]}]}],"h":[{"a":[{"i":[{"r":[{"t":[{},[0,0,0,0,0,5]]}]}]}],"l":[{"a":[{"e":[{},[0,0,0,0,0,3]]}]}],"r":[{"á":[{"n":[{},[0,0,0,0,6]]}]}]},[0,0,2]],"ó":[{"f":[{},[0,0,0,5]]}]}],"h":[{"a":[{"b":[{"a":[{"i":[{},[0,0,0,6]],"r":[{},[0,0,0,6]]}]}],"c":[{"a":[{"d":[{},[0,0,0,6]]}]}],"g":[{"a":[{"r":[{},[0,0,0,6]]}],"ó":[{},[0,0,0,4]]}],"i":[{"l":[{"t":[{"e":[{},[0,0,0,0,6]]}]}],"n":[{"g":[{},[0,0,0,0,3]],"t":[{"e":[{".":[{},[0,0,0,0,6]]}]},[0,0,0,0,3]]}],"r":[{"n":[{"í":[{},[0,0,0,0,6]]}]}],"s":[{"c":[{"e":[{},[0,0,0,0,5]]}],"t":[{"e":[{"a":[{},[0,0,0,0,5]],"o":[{},[0,0,0,0,5,6]]}],"i":[{"g":[{},[0,0,0,0,5]]},[0,0,0,0,0,6]]}]}]}],"í":[{},[0,0,0,4]],"l":[{"a":[{"m":[{},[0,0,0,0,5,6]]}],"m":[{"ó":[{},[0,0,0,0,4]]}],"t":[{"a":[{},[0,0,0,4,3]],"á":[{},[0,0,0,6,5]]}]}],"n":[{"a":[{"c":[{},[0,0,0,0,5]]},[0,0,0,2]],"c":[{},[0,0,0,0,6]],"f":[{"a":[{},[0,0,0,6]]}],"g":[{"l":[{},[0,0,0,0,4]]}],"ó":[{},[0,0,0,6]],"t":[{"a":[{},[0,0,0,4]]}]}],"r":[{"a":[{},[0,0,0,2]],"á":[{},[0,0,0,6]],"ó":[{"c":[{},[0,0,0,0,0,6]]},[0,0,0,6,5]],"t":[{},[0,0,0,0,6]]}],"s":[{"a":[{"i":[{},[0,0,0,6]],"l":[{".":[{},[0,0,0,6]]}],"m":[{},[0,0,0,6]]}],"t":[{"a":[{},[0,0,0,4]]}]}],"t":[{"á":[{},[0,0,0,6]]}]},[0,0,4]],"á":[{"i":[{"l":[{"t":[{"e":[{".":[{},[0,0,0,0,6]],"a":[{},[0,0,0,0,6,5]]}]}]}],"r":[{"g":[{"e":[{},[0,0,0,0,5]],"í":[{},[0,0,0,0,5]]}],"s":[{},[0,0,0,0,6]]}]}],"l":[{"t":[{},[0,0,0,6]]}],"r":[{"a":[{},[0,0,0,4]],"m":[{},[0,0,0,6]]}]},[0,0,6]],"e":[{"a":[{"d":[{},[0,0,0,0,3]],"l":[{"t":[{},[0,0,0,0,4,3]]}]}],"i":[{"s":[{"i":[{"l":[{},[0,0,0,0,6]]}]}]}]}],"é":[{"a":[{"d":[{"a":[{"r":[{},[0,0,0,0,6]]}]}],"g":[{"ó":[{},[0,0,0,3,6]]}]}],"i":[{"d":[{"e":[{"a":[{},[0,0,0,5]]},[0,0,0,0,4]]}]}]}],"i":[{"b":[{"é":[{},[0,0,0,6]]}],"m":[{"i":[{"r":[{"e":[{},[0,0,0,6]]}]}]}],"o":[{"s":[{"c":[{},[0,0,0,0,0,6]]},[0,0,0,0,5]]}],"r":[{},[0,0,0,4]],"s":[{"t":[{},[0,0,0,0,3]]},[0,0,0,4]],"t":[{"e":[{"o":[{},[0,0,0,6]]}],"r":[{},[0,0,0,6]]}]}],"í":[{"l":[{},[0,0,0,3]],"o":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,6]]},[0,0,0,0,0,5]]}]}]},[0,0,2]],"o":[{"c":[{"r":[{},[0,0,0,4]]}],"d":[{},[0,0,0,6]],"g":[{"h":[{},[0,0,0,0,6]]}],"i":[{"r":[{"n":[{"i":[{},[0,0,0,0,6,5]]}]}]}],"l":[{"a":[{"c":[{},[0,0,0,6]]}]}],"m":[{},[0,0,0,2]],"r":[{"m":[{},[0,0,0,5]],"t":[{},[0,0,0,0,4]]}]}],"ó":[{},[0,0,6]],"u":[{"a":[{"f":[{"a":[{},[0,0,0,0,5]]},[0,0,0,4]]}],"i":[{"l":[{"e":[{},[0,0,0,0,4]]}]}]}],"ú":[{"d":[{},[0,0,0,4]]}]}],"i":[{"a":[{"i":[{"t":[{},[0,0,5]]}],"t":[{},[0,0,0,6]]}],"b":[{"é":[{},[0,0,6]],"h":[{},[0,0,0,5]]}],"d":[{},[0,0,2]],"l":[{},[0,0,3]],"m":[{"i":[{"r":[{"e":[{},[0,0,6]]}]}]}],"n":[{"d":[{"i":[{"a":[{},[0,0,6,5]]}]}],"i":[{"d":[{},[0,0,6]]}],"í":[{"n":[{},[0,0,6]],"o":[{},[0,0,4]],"r":[{},[0,0,6]]}],"s":[{"t":[{"e":[{".":[{},[0,0,6]]}]}]}],"t":[{"e":[{},[0,0,0,6]]}]}],"o":[{"m":[{"á":[{"i":[{"n":[{},[0,0,0,0,0,0,5]]}]}]}],"s":[{"c":[{},[0,0,0,0,6]],"t":[{},[0,0,0,0,4]]},[0,0,0,3]]}],"r":[{},[0,0,4]],"s":[{"t":[{},[0,0,0,6]]},[0,0,4]],"t":[{},[0,0,6]]}],"í":[{"l":[{},[0,0,3]],"o":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,6]]},[0,0,0,0,5]]}],"s":[{},[0,0,0,5]]},[0,0,6]]}],"l":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,6,5]]}]}],"d":[{"a":[{},[0,0,0,5]]}],"g":[{"á":[{},[0,0,0,5]]}],"i":[{"t":[{},[0,0,0,0,5]]}],"n":[{"c":[{},[0,0,0,5]]}],"o":[{"n":[{},[0,0,0,5]]}]},[0,0,4]],"á":[{"i":[{"t":[{"í":[{},[0,0,5]]}]}]}],"e":[{"a":[{"b":[{"ó":[{},[0,0,0,0,3]]}],"m":[{},[0,0,0,6]],"s":[{},[0,0,0,0,5]],"t":[{"a":[{"í":[{},[0,0,0,0,6]]}]}]}],"o":[{"c":[{"h":[{},[0,0,0,0,0,4]]},[0,0,0,3]]}]}],"é":[{"a":[{"n":[{"n":[{".":[{},[0,0,5]]}]}]}],"i":[{"g":[{"í":[{},[0,0,5]]}]}]}],"i":[{"b":[{"é":[{},[0,0,0,5]]}],"m":[{},[0,0,0,5]],"n":[{"t":[{},[0,0,0,0,6]]}],"p":[{},[0,0,0,5]]},[0,0,6]],"í":[{"d":[{},[0,0,5]],"g":[{},[0,0,5]],"m":[{"i":[{},[0,0,5]]}],"o":[{"d":[{},[0,0,5]],"m":[{"a":[{"r":[{},[0,0,5]]}]}],"n":[{"n":[{},[0,0,5]]}]}],"t":[{"i":[{},[0,0,0,5]]},[0,0,6]]}],"ú":[{},[0,0,2]]}],"m":[{"a":[{"d":[{"a":[{},[0,0,0,5]]}],"i":[{"r":[{"t":[{"í":[{".":[{},[0,0,0,0,5]]}]}]}]}],"í":[{"d":[{},[0,0,0,5]],"g":[{"í":[{},[0,0,0,5]]}],"m":[{"i":[{},[0,0,0,5]]}],"o":[{"d":[{},[0,0,0,5]],"m":[{"a":[{},[0,0,0,5]]}],"n":[{},[0,0,0,5]]}],"t":[{"e":[{"á":[{},[0,0,0,5]]}],"í":[{},[0,0,0,5]]}]}],"m":[{},[0,0,0,5]],"n":[{"t":[{},[0,0,0,2]]}],"r":[{"l":[{},[0,0,0,6,5]],"s":[{"a":[{"c":[{},[0,0,0,6,5]],"i":[{},[0,0,0,6,5]]}]}],"t":[{"a":[{},[0,0,0,5]]}],"ú":[{},[0,0,0,5]]},[0,0,6]],"t":[{"á":[{},[0,0,0,3]]},[0,0,6]]}],"e":[{"a":[{"d":[{"a":[{},[0,0,0,0,5]]}],"t":[{"á":[{},[0,0,0,0,5]]}]}]}],"h":[{"a":[{"d":[{"a":[{},[0,0,0,0,5]]}],"i":[{"s":[{"t":[{"e":[{".":[{},[0,0,0,0,0,6]]}],"í":[{".":[{},[0,0,0,0,0,6]]}]}]}]}],"í":[{"d":[{},[0,0,0,0,5]],"g":[{"í":[{},[0,0,0,0,5]]}],"m":[{"i":[{},[0,0,0,0,5]]}],"o":[{"d":[{},[0,0,0,0,5]],"m":[{"a":[{},[0,0,0,0,5]]}],"n":[{},[0,0,0,0,5]]}],"t":[{"e":[{".":[{},[0,0,0,0,5]],"á":[{},[0,0,0,0,5]]}],"í":[{},[0,0,0,0,5]]}]}],"n":[{"t":[{},[0,0,0,0,4,3]]}],"r":[{"l":[{},[0,0,0,0,6,5]],"s":[{"a":[{".":[{},[0,0,0,0,6]]}]}]}]}],"i":[{"o":[{"n":[{"t":[{"a":[{},[0,0,0,0,0,6,5]]}]}]}]}],"í":[{"o":[{"c":[{},[0,0,0,6]]}]}],"ú":[{"c":[{"h":[{},[0,0,0,0,0,5]]}]},[0,0,0,6]]},[0,0,2]],"í":[{"o":[{"c":[{},[0,0,6]]}],"s":[{"t":[{},[0,0,5]]}]}]}],"n":[{"a":[{"i":[{"r":[{},[0,0,0,0,5]],"s":[{},[0,0,0,0,5]]}],"í":[{"o":[{"l":[{},[0,0,0,0,5,6]]}]},[0,0,0,3]],"r":[{},[0,0,0,5]]}],"d":[{"ó":[{"f":[{},[0,0,0,5]],"i":[{"d":[{"í":[{},[0,0,0,5]]}],"m":[{},[0,0,0,5]],"n":[{},[0,0,0,5]]}]}]},[0,0,6]],"e":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,5]]},[0,0,0,0,0,6]]}]}],"á":[{"d":[{},[0,0,0,0,5]]},[0,0,0,6]]}],"g":[{"ó":[{"f":[{},[0,0,0,0,5]]}]},[0,0,4]],"i":[{"t":[{},[0,0,0,6]]}],"í":[{"d":[{},[0,0,5]],"g":[{"í":[{},[0,0,5]]}],"m":[{},[0,0,5]],"o":[{"c":[{},[0,0,6]],"d":[{},[0,0,5]],"m":[{},[0,0,5]],"n":[{},[0,0,5]]}]}],"o":[{"m":[{},[0,0,0,6]]}]}],"o":[{"c":[{"h":[{"t":[{},[0,0,0,6,5]]}],"r":[{},[0,0,4]]}],"d":[{},[0,0,6]],"g":[{"h":[{},[0,0,0,6]]}],"i":[{"l":[{"t":[{},[0,0,0,0,6]]}],"r":[{"n":[{"e":[{},[0,0,0,4,3]],"i":[{},[0,0,0,6,5]],"í":[{},[0,0,0,6]]}],"t":[{},[0,0,0,5]]}]}],"l":[{"a":[{"c":[{},[0,0,6]]}]}],"m":[{"a":[{},[0,0,6]]}],"r":[{"a":[{"i":[{},[0,0,6]]}],"t":[{"h":[{"u":[{},[0,0,6]]}]},[0,0,0,4]]}],"s":[{"l":[{"ó":[{".":[{},[0,0,6]]}]}],"t":[{"a":[{},[0,0,0,5]]}]}]}],"ó":[{"p":[{},[0,0,6]],"r":[{"á":[{},[0,0,4]]}]}],"p":[{"h":[{"o":[{"r":[{"t":[{"r":[{},[0,0,0,0,5,6]]}]}]}]}],"i":[{"s":[{"t":[{},[0,0,0,0,6]]}]}]}],"r":[{"a":[{"d":[{"a":[{},[0,0,0,5]],"ó":[{},[0,0,0,5]]}],"f":[{"t":[{},[0,0,0,6,5]]}],"i":[{},[0,0,0,6]],"t":[{"á":[{},[0,0,0,5]]}]},[0,0,4]],"á":[{},[0,0,6]],"e":[{"a":[{"s":[{},[0,0,0,0,5]]}],"o":[{"f":[{},[0,0,0,5]],"i":[{"d":[{},[0,0,0,5]],"m":[{},[0,0,0,5]],"n":[{},[0,0,0,5]]}]}]}],"é":[{"i":[{"m":[{"i":[{},[0,0,0,0,5]]}]}]}],"í":[{"d":[{"í":[{},[0,0,5]]}],"g":[{"í":[{},[0,0,5]]}],"m":[{"i":[{},[0,0,5]]}],"o":[{"c":[{"h":[{"a":[{},[0,0,6]]}]}],"d":[{},[0,0,5]],"m":[{"a":[{},[0,0,5]]}],"n":[{"n":[{},[0,0,5]]}]}]}],"ó":[{"b":[{"a":[{},[0,0,0,5]]}],"c":[{"h":[{},[0,0,0,0,6]]},[0,0,5]],"s":[{"t":[{},[0,0,0,0,5]]}]}],"u":[{"a":[{"i":[{"m":[{".":[{},[0,0,0,5]]}]}]}]}],"ú":[{"m":[{},[0,0,0,5]]}]}],"s":[{"a":[{"l":[{"a":[{},[0,0,0,5]]},[0,0,6]]}],"á":[{"i":[{"t":[{"í":[{},[0,0,5]]}]}]}],"c":[{"a":[{"d":[{"á":[{},[0,0,0,0,5]]}],"r":[{"t":[{},[0,0,0,0,0,6]]},[0,0,0,0,5]]},[0,0,0,6]]},[0,0,6]],"e":[{"a":[{"r":[{"b":[{"h":[{},[0,0,0,0,0,0,5]]}]}]}]}],"é":[{"a":[{"l":[{"a":[{"i":[{"n":[{},[0,0,0,5,6]]}]}]}]}]}],"h":[{"á":[{"i":[{"n":[{"n":[{".":[{},[0,0,0,5]]}]}]}]}]}],"i":[{"m":[{},[0,0,0,3]],"ú":[{"n":[{"t":[{},[0,0,0,0,0,3]]},[0,0,0,0,4]]}]},[0,0,4]],"í":[{"o":[{},[0,0,4]]}],"l":[{"i":[{"o":[{"s":[{},[0,0,0,0,0,5]]}]}]}],"m":[{},[0,0,4]],"n":[{"í":[{"d":[{},[0,0,0,5]],"g":[{},[0,0,0,5]],"m":[{},[0,0,0,5]],"o":[{"d":[{},[0,0,0,5]],"m":[{"a":[{},[0,0,0,5]]}],"n":[{},[0,0,0,5]]}]}]}],"ó":[{"f":[{},[0,0,5]],"i":[{"d":[{"í":[{},[0,0,5]]}],"m":[{},[0,0,5]],"n":[{"n":[{},[0,0,5]]}]}]}],"p":[{"l":[{"é":[{"a":[{"c":[{"h":[{},[0,0,0,0,0,0,0,5]]}]}]}]}]}],"t":[{"e":[{"a":[{"m":[{},[0,0,0,0,0,5]]}]}]},[0,0,4]]}],"t":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,6,5]]}]}],"n":[{"g":[{},[0,0,0,5]]}],"p":[{},[0,0,0,5]],"r":[{"t":[{"a":[{},[0,0,0,5]]}]}]},[0,0,6]],"é":[{"i":[{"t":[{"e":[{},[0,0,0,0,5]]}]}]}],"h":[{"é":[{"i":[{"t":[{"e":[{"a":[{},[0,0,0,0,0,5]]}]}]}]}],"r":[{"á":[{"i":[{"t":[{"í":[{},[0,0,0,0,5]]}]}]}],"ó":[{"f":[{},[0,0,0,0,0,5]]}]}]},[0,0,2]],"i":[{},[0,0,6]],"r":[{"ó":[{"f":[{},[0,0,0,0,5]]}]}],"s":[{"í":[{"o":[{},[0,0,0,6]]}]}],"u":[{"a":[{"i":[{"m":[{},[0,0,0,5]]}]}]}]}],"u":[{"a":[{"f":[{"a":[{},[0,0,0,5]]},[0,0,4]],"i":[{},[0,0,6]],"s":[{"a":[{"l":[{"a":[{},[0,0,0,6]]}]}]}]}],"i":[{"l":[{"e":[{},[0,0,0,2]]}],"r":[{"t":[{"h":[{"i":[{},[0,0,0,0,0,0,5]]}]},[0,0,0,6]]}]}],"n":[{"s":[{},[0,0,6,5]]}],"r":[{"b":[{},[0,0,5]],"n":[{},[0,0,3,4]]}]}],"ú":[{"d":[{},[0,0,2]],"m":[{},[0,0,5]],"r":[{"á":[{"i":[{},[0,0,6]]}]}]}]}],"a":[{"b":[{"a":[{"c":[{"a":[{},[0,0,0,5]]},[0,0,0,0,6]],"d":[{"á":[{},[0,0,0,5]]}],"i":[{"r":[{"t":[{},[0,0,4]]}]}],"l":[{},[0,3,4]],"r":[{"t":[{},[0,0,4]]}]},[0,0,1]],"á":[{},[0,0,1]],"d":[{},[0,0,3]],"h":[{"a":[{"i":[{"l":[{"e":[{},[0,0,0,6]]}]}]}],"e":[{},[0,3,0,6]],"ó":[{"r":[{},[0,0,0,6]]}],"r":[{"e":[{},[0,0,0,6]]}],"t":[{},[0,0,0,2]]},[0,0,0,1]],"i":[{},[0,5]],"l":[{},[0,0,1]],"ó":[{".":[{},[0,5]],"i":[{"g":[{},[0,0,3]]}],"n":[{},[0,5]]}],"r":[{"a":[{"d":[{"a":[{},[0,0,0,0,3]]},[0,0,3,0,0,6]]}]},[0,1]],"u":[{},[0,5]],"ú":[{},[0,0,1]]}],"c":[{"a":[{"d":[{"ú":[{},[0,0,4]]}],"e":[{},[0,0,0,0,6]],"o":[{"i":[{},[0,0,4]]}],"r":[{"d":[{},[0,0,6]]}],"s":[{"t":[{"ó":[{},[0,0,4]]}]},[0,0,0,1,4]],"t":[{"ú":[{},[0,0,0,3,4]]}]},[0,0,1]],"á":[{"i":[{"d":[{},[0,3]]}],"r":[{},[0,0,0,0,5]]}],"é":[{},[0,0,5]],"h":[{"a":[{".":[{},[0,4]],"d":[{"á":[{},[0,0,0,0,6,5]]}],"r":[{"f":[{},[0,0,0,4]],"n":[{},[0,0,0,0,0,0,6]],"t":[{},[0,0,0,0,0,0,6]]},[0,0,0,0,0,5]]},[0,0,0,1]],"á":[{"r":[{},[6]]},[0,0,0,1]],"e":[{},[6,3]],"í":[{},[0,0,0,3]],"l":[{"i":[{},[0,6]]},[4,0,0,1]],"ó":[{"g":[{},[0,0,0,3]],"r":[{},[0,0,0,5]]}],"r":[{"i":[{},[6]]},[0,0,0,1]],"ú":[{},[0,0,0,1]]}],"l":[{},[0,0,1]],"m":[{},[3]],"n":[{},[0,0,1]],"ó":[{},[0,0,1]],"r":[{"a":[{"f":[{},[0,0,0,0,3]],"s":[{},[0,0,4]]},[0,0,1]],"é":[{},[0,0,3]],"ó":[{},[0,5]]}],"u":[{"a":[{},[0,0,5]]}],"ú":[{},[0,0,5]]}],"d":[{"a":[{"g":[{},[0,0,0,0,6]],"l":[{},[0,0,1]],"m":[{"h":[{},[4]]},[0,0,1]],"n":[{"ó":[{},[0,0,0,5,6]]}],"r":[{"a":[{},[0,0,3]],"l":[{},[0,0,3]],"t":[{},[0,0,5]]}]}],"á":[{"i":[{"l":[{},[0,0,5]]}],"s":[{},[0,0,5]]}],"c":[{},[4]],"h":[{"b":[{},[0,0,0,0,1]],"i":[{},[0,3]],"r":[{"o":[{},[4]]}],"ú":[{},[0,5]]},[0,0,0,1]],"i":[{},[0,0,3]],"l":[{},[4,0,3]],"o":[{},[4,3,4]],"ó":[{"d":[{},[0,4,3]],"f":[{},[0,2]],"i":[{"d":[{},[0,2,3]],"g":[{},[0,4,3]],"m":[{},[0,2,3]],"n":[{"n":[{},[0,4,3]]}]}]},[0,1]],"r":[{"o":[{"g":[{},[0,0,3]]}]},[0,0,1]],"u":[{},[0,0,3]],"ú":[{"r":[{},[0,3,4]]},[0,0,1]]}],"e":[{"a":[{},[0,0,3]],"á":[{},[0,0,1]],"i":[{"l":[{"g":[{},[0,0,0,0,0,4]],"í":[{"t":[{"e":[{},[0,0,0,0,0,5]]}]}]},[0,0,0,0,3]]}]}],"f":[{"a":[{"d":[{"á":[{},[0,0,0,3]]}],"i":[{"r":[{},[0,0,5]]}],"r":[{"t":[{},[0,0,5]]}]}],"á":[{"i":[{"l":[{"t":[{},[0,0,0,0,0,0,6]]},[0,0,0,0,0,3]]}]}],"h":[{"o":[{"l":[{"t":[{},[0,0,0,0,0,0,5]]},[0,0,0,0,0,6]]}]}],"l":[{},[0,3,6]],"o":[{},[0,3]],"ó":[{"i":[{"b":[{},[0,3]],"n":[{},[0,3]]}],"n":[{},[0,1,2]]}],"r":[{"á":[{},[0,0,6]]}],"ú":[{},[0,0,6]]},[0,0,1]],"g":[{"a":[{"d":[{"á":[{},[0,0,0,0,3]]}],"i":[{"r":[{"n":[{},[0,0,0,0,0,5,6]]}]}],"l":[{},[0,0,2]]}],"á":[{"i":[{"s":[{},[0,0,5]]}]}],"e":[{},[0,0,3]],"é":[{},[0,0,3]],"h":[{"a":[{"i":[{"d":[{},[0,0,0,4]]}],"n":[{},[0,0,0,5]]}],"i":[{},[0,5]]},[0,0,0,1]],"i":[{},[0,0,3]],"l":[{},[0,0,1]],"o":[{},[0,3]],"r":[{"a":[{"i":[{"m":[{},[0,3]]}],"m":[{},[0,3]]}],"e":[{},[0,6,5]],"i":[{},[0,0,3]],"u":[{"i":[{},[0,0,5]]}],"ú":[{},[0,0,3]]}],"u":[{"a":[{},[0,0,3]]}],"ú":[{},[0,0,3]]}],"h":[{"a":[{},[0,0,6]]},[0,1]],"i":[{"c":[{"h":[{"t":[{},[0,0,0,0,6]]}],"i":[{"ú":[{},[0,0,5]]}],"r":[{},[0,0,0,5]]}],"d":[{"e":[{"a":[{"r":[{},[6]]}]}],"h":[{"l":[{},[4]]}],"i":[{},[0,0,0,1]],"í":[{"t":[{},[0,0,0,0,0,5]]}]}],"f":[{"i":[{"l":[{},[0,0,3]]}]}],"g":[{"i":[{"n":[{},[0,0,3]],"s":[{},[6]]}]}],"l":[{"b":[{"h":[{"í":[{},[0,0,0,5]]}]}],"c":[{"e":[{"a":[{},[0,0,0,0,3]]}]}],"p":[{"i":[{},[0,0,0,0,3]],"í":[{"n":[{},[0,0,0,0,3]]}]}],"t":[{},[0,0,0,0,2]]}],"m":[{"h":[{},[0,6]],"i":[{"a":[{},[4,0,3]],"s":[{"e":[{},[0,0,0,3]]}]}]}],"n":[{"í":[{},[0,0,0,5]],"s":[{"e":[{"o":[{},[0,0,0,0,5]]}]}],"t":[{"e":[{"a":[{"n":[{},[0,0,0,6]]}]}],"é":[{},[0,0,0,5]]}]}],"r":[{"b":[{"h":[{"r":[{},[0,0,0,6,0,3]]}],"í":[{},[0,0,0,0,4]],"r":[{},[0,0,0,4,5]]}],"d":[{"é":[{},[0,0,0,4]]}],"f":[{"e":[{"a":[{"n":[{},[0,0,0,0,5]]}]}],"i":[{"n":[{".":[{},[0,0,0,6,5]]}]}],"í":[{"n":[{},[0,0,0,4]]},[0,0,0,0,3]]}],"i":[{"s":[{"c":[{},[4]],"t":[{},[0,0,0,0,0,6]]}]}],"n":[{"í":[{"n":[{},[0,0,0,5]],"o":[{},[0,0,0,5]]}]}],"t":[{"é":[{"i":[{"s":[{},[0,0,0,4,5]]}]}]}]}],"s":[{"e":[{"i":[{},[6]]}],"i":[{"n":[{"é":[{},[0,0,0,0,3,4]]}]}],"í":[{"l":[{},[0,0,5,6]]}],"p":[{},[4]],"t":[{"e":[{"o":[{"g":[{},[0,0,0,5]]}]}],"i":[{"s":[{},[0,0,0,6,0,5]]}],"í":[{"n":[{".":[{},[0,0,0,5,6]]}]}]}]}],"t":[{"e":[{"i":[{},[4]]}],"i":[{"l":[{},[0,0,5,6]]}],"s":[{"e":[{},[0,0,0,0,3]]}]}],"v":[{"i":[{},[4]]}]}],"í":[{"c":[{},[0,0,2]],"n":[{"í":[{},[4]]}],"o":[{"d":[{"ó":[{},[0,0,3,3]]}],"l":[{"a":[{"n":[{},[0,0,0,5,6]]}]}],"n":[{"n":[{"a":[{},[0,0,3]]}]}]}],"ó":[{"i":[{},[0,0,5]]}]}],"l":[{"a":[{"b":[{"h":[{},[0,0,0,0,0,4]]},[0,0,0,3]],"i":[{"n":[{"n":[{"e":[{},[0,0,4]]}]}],"t":[{},[0,0,0,0,0,4]]}],"í":[{},[0,0,3]],"n":[{"a":[{},[0,0,0,0,4]],"d":[{},[0,0,0,0,5]],"n":[{},[0,0,2]]}],"s":[{"c":[{},[0,0,0,0,0,6]]},[0,0,0,0,3]],"t":[{"h":[{},[4,0,4]]}]},[0,0,1]],"á":[{"i":[{"b":[{},[0,3]]}],"m":[{},[6]],"r":[{},[0,3]]},[0,0,1]],"c":[{"ó":[{},[0,0,1]]}],"e":[{},[6,0,5]],"f":[{"a":[{"i":[{"r":[{},[0,0,4,3]]}]}]}],"g":[{"ó":[{},[0,0,3]]}],"i":[{},[0,0,3]],"í":[{},[0,3]],"l":[{},[0,6]],"o":[{},[0,0,5]],"ó":[{},[0,0,1]],"r":[{},[2]],"t":[{"e":[{},[0,0,0,3]],"ó":[{"d":[{},[0,0,6,5]],"f":[{},[0,0,4]],"i":[{"d":[{},[0,0,6,5]],"m":[{},[0,0,6,5]],"n":[{},[0,0,6,5]]}]}],"ú":[{},[0,0,6]]},[0,6]],"u":[{"i":[{},[0,0,3]]}],"ú":[{"c":[{"h":[{},[0,0,0,3,0,4]]}]},[0,0,3]]}],"m":[{"a":[{"b":[{},[0,0,0,3]],"d":[{"ú":[{},[0,0,0,3,4]]}],"l":[{"l":[{},[0,0,5]]},[0,0,1]],"n":[{},[0,0,1]],"r":[{"a":[{"í":[{},[0,0,0,3]]},[0,0,3]]}],"s":[{"ó":[{},[0,0,0,5]]},[0,6]]}],"á":[{"l":[{},[4]],"n":[{"a":[{},[0,0,4]]}]}],"b":[{},[4]],"h":[{"a":[{"d":[{},[0,0,0,5]],"i":[{"s":[{"t":[{},[0,0,0,0,0,0,6]]}]}],"s":[{},[0,3]]}]},[0,0,0,1]],"o":[{},[0,1]],"ó":[{"n":[{"a":[{},[0,0,5]]}]}],"p":[{"a":[{},[0,0,0,1]],"á":[{},[0,0,0,1]],"r":[{},[0,0,4]]},[6]],"t":[{},[4]],"u":[{"t":[{},[0,0,5]]}],"ú":[{"i":[{},[0,0,3]],"r":[{},[0,0,5]]}]}],"n":[{"a":[{"c":[{"a":[{},[0,0,0,3]]},[0,0,0,0,4]],"g":[{},[0,0,6]],"i":[{"g":[{"e":[{},[6]]}],"s":[{"t":[{},[0,0,0,0,0,0,4]]}],"t":[{},[0,0,3]]}],"í":[{},[0,0,5]],"l":[{"ó":[{},[0,0,0,5,6]]}],"m":[{"ó":[{},[0,0,0,5,6]]}],"r":[{"a":[{},[0,0,0,5,6]]}],"t":[{},[0,0,0,0,6]]}],"á":[{"i":[{"s":[{"e":[{},[0,5,6]]},[0,0,5]]}],"r":[{},[0,0,5]]},[0,0,1]],"b":[{},[6]],"c":[{"a":[{"i":[{"r":[{"e":[{},[0,0,0,4]]}]}]},[0,0,0,1]],"é":[{},[0,0,5,0,5]]}],"d":[{"á":[{},[0,0,2,3]],"í":[{"b":[{},[0,0,0,0,0,5]]},[0,0,0,0,6]],"o":[{},[0,0,0,3]],"r":[{},[0,0,3]],"u":[{},[6]]}],"e":[{"a":[{},[0,0,6]]},[0,0,3]],"é":[{},[0,0,3]],"g":[{"a":[{"r":[{"ú":[{},[0,0,0,0,3]]}]},[0,0,0,3]],"á":[{},[0,0,0,3]],"ó":[{".":[{},[0,0,5]]}]},[0,0,0,1]],"i":[{"n":[{},[0,0,0,0,5]]}],"m":[{"a":[{},[0,0,4]]}],"n":[{"á":[{},[6]]},[0,0,0,5]],"o":[{"i":[{},[0,0,3]],"í":[{},[0,0,5]]}],"ó":[{"d":[{"ó":[{},[0,0,0,3]]},[0,0,0,0,4]]},[0,0,1]],"s":[{"a":[{"n":[{},[0,0,4]]}],"i":[{"n":[{},[0,0,6]]}]}],"t":[{"u":[{},[0,0,6]]}],"u":[{"a":[{"s":[{},[0,0,0,0,0,6]]}]},[0,0,3]],"ú":[{},[0,0,1]]}],"o":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,6]]},[0,0,0,0,3]]}],"d":[{"a":[{"r":[{},[0,0,5]]}]},[6]],"i":[{"d":[{"í":[{"s":[{},[0,0,5]]}]}],"m":[{".":[{},[0,0,5]],"i":[{},[0,0,3]]}],"n":[{"s":[{},[0,0,0,0,6]],"t":[{},[0,0,0,0,3,2]]}]}],"l":[{},[0,0,4,1]],"m":[{"a":[{"r":[{},[0,0,5]]}]}],"n":[{"u":[{},[0,0,0,3]]}],"r":[{"g":[{},[0,0,0,0,4]],"t":[{},[0,0,0,0,4]]},[0,0,6,1]],"s":[{"t":[{},[0,0,0,3]]}]}],"p":[{"a":[{"d":[{"á":[{},[0,0,0,5]]}],"i":[{"t":[{},[0,3,4]]}]}],"l":[{"a":[{"i":[{"s":[{},[0,0,0,0,0,0,6]]}]}]}]},[0,0,1]],"r":[{"a":[{"b":[{"ú":[{},[0,0,0,3]]}],"c":[{".":[{},[0,0,6]],"á":[{},[0,0,0,3,6]],"h":[{"t":[{},[0,0,0,0,0,6,5]]}],"ó":[{},[0,0,0,5]]}],"g":[{"a":[{},[0,0,0,3,4]]}],"i":[{"c":[{"í":[{},[0,0,0,0,0,6]]}]}],"l":[{"á":[{},[0,0,0,5,4]]}],"p":[{},[0,0,0,3,4]],"s":[{".":[{},[0,0,5]],"ó":[{},[0,0,0,5]]}],"t":[{"ó":[{},[0,0,0,3]]}]},[0,0,1]],"á":[{},[0,0,1]],"b":[{"h":[{"a":[{},[0,0,0,0,3]],"e":[{},[0,0,3]]}]}],"c":[{"h":[{},[0,0,0,0,6]],"ó":[{},[0,0,0,1]],"r":[{},[0,0,1]]}],"e":[{},[0,0,1]],"f":[{"ó":[{},[0,0,2,1]]}],"i":[{},[0,0,3]],"m":[{"ó":[{},[0,0,0,4]]}],"o":[{},[0,5]],"ó":[{"c":[{"a":[{"r":[{},[0,0,0,0,6]]}]}],"n":[{},[0,0,5]],"p":[{},[0,0,5]]},[0,0,1]],"p":[{"ó":[{},[0,0,4,3]]},[0,0,1]],"s":[{"á":[{"l":[{},[0,0,4,3]]}],"t":[{"a":[{},[0,0,6]]}]}],"u":[{},[0,0,3]],"ú":[{"i":[{"l":[{},[0,0,3]]}],"l":[{},[0,0,5]],"p":[{},[0,0,3]],"s":[{},[0,0,5,5,6]],"t":[{},[0,5]]}]}],"s":[{"a":[{"c":[{"a":[{},[0,0,0,5,6]]}],"e":[{},[0,3,4]],"i":[{"n":[{},[0,0,0,0,0,4]]}],"í":[{},[0,0,5]],"l":[{"a":[{"i":[{"t":[{},[0,0,6]]}]}],"t":[{},[0,0,0,0,2]]}],"m":[{"a":[{"i":[{"t":[{},[0,0,0,5]]}]}]}],"r":[{"b":[{},[0,0,6]]}]}],"c":[{"a":[{"r":[{"a":[{},[0,0,5]],"t":[{},[0,0,0,0,0,0,6]]},[0,0,0,0,0,5]]}],"o":[{},[0,0,3]],"r":[{},[4]]},[0,0,0,1]],"e":[{},[4,0,3]],"é":[{},[0,0,3]],"i":[{},[0,0,3]],"í":[{},[0,0,3]],"l":[{},[2]],"o":[{},[0,0,1]],"ó":[{"i":[{"l":[{},[0,0,6]]}],"l":[{},[0,3,4]]},[0,0,1]],"t":[{"a":[{"i":[{"s":[{},[0,0,6,5]]}],"í":[{".":[{},[0,0,0,4]]}],"l":[{},[0,0,0,3]],"r":[{"ó":[{},[0,0,0,0,5,6]]}],"s":[{},[0,0,6]]},[0,0,1]],"á":[{"n":[{".":[{},[0,0,3]]}]}],"é":[{},[0,0,5]],"i":[{},[0,0,3]],"o":[{},[0,0,5]],"ó":[{"r":[{},[0,0,5]]},[0,4]],"u":[{"a":[{},[0,0,5]]}],"ú":[{},[0,0,3]]}],"u":[{},[0,0,1]],"ú":[{"d":[{},[0,0,0,0,6]],"i":[{"t":[{},[0,0,0,3]]}],"m":[{},[0,0,0,5]]},[0,0,1]]}],"t":[{"a":[{"c":[{"á":[{},[0,0,0,5]]},[0,0,0,0,6]],"d":[{"á":[{"n":[{},[0,0,0,0,5]]}]}],"g":[{"r":[{},[0,0,4]]}],"i":[{"n":[{"t":[{},[0,5,6]]}]}],"l":[{},[0,0,5,1,2]],"m":[{"á":[{},[0,0,0,0,4]]},[0,0,0,3]],"n":[{"t":[{},[0,3,4]]}],"p":[{},[0,0,0,3,4]],"r":[{"n":[{},[0,0,5]]}],"s":[{},[0,0,3]]},[0,0,1]],"á":[{"i":[{},[0,0,0,6]],"r":[{},[0,5]],"t":[{"h":[{},[0,0,0,0,0,6]]},[0,0,0,5]]}],"é":[{"a":[{"d":[{},[0,0,0,0,0,6]]}]},[0,0,0,3]],"h":[{"r":[{"í":[{"d":[{},[0,0,0,0,0,5]],"g":[{"í":[{},[0,0,0,0,0,5]]}],"m":[{},[0,0,0,0,0,5]],"o":[{},[0,0,0,0,0,5]]}]}],"u":[{"s":[{},[0,0,0,6]]}]},[0,0,0,1]],"ó":[{"d":[{},[0,0,5]],"g":[{},[0,6]],"i":[{"d":[{},[0,0,3]],"g":[{},[0,0,3]],"m":[{},[0,0,3]]}]}],"r":[{"a":[{"p":[{},[0,0,5]]}],"á":[{},[0,0,1]],"o":[{},[0,6]]}],"s":[{"a":[{"r":[{},[0,0,6]]},[0,0,0,5]]}],"u":[{"i":[{},[0,0,4]]},[0,0,1]],"ú":[{},[0,0,1]]}],"v":[{"ó":[{},[0,5]]}]}],"á":[{"b":[{"a":[{"l":[{},[0,0,4]]},[0,0,3]],"á":[{},[0,0,1]],"h":[{"t":[{},[0,0,0,0,6]]},[0,0,0,1]],"l":[{},[0,0,1]],"o":[{},[0,5]],"ó":[{},[0,0,3]],"ú":[{},[0,0,3]]}],"c":[{"a":[{"r":[{"n":[{},[0,0,0,0,0,6]]},[0,0,0,0,5]]},[0,0,1]],"h":[{"á":[{},[0,0,0,5]],"e":[{},[0,0,0,5]],"i":[{},[0,0,0,5]],"l":[{},[0,0,0,3]],"r":[{},[0,0,0,5]],"t":[{},[0,0,0,4,3]]}],"l":[{},[0,0,3]],"r":[{},[0,0,3]],"ú":[{},[0,0,3]]}],"d":[{"a":[{"r":[{},[0,3,4]]}],"h":[{"a":[{},[0,0,0,3]],"ú":[{},[0,0,0,5]]}]},[0,0,1]],"f":[{"a":[{".":[{},[0,4]],"c":[{},[0,6,3]],"i":[{"r":[{},[0,0,5]]}],"r":[{"a":[{},[0,0,5]]}]},[0,1]],"á":[{},[0,3]],"l":[{},[0,0,3]],"r":[{},[0,0,1]]}],"g":[{"a":[{"d":[{"á":[{},[0,0,0,5]]}]}],"ó":[{},[0,3]],"r":[{},[0,0,3]],"u":[{},[0,0,5]]}],"h":[{"á":[{},[0,5]]}],"i":[{"b":[{"é":[{},[0,0,0,5]]}],"d":[{"í":[{"s":[{},[0,3]]}]},[0,0,0,1]],"g":[{"í":[{},[0,3]]}],"l":[{"b":[{},[0,0,0,5]],"c":[{},[0,0,0,3,6]],"t":[{"e":[{"á":[{},[0,0,0,0,6]]}],"i":[{},[0,0,0,0,3]]}]}],"m":[{".":[{},[0,3]],"é":[{},[0,0,0,5]],"h":[{},[0,6]],"i":[{"s":[{"e":[{},[0,6,0,5]]}]},[0,1]]},[0,0,6]],"n":[{"i":[{"a":[{},[6]]}],"s":[{},[0,0,0,0,4]],"t":[{"e":[{"o":[{},[0,0,0,4]]},[0,0,0,3]]}]}],"p":[{},[6]],"r":[{"g":[{},[4,0,0,4,3]],"t":[{},[0,0,0,0,3]]}],"s":[{"c":[{},[0,0,0,0,1]],"t":[{"e":[{},[0,0,0,0,3]],"i":[{},[0,0,0,0,3]],"í":[{"n":[{"í":[{},[0,0,0,5,6]]}]}]}]}],"t":[{"e":[{"a":[{"r":[{},[0,3]]}]}],"é":[{},[0,0,0,3]],"s":[{},[0,0,0,3]]}]}],"í":[{"r":[{"e":[{},[0,5]]}]}],"l":[{"c":[{},[0,0,0,6]],"s":[{},[0,0,4,3]]},[0,0,1]],"m":[{"a":[{"n":[{},[0,0,3]],"r":[{},[0,3]],"t":[{},[0,0,3]]}],"h":[{},[0,0,0,1]]}],"n":[{"g":[{"a":[{},[0,0,6]]}],"n":[{"a":[{},[0,3]]}],"t":[{},[0,0,0,4]]},[0,0,1]],"p":[{},[0,0,1]],"r":[{"a":[{"c":[{"h":[{},[0,0,0,0,0,3]]}],"i":[{"m":[{},[0,0,5]]}],"m":[{},[0,0,5]]}],"c":[{"a":[{},[0,0,6]]}],"é":[{},[0,5,6]],"n":[{},[4,0,0,2]],"o":[{"l":[{},[0,3]]}],"t":[{"a":[{"i":[{},[0,0,0,6]],"n":[{},[0,0,0,6]]},[0,0,4]],"r":[{},[0,0,0,6]]}]},[0,0,1]],"s":[{"a":[{},[0,0,3]],"c":[{"á":[{},[0,0,5,6]]},[0,0,0,3]],"e":[{},[0,0,5]],"í":[{},[0,0,3]],"ó":[{},[0,0,1]],"t":[{"a":[{},[0,0,1,4]],"ú":[{},[0,0,3]]}],"u":[{},[0,0,3]],"ú":[{},[0,0,3]]}],"t":[{"a":[{},[0,0,3]],"á":[{},[0,0,1]],"h":[{"e":[{},[0,3,0,4]]},[0,0,0,1]],"ó":[{},[0,0,1]],"r":[{},[0,0,3]]}],"ú":[{"l":[{},[0,5]]}]}],"b":[{"a":[{"c":[{"a":[{"s":[{},[0,0,5]]}],"á":[{},[4]],"s":[{},[0,0,0,6,5]]}],"d":[{"a":[{"r":[{},[0,5]]}],"á":[{"i":[{},[0,0,3]]}]}],"i":[{"d":[{"í":[{},[0,3]]}],"g":[{},[0,3]],"m":[{},[0,3]],"n":[{"t":[{},[0,0,0,0,5,4]]}],"s":[{"c":[{"e":[{},[0,0,0,0,0,5]]}],"t":[{},[0,0,0,0,0,3]]}],"t":[{"é":[{},[0,0,0,0,3]],"í":[{},[0,6]]}]}],"í":[{},[0,1]],"l":[{"b":[{"h":[{"á":[{},[0,0,0,0,0,5]]}]}]}],"m":[{"b":[{},[0,0,0,0,6]]}],"n":[{"a":[{"i":[{"s":[{},[0,0,0,0,0,0,3]]}]}],"d":[{},[0,0,0,3,4]]}],"r":[{"b":[{},[0,0,0,3]],"n":[{},[0,0,0,1,2]],"r":[{},[0,4]],"ú":[{},[0,0,0,3]]}],"s":[{"á":[{"i":[{"r":[{},[0,0,5,6]]}],"r":[{},[0,0,5,6]]}],"c":[{"a":[{"r":[{"n":[{},[0,0,0,0,0,0,0,5]]},[0,0,0,5,6,0,6]]}]}]}],"t":[{"a":[{},[0,0,0,5]]}]}],"á":[{"i":[{"n":[{"n":[{},[0,0,5]]}],"t":[{"e":[{".":[{},[0,0,5]],"á":[{},[0,0,5]]}],"í":[{},[0,0,5]]}]}],"í":[{},[0,0,5,6]],"l":[{"t":[{},[0,4]]},[0,1]],"r":[{"t":[{"h":[{},[0,0,0,0,0,5]]}]},[0,0,0,4]]}],"c":[{"á":[{},[0,0,4]]},[0,1]],"d":[{"a":[{},[0,5]],"é":[{},[0,5]],"h":[{},[0,3]]}],"e":[{"a":[{"b":[{"h":[{},[0,0,0,5,0,6]]},[3]],"c":[{},[0,0,0,6]],"l":[{"t":[{},[0,0,0,0,5,6]]}],"r":[{"b":[{"ó":[{},[0,0,0,0,3]]}]}]}],"á":[{"r":[{},[0,6]]},[0,1]],"i":[{"f":[{},[0,0,0,0,6]],"l":[{"t":[{},[0,0,0,0,6]]}],"r":[{"f":[{},[0,0,0,0,5]],"t":[{"í":[{},[0,0,0,0,5]]}]}]},[5,4]],"o":[{"c":[{"h":[{},[0,0,0,0,0,4]]},[0,0,0,3]],"i":[{"t":[{"e":[{"a":[{},[0,0,0,5]]}]}]}],"m":[{},[0,0,0,5]]}]}],"é":[{"i":[{"t":[{},[3]]}]}],"f":[{},[0,1]],"g":[{"h":[{},[0,3]]}],"h":[{".":[{},[6]],"a":[{"d":[{"á":[{},[0,0,0,6,3]]}],"g":[{"á":[{},[0,0,0,3,4]]}],"i":[{"g":[{},[0,0,3]],"n":[{"t":[{},[0,0,0,0,0,3,4]]}],"s":[{"t":[{},[0,0,0,0,0,0,3]]}]}],"l":[{"b":[{"h":[{},[0,0,0,0,0,0,5]]},[0,0,0,0,6]]}],"r":[{"b":[{},[0,0,0,0,3]],"t":[{},[0,0,0,0,3,4]]}],"t":[{"a":[{},[0,0,0,0,5]]}]},[0,4]],"á":[{"i":[{"n":[{"n":[{},[0,0,0,5]]}],"t":[{"e":[{"á":[{},[0,0,0,5]]}]}]}],"r":[{"t":[{"h":[{},[0,0,0,0,0,0,5]]}]},[0,0,0,0,6]]}],"c":[{"á":[{},[0,0,0,6]]}],"e":[{".":[{},[4]],"a":[{"m":[{},[0,0,5]],"r":[{},[3,0,4]]}],"á":[{},[2,0,1]],"i":[{"f":[{},[0,0,0,0,0,6]],"l":[{"t":[{},[0,0,0,0,0,6]]}],"r":[{"f":[{},[0,0,0,0,0,5]],"t":[{"í":[{},[0,0,0,0,0,5]]}]}]}],"o":[{"c":[{"h":[{},[0,0,0,0,0,0,4]]},[0,0,0,0,3]],"g":[{},[0,0,0,0,5]]}]},[0,4]],"é":[{"a":[{"l":[{"t":[{},[0,0,0,0,0,0,6]]},[0,0,0,0,0,5]],"n":[{"n":[{},[0,0,0,5]]}]}]}],"i":[{"a":[{"t":[{"a":[{".":[{},[0,0,0,0,5]],"c":[{},[0,0,0,0,5]]}]}]}],"d":[{},[3,0,4]],"m":[{},[0,0,3]],"n":[{"s":[{"e":[{},[0,0,0,0,6,3]],"í":[{},[0,0,0,0,6]]}],"t":[{"e":[{},[0,0,0,0,6,5]]}]}],"o":[{"n":[{"g":[{"ó":[{},[0,0,0,0,0,5]]}]}],"s":[{},[0,0,0,0,0,5]]}],"r":[{"t":[{},[3,0,4]]}],"ú":[{},[6,0,3]]}],"í":[{"g":[{},[4]],"m":[{},[4,0,3]],"n":[{},[0,0,3]],"o":[{"t":[{},[0,0,0,5]]},[4]],"t":[{"h":[{},[0,0,0,6]]},[4]]}],"l":[{"a":[{"s":[{},[3,0,4]]}],"á":[{"f":[{},[0,0,0,0,0,5]]},[0,0,0,0,6]],"e":[{"a":[{"d":[{},[0,0,0,0,0,0,5]]}]}]}],"o":[{"l":[{"t":[{"a":[{".":[{},[0,0,0,0,6]],"í":[{},[0,0,0,0,6,5]]}],"á":[{},[0,0,0,0,6]]}]}]},[1]],"ó":[{"i":[{"s":[{},[0,0,0,0,5,6]]}],"l":[{"a":[{"c":[{},[0,0,0,5,6]]}]}]},[0,0,1]],"r":[{"a":[{"n":[{"d":[{},[0,0,0,0,0,6,5]]}]}],"e":[{".":[{},[6]]}],"é":[{"a":[{},[0,0,6]]}],"i":[{"c":[{},[0,0,6]]}],"í":[{"o":[{"c":[{},[0,0,0,0,3]],"m":[{"h":[{},[0,0,0,0,0,5,0,4]]}]}]}]}],"s":[{},[4]],"t":[{"í":[{},[0,0,5]]}],"u":[{"a":[{"d":[{"a":[{},[0,0,0,0,5]]}],"i":[{"m":[{},[0,0,0,0,5]],"t":[{"e":[{".":[{},[0,0,0,0,5]]}]}]}],"l":[{},[0,0,0,0,0,5]]},[0,0,4]],"i":[{"t":[{"h":[{},[0,0,3]]},[4]]}],"r":[{"d":[{"á":[{},[0,0,0,0,0,5]]}],"l":[{},[0,0,0,0,2,3]]}],"s":[{"t":[{},[0,0,0,0,0,5]]}]},[1]],"ú":[{"i":[{"r":[{},[0,0,0,0,0,5]],"s":[{},[0,0,0,0,0,5]]}],"m":[{},[0,0,0,0,5]]}]}],"i":[{"a":[{"l":[{},[0,0,0,3]],"t":[{"a":[{".":[{},[0,0,0,5]],"c":[{},[0,0,0,5,6]],"i":[{"g":[{},[0,0,0,5,6]]}],"í":[{},[0,0,0,5,6]]}]}]}],"d":[{"i":[{},[0,0,0,5]]},[0,1]],"n":[{"é":[{},[0,0,3]],"i":[{},[0,0,0,5]],"s":[{},[0,0,0,0,3]],"t":[{},[0,0,0,0,3]]},[0,0,0,4]],"o":[{"n":[{"g":[{"ó":[{},[0,0,0,0,5]]}]}],"s":[{"c":[{},[0,0,0,0,0,6]]},[0,0,0,0,5]]}],"r":[{},[6,1]],"s":[{"t":[{},[0,0,0,0,4]]},[6,0,0,3]],"t":[{"s":[{},[0,0,0,5]]}]}],"í":[{"c":[{},[0,0,3]],"n":[{},[0,1]],"t":[{"e":[{"a":[{"c":[{},[0,0,0,5]]}]}],"h":[{},[0,0,6,0,5]],"i":[{"g":[{},[0,0,6]]}]},[0,1]]}],"l":[{"a":[{"d":[{"a":[{},[0,0,0,0,5]]}],"g":[{"r":[{},[0,0,0,3]]}],"s":[{},[0,0,0,0,3]]}],"á":[{"f":[{},[0,0,0,0,3]]},[0,0,0,4]],"e":[{"a":[{"d":[{},[0,0,0,0,0,5]]}]}],"i":[{"m":[{},[0,0,0,0,6]]},[0,0,6]],"í":[{},[0,1]],"ó":[{},[0,1]]}],"n":[{"i":[{},[0,0,6]],"í":[{},[0,3]]}],"o":[{"d":[{"ó":[{},[0,0,0,3]]}],"l":[{"s":[{},[0,0,0,4]],"t":[{"a":[{".":[{},[0,0,0,6]],"í":[{},[0,0,0,6,5]]}],"á":[{},[0,0,0,4]]}]}],"r":[{"d":[{},[0,0,0,0,3]]}],"s":[{"t":[{},[0,0,0,5,6]]}]}],"ó":[{"g":[{},[0,1]],"i":[{"d":[{},[0,3]]}],"l":[{"a":[{"c":[{},[0,0,5,6]]}]}],"s":[{},[0,0,6,5]],"t":[{"h":[{},[0,0,0,0,5]]}]}],"p":[{"á":[{},[0,0,6]],"i":[{"s":[{"t":[{},[0,0,0,0,0,6]]}]},[0,0,6]],"o":[{},[0,5]]}],"r":[{"a":[{"d":[{"á":[{},[0,0,0,0,5]]}],"n":[{"d":[{},[0,0,0,0,6,5]],"g":[{},[0,0,0,0,3,4]]}],"t":[{"ó":[{},[0,0,0,0,5]]}]}],"é":[{},[0,0,0,6]],"í":[{"o":[{"m":[{"h":[{},[0,0,0,0,3,0,4]]}]}]},[0,1]]}],"s":[{},[0,1,2]],"t":[{"h":[{},[0,0,0,6]]},[0,1]],"u":[{"a":[{"d":[{"a":[{},[0,0,0,5]]}],"i":[{"m":[{},[0,0,0,3]],"r":[{},[0,0,0,0,0,3]],"t":[{"e":[{".":[{},[0,0,0,5]],"a":[{"r":[{},[0,0,0,5]]}]}]}]}]}],"i":[{"n":[{"t":[{},[0,0,0,0,6]]}]}],"n":[{},[0,0,0,1]],"r":[{"d":[{},[0,0,0,0,3]],"l":[{},[0,0,0,0,1]]},[0,0,0,2]],"s":[{"t":[{},[0,0,0,0,5]]}]}],"ú":[{"i":[{"d":[{},[3]],"r":[{},[0,0,0,0,5]],"s":[{},[0,0,0,0,5]]}],"m":[{},[0,0,0,3]]}]}],"c":[{"a":[{"b":[{"a":[{"l":[{},[0,0,0,5]]}]}],"c":[{},[0,1]],"d":[{"á":[{},[0,0,3]]},[0,1]],"e":[{"d":[{},[0,0,0,4,3]]}],"i":[{"b":[{"é":[{},[0,0,0,0,5]]}],"d":[{"h":[{"n":[{"e":[{},[0,0,0,0,0,5]]}]}]}],"m":[{"é":[{},[0,0,0,5,4]]}],"n":[{"d":[{},[0,0,0,0,6]],"t":[{},[0,0,0,0,2,3]]}],"r":[{"b":[{"h":[{},[0,0,0,0,0,0,5]]},[0,0,0,0,6]],"d":[{"í":[{},[0,0,0,0,6,5]]}],"t":[{"e":[{},[0,0,0,0,6,5]]}]}],"s":[{"n":[{},[0,2]],"t":[{},[0,0,0,0,3,6]]}],"t":[{"é":[{},[0,0,0,0,3]]}]}],"í":[{},[0,1]],"l":[{"a":[{"n":[{},[0,0,0,5]]}],"b":[{"h":[{"a":[{},[0,0,0,0,0,3]]}]}],"m":[{},[0,0,0,4]]}],"m":[{"á":[{"n":[{},[0,0,3]]}]}],"n":[{"c":[{},[0,0,0,5,6]],"s":[{},[0,0,0,5,6]],"t":[{},[0,0,0,3,2]]}],"o":[{"d":[{},[5]]}],"r":[{"a":[{},[0,6]],"b":[{"h":[{},[0,0,0,0,0,4]]},[3,4,0,1]],"d":[{},[0,0,0,0,3]],"l":[{},[0,4]],"n":[{"á":[{},[0,0,0,0,5]]}],"s":[{},[0,4]],"t":[{"a":[{"c":[{},[0,0,0,0,6]]},[0,6]]}],"ú":[{},[0,0,0,3]]}],"s":[{"t":[{"ó":[{},[0,0,0,5]]},[0,0,0,0,6]]},[0,0,0,1]],"t":[{"a":[{},[0,0,0,5]],"ó":[{},[0,0,0,3]]}]}],"á":[{"c":[{},[5,6]],"f":[{},[0,0,4,3]],"i":[{"d":[{},[0,2]],"n":[{"t":[{"e":[{"a":[{"c":[{},[0,0,0,0,6,5]]}]}],"i":[{},[0,0,0,0,6]]}]}]},[0,0,6]],"n":[{"n":[{},[0,6]]}],"r":[{"t":[{"a":[{".":[{},[0,0,0,5]]}]}]}],"t":[{},[0,2]]},[0,1]],"b":[{"h":[{},[0,3,0,6]]}],"d":[{"h":[{},[0,3]]}],"e":[{"a":[{"b":[{"a":[{},[0,3,0,0,5]]},[0,0,0,6]],"d":[{"a":[{"s":[{},[0,0,0,0,5]]}],"á":[{},[0,3]]},[6]],"i":[{},[5,6]],"n":[{"a":[{},[3]],"ó":[{},[5]],"t":[{"á":[{},[0,0,0,0,4]]}]}],"r":[{"b":[{"h":[{},[0,0,0,0,0,0,4]]},[0,0,0,0,3]]}],"s":[{"m":[{},[3]],"t":[{"a":[{},[0,0,0,0,0,5]],"á":[{},[0,0,0,3]],"ó":[{},[0,0,0,0,0,5]]},[0,0,0,0,6]],"ú":[{},[0,0,0,3]]}]}],"á":[{".":[{},[5]],"f":[{},[0,0,0,6,5]],"n":[{"a":[{},[3,4]]},[0,0,0,3,4]]},[0,1]],"i":[{"l":[{"t":[{},[0,0,0,0,4]]}],"r":[{"m":[{},[0,0,0,0,5,4]]}],"t":[{"s":[{},[0,0,0,0,6]]}]},[0,4]],"o":[{"m":[{},[0,0,0,3]]}],"r":[{},[0,0,3,4]]},[2]],"é":[{"a":[{"l":[{"t":[{},[0,0,0,0,0,6]]},[0,0,0,0,5]],"s":[{},[5]],"t":[{"á":[{},[0,0,0,3]]}]}],"i":[{"t":[{},[0,6]]},[0,0,0,6]]}],"f":[{},[2,1]],"g":[{"h":[{},[0,3]]}],"h":[{".":[{},[4]],"a":[{"c":[{"h":[{"a":[{},[6,0,5]],"t":[{},[0,0,0,0,0,0,6]]}]}],"d":[{},[0,0,1]],"i":[{"n":[{"t":[{},[0,0,0,0,0,0,3]]}],"r":[{"d":[{},[0,0,0,0,0,6,5]]}],"s":[{"t":[{},[0,0,0,0,0,5,6]]}],"t":[{"e":[{},[5,0,6]]}]}],"l":[{".":[{},[0,0,5]],"m":[{},[0,0,0,0,4]]}],"m":[{"p":[{},[5]]}],"n":[{"c":[{},[0,0,0,0,5,6]],"t":[{"ó":[{},[0,0,4]]}]}],"r":[{"b":[{"h":[{},[0,0,0,0,0,0,6]]},[0,0,0,0,3]],"f":[{},[0,0,3]],"n":[{},[0,0,0,0,0,5]]}],"s":[{"t":[{},[0,0,0,0,0,4]]},[0,0,1,0,1]],"t":[{"a":[{},[0,0,0,0,5]],"ó":[{},[0,0,0,0,5]]}]}],"á":[{"i":[{"r":[{},[0,0,3]]}],"l":[{},[0,0,1]],"n":[{},[0,0,1]],"r":[{},[5]]},[0,0,0,6]],"e":[{".":[{},[2]],"a":[{"r":[{"b":[{"h":[{},[0,0,0,0,0,0,0,6]]},[0,0,0,0,0,3]]}],"s":[{"t":[{},[0,0,0,0,0,6,5]]}]}],"á":[{"f":[{},[0,0,0,0,0,5]]},[0,0,0,0,6]],"i":[{"r":[{"m":[{},[0,0,0,0,0,5,6]]}]}]}],"é":[{},[3]],"f":[{},[0,0,1]],"i":[{"a":[{},[0,0,0,0,6]],"l":[{},[0,0,0,0,6]],"n":[{"t":[{},[0,0,0,0,5]]}]}],"í":[{"l":[{},[0,0,0,0,5]]}],"l":[{"a":[{"s":[{"a":[{},[0,0,4]],"p":[{},[0,0,0,0,0,6,5]]}]}],"á":[{"r":[{},[0,0,4]]}],"é":[{"i":[{},[0,0,0,0,6]]}],"o":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,0,6]]},[0,0,0,0,0,0,5]]}]},[3,0,4]],"ó":[{"d":[{},[0,0,0,0,0,6]]}]}],"m":[{},[0,0,1,2]],"n":[{"ú":[{},[0,0,3]]}],"o":[{"b":[{"a":[{},[0,0,5]]}],"i":[{"r":[{"n":[{},[0,0,0,0,0,0,6]]}]}],"m":[{"h":[{},[0,0,0,0,0,3]]},[0,0,0,4]],"n":[{"a":[{"m":[{},[0,0,0,0,0,5]]}],"c":[{},[0,0,0,0,3]],"g":[{},[0,0,0,0,5]]}],"r":[{"b":[{},[0,0,0,0,0,5]],"n":[{},[0,0,0,0,0,5]],"p":[{},[0,0,0,0,6,3]],"t":[{},[0,0,0,0,5,6]]}]},[3,4]],"ó":[{".":[{},[5]],"c":[{},[5]],"d":[{"a":[{},[5]],"h":[{},[0,0,3]]}],"g":[{".":[{},[0,0,3]]}],"i":[{"g":[{},[0,0,3]],"p":[{},[3]]}],"m":[{},[0,0,0,1]],"r":[{"a":[{"i":[{},[5]],"s":[{},[5]]}]}],"t":[{},[3]]}],"r":[{"a":[{"i":[{"c":[{},[5,0,6]]}],"o":[{},[3,0,6]],"p":[{},[3]]}],"á":[{"i":[{"n":[{"n":[{},[0,0,0,0,5]]}],"t":[{"í":[{},[0,0,0,0,5]]}]}]}],"e":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,0,0,6]]},[0,0,0,0,0,0,0,5]]}]}]},[3,0,4]],"i":[{"o":[{},[3]],"t":[{},[0,0,6]]},[0,0,0,0,6]],"í":[{"o":[{"c":[{"h":[{},[0,0,0,0,0,0,0,5]]}]}]},[0,0,4,0,6]],"o":[{"s":[{"t":[{},[0,0,0,0,0,0,6]]},[0,0,0,0,0,3]]},[1]],"u":[{"a":[{"i":[{"m":[{},[0,0,0,0,0,5]]}]}]}]}],"t":[{},[4]],"u":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,0,6]]}]}]},[0,0,0,0,6]],"i":[{"l":[{"c":[{},[0,0,0,0,0,5]],"t":[{},[0,0,0,0,0,6]]}]}],"l":[{"c":[{},[0,0,0,0,0,6]]},[0,0,0,0,5]],"r":[{"l":[{},[0,0,0,0,6,5]]}],"s":[{},[0,0,0,0,3]]},[1]],"ú":[{"i":[{},[0,0,0,6]],"l":[{},[0,0,0,0,5]],"s":[{},[0,0,3]]},[0,6]]},[0,2]],"i":[{"a":[{"f":[{},[0,0,0,6,5]],"m":[{".":[{},[0,3]]}]}],"d":[{"i":[{},[0,0,0,5]],"í":[{},[0,1]]}],"g":[{"h":[{},[0,3]],"í":[{},[0,1]]}],"l":[{"l":[{"i":[{},[0,4]]}]}],"m":[{"é":[{},[0,0,3]],"p":[{"í":[{"n":[{"í":[{},[0,0,0,6,5]]}]}]}]}],"n":[{"d":[{},[0,0,0,4]],"e":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,0,0,6]]},[0,0,0,0,0,0,0,5]]}]}]}],"t":[{},[3]]}],"o":[{"n":[{},[3]]}],"p":[{"é":[{},[0,0,6,5]],"l":[{},[0,0,3,4]]},[3]],"r":[{"t":[{},[3]]}],"s":[{"t":[{"e":[{"a":[{"r":[{},[0,0,0,5]]}],"á":[{},[0,0,0,5]]}],"i":[{"n":[{},[0,0,0,3,6]]}]}]}],"ú":[{".":[{},[0,3]],"l":[{},[0,3]]}],"v":[{},[0,0,5]]}],"í":[{".":[{},[2]],"l":[{},[0,0,0,5]],"m":[{},[0,1]],"n":[{},[2,1]],"r":[{},[3]],"t":[{".":[{},[3,4]],"e":[{".":[{},[3,4]]}],"h":[{},[0,0,6]]},[0,0,0,6]]}],"l":[{"a":[{"d":[{"á":[{},[0,0,0,0,5]],"ó":[{},[0,0,0,0,3]]}],"s":[{"p":[{},[0,0,0,0,6,5]]}]},[0,0,0,4]],"e":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,6,5]]}]}],"t":[{"a":[{},[0,0,0,0,0,5]]}]}]}],"é":[{"i":[{},[0,0,0,6]]}],"i":[{"m":[{},[0,0,0,0,5]]}],"o":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,6]]},[0,0,0,0,0,5]]}]},[2]],"ó":[{"d":[{"ó":[{},[0,0,0,3]]},[0,0,0,0,4]],"i":[{"m":[{".":[{},[0,0,0,5]]}],"t":[{"í":[{},[0,0,0,5]]}]}]}],"u":[{},[4]]}],"m":[{},[0,1,2]],"n":[{"a":[{"g":[{},[0,0,0,0,5]]},[0,0,0,6]],"e":[{"á":[{"c":[{},[0,0,0,0,5]]}]}]},[2,0,2]],"o":[{"d":[{},[0,0,0,3]],"f":[{},[0,0,0,5]],"i":[{"l":[{"t":[{},[0,0,0,0,4,3]]}],"r":[{"n":[{},[0,0,0,0,0,4]]}]}],"m":[{"h":[{},[0,0,0,0,3]]},[0,0,4]],"n":[{"a":[{"c":[{},[0,0,0,0,6]],"m":[{},[0,0,0,0,3]]}],"c":[{},[0,0,0,3]],"g":[{},[0,0,0,5]]}],"r":[{"a":[{"n":[{"t":[{},[0,0,0,0,0,0,3]]},[0,0,0,0,0,4]]}],"b":[{},[0,0,0,0,3]],"n":[{},[0,0,0,0,3]],"p":[{},[0,0,0,6,1]],"t":[{},[0,0,0,3,4]]}],"s":[{"c":[{},[0,0,0,0,3]]},[5]]},[0,2]],"ó":[{"c":[{},[0,6]],"f":[{},[4,1]],"i":[{"p":[{},[0,4]],"s":[{"t":[{},[0,0,0,0,0,4]]},[0,0,0,0,3]]}],"m":[{"a":[{},[0,0,4]]},[3,4,1]],"n":[{},[3]],"p":[{},[6]],"r":[{},[0,0,0,5]],"t":[{},[5,6,0,3]]}],"p":[{},[0,1]],"r":[{"a":[{".":[{},[0,3]],"g":[{},[0,0,0,0,5]],"i":[{"l":[{},[0,0,0,0,3,4]],"s":[{"t":[{},[0,0,0,0,0,0,5]]},[0,0,0,0,0,4]]}],"t":[{},[0,4]]}],"á":[{"i":[{"n":[{"n":[{},[0,0,0,5]]}],"t":[{"í":[{},[0,0,0,5]]}]}]}],"e":[{"a":[{"b":[{"a":[{},[0,0,0,0,0,5]]},[0,0,0,0,6]],"c":[{"h":[{"t":[{},[0,0,0,0,0,0,0,6]]},[0,0,0,0,0,0,5]]}],"s":[{"c":[{},[0,0,0,0,5]]}]}],"á":[{},[0,5]]},[0,2]],"é":[{"a":[{"l":[{"t":[{},[0,0,0,0,0,0,4]]},[0,0,0,0,0,3]]}]}],"i":[{"b":[{},[0,0,0,5]],"l":[{},[0,5]],"t":[{"é":[{},[0,0,0,0,5]]},[0,0,0,6]],"ú":[{"i":[{},[0,0,0,0,5]]}]}],"í":[{"o":[{"c":[{"h":[{},[0,0,0,0,0,0,5]]}]}]},[0,0,0,6]],"o":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,4]]},[0,0,0,0,0,3]]}],"s":[{"t":[{},[0,0,0,0,0,4]]},[0,0,0,0,3]]}],"u":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,0,6]]}]}],"i":[{"m":[{},[0,0,0,0,5]],"t":[{"e":[{"a":[{},[0,0,0,0,5]]}]}]}]}]}],"ú":[{"i":[{"t":[{"í":[{},[0,0,0,5]]}]}]}]}],"s":[{"e":[{".":[{},[0,6]],"a":[{"g":[{},[0,0,0,0,5,6]],"l":[{},[0,6,5]]}]}],"i":[{"c":[{},[0,4]],"d":[{},[0,0,0,5]],"g":[{},[0,4]],"l":[{},[0,6,5]],"m":[{},[0,0,4]],"s":[{},[0,0,5]]}],"í":[{"t":[{},[0,4,3]]}],"m":[{},[0,3,4]],"ó":[{},[0,0,3]],"t":[{"a":[{"r":[{},[0,6,5]]}]},[0,3,0,4]],"ú":[{},[0,0,3]]}],"t":[{"e":[{".":[{},[0,6]],"a":[{"c":[{},[0,4,3]],"n":[{},[0,6,5]]}],"á":[{"i":[{},[0,6]],"r":[{},[0,6,5]]}],"o":[{},[0,0,4]]}],"h":[{},[0,0,0,4]],"i":[{"ú":[{},[0,0,6]]}],"í":[{"o":[{},[0,0,4]]}]},[2,1]],"u":[{"a":[{"c":[{"h":[{"t":[{"a":[{"í":[{},[0,0,0,0,0,5]]}]},[0,0,0,0,0,0,6]]}]}],"m":[{},[0,0,0,6]]}],"i":[{"l":[{"c":[{},[0,0,0,0,0,6]],"t":[{},[0,0,0,0,6]]},[0,0,0,0,3]]}],"l":[{"c":[{},[0,0,0,0,4]],"t":[{"a":[{"i":[{},[0,0,0,6,5]]}]}]},[0,0,0,3]],"r":[{"l":[{},[0,0,0,6,5]]}],"s":[{},[0,0,0,3]]}],"ú":[{"i":[{},[0,0,6]],"l":[{"a":[{".":[{},[0,3]]}]},[0,0,0,5]],"n":[{},[0,4]],"r":[{},[3]]}]}],"d":[{"a":[{"b":[{"a":[{},[0,0,0,5]]},[0,0,6]],"c":[{"a":[{"c":[{},[0,0,5,6]],"í":[{},[0,0,5,6]]}],"s":[{},[3,4]]},[0,1]],"d":[{},[0,1]],"e":[{},[0,0,0,5]],"g":[{"a":[{"s":[{"c":[{},[0,0,0,0,0,5,6]]}]}]},[0,3,3]],"i":[{"g":[{"h":[{"n":[{},[0,0,0,3]]}]}],"n":[{"e":[{},[5,6]],"g":[{},[3,4]]}],"p":[{},[0,0,0,5]],"r":[{"b":[{"h":[{},[0,0,0,0,0,0,5]]},[3,4,0,0,4]],"i":[{},[3,4]],"n":[{},[0,0,0,0,4]]}]},[0,1]],"í":[{},[0,1]],"l":[{"b":[{"h":[{},[0,0,0,0,0,5]]}],"ú":[{},[6,0,3,4]]}],"n":[{"n":[{},[4]]},[0,1]],"r":[{"a":[{"o":[{},[0,0,3,4]]}],"á":[{},[0,4]],"d":[{},[0,0,0,6]],"g":[{},[0,0,0,0,4]],"n":[{},[0,0,0,0,4]],"s":[{},[0,3]],"t":[{},[0,0,0,5,4]]},[0,0,0,1]],"s":[{"t":[{},[0,0,3]]}],"t":[{},[3,4]]}],"á":[{"d":[{},[0,6]],"i":[{"d":[{},[3]],"s":[{},[0,5]],"t":[{},[0,4]]}],"l":[{},[0,1]],"r":[{"a":[{"s":[{},[0,0,0,0,5]]}],"t":[{},[0,0,0,0,6]]},[0,0,0,5]],"t":[{"h":[{},[0,0,3]]}]}],"b":[{"h":[{"i":[{"n":[{},[0,0,0,0,0,4]]}]}]},[0,1]],"c":[{},[0,1]],"e":[{"a":[{"d":[{},[4,3]],"g":[{"ó":[{},[0,5]]},[6,0,0,0,3]],"l":[{"a":[{},[0,0,0,0,5]]}],"m":[{},[6]],"n":[{"d":[{},[0,6]],"n":[{"a":[{"i":[{},[5,6]],"s":[{},[5,6]]}]},[4]]}],"r":[{"b":[{"a":[{},[0,0,0,0,5]],"h":[{},[0,0,0,0,0,0,5]]},[5,6,0,0,0,6]],"t":[{},[0,0,0,0,5,6]]}],"t":[{},[0,0,0,0,3]]}],"á":[{"t":[{"h":[{},[0,0,0,0,0,3]]}]},[0,0,0,4]],"i":[{"l":[{"b":[{"h":[{},[0,0,0,0,0,0,5]]}],"t":[{"e":[{".":[{},[0,0,0,0,6]]}]}]}],"r":[{},[3,4]]}],"m":[{},[0,6]],"o":[{"i":[{"r":[{},[4]]}],"r":[{},[4]]},[0,1]]}],"é":[{"a":[{"m":[{},[0,0,0,0,5]]}],"i":[{"d":[{"l":[{"i":[{"a":[{},[0,0,0,0,0,0,0,5]]}]}]}],"m":[{},[0,4]]}]}],"f":[{},[2,1]],"g":[{},[0,1]],"h":[{".":[{},[6]],"a":[{"o":[{},[0,0,4]],"r":[{"t":[{},[0,0,0,0,3,4]]}],"s":[{"c":[{},[0,0,0,0,0,6]]},[0,0,0,0,5]]}],"á":[{},[1]],"b":[{},[0,0,2]],"c":[{"a":[{},[0,0,6,5]],"á":[{},[0,0,4]],"i":[{},[0,0,4]]}],"e":[{"a":[{"r":[{"b":[{"a":[{},[0,0,0,0,0,5]],"h":[{},[0,0,0,0,0,0,0,5]]},[0,0,0,0,0,0,6]],"t":[{},[0,0,0,0,0,5,6]]}]}],"á":[{},[0,0,0,0,6]],"i":[{"l":[{"b":[{"h":[{},[0,0,0,0,0,0,0,5]]}],"t":[{"e":[{".":[{},[0,0,0,0,0,6]]}]}]}]}]}],"é":[{},[3,6]],"f":[{},[0,0,5]],"i":[{"a":[{"f":[{},[0,0,0,0,5]]}],"n":[{"t":[{},[0,0,0,0,0,5]]}],"p":[{},[0,0,0,0,5]]}],"í":[{"o":[{},[0,0,0,4]],"r":[{"é":[{},[0,0,0,3]]}]}],"l":[{"e":[{"a":[{"n":[{},[0,0,6,5]]}]}],"í":[{"o":[{"d":[{"ó":[{},[0,0,0,0,0,5]]}]}]}]}],"n":[{"e":[{},[0,0,4,3]],"u":[{},[0,0,5]],"ú":[{},[0,0,5]]}],"o":[{"b":[{},[0,0,0,0,4]],"c":[{"h":[{"a":[{"i":[{"d":[{},[0,0,0,5]]}]}],"e":[{},[0,0,0,5]]}]}],"d":[{"h":[{},[0,0,0,5]]}],"g":[{"h":[{"l":[{},[0,0,0,5]]}]}],"i":[{"r":[{"n":[{},[0,0,0,0,0,4,5]]}]}],"r":[{"é":[{},[0,0,0,5]],"n":[{},[0,0,0,0,0,5]]},[0,0,0,0,2]],"s":[{"c":[{"a":[{"í":[{},[0,0,0,0,5]]},[0,0,0,0,0,6]]}],"m":[{},[0,0,0,5,6]]}],"t":[{"h":[{"r":[{},[0,0,0,5]],"u":[{},[0,0,0,5]]}]}]},[3]],"ó":[{"f":[{},[0,0,0,3]],"i":[{"d":[{"í":[{},[0,0,0,5]]}],"m":[{},[0,0,0,3]],"n":[{},[0,0,0,5]]}]}],"r":[{"o":[{},[3,0,4]],"ó":[{"l":[{},[0,0,0,0,5,6]]}]}],"s":[{"á":[{},[0,0,2,3]]}],"t":[{"e":[{},[0,0,6]]}],"u":[{"a":[{"l":[{},[0,0,0,0,0,5]],"m":[{"h":[{},[0,0,0,0,0,0,6]]},[0,0,0,0,5]]}],"r":[{"d":[{},[0,0,0,0,0,4]]},[0,0,0,0,1]]},[3]],"ú":[{"l":[{"é":[{},[0,0,0,5]]}],"r":[{"ú":[{},[0,0,0,5]]}],"s":[{},[0,0,0,3]]}]},[0,2]],"i":[{"a":[{"f":[{},[0,0,0,5,6]],"m":[{".":[{},[6,5]],"h":[{},[0,0,0,3]]}]}],"b":[{},[4]],"c":[{"e":[{},[0,0,0,5]],"t":[{},[3]]},[0,0,0,4]],"d":[{"h":[{},[0,5]],"í":[{},[0,3]]}],"g":[{},[0,1]],"l":[{"é":[{},[0,0,5]]}],"m":[{},[0,1]],"n":[{"é":[{"i":[{},[0,0,3,4]]},[0,3]],"t":[{},[0,0,0,6,5]]},[4]],"p":[{},[5]],"s":[{"t":[{},[0,0,0,0,5]]}],"t":[{},[0,1]]}],"í":[{"g":[{"h":[{},[0,0,1]]}],"l":[{"e":[{"a":[{},[0,0,4]]},[0,0,3]]}],"m":[{},[0,1]],"o":[{},[0,0,2]],"r":[{"é":[{},[0,0,3]]}],"s":[{},[0,2]],"t":[{"h":[{"e":[{},[0,0,6]]}],"i":[{},[0,0,0,6]]},[0,1]],"v":[{},[0,0,0,3]]}],"l":[{"a":[{"d":[{},[0,4,3]],"m":[{"p":[{"a":[{".":[{},[0,0,0,0,5]]}]}]}],"n":[{},[0,3]]},[0,1]],"á":[{},[5,6]],"é":[{},[0,1]],"í":[{"b":[{},[0,0,0,3]],"o":[{"d":[{"ó":[{},[0,0,0,0,3]]}]}]}],"ó":[{},[0,3]],"ú":[{},[3,4]]}],"m":[{"a":[{"n":[{},[0,0,0,0,4]]}],"h":[{},[0,0,0,2]],"i":[{},[0,0,6]]},[0,1]],"n":[{"i":[{},[0,0,4]]},[0,1]],"o":[{"b":[{"r":[{},[0,0,3]]},[0,0,0,4]],"c":[{"h":[{"a":[{"i":[{"d":[{},[0,0,5]]}]}],"e":[{},[0,0,5]],"t":[{"a":[{},[0,0,0,0,6,5]],"á":[{},[0,0,0,0,6]]}]}]}],"d":[{"h":[{},[0,0,3]]}],"g":[{"h":[{"l":[{},[0,0,3]]}]}],"i":[{"f":[{},[0,3]],"l":[{"b":[{"h":[{},[0,0,0,0,0,0,3]]}]}],"r":[{"n":[{},[0,0,0,0,4,3]]},[5]]}],"l":[{"a":[{"g":[{},[0,0,5]]}],"e":[{},[0,0,5]]}],"m":[{"h":[{"i":[{},[0,0,3]],"o":[{},[0,0,5]],"ú":[{},[0,0,5]]}]}],"r":[{"c":[{"h":[{},[0,0,0,0,0,3]]},[0,0,0,2]],"d":[{},[0,0,0,0,3]],"é":[{},[0,0,5,6]],"i":[{},[0,0,5]],"n":[{},[0,0,0,6,3]]},[3]],"s":[{"c":[{"a":[{"í":[{},[0,0,0,3]]},[0,0,0,0,4]]}],"m":[{},[0,0,5,6]]}],"t":[{"h":[{"a":[{},[0,0,6,0,5]]},[0,0,0,0,4]]},[0,0,3]]}],"ó":[{".":[{},[3]],"c":[{},[3,4]],"f":[{},[0,1]],"g":[{},[2,1]],"i":[{"c":[{},[5,6]],"g":[{"h":[{},[5,6]]}],"m":[{".":[{},[0,0,5]]}],"r":[{"s":[{},[2,3]]}],"v":[{},[5]]}],"m":[{},[0,0,5,6]],"n":[{"n":[{},[3]]}],"s":[{},[6,5]],"t":[{"h":[{},[0,0,0,0,3]]}]}],"r":[{"a":[{"i":[{"m":[{},[6]]}],"n":[{"ó":[{},[0,0,0,5,6]]}]}],"á":[{},[0,1]],"e":[{"á":[{},[0,3]],"o":[{"i":[{"t":[{},[0,0,0,0,5]]}],"r":[{},[3,4]]}]}],"í":[{},[0,1]],"o":[{"g":[{},[4]]},[3,2]],"ó":[{"c":[{},[3]],"l":[{},[0,0,0,3,4]],"m":[{},[3]]}],"u":[{},[3,4]],"ú":[{},[0,0,4]]}],"s":[{"a":[{},[0,0,4]],"r":[{},[0,0,6]]},[0,1]],"t":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,6,5]]}]}],"i":[{"s":[{"t":[{},[0,0,0,0,0,0,5]]}]}],"n":[{"g":[{},[0,0,0,0,5]]}],"p":[{},[0,0,0,0,5]]},[0,0,0,6]],"é":[{"i":[{"t":[{"e":[{"a":[{},[0,0,0,0,0,5]]}]}]}]}],"i":[{},[0,0,6,6]],"r":[{"á":[{"i":[{"t":[{"í":[{},[0,0,0,0,5]]}]}]}],"ó":[{"f":[{},[0,0,0,0,0,5]]}]}],"u":[{"a":[{"i":[{"m":[{},[0,0,0,0,5]]}]}]}]},[0,1,2]],"u":[{"a":[{"l":[{},[0,0,0,0,5]],"m":[{"h":[{},[0,0,0,0,0,4]]},[0,0,0,3]],"r":[{"t":[{},[0,0,0,0,5]]}]}],"c":[{"h":[{"t":[{},[0,0,0,0,0,5]]},[0,0,0,0,6]]},[3,4]],"i":[{"t":[{},[0,1]]}],"l":[{},[3,4]],"n":[{"s":[{},[0,0,0,6,5]]}],"r":[{"d":[{},[0,0,0,0,2]]},[0,0,0,1]]}],"ú":[{"b":[{"h":[{},[0,0,3]]}],"l":[{"é":[{},[0,0,3,4]]}],"r":[{"ú":[{},[0,0,5]]}],"s":[{"c":[{},[0,0,3]]}]}],"v":[{"e":[{},[0,3]]}]}],"e":[{"a":[{"b":[{"h":[{"t":[{},[0,0,0,0,5,6]]}]}],"c":[{"a":[{"r":[{},[0,0,5]]}],"h":[{"ó":[{},[0,0,0,0,3]]}],"l":[{"ó":[{},[0,0,5,6]]}],"o":[{},[0,0,5]],"ó":[{".":[{},[0,0,5]]}]}],"d":[{"á":[{},[0,0,0,1]],"h":[{},[0,0,6]],"ó":[{"i":[{"n":[{},[0,0,4,3]]}]}]}],"f":[{"t":[{},[0,0,0,0,5]]}],"g":[{"a":[{},[0,0,4,3]],"á":[{"l":[{},[0,0,3,4]]}],"h":[{"d":[{},[0,0,0,0,2,3]]}],"m":[{},[6]],"ó":[{},[0,0,0,3]]}],"i":[{"n":[{},[0,0,0,0,5]],"s":[{"t":[{},[0,0,0,0,6,3]]}]}],"l":[{"b":[{"h":[{"a":[{"c":[{},[0,0,0,0,0,5]]}]}]}],"p":[{},[0,0,0,6,5]],"t":[{"a":[{"c":[{},[0,0,0,4,3]],"i":[{"g":[{},[0,0,0,6,5]]}]}],"á":[{"i":[{},[0,0,0,6]],"n":[{},[0,0,0,6]]},[0,0,0,0,3]]}]}],"m":[{"a":[{"i":[{"t":[{},[0,0,0,5]]}],"r":[{"a":[{},[0,0,0,0,3]]},[0,0,0,0,0,4]],"t":[{},[0,0,3]]}],"á":[{},[6]],"p":[{"l":[{"ó":[{},[0,0,0,4,3]]}]}]}],"n":[{"d":[{},[0,0,0,3,4]],"t":[{"á":[{"i":[{"l":[{},[0,0,0,6]]}]}]}],"ú":[{},[6]]}],"r":[{"a":[{"i":[{"c":[{},[0,0,0,0,0,5]]}]}],"b":[{"á":[{},[0,0,0,0,3]]}],"f":[{},[0,0,0,3,4]],"m":[{},[0,0,0,1,2]],"n":[{},[0,0,0,0,3]],"t":[{"a":[{".":[{},[6]]}]}],"ú":[{"i":[{},[0,0,3]]}]}],"s":[{"a":[{},[0,0,0,3]],"á":[{"i":[{"r":[{},[0,0,3,4]]}]}],"h":[{},[6]],"m":[{},[4]],"t":[{"r":[{},[0,0,3,2]]}],"ú":[{},[4]]}],"t":[{"á":[{".":[{},[0,0,4]],"i":[{"r":[{},[0,0,5]]}]}]}]}],"á":[{".":[{},[2]],"g":[{},[0,0,5]],"i":[{"b":[{},[4]],"d":[{},[0,0,3]],"m":[{},[0,0,1]],"n":[{"n":[{},[0,0,3]]}],"s":[{},[5]],"t":[{"e":[{},[0,0,0,0,4]],"i":[{},[0,0,0,0,6]]},[0,0,3]]}],"m":[{},[4]],"t":[{"h":[{},[0,0,0,0,2]]},[0,0,1]]}],"b":[{"h":[{},[0,3]]}],"c":[{},[0,1]],"d":[{},[0,1]],"f":[{},[0,1]],"g":[{"í":[{},[0,0,6]]},[0,1]],"i":[{"b":[{"é":[{},[0,0,0,3]],"h":[{},[0,0,6,0,5]]}],"c":[{"s":[{"i":[{},[0,0,0,4]],"í":[{},[0,0,0,6,5]]}]},[0,0,4]],"d":[{"h":[{"n":[{},[0,0,0,0,5,6]],"t":[{},[0,0,0,0,5,6]]}],"i":[{},[0,0,0,1]]},[4]],"g":[{"e":[{"a":[{"c":[{},[0,0,0,4]]}]}]}],"l":[{"í":[{"t":[{},[0,0,0,0,0,6]]}],"p":[{},[0,0,0,0,5]],"t":[{"e":[{"a":[{"c":[{},[0,0,0,6,5]],"n":[{},[0,0,0,6,5]],"r":[{},[0,0,0,5]]}],"á":[{},[0,0,0,5]]}],"i":[{},[0,0,0,4,3]]}]},[4]],"m":[{"h":[{},[6]],"i":[{"n":[{},[0,0,0,0,0,3]]}]}],"n":[{"i":[{"c":[{},[0,0,0,0,3]]}],"t":[{"e":[{"á":[{},[0,0,0,3,4]]},[0,0,0,2,3]]}]}],"p":[{"s":[{},[0,0,0,0,6]],"t":[{},[0,0,0,0,4]]},[4]],"r":[{"b":[{"h":[{"i":[{},[0,0,0,0,0,6]]}],"í":[{},[0,0,0,4]]}],"f":[{"i":[{"g":[{},[0,0,0,6]]}]}],"g":[{},[0,0,0,0,3]],"m":[{"é":[{},[0,0,0,0,5]],"i":[{"s":[{},[0,0,0,0,5]]}],"í":[{"t":[{},[0,0,0,5,6]]}]},[0,0,0,2]],"p":[{},[0,0,0,6,5]],"s":[{"t":[{},[0,0,0,6]]}]}],"s":[{"c":[{"e":[{"a":[{"c":[{},[0,0,0,0,5]]}]}],"i":[{"r":[{},[0,0,0,5]]}]}],"e":[{"a":[{"n":[{".":[{},[0,0,0,6]]}]}]}],"i":[{"l":[{"i":[{"d":[{},[0,0,0,6]]}]}],"n":[{},[0,0,0,5,0,4]]}],"t":[{},[0,0,0,0,3]]},[0,0,4]],"t":[{"é":[{},[0,0,0,3]],"h":[{"i":[{"n":[{},[0,0,0,0,0,0,6]]}]}],"i":[{"m":[{"í":[{},[0,0,0,0,5]]},[0,0,0,0,0,6]]}],"s":[{},[0,0,0,0,3]]}]}],"l":[{"a":[{},[0,0,1]],"á":[{},[0,3]],"ó":[{},[0,0,3]],"u":[{},[0,3]]}],"m":[{"a":[{"c":[{},[0,3,4]],"í":[{},[0,5,6]]}],"h":[{"á":[{},[0,0,0,0,6]]},[0,3]]}],"n":[{"i":[{},[0,5,6]]},[0,0,1]],"o":[{"d":[{"a":[{"r":[{},[0,0,3]]}],"ó":[{"r":[{},[0,0,0,5]]}]}],"f":[{"a":[{"d":[{},[0,0,3]],"i":[{},[0,0,3]]}]}],"g":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,4]]}]}]}],"h":[{},[0,0,1]]}],"i":[{"f":[{},[0,0,0,3]],"m":[{".":[{},[0,0,3]]}],"t":[{"e":[{"a":[{"r":[{},[0,0,5]]}],"á":[{},[0,0,3]]}],"í":[{},[0,0,3]]}]}],"l":[{"c":[{},[0,0,0,3,4]],"g":[{},[0,0,0,5,6]],"u":[{},[0,0,3]]}],"m":[{"a":[{"r":[{},[0,0,5]]}],"h":[{"a":[{},[0,0,0,0,2]]}]}],"n":[{"n":[{"a":[{},[0,0,3]]}]}],"r":[{"n":[{},[0,0,0,0,4]]},[0,0,0,1]],"s":[{"t":[{},[0,0,3]]}]}],"ó":[{"d":[{},[0,0,5]],"l":[{"a":[{"c":[{},[0,5]],"í":[{},[0,5]]}]}]}],"r":[{"a":[{"d":[{},[0,0,0,5,6]],"s":[{},[0,0,0,3,4]]}],"ó":[{"b":[{},[0,0,0,3]]}]},[0,0,1]],"s":[{"a":[{},[0,3,4]],"e":[{},[0,5]],"p":[{},[0,3,4]]}],"t":[{"h":[{"a":[{"n":[{},[0,0,0,0,0,5]]}]}]},[0,1]]}],"é":[{"a":[{"b":[{"r":[{"ó":[{},[0,0,0,5]]}]}],"d":[{},[0,0,2,1]],"g":[{"ó":[{"i":[{},[0,0,0,3]]}],"r":[{},[0,0,1]],"u":[{},[0,0,1]]}],"l":[{"b":[{"h":[{},[0,0,0,0,0,6]]}],"t":[{"a":[{"r":[{},[0,0,0,5]]}]},[0,0,0,0,3]]},[0,0,0,1]],"m":[{"a":[{"t":[{},[0,0,0,3]]}],"h":[{},[0,6]]}],"n":[{"n":[{},[4]]}],"p":[{},[3,0,3]],"r":[{"g":[{},[0,0,0,5,6]],"s":[{"a":[{},[0,0,0,0,5]]}]}],"s":[{"t":[{},[0,0,0,0,4]]}],"t":[{"a":[{},[0,0,0,3]]}]}],"b":[{"h":[{"r":[{"í":[{},[0,0,0,0,0,3]]}]}]},[0,1]],"c":[{"h":[{},[0,0,0,4]]},[0,1]],"d":[{"h":[{},[0,3]]}],"f":[{},[0,1]],"g":[{"o":[{},[0,6]]},[0,1]],"h":[{"é":[{},[0,3]]}],"i":[{"c":[{"s":[{},[0,0,0,4,3]]}],"d":[{"e":[{"i":[{},[0,0,5]]}],"r":[{"e":[{"o":[{},[0,0,5,6]]}]}]},[0,0,0,1]],"f":[{"e":[{"a":[{"r":[{},[0,0,0,4]]}]}],"i":[{},[0,3,0,2]],"í":[{},[0,5]]}],"g":[{"e":[{"a":[{"l":[{},[0,0,3,4]]}]}],"é":[{},[0,0,5,6]],"h":[{"n":[{},[0,0,3]]}],"i":[{"a":[{},[0,0,5,6]],"l":[{},[0,0,3,4]],"n":[{".":[{},[0,0,0,3]]}]}],"r":[{"í":[{},[0,0,3,4]]}]}],"l":[{"g":[{},[0,0,0,5]],"i":[{"p":[{"s":[{},[0,0,0,0,0,0,3]]}]}],"t":[{},[0,0,0,4,3]]}],"m":[{".":[{},[0,6]],"i":[{"r":[{},[0,0,0,5]]}]}],"n":[{"t":[{"e":[{"a":[{},[0,0,0,6]]}],"é":[{},[0,0,0,4]]},[0,0,0,0,3]]},[0,6]],"p":[{"s":[{},[0,0,0,4]]}],"r":[{"g":[{"i":[{},[0,0,0,4,3]]}],"n":[{},[0,0,0,2,3]],"s":[{"e":[{"á":[{},[0,0,0,6,5]]}]}]}],"s":[{"c":[{},[0,0,0,0,1]],"e":[{},[0,0,6]],"t":[{"e":[{},[0,0,0,0,3]],"i":[{},[0,0,0,0,3]]}]}],"t":[{"e":[{".":[{},[0,6]],"á":[{},[0,3]]}],"é":[{},[0,0,0,3]],"i":[{"r":[{},[0,0,0,6]]}],"s":[{},[0,0,0,1]]}]}],"l":[{"á":[{},[0,3]],"e":[{},[0,5]],"í":[{},[0,3]]}],"m":[{"h":[{},[0,5]]}],"n":[{"á":[{},[0,5,6]]}],"r":[{"b":[{},[0,6]]},[0,1]],"s":[{},[0,1]],"t":[{},[0,1]],"ú":[{"l":[{},[0,5]]}]}],"f":[{"a":[{"b":[{"r":[{},[0,0,0,3]]},[0,0,4]],"c":[{"h":[{"t":[{"a":[{},[0,0,0,0,0,5]]},[0,0,0,0,0,2]]}]}],"i":[{"n":[{".":[{},[0,6]]}],"s":[{"t":[{"i":[{"c":[{},[0,0,0,0,0,0,0,4]]},[0,0,0,0,0,0,3]]},[0,0,0,0,0,3]]}]}],"l":[{"c":[{},[0,0,0,3,4]]}],"n":[{".":[{},[0,6]]}],"o":[{"i":[{"s":[{},[0,0,0,0,0,3]]}]}],"r":[{"a":[{"m":[{},[0,0,0,6]],"t":[{},[0,0,0,6]]}],"n":[{},[0,0,0,3,4]]}],"s":[{"t":[{},[0,0,0,4]]}]}],"á":[{"i":[{"l":[{"t":[{},[0,0,0,0,2,3]]}],"r":[{},[0,0,0,0,5]]}],"s":[{},[4]]}],"c":[{"h":[{},[0,3]]}],"e":[{"a":[{"d":[{"a":[{},[0,0,0,0,5]],"h":[{},[0,6]]}],"n":[{},[4]],"r":[{"t":[{"a":[{},[0,0,0,0,5,6]]}]}]},[0,0,0,6]],"i":[{"l":[{"t":[{"e":[{".":[{},[0,0,0,0,6]]}]}]}],"s":[{"c":[{},[0,0,0,0,5,6]]}]}],"l":[{},[0,4,3,4]],"o":[{"i":[{"t":[{"e":[{"a":[{},[0,0,0,5]]}]}]}],"l":[{},[6]],"m":[{},[0,0,0,5]]}],"p":[{},[0,4]]}],"é":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,6]]},[0,0,0,0,0,5]]}],"l":[{"t":[{},[0,0,0,0,0,6]]}]}],"i":[{"t":[{},[0,6]]}]}],"g":[{"a":[{},[0,0,4]],"h":[{},[0,3]]}],"h":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,4]]},[0,0,0,0,0,3]]}],"i":[{"r":[{"t":[{},[0,0,0,0,0,5]]}]}],"l":[{"c":[{},[0,0,0,0,5,6]]}],"s":[{"t":[{},[0,0,0,0,6]]}]},[0,0,0,6]],"á":[{"i":[{"l":[{"t":[{},[0,0,0,0,0,0,3]]},[0,0,0,0,0,2]],"r":[{},[0,0,0,0,0,5]]}]}],"e":[{"a":[{"d":[{"a":[{},[0,0,0,0,0,5]]}],"r":[{"t":[{"a":[{},[0,0,0,0,0,5,6]]}]}]}],"i":[{"l":[{"t":[{"e":[{".":[{},[0,0,0,0,0,6]]}]}]}],"s":[{"c":[{},[0,0,0,0,0,5,6]]}]}],"o":[{"f":[{},[0,0,0,0,5]],"i":[{"d":[{"í":[{},[0,0,0,0,5]]}],"m":[{},[0,0,0,0,5]],"n":[{},[0,0,0,0,5]]}]}]},[0,4]],"é":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,0,6]]},[0,0,0,0,0,0,5]]}]}]}],"i":[{"d":[{},[0,0,0,0,5]],"o":[{"s":[{"c":[{},[0,0,0,0,0,0,6]]},[0,0,0,0,0,5]]}]}],"í":[{"d":[{"í":[{},[0,0,0,5]]}],"g":[{},[0,0,0,5]],"m":[{},[0,0,0,5]],"o":[{"d":[{"a":[{},[0,0,0,5]],"h":[{},[0,0,0,5]]}],"m":[{},[0,0,0,5]],"n":[{"n":[{},[0,0,0,5]]}]},[0,0,0,4]]}],"o":[{"b":[{},[0,0,0,5]],"d":[{"h":[{},[0,0,0,3]]}],"i":[{"l":[{},[0,0,0,0,0,5]],"n":[{},[0,0,0,0,0,6]]}],"l":[{"t":[{"a":[{".":[{},[0,0,0,0,6]]}]}]}],"r":[{"b":[{},[0,0,0,0,5,6]],"n":[{},[0,0,0,0,5,6]]}]}],"ó":[{"m":[{"h":[{},[0,0,0,0,0,3]]}]}],"r":[{"a":[{"i":[{"m":[{},[0,0,0,0,0,0,5]]}]}],"i":[{"o":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,0,0,6]]}]}]}]}]}],"u":[{"a":[{"i":[{"t":[{"e":[{"a":[{},[0,0,0,0,5]]}]}]}]}],"i":[{"r":[{"s":[{},[0,0,0,0,0,4,3]]}]}]},[0,6]]},[1,0,2]],"i":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,6]]},[0,0,0,0,0,5]]}]}],"d":[{"i":[{},[0,0,0,5]]}],"l":[{"l":[{},[0,4]]}],"o":[{"s":[{"c":[{},[0,0,0,0,0,4]]},[0,0,0,0,3]]}],"r":[{"m":[{},[0,0,0,6]]}],"s":[{"c":[{},[0,0,0,0,3]]}],"t":[{"é":[{},[0,0,3]]}]}],"í":[{"o":[{"d":[{"ó":[{},[0,0,0,0,3]]}]},[0,0,4]],"s":[{},[0,2]]}],"l":[{"i":[{},[0,0,6]],"í":[{"t":[{},[0,0,0,0,5]]}],"u":[{},[0,4]]}],"n":[{"i":[{},[0,0,4]]},[0,1]],"o":[{"b":[{},[0,0,3]],"d":[{"a":[{},[0,0,6,5]]},[0,0,1]],"i":[{"l":[{},[0,0,0,0,5]],"n":[{},[0,0,0,0,6]],"r":[{"n":[{},[0,0,0,0,0,4]]}]},[0,4]],"l":[{"e":[{},[0,0,3]],"t":[{"a":[{".":[{},[0,0,0,6]]}]}],"u":[{},[0,0,0,3]]}],"r":[{"b":[{},[0,0,0,3,6]],"c":[{"h":[{},[0,0,0,0,0,4]]}],"n":[{},[0,0,0,3,6]]},[0,4]],"s":[{"c":[{"r":[{},[0,0,3]]}],"t":[{},[0,0,0,0,3]]}]}],"ó":[{"b":[{},[3,4]],"i":[{"b":[{},[0,4]],"n":[{"t":[{},[0,0,0,0,0,6]]},[0,4]]}],"m":[{"h":[{},[0,0,0,0,1]]}]}],"r":[{"a":[{"i":[{"d":[{},[0,0,0,0,3]],"m":[{},[0,6,0,0,0,5]]}],"m":[{},[5,6]]}],"i":[{"d":[{},[0,0,0,3]],"o":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,0,4]]},[0,0,0,0,0,0,3]]}]}]},[4]]}],"t":[{"á":[{},[0,0,5]],"é":[{},[0,5]],"i":[{},[0,0,3]]},[0,2]],"u":[{"a":[{"d":[{},[0,0,0,0,3]],"f":[{"a":[{"i":[{"r":[{},[0,0,0,6]]}],"r":[{"a":[{},[0,0,0,6,5]]}]}]}],"i":[{"m":[{".":[{},[0,0,0,5]]}],"t":[{"e":[{"a":[{},[0,0,0,5]]}]}]}]}],"i":[{"r":[{"s":[{},[0,0,0,0,2,3]]}]}]}],"ú":[{"i":[{"t":[{"h":[{},[0,0,0,0,0,6]]}]}],"l":[{},[0,6]],"s":[{"t":[{},[0,0,0,0,3]]},[0,0,0,4]]}]}],"g":[{"a":[{"b":[{"a":[{},[0,0,5,6]],"h":[{"t":[{},[0,0,0,0,0,6]]},[0,0,0,0,5]]},[0,2]],"d":[{"a":[{"o":[{},[0,0,3]]}]}],"e":[{},[0,2]],"i":[{"g":[{},[6]],"r":[{"n":[{"e":[{},[0,0,0,0,4,3]]}]}],"s":[{"p":[{},[0,0,0,3]],"t":[{"e":[{"a":[{},[0,0,0,0,5]],"á":[{},[0,0,0,0,5]]}]}]}],"t":[{"é":[{},[0,0,0,3]]}]}],"l":[{".":[{},[0,3]],"m":[{},[5,0,0,0,6]]}],"m":[{"a":[{"r":[{},[4,5]]}]}],"n":[{"a":[{},[0,0,0,0,3]],"d":[{},[0,6]]}],"o":[{"f":[{},[0,0,0,0,3]]},[3,2]],"p":[{},[0,6,5,6]],"r":[{"b":[{"h":[{"á":[{},[0,0,0,0,0,5]]}]}],"d":[{},[0,0,0,0,3]],"m":[{"a":[{".":[{},[0,0,0,5]]}]}],"n":[{},[0,0,0,1,2]],"t":[{"ú":[{},[0,0,0,6]]}]}],"s":[{"c":[{"a":[{"r":[{},[0,0,0,5,6]]}],"r":[{},[0,0,0,3,4]]}],"t":[{"á":[{},[0,0,3]]}]}]},[0,1]],"á":[{"i":[{"r":[{},[0,0,0,0,5]],"s":[{},[6]]}],"l":[{},[0,3]],"n":[{"t":[{},[6,5]]}],"r":[{},[3,4]]},[0,1]],"b":[{"a":[{},[0,0,6]]},[0,1]],"c":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,6]]},[0,0,0,0,0,5]]}],"d":[{"á":[{},[0,0,0,0,5]]}],"í":[{"d":[{},[0,0,0,0,5]],"g":[{"í":[{},[0,0,0,0,5]]}],"m":[{},[0,0,0,0,5]],"o":[{},[0,0,0,0,5]],"t":[{"e":[{"á":[{},[0,0,0,0,5]]}],"í":[{},[0,0,0,0,5]]}]}],"r":[{"t":[{"a":[{},[0,0,0,0,6,5]],"á":[{},[0,0,0,0,6]]}]}]},[0,0,0,4]],"i":[{"l":[{},[0,0,0,0,6]],"n":[{"t":[{},[0,0,0,0,5]]}]},[0,0,6,6]],"í":[{},[0,0,0,6]],"l":[{"i":[{"p":[{},[0,0,0,0,0,5]]},[0,0,0,0,6]],"ó":[{"f":[{},[0,0,0,0,5]],"i":[{"d":[{},[0,0,0,0,5]],"m":[{},[0,0,0,0,5]],"n":[{"n":[{},[0,0,0,0,5]]}]}]}]}],"n":[{"a":[{"í":[{},[0,0,0,0,0,3]]}],"ó":[{},[0,0,0,0,5]]}],"ú":[{},[0,0,6]]},[0,1,2]],"d":[{"a":[{},[0,0,6]]},[0,1]],"e":[{"a":[{"c":[{},[0,1]],"d":[{"a":[{"r":[{},[6,5]],"s":[{},[0,0,0,0,5]]}],"h":[{},[6,5]],"ó":[{},[0,0,0,0,3]]},[0,0,0,4]],"f":[{},[0,6]],"l":[{"a":[{},[0,0,0,0,5]],"b":[{},[0,0,0,0,5]],"t":[{"a":[{".":[{},[0,0,0,0,6]]}]}]}],"n":[{"a":[{"m":[{},[0,0,0,3]]}]}],"r":[{".":[{},[6]],"t":[{".":[{},[5,6]]}]}],"s":[{"t":[{},[0,0,0,3]]}],"t":[{"a":[{},[0,0,0,0,5]]}]}],"á":[{},[0,1]],"c":[{},[0,4]],"i":[{"t":[{},[0,0,0,0,5]]}],"o":[{},[0,1]],"s":[{},[0,6]]},[2]],"é":[{"a":[{"b":[{},[0,0,0,5,6]],"s":[{},[5,6]]}]}],"f":[{},[2,1]],"h":[{".":[{},[4]],"a":[{"b":[{"h":[{"t":[{},[0,0,0,0,0,0,4]]},[0,0,0,0,0,3]]}],"i":[{"r":[{"n":[{"e":[{},[0,0,0,0,0,4,5]]}]}],"s":[{"t":[{"e":[{"a":[{},[0,0,0,0,0,5]],"á":[{},[0,0,0,0,0,5]]}]}]}]}],"m":[{".":[{},[0,0,6]]}],"r":[{"b":[{"h":[{"á":[{},[0,0,0,0,0,0,5]]}]}]}]}],"á":[{"i":[{"r":[{},[0,0,0,0,0,5]]}]}],"c":[{},[0,0,5,6]],"d":[{"a":[{"c":[{},[0,0,0,3]]}],"á":[{},[0,0,0,3]],"e":[{".":[{},[0,0,4]]}],"i":[{},[0,0,2]]},[6]],"e":[{"a":[{"l":[{"a":[{},[0,0,0,0,0,5]]}]}],"i":[{"t":[{},[0,0,0,0,0,5]]}]}],"f":[{},[0,0,1]],"i":[{"n":[{"t":[{"i":[{},[0,0,0,0,0,6]],"í":[{},[0,0,0,0,5]]}]}],"s":[{},[0,0,0,0,5]]}],"l":[{"u":[{},[0,0,2]]}],"o":[{"i":[{"n":[{},[0,0,0,0,0,5]]}]},[3]],"ó":[{"f":[{},[0,0,0,6,5]]}],"r":[{"á":[{"i":[{"n":[{"n":[{".":[{},[0,0,0,0,5]]}]}],"t":[{"í":[{},[0,0,0,0,5]]}]}],"m":[{"h":[{},[0,0,0,0,0,0,4]]},[0,0,0,0,3]]}],"ú":[{".":[{},[6]]},[3,0,0,0,6]]}],"s":[{"á":[{},[0,0,4,3]]}],"t":[{},[0,0,0,4]],"u":[{"a":[{"l":[{},[0,0,0,0,0,5]]}]}]},[0,2]],"i":[{"d":[{".":[{},[3,4]]},[0,1]],"g":[{},[0,1]],"l":[{"d":[{},[0,0,0,0,5]],"i":[{},[0,4]]}],"m":[{},[0,1]],"n":[{"e":[{},[3]],"í":[{},[3]],"n":[{".":[{},[0,3]],"t":[{},[3]]}],"t":[{"í":[{},[0,0,0,5,6]]}]}],"o":[{"s":[{"t":[{},[0,0,0,0,0,4]]},[0,0,0,0,3]]},[1]],"p":[{"s":[{},[0,0,0,5]],"t":[{},[0,0,0,0,5]]},[0,0,0,4]],"s":[{},[0,1]],"t":[{},[0,1]],"ú":[{"m":[{},[0,0,0,0,5]],"s":[{},[0,0,0,0,3]]},[0,1]]}],"í":[{},[0,1]],"l":[{"a":[{"e":[{},[0,0,0,0,1]]}],"á":[{"n":[{},[0,4]]}],"i":[{"c":[{},[5,6]],"f":[{},[3]],"s":[{},[0,6]]},[0,0,4,6]],"í":[{},[0,1]],"o":[{},[0,6]],"ú":[{},[0,0,6]]}],"m":[{"h":[{},[0,0,0,2]]},[0,1,2]],"n":[{"á":[{},[0,2]],"ó":[{"l":[{},[0,0,0,3,4]]}]},[2,1,2]],"o":[{"i":[{"n":[{},[0,0,0,0,5]]}]}],"ó":[{"c":[{},[0,0,1]],"d":[{},[0,3]],"f":[{},[0,1,6]],"g":[{},[0,1]],"i":[{"d":[{},[0,3]],"g":[{},[0,3]],"m":[{},[0,1]],"n":[{"n":[{},[0,3]],"t":[{},[0,0,0,0,0,3]]},[0,0,0,0,4]]}],"l":[{},[0,4]],"r":[{"a":[{".":[{},[0,3]]}]}]}],"r":[{"a":[{".":[{},[0,3]],"c":[{},[0,1]],"f":[{},[1,4]],"i":[{"f":[{},[3]],"g":[{},[0,3]],"t":[{},[0,3]]}],"í":[{},[0,1]],"m":[{"a":[{"d":[{},[0,0,0,0,0,5,6]]}]},[0,0,0,6]],"s":[{},[0,5]]}],"á":[{"d":[{},[3]],"i":[{"n":[{"n":[{".":[{},[0,0,0,5]]}]}],"t":[{"í":[{},[0,0,0,5]]}]}],"m":[{"h":[{},[0,0,0,0,0,4]]},[0,0,0,3]],"n":[{},[0,0,0,4]]}],"i":[{},[4]],"ó":[{},[0,1]],"u":[{},[3]],"ú":[{"i":[{},[0,0,0,6]]}]}],"s":[{},[0,1,2]],"t":[{"h":[{},[0,0,0,4]]},[2,1]],"u":[{"a":[{"l":[{},[0,0,0,0,5]]}],"c":[{},[0,3]],"i":[{"r":[{},[0,3]]}],"m":[{},[1]],"s":[{"t":[{"a":[{},[0,0,0,0,5]]}]}]}],"ú":[{".":[{},[4]]}],"w":[{"a":[{},[0,5]]}]}],"h":[{"a":[{"b":[{"r":[{},[0,0,0,3]]}],"c":[{"h":[{"a":[{"r":[{},[0,0,0,0,6]]}],"ó":[{},[0,0,0,0,5]]}],"s":[{},[0,0,0,6,5]]},[0,0,4]],"d":[{"a":[{"i":[{"m":[{"h":[{},[0,0,0,6]]}]}],"m":[{"h":[{},[0,0,0,6]]}]}],"á":[{"i":[{},[0,0,3]],"n":[{".":[{},[0,0,3]]}]}]}],"e":[{"n":[{"n":[{},[0,0,0,5]]}]}],"g":[{"á":[{"l":[{},[0,0,0,0,5]]}],"r":[{},[0,0,0,5]],"ú":[{"i":[{"s":[{},[0,0,0,6]]}]}]}],"i":[{"c":[{"í":[{},[0,0,0,0,5]]},[0,0,0,6]],"d":[{"h":[{"n":[{"e":[{},[0,0,0,0,0,5]]}]}]}],"m":[{},[0,1]],"n":[{"t":[{"í":[{"n":[{},[0,0,0,0,6]]},[0,0,0,0,0,5]]},[0,0,0,0,2]]}],"s":[{"t":[{"e":[{"o":[{"r":[{},[0,0,0,0,5,6]]}]}],"i":[{"c":[{},[0,0,0,0,5]]}]}]}],"t":[{"é":[{},[0,0,0,0,3]]}]}],"í":[{"t":[{"e":[{"a":[{"c":[{},[0,0,0,0,5]]}]}],"i":[{},[0,0,0,6]]}]},[0,1]],"l":[{"a":[{},[0,0,0,5]],"b":[{"h":[{"a":[{},[0,0,0,0,0,3]]}]}],"g":[{},[0,0,0,5,6]],"l":[{"a":[{"g":[{},[0,0,0,0,0,0,6]]}]}],"t":[{"a":[{"r":[{},[0,0,0,0,5]]}]}]}],"m":[{"a":[{"t":[{},[0,0,0,5]]}],"b":[{},[0,0,0,0,6]],"ó":[{},[0,0,0,5]],"s":[{},[0,6]]}],"n":[{"á":[{},[0,0,0,4]],"d":[{},[0,0,0,3,4]],"l":[{"a":[{"i":[{"n":[{},[0,0,0,6]]}],"n":[{},[0,0,0,6]]}]}],"r":[{"a":[{"i":[{},[0,0,0,6]]}]}],"s":[{"a":[{".":[{},[0,0,0,6]],"c":[{},[0,0,0,6]]}]}],"t":[{"á":[{},[0,0,0,3,4]]}]}],"o":[{"f":[{},[0,0,0,0,3]]}],"r":[{"a":[{"b":[{},[0,0,0,0,5,6]],"i":[{"s":[{"í":[{},[0,0,0,0,0,5,6]]}]}],"l":[{"t":[{},[0,0,0,0,0,0,3]]},[0,0,0,0,0,4]]}],"d":[{"á":[{},[0,0,0,0,3]]}],"g":[{},[0,4]],"m":[{"a":[{".":[{},[0,0,0,5]]}]}],"n":[{"ó":[{},[0,0,0,3,4]]}],"r":[{},[0,6]],"s":[{"a":[{"c":[{},[0,0,0,6,5]],"i":[{"g":[{},[0,0,0,6,5]]}]}]}],"t":[{"a":[{"c":[{},[0,0,0,0,4]]}]}],"ú":[{},[0,0,0,3]]}],"s":[{"a":[{"m":[{"a":[{},[0,0,0,0,0,6]]}]}],"á":[{"i":[{"r":[{},[0,0,5,6]]}],"r":[{},[0,0,5,6]]}],"c":[{"a":[{"r":[{"n":[{},[0,0,0,5,0,0,6,5]]},[0,0,0,0,6]]}]}],"p":[{"a":[{".":[{},[0,0,0,6]],"í":[{},[0,0,0,6,5]]}]}],"t":[{"a":[{"i":[{"t":[{},[0,0,0,0,5]]}]}],"ú":[{".":[{},[0,0,0,6]]}]}]}],"t":[{"a":[{"r":[{".":[{},[0,0,0,5]]}]}],"r":[{"a":[{},[0,0,0,5]]}],"ú":[{},[0,0,0,5]]}]}],"á":[{"c":[{"h":[{},[0,0,0,0,1]]}],"i":[{"n":[{"t":[{"e":[{"a":[{"c":[{},[0,0,0,0,0,5]]}]}]},[0,0,0,0,4]]}]}],"í":[{"o":[{},[0,0,5]]},[0,0,0,6]],"r":[{},[0,4]]}],"b":[{"a":[{},[0,2]],"h":[{"a":[{"i":[{"n":[{},[0,0,0,0,0,0,6]]}]},[0,5]],"e":[{"o":[{"f":[{},[0,0,0,0,0,5]],"i":[{"d":[{},[0,0,0,0,0,5]],"m":[{},[0,0,0,0,0,5]],"n":[{},[0,0,0,0,0,5]]}]}]},[0,5]],"u":[{"í":[{},[0,0,0,0,0,6]]}]}]},[0,1]],"c":[{"a":[{},[0,0,4]],"á":[{"n":[{},[0,0,4]]}],"é":[{},[0,6]],"h":[{},[0,3,0,2]],"í":[{},[0,4,3]]},[0,1]],"d":[{"a":[{"i":[{"m":[{},[0,0,3]]}],"n":[{},[0,0,3]]},[0,0,2]],"e":[{"a":[{"m":[{},[0,0,5]],"n":[{"n":[{},[0,0,3]]}]}],"á":[{"n":[{"n":[{},[0,0,0,0,5]]}]}],"o":[{"g":[{},[0,0,6]],"i":[{"g":[{},[0,0,6]]}]}]}],"h":[{},[0,0,0,4]],"i":[{"n":[{"e":[{},[0,5]],"n":[{},[0,0,5]]}],"ú":[{},[0,0,3]]}],"ó":[{},[0,0,4]],"t":[{},[0,4]]},[0,1]],"e":[{"a":[{"c":[{"n":[{},[0,3]]},[0,0,0,6]],"g":[{"r":[{},[0,0,0,0,5]]},[0,0,0,6]],"l":[{"t":[{"a":[{".":[{},[0,0,0,0,6]]}]}]}],"n":[{"a":[{"d":[{},[0,0,0,0,0,0,5]]},[0,0,0,0,0,6]],"g":[{},[0,4]]}],"r":[{"b":[{"ó":[{},[0,0,0,0,5]]}]},[0,0,0,6]],"t":[{"á":[{},[0,0,0,0,5]],"ó":[{},[0,0,0,0,5]]},[0,4]]}],"á":[{"c":[{},[0,0,0,1]],"n":[{"a":[{},[0,6]]}],"t":[{"h":[{},[0,0,0,0,0,5]]},[0,0,0,6]]}],"i":[{"f":[{"t":[{},[0,0,0,0,0,5]]}]}],"o":[{"d":[{"ó":[{},[0,0,0,0,5]]}],"i":[{"t":[{"e":[{"a":[{},[0,0,0,5]]}]}]}],"m":[{"h":[{},[0,0,0,3]]}]}],"s":[{},[0,6]]}],"é":[{"a":[{"d":[{"r":[{},[0,4]]}]}],"i":[{"d":[{"l":[{"i":[{"a":[{},[0,0,0,0,0,0,0,5]]}]}]}],"g":[{"e":[{"a":[{"r":[{},[0,0,0,5]]}]}]}],"m":[{"í":[{},[0,0,0,0,5]]}]}]}],"f":[{"a":[{"c":[{"h":[{},[0,0,0,0,0,3]]}],"i":[{"r":[{"t":[{},[0,0,0,0,0,5]]}]}]}],"e":[{"o":[{"f":[{},[0,0,0,0,5]],"i":[{"d":[{"í":[{},[0,0,0,0,5]]}],"m":[{},[0,0,0,0,5]],"n":[{},[0,0,0,0,5]]}]}]}],"h":[{"u":[{"a":[{"d":[{},[0,0,0,0,0,0,5]],"f":[{},[0,0,0,0,0,0,6]]}]}]}],"í":[{"d":[{"í":[{},[0,0,0,5]]}],"g":[{},[0,0,0,5]],"m":[{},[0,0,0,5]],"o":[{"d":[{"a":[{},[0,0,0,5]],"h":[{},[0,0,0,5]]}],"m":[{},[0,0,0,5]],"n":[{"n":[{},[0,0,0,5]]}]}]}]}],"g":[{"h":[{"a":[{"i":[{"r":[{"t":[{},[0,0,0,0,0,0,5]]}]}]}],"i":[{"n":[{},[0,0,0,0,0,5]]}]},[0,0,0,2]],"í":[{},[0,4]],"n":[{},[0,0,6]]},[0,1]],"i":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,5,6]]}]}],"t":[{"a":[{"c":[{},[0,0,0,0,6]],"i":[{"g":[{},[0,0,0,5,6]]}],"í":[{".":[{},[0,0,0,5,6]]}]}]}]}],"b":[{"h":[{},[0,0,0,0,5]]},[0,0,6]],"d":[{"é":[{},[0,0,0,4]]},[0,1]],"g":[{},[0,1]],"l":[{"b":[{},[0,0,0,3]]}],"m":[{"é":[{},[0,0,0,3]]},[0,0,4]],"n":[{"d":[{"i":[{"a":[{},[0,0,0,6,5]]}]}],"e":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,0,0,6]]},[0,0,0,0,0,0,0,5]]}]}]},[0,4]],"í":[{"n":[{},[0,0,0,6]],"o":[{"n":[{},[0,0,0,4]]}],"r":[{},[0,0,0,6]]}],"s":[{"t":[{"e":[{".":[{},[0,0,0,6]]}]}]}],"t":[{"e":[{"á":[{},[0,0,0,5]]},[0,0,0,0,4]],"i":[{"ú":[{},[0,0,0,4,5]]}]}]}],"o":[{"s":[{"c":[{"á":[{},[0,0,0,0,0,6]]}],"t":[{},[0,0,0,0,3,4]]}]}],"p":[{"e":[{},[0,0,0,4]],"i":[{"c":[{},[0,0,0,0,5,6]],"d":[{},[0,0,0,6]]}]}],"r":[{"i":[{"m":[{".":[{},[0,0,0,6]],"e":[{},[0,0,0,6]]},[0,0,0,0,0,5]]}],"n":[{},[0,0,0,6]]}],"s":[{"t":[{"e":[{"a":[{"r":[{},[0,0,0,5]]}],"á":[{},[0,0,0,5]]}],"i":[{"n":[{},[0,0,0,3,6]]}]}]}],"t":[{"e":[{"o":[{"r":[{},[0,0,0,6]]}]}],"s":[{},[0,0,0,5]]}],"ú":[{"m":[{},[0,0,0,0,5]],"n":[{"t":[{"ó":[{},[0,0,0,0,0,3]]}]}],"r":[{},[0,0,0,0,5]],"s":[{"t":[{},[0,0,0,0,5]]}]}]}],"í":[{"g":[{"h":[{},[0,0,1]]}],"l":[{"e":[{"á":[{},[0,0,3]]}]}],"o":[{"d":[{"ó":[{},[0,0,0,0,5]]}],"l":[{"l":[{},[0,0,0,0,0,6]]},[0,0,0,0,5]],"s":[{"t":[{},[0,0,0,0,5]]},[0,4]]}],"s":[{"t":[{"i":[{},[0,0,5]]}]}],"t":[{"h":[{"e":[{},[0,0,6,0,5]]}]}]}],"l":[{"a":[{"c":[{"á":[{},[0,0,0,0,5]]}],"d":[{"a":[{},[0,0,0,0,5]],"á":[{},[0,0,0,0,3]],"ó":[{},[0,0,0,0,5]]}],"í":[{},[0,1]],"s":[{"t":[{},[0,0,0,0,5]]}]},[0,0,0,6]],"á":[{"i":[{"r":[{},[0,4]]}]}],"e":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,6,5]]}]}],"t":[{"a":[{},[0,0,0,0,0,5]]}]}],"á":[{"d":[{},[0,0,0,0,5,6]]}]}],"é":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,0,5]]},[0,0,0,0,0,0,6]]}],"m":[{},[0,0,0,5]]}],"i":[{"g":[{"í":[{},[0,0,0,5]]}],"m":[{"i":[{},[0,0,0,5]]}]}]}],"i":[{"m":[{"p":[{},[0,0,0,0,6]]}],"n":[{},[0,0,0,0,4]],"p":[{},[0,0,0,0,5]]},[0,0,6,6]],"í":[{},[0,1]],"ó":[{"i":[{"m":[{".":[{},[0,0,0,5]]}],"t":[{"í":[{},[0,0,0,5]]}]}]}],"ú":[{},[0,0,6]]}],"m":[{"a":[{"d":[{"ó":[{},[0,0,0,0,5]]},[0,0,4]],"i":[{"d":[{".":[{},[0,0,4]]}],"n":[{"n":[{},[0,0,5]]},[0,0,4]]}],"n":[{},[0,0,3]]},[0,0,0,6]],"h":[{},[0,1]],"t":[{},[0,4]]}],"n":[{"a":[{"g":[{},[0,0,0,0,5]]},[0,1,0,6]],"e":[{"á":[{"n":[{},[0,0,6]]}]},[0,1]],"i":[{"ú":[{"c":[{"h":[{},[0,0,0,0,0,0,6]]},[0,0,0,0,3]]}]},[0,1]],"í":[{},[0,1]],"ó":[{".":[{},[0,6]],"l":[{},[0,0,0,5,6]]},[0,1]],"r":[{},[0,4]],"t":[{},[0,0,5]],"u":[{"a":[{"c":[{},[0,0,0,0,5]]}]}]},[0,0,2]],"o":[{"b":[{"r":[{"ó":[{},[0,0,3]]}]}],"c":[{"h":[{"t":[{"a":[{},[0,0,0,0,6,5]],"á":[{},[0,0,0,0,6]]}]}]}],"d":[{"a":[{},[0,0,0,3]],"ó":[{},[0,0,0,3]]}],"f":[{"a":[{},[0,0,0,3]]}],"g":[{},[0,4]],"i":[{"l":[{"t":[{},[0,0,0,0,0,6]]}],"m":[{},[0,0,0,4]]}],"l":[{"a":[{"g":[{"á":[{},[0,0,0,4]]}]}],"e":[{},[0,0,5]],"u":[{},[0,0,0,3]]}],"m":[{"a":[{"i":[{"g":[{},[0,0,0,0,0,3]]}]}],"h":[{"ú":[{},[0,0,5]]}]},[0,4]],"n":[{"c":[{"ó":[{},[0,0,0,4,3]]}],"u":[{},[0,0,5]]},[0,4]],"r":[{"a":[{"n":[{"t":[{},[0,0,0,0,0,0,5]]},[0,0,0,0,0,6]]}],"c":[{"h":[{"a":[{},[0,0,0,0,0,3]]}]}],"d":[{"á":[{},[0,0,0,0,3]]}]}],"s":[{"t":[{"a":[{"c":[{},[0,0,0,0,5]]}],"á":[{"i":[{"n":[{},[0,0,0,0,5]]}],"n":[{},[0,0,0,0,5]]},[0,0,0,6]]}]}]}],"ó":[{"f":[{},[0,1]],"i":[{"m":[{".":[{},[0,0,5]]}],"n":[{"s":[{},[0,0,0,0,4]],"t":[{},[0,0,0,0,0,6]]}],"s":[{"t":[{},[0,0,0,0,0,6]]}]}],"l":[{"a":[{"i":[{"n":[{},[0,0,5,6]]}],"n":[{},[0,0,5,6]]}]}],"m":[{"a":[{".":[{},[0,0,6]],"í":[{},[0,0,6]]}]}],"p":[{"a":[{},[0,0,0,6]]}],"s":[{"a":[{},[0,0,0,5]]},[0,0,6]],"t":[{"h":[{},[0,0,0,0,1]]},[0,2]]}],"p":[{"e":[{},[0,2,1]],"i":[{},[0,6,5]],"í":[{},[0,6]]},[0,1]],"r":[{"a":[{".":[{},[0,1]],"d":[{"á":[{},[0,0,0,0,5]]}],"í":[{},[0,1]],"m":[{"a":[{"d":[{},[0,0,0,0,0,0,6]]}]},[0,0,0,6]],"n":[{"g":[{"ó":[{},[0,0,0,0,5,6]]}]}],"t":[{"ó":[{},[0,0,0,0,5]]}]}],"á":[{"t":[{"h":[{"ó":[{},[0,0,0,3,0,4]]}]}]}],"e":[{".":[{},[0,3]]}],"é":[{"i":[{},[0,0,0,6]]}],"i":[{"o":[{"c":[{"h":[{"t":[{"á":[{},[0,0,0,0,0,0,5,6]]}]}]}]},[0,4]]}],"í":[{"o":[{},[0,0,0,2]],"r":[{},[0,0,0,3]],"s":[{},[0,4]]}],"o":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,6]]},[0,0,0,0,0,3]]}]}],"u":[{"a":[{"c":[{"á":[{},[0,0,0,0,5]],"h":[{"t":[{},[0,0,0,0,0,0,0,6]]}]},[0,0,0,0,0,6]],"i":[{"t":[{"e":[{"a":[{},[0,0,0,0,5]]}]}]}]}]}],"ú":[{"i":[{"t":[{"í":[{},[0,0,0,3]]}]}],"p":[{},[0,4]]},[0,0,6]]}],"s":[{"c":[{"a":[{"r":[{"t":[{},[0,0,0,0,0,0,6]]},[0,0,0,0,0,5]]}]},[0,0,0,2]]},[0,1,2]],"t":[{"a":[{"e":[{},[0,3,4]],"i":[{"c":[{},[0,3,4]]}],"n":[{"a":[{"c":[{},[0,0,4]]}]}],"p":[{},[0,0,0,5,6]],"r":[{},[0,3]]}],"á":[{"i":[{},[0,2]]}],"e":[{},[0,1,2]],"h":[{"o":[{"r":[{"t":[{"h":[{},[0,0,0,0,0,0,0,5]]},[0,0,0,0,0,6]]}]}]},[0,5,0,6]],"i":[{},[0,0,6]],"ó":[{},[0,2]],"ú":[{"i":[{"r":[{},[0,3,2]]}],"r":[{},[0,1,2]]}]},[0,0,1]],"u":[{"i":[{"l":[{"c":[{"e":[{},[0,0,0,0,5]],"i":[{},[0,0,0,0,5,6]]}]}]}],"l":[{"t":[{"a":[{"i":[{"s":[{},[0,0,0,6,5]]}]}]}]}],"r":[{"b":[{},[0,0,0,5]],"n":[{},[0,0,0,3,4]]}]}],"ú":[{"c":[{"h":[{"t":[{},[0,0,0,0,3,6]]}]}],"d":[{"a":[{"í":[{},[0,0,0,5]]}]}],"i":[{"n":[{"t":[{},[0,0,0,0,5]]}],"s":[{},[0,6]],"t":[{"e":[{".":[{},[0,0,5]]}]}]}],"s":[{"t":[{},[0,0,0,0,5]]}],"t":[{"ó":[{},[0,0,0,5]]}]}],"v":[{"ó":[{},[0,3]]}]}],"i":[{"a":[{"c":[{"h":[{"l":[{},[0,0,3]],"ó":[{},[0,0,0,0,3]],"t":[{"a":[{"í":[{},[0,0,0,0,0,5]]}]}]}]}],"d":[{"a":[{"r":[{},[0,0,5]]}]}],"f":[{"a":[{},[0,0,3,4]],"á":[{},[0,0,5]]}],"g":[{"ó":[{},[0,0,0,5]],"r":[{},[0,0,3]]}],"i":[{"d":[{"í":[{"s":[{},[0,0,3]]}]}],"g":[{"í":[{},[0,0,3]]}],"l":[{},[4]],"m":[{".":[{},[0,0,5]],"i":[{},[0,0,3]]}],"n":[{"n":[{},[0,0,5]]}],"t":[{"e":[{},[0,0,3]],"r":[{},[0,0,0,3,4]]}]}],"l":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,0,4]]},[0,0,0,0,0,0,3]]}],"i":[{"n":[{},[0,0,3,4]]}],"n":[{},[0,0,3]],"t":[{},[0,0,3]]}]}],"m":[{"a":[{"r":[{},[0,0,5]]}],"b":[{},[0,0,0,4,3]],"h":[{"a":[{"i":[{},[0,0,4]]}]}]}],"n":[{"a":[{},[0,0,0,5]],"g":[{},[0,0,0,3,4]]}],"r":[{"b":[{"h":[{},[0,0,0,0,0,6]]},[0,0,0,3]],"c":[{},[0,0,0,0,6]],"d":[{},[0,0,0,3,2]],"m":[{},[0,0,0,5,6]],"t":[{},[0,0,0,3,4]]}],"s":[{"t":[{"r":[{},[0,0,0,0,5]]}]}],"t":[{"á":[{},[0,0,6]],"r":[{},[0,0,1,6]]}]}],"b":[{"e":[{"a":[{"b":[{},[0,0,4]]}]},[0,0,1]],"é":[{"a":[{},[0,0,3]],"i":[{"d":[{},[0,0,5]],"l":[{},[0,0,3]]}]}],"h":[{"é":[{},[0,0,0,5]],"i":[{"n":[{},[0,0,0,0,0,4]],"t":[{},[0,0,0,0,0,4]]}]},[0,0,0,1]],"i":[{"a":[{"n":[{},[0,0,0,0,5]]},[0,0,5]],"r":[{},[0,0,5]]},[0,0,1]],"í":[{},[0,0,1]],"l":[{},[0,0,1]],"r":[{},[0,0,1]]}],"c":[{"e":[{"a":[{"p":[{"t":[{},[0,0,0,0,0,0,5]]},[0,0,0,0,0,4]]}],"i":[{},[0,3]]}],"é":[{"a":[{"n":[{},[0,0,0,5]]}]}],"h":[{"a":[{},[0,5,0,6]],"r":[{},[0,3]]},[0,0,0,1]],"i":[{"m":[{},[0,0,0,0,4]],"ú":[{".":[{},[0,0,6]]}]}],"í":[{"d":[{},[0,3,4]],"t":[{"e":[{"a":[{},[0,0,0,5]]}]}]}],"r":[{"i":[{},[0,0,4]]}],"s":[{"t":[{},[0,0,4]]}]},[0,0,1]],"d":[{"e":[{},[0,0,1]],"é":[{},[0,0,1]],"h":[{"b":[{"h":[{},[0,0,0,3]]}],"c":[{},[0,0,0,0,3]],"e":[{},[0,0,0,3]],"i":[{},[0,0,0,3]],"l":[{},[0,0,0,1]],"r":[{},[0,0,0,1]]}],"i":[{"a":[{},[0,0,1]],"c":[{"í":[{},[0,0,3]]}],"f":[{},[0,0,0,3,4]],"n":[{},[0,0,1]],"ú":[{},[0,0,1]]}],"í":[{"d":[{},[0,0,3]],"g":[{},[0,0,3]],"n":[{},[0,0,1]],"o":[{"c":[{},[0,0,0,5]]},[0,0,1]]}],"l":[{},[0,0,1]],"r":[{"é":[{},[0,0,4]]},[0,0,1]]}],"é":[{"a":[{},[0,5]]}],"f":[{"e":[{},[0,6]],"i":[{"n":[{".":[{},[0,0,5]],"i":[{"d":[{},[0,0,0,0,0,0,6]]},[0,0,0,0,0,5]],"t":[{},[0,0,0,0,6]]}]}],"í":[{"r":[{},[0,0,3]],"s":[{},[0,3]]}],"r":[{"é":[{},[0,0,6]]}]},[0,0,1]],"g":[{"e":[{"a":[{"s":[{},[0,0,0,0,3,4]],"t":[{},[0,0,0,0,5]]}]},[0,0,1]],"é":[{},[0,0,1]],"h":[{},[0,0,0,1]],"i":[{"a":[{},[0,0,3]],"b":[{},[0,0,0,3]],"l":[{"i":[{},[0,0,0,3,4]]},[0,0,1]],"p":[{},[0,0,1]],"r":[{},[0,0,1]]}],"l":[{},[0,0,1]],"r":[{},[0,0,1]]}],"h":[{},[0,1]],"l":[{"a":[{},[0,0,3]],"b":[{"h":[{"i":[{"n":[{},[0,0,0,0,5]]}],"r":[{},[0,0,4,0,5]]}]}],"c":[{},[4]],"e":[{"a":[{"c":[{"a":[{},[0,0,0,0,3]],"á":[{},[0,0,0,0,3]],"ó":[{},[0,0,0,0,5]]},[0,0,0,0,0,2]]}],"á":[{},[0,0,5]]},[0,0,1]],"é":[{"a":[{"n":[{},[0,0,0,5]]}]},[0,0,1]],"f":[{"r":[{},[0,0,6]]}],"i":[{"a":[{"n":[{},[0,0,0,0,5]]},[4]],"b":[{"é":[{},[0,0,0,5]]}],"c":[{"é":[{},[0,0,0,3,4]]}]},[0,0,1]],"í":[{"f":[{},[0,0,0,6]],"o":[{},[0,0,5]]},[0,0,1]],"s":[{"c":[{},[0,0,2]]}]}],"m":[{"a":[{"r":[{},[0,0,0,0,6]]},[0,0,5]],"b":[{"l":[{},[0,0,0,3]]}],"e":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,0,5]]},[0,0,0,0,0,0,6]]}]}]}],"é":[{"i":[{},[0,0,3]]}],"g":[{},[2]],"h":[{"a":[{},[0,3]],"e":[{"a":[{"d":[{},[0,0,0,0,0,0,6]]}]}]},[0,0,0,1]],"i":[{"d":[{"e":[{},[0,0,3]]}],"g":[{"é":[{},[0,0,0,5]]},[0,0,0,0,6]],"o":[{},[0,0,3]],"r":[{"e":[{},[0,0,3]],"n":[{},[0,0,3]],"t":[{},[0,0,3]]}],"s":[{"c":[{},[0,0,5]]}]}],"í":[{"r":[{"í":[{},[0,0,5]]}]}]}],"n":[{"á":[{},[0,0,3]],"d":[{"e":[{"á":[{},[0,0,0,3]]}],"i":[{"a":[{".":[{},[0,0,0,5]],"i":[{},[0,0,0,3]]}],"b":[{},[0,0,0,3]]}],"í":[{"l":[{},[0,0,0,0,0,5]]},[0,0,0,0,6]],"ó":[{},[0,0,0,0,1]]}],"e":[{"a":[{"m":[{"a":[{"í":[{},[0,0,0,0,5]]}],"ó":[{},[0,0,0,0,3]]},[0,0,0,0,0,6]]},[0,0,5]]},[0,0,3]],"é":[{"a":[{"g":[{},[0,5,6]]}]},[0,0,1]],"g":[{"i":[{"r":[{},[0,0,6]]}]},[0,0,0,1]],"i":[{"c":[{},[0,0,5]],"g":[{},[0,0,5]],"ú":[{"c":[{"h":[{},[0,0,0,0,0,0,3]]}]}]},[0,0,3]],"í":[{"o":[{"c":[{},[0,0,5]]}],"t":[{},[0,0,0,6]]},[0,0,1]],"n":[{"i":[{"s":[{},[6]]}]}],"o":[{},[0,0,3]],"s":[{"c":[{"n":[{},[0,0,4]]}]}],"t":[{"e":[{"a":[{"n":[{},[0,0,0,3]]}]}],"í":[{".":[{},[0,0,2]]}]}]}],"o":[{"c":[{"h":[{"t":[{"ó":[{"g":[{},[0,0,0,0,5,4]],"i":[{"g":[{},[0,0,0,0,5,6]]}]}]}]}],"s":[{},[0,0,0,5,6]]}],"d":[{},[0,0,0,1]],"f":[{},[0,0,0,1]],"g":[{"a":[{"d":[{"á":[{},[0,0,0,0,0,3]]}]}]}],"l":[{"g":[{},[0,0,0,5,6]]}],"m":[{"a":[{"r":[{},[0,0,0,3]]}],"á":[{},[6]]}],"n":[{"c":[{},[0,0,0,3,6]]}],"p":[{"a":[{"d":[{},[0,0,0,0,5]]}]}],"r":[{"d":[{},[0,0,0,3]]}],"s":[{"c":[{"a":[{"c":[{},[0,0,0,0,6]]}]}]},[4]],"t":[{"a":[{"s":[{},[0,0,0,6]]}]},[0,0,6]]}],"p":[{"e":[{"a":[{"g":[{},[0,0,0,0,3]]}]}],"é":[{"i":[{"d":[{},[0,3]]}]}],"i":[{"s":[{"t":[{},[0,0,0,0,0,6]]},[0,0,5]]}],"í":[{},[0,0,3]],"l":[{"é":[{},[0,5]]}]},[0,0,1]],"r":[{"c":[{"h":[{},[0,0,5]]}],"e":[{"a":[{"b":[{},[0,0,0,0,5,6]],"m":[{"á":[{},[0,0,0,0,5]],"ó":[{},[0,0,0,0,5]]},[0,0,0,0,0,6]]}]}],"i":[{"d":[{},[0,0,5]],"p":[{},[0,0,5]]}],"í":[{"r":[{},[0,0,0,0,3]]},[0,0,3]],"s":[{"c":[{"a":[{"r":[{"t":[{},[0,0,0,0,0,0,0,6]]},[0,0,0,0,0,0,5]]}]},[0,0,5]]}],"t":[{"a":[{},[0,0,6]],"o":[{},[0,0,0,3]],"r":[{},[0,0,4]],"s":[{},[0,0,0,6,5]]}]},[0,0,1]],"s":[{"c":[{"e":[{"a":[{"d":[{},[0,0,0,3]],"l":[{},[0,0,0,5]],"m":[{},[0,0,0,5]],"n":[{"n":[{},[0,0,0,5]]}]}]}],"é":[{"i":[{"m":[{},[0,0,3]]}]},[0,0,0,1]],"i":[{"n":[{"n":[{},[0,0,0,3]]}]}]},[0,6]],"e":[{"a":[{"r":[{"b":[{"h":[{},[0,0,0,0,0,0,0,6]]}]},[0,0,0,0,0,3]],"s":[{},[6]]}],"i":[{},[0,3]]},[0,0,1]],"é":[{"a":[{"l":[{},[0,0,0,0,0,5]]}]},[0,0,1]],"i":[{"c":[{},[4]],"n":[{"t":[{},[0,3]]}],"s":[{},[6]]},[0,0,1]],"í":[{"t":[{".":[{},[0,5,6]],"e":[{".":[{},[0,5,6]]}]}]},[0,0,1]],"o":[{},[0,0,3]],"p":[{"í":[{},[0,0,5]]}],"t":[{"a":[{},[0,0,1]],"r":[{},[0,0,0,4]]}]}],"t":[{"a":[{"i":[{},[0,0,5]]}],"e":[{"a":[{"n":[{},[6]],"r":[{"t":[{},[0,0,3]]}]},[0,0,1]],"á":[{"n":[{},[0,0,3]]}]}],"h":[{"é":[{"a":[{"n":[{},[0,0,0,0,5]]}]}],"i":[{"n":[{"t":[{},[0,0,0,0,0,6]]}]}]},[0,0,0,1]],"i":[{"l":[{"t":[{},[0,0,0,0,4]]}]},[0,0,1]],"í":[{"n":[{"n":[{},[0,6]]}]}],"o":[{},[0,1]],"r":[{"é":[{},[0,0,6]]},[0,0,1]],"s":[{"e":[{"a":[{"n":[{},[0,0,0,5]]}]}]},[4]]}],"u":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,4]]},[0,0,0,0,3]]}]}],"ú":[{"c":[{"h":[{"t":[{},[0,0,0,0,3,6]]}]}],"d":[{},[4]],"i":[{"d":[{},[4]],"m":[{},[0,0,5]],"n":[{"n":[{},[0,0,5]]}],"r":[{"é":[{},[0,0,0,0,0,5]],"s":[{},[0,0,0,0,6]]}],"t":[{"é":[{},[0,0,0,0,0,5]]}]}],"r":[{"s":[{},[0,0,0,4,3]]}],"s":[{"t":[{"á":[{},[0,0,0,5]]},[0,0,0,0,4]]}],"t":[{"a":[{"c":[{},[0,0,5,6]]}]},[6]]}],"v":[{},[0,0,1]]}],"í":[{"b":[{"a":[{},[0,5]],"e":[{"a":[{},[0,3]],"o":[{},[0,0,3]]}],"h":[{"a":[{},[0,1]],"e":[{"i":[{},[0,0,0,3]],"o":[{},[0,5]]}],"i":[{},[0,0,0,1]],"r":[{},[0,5]],"u":[{"í":[{},[0,0,0,0,0,4]]}]}],"l":[{},[0,0,1]],"o":[{},[0,0,3]],"r":[{},[0,0,1]]}],"c":[{"e":[{"a":[{"s":[{},[0,0,0,0,3]]}],"i":[{},[0,3]]},[0,0,1]],"é":[{"a":[{},[0,0,3]],"i":[{},[0,5]]}],"h":[{"a":[{},[0,5]],"e":[{"a":[{"l":[{},[0,4,0,3]]}]}],"n":[{},[0,0,0,6]]},[0,1]],"i":[{},[0,0,1]]}],"d":[{"e":[{},[0,0,1]],"h":[{},[0,1]],"i":[{},[0,0,1]],"í":[{"d":[{},[0,0,3]],"g":[{},[0,0,3]],"n":[{},[0,0,3]],"o":[{},[0,0,1]]}]}],"f":[{"e":[{".":[{},[0,6]],"a":[{"n":[{},[0,0,5]]}]}],"i":[{"r":[{},[0,6,5]],"s":[{},[0,6,5]]}]},[0,1]],"g":[{"e":[{},[0,0,3]],"h":[{"n":[{"a":[{"í":[{},[0,0,0,0,0,0,6]]}]}]},[0,0,0,4]],"i":[{},[0,0,3]],"r":[{"é":[{},[0,5]],"i":[{},[0,0,5]]}]}],"h":[{},[0,1]],"l":[{"a":[{},[0,0,3]],"á":[{},[0,1]],"e":[{".":[{},[0,6]],"a":[{},[0,0,1]],"á":[{"c":[{"h":[{"a":[{},[0,0,0,0,5]]}]}],"i":[{"c":[{},[0,0,0,0,5]]}]}]}],"é":[{},[0,0,3]],"i":[{"g":[{},[0,0,3]],"m":[{},[0,0,3]],"n":[{},[0,0,5]],"s":[{},[0,0,3]],"t":[{"h":[{},[0,4,5]]},[0,1]],"ú":[{},[0,0,5]]}],"í":[{"t":[{"h":[{},[0,3]]}]}],"o":[{},[0,5]],"ó":[{},[0,1]],"u":[{},[0,1]]}],"m":[{"é":[{},[0,4,3]],"h":[{"i":[{"d":[{},[0,4]]}]},[0,1]],"i":[{"t":[{},[0,0,0,3]]}]}],"n":[{"a":[{"i":[{},[0,0,5]]},[0,1,2]],"á":[{},[0,3,4]],"n":[{},[0,6]],"o":[{},[0,3,4]],"ó":[{},[0,3,4]],"t":[{},[0,0,3,4]]},[0,0,1]],"o":[{"c":[{"á":[{},[0,0,3,4]],"ó":[{},[0,0,6]]},[0,1]],"f":[{},[0,0,0,1]],"g":[{"a":[{"d":[{"á":[{},[0,0,0,0,3]]}]}]}],"m":[{"h":[{"e":[{},[0,0,4]]},[0,0,0,0,3]]}],"n":[{"n":[{"a":[{".":[{},[0,3]]}]}]}],"p":[{},[6]],"r":[{"g":[{},[0,0,0,0,4]],"n":[{},[0,0,0,0,6]],"t":[{},[0,0,0,0,6]]},[2,0,0,1]],"t":[{"r":[{},[0,0,0,6]]}]}],"ó":[{"g":[{"a":[{},[0,5]]}]}],"p":[{"e":[{},[0,0,3]],"é":[{},[0,0,3]],"i":[{},[0,0,5]],"r":[{},[0,0,3]]}],"r":[{"a":[{},[0,1,2]],"á":[{},[0,5]],"e":[{"a":[{"s":[{"c":[{},[0,0,4]]}]}],"i":[{},[0,3]]}],"é":[{"i":[{"r":[{},[0,0,2]]}]}],"i":[{"a":[{},[0,1,2]]}],"u":[{},[0,5,6]],"ú":[{},[0,5,6]]},[2,0,1]],"s":[{"c":[{"a":[{},[0,1]],"e":[{},[0,0,0,5]],"é":[{},[0,3]],"i":[{"r":[{},[0,0,0,3]]}],"r":[{},[0,1]]}],"e":[{},[0,0,1]],"é":[{},[4,0,3]],"h":[{},[4]],"i":[{},[0,0,3]],"í":[{},[0,0,1]],"p":[{},[0,1,2]],"t":[{"a":[{},[0,0,3]],"e":[{},[0,0,0,5]],"i":[{"n":[{},[0,0,0,5]]}],"u":[{},[0,5]]}]}],"t":[{"e":[{"a":[{"n":[{},[0,0,5]],"r":[{},[0,4]],"s":[{},[0,3]]}]},[0,0,4]],"é":[{},[0,0,5]],"h":[{"i":[{"s":[{},[0,0,0,5]]}],"o":[{"i":[{"n":[{},[0,6,0,5]]}]}]},[0,1]],"i":[{},[0,3]],"r":[{},[0,1]]}],"ú":[{"i":[{},[0,6]],"l":[{},[0,3]]}]}],"l":[{"a":[{"b":[{"a":[{"s":[{},[0,0,5]]}]}],"c":[{"á":[{"n":[{},[0,0,3,4]]},[4]],"h":[{"ó":[{},[0,0,0,0,5]],"t":[{"á":[{},[0,0,0,0,6]]}]}]}],"d":[{"h":[{"m":[{},[0,0,0,0,2,5]]}]}],"e":[{"c":[{},[0,0,0,6]]}],"f":[{"á":[{},[0,0,3,4]],"ó":[{},[0,0,3,6]]}],"g":[{"a":[{"m":[{},[0,4]]}],"á":[{},[0,0,1,2]],"h":[{"d":[{},[0,0,0,0,0,6]]},[0,6]]}],"i":[{"d":[{"é":[{},[0,0,0,5,6]]}],"h":[{},[0,4]],"l":[{},[0,0,0,3,4]],"m":[{"é":[{},[0,0,0,3,4]]}],"n":[{"c":[{"i":[{},[0,0,0,0,5]]},[0,0,0,0,0,4]],"é":[{},[0,4,0,3]]},[0,0,0,0,4]],"s":[{"c":[{},[0,0,0,0,0,3]],"t":[{},[0,0,0,0,0,6]]},[0,0,0,0,1]],"t":[{"é":[{},[0,4]],"í":[{"n":[{},[0,0,0,3]]}]}]}],"l":[{},[0,0,3,4]],"m":[{"o":[{},[0,4]],"p":[{},[0,0,0,0,1]],"ú":[{},[0,0,5]]}],"n":[{"d":[{},[0,0,0,2,3]],"g":[{},[0,5]]}],"o":[{"f":[{},[0,0,0,3]],"i":[{"n":[{"n":[{},[0,0,0,5]]}],"r":[{"e":[{".":[{},[0,0,0,5]]}],"í":[{},[0,0,0,5]]}],"t":[{"e":[{"a":[{},[0,0,0,5]],"á":[{},[0,0,0,5]]}],"í":[{},[0,0,0,5]]}]}],"n":[{"n":[{"a":[{},[0,0,0,5]]}]}]}],"r":[{"n":[{},[0,4,0,3]],"ú":[{"i":[{},[0,0,3]]}]},[0,1]],"s":[{"a":[{"r":[{"n":[{},[0,0,0,0,0,0,4]]},[0,0,0,0,0,3]]}],"b":[{},[0,4]],"p":[{"a":[{".":[{},[0,0,0,6]]}]}],"t":[{"ó":[{},[0,0,0,5]]}]}],"t":[{"á":[{},[0,0,0,3]],"ó":[{},[0,0,0,3]],"r":[{},[0,0,0,5]]}]}],"á":[{"c":[{"h":[{},[0,0,0,0,5]]}],"i":[{"b":[{},[0,4]],"m":[{},[0,6]],"n":[{"n":[{},[0,0,5]],"t":[{},[0,0,0,0,0,4]]},[0,0,0,0,3]],"t":[{"e":[{"á":[{},[0,0,5]]}],"í":[{".":[{},[0,0,5]]}]}]}],"l":[{},[1]],"m":[{"h":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,0,0,6]]},[0,0,0,0,0,0,0,5]]}]}]}]}],"r":[{"t":[{},[0,0,0,0,6]]},[0,0,0,5]]}],"b":[{"a":[{"t":[{},[0,0,0,5]]},[0,1,4]],"á":[{},[0,3]],"h":[{"a":[{"c":[{"á":[{},[0,0,0,5]]}],"d":[{},[0,0,0,5]],"i":[{"n":[{},[0,5]],"t":[{},[0,0,0,3]]}],"n":[{},[0,5]]}],"á":[{"i":[{"n":[{".":[{},[0,4,0,5]]}]}],"n":[{".":[{},[0,6,0,5]]}]},[0,1]],"e":[{"a":[{"d":[{},[0,0,0,5]],"n":[{},[0,0,0,5]]}],"o":[{},[0,0,0,3]]}],"é":[{},[0,3]],"f":[{},[0,0,0,3]],"i":[{"d":[{},[0,6,0,5]],"n":[{},[0,0,0,0,0,4]],"r":[{".":[{},[0,0,0,5]]}],"t":[{"h":[{},[0,0,0,5]]}]}],"í":[{},[0,0,0,1]],"r":[{},[0,1]]}],"í":[{},[0,3,6]],"n":[{},[0,0,3]],"ó":[{},[0,4,3]]}],"c":[{"a":[{"i":[{"l":[{},[0,3,4]]}],"l":[{},[0,0,0,3,4]]},[0,0,1]],"á":[{"n":[{"t":[{},[0,6,5]]}]},[0,3,4]],"e":[{"a":[{"n":[{},[0,0,3]]}],"i":[{},[0,3]],"o":[{},[0,0,3]]}],"h":[{},[0,1,0,2]],"i":[{"d":[{},[0,0,5]],"m":[{},[0,0,3]],"n":[{},[0,0,5]],"t":[{},[0,0,3]]}],"í":[{},[0,0,3]],"l":[{},[0,3]],"ú":[{},[0,5,0,5]]}],"d":[{"e":[{"a":[{"n":[{},[0,0,5]]}],"i":[{"g":[{"h":[{"i":[{"l":[{},[0,0,0,0,0,0,0,0,6]]}]}]}]}]}],"ú":[{"d":[{},[0,0,0,0,4]]},[0,0,0,3]]},[0,1,2]],"e":[{"a":[{"c":[{"h":[{"t":[{"á":[{},[0,0,0,0,0,6]]}]}]}],"g":[{"ú":[{},[0,0,0,5]]}],"m":[{"á":[{},[0,0,0,5,6]]}],"r":[{"b":[{},[0,0,0,0,0,3]]}],"t":[{"ó":[{},[0,0,0,0,5]],"r":[{"a":[{},[0,0,0,3]]}]}],"v":[{},[0,4]]}],"á":[{"c":[{"h":[{},[0,0,0,0,0,3]]}],"f":[{},[3]]}],"c":[{},[0,4]],"f":[{},[0,4]],"i":[{"c":[{"e":[{"a":[{"d":[{},[0,0,0,0,0,0,0,5]]}]}]}],"f":[{},[0,0,0,0,5]],"r":[{"c":[{},[0,0,0,0,5,6]]}],"s":[{"c":[{},[0,0,0,0,0,3]]}]},[0,4]],"l":[{},[0,4,5]],"m":[{},[0,4]],"o":[{"d":[{},[0,0,0,6,5]],"m":[{"h":[{},[0,0,0,0,0,3]]}]}]}],"é":[{"a":[{"d":[{"a":[{"r":[{},[0,0,3,0,4]]}],"h":[{},[0,0,3]]}],"l":[{"a":[{"i":[{"m":[{},[0,0,0,0,0,0,0,5]]}]}]}]}],"i":[{"d":[{"í":[{"s":[{},[0,0,3]]}]}],"f":[{},[0,0,1,0,4]],"m":[{"i":[{"d":[{".":[{},[0,0,5]]}],"s":[{},[0,0,5]]}]}],"n":[{"t":[{},[0,0,0,0,0,6]]}],"t":[{"e":[{"a":[{},[0,0,3]]}],"í":[{},[0,0,3]],"s":[{},[0,0,0,0,6]]}],"v":[{},[0,6]]}]}],"f":[{"c":[{},[0,4]],"e":[{"a":[{"n":[{},[0,0,5]]}]}],"g":[{},[0,4]],"r":[{"é":[{},[0,0,5]]}]},[0,1]],"g":[{"a":[{"d":[{"á":[{},[0,0,0,3]]}],"m":[{},[0,1,2]]}],"e":[{},[0,0,1]],"é":[{},[0,3]],"h":[{},[0,1,0,6]],"i":[{},[0,0,3]],"l":[{},[0,0,3]],"r":[{"á":[{},[0,0,6]]},[0,0,3]]}],"h":[{"a":[{},[0,3]],"e":[{},[0,5]]}],"i":[{"a":[{"n":[{"t":[{"a":[{"c":[{},[0,0,0,0,4]]},[0,0,0,0,0,3]]}]}],"s":[{"t":[{},[0,0,0,0,0,6]]},[0,0,0,0,5]],"t":[{},[0,0,0,0,6]]}],"b":[{"h":[{"e":[{},[0,0,3]]},[0,4]],"i":[{"l":[{},[0,0,5,6]]}],"í":[{".":[{},[0,0,5]],"o":[{},[0,0,5,6]]}]}],"c":[{"s":[{},[0,0,0,6,5]]}],"d":[{},[0,1]],"f":[{},[4,1,1,4]],"g":[{"é":[{"a":[{},[0,0,5,6]]}]},[0,0,0,3]],"l":[{},[0,0,3,6]],"m":[{"é":[{},[0,0,5,6]],"h":[{"i":[{},[0,0,3]]}],"i":[{"r":[{},[0,0,0,5]]}],"p":[{"í":[{},[0,0,0,0,3]]}]}],"n":[{"é":[{},[0,0,5,6]],"g":[{"t":[{"e":[{".":[{},[0,0,0,0,6]]}]}]}],"s":[{},[0,0,0,4]],"t":[{"e":[{},[0,0,0,0,3]]}]}],"o":[{"n":[{"a":[{},[4]],"t":[{},[0,0,0,0,4,5]]}],"s":[{"t":[{},[0,0,0,0,0,3]]}]}],"p":[{"s":[{},[0,0,0,4]]}],"r":[{},[0,1]],"s":[{"t":[{},[0,0,0,0,4]]},[0,0,0,1]],"t":[{"é":[{},[0,0,3]],"i":[{"ú":[{},[0,0,3]]}]}],"ú":[{"d":[{"a":[{"r":[{},[0,0,0,5,6]]}]}],"i":[{"t":[{"í":[{".":[{},[0,0,0,5]]}]}]}],"m":[{"a":[{},[0,0,0,5]]}],"s":[{"t":[{},[0,0,0,3]]}]}]}],"í":[{"b":[{"h":[{"é":[{},[0,0,3]]}]}],"o":[{"c":[{"h":[{"á":[{},[0,0,6]]}]}]}],"s":[{"é":[{},[0,0,3,0,5]]},[0,1]],"t":[{"h":[{"i":[{},[0,0,0,0,6]]}]}]}],"l":[{"a":[{"b":[{"a":[{},[0,0,0,5]]},[0,0,0,0,6]],"c":[{"á":[{},[0,0,0,3,4]]}],"g":[{"a":[{"c":[{},[0,0,0,0,6]],"r":[{},[0,0,0,0,6]]}]},[0,0,0,3]],"i":[{"s":[{},[0,0,0,0,3]],"t":[{},[0,0,0,0,0,4]]}],"m":[{"á":[{},[0,0,0,5]]},[0,0,0,0,6]]}],"ó":[{},[0,6]],"t":[{},[0,0,0,4]]},[0,2,1]],"m":[{"a":[{"n":[{},[0,5,0,5,6]]},[0,2]],"á":[{},[0,0,6]],"e":[{},[0,2]],"h":[{},[0,0,0,2]],"i":[{"a":[{},[0,6]]}],"í":[{".":[{},[0,6]]},[0,0,6]],"ó":[{"g":[{},[0,0,4]],"i":[{"g":[{},[0,0,6]]}]}],"s":[{},[0,4]]},[0,1]],"n":[{"a":[{},[0,0,4]],"i":[{},[0,0,4]]},[0,1]],"o":[{"d":[{},[0,0,0,5]],"i":[{"d":[{},[0,3]],"n":[{"e":[{},[6]]}],"t":[{"e":[{},[0,0,0,0,5]]}]}],"n":[{"c":[{},[0,0,0,5]]}],"r":[{"a":[{"i":[{"c":[{},[0,0,0,0,0,0,6]]},[0,0,0,0,0,5]]}]}]}],"ó":[{"d":[{"ó":[{"i":[{"r":[{},[0,0,5]]}],"r":[{},[0,0,5,6]]}]}],"i":[{"n":[{"í":[{},[0,6]]}],"p":[{},[5,6]]}],"l":[{},[0,0,3,4]],"m":[{"h":[{},[0,0,5]]}],"p":[{".":[{},[5]]}],"s":[{},[0,0,1]],"t":[{"a":[{},[0,0,0,3]],"h":[{},[0,0,0,0,3]]}],"v":[{},[4]]}],"p":[{"a":[{},[0,0,1]],"á":[{},[0,0,3]],"e":[{"i":[{},[0,5]]},[0,0,1]],"é":[{},[0,3]],"i":[{"ú":[{},[0,0,5]]}],"í":[{"t":[{},[0,5]]}],"ó":[{},[0,3]]}],"r":[{"é":[{},[0,0,0,5]]},[0,1]],"s":[{"c":[{"a":[{"i":[{},[0,6,0,3]]}],"á":[{},[0,0,0,4]],"e":[{"a":[{"d":[{},[0,0,0,6]]}]},[0,0,0,3]],"i":[{"d":[{},[0,5]],"n":[{},[0,0,0,5]]}],"l":[{},[0,5]]}],"e":[{},[0,5,4]],"l":[{},[0,5,6]]},[0,1,2]],"t":[{"a":[{"i":[{"r":[{},[0,0,6]]}],"r":[{},[0,0,4]]}],"b":[{},[0,6]],"e":[{"a":[{"n":[{"n":[{},[0,4,3]]}]}],"o":[{"f":[{},[0,0,3]]}]},[0,0,2]],"i":[{},[0,0,2]],"m":[{},[0,4]],"o":[{"r":[{},[0,0,0,0,6]]}],"r":[{"a":[{"c":[{},[0,0,6]],"l":[{},[0,0,0,0,3]]}]}]},[0,1]],"u":[{"a":[{"i":[{"m":[{},[0,0,0,3]],"t":[{"e":[{"a":[{"r":[{},[0,0,0,5]]}]}]}]}]}],"c":[{"h":[{"t":[{},[0,0,0,0,6,5]]}]}],"í":[{"o":[{},[0,0,0,3]]}],"s":[{"t":[{},[0,0,0,5]]}]}],"ú":[{"b":[{},[3]],"c":[{"a":[{},[0,0,0,0,3]],"h":[{"t":[{},[0,0,0,0,3,4]]}]}],"d":[{},[4]],"f":[{},[0,0,4,3]],"g":[{},[0,0,0,4]],"i":[{"t":[{"é":[{},[0,0,0,0,5]]}]}],"l":[{},[0,3,0,6]],"m":[{"a":[{"n":[{},[0,0,0,0,5,6]]},[0,0,0,3]],"h":[{"a":[{},[0,0,4,0,5]],"á":[{},[0,0,4,0,3]]}]}],"n":[{},[0,1]],"p":[{"a":[{},[0,4]]}],"s":[{},[0,0,0,3]],"t":[{"ó":[{},[0,0,0,3]]}]}],"v":[{},[0,1]]}],"m":[{"a":[{"b":[{"h":[{},[0,0,0,0,6]]},[0,3]],"c":[{".":[{},[5,6]],"a":[{},[0,0,0,5]]},[0,1]],"d":[{"a":[{"r":[{},[0,5]],"s":[{},[0,0,5]]}],"á":[{},[0,0,3]],"h":[{"m":[{},[0,0,0,0,0,5]]},[0,5,0,0,4]]},[0,1]],"e":[{},[0,3]],"f":[{},[0,3,3,4]],"g":[{"l":[{},[0,0,5,6]],"r":[{},[0,0,3]]},[0,3]],"i":[{"l":[{"í":[{"t":[{},[0,0,0,5,6]]}]}],"m":[{},[4]],"n":[{"i":[{"c":[{},[0,0,0,0,0,3,4]],"d":[{},[0,0,0,3,4]]}],"t":[{"i":[{},[0,0,0,0,0,6]],"í":[{},[0,0,0,0,6,5]]}]}],"r":[{"n":[{"e":[{},[0,0,0,0,6]],"í":[{},[0,0,0,0,6]]}]}],"s":[{"t":[{"e":[{"o":[{},[0,0,0,0,5]]},[0,0,0,0,0,6]],"í":[{"n":[{},[0,0,0,0,5,6]]}]}]}],"t":[{"é":[{},[0,0,0,3]],"i":[{},[0,2]]}]},[0,1]],"í":[{"t":[{"e":[{".":[{},[0,0,0,5]],"a":[{"c":[{},[0,0,0,0,5]]}]}],"i":[{},[0,0,0,6]]}]},[0,1]],"l":[{".":[{},[0,5]],"a":[{"n":[{},[0,0,3,6]]}],"á":[{},[0,4]],"g":[{},[0,0,0,5,6]]}],"m":[{"ó":[{},[0,0,0,5]],"ú":[{},[0,0,0,5,5]]},[0,1]],"n":[{"a":[{"m":[{},[0,0,5,6]]}],"c":[{},[5,6,0,5]],"d":[{},[3,4,0,3,6]],"t":[{},[0,0,0,0,3]]}],"r":[{"a":[{"d":[{},[0,0,3,4]]}],"b":[{"h":[{},[0,0,0,0,0,3]]},[0,3,0,6]],"c":[{},[0,1,0,6,5]],"d":[{},[0,1]],"f":[{},[0,0,0,6,5]],"m":[{},[0,0,0,3,6]],"s":[{"a":[{".":[{},[0,0,0,6]]}]},[0,3]],"t":[{},[0,3]],"ú":[{},[0,3,3]]}],"s":[{"t":[{},[0,0,0,0,4]]},[0,1]],"t":[{"a":[{"g":[{},[0,0,3]]}],"ó":[{"g":[{},[0,0,0,5]]},[0,3,3]]}]}],"á":[{"c":[{"h":[{},[0,0,0,0,1]]}],"l":[{},[6]],"r":[{"t":[{},[0,0,0,0,6]]},[0,0,0,5]],"t":[{},[0,4]]},[0,1]],"b":[{"a":[{"d":[{"á":[{},[0,0,0,0,3]]},[0,0,0,6]],"l":[{"b":[{},[0,0,0,0,6]]}]}],"d":[{},[0,6]],"e":[{"o":[{"f":[{},[0,0,0,0,5]],"g":[{},[0,0,0,0,5]],"i":[{"d":[{},[0,0,0,0,5]],"m":[{},[0,0,0,0,5]],"n":[{},[0,0,0,0,5]]}]}]}],"í":[{"d":[{"í":[{"s":[{},[0,0,0,5]]}]}],"m":[{"i":[{"s":[{},[0,0,0,5]]}]}],"t":[{"e":[{"á":[{},[0,0,0,5]]}],"í":[{},[0,0,0,5]]}]}],"l":[{"í":[{},[0,0,0,0,3]]},[0,4]],"ó":[{},[0,0,4]],"r":[{"e":[{"o":[{"f":[{},[0,0,0,0,0,5]],"i":[{"d":[{},[0,0,0,0,0,5]],"m":[{},[0,0,0,0,0,5]],"n":[{},[0,0,0,0,0,5]]}]}]}],"í":[{"o":[{},[0,0,0,0,3]]}]}]},[0,1,2]],"c":[{"h":[{},[0,0,0,2]],"í":[{},[0,3,4]]},[0,1]],"d":[{},[0,1]],"e":[{"a":[{"l":[{"t":[{},[0,0,0,0,6]]},[0,2]],"r":[{"c":[{},[0,0,0,0,5,6]],"t":[{"a":[{"i":[{},[0,0,0,0,5,6]]}]}]}],"s":[{"c":[{},[0,2]],"t":[{},[0,0,0,0,5]]}],"t":[{"á":[{"n":[{},[0,0,0,0,5]]}]}]}],"á":[{"c":[{},[0,0,0,5]]}],"i":[{"r":[{"f":[{},[0,0,0,0,6,5]]}]}],"o":[{"n":[{"ó":[{},[0,0,0,3]]}]}],"s":[{},[0,6]]},[0,1]],"é":[{"a":[{"c":[{},[6,5,5]],"m":[{},[0,5]],"r":[{".":[{},[4]]},[0,3]]},[1]],"i":[{"c":[{},[0,0,5]],"g":[{"h":[{},[0,0,5]]}],"n":[{"t":[{},[0,0,0,0,6]]}],"s":[{},[0,5]]}]}],"f":[{"e":[{".":[{},[0,6]]}]},[2,1]],"g":[{},[0,1]],"h":[{".":[{},[2]],"a":[{"c":[{"a":[{},[3,0,4,0,5]]}],"d":[{".":[{},[0,0,4]],"h":[{},[0,0,0,0,0,4]]}],"g":[{},[0,0,4]],"i":[{"d":[{".":[{},[0,0,4]]}],"n":[{"i":[{"c":[{},[0,0,0,0,0,0,5,4]]}],"t":[{"e":[{},[0,0,0,0,0,5]],"i":[{},[0,0,0,0,0,5]]}]}],"s":[{"c":[{},[0,0,0,0,0,6]],"t":[{},[0,0,0,0,0,0,4]]},[0,0,0,0,0,3]]}],"m":[{".":[{},[0,0,6]]}],"r":[{"b":[{"h":[{},[0,0,0,0,0,0,5]]},[0,0,0,0,6]],"c":[{"a":[{},[0,0,0,0,6]],"r":[{},[0,0,0,0,6,5]]}],"f":[{},[0,0,0,0,4,3]],"g":[{},[3]],"m":[{},[0,0,0,0,3,6]],"t":[{"a":[{},[0,0,0,0,3,4]]}]}],"s":[{"f":[{},[0,0,3]]}],"t":[{".":[{},[0,0,6]],"á":[{},[0,0,0,0,3]],"ó":[{},[0,0,0,0,5]],"s":[{},[0,0,6]]}]}],"á":[{"r":[{"t":[{},[0,0,0,0,0,6]]},[0,0,0,0,5]]}],"d":[{},[0,0,0,6]],"e":[{"a":[{"d":[{"a":[{"i":[{},[0,0,0,0,5]],"r":[{},[0,0,0,0,0,5]],"s":[{},[0,0,0,0,5]]}]}],"r":[{"c":[{},[0,0,0,0,0,5,6]]}],"s":[{"t":[{},[0,0,0,0,0,3,6]]}]}],"i":[{"r":[{"f":[{},[0,0,0,0,0,6,5]]}]}]}],"é":[{"a":[{"l":[{},[0,0,4]]}]}],"f":[{},[0,0,1]],"i":[{"l":[{"l":[{},[0,0,4]]}],"o":[{"n":[{"t":[{"a":[{".":[{},[0,0,0,0,0,6]],"í":[{},[0,0,0,0,0,6,5]]}]}]}]}],"s":[{"t":[{},[0,0,0,0,0,6]]},[0,0,0,0,3]]}],"í":[{"b":[{"h":[{},[0,0,0,0,0,6]]},[0,0,0,3]],"l":[{"e":[{},[0,0,0,6]]}],"r":[{"é":[{},[0,0,0,3]]}]}],"l":[{"u":[{"a":[{"d":[{},[0,0,0,0,0,0,5]]}]}]},[0,0,1]],"n":[{},[0,0,1]],"o":[{"l":[{"t":[{},[5,0,0,0,5,6]]}],"n":[{"c":[{},[0,0,0,0,5,6]],"g":[{"ó":[{},[0,0,0,0,0,5]]}],"t":[{},[0,0,0,0,6,5]]}],"r":[{"c":[{},[0,0,0,0,6]],"n":[{},[0,0,0,0,5]],"s":[{},[0,0,0,0,6,5]]}]}],"ó":[{"m":[{"h":[{},[0,0,0,5]]}]}],"r":[{"í":[{"o":[{"c":[{},[0,0,0,0,5]]}]}]},[4,0,5]],"t":[{},[0,0,1,4]],"u":[{"i":[{"r":[{},[3]],"s":[{"c":[{},[0,0,0,0,0,0,6]]},[0,0,0,0,0,5]]}],"í":[{},[0,0,0,0,6]],"r":[{},[0,0,0,0,5]],"s":[{"t":[{},[0,0,0,0,3]]}]}],"ú":[{"d":[{},[0,0,0,0,6]],"i":[{"n":[{},[0,0,4]]}]}]}],"i":[{"a":[{},[0,3]],"c":[{},[0,1]],"d":[{"i":[{},[0,0,0,5]],"í":[{},[0,3]]}],"g":[{},[0,1]],"l":[{"é":[{},[0,0,3,4]],"í":[{"t":[{},[0,0,0,0,0,5]]},[0,0,0,0,6]]},[0,1]],"m":[{},[0,1]],"n":[{"é":[{},[0,0,3]],"s":[{"e":[{},[0,0,0,5]],"í":[{},[0,0,0,5]]}],"t":[{},[0,0,0,0,1]]},[0,1,0,2]],"o":[{"n":[{"t":[{"a":[{},[0,0,0,0,4,5]]}]}],"r":[{},[0,0,0,0,5]]}],"r":[{"c":[{},[0,0,0,4,3]],"é":[{},[0,3,3,4]],"í":[{},[0,3]],"t":[{},[0,0,0,0,3]]}],"s":[{"c":[{},[0,0,0,0,3]],"i":[{},[0,1]],"t":[{},[0,3,0,3,6]]}],"t":[{"e":[{},[0,0,0,6]],"i":[{},[0,0,3,4]]},[0,1]],"ú":[{"d":[{},[3]]},[0,1]]}],"í":[{"b":[{"h":[{},[0,0,0,0,6]]},[0,0,3]],"g":[{"h":[{},[0,0,3]],"r":[{},[0,0,5]]}],"l":[{"í":[{"t":[{},[0,0,3]]}]},[3,4]],"n":[{"a":[{},[0,0,6]]}],"o":[{"s":[{},[0,0,0,0,5]]}],"r":[{"e":[{".":[{},[5]]}],"é":[{},[0,0,3]]}],"t":[{".":[{},[3,4]],"e":[{".":[{},[3,4]],"a":[{"c":[{},[0,0,3]]}]}],"i":[{},[0,0,0,6]]}]},[0,1]],"l":[{"e":[{"a":[{"t":[{},[0,0,0,0,0,6]]}]}],"u":[{"a":[{"d":[{"a":[{},[0,0,0,0,5]]}],"i":[{"t":[{"e":[{"a":[{},[0,0,0,0,5]]}]}]}]}]}]},[0,1]],"n":[{"a":[{},[0,5]]},[2,1,2]],"o":[{"d":[{"h":[{},[0,0,0,0,5]]}],"i":[{},[0,1]],"l":[{"t":[{},[0,0,0,5,6]]}],"n":[{"c":[{},[0,0,0,5,6]],"g":[{"ó":[{},[0,0,0,0,5]]}],"t":[{},[0,0,0,6,5]]}],"r":[{"c":[{"h":[{},[0,0,0,0,0,5]]}],"d":[{},[0,0,0,5]],"f":[{},[0,0,0,0,1]],"n":[{},[0,0,0,5]],"s":[{},[0,0,0,0,5]]},[0,0,0,2]]}],"ó":[{"f":[{},[4]],"i":[{"n":[{".":[{},[0,4]],"í":[{},[0,6]],"t":[{},[0,0,0,0,0,6]]}]}],"m":[{},[0,0,5]],"n":[{".":[{},[3]]},[0,2]],"r":[{"ó":[{},[5,6]]},[0,0,0,5]],"s":[{},[0,4]]},[0,1]],"p":[{"a":[{"l":[{"l":[{},[0,0,3]]}],"r":[{"n":[{},[0,3,4]]},[0,0,0,0,5]]}],"e":[{"a":[{"n":[{"n":[{},[0,0,3]]}]}]},[0,1]],"é":[{".":[{},[0,5]],"a":[{"r":[{},[0,5]]}],"i":[{"d":[{},[0,0,5]],"r":[{},[0,5]]}]}],"f":[{},[0,4]],"i":[{"s":[{"e":[{},[0,0,0,5]]},[0,0,0,0,6]]},[0,1]],"í":[{},[0,3]],"l":[{},[0,1,2]],"o":[{},[0,1]],"r":[{},[0,1]],"t":[{},[0,6]],"ú":[{},[0,1]]}],"r":[{"o":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,6]]},[0,0,0,0,0,5]]}]}]},[0,1]],"s":[{"c":[{},[0,0,0,4]]},[0,1,2]],"t":[{"h":[{},[0,0,0,6]]},[0,1]],"u":[{"a":[{},[0,1]],"i":[{"l":[{"c":[{},[0,0,0,0,0,5]]}],"s":[{"c":[{},[0,0,0,0,0,6]]},[0,0,0,0,5]]}],"í":[{},[0,0,0,6]],"l":[{},[5]],"r":[{"d":[{},[0,0,0,0,6]]},[0,0,0,5]],"s":[{"t":[{},[0,0,0,3]]}]}],"ú":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,6]]},[0,0,0,0,3]]},[0,3,6]],"i":[{"n":[{},[0,0,0,0,5]]}],"l":[{},[0,3]],"s":[{},[0,3]],"t":[{},[0,0,0,5]]}]}],"n":[{"a":[{"b":[{"a":[{"í":[{},[0,3]]}],"h":[{},[0,0,3,0,4]]}],"c":[{"h":[{"a":[{"i":[{"n":[{},[0,0,0,0,6]]}],"n":[{},[0,0,3,0,4]]}],"l":[{},[0,0,3]],"r":[{},[0,0,5]]}],"ó":[{},[0,0,5]],"r":[{},[0,0,3]]}],"d":[{"á":[{},[0,0,3]]}],"e":[{"m":[{},[0,0,0,5,6]],"r":[{},[0,3]]}],"f":[{},[0,0,0,5]],"g":[{"a":[{"m":[{},[0,0,3,4]]}],"ó":[{},[0,0,0,3]],"r":[{},[0,0,3]]},[2]],"i":[{"l":[{"i":[{},[0,0,0,3,4]],"í":[{"n":[{},[0,0,0,5,6]]}],"t":[{},[0,0,0,0,6]]}],"s":[{"e":[{},[0,4]],"t":[{"e":[{"o":[{},[0,0,0,0,5]]},[0,0,0,0,0,3]]}]}]}],"í":[{"t":[{},[0,0,0,0,6]]}],"l":[{"b":[{"h":[{},[0,0,0,0,0,4]]}],"ó":[{"g":[{},[0,0,3,4]]}]},[0,0,0,3]],"m":[{"a":[{"r":[{"a":[{},[0,0,5]]}],"t":[{},[0,0,5]]}],"h":[{"a":[{},[0,0,0,0,5]],"é":[{},[0,0,3]]}]}],"n":[{"t":[{},[0,0,0,0,1]]},[0,0,0,2]],"o":[{"n":[{"n":[{},[0,0,0,5]]}]}],"p":[{},[2]],"r":[{"b":[{"a":[{},[0,0,0,0,5]],"h":[{},[0,0,0,0,0,6]]}]}],"s":[{"t":[{"á":[{},[0,0,3]]}]}],"t":[{"a":[{"m":[{},[0,0,5]]},[0,0,0,0,6]],"ó":[{},[0,0,3]]}],"v":[{"a":[{},[0,0,0,0,5]]}]},[0,1]],"á":[{".":[{},[4]],"f":[{},[0,0,4,3]],"i":[{"d":[{},[0,1]],"l":[{},[0,1]],"s":[{"c":[{},[0,5]]}]},[0,0,6]],"í":[{},[0,5]],"l":[{},[0,1]],"r":[{},[0,1]],"s":[{"c":[{},[6,5]]}]}],"b":[{"a":[{},[0,0,6]],"e":[{},[0,4,3]],"h":[{"a":[{"n":[{"d":[{},[0,0,0,0,0,0,5]]},[0,0,0,0,0,6]],"o":[{},[0,6,0,5]]}]}],"i":[{},[0,6,5]],"í":[{},[0,6]]},[0,1]],"c":[{"a":[{"i":[{"g":[{},[0,0,5]]}],"n":[{},[0,0,5]],"r":[{".":[{},[0,5,6]],"n":[{},[0,0,0,0,0,6]]},[0,0,0,0,5]]},[0,2]],"á":[{"s":[{},[0,3,4]]},[0,2]],"b":[{},[0,6]],"e":[{"a":[{"s":[{},[0,3]]}],"i":[{},[0,5]]},[0,0,3]],"é":[{"a":[{"d":[{},[0,5]]}],"i":[{"d":[{},[0,5]]}]},[0,4,3]],"h":[{"r":[{"ó":[{},[0,0,0,0,0,5]]}]},[0,5,0,2]],"i":[{"g":[{},[0,6]],"s":[{"í":[{},[0,5]]}]}],"l":[{"o":[{},[0,0,1]],"u":[{},[0,0,3]]}],"s":[{},[0,4,4,3]],"ú":[{"n":[{},[0,5]]},[0,4,3]]},[0,1]],"d":[{"a":[{"g":[{},[0,0,0,6]]}],"á":[{"n":[{},[0,5,6]]}],"e":[{"a":[{},[0,5]],"á":[{},[0,4]]}],"é":[{},[0,5]],"i":[{"a":[{"i":[{},[0,4]]}],"c":[{},[0,0,0,0,5]],"s":[{".":[{},[0,0,5]],"e":[{},[0,0,5]]},[0,6]]}],"l":[{"í":[{"d":[{},[0,0,0,0,5]],"g":[{},[0,0,0,0,5]],"m":[{},[0,0,0,0,5]],"o":[{},[0,0,0,0,3]]}]}],"ó":[{"g":[{},[0,0,3]],"i":[{"t":[{"e":[{".":[{},[0,0,0,5]]}],"í":[{},[0,0,0,5]]}]}]}],"r":[{"e":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,0,0,6]]},[0,0,0,0,0,0,0,5]]}]}],"o":[{"f":[{},[0,0,0,0,0,5]],"i":[{"d":[{},[0,0,0,0,0,5]],"m":[{},[0,0,0,0,0,5]],"n":[{},[0,0,0,0,0,5]]}]}]}],"ó":[{},[0,0,6]]}]},[0,1,2]],"e":[{"a":[{"g":[{"á":[{},[0,0,0,3,4]]}],"m":[{"a":[{".":[{},[0,0,0,5]]}]}],"s":[{"á":[{"r":[{},[0,0,0,5,6]]}]}],"t":[{},[0,0,0,0,5]]}],"á":[{"c":[{"h":[{"a":[{},[0,0,0,5]]}]}]}],"d":[{},[0,4]],"g":[{},[0,4]],"m":[{},[0,4]],"o":[{"d":[{},[0,0,0,0,5]],"i":[{"r":[{"i":[{},[0,5]]}]}],"t":[{},[5,6]]},[0,0,0,6]]}],"é":[{"a":[{"l":[{"t":[{},[0,0,0,0,0,4]]},[0,0,0,0,5]],"s":[{},[4]]},[0,0,0,6]]}],"f":[{"a":[{".":[{},[0,6]],"i":[{"r":[{"t":[{},[0,0,0,0,0,0,5]]},[0,0,0,0,0,6]]}]}]},[0,1]],"g":[{"a":[{"d":[{"á":[{},[0,0,0,3]]}],"i":[{"n":[{"t":[{},[0,0,4]]}],"r":[{"t":[{},[0,0,0,0,0,5]]}]}],"l":[{"ó":[{},[0,0,4]]}],"n":[{"t":[{},[0,3,4]]}]}],"á":[{"n":[{},[0,0,3]]},[0,0,2]],"e":[{"a":[{"l":[{},[0,0,6]],"r":[{"t":[{},[0,0,0,0,0,3,4]]}],"t":[{},[0,0,0,0,0,5]]}]}],"é":[{},[0,3,4]],"h":[{},[0,1,0,6]],"i":[{"a":[{},[0,0,6]],"l":[{},[0,3,4]],"n":[{},[0,4]]}],"í":[{"n":[{"e":[{},[0,0,6]]}],"o":[{"c":[{},[0,0,6]]}]}],"l":[{"í":[{},[0,0,6]]}],"ó":[{"i":[{"d":[{".":[{},[0,0,6]],"e":[{},[0,0,6]]}]}],"r":[{},[0,0,6]]}],"t":[{},[0,0,0,4]],"ú":[{"n":[{},[0,5,6]],"s":[{},[0,5]]}]},[2]],"h":[{"a":[{},[0,5,6]],"á":[{},[0,5]]}],"i":[{"a":[{"i":[{"t":[{},[0,0,0,5]]}]}],"b":[{"é":[{},[0,0,0,6]]}],"c":[{"í":[{"n":[{"e":[{},[0,0,5]]}]}]}],"f":[{},[0,0,3]],"g":[{"í":[{},[0,5]]}],"l":[{},[0,3]],"m":[{".":[{},[6,5]],"é":[{},[0,0,6,5]],"i":[{},[4,3]]}],"n":[{"d":[{},[0,0,0,6,5]],"í":[{"t":[{},[0,0,0,0,0,5]]}],"s":[{},[0,0,0,4]]},[0,5]],"o":[{},[2]],"r":[{"b":[{},[0,0,0,5]],"i":[{},[0,0,0,4]]}],"s":[{"t":[{},[0,0,0,0,6]]},[0,0,0,1]],"t":[{"é":[{},[0,0,3]]}]},[0,1]],"í":[{"l":[{"i":[{"m":[{},[0,0,0,0,0,5]]}]}],"o":[{"m":[{"h":[{},[2]]}],"t":[{},[0,0,0,3]]}],"r":[{},[0,3]],"t":[{"h":[{},[0,0,4,0,5]],"r":[{},[0,0,6,5]]}]}],"l":[{"é":[{"a":[{"m":[{},[0,0,0,5]],"n":[{},[0,0,0,5]]}],"i":[{"g":[{"í":[{},[0,0,0,5]]}],"m":[{"i":[{},[0,0,0,3]]}]}]}],"i":[{"a":[{"n":[{},[0,0,0,0,5]]}]}],"í":[{},[0,5]]},[0,1]],"m":[{"a":[{"n":[{},[0,0,5]]}],"c":[{},[0,6]],"e":[{},[0,4]],"h":[{},[0,0,0,4]],"i":[{},[0,6]],"í":[{},[0,6]],"ó":[{},[0,0,4]]},[0,1]],"n":[{".":[{},[2]],"a":[{"b":[{},[0,0,0,3,4]],"c":[{},[6]]}],"t":[{},[0,0,3,2]]},[0,2,1]],"o":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,5]]},[0,0,0,0,6]]}],"i":[{"c":[{"h":[{},[0,0,0,0,0,4]]}]}],"l":[{"a":[{},[0,0,5]]},[0,0,0,6]],"m":[{},[3]],"r":[{"d":[{},[0,3]]}],"s":[{"c":[{"a":[{"i":[{"l":[{},[0,0,0,0,0,0,0,4]]}]}]}]}]}],"ó":[{"b":[{},[5,6]],"g":[{},[0,1]],"i":[{"a":[{},[3]],"t":[{},[0,4]]}],"l":[{},[0,1]],"m":[{"a":[{},[5,6]]}],"n":[{},[0,1]],"r":[{"t":[{"a":[{"s":[{},[0,0,0,6,5]]}]}]},[0,1]],"t":[{"h":[{},[0,0,1,0,2]]},[2,2]]}],"p":[{},[0,1]],"r":[{"a":[{},[0,3]],"i":[{},[0,5]],"o":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,6]]},[0,0,0,0,0,5]]}]}],"ó":[{".":[{},[0,6]]}],"ú":[{},[0,0,6]]},[0,1]],"s":[{"a":[{"b":[{"a":[{},[0,0,0,5]]},[0,0,0,0,6]],"n":[{"n":[{},[0,0,3]]}]}],"á":[{"i":[{"l":[{},[0,4,3]],"n":[{"n":[{},[0,0,0,5]]}],"t":[{},[0,0,0,3]]}],"l":[{},[0,2,3]]}],"c":[{"á":[{},[0,0,0,6]],"i":[{},[0,0,0,6]],"r":[{},[0,0,0,6]]}],"e":[{"a":[{"c":[{},[0,5]]}],"á":[{"n":[{},[0,0,4]]},[0,0,3]],"i":[{"r":[{},[0,0,0,0,0,5]]}]}],"é":[{},[0,5]],"i":[{"n":[{"t":[{},[0,0,0,0,6]]}]}],"í":[{"n":[{},[0,5]]}],"t":[{},[0,0,0,4]],"ú":[{"d":[{},[0,0,0,0,6]],"i":[{"t":[{"í":[{},[0,0,0,5]]}]}],"m":[{},[0,0,0,5]]}]},[0,1,2]],"t":[{"a":[{"i":[{"b":[{},[0,0,0,0,3]]}],"l":[{"ú":[{"n":[{},[0,0,5,5,6]]}]}],"m":[{"ó":[{},[0,0,0,5]]}],"p":[{},[0,0,0,3]],"r":[{"t":[{},[0,0,5]]}]}],"á":[{".":[{},[0,5]]}],"e":[{"a":[{"d":[{},[0,0,4]],"g":[{},[0,0,3]],"r":[{},[0,5]]}],"á":[{".":[{},[0,5]],"n":[{},[0,5,6]]},[0,2,1]],"o":[{"g":[{},[0,0,6]],"l":[{},[0,0,4]]}]}],"i":[{"a":[{},[0,5]],"c":[{},[0,0,3]],"l":[{"í":[{"t":[{},[0,0,0,3]]}]},[0,0,0,0,4]],"n":[{},[0,3]],"s":[{},[0,5]],"ú":[{"i":[{"r":[{},[0,0,5]]}],"r":[{},[0,4,3]]}]}],"í":[{"l":[{},[0,4,3]],"n":[{".":[{},[0,0,4]],"i":[{},[0,0,6]],"í":[{},[0,0,4]]}],"o":[{"c":[{},[0,0,4]]}]}],"m":[{},[0,4]],"o":[{"i":[{"d":[{},[0,0,5]]}]}],"r":[{"a":[{"b":[{"h":[{},[0,0,0,0,0,0,6]]},[0,0,0,0,5]],"i":[{"s":[{},[0,6]]}],"s":[{},[0,6]]}]},[0,3]],"s":[{},[0,6]]},[0,1]],"u":[{"a":[{"c":[{"h":[{"a":[{"n":[{},[0,0,0,5,0,4]]}],"ó":[{},[0,0,0,3]]}]}],"d":[{"a":[{},[0,0,0,5]]}],"i":[{"m":[{},[0,0,0,5]],"s":[{"l":[{},[0,0,0,0,0,6]]}],"t":[{"e":[{"a":[{},[0,0,0,5]]}]}]}],"n":[{},[0,0,0,0,6]],"r":[{},[0,5]],"s":[{".":[{},[0,6]]}],"t":[{},[0,0,0,5]]}],"i":[{},[0,1]]}],"ú":[{"í":[{},[0,0,5]],"l":[{},[0,1]],"n":[{},[0,1]],"s":[{},[0,1]],"t":[{},[0,0,0,6]]}],"v":[{"e":[{},[0,3]]}]}],"o":[{"b":[{"a":[{"d":[{"á":[{},[0,0,0,3]]}]},[0,0,1]],"á":[{},[0,0,1]],"h":[{"a":[{"r":[{"d":[{},[0,0,0,0,0,0,4]]},[0,0,0,0,0,3]]}],"e":[{},[0,3,0,4]],"r":[{"é":[{},[0,5]],"i":[{},[0,3,0,6]]}],"t":[{},[0,0,0,0,4]]},[0,0,0,1]],"l":[{},[0,0,1]],"ó":[{},[0,0,1]],"r":[{},[0,0,1]],"ú":[{},[0,0,3]]}],"c":[{".":[{},[4]],"a":[{"n":[{},[0,0,0,0,4]],"t":[{},[0,0,0,3]]},[2,0,1]],"á":[{},[0,0,3]],"f":[{},[2]],"h":[{"a":[{},[0,0,0,1]],"á":[{},[0,0,0,1]],"b":[{},[4]],"e":[{"o":[{},[0,0,0,3]]}],"i":[{},[0,0,0,3]],"í":[{},[0,0,0,5]],"l":[{},[0,0,0,1]],"n":[{},[6]],"ó":[{},[0,0,0,1]],"r":[{},[0,0,0,1]],"t":[{"í":[{},[0,0,0,3,4]]}],"u":[{"a":[{},[0,0,0,3]]}]}],"l":[{},[0,0,1]],"n":[{},[6,0,3]],"ó":[{"c":[{},[0,0,0,5]]},[4,0,1]],"r":[{},[2,0,1]],"t":[{},[2]],"u":[{},[4,0,3]],"ú":[{},[0,0,5]]}],"d":[{"a":[{"l":[{},[0,0,3]],"m":[{},[0,0,3]],"r":[{"t":[{},[0,0,3]]}],"s":[{},[0,3]]}],"á":[{},[0,0,1]],"e":[{},[0,0,5]],"h":[{"a":[{},[0,0,0,1]],"e":[{"a":[{"r":[{"m":[{},[0,0,0,0,0,0,0,5]]},[0,0,0,0,0,0,6]]}],"o":[{},[0,0,0,5]]}],"i":[{},[0,5]],"í":[{},[0,5]],"l":[{},[0,0,0,6]],"ó":[{},[0,5]],"r":[{},[0,0,0,1]],"ú":[{},[0,0,0,3]]}],"r":[{},[0,6,5]],"ú":[{},[0,0,3]]}],"e":[{"n":[{},[0,0,0,6]]}],"f":[{"a":[{"c":[{},[0,6,3]]}],"ó":[{},[0,0,5]],"r":[{"a":[{},[0,0,5]]}]}],"g":[{"a":[{"l":[{},[0,0,5]]}],"e":[{},[0,0,3]],"h":[{"a":[{"i":[{"r":[{"t":[{},[0,0,0,0,0,0,5]]}]}]}],"e":[{},[0,0,0,2]]},[0,0,0,1]],"l":[{},[0,0,1]],"o":[{},[0,0,3]],"ó":[{},[0,0,1]],"r":[{},[0,0,1]],"u":[{},[0,0,3]],"ú":[{},[0,0,1]]}],"h":[{"ó":[{},[0,3]]}],"i":[{"d":[{"i":[{},[0,0,0,1]]}],"f":[{"t":[{},[0,0,0,0,4]]},[0,0,0,3]],"g":[{"í":[{".":[{},[0,3]]}]}],"l":[{"e":[{},[0,0,0,5]]}],"m":[{"e":[{"a":[{"d":[{},[0,0,0,0,0,0,5]]}]}],"i":[{"r":[{},[0,0,0,3]]}],"p":[{"é":[{},[0,0,0,0,3]],"í":[{},[0,0,0,4,3]]}]}],"n":[{"n":[{},[6]],"t":[{"é":[{},[0,0,0,0,3]]}]}],"p":[{},[0,0,6,5]],"r":[{".":[{},[6]],"b":[{"h":[{"i":[{"g":[{},[0,0,0,6]]}],"í":[{},[0,0,0,4]]}]}],"d":[{},[0,0,0,3,4]],"n":[{"e":[{"á":[{},[0,0,0,0,6]]}],"i":[{"t":[{},[0,0,0,6,5]],"ú":[{},[0,0,0,6]]}],"í":[{"d":[{},[0,0,0,6]],"g":[{},[0,0,0,6]],"m":[{},[0,0,0,4]],"o":[{},[0,0,0,4]],"t":[{},[0,0,0,4]]},[0,0,0,0,3]]}],"p":[{"í":[{},[0,0,0,4,3]]}]}],"s":[{"c":[{"e":[{"á":[{},[0,0,0,5,4]]}]},[0,0,0,0,1]],"t":[{"í":[{"n":[{},[0,0,0,4,5]]}]},[0,0,0,1,4]]},[6]],"t":[{"é":[{},[0,0,0,1]]}]}],"í":[{"c":[{"h":[{"e":[{},[0,0,0,0,0,5]]}]},[0,0,2]],"l":[{},[0,0,0,4]],"t":[{"e":[{".":[{},[0,0,4]]}]}]},[0,0,1]],"l":[{"a":[{"b":[{},[0,5,6]],"d":[{"á":[{},[0,0,0,3]]}],"f":[{},[0,0,0,3,4]],"g":[{"h":[{},[0,5]]},[0,0,0,1,6]],"i":[{"m":[{"é":[{},[0,0,6]]}],"t":[{"é":[{},[0,0,0,0,3]]}]}],"n":[{"d":[{},[0,0,0,0,5]]}]},[0,0,1]],"á":[{"i":[{"m":[{},[0,5]]}]},[0,0,1]],"b":[{"h":[{},[0,0,0,0,4]]},[0,0,1]],"c":[{"ó":[{},[0,0,0,3]]}],"e":[{"o":[{},[0,0,3]]}],"é":[{},[0,3]],"g":[{"a":[{},[0,0,4,3]]}],"i":[{},[0,1]],"í":[{},[0,3]],"m":[{},[0,0,3,2]],"o":[{},[0,1]],"ó":[{},[0,0,1]],"t":[{},[6]],"ú":[{"i":[{},[0,0,1]],"r":[{},[0,0,3]]}]}],"m":[{"a":[{"l":[{"ó":[{},[0,0,0,3,4]]}],"n":[{"t":[{},[0,0,0,0,0,4]]},[0,0,1]],"o":[{},[0,0,3]],"r":[{"á":[{},[0,0,3]]}],"t":[{"á":[{},[0,0,0,5]]},[0,0,3]]}],"h":[{"a":[{"i":[{"r":[{"t":[{},[0,0,0,0,0,0,5]]}]}],"r":[{"a":[{},[0,5]]}]}],"e":[{},[0,1,0,2]],"i":[{"l":[{},[0,5]]}],"í":[{},[0,3,0,6]]},[0,0,0,1]],"ó":[{},[0,0,5]],"p":[{"á":[{},[0,0,0,6]]},[0,0,1]],"ú":[{},[0,0,3]]}],"n":[{"a":[{"b":[{},[0,0,0,3,4]],"c":[{"r":[{"a":[{},[0,0,0,6]]}]}],"g":[{"ó":[{},[0,0,0,3,4]]}],"l":[{},[0,0,0,3,4]],"m":[{"a":[{"i":[{},[0,0,0,5]]},[0,0,0,0,4]]}]},[0,0,5]],"á":[{},[0,0,1]],"d":[{"u":[{"s":[{},[0,0,0,0,5]]}]}],"e":[{},[0,0,3]],"é":[{},[0,0,3]],"g":[{"a":[{"b":[{},[0,0,5]]}],"á":[{},[0,0,0,3]],"l":[{},[0,0,0,3]],"ó":[{"i":[{},[0,0,0,3]],"n":[{},[0,0,0,5]]}],"r":[{},[0,0,5]],"ú":[{"i":[{},[0,0,5]]}]}],"o":[{},[0,0,1]],"ó":[{"t":[{},[0,3]]},[0,0,1]],"r":[{},[6]],"s":[{"c":[{},[0,0,0,0,2]]}],"t":[{"a":[{"i":[{"l":[{},[0,0,6,5]]}],"l":[{},[0,0,6,5]],"r":[{"n":[{},[0,0,0,0,0,0,4]]},[0,0,0,0,0,3]]}],"e":[{},[0,0,0,6]],"í":[{},[0,0,0,6]],"ó":[{},[0,0,0,2]]}],"ú":[{},[0,0,1]]}],"p":[{"a":[{"d":[{"á":[{},[0,0,0,5]]},[0,0,0,0,6]],"l":[{"a":[{},[0,0,0,3]]}]}]},[0,0,1]],"r":[{"a":[{"d":[{"á":[{"i":[{},[0,0,0,3]],"n":[{},[0,0,0,3]]}]}],"t":[{"ó":[{},[0,0,0,3]]}]},[0,0,5]],"á":[{},[0,0,5]],"b":[{"a":[{"d":[{},[0,0,0,5]]}],"á":[{},[0,0,3]],"h":[{},[0,0,1]]}],"c":[{"a":[{},[0,0,4]],"h":[{"ó":[{},[0,0,0,0,3]]}],"ó":[{},[0,0,5]]}],"e":[{},[0,0,3]],"é":[{},[0,0,1]],"i":[{"a":[{},[0,5,6]]},[0,0,3]],"m":[{"a":[{"í":[{},[0,0,6]]}],"ó":[{"n":[{},[0,0,3]]}]}],"n":[{"e":[{},[0,0,3]],"i":[{},[0,0,5]]}],"o":[{"i":[{"d":[{},[0,0,3]]}]},[0,1]],"ó":[{},[0,0,1]],"p":[{"ó":[{"i":[{},[0,0,5]]}]}],"s":[{"a":[{"í":[{},[0,0,6,5]]}]}],"t":[{"a":[{"s":[{},[0,0,5]]}],"h":[{"é":[{"a":[{},[0,0,0,0,0,3]]}]}]}],"u":[{},[0,0,5]],"ú":[{},[0,0,1]]}],"s":[{"a":[{"i":[{"l":[{},[0,0,0,0,5,6]]}],"m":[{},[0,0,5]],"r":[{"n":[{},[0,0,0,0,0,6]]},[0,0,0,0,5]],"t":[{},[0,0,0,3]]}],"c":[{"a":[{"o":[{},[0,5]]},[0,0,0,1]],"é":[{},[0,5]],"l":[{},[0,0,0,1]],"ó":[{"i":[{},[0,0,0,3]],"l":[{},[0,0,0,0,3,4]],"r":[{},[0,0,0,5]]}],"r":[{"a":[{},[0,0,0,5]],"i":[{},[0,3]]}],"ú":[{"i":[{},[0,0,0,3]]}]}],"m":[{"á":[{},[0,5]]}],"ó":[{},[0,0,1]],"p":[{"a":[{"i":[{"r":[{"t":[{},[0,0,0,0,0,0,0,4]]},[0,0,0,0,0,0,3]]}]}],"á":[{},[0,3,4]]}],"t":[{"a":[{"d":[{},[0,0,0,5]],"i":[{},[0,0,0,3]]}],"é":[{},[0,0,4,3]],"i":[{},[0,0,3]],"ó":[{},[0,0,0,1]],"ú":[{"n":[{},[0,0,5,6]]},[0,0,0,3]]}],"u":[{},[0,0,3]],"ú":[{},[0,0,1]]}],"t":[{"a":[{"m":[{},[0,0,0,0,4]],"s":[{"a":[{},[0,0,4]]}]},[0,0,3]],"á":[{},[0,0,1]],"h":[{"a":[{"i":[{"s":[{},[0,3]]}],"r":[{},[0,0,0,0,0,3]],"s":[{},[0,0,0,6]]}],"á":[{"i":[{"r":[{},[0,3]]}]}],"e":[{},[0,3,0,4]],"í":[{},[0,3]],"o":[{},[0,3]],"r":[{"i":[{},[0,0,0,6]]}],"u":[{"s":[{},[0,0,0,6]]}]},[0,0,0,1]],"i":[{},[0,0,5]],"ó":[{},[0,0,1]],"r":[{},[0,0,1]],"s":[{"ó":[{},[0,0,0,5]]}],"u":[{},[0,0,3]],"ú":[{},[0,0,1]]}]}],"ó":[{"á":[{"l":[{},[0,3]]}],"b":[{"a":[{"i":[{},[0,6,5]]},[0,0,3]],"h":[{},[0,1]],"r":[{},[0,0,5]]}],"c":[{"a":[{"r":[{},[6]]},[0,0,1]],"h":[{"a":[{},[0,0,0,1]],"á":[{},[0,0,0,5]],"e":[{},[0,3]],"r":[{},[0,0,0,5]],"t":[{"a":[{},[0,0,0,0,6]]}],"ú":[{},[0,0,0,3]]}],"i":[{},[0,0,3]],"ó":[{},[0,0,5]],"r":[{},[0,0,3]],"s":[{},[0,0,5,6]],"ú":[{},[0,0,1]]}],"d":[{"a":[{"i":[{"d":[{},[0,0,0,0,5]]}],"r":[{},[0,3,4]]},[4]],"h":[{"e":[{},[0,3]],"í":[{},[0,3]],"ó":[{},[0,5]]}],"ó":[{},[4]]},[0,0,1]],"f":[{"a":[{"d":[{},[0,3]],"g":[{},[6,0,5]],"i":[{"r":[{},[0,0,5]],"t":[{},[0,0,5]]},[0,1]]}],"á":[{},[0,0,5]],"r":[{},[0,0,3]]}],"g":[{"a":[{"l":[{},[0,0,0,3,4]]},[0,0,3]],"ó":[{".":[{},[0,5]]}],"t":[{},[6]]},[0,0,1]],"i":[{"a":[{},[4]],"b":[{"é":[{},[0,0,0,5]]}],"d":[{"i":[{},[0,0,0,3]]}],"g":[{"h":[{},[0,6]],"í":[{".":[{},[0,3]]}]}],"l":[{"l":[{"í":[{},[0,0,0,0,0,4]]}]}],"m":[{"é":[{},[0,0,4,5]],"h":[{},[6,0,1,0,2]]}],"n":[{"s":[{"e":[{".":[{},[0,0,0,6]]}],"i":[{},[0,0,0,5]],"í":[{},[0,0,0,5]]}],"t":[{},[0,0,0,3]]}],"p":[{"é":[{},[0,0,3]]}],"r":[{"e":[{"o":[{},[4]]}]},[0,0,0,3]],"s":[{"c":[{},[0,0,0,0,3]],"t":[{"e":[{"o":[{},[0,0,0,5]]}],"é":[{},[0,0,0,6]]},[0,0,0,0,1]]}],"t":[{"e":[{"a":[{"r":[{},[0,3]]}],"á":[{".":[{},[0,3]]}]}],"é":[{},[0,0,0,3]],"s":[{},[0,0,0,0,3]]}],"v":[{},[6]]}],"í":[{"n":[{"í":[{},[0,5]]}]}],"l":[{"a":[{"d":[{"á":[{},[0,0,0,5]]}]}],"e":[{},[0,3,4]],"é":[{},[0,5,6]],"i":[{},[0,3,4]],"í":[{},[0,3,4]]},[0,0,1]],"m":[{"a":[{"r":[{},[0,3]],"s":[{"ó":[{},[0,0,0,3,4]]}],"t":[{},[0,0,3]]}],"h":[{"a":[{"í":[{},[0,0,0,4]],"o":[{},[0,5]],"r":[{"t":[{},[0,0,0,5]]}],"s":[{},[0,0,0,3]]}],"á":[{},[0,0,0,3]]}]}],"n":[{"a":[{"s":[{".":[{},[0,0,3]]},[0,0,2]]}],"g":[{},[0,0,0,2]],"n":[{},[2,1]],"o":[{},[0,3,4]]},[0,0,1]],"p":[{"a":[{"l":[{},[0,0,6]]}],"é":[{},[0,5,6]]},[2,0,1]],"r":[{"a":[{"i":[{"s":[{},[6]]}],"s":[{},[6]]}],"á":[{"i":[{"d":[{},[0,0,4]]}]}],"g":[{},[0,0,0,4]],"m":[{"a":[{},[0,0,4]]}],"ó":[{"s":[{},[0,0,0,0,5]]}],"t":[{"a":[{"i":[{"r":[{},[0,0,6,5]]}]},[0,0,0,2]],"á":[{},[0,0,4]]}]},[0,0,1]],"s":[{"a":[{"i":[{"s":[{"e":[{},[0,0,6]]}]}],"m":[{},[0,0,5]],"r":[{"n":[{},[0,0,0,0,0,6]]},[0,0,0,0,5]]}],"c":[{"a":[{},[0,0,0,3]]}],"ó":[{},[0,0,3]],"t":[{"r":[{},[0,0,6]]},[0,0,0,1]],"u":[{},[0,0,5]],"ú":[{},[0,0,5]]}],"t":[{"a":[{"c":[{},[0,0,0,1,4]],"i":[{"g":[{},[0,0,5]],"r":[{},[0,0,3]]}],"í":[{},[0,0,1]],"m":[{},[0,0,5,3]],"r":[{},[0,0,0,0,3]]}],"á":[{},[0,0,1]],"h":[{"á":[{},[0,0,0,3]]}],"ó":[{},[0,0,3]]}],"ú":[{"l":[{},[0,3]]}],"y":[{"ó":[{},[0,5]]}]}],"p":[{"a":[{"c":[{"a":[{},[0,4]],"r":[{},[0,4]]}],"i":[{"g":[{"e":[{},[0,0,0,5,6]]}],"r":[{"n":[{"e":[{},[0,0,0,0,4,3]]}]}],"s":[{"i":[{},[0,0,0,0,0,3]],"t":[{"i":[{},[0,0,0,0,3,6]]}]}]}],"l":[{"l":[{},[4]]}],"n":[{"a":[{"m":[{},[0,0,0,0,3,4]]}],"t":[{"a":[{"l":[{},[0,0,0,6,5]]}]}]}],"p":[{"ó":[{},[0,0,3,4]]}],"r":[{"a":[{"b":[{},[0,0,0,0,5,6]],"g":[{},[6]],"i":[{"s":[{},[0,0,0,0,0,3,4]]}]}],"d":[{},[0,0,0,3,4]],"n":[{},[0,0,0,3,4]],"s":[{},[0,0,0,2,3]],"t":[{"a":[{},[0,0,0,6]]}]}],"s":[{"a":[{"m":[{},[0,6]]}],"t":[{},[0,0,0,0,4]]}],"t":[{},[3,4,0,3]]}],"á":[{"i":[{"n":[{"t":[{},[0,0,0,0,4,5]]}]}],"l":[{},[0,1]],"s":[{},[0,0,0,5]]}],"c":[{"í":[{},[0,5,6]]},[0,1]],"e":[{".":[{},[4]],"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,6]]}]}],"l":[{"a":[{},[0,0,0,0,5]]}],"m":[{"a":[{"i":[{},[0,0,0,5]]}]},[0,0,0,0,6]],"n":[{"n":[{},[6]]}],"r":[{"n":[{},[0,0,0,0,0,6]]},[0,0,0,0,3]],"s":[{"ó":[{},[0,0,0,3,4]],"t":[{},[0,0,0,5]]}]}],"i":[{"l":[{"b":[{"h":[{},[0,0,0,0,0,0,6]]},[0,0,0,0,3]]}],"n":[{"t":[{},[0,0,0,0,6]]}],"r":[{"t":[{},[0,0,0,0,5]]},[4]]},[0,4]]}],"é":[{"i":[{"d":[{},[0,4]],"n":[{"t":[{},[0,0,0,0,6]]},[5]],"r":[{"s":[{},[0,0,0,0,6]]}]}]}],"f":[{},[0,1]],"h":[{"a":[{"i":[{"s":[{"t":[{"i":[{},[0,0,0,0,0,5,6]]}]}]}],"n":[{"a":[{"m":[{},[0,0,0,0,0,5,6]]}]}],"r":[{"d":[{},[0,0,0,0,5,6]],"s":[{},[0,0,0,0,6,5]]}],"s":[{"t":[{},[0,0,0,0,0,6]]}],"t":[{"r":[{},[0,0,0,0,3]]}]},[0,0,6]],"á":[{"i":[{"n":[{"t":[{},[0,0,0,0,0,0,5]]}]}]}],"e":[{"i":[{"l":[{"b":[{"h":[{},[0,0,0,0,0,0,0,6]]},[0,0,0,0,0,3]]}]}]}],"é":[{"i":[{"n":[{"t":[{},[0,0,0,0,0,6]]}],"r":[{"s":[{},[0,0,0,0,0,6]]}]}]}],"i":[{"n":[{"s":[{"e":[{".":[{},[0,0,0,0,6]]}]}]}],"o":[{"n":[{"t":[{},[0,0,0,0,0,6,5]]}]}],"s":[{"t":[{},[0,0,0,0,5,6]]}]},[0,0,4]],"l":[{"é":[{"a":[{"n":[{},[0,0,0,0,5]]}]}]},[0,0,6]],"o":[{"i":[{"n":[{"t":[{},[0,0,0,0,0,0,3]]},[0,0,0,0,0,2]]}],"l":[{"c":[{},[0,0,0,0,5,6]]}],"n":[{"c":[{},[0,0,0,0,0,5]]}]}],"ó":[{"r":[{"t":[{"a":[{},[0,0,0,0,6,5]]}]}],"s":[{"t":[{},[0,0,0,0,0,6]]},[0,0,0,0,3]]}],"r":[{"é":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,0,0,6]]},[0,0,0,0,0,0,0,5]]}]}]}],"ó":[{"i":[{"s":[{},[0,0,0,0,0,0,5]]}]}]}],"u":[{"i":[{"n":[{},[0,0,0,0,0,4]]}],"n":[{"t":[{},[0,0,0,0,4,3]]}]}],"ú":[{"i":[{"t":[{},[0,0,0,0,0,6]]}]}]},[1,2]],"i":[{"a":[{"s":[{},[6]]}],"c":[{"s":[{},[0,0,0,6,5]]}],"d":[{"é":[{},[0,0,3]],"i":[{},[0,0,0,5]]}],"l":[{"e":[{},[0,0,3]]}],"m":[{},[0,3]],"n":[{"s":[{"e":[{".":[{},[0,0,0,6]]}]}]}],"o":[{"n":[{"t":[{},[0,0,0,0,6,5]]}],"s":[{"t":[{},[0,0,0,0,0,6]]},[0,0,0,0,5]]}],"r":[{"i":[{"m":[{},[0,0,0,0,0,5]]}],"t":[{},[0,6]]}],"s":[{"t":[{"e":[{},[0,0,0,0,3]],"i":[{},[0,0,0,3]]}]}],"t":[{"e":[{"i":[{},[0,6]]}],"é":[{},[0,4,3]],"s":[{},[0,0,0,3]]}]}],"í":[{"l":[{},[6]],"o":[{"l":[{},[6]]}],"s":[{},[3]],"t":[{"i":[{},[0,0,0,5]]},[0,0,6]]}],"l":[{"a":[{"g":[{},[4,3,0,0,3]]},[0,0,0,4]],"é":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,0,6]]}]}],"m":[{},[0,0,0,5]],"n":[{},[0,0,0,5]]}],"i":[{"g":[{"í":[{},[0,0,0,5]]}],"m":[{"i":[{},[0,0,0,5]]}]}]},[0,6]],"i":[{"m":[{},[0,0,0,0,4]]}],"ó":[{"m":[{},[0,0,0,3,6]]}]}],"n":[{"a":[{},[0,0,6]]},[0,1]],"o":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,6]]},[0,0,0,0,5]]}],"i":[{"n":[{"t":[{},[0,0,0,0,0,5]]},[0,0,0,0,4]],"s":[{"t":[{},[0,0,0,0,0,5]]}]}],"l":[{"a":[{"g":[{},[0,0,0,2]],"i":[{"m":[{},[0,0,0,4]]}]}],"c":[{},[0,0,0,5,6]]}],"n":[{"c":[{},[0,0,0,4,3]]}],"r":[{"t":[{"r":[{},[0,0,0,3,4]]}]}],"s":[{"t":[{"a":[{"c":[{},[0,0,0,0,5]]}]}]}],"t":[{},[0,0,0,3]]}],"ó":[{"r":[{"t":[{"a":[{},[0,0,0,4,3]]}]},[5,6]],"s":[{"t":[{},[0,0,0,0,4]]},[0,0,0,3]],"t":[{},[0,0,0,3]]}],"r":[{"a":[{"o":[{"i":[{},[0,0,0,0,0,5]]}]}],"é":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,0,6]]},[0,0,0,0,0,0,5]]}],"d":[{},[0,0,0,5,0,6]],"m":[{},[0,0,0,5]]}],"i":[{"d":[{},[0,0,0,5]],"m":[{"i":[{},[0,0,0,5]]}],"t":[{"e":[{"a":[{},[0,0,0,5]]}],"í":[{},[0,0,0,5]]}]}]}],"ó":[{"i":[{"s":[{},[0,0,0,0,0,5]]}]}]}],"s":[{"a":[{".":[{},[0,6]],"i":[{"n":[{},[0,0,0,0,0,6]]}]},[0,0,4]],"e":[{"a":[{"n":[{},[0,0,5]]}]}],"i":[{"m":[{},[0,5,6]],"s":[{},[0,5]]}]},[0,1]],"t":[{"e":[{".":[{},[0,4]],"a":[{"n":[{},[0,0,3]]}]}],"h":[{},[0,0,0,4]],"i":[{"g":[{},[0,0,4]],"s":[{},[0,0,3]]}]},[0,1]],"u":[{".":[{},[6]],"i":[{"n":[{},[0,0,0,0,2]]}],"n":[{"t":[{},[0,0,0,0,3]]},[0,0,0,4]],"s":[{},[6,6]]}],"ú":[{"i":[{"n":[{"s":[{},[0,0,0,0,0,5]]},[0,0,0,0,4]],"t":[{},[0,0,0,0,6]]}]}]}],"r":[{"a":[{"b":[{"h":[{"t":[{},[0,0,0,0,5,6]]}],"ó":[{},[0,0,3]]}],"d":[{"ó":[{"n":[{},[0,0,0,5]]}]}],"f":[{},[0,0,0,3]],"g":[{"á":[{},[0,0,3,4]],"h":[{"s":[{},[0,0,0,0,0,5]]},[0,0,0,0,4]],"o":[{},[0,0,0,5]]}],"i":[{"c":[{"n":[{},[6]]}],"m":[{"h":[{"í":[{},[0,0,0,3]]},[0,0,0,0,0,4]],"p":[{},[0,0,0,0,0,3]]}],"n":[{"c":[{},[0,0,0,0,0,3]],"t":[{"í":[{},[0,0,0,0,5]]}]},[0,0,0,0,4]],"s":[{"e":[{"o":[{"l":[{},[0,0,0,0,4]]}]}],"t":[{},[0,0,0,0,3,4]]}],"t":[{"é":[{},[0,0,0,0,3]],"s":[{},[0,0,0,0,5]]}]}],"l":[{"a":[{"í":[{"c":[{},[0,0,5,6]],"o":[{},[0,0,3,4]]}],"n":[{},[0,6]]}],"ú":[{},[0,0,3,4]]}],"m":[{"a":[{"d":[{"a":[{"c":[{},[0,0,0,0,5]],"í":[{},[0,0,0,0,5]]}]}],"t":[{},[0,0,3]]}]}],"n":[{"a":[{"m":[{},[0,0,3,4]]}],"ó":[{"m":[{},[0,0,5,6]]}],"t":[{"á":[{},[0,0,0,4,3]],"ó":[{},[0,0,0,0,4]]}]}],"o":[{"b":[{},[4]],"l":[{},[4]]}],"p":[{"ó":[{},[0,0,3,4]]},[4]],"s":[{"n":[{},[6]],"t":[{},[0,0,0,1,4]]}],"t":[{"a":[{"m":[{},[0,0,0,0,6]]}],"á":[{},[0,0,3]],"é":[{},[0,0,5]],"ó":[{"g":[{},[0,0,0,3]]}],"r":[{},[0,0,3]]}]}],"á":[{"b":[{"h":[{"a":[{"i":[{"l":[{},[0,0,0,0,4]]}]}]}]}],"c":[{"h":[{"a":[{},[0,0,0,0,5]]}]}],"i":[{"n":[{"i":[{},[0,6]]}],"t":[{"e":[{"á":[{},[0,0,3]]}]}]}],"í":[{"n":[{"t":[{},[0,0,3]]}]}]}],"b":[{"a":[{"c":[{"á":[{},[0,0,0,3]]},[0,0,3,0,4]],"d":[{"h":[{},[0,0,3]]}],"i":[{"r":[{},[0,3]],"s":[{".":[{},[0,0,5]]}],"t":[{},[0,5]]}],"m":[{},[0,0,3]],"n":[{"n":[{},[0,0,3]]}],"r":[{},[0,1]],"s":[{},[0,0,3]],"t":[{"r":[{},[0,0,5,5]]}]}],"e":[{"a":[{},[0,0,3]]},[0,4]],"h":[{"a":[{"s":[{},[0,0,0,3]],"t":[{},[0,0,0,6]]}],"á":[{"c":[{"h":[{"a":[{},[0,0,0,0,5]]}]}],"n":[{},[0,0,0,3]]}],"e":[{"a":[{"s":[{},[0,6,0,5]]}],"o":[{},[0,2,0,3]]}],"i":[{"a":[{},[0,5]],"n":[{},[0,0,0,3]],"s":[{},[0,6,0,5]],"t":[{},[0,4,0,3]]}],"í":[{"d":[{},[0,0,0,5]],"g":[{},[0,0,0,3]],"o":[{},[0,0,0,3]],"t":[{},[0,0,0,3]]}],"l":[{},[0,2,0,1]],"r":[{},[0,3]],"u":[{"i":[{"s":[{},[0,0,0,5]]}]}]}],"i":[{"a":[{},[0,4,3]],"s":[{},[0,0,5]]}],"l":[{},[0,0,3]],"r":[{"í":[{},[0,0,4]]},[0,1]],"ú":[{},[0,3]]}],"c":[{"a":[{"i":[{"s":[{},[0,3]]}],"s":[{},[0,0,0,3,4]]},[0,0,1]],"e":[{},[0,0,1]],"é":[{},[0,4,3]],"h":[{"a":[{"c":[{},[0,0,0,3]],"d":[{},[0,0,0,0,3,6]],"r":[{"t":[{},[0,0,0,0,0,5,6]]}]}],"á":[{},[0,0,0,4]],"i":[{},[0,0,0,6]],"l":[{"a":[{".":[{},[0,0,0,5]]}]}],"n":[{},[0,0,0,6]],"r":[{"a":[{},[0,0,0,3]]}]},[0,1]],"i":[{"n":[{"t":[{},[0,0,4]]}],"s":[{"i":[{},[0,5]],"í":[{},[0,5,6]]}]},[0,2,1]],"l":[{},[0,0,1]],"m":[{},[0,4]],"n":[{},[0,0,3]],"r":[{"a":[{".":[{},[0,6]]}],"á":[{},[0,0,3]]}],"s":[{},[0,0,3]],"ú":[{},[0,0,5]]}],"d":[{"a":[{"c":[{"h":[{"t":[{},[0,6,5]]}]}],"i":[{"r":[{},[0,0,6]]}],"o":[{},[0,5,6]],"r":[{},[0,5,6]]},[0,0,1]],"e":[{},[0,2,1]],"é":[{},[0,0,3]],"h":[{"ó":[{"i":[{"t":[{"í":[{},[0,0,0,0,5]]}]}]}]},[0,1,0,4]],"i":[{"n":[{"é":[{},[0,0,0,0,5]]}]},[0,2,1,6]],"í":[{".":[{},[0,4]],"d":[{},[0,6,5]],"g":[{},[0,6,5]],"m":[{},[0,4]],"n":[{"n":[{},[0,6,5]]}],"o":[{},[0,4,3]],"t":[{},[0,4]]}],"l":[{},[0,0,3]],"n":[{},[0,6]],"o":[{"i":[{"d":[{},[0,0,5]]}]}],"ó":[{},[0,0,1]],"r":[{"é":[{},[0,3,4]]},[0,2,3]],"s":[{},[0,6]],"t":[{},[0,4]],"u":[{},[0,0,3]],"ú":[{"i":[{"n":[{},[0,5,6]]}],"n":[{},[0,5,4]]},[0,0,3]]}],"e":[{"a":[{"g":[{"r":[{},[0,0,0,0,3]]}],"s":[{"t":[{"a":[{},[0,0,0,0,0,5]]},[0,0,0,0,2]]}],"t":[{"á":[{},[0,0,0,3]]}]}],"á":[{"i":[{"r":[{},[0,0,0,3]]}]}],"i":[{"c":[{"t":[{},[0,0,0,0,5,6]]}]}],"o":[{"d":[{"ó":[{},[0,0,0,3]]}],"i":[{"t":[{"e":[{".":[{},[0,0,0,5]]}]}]}],"m":[{},[0,0,0,1]]}]}],"é":[{"a":[{"d":[{"h":[{},[0,0,5]]}],"l":[{"a":[{},[0,0,0,0,5]],"t":[{},[0,0,0,0,2]]}],"n":[{"n":[{".":[{},[0,0,5]]}]}],"s":[{},[0,6]]}],"i":[{"f":[{"e":[{},[0,0,5]]}],"g":[{"í":[{},[0,0,5]]},[0,0,0,0,3]],"m":[{"í":[{"r":[{},[0,0,0,5]]}]}],"t":[{"h":[{},[0,6]]}]}]}],"f":[{"e":[{"o":[{"l":[{},[0,0,5]]}]}]},[0,1]],"g":[{"a":[{"d":[{"á":[{},[0,0,0,5]]}],"s":[{},[0,3,4]]}],"d":[{},[0,4]],"e":[{"a":[{"d":[{},[0,3]],"m":[{},[0,0,5]],"n":[{},[0,0,5,0,0,4]],"s":[{},[0,0,3]]}]}],"é":[{},[0,4,3]],"h":[{"a":[{"i":[{"r":[{},[0,0,0,0,0,0,5]]}]}],"i":[{"n":[{},[0,0,0,0,0,5]]}]},[0,1,0,6]],"i":[{"n":[{"t":[{},[0,3]]}]},[0,2]],"í":[{},[0,2]],"l":[{},[0,4,1]],"ó":[{"i":[{"t":[{},[0,5]]}],"t":[{},[0,5]]}],"r":[{"u":[{},[0,4,3]]},[0,1]],"s":[{},[0,4]],"ú":[{},[0,3]]}],"h":[{"a":[{},[0,3]]}],"i":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,4]]},[0,0,0,0,0,3]]}],"s":[{"t":[{},[0,0,0,0,4,5]]}],"t":[{},[4]]}],"b":[{"h":[{"i":[{},[0,0,0,0,6]]}]}],"c":[{"h":[{},[0,0,3,0,4]]}],"d":[{"h":[{},[0,0,0,0,4]],"i":[{},[0,0,0,3]]}],"g":[{"h":[{"n":[{},[4]]}],"i":[{"n":[{},[0,0,5]]}]}],"h":[{},[4]],"l":[{"e":[{"i":[{},[0,0,5]]}]}],"n":[{"c":[{},[0,0,0,0,1]],"é":[{},[0,0,3]],"s":[{"i":[{"ú":[{},[0,0,0,0,3]]}]}],"t":[{"é":[{},[0,0,0,0,3]]}]},[0,0,0,2]],"o":[{"n":[{"t":[{},[0,0,0,0,2,3]]}],"s":[{"t":[{},[0,0,0,0,3,4]]}]}],"p":[{"t":[{"e":[{},[0,0,0,4]]}]}],"r":[{"í":[{},[0,0,5]]},[0,0,0,4]],"s":[{"c":[{"é":[{},[0,0,0,3,4]]}],"t":[{},[0,0,0,1,4]]}],"t":[{"a":[{},[0,0,3]],"é":[{"a":[{},[0,0,0,5]],"i":[{"r":[{},[0,0,0,5]]}]},[0,0,3]],"r":[{},[0,0,5]]}]}],"í":[{"b":[{"h":[{},[0,0,0,0,3]]}],"c":[{"h":[{"e":[{},[0,0,6,0,5]],"í":[{},[0,0,5]]}]},[0,0,2]],"o":[{"c":[{"h":[{"t":[{},[0,0,3]]}]}],"m":[{"h":[{"a":[{"r":[{},[0,0,0,5]]}]}]}]}],"r":[{},[0,0,0,2]],"t":[{"h":[{"e":[{},[0,0,6]],"i":[{},[0,0,6]]}]}]}],"l":[{"a":[{"m":[{"á":[{"n":[{},[0,0,0,5,6]]}]}]}],"e":[{"a":[{"t":[{},[0,0,0,0,0,6]]}]}],"é":[{"a":[{"m":[{"a":[{},[0,0,0,5]]}],"n":[{},[0,0,0,5]]}],"i":[{"g":[{"í":[{},[0,0,0,5]]}],"m":[{"i":[{},[0,0,0,5]]}]}]}],"g":[{},[0,4]],"i":[{"n":[{},[0,0,0,0,6]]}]},[0,1]],"m":[{"a":[{"d":[{},[0,1,2]],"i":[{"n":[{},[0,5,6]],"r":[{},[0,0,6]]}],"l":[{},[0,0,3]],"n":[{},[0,3]]}],"e":[{"a":[{"s":[{"c":[{},[0,3]]}]}]},[0,2]],"h":[{},[0,1,0,6]],"i":[{"g":[{},[0,4]],"l":[{},[0,0,4]],"m":[{},[0,4]],"s":[{"i":[{},[0,5,6]]}],"t":[{},[0,4]],"ú":[{},[0,2]]}],"í":[{},[0,2]],"l":[{},[0,4]],"o":[{},[0,4]],"ó":[{"s":[{},[0,3]]}],"s":[{},[0,4]],"u":[{},[0,4,3]],"ú":[{},[0,0,3]]}],"n":[{"a":[{"c":[{"a":[{},[0,3,4]]}],"p":[{},[0,3,4]]}],"á":[{"d":[{},[0,3]],"s":[{},[0,3]]}],"e":[{"a":[{"m":[{},[0,6,5]]}],"á":[{"i":[{"l":[{"t":[{},[0,0,5]]}]}],"l":[{"f":[{},[0,4]]},[0,0,3]]}],"o":[{"i":[{"r":[{"e":[{},[0,0,5]]}]}]}]}],"f":[{},[0,4]],"g":[{},[0,0,3]],"i":[{"a":[{},[0,6,5]],"d":[{},[0,0,5]],"ú":[{},[0,0,3]]},[0,0,2]],"í":[{"n":[{"e":[{},[0,0,4]],"i":[{},[0,0,6]]}]}],"o":[{},[0,3]],"ó":[{"i":[{"n":[{".":[{},[0,5,6]]}]}],"n":[{},[0,5,6]]},[0,0,1]],"ú":[{},[0,0,3]]}],"o":[{"c":[{},[0,0,4]],"f":[{},[0,0,0,5]],"i":[{"d":[{},[4]],"m":[{"é":[{},[0,0,0,0,3]]}]},[0,0,0,4]],"í":[{},[2]],"l":[{},[0,4]],"m":[{"p":[{"a":[{},[0,0,0,4,3]]}]}],"s":[{"t":[{"a":[{"c":[{},[0,0,0,0,3]],"l":[{},[0,0,0,0,5]]}],"á":[{},[0,0,0,0,3]],"ó":[{"r":[{},[0,0,0,0,6]]}]}]}]}],"ó":[{"b":[{},[0,0,0,4]],"c":[{},[4]],"f":[{},[0,0,6]],"i":[{"s":[{"t":[{},[0,0,0,0,0,5]]}],"t":[{},[4]]},[0,0,0,6]],"l":[{"a":[{"n":[{},[0,0,5,6]]}]}],"m":[{"h":[{"a":[{"i":[{},[0,0,0,0,5]],"r":[{},[0,0,0,0,5]]}]}]},[4]],"s":[{"t":[{"á":[{},[0,0,0,6]]}]}],"t":[{"a":[{},[0,0,0,5]]},[0,0,0,1]]}],"p":[{"a":[{".":[{},[0,5]],"í":[{},[0,5]],"r":[{},[0,0,3]]}],"á":[{"n":[{},[0,3]]}],"e":[{},[0,4,3]],"i":[{},[0,4,3]],"ó":[{"g":[{".":[{},[0,6,5]],"a":[{},[0,5]]}]}],"r":[{},[0,0,1]]}],"r":[{"a":[{"c":[{"h":[{"ó":[{},[0,0,0,3]]}]}],"l":[{},[0,0,0,3]],"n":[{},[0,0,0,0,4]]}],"b":[{"h":[{},[0,0,0,0,4]]}],"c":[{},[0,0,0,4]],"d":[{},[0,0,5]],"t":[{},[0,0,0,4]]},[0,2,1]],"s":[{"a":[{"i":[{"n":[{},[0,0,6]]}],"n":[{},[0,5]]}],"á":[{"i":[{"n":[{},[0,0,6]]}],"n":[{},[0,5,6]]}],"c":[{"á":[{},[0,0,0,2]],"n":[{},[0,2]]}],"e":[{"a":[{"d":[{},[0,6,3]]}]}],"f":[{},[0,4]],"h":[{"l":[{"u":[{"a":[{},[0,0,0,0,0,0,5]]}]}]}],"i":[{"m":[{},[0,0,3]]}]},[0,1,2]],"t":[{"a":[{"g":[{"á":[{},[0,0,4]]}],"i":[{"l":[{},[0,5,6]],"n":[{"í":[{},[0,0,6]]}],"r":[{".":[{},[0,3]]}]}],"í":[{"o":[{},[0,0,5]]}],"l":[{},[0,3,4]],"n":[{"a":[{},[0,3]]}],"r":[{},[0,1]],"s":[{"ó":[{},[0,0,6]]}]},[0,0,1]],"á":[{".":[{},[0,5]]},[0,0,1]],"c":[{},[0,4]],"e":[{"a":[{"c":[{},[0,0,3]],"g":[{},[0,0,5]],"m":[{},[0,0,3]],"n":[{},[0,0,3]],"r":[{},[0,3,4]]}],"á":[{".":[{},[0,3,4]]}]},[0,2]],"h":[{"a":[{"t":[{},[0,0,0,0,3]]}],"é":[{"a":[{"d":[{},[0,0,0,0,0,0,6]]}],"i":[{"d":[{},[0,0,0,0,5]],"g":[{"í":[{},[0,0,0,0,5]]}],"m":[{"i":[{},[0,0,0,0,5]]}],"t":[{"e":[{"a":[{},[0,0,0,0,5]]}],"í":[{},[0,0,0,0,5]]}]}]}]},[0,1,0,2]],"i":[{"l":[{},[0,3,4]],"s":[{},[0,0,0,3,4]]},[0,2,1]],"í":[{},[0,2]],"l":[{},[0,4,5]],"o":[{},[0,4]],"ó":[{},[0,0,1]],"r":[{},[0,0,1]],"s":[{},[0,6]],"u":[{},[0,0,3]],"ú":[{"c":[{},[0,0,3]],"i":[{"l":[{},[0,0,5]]},[0,3]],"l":[{},[0,6,5]],"m":[{},[0,5]],"n":[{},[0,1]]}]}],"u":[{"a":[{"b":[{},[0,0,0,5]],"d":[{"a":[{},[0,0,0,3]]},[0,0,0,0,6]],"i":[{"m":[{"i":[{},[0,0,0,3]]}],"t":[{"e":[{"a":[{"r":[{},[0,0,0,5]]}]}]}]},[0,0,0,0,6]]}],"c":[{"h":[{"t":[{"ó":[{},[0,0,0,0,3,4]]}]}]}],"d":[{},[0,4]],"s":[{"c":[{"a":[{},[0,0,0,0,3]],"á":[{},[0,0,0,3,4]]}],"t":[{},[0,0,0,4,5]]}]}],"ú":[{"c":[{"h":[{"t":[{},[0,0,0,0,6,5]]}]}],"d":[{"a":[{"r":[{".":[{},[0,0,3,4]]}]}]},[4]],"i":[{"d":[{"í":[{},[0,0,3]]}],"m":[{},[0,0,1]],"n":[{"e":[{},[0,5]],"n":[{},[0,0,3]]}],"t":[{"e":[{"a":[{},[0,0,3]]}],"í":[{".":[{},[0,0,5]]}]}]}],"l":[{},[0,1]],"m":[{"a":[{"r":[{},[0,0,3]]}]}],"s":[{"t":[{"a":[{},[0,0,0,0,3]]}]}]}],"w":[{"i":[{},[0,3]]}]}],"s":[{"a":[{"b":[{"á":[{},[0,0,3]]}],"c":[{"a":[{"s":[{},[0,0,5,6]]}]}],"d":[{"á":[{},[0,0,3]]}],"f":[{"ó":[{},[0,0,3]],"r":[{},[0,0,5]]}],"g":[{"á":[{},[0,0,3,4]]}],"i":[{"g":[{"h":[{"d":[{},[0,0,0,0,0,6,5]]}]}],"l":[{"b":[{},[0,0,0,0,5]]}],"n":[{"t":[{"e":[{},[0,0,0,0,6,5]]}]}],"r":[{"d":[{},[0,0,0,0,5,6]]}],"s":[{"í":[{},[0,6]],"t":[{"e":[{},[0,0,0,0,0,3]]}]}]}],"l":[{"a":[{"i":[{"n":[{},[0,0,3,4]]}],"n":[{},[0,0,3]],"t":[{},[0,0,0,5]]}],"á":[{"m":[{},[5]]}],"t":[{},[0,0,0,0,3]]}],"m":[{"a":[{"t":[{},[0,6,5]]}],"h":[{},[0,2]],"s":[{},[0,6]]}],"n":[{".":[{},[3,4]],"á":[{},[0,0,0,2]],"t":[{},[0,0,0,0,4]]}],"o":[{".":[{},[5,6]]}],"r":[{"b":[{},[0,0,0,3]],"c":[{},[0,0,0,5]],"l":[{},[0,4]],"ó":[{},[0,0,3,4]]}],"t":[{".":[{},[0,6]],"a":[{},[0,0,0,5]],"á":[{},[0,0,5]],"r":[{"a":[{},[0,0,0,5]]}],"s":[{},[0,6]]}]},[0,1]],"á":[{"i":[{"l":[{"i":[{},[0,6]]}],"n":[{"n":[{".":[{},[0,0,5]]}],"t":[{},[0,0,0,0,6]]}],"t":[{"e":[{".":[{},[0,0,5]],"á":[{".":[{},[0,0,5]]}]}]}]}]},[0,1]],"b":[{"a":[{},[0,0,6]],"h":[{"e":[{"i":[{"r":[{},[0,0,0,0,0,0,5]]}]}]},[0,0,0,6]]},[0,1]],"c":[{".":[{},[6]],"a":[{"b":[{},[0,0,0,6]],"c":[{"h":[{"á":[{},[0,0,0,5]]},[0,0,0,0,0,6]]}],"e":[{},[0,3,4]],"i":[{"r":[{"d":[{},[0,3,4]]}]}],"o":[{},[0,0,6]],"r":[{"n":[{},[0,0,3,0,3,4]]}],"t":[{},[0,5]]}],"á":[{"i":[{"n":[{"t":[{},[0,0,0,0,0,5]]}]}]}],"e":[{"a":[{"r":[{},[0,3]]}],"o":[{"g":[{},[0,3,4]],"i":[{"g":[{},[0,5,6]]}]},[0,0,1]]}],"é":[{"i":[{"m":[{},[0,0,4]]}]}],"h":[{},[0,1,0,4]],"i":[{"a":[{},[3]],"g":[{},[0,6]],"m":[{},[0,0,1]],"o":[{"r":[{},[3]]}],"t":[{},[0,0,3]],"ú":[{"i":[{"l":[{},[0,0,3]]}]}]}],"í":[{".":[{},[0,6]]},[2,0,1]],"n":[{},[0,0,1]],"o":[{"i":[{"r":[{},[0,0,0,0,0,5]]}],"r":[{"b":[{},[0,0,0,0,3,4]]},[0,4]]}],"ó":[{".":[{},[0,3]],"i":[{"p":[{},[3]]},[0,6]],"l":[{},[0,3]],"p":[{},[1]],"s":[{},[0,3]]}],"r":[{"a":[{"í":[{},[0,0,3]]}],"é":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,0,0,6]]},[0,0,0,0,0,0,0,5]]}]}]},[0,1]],"í":[{},[1]],"ó":[{},[0,0,1]]}],"u":[{"m":[{},[0,0,3,0,4]]}],"ú":[{"c":[{},[0,0,3]],"n":[{},[0,3]]}]}],"d":[{},[0,1]],"e":[{"a":[{"c":[{"h":[{"t":[{"a":[{},[0,0,0,0,0,6,5]]}]}]}],"g":[{"á":[{},[0,5]]},[6]],"i":[{},[5]],"l":[{"a":[{},[0,0,0,0,5]],"b":[{"h":[{},[0,0,0,0,0,0,5]]},[0,0,0,0,6]],"t":[{},[0,0,0,0,0,6]]}],"n":[{"a":[{"d":[{},[0,0,0,0,0,0,5]]},[0,0,0,0,0,6]],"m":[{},[0,0,0,0,5]],"n":[{"a":[{".":[{},[0,5]]}]}]}],"s":[{"t":[{},[0,0,0,0,5]]}],"t":[{},[0,4]]}],"á":[{"i":[{"b":[{},[5]]}]}],"i":[{"c":[{"t":[{},[0,0,0,0,6]]},[0,6]],"f":[{"t":[{},[0,0,0,0,0,5]]}],"l":[{"f":[{},[0,0,0,0,6]]}],"r":[{"f":[{},[0,0,0,0,4,3]]}],"t":[{"s":[{},[0,0,0,0,5]]}]}],"o":[{".":[{},[6]],"d":[{},[0,0,0,0,3]]}]}],"é":[{"a":[{"l":[{"t":[{},[0,0,0,0,0,6]]}],"r":[{},[0,0,0,0,3]]}],"i":[{"r":[{"s":[{},[0,0,0,0,4,5]]}]}]}],"f":[{"e":[{},[0,3]],"é":[{"a":[{},[3,4]],"i":[{"r":[{},[3,4]]}]}],"h":[{"e":[{"a":[{"r":[{},[0,0,0,0,0,0,5]]}]}]}],"i":[{},[0,3]]},[0,1]],"g":[{"h":[{"a":[{"i":[{"r":[{"t":[{},[0,0,0,0,0,0,5]]}]}]}]}]},[0,1]],"h":[{"a":[{"i":[{"g":[{"h":[{"d":[{},[0,0,0,0,0,0,6,5]]}]}],"l":[{"b":[{},[0,0,0,0,0,5]]}],"r":[{"d":[{},[0,0,0,0,0,5,6]]}]}],"n":[{"t":[{},[0,0,0,0,0,6]]}],"r":[{},[0,0,0,0,5]]}],"á":[{"i":[{"t":[{"e":[{".":[{},[0,0,0,5]],"á":[{".":[{},[0,0,0,5]]}]}],"í":[{},[0,0,0,5]]}]}]}],"e":[{"a":[{"c":[{"h":[{"t":[{"a":[{},[0,0,0,0,0,0,6,5]]}]}]}],"l":[{"a":[{},[0,0,0,0,0,5]]}],"n":[{"m":[{},[0,0,0,0,0,5]]}],"r":[{"b":[{"h":[{},[0,0,0,0,0,0,0,5]]}]}],"s":[{"t":[{},[0,0,0,0,0,5]]}]}],"i":[{"c":[{"t":[{},[0,0,0,0,0,4]]}],"l":[{"f":[{},[0,0,0,0,0,6]]}],"r":[{"f":[{},[0,0,0,0,0,6,3]]}],"t":[{"s":[{},[0,0,0,0,0,5]]}]}]}],"é":[{"a":[{"l":[{"a":[{"i":[{"n":[{},[0,0,0,0,5,6]]}]}]}]}],"i":[{"r":[{"s":[{},[0,0,0,0,0,6]]}]}]}],"i":[{"b":[{"é":[{},[0,0,0,0,5]]}],"p":[{},[0,0,0,0,5]],"ú":[{"n":[{"t":[{},[0,0,0,0,0,0,3]]},[0,0,0,0,0,4]]}]}],"í":[{"b":[{"h":[{},[0,0,0,5]]}],"l":[{},[0,0,0,6,5]],"o":[{},[0,0,0,4]],"t":[{},[0,0,0,6]]}],"l":[{"i":[{"o":[{"s":[{},[0,0,0,0,0,0,5]]}]}],"í":[{"o":[{"d":[{},[0,0,0,0,0,0,5]]}]}]}],"n":[{"í":[{"d":[{},[0,0,0,0,5]],"g":[{},[0,0,0,0,5]],"m":[{},[0,0,0,0,5]],"o":[{"d":[{},[0,0,0,0,5]],"m":[{"a":[{},[0,0,0,0,5]]}],"n":[{},[0,0,0,0,5]]}]}],"u":[{"a":[{},[0,0,0,0,0,5]]}]}],"o":[{"c":[{"h":[{"a":[{"i":[{"d":[{},[0,0,0,5]]}]}]}]}],"g":[{"h":[{},[0,0,0,5]]}],"m":[{"h":[{},[0,0,0,3,0,6]]}],"r":[{"b":[{},[0,0,0,0,0,5]]},[0,0,0,0,4]],"t":[{"h":[{},[0,0,0,5]]}]}],"ó":[{"f":[{},[0,0,0,5]],"i":[{"d":[{"í":[{},[0,0,0,5]]}],"m":[{},[0,0,0,5]],"n":[{"n":[{},[0,0,0,5]]}],"t":[{"í":[{},[0,0,0,5]]}]}],"m":[{"h":[{},[0,0,0,5]]}]}],"u":[{"a":[{"i":[{},[0,0,0,0,6]],"l":[{},[0,0,0,0,3,6]]}]}],"ú":[{"c":[{"h":[{},[0,0,0,0,0,6]]},[0,0,0,5]],"d":[{"a":[{"r":[{},[0,0,0,5,6]]}]}],"i":[{"m":[{".":[{},[0,0,0,5]]}],"n":[{},[0,0,0,5]],"t":[{"í":[{".":[{},[0,0,0,5]]}]}]}],"m":[{"a":[{"r":[{},[0,0,0,5]]}]}],"s":[{},[0,0,0,0,5]]}]},[1,0,2]],"i":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,5]]},[0,0,0,0,0,6]]}],"i":[{"t":[{},[0,0,0,5]]}]},[0,1]],"b":[{"e":[{},[0,0,5]],"é":[{},[0,0,0,5]]}],"c":[{},[0,1]],"d":[{"h":[{},[0,0,0,0,6]]},[0,1]],"f":[{"é":[{},[0,0,3,4]],"r":[{},[0,5,5]]},[6]],"g":[{"é":[{},[0,0,5,6]]},[0,1]],"l":[{"e":[{"a":[{},[0,6]]}],"f":[{},[0,4]],"i":[{"g":[{"í":[{},[0,6]]}]}],"t":[{},[0,4]]}],"m":[{"e":[{"a":[{},[0,0,0,0,0,5]]}],"é":[{},[0,4]]},[0,1]],"n":[{"g":[{},[5,6]],"í":[{},[0,0,0,6]],"t":[{"i":[{"ú":[{},[0,0,0,0,5]]}]},[0,4]]}],"o":[{"s":[{"t":[{},[0,0,0,0,5,6]]}]}],"s":[{"c":[{},[0,0,0,6]],"t":[{},[0,0,0,0,4]]},[0,0,0,3]],"ú":[{"d":[{},[6]],"i":[{"t":[{},[5,6]]}],"r":[{},[0,0,0,0,5]],"t":[{},[5]]},[0,1]]}],"í":[{"b":[{"h":[{},[0,0,3]]}],"l":[{"e":[{},[3,4]]},[0,0,0,3]],"m":[{"e":[{"a":[{},[0,5]]}]}],"o":[{"l":[{"l":[{},[0,0,0,0,0,6]]},[0,0,0,0,5]]}],"t":[{"h":[{},[0,0,4,0,5]]}]}],"l":[{"a":[{"c":[{"á":[{},[0,0,0,0,5]]}],"g":[{"á":[{},[0,0,0,0,3]],"ó":[{},[0,0,0,0,3]]}]},[0,0,0,4]],"á":[{"i":[{"n":[{},[0,4]]}],"n":[{},[0,6]]}],"e":[{"á":[{"d":[{},[0,0,0,0,5,6]]}]}],"é":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,0,5]]},[0,0,0,0,0,0,6]]}]}]}],"í":[{"o":[{"d":[{"ó":[{},[0,0,0,0,0,5]]}]}],"t":[{},[0,0,0,6]]}]},[0,1]],"m":[{"a":[{"l":[{"a":[{},[0,0,0,5]]}]}],"e":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,0,6]]},[0,0,0,0,0,0,5]]}],"d":[{},[0,0,0,0,0,5]],"r":[{"t":[{},[0,0,0,0,0,0,6]]},[0,0,0,0,0,5]]}],"á":[{},[0,0,0,0,6]]}],"h":[{},[0,0,0,4]],"i":[{},[0,0,6]]},[0,1,2]],"n":[{"i":[{"t":[{},[0,0,0,0,4]]}],"ó":[{},[0,3]],"u":[{"a":[{},[0,0,0,0,5]]}]},[0,1,2]],"o":[{"b":[{"h":[{},[0,0,0,0,6]]}],"c":[{"h":[{"a":[{"i":[{"d":[{},[0,0,5]]}]}],"t":[{},[0,0,0,0,6,5]]}]}],"d":[{},[0,0,0,3]],"f":[{"a":[{},[0,0,0,3]]}],"g":[{"h":[{},[0,0,5]]}],"i":[{"r":[{"b":[{"h":[{},[0,0,0,0,6]]}]}]}],"l":[{"á":[{"i":[{},[0,0,5]]}]}],"m":[{"h":[{},[0,0,3,0,4]]}],"n":[{"u":[{},[0,0,5]]}],"r":[{"b":[{},[0,0,0,0,5]],"c":[{"h":[{},[0,0,0,0,0,5]]},[0,0,0,4]]}],"t":[{"h":[{},[0,0,5,0,6]]}]}],"ó":[{"f":[{},[0,1]],"g":[{},[0,1]],"i":[{"n":[{".":[{},[3,4]],"e":[{},[0,6]],"í":[{},[0,6]]},[0,0,0,0,4]],"t":[{"í":[{},[0,0,5]]}]}],"l":[{"a":[{"i":[{"n":[{},[0,0,5,6]]}],"n":[{},[0,0,5,6]]}]}],"m":[{"h":[{},[0,0,5]]}],"n":[{},[3,4]],"t":[{"a":[{"c":[{},[0,0,5]],"í":[{},[0,0,5,6]]}]}]}],"p":[{"a":[{"d":[{"a":[{},[0,0,0,0,5]],"á":[{},[0,0,0,0,5]]}],"i":[{"r":[{"n":[{},[0,0,0,0,0,4,5]]}]}],"n":[{"n":[{},[0,6,5]]}]}],"e":[{"a":[{"c":[{"h":[{},[0,0,0,0,0,0,5]]}]}]}],"i":[{"d":[{},[0,0,0,6]]}],"o":[{"r":[{"t":[{},[0,0,0,0,0,6]]},[0,0,0,0,5]]}],"ó":[{"r":[{},[0,0,0,0,6]]}],"r":[{"a":[{"e":[{},[0,0,0,0,0,5]]}]}],"u":[{"i":[{"r":[{},[0,0,0,0,0,6]]}]}]},[0,1]],"r":[{"ú":[{},[0,0,6]]},[0,1]],"t":[{".":[{},[6]],"a":[{"d":[{"á":[{},[0,0,0,5]]}],"g":[{},[0,1]],"i":[{"g":[{},[0,0,3]],"s":[{"t":[{},[0,0,0,0,0,0,5]]}]},[0,0,0,0,6]],"í":[{},[0,0,1]],"l":[{},[0,1]],"m":[{"a":[{},[0,0,5]]}],"s":[{},[0,0,3]]}],"á":[{"i":[{"n":[{},[0,0,0,0,0,6]],"t":[{},[5]]}],"t":[{},[5,0,0,0,3]]}],"e":[{"a":[{"n":[{"n":[{},[0,0,5]]}]}],"o":[{},[4]]}],"é":[{"i":[{"g":[{},[3]],"n":[{},[0,4]]}]},[0,1]],"i":[{".":[{},[6]],"c":[{"e":[{},[0,3]],"i":[{"g":[{},[0,5]]}]}],"l":[{"e":[{".":[{},[0,5]]}]}],"m":[{},[0,0,1]],"o":[{},[0,6]],"r":[{},[0,3,4]],"s":[{"e":[{},[0,0,6]]}],"t":[{"h":[{},[0,0,3]]}]}],"í":[{"c":[{},[0,3,4]],"s":[{},[0,3,4]]}],"ó":[{"g":[{},[0,3]]}],"r":[{"a":[{"e":[{},[0,0,0,0,0,5]],"l":[{"a":[{},[0,4]]}]}]},[0,1]],"u":[{},[0,0,6]],"ú":[{"i":[{"n":[{},[0,3,6]]}]}]}],"u":[{"a":[{"i":[{},[0,0,0,6]],"l":[{},[0,0,0,3,4]]}]}],"ú":[{"c":[{"h":[{},[0,0,0,0,6]]},[0,0,5]],"d":[{"a":[{"r":[{},[0,0,5,6]]}]},[0,6]],"f":[{},[0,4]],"i":[{"g":[{},[0,6]],"m":[{".":[{},[0,0,5]]}],"n":[{"n":[{},[0,0,5]]}],"t":[{"e":[{".":[{},[0,0,5]]}],"í":[{".":[{},[0,0,5]]}]},[0,4]]}],"m":[{"a":[{"r":[{},[0,0,5]]}]}],"n":[{},[0,1]],"s":[{},[0,0,0,5]]}],"v":[{"a":[{},[0,0,4]]}]}],"t":[{"a":[{"c":[{"h":[{"a":[{},[0,0,4]],"t":[{"á":[{},[0,0,0,0,6]]}]}],"r":[{},[0,0,3]]}],"d":[{"á":[{"i":[{},[0,0,5]]}],"h":[{".":[{},[0,3]]}]}],"e":[{"n":[{},[0,0,0,5]]}],"g":[{"a":[{},[3,4]],"á":[{"l":[{},[0,0,0,5,5]]},[0,0,3,4]],"h":[{"d":[{},[0,0,0,0,0,3]]},[0,0,0,0,4]],"ó":[{},[0,0,1]]}],"i":[{"g":[{".":[{},[5,6]],"e":[{},[5,6]]}],"n":[{"i":[{"a":[{},[3,4]]}],"t":[{},[0,0,0,0,4,3]]}],"r":[{"b":[{"h":[{},[0,0,0,0,0,0,3]]},[0,0,0,0,2]],"g":[{},[0,0,0,0,6,3]],"n":[{},[0,0,0,0,2,3]]}],"s":[{"c":[{"e":[{},[0,0,0,0,0,5]]}],"t":[{"e":[{"a":[{"r":[{},[0,0,0,0,5]]}],"á":[{},[0,0,0,0,5]]}],"i":[{"l":[{},[0,0,0,0,0,5]]}],"í":[{},[0,0,0,0,5]]}]}],"t":[{"é":[{},[0,0,0,3]],"í":[{},[0,5]]}]}],"l":[{"a":[{},[0,0,4,5]],"c":[{},[0,0,0,6,5]],"l":[{},[0,4]],"ú":[{"i":[{"n":[{},[6,5,5,6]]}],"n":[{},[6]]}]}],"m":[{"a":[{"l":[{},[0,0,0,4]]}],"á":[{"i":[{},[0,0,5,6]],"n":[{},[0,0,3]]}]}],"n":[{"b":[{},[5]],"g":[{"ó":[{},[0,0,0,3]]}],"n":[{"a":[{".":[{},[4]],"c":[{},[0,6]],"i":[{},[0,6]]}]},[0,3]],"o":[{},[0,0,5]],"t":[{},[0,0,0,4,3]]}],"p":[{"l":[{},[0,0,5,6]]}],"r":[{"c":[{},[0,0,0,1,2]],"d":[{},[0,0,0,5,6]],"g":[{},[0,0,0,3,4]],"t":[{"a":[{".":[{},[0,0,0,5]]},[0,0,0,0,4]]}]},[0,2]],"s":[{"l":[{},[0,0,3,4]],"t":[{"r":[{},[0,0,0,5]]},[0,0,3,4]]}],"t":[{"a":[{},[5]],"o":[{},[4,0,3]],"ú":[{},[0,0,0,5]]},[3,4]]}],"á":[{".":[{},[3]],"d":[{},[0,0,6,5]],"i":[{"l":[{},[0,1]],"m":[{".":[{},[0,0,6]]}],"r":[{"s":[{},[0,0,0,0,4,3]],"t":[{},[0,0,0,0,5]]}],"t":[{},[0,6]],"v":[{},[0,3]]}],"l":[{},[2,1]],"s":[{},[3,4]],"t":[{"h":[{"a":[{"r":[{},[0,0,5,0,6]]}]}]},[0,6]]}],"b":[{"h":[{},[0,0,0,6]]},[0,1]],"c":[{},[0,1]],"d":[{"h":[{},[0,3]]}],"e":[{"a":[{"b":[{},[3]],"d":[{},[0,3]],"f":[{"a":[{},[0,0,0,5]]}],"g":[{"á":[{},[0,0,0,3,4]],"r":[{},[0,0,0,3]]}],"l":[{".":[{},[0,3]],"a":[{"i":[{"n":[{},[0,0,0,5]]}],"n":[{},[0,0,0,3]]},[0,3]],"ó":[{},[0,3]],"t":[{},[0,5]]}],"m":[{"á":[{},[0,0,0,3,4]],"o":[{},[0,4]]}],"n":[{"ú":[{},[5]]}],"r":[{"n":[{},[0,3,0,0,3,4]]},[0,2]],"s":[{"t":[{},[0,0,0,0,2,5]]}]}],"á":[{"i":[{},[0,1]],"l":[{},[0,1]],"m":[{},[0,0,0,0,5]]},[0,0,0,6]],"i":[{},[1]],"o":[{"c":[{},[5,4]]},[0,1]]}],"é":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,5]]},[0,0,0,0,0,6]]}],"l":[{"a":[{},[0,0,0,3]]},[0,0,0,0,2]],"r":[{"t":[{},[0,0,0,0,5,6]]}]}],"i":[{"g":[{"h":[{},[0,0,6]]},[4]],"r":[{"s":[{},[4,3]]}],"t":[{},[0,4]]}]}],"f":[{},[2,1]],"g":[{},[0,1]],"h":[{".":[{},[4]],"a":[{"b":[{},[6]],"c":[{"h":[{"t":[{},[0,0,0,0,0,6,5]]}]}],"g":[{"h":[{"d":[{},[0,0,0,0,0,0,3]]},[0,0,0,0,0,4]]}],"i":[{"r":[{"b":[{"h":[{},[0,0,0,0,0,0,0,5]]},[0,0,0,0,0,4]],"g":[{},[0,0,0,0,0,6]],"i":[{"s":[{".":[{},[0,0,0,0,0,6]]}]}],"n":[{"e":[{},[0,0,0,0,0,0,5]]},[0,0,0,0,0,4]]}],"s":[{"t":[{},[0,0,0,0,0,0,5]]}]}],"m":[{".":[{},[0,0,5]]}],"n":[{"g":[{},[0,0,0,0,3]],"t":[{},[0,0,0,0,2,3]]}],"p":[{},[0,0,0,6,5]],"r":[{"c":[{},[0,0,0,0,0,6]],"g":[{},[0,0,0,0,5,6]],"n":[{},[0,0,0,0,3,4]],"r":[{},[5]],"t":[{"a":[{},[0,0,0,0,5,6]]}]}]},[0,6]],"á":[{"i":[{"n":[{},[0,0,0,0,0,5]],"r":[{"t":[{},[0,0,0,0,0,5]]}]}]}],"e":[{"a":[{"d":[{"a":[{"s":[{},[0,0,0,0,0,5]]}]}],"l":[{"a":[{},[0,0,0,0,3]]}],"s":[{"t":[{},[0,0,0,0,0,4,5]]}]}],"á":[{"n":[{},[0,0,5]]},[6]]},[0,4]],"é":[{"a":[{"c":[{"h":[{"t":[{},[0,0,0,0,0,0,0,5]]},[0,0,0,0,0,0,6]]}],"l":[{"a":[{},[0,0,0,0,3]]},[0,0,0,0,0,2]]}],"i":[{"f":[{},[0,0,0,3]]}]},[0,6]],"f":[{},[0,0,1]],"i":[{"n":[{".":[{},[0,0,5]],"i":[{},[0,0,0,0,6]]}],"t":[{"e":[{},[0,0,0,0,3]]}]}],"í":[{"f":[{},[0,0,0,6,5]],"o":[{"t":[{},[0,0,0,0,5]]}],"s":[{},[0,0,6]]}],"l":[{"u":[{"a":[{"d":[{"a":[{},[0,0,0,0,0,5]]}]}]}]},[0,0,1]],"n":[{"ó":[{},[0,0,5]]}],"o":[{"i":[{"n":[{},[5,0,0,0,0,6]],"r":[{"n":[{},[0,0,0,0,0,4,3]]}]}],"n":[{},[3]],"r":[{"c":[{},[0,0,0,0,4]],"p":[{"á":[{},[0,0,0,0,5]]}]}],"s":[{"t":[{},[0,0,0,0,0,5]]}]}],"ó":[{"c":[{"h":[{},[0,0,0,0,0,5]]}],"g":[{"t":[{},[5]]}],"i":[{"r":[{"s":[{"e":[{},[0,0,0,0,0,6]],"í":[{},[0,0,0,0,0,6]]}]}]}],"s":[{},[0,0,0,0,4]]}],"r":[{"á":[{"b":[{},[0,0,0,0,5]],"i":[{"n":[{"n":[{},[0,0,0,0,5]]}]}]}],"í":[{"o":[{"c":[{},[0,0,0,0,3]]}]}],"o":[{"s":[{},[0,0,0,0,0,6]]}]}],"s":[{},[4]],"u":[{"a":[{"d":[{"a":[{},[0,0,0,0,5]]}],"i":[{"m":[{},[0,0,0,0,5]],"t":[{"e":[{"a":[{},[0,0,0,0,5]]}]}]}],"r":[{},[0,0,0,0,0,5]]}],"i":[{"g":[{},[5]]}],"r":[{},[3]],"s":[{"a":[{},[0,0,0,5]]}]}]},[0,2]],"i":[{".":[{},[6]],"a":[{"g":[{},[0,0,0,5]],"m":[{},[6,5]]}],"b":[{"é":[{"a":[{"r":[{},[0,0,0,6]]}]},[0,0,0,5]],"i":[{},[0,0,1]]},[0,1,0,2]],"d":[{"é":[{},[0,0,3]],"i":[{},[0,0,3]]},[0,1,0,4]],"f":[{},[0,0,3,4]],"g":[{"e":[{},[5,6]]},[0,1]],"l":[{"e":[{"o":[{},[0,3]]}],"í":[{"t":[{},[4]]},[0,3]],"t":[{},[0,5]]}],"m":[{"é":[{},[4,3,1,4]],"í":[{"n":[{"e":[{},[0,0,5]],"i":[{},[0,0,5]]}]}]}],"n":[{"d":[{},[0,0,0,6,5]],"e":[{"a":[{},[0,3]]}],"i":[{},[0,3]],"í":[{},[0,3]],"t":[{},[0,0,0,5,4]]}],"p":[{"i":[{"c":[{},[0,0,0,0,5,6]]}]}],"r":[{"i":[{},[0,0,0,4]]}],"s":[{"t":[{},[0,3,0,0,6]]},[0,0,0,3]],"t":[{"e":[{"a":[{},[0,0,0,5]],"á":[{},[0,0,0,5]],"o":[{},[6,5]]}],"é":[{},[0,0,5]],"i":[{"ú":[{},[0,0,3]]}]}],"ú":[{".":[{},[0,1]],"l":[{},[0,3]],"n":[{},[3]]}]}],"í":[{"f":[{},[0,0,4,3]],"g":[{},[0,0,0,5]],"l":[{},[3,2,0,1]],"o":[{"l":[{},[5,6]],"p":[{},[5]],"r":[{},[5]],"t":[{},[0,0,0,5,6]]}],"p":[{},[3,4]],"r":[{},[5]],"t":[{"e":[{"a":[{"s":[{},[6,5]]}]}],"i":[{},[6,5]]}]},[0,1]],"l":[{},[2,1]],"m":[{"a":[{},[0,0,4]],"e":[{},[0,0,6]],"i":[{},[0,0,6]]},[0,1]],"n":[{"e":[{},[0,5]],"í":[{},[0,5]]},[2,1,2]],"o":[{"d":[{"ó":[{},[0,0,0,5]]}],"f":[{},[0,0,0,5]],"i":[{"d":[{},[6]],"n":[{},[0,0,0,0,6]],"r":[{"n":[{},[0,0,0,0,2,3]]}]}],"m":[{"a":[{},[0,0,0,6]]}],"r":[{"c":[{"h":[{},[0,0,0,0,0,3]]},[0,0,0,2]],"p":[{},[0,0,0,3]],"t":[{"a":[{},[0,0,0,0,5]]}]}],"s":[{"t":[{},[0,0,0,6,3]]}]}],"ó":[{"c":[{"h":[{},[0,0,0,0,5]]}],"f":[{},[0,1]],"i":[{"p":[{},[3]],"r":[{"s":[{"e":[{},[0,0,0,0,6]],"í":[{},[0,0,0,0,6]]}]}]}],"l":[{},[3]],"p":[{},[3]],"s":[{},[1,0,0,4]]}],"r":[{"a":[{"b":[{"ó":[{},[0,0,0,6]]}],"c":[{"á":[{},[6,0,0,5]]},[0,0,0,0,6]],"i":[{"m":[{},[0,0,0,0,6,5]],"p":[{},[4]]}],"l":[{"á":[{"i":[{"b":[{},[6]]}]}]}],"r":[{},[0,3]]}],"á":[{"b":[{},[0,0,0,5]],"i":[{"n":[{"n":[{},[0,0,0,5]]}],"s":[{},[0,6]]}],"t":[{},[0,4]]}],"e":[{"a":[{"m":[{"a":[{},[0,0,0,0,3]]},[0,0,0,0,0,4]]}]}],"i":[{"a":[{"c":[{"h":[{},[0,0,0,0,0,0,6]]}]}],"g":[{"h":[{"n":[{},[0,0,0,3]]}]}]}],"í":[{"r":[{},[0,0,0,1]]}],"o":[{"s":[{"t":[{},[0,0,0,0,0,5]]},[0,0,0,0,6]]}],"ó":[{"p":[{},[3]]}],"u":[{"a":[{"c":[{"á":[{},[0,0,0,0,3]]},[0,0,0,0,0,4]]}]},[0,4]],"ú":[{"s":[{},[0,6]]},[0,0,6]]}],"s":[{"a":[{"i":[{},[0,6]],"l":[{"a":[{},[0,0,0,0,5]],"v":[{},[0,0,0,0,6,5]]},[0,0,0,6]]},[0,5]],"e":[{"a":[{"n":[{},[0,6]],"r":[{"b":[{"h":[{},[0,0,0,0,0,0,0,5]]}]}]},[0,1,4]],"o":[{},[0,3]]}],"i":[{"m":[{},[0,0,0,6,5]],"ú":[{"n":[{"t":[{},[0,0,0,0,0,0,5]]},[0,0,0,0,0,6]]}]},[0,3]],"í":[{},[0,1]],"u":[{},[0,3]],"ú":[{},[0,3]]},[0,0,2]],"u":[{"a":[{"d":[{"a":[{},[0,0,0,5]]}],"i":[{"t":[{"e":[{"a":[{},[0,0,0,5]]}]}]}],"r":[{},[0,0,0,0,5]]}],"i":[{"s":[{},[0,0,0,0,3]]}],"í":[{"o":[{},[0,0,0,0,3]]}],"r":[{"b":[{},[0,0,0,3]],"n":[{},[0,0,0,3,4]]}]}],"ú":[{"i":[{"d":[{},[0,5]]}],"m":[{},[0,0,3,6]],"s":[{},[3,0,0,3]]}],"v":[{"i":[{},[0,3]]}]}],"u":[{"a":[{"b":[{"h":[{"r":[{},[0,0,0,0,6]]}]}],"c":[{"h":[{"l":[{},[0,0,3]]}]}],"d":[{"á":[{},[0,0,0,3]]}],"f":[{"a":[{".":[{},[0,0,6]]}]},[0,0,1,2]],"i":[{"d":[{"í":[{},[0,0,3]]},[6]],"g":[{"é":[{},[0,0,0,5,6]],"í":[{".":[{},[0,0,3]]}]}],"m":[{"i":[{"d":[{},[0,0,3]],"s":[{},[0,0,3]]}]}],"n":[{"n":[{".":[{},[0,0,3]]}],"s":[{},[0,0,0,0,0,6]],"t":[{},[0,0,0,0,5,4]]}],"r":[{"c":[{"í":[{},[0,0,0,0,3,4]]}],"n":[{},[0,0,0,0,0,6]],"t":[{"í":[{},[0,0,0,0,5]]}]}],"s":[{"t":[{},[0,0,0,0,0,2]]},[0,0,0,0,1]],"t":[{"e":[{"á":[{},[0,0,3]]}],"h":[{"i":[{"s":[{},[0,0,0,0,0,6,5]]}]}],"í":[{".":[{},[0,0,3]]}],"s":[{},[0,0,0,0,5]]}]}],"l":[{"a":[{"t":[{"h":[{},[0,0,0,0,0,0,6]]},[0,0,0,0,5]]}],"g":[{},[0,0,0,3,4]],"u":[{},[0,0,3]]}],"m":[{"a":[{"r":[{},[0,0,3]]}],"h":[{"a":[{"r":[{},[0,0,0,0,6]]}],"é":[{},[0,0,3]]}]}],"n":[{"a":[{"l":[{},[0,0,0,0,5,6]]}],"l":[{"a":[{},[5]]}],"ó":[{"s":[{},[0,0,5]]}]}],"r":[{"g":[{},[0,0,0,3,4]],"t":[{"a":[{"i":[{},[0,0,0,5]],"í":[{".":[{},[0,0,0,5]]}],"n":[{},[0,0,0,5]]}]},[0,0,0,0,4]]}]}],"b":[{"a":[{},[0,0,1]],"á":[{},[0,0,5]],"h":[{},[0,0,0,1]]}],"c":[{"a":[{},[0,0,1]],"h":[{"a":[{},[0,0,0,1]],"á":[{},[0,0,0,3]],"ó":[{},[0,0,0,3]],"r":[{},[0,0,0,3]]}],"l":[{},[0,0,5]],"r":[{},[0,0,3]],"s":[{},[0,0,3]],"ú":[{},[0,0,5]]}],"d":[{},[0,0,1]],"f":[{},[0,0,1]],"g":[{"a":[{"d":[{"á":[{},[0,0,0,5]]}]}],"l":[{},[0,0,3]]}],"i":[{"c":[{"i":[{"s":[{},[0,0,0,6,5]]}]}],"d":[{},[0,0,0,1]],"f":[{"é":[{},[0,0,0,0,5]]}],"g":[{},[6,0,0,3]],"l":[{"p":[{},[0,0,0,3]]}],"m":[{"p":[{},[0,0,0,3]]},[0,0,4]],"n":[{"c":[{},[0,0,0,5]],"s":[{"i":[{"ú":[{},[0,0,0,0,3]]}]}],"t":[{"í":[{"n":[{},[0,0,0,6]]},[0,0,0,0,5]]},[0,0,0,3,4]]}],"p":[{},[0,0,6,5]],"r":[{"b":[{"h":[{},[0,0,0,0,0,6]]},[0,0,0,5,4]],"c":[{"í":[{},[0,0,0,3,4]]}],"e":[{},[4]],"n":[{},[0,0,0,0,6]],"s":[{"t":[{},[0,0,0,0,3]]},[6]],"t":[{"í":[{},[0,0,0,0,4]]},[0,0,0,3]]}],"s":[{"c":[{"r":[{},[0,0,0,3]]}],"t":[{},[0,0,0,5]]},[0,0,6]],"t":[{"é":[{},[0,0,0,3]],"s":[{},[0,0,0,3]]}]}],"í":[{"b":[{},[0,0,3]],"d":[{},[0,0,3]],"g":[{},[0,0,1]],"l":[{"e":[{},[0,0,5,6]]}],"m":[{},[0,0,1]],"o":[{"d":[{"ó":[{},[0,0,0,3]]},[0,0,1]],"m":[{"a":[{},[0,0,3]]}],"n":[{"n":[{},[0,0,3]]}]}],"ó":[{},[0,0,3]],"t":[{"e":[{"á":[{},[0,0,5]]}],"h":[{},[0,0,0,0,6]],"í":[{},[0,0,5]]}]}],"l":[{"a":[{},[0,0,1]],"á":[{},[0,0,3]],"g":[{},[0,0,3,4]],"m":[{},[0,0,3,4]],"ó":[{},[0,0,3]],"p":[{},[0,0,5,6]],"t":[{"a":[{"s":[{},[0,0,6,5]]}],"r":[{},[0,0,4]]}]}],"m":[{"a":[{},[0,0,1]],"h":[{},[0,0,0,1]],"p":[{},[0,0,0,1]]}],"n":[{"a":[{},[0,0,5]],"á":[{},[0,0,3]],"c":[{"a":[{},[0,0,0,1]]}],"e":[{},[0,0,5]],"g":[{"a":[{"l":[{},[0,0,5,0,3]],"r":[{},[0,0,3,4]]}],"á":[{},[0,0,5]]},[0,0,0,1]],"o":[{},[0,0,3]],"ó":[{},[0,0,1]],"s":[{"a":[{".":[{},[0,0,6]],"í":[{},[0,0,6,5]]}]}],"ú":[{"d":[{},[0,0,0,0,4]]},[0,0,3]]}],"ó":[{"t":[{},[0,0,3,6]]}],"p":[{},[0,0,1]],"r":[{"a":[{"c":[{"h":[{},[0,0,0,0,0,3]]}],"g":[{},[0,0,6]]},[4,0,1]],"á":[{},[0,0,3]],"c":[{"a":[{"m":[{},[0,0,0,0,3,4]]}],"h":[{},[0,0,0,0,4]]}],"d":[{"ú":[{},[0,0,3,6]]}],"g":[{"ó":[{"i":[{},[0,0,0,5]],"n":[{},[0,0,5]]}]}],"i":[{},[0,0,3]],"l":[{"á":[{"l":[{},[0,0,6,3]]}]}],"m":[{},[0,0,3,4]],"n":[{},[6]],"ó":[{},[0,0,3]],"p":[{},[0,0,3]],"s":[{"c":[{"a":[{"r":[{"t":[{},[0,0,0,0,0,0,0,5]]},[0,0,0,0,0,0,6]]}]}]}],"t":[{},[0,0,3,4]],"u":[{},[0,0,5]],"ú":[{},[0,0,3]]}],"s":[{".":[{},[6]],"c":[{"a":[{"i":[{},[0,0,0,5]]}],"l":[{},[0,0,0,3]],"r":[{},[0,0,3]]}],"t":[{"a":[{"c":[{},[0,0,0,5]],"i":[{"l":[{},[0,0,0,5]]}],"l":[{},[0,0,4,3]]}],"ó":[{},[0,0,3]],"u":[{},[0,0,5]],"ú":[{"n":[{},[0,0,0,5]]}]}]}],"t":[{"a":[{},[0,0,5]],"á":[{},[0,6,5]],"e":[{},[0,0,3]],"h":[{"a":[{"n":[{"t":[{},[0,0,0,0,0,5]]}]}]},[0,0,0,1]],"ó":[{},[0,0,3]]}],"z":[{"a":[{},[0,0,3]]}]}],"ú":[{"a":[{"n":[{},[0,5]]}],"á":[{"i":[{"l":[{".":[{},[0,4]]}]}]},[0,1]],"b":[{"a":[{"d":[{"á":[{},[0,0,0,5]]}],"i":[{"l":[{},[0,0,0,0,0,4]]}]}],"h":[{"a":[{},[0,0,0,5]]},[0,0,4]]},[0,0,1]],"c":[{"a":[{"b":[{},[0,0,0,3]],"s":[{"t":[{},[0,0,0,0,4]]}]},[0,0,1]],"h":[{"a":[{},[0,0,0,1]],"á":[{},[0,1,0,2]],"e":[{},[0,3]],"í":[{},[0,3]],"l":[{},[0,0,0,5]],"ó":[{"g":[{},[0,0,0,5]]}],"r":[{},[0,5]],"t":[{"ó":[{},[0,0,0,0,4]]}]}],"l":[{},[0,0,1]],"ó":[{},[0,0,1]],"r":[{"á":[{},[0,0,4]]},[0,0,1]]}],"d":[{"ó":[{},[0,6]],"r":[{},[0,0,5]],"ú":[{},[0,0,5]]},[0,0,1]],"f":[{"ó":[{},[0,6]]},[0,1]],"g":[{"h":[{},[0,1]],"r":[{},[0,0,1]]}],"i":[{"d":[{"í":[{"s":[{},[0,3]]}]},[4]],"g":[{"í":[{},[0,3]]}],"l":[{"e":[{},[6]],"i":[{},[6]],"t":[{},[0,0,0,4,3]]}],"m":[{"i":[{},[0,3]]}],"n":[{"t":[{},[0,0,0,0,4]]}],"r":[{"t":[{"é":[{},[0,0,0,2]]},[0,0,0,0,3]]}],"s":[{"c":[{"é":[{},[0,0,0,3,4]]},[0,0,0,0,3]]}],"t":[{"e":[{"a":[{"r":[{},[0,5]]}],"á":[{".":[{},[0,3]]}]}],"h":[{"i":[{"s":[{},[0,0,0,0,0,5]]}]}],"í":[{"n":[{},[0,6]]}],"s":[{"e":[{"á":[{},[0,0,0,0,3]]}]}]}]}],"l":[{"a":[{"g":[{"á":[{},[0,4,5]]},[0,3,4]]}],"c":[{},[0,0,0,4]],"e":[{},[0,5,6]],"é":[{"i":[{"m":[{},[0,0,6]]}]}],"i":[{},[0,3,4]],"r":[{},[6]],"t":[{},[0,0,0,4]],"u":[{"a":[{},[0,3,4]]}],"ú":[{"l":[{},[0,0,0,5]]},[0,0,5]]},[0,0,1]],"m":[{"h":[{"a":[{"c":[{},[0,0,0,3]]}],"n":[{},[0,4]],"ú":[{},[0,4,0,3]]},[0,1]]}],"n":[{"a":[{},[0,0,5]],"á":[{},[0,0,3]],"g":[{"á":[{},[0,0,0,5]],"u":[{},[0,0,0,5]]}],"l":[{},[6]],"n":[{},[4,1]],"o":[{},[0,0,3]],"ó":[{},[0,0,1]],"t":[{},[0,0,3,2]]}],"p":[{"a":[{"t":[{},[0,0,0,5,6]]},[0,6,5]],"r":[{},[0,5,6]]},[0,0,1]],"r":[{"a":[{"b":[{"h":[{},[0,0,0,0,0,4]]},[0,0,0,3]],"d":[{"á":[{},[0,0,0,3]]}],"n":[{"a":[{},[0,0,6]]},[0,0,0,0,6]]}],"ó":[{},[0,0,5]],"t":[{},[0,0,0,4]],"u":[{},[0,3,6]],"ú":[{"i":[{},[0,5]]},[0,0,4]]},[0,0,1]],"s":[{"a":[{"i":[{"r":[{},[0,0,4]]}]}],"á":[{"n":[{},[0,0,5]]},[0,0,2]],"c":[{},[0,0,0,1]],"h":[{"l":[{},[0,4,0,3]]}],"m":[{},[0,3,4]],"ó":[{},[0,0,3]],"p":[{"é":[{},[0,3,4]]}],"t":[{"o":[{},[0,3]],"ó":[{},[0,0,0,3]],"r":[{},[0,0,6,3]]}],"ú":[{},[0,0,3]]}],"t":[{"a":[{},[0,0,3]],"á":[{},[0,6,1]],"h":[{"o":[{},[0,3]]},[0,0,0,1]],"ó":[{"g":[{},[0,0,5]]}],"r":[{},[0,0,1]]}],"ú":[{"i":[{},[0,5]],"l":[{},[0,5]]}]}],"v":[{"a":[{"c":[{"h":[{},[0,0,0,0,6]],"s":[{},[0,0,0,3,4]]}],"d":[{},[0,4]],"i":[{"s":[{"c":[{},[0,0,0,0,0,6]]},[0,0,0,0,5]]}],"r":[{"d":[{},[0,0,0,0,6]]},[0,0,0,5]],"t":[{},[3,4]]},[0,1]],"á":[{},[0,1]],"e":[{"a":[{"n":[{"t":[{},[0,0,0,0,0,5]]},[0,0,0,0,6]],"r":[{"n":[{},[0,0,0,0,0,6]]},[0,0,0,0,3]]}],"i":[{"l":[{"b":[{},[0,0,0,0,5]]}]},[3,4]],"o":[{},[0,3]]}],"é":[{"a":[{"r":[{},[0,0,0,0,6]]}],"i":[{"s":[{"t":[{},[0,0,0,0,0,6]]},[0,0,0,0,5]]}]}],"i":[{"a":[{"l":[{},[5,6]]}],"n":[{"i":[{},[3,4]]}],"o":[{"s":[{},[0,0,0,0,5]]}],"r":[{"g":[{},[0,0,0,0,6]]},[0,0,0,5]]}],"í":[{"c":[{},[0,6]]}],"l":[{"a":[{},[0,3]]}],"o":[{"l":[{"t":[{},[0,0,0,0,3]]},[3,0,0,4]]}],"u":[{"í":[{"t":[{},[0,0,0,0,5]]}]}]}],"x":[{"a":[{"c":[{},[0,3]],"i":[{},[0,5]],"í":[{},[0,5]]}]}]}';
  var hyphenation = [
    "bhrachtaí",
    "mbrachtaí",
    "cháintí",
    "gcáintí",
    "cheiltí",
    "gceiltí",
    "chistí",
    "gcistí",
    "choirtí",
    "gcoirtí",
    "chreataí",
    "gcreataí",
    "dhoirteá",
    "dhoirtear",
    "dhoirtí",
    "doirtear",
    "ndoirteá",
    "ndoirtear",
    "ndoirtí",
    "bhfuadar",
    "fhuadar",
    "bhfuafar",
    "fhuafar",
    "fuafar",
    "ghaistí",
    "ngaistí",
    "ghealtaí",
    "ngealtaí",
    "ghortaí",
    "ngortaí",
    "haistí",
    "léamar",
    "luadar",
    "meataí",
    "mheataí",
    "réaltaí",
    "rífear",
    "sádar",
    "shádar",
    "sáimis",
    "sháimis",
    "sáfaí",
    "sháfaí",
    "spealta",
    "dtiom-áintí",
    "thiom-áintí",
    ""
  ];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
