(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsGl = factory();
  }
})(this, function () {
  var patterns =
    '{"ï":[{"a":[{},[3,3]]}],"a":[{"a":[{},[0,1]],"á":[{},[0,1]],"i":[{".":[{},[2]],"a":[{},[0,1]],"e":[{},[0,1]],"o":[{},[0,1]],"á":[{},[0,1]],"s":[{".":[{},[2,2]]}]}],"u":[{".":[{},[2]],"t":[{"o":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}]}],"l":[{"d":[{"e":[{"h":[{},[0,0,0,0,2]]}]}],".":[{},[2]],"o":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}],"a":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}]}],"c":[{"t":[{"o":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}],"h":[{"e":[{"s":[{".":[{},[2,3]]}]}]}]}],"f":[{"r":[{"o":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}]}],"e":[{"r":[{"o":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]],"n":[{".":[{},[0,3]]}]}],".":[{},[0,3]],"e":[{"s":[{".":[{},[0,3]]}],"n":[{".":[{},[0,3]]}]}],"m":[{"o":[{"s":[{".":[{},[0,3]]}]}],"e":[{".":[{},[0,3]]}]}],"d":[{"e":[{"s":[{".":[{},[0,3]]}]}]}],"t":[{"e":[{".":[{},[0,3]]}]}],"l":[{"l":[{"e":[{".":[{},[0,3]],"s":[{".":[{},[0,3]]}]}]}]}],"n":[{"o":[{"s":[{".":[{},[0,3]]}]}]}],"v":[{"o":[{"s":[{".":[{},[0,3]]}]}]}]}],"n":[{"d":[{"o":[{".":[{},[0,3]]}]}]}],"l":[{"o":[{".":[{},[0,3]],"s":[{".":[{},[0,3]]}]}],"a":[{".":[{},[0,3]],"s":[{".":[{},[0,3]]}]}]}],"d":[{"e":[{".":[{},[0,3]],"s":[{".":[{},[0,3]]}]}]}],"m":[{"o":[{"s":[{".":[{},[0,3]]}]}]}],"s":[{"e":[{".":[{},[0,3]],"s":[{".":[{},[0,3]]}],"m":[{"o":[{"s":[{".":[{},[0,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,3]]}]}]}],"n":[{".":[{},[0,3]]}]}]}]}],"n":[{"f":[{"i":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}],"g":[{"l":[{"o":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}],"d":[{"o":[{".":[{},[2]]}]}],".":[{},[2]]}],"t":[{"o":[{"p":[{"o":[{"u":[{},[0,0,0,0,0,2,3]]}]}]}]}],"d":[{"o":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}],"r":[{".":[{},[2,3]],"a":[{".":[{},[2,3]]}],"e":[{"s":[{".":[{},[2,3]]}]}]}],"i":[{"r":[{"o":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}],"a":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}]}]}]}],"a":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}],"e":[{"i":[{"r":[{"o":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}],"a":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}]}]}],".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}]}],"r":[{".":[{},[2]],"e":[{"s":[{".":[{},[2,3]]}],"n":[{".":[{},[2,3]]}],"i":[{".":[{},[2,3]]}],"m":[{"o":[{"s":[{".":[{},[2,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[2,3]]}]}]}]}],"m":[{"o":[{"s":[{".":[{},[2]]}]}],"e":[{".":[{},[2]]}]}],"d":[{"e":[{"s":[{".":[{},[2]]}]}]}],"t":[{"e":[{".":[{},[2]]}]}],"l":[{"l":[{"e":[{".":[{},[2]],"s":[{".":[{},[2]]}]}]}]}],"n":[{"o":[{"s":[{".":[{},[2]]}]}]}],"v":[{"o":[{"s":[{".":[{},[2]]}]}]}],"á":[{"s":[{".":[{},[2,3]]}],".":[{},[2,3]],"n":[{".":[{},[2,3]]}]}],"í":[{"a":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}],"m":[{"o":[{"s":[{".":[{},[2,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[2,3]]}]}]}],"n":[{".":[{},[2,3]]}]}]}],"i":[{"a":[{"m":[{"o":[{"s":[{".":[{},[2,3,0,1]]}]}]}],"d":[{"e":[{"s":[{".":[{},[2,3,0,1]]}]}]}]}]}],"o":[{"n":[{".":[{},[2,3]]}]}]}],"s":[{".":[{},[2]],"t":[{"e":[{"s":[{".":[{},[2]]}]}]}],"e":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}],"n":[{".":[{},[2,3]]}]}]}],"m":[{"o":[{"s":[{".":[{},[2,3]]}]}]}],"b":[{"a":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}],"m":[{"o":[{"s":[{".":[{},[2,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[2,3]]}]}]}],"n":[{".":[{},[2,3]]}]}]}],"é":[{"d":[{"e":[{"o":[{".":[{},[0,3]],"s":[{".":[{},[0,3]]}]}],"a":[{".":[{},[0,3]],"s":[{".":[{},[0,3]]}]}]}]}],"s":[{"e":[{"m":[{"o":[{"s":[{".":[{},[0,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,3]]}]}]}]}]}]}]}],"e":[{"e":[{"s":[{".":[{},[0,3]]}],"m":[{"o":[{"s":[{".":[{},[0,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,3]]}]}]}],"n":[{".":[{},[0,3]]}]},[0,1]],"é":[{},[0,1]],"i":[{".":[{},[2]],"a":[{},[0,1]],"e":[{},[0,1]],"o":[{},[0,1]],"á":[{},[0,1]]}],"u":[{".":[{},[2]],"c":[{"o":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}],"r":[{"o":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}]}],"c":[{"a":[{"n":[{"o":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}],"o":[{"a":[{},[0,0,0,1,2]],"e":[{},[0,0,0,1,2]],"i":[{},[0,0,0,1,2]],"o":[{},[0,0,0,1,2]],"u":[{},[0,0,0,1,2]],"á":[{},[0,0,0,1,2]],"é":[{},[0,0,0,1,2]],"í":[{},[0,0,0,1,2]],"ó":[{},[0,0,0,1,2]],"ú":[{},[0,0,0,1,2]]}]}],"l":[{"e":[{"c":[{"t":[{"r":[{"o":[{"a":[{},[0,0,0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,0,0,1,2]]}]}]}]}]}],"o":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}],"a":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}]}],"n":[{"d":[{"o":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}],"t":[{"o":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}],"r":[{"e":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}],"a":[{"x":[{"e":[{"n":[{"o":[{"u":[{},[0,0,0,0,0,0,0,2,3]]}]}]}]}]}],".":[{},[2]]}],"x":[{"t":[{"r":[{"a":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}],"p":[{"o":[{"l":[{"i":[{},[0,0,0,0,0,0,2]]}]}]}]}],"r":[{"e":[{"s":[{".":[{},[2,3]]}],"n":[{".":[{},[2,3]]}],"i":[{".":[{},[2,3]]}],"m":[{"o":[{"s":[{".":[{},[2,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[2,3]]}]}]}]}],"m":[{"o":[{"s":[{".":[{},[2]]}]}],"e":[{".":[{},[2]]}]}],"d":[{"e":[{"s":[{".":[{},[2]]}]}]}],"t":[{"e":[{".":[{},[2]]}]}],"l":[{"l":[{"e":[{".":[{},[2]],"s":[{".":[{},[2]]}]}]}]}],"n":[{"o":[{"s":[{".":[{},[2]]}]}]}],"v":[{"o":[{"s":[{".":[{},[2]]}]}]}],"á":[{"s":[{".":[{},[2,3]]}],".":[{},[2,3]],"n":[{".":[{},[2,3]]}]}],"í":[{"a":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}],"m":[{"o":[{"s":[{".":[{},[2,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[2,3]]}]}]}],"n":[{".":[{},[2,3]]}]}]}],"i":[{"a":[{"m":[{"o":[{"s":[{".":[{},[2,3,0,1]]}]}]}],"d":[{"e":[{"s":[{".":[{},[2,3,0,1]]}]}]}]}]}]}],"d":[{"o":[{"r":[{".":[{},[2,3]],"a":[{".":[{},[2,3]]}],"e":[{"s":[{".":[{},[2,3]]}]}]}],"i":[{"r":[{"o":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}],"a":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}]}]}]}],"e":[{"i":[{"r":[{"o":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}],"a":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}]}]}],".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}]}],"s":[{".":[{},[2]]}],"m":[{"o":[{"s":[{".":[{},[2,3]]}]}]}],"a":[{"r":[{".":[{},[0,3]],"e":[{"s":[{".":[{},[0,3]]}],"n":[{".":[{},[0,3]]}]}],"m":[{"o":[{"s":[{".":[{},[0,3]]}]}],"e":[{".":[{},[0,3]]}]}],"d":[{"e":[{"s":[{".":[{},[0,3]]}]}]}],"t":[{"e":[{".":[{},[0,3]]}]}],"l":[{"l":[{"e":[{".":[{},[0,3]],"s":[{".":[{},[0,3]]}]}]}]}],"n":[{"o":[{"s":[{".":[{},[0,3]]}]}]}],"v":[{"o":[{"s":[{".":[{},[0,3]]}]}]}],"o":[{"n":[{".":[{},[0,3]]}]}]}],"d":[{"o":[{".":[{},[0,3]],"s":[{".":[{},[0,3]]}]}],"a":[{".":[{},[0,3]],"s":[{".":[{},[0,3]]}]}],"e":[{".":[{},[0,3]],"s":[{".":[{},[0,3]]}]}]}],"n":[{"d":[{"o":[{".":[{},[0,3]]}]}],".":[{},[0,3]]}],"l":[{"o":[{".":[{},[0,3]],"s":[{".":[{},[0,3]]}]}],"a":[{".":[{},[0,3]],"s":[{".":[{},[0,3]]}]}]}],"s":[{".":[{},[0,3]],"t":[{"e":[{"s":[{".":[{},[0,3]]}]}]}],"e":[{".":[{},[0,3]],"s":[{".":[{},[0,3]]}],"n":[{".":[{},[0,3]]}]}]}],"m":[{"o":[{"s":[{".":[{},[0,3]]}]}]}],"b":[{"a":[{".":[{},[0,3]],"s":[{".":[{},[0,3]]}],"m":[{"o":[{"s":[{".":[{},[0,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,3]]}]}]}],"n":[{".":[{},[0,3]]}]}]}],"c":[{"h":[{"e":[{"s":[{".":[{},[0,3]]}]}]}]}]}],"á":[{"d":[{"e":[{"o":[{".":[{},[0,3]],"s":[{".":[{},[0,3]]}]}],"a":[{".":[{},[0,3]],"s":[{".":[{},[0,3]]}]}]}]}],"b":[{"a":[{"m":[{"o":[{"s":[{".":[{},[0,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,3]]}]}]}]}]}],"s":[{"e":[{"m":[{"o":[{"s":[{".":[{},[0,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,3]]}]}]}]}]}]}]}],"o":[{"o":[{},[0,1]],"ó":[{},[0,1]],"i":[{".":[{},[2]],"a":[{},[0,1]],"e":[{},[0,1]],"o":[{},[0,1]],"á":[{},[0,1]],"d":[{"e":[{},[0,2,3]],"a":[{"l":[{},[0,2,3]]}]}]}],"u":[{".":[{},[2]]}],"h":[{"i":[{"b":[{},[0,2]]}]}],"c":[{"t":[{"o":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}],"a":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}]}],"m":[{"n":[{"i":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}]}],"s":[{".":[{},[2]],"o":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}],"a":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}],"m":[{"e":[{"n":[{"t":[{"e":[{".":[{},[2,3]]}]}]}]}]}]}]}],"a":[{"r":[{".":[{},[0,3]],"e":[{"s":[{".":[{},[0,3]]}],"n":[{".":[{},[0,3]]}]}],"m":[{"o":[{"s":[{".":[{},[0,3]]}]}],"e":[{".":[{},[0,3]]}]}],"d":[{"e":[{"s":[{".":[{},[0,3]]}]}]}],"t":[{"e":[{".":[{},[0,3]]}]}],"l":[{"l":[{"e":[{".":[{},[0,3]],"s":[{".":[{},[0,3]]}]}]}]}],"n":[{"o":[{"s":[{".":[{},[0,3]]}]}]}],"v":[{"o":[{"s":[{".":[{},[0,3]]}]}]}],"o":[{"n":[{".":[{},[0,3]]}]}]}],"d":[{"o":[{".":[{},[0,3]],"s":[{".":[{},[0,3]]}]}],"a":[{".":[{},[0,3]],"s":[{".":[{},[0,3]]}]}],"e":[{".":[{},[0,3]],"s":[{".":[{},[0,3]]}]}]}],"n":[{"d":[{"o":[{".":[{},[0,3]]}]}],".":[{},[0,3]]}],"l":[{"o":[{".":[{},[0,3]],"s":[{".":[{},[0,3]]}]}],"a":[{".":[{},[0,3]],"s":[{".":[{},[0,3]]}]}]}],"s":[{".":[{},[0,3]],"t":[{"e":[{"s":[{".":[{},[0,3]]}]}]}],"e":[{".":[{},[0,3]],"s":[{".":[{},[0,3]]}],"n":[{".":[{},[0,3]]}]}]}],"m":[{"o":[{"s":[{".":[{},[0,3]]}]}]}],"b":[{"a":[{".":[{},[0,3]],"s":[{".":[{},[0,3]]}],"m":[{"o":[{"s":[{".":[{},[0,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,3]]}]}]}],"n":[{".":[{},[0,3]]}]}]}],"c":[{"h":[{"e":[{"s":[{".":[{},[0,3]]}]}]}]}]}],"á":[{"d":[{"e":[{"o":[{".":[{},[0,3]],"s":[{".":[{},[0,3]]}]}],"a":[{".":[{},[0,3]],"s":[{".":[{},[0,3]]}]}]}]}],"b":[{"a":[{"m":[{"o":[{"s":[{".":[{},[0,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,3]]}]}]}]}]}],"s":[{"e":[{"m":[{"o":[{"s":[{".":[{},[0,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,3]]}]}]}]}]}]}],"e":[{"s":[{".":[{},[0,3]]}],"m":[{"o":[{"s":[{".":[{},[0,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,3]]}]}]}],"n":[{".":[{},[0,3]]}]}]}],"z":[{"o":[{"o":[{},[0,0,2]]},[1]],"a":[{},[1]],"e":[{},[1]],"i":[{},[1]],"u":[{},[1]],"á":[{},[1]],"é":[{},[1]],"í":[{},[1]],"ó":[{},[1]],"ú":[{},[1]]}],"u":[{"i":[{"a":[{},[0,1]],"e":[{},[0,1]],"o":[{},[0,1]],"á":[{},[0,1]]}],"n":[{"h":[{"a":[{},[0,0,2]]}]}],"l":[{"t":[{"r":[{"a":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}]}]}],"i":[{"a":[{".":[{},[2]]}],"e":[{".":[{},[2]]}],"o":[{".":[{},[2]]}],"á":[{".":[{},[2]]}],"b":[{"e":[{"r":[{"o":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}]}],"c":[{"o":[{"n":[{"o":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}],".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}],"a":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}],"h":[{"e":[{"s":[{".":[{},[2,3]]}]}]}]}],"n":[{"f":[{"r":[{"a":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}],"t":[{"r":[{"a":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}],"o":[{"c":[{"u":[{"l":[{"a":[{"r":[{},[0,0,2,4]]}]}]}]}]}],"d":[{"o":[{".":[{},[2]]}]}]}],"d":[{"o":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}],"r":[{".":[{},[2,3]],"a":[{".":[{},[2,3]]}],"e":[{"s":[{".":[{},[2,3]]}]}]}],"i":[{"r":[{"o":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}],"a":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}]}]}]}],"a":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}],"e":[{"i":[{"r":[{"o":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}],"a":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}]}]}],".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}]}],"r":[{".":[{},[2]],"e":[{"s":[{".":[{},[2,3]]}],"n":[{".":[{},[2,3]]}],"i":[{".":[{},[2,3]]}],"m":[{"o":[{"s":[{".":[{},[2,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[2,3]]}]}]}]}],"m":[{"o":[{"s":[{".":[{},[2]]}]}],"e":[{".":[{},[2]]}]}],"d":[{"e":[{"s":[{".":[{},[2]]}]}]}],"t":[{"e":[{".":[{},[2]]}]}],"l":[{"l":[{"e":[{".":[{},[2]],"s":[{".":[{},[2]]}]}]}]}],"n":[{"o":[{"s":[{".":[{},[2]]}]}]}],"v":[{"o":[{"s":[{".":[{},[2]]}]}]}],"á":[{"s":[{".":[{},[2,3]]}],".":[{},[2,3]],"n":[{".":[{},[2,3]]}]}],"í":[{"a":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}],"m":[{"o":[{"s":[{".":[{},[2,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[2,3]]}]}]}],"n":[{".":[{},[2,3]]}]}]}],"i":[{"a":[{"m":[{"o":[{"s":[{".":[{},[2,3,0,1]]}]}]}],"d":[{"e":[{"s":[{".":[{},[2,3,0,1]]}]}]}]}]}],"o":[{"n":[{".":[{},[2,3]]}]}]}],"l":[{"o":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}],"a":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}]}],"m":[{"o":[{"s":[{".":[{},[2,3]]}]}]}],"u":[{".":[{},[2]]}],"s":[{"t":[{"e":[{"s":[{".":[{},[2]]}]}]}],"e":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}],"n":[{".":[{},[2,3]]}]}]}]}],"ñ":[{},[1]],"b":[{"a":[{},[1]],"e":[{"n":[{"i":[{"g":[{"n":[{},[0,0,3,2]]}],"m":[{"e":[{"r":[{"í":[{},[0,0,3,2,3]]}]}]}],"n":[{"é":[{"s":[{},[0,0,3,2,3]]}],"e":[{"s":[{},[0,0,3,2,3]]}]}],"t":[{"o":[{"í":[{"t":[{"a":[{},[0,0,3,2,3]]}]}]}]}]}]}]},[1]],"i":[{"b":[{"l":[{"i":[{"o":[{"a":[{},[0,0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,0,1,2]]}]}]}]}],"o":[{"a":[{},[0,0,0,1,2]],"e":[{},[0,0,0,1,2]],"i":[{},[0,0,0,1,2]],"o":[{},[0,0,0,1,2]],"u":[{},[0,0,0,1,2]],"á":[{},[0,0,0,1,2]],"é":[{},[0,0,0,1,2]],"í":[{},[0,0,0,1,2]],"ó":[{},[0,0,0,1,2]],"ú":[{},[0,0,0,1,2]]}],"u":[{"n":[{"í":[{},[0,0,1,2]]}]}]},[1]],"o":[{},[1]],"u":[{},[1]],"á":[{},[1]],"é":[{},[1]],"í":[{},[1]],"ó":[{},[1]],"ú":[{},[1]],"l":[{".":[{},[2]]},[1,2]],"r":[{".":[{},[2]]},[1,2]],"p":[{"t":[{},[0,1,2]],"s":[{},[0,1,2]],"n":[{},[0,1,2]]}],"c":[{"t":[{},[0,1,2]],"n":[{},[0,1,2]],"z":[{},[0,1,2]]}],"m":[{"n":[{},[0,1,2]]}],"g":[{"n":[{},[0,1,2]]}],"f":[{"t":[{},[0,1,2]]}],"t":[{"s":[{},[0,1,2]]}]}],"c":[{"a":[{"c":[{"a":[{},[4,0,0,0,4]]}],"g":[{"o":[{},[4,0,0,0,4]],"a":[{"s":[{".":[{},[4]]}]},[4,0,0,0,4]]}],"r":[{"d":[{"i":[{"o":[{"a":[{},[0,0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,0,1,2]]}]}]}]}]},[1]],"e":[{"f":[{"a":[{"l":[{"o":[{"a":[{},[0,0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,0,1,2]]}]}]}]}]},[1]],"i":[{"c":[{"l":[{"o":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}],"t":[{"o":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}]},[1]],"o":[{"n":[{"t":[{"r":[{"a":[{"a":[{},[0,0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,0,1,2]]}]}]}]}],"a":[{"g":[{"u":[{"l":[{},[0,0,2,3]]}]}],"l":[{"a":[{".":[{},[0,0,2,3]],"s":[{".":[{},[0,0,2,3]]}]}],"e":[{"s":[{"c":[{"e":[{"n":[{},[0,0,2,3]]}]}]}]}],"i":[{"c":[{"i":[{"ó":[{"n":[{".":[{},[0,0,2,3]]}]}],"o":[{"n":[{"s":[{".":[{},[0,0,2,3]]}]}]}]}]}]}]}],"n":[{"a":[{".":[{},[0,0,2,3]],"s":[{".":[{},[0,0,2,3]]}]}],"t":[{"r":[{"i":[{"ñ":[{},[0,0,2]]}]}]}]}],"ñ":[{"a":[{"d":[{"e":[{"i":[{"r":[{},[0,0,2,3]]}]}]}]}]}],"t":[{"í":[{".":[{},[0,0,2,3]],"s":[{".":[{},[0,0,2,3]]}]}]}]}],"á":[{"g":[{"u":[{"l":[{},[0,0,2,3]]}]}]}],"e":[{"f":[{"i":[{"c":[{"i":[{"e":[{"n":[{},[0,0,2,3]]}]}]}]}]}],"l":[{"e":[{"r":[{"n":[{"o":[{"s":[{".":[{},[0,0,2,3]]}]}]}]}]}],"l":[{"o":[{".":[{},[0,0,2,3]],"s":[{".":[{},[0,0,2,3]]}]}],"a":[{".":[{},[0,0,2,3]],"s":[{".":[{},[0,0,2,3]]}]}],"e":[{"i":[{"r":[{},[0,0,2,3]]}]}]}]}],"n":[{"l":[{"l":[{},[0,0,2]]}],"x":[{"í":[{"a":[{},[0,0,2]]}]}]}],"s":[{"i":[{"t":[{"a":[{".":[{},[0,0,2,3]],"s":[{".":[{},[0,0,2,3]]}]}]}]}]}],"t":[{"á":[{"n":[{"e":[{},[0,0,2,3]]}]}]}],"v":[{"o":[{".":[{},[0,0,2,3]],"s":[{".":[{},[0,0,2,3]]}]}],"a":[{".":[{},[0,0,2,3]],"s":[{".":[{},[0,0,2,3]]}]}]}]}],"i":[{"d":[{"a":[{"d":[{"o":[{},[0,0,2,3]]}]}]}],"e":[{"i":[{},[0,0,2]]}],"m":[{"b":[{"r":[{"a":[{},[0,0,2]],"á":[{},[0,0,2]]}]}]}],"n":[{"t":[{"r":[{"e":[{"a":[{"u":[{".":[{},[0,0,2]]}]}]}]}]}]}],"ñ":[{"a":[{},[0,0,2,3]],"e":[{"i":[{},[0,0,2,3]]}]}],"p":[{"ú":[{".":[{},[0,0,2,3]],"s":[{".":[{},[0,0,2,3]]}]}]}],"r":[{"a":[{".":[{},[0,0,2,3]],"s":[{".":[{},[0,0,2,3]]}],"z":[{"a":[{},[0,0,2,3]]}]}],"o":[{".":[{},[0,0,2,3]],"s":[{".":[{},[0,0,2,3]]}]}]}],"t":[{"a":[{".":[{},[0,0,2,3]],"s":[{".":[{},[0,0,2,3]]}],"d":[{"o":[{".":[{},[0,0,2,3]]}]}]}],"o":[{".":[{},[0,0,2,3]],"s":[{".":[{},[0,0,2,3]]}]}],"e":[{"l":[{},[0,0,2,3]]}],"í":[{"o":[{".":[{},[0,0,2,3]]}]}],"u":[{"s":[{".":[{},[0,0,2,3]]}]}]}]}],"í":[{"ñ":[{"a":[{},[0,0,2,3]]}]}],"u":[{"c":[{},[0,0,2,3]],"l":[{"o":[{"m":[{"b":[{},[0,0,2,3]]}]}]}],"t":[{"r":[{"y":[{},[0,0,2,3]]}],"a":[{"d":[{},[0,0,2,3]]}],"o":[{".":[{},[0,0,2,3]],"s":[{".":[{},[0,0,2,3]]}]}]}],"q":[{"u":[{"i":[{},[0,0,2,3]]}]}],"r":[{"e":[{"l":[{},[0,0,2,3]]}]}],"s":[{"a":[{".":[{},[0,0,2,3]],"s":[{".":[{},[0,0,2,3]]}]}],"o":[{".":[{},[0,0,2,3]],"s":[{".":[{},[0,0,2,3]]}]}],"e":[{"l":[{"o":[{},[0,0,2,3]]}]}]}],"v":[{"i":[{"n":[{"i":[{},[0,0,2,3]]}]}]}],"z":[{},[0,0,2,3]]}]},[1]],"u":[{},[1]],"á":[{},[1]],"é":[{},[1]],"í":[{},[1]],"ó":[{},[1]],"ú":[{},[1]],"h":[{".":[{},[2]]},[1,2]],"l":[{".":[{},[2]]},[1,2]],"r":[{".":[{},[2]],"i":[{"p":[{"t":[{"o":[{"a":[{},[0,0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,0,1,2]]}]}]}]}],"o":[{"m":[{"o":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}],"n":[{"o":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}]},[1,2]],"p":[{"t":[{},[0,1,2]],"s":[{},[0,1,2]],"n":[{},[0,1,2]]}],"c":[{"t":[{},[0,1,2]],"n":[{},[0,1,2]],"z":[{},[0,1,2]]}],"m":[{"n":[{},[0,1,2]]}],"g":[{"n":[{},[0,1,2]]}],"f":[{"t":[{},[0,1,2]]}],"t":[{"s":[{},[0,1,2]],".":[{},[2]]}],"n":[{".":[{},[2]]}],"z":[{".":[{},[2]]}]}],"d":[{"a":[{},[1]],"e":[{"c":[{"a":[{"a":[{},[0,0,0,0,1,2]],"e":[{"m":[{"e":[{"n":[{"t":[{},[0,0,0,0,2,3]]}]}]}]},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}],"s":[{"o":[{"u":[{"t":[{"r":[{},[0,0,3,2]]}]}],"l":[{"a":[{"c":[{},[0,0,3,2,3]],"d":[{},[0,0,3,2,3]]}],"d":[{},[0,0,3,2]],"i":[{"d":[{"a":[{"r":[{"i":[{},[0,0,3,2,3]]}]}]}]}]}]}],"a":[{"c":[{"r":[{"a":[{"l":[{"i":[{},[0,0,3,2,3]]}]}]}]}],"g":[{"u":[{"i":[{"s":[{"a":[{},[0,0,3,2,3]]}]}]}]}],"l":[{"i":[{"n":[{"i":[{},[0,0,3,2,3]]}]}]}],"n":[{"g":[{"r":[{},[0,0,3,2,3]]}]}],"ñ":[{},[0,0,3,2,3]],"r":[{"r":[{"o":[{"l":[{"l":[{"i":[{"s":[{},[0,0,3,2,3]]}]}]}]}]}]}],"s":[{"t":[{"r":[{},[0,0,3,2]]}]}],"z":[{"o":[{},[0,0,3,2,3]]}]}],"e":[{"c":[{},[0,0,3,2,3]],"q":[{"u":[{"e":[{},[0,0,3,2,3]]}]}],"g":[{"u":[{"i":[{"d":[{},[0,0,3,2,3]]}]}]}],"l":[{"a":[{},[0,0,3,2,3]]}],"n":[{"s":[{"i":[{"b":[{},[0,0,3,2]]}]}]}],"ñ":[{},[0,0,3,2,3]],"r":[{"t":[{},[0,0,3,2]]}],"s":[{"p":[{"e":[{"r":[{"a":[{"n":[{"z":[{},[0,0,4,3]]}]}]},[0,0,3,2]]}]}]}],"p":[{"é":[{"r":[{},[0,0,3,2,3]]}]}],"x":[{},[0,0,3,2,3]]}],"é":[{"r":[{"t":[{},[0,0,3,2]]}],"x":[{},[0,0,3,2,3]]}],"i":[{"d":[{"e":[{"r":[{},[0,0,3,2,3]]}]}],"g":[{"n":[{},[0,0,3,2]]}],"n":[{"e":[{"n":[{"c":[{},[0,0,3,2,3]]}]}],"g":[{"r":[{},[0,0,3,2]]}]}],"s":[{"t":[{"e":[{},[0,0,3,2]],"i":[{},[0,0,3,2]]}]}]}],"í":[{"g":[{"n":[{},[0,0,3,2]]}]}],"u":[{"e":[{"t":[{"u":[{"d":[{},[0,0,3,2]]}]}]}]}],"s":[{"u":[{"l":[{"f":[{},[0,0,3,2]]}]}]}]}]},[1]],"i":[{"n":[{"a":[{"m":[{"o":[{"a":[{},[0,0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,0,1,2]]}]}]}]}]},[1]],"o":[{},[1]],"u":[{},[1]],"á":[{},[1]],"é":[{},[1]],"í":[{},[1]],"ó":[{},[1]],"ú":[{},[1]],"l":[{".":[{},[2]]},[1,2]],"r":[{".":[{},[2]]},[1,2]],"p":[{"t":[{},[0,1,2]],"s":[{},[0,1,2]],"n":[{},[0,1,2]]}],"c":[{"t":[{},[0,1,2]],"n":[{},[0,1,2]],"z":[{},[0,1,2]]}],"m":[{"n":[{},[0,1,2]]}],"g":[{"n":[{},[0,1,2]]}],"f":[{"t":[{},[0,1,2]]}],"t":[{"s":[{},[0,1,2]]}]}],"f":[{"a":[{},[1]],"e":[{},[1]],"i":[{},[1]],"o":[{"n":[{"o":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}],"t":[{"o":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}]},[1]],"u":[{},[1]],"á":[{},[1]],"é":[{},[1]],"í":[{},[1]],"ó":[{},[1]],"ú":[{},[1]],"l":[{".":[{},[2]]},[1,2]],"r":[{".":[{},[2]],"a":[{"n":[{"c":[{"o":[{"a":[{},[0,0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,0,1,2]]}]}]}]}]},[1,2]],"t":[{".":[{},[2]]}]}],"g":[{"a":[{"s":[{"t":[{"r":[{"o":[{"a":[{},[0,0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,0,1,2]]}]}]}]}]},[1]],"e":[{},[1]],"i":[{},[1]],"o":[{},[1]],"u":[{},[1]],"á":[{},[1]],"é":[{},[1]],"í":[{},[1]],"ó":[{},[1]],"ú":[{},[1]],"h":[{".":[{},[2]]},[1,2]],"l":[{".":[{},[2]]},[1,2]],"r":[{".":[{},[2]]},[1,2]],"n":[{".":[{},[2]]}]}],"h":[{"a":[{},[1]],"e":[{"c":[{"t":[{"o":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}],"l":[{"i":[{"o":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}],"m":[{"a":[{"t":[{"o":[{"a":[{},[0,0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,0,1,2]]}]}]}],"i":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}],"x":[{"a":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}]},[1]],"i":[{"d":[{"r":[{"o":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}],"p":[{"e":[{"r":[{"a":[{},[0,0,0,0,2,1,2]],"e":[{},[0,0,0,0,2,1,2]],"i":[{},[0,0,0,0,2,1,2]],"o":[{},[0,0,0,0,2,1,2]],"u":[{},[0,0,0,0,2,1,2]],"á":[{},[0,0,0,0,2,1,2]],"é":[{},[0,0,0,0,2,1,2]],"í":[{},[0,0,0,0,2,1,2]],"ó":[{},[0,0,0,0,2,1,2]],"ú":[{},[0,0,0,0,2,1,2]],"r":[{},[0,0,0,0,0,3]]}]}]}],"s":[{"t":[{"o":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}]},[1]],"o":[{"m":[{"e":[{"o":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}],"o":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}]},[1]],"u":[{},[1]],"á":[{},[1]],"é":[{},[1]],"í":[{},[1]],"ó":[{},[1]],"ú":[{},[1]]}],"k":[{"a":[{},[1]],"e":[{},[1]],"i":[{"l":[{"o":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}]},[1]],"o":[{},[1]],"u":[{},[1]],"á":[{},[1]],"é":[{},[1]],"í":[{},[1]],"ó":[{},[1]],"ú":[{},[1]],"h":[{},[2,2]],"l":[{".":[{},[2]]},[1,2]],"r":[{".":[{},[2]]},[1,2]]}],"l":[{"a":[{},[1]],"e":[{},[1]],"i":[{"b":[{"e":[{"r":[{"o":[{"u":[{},[0,0,0,0,0,0,2,3]]}]}]}]}]},[1]],"o":[{},[1]],"u":[{},[1]],"á":[{},[1]],"é":[{},[1]],"í":[{},[1]],"ó":[{},[1]],"ú":[{},[1]],"l":[{".":[{},[2]]},[1,4]],"p":[{"t":[{},[0,1,2]],"s":[{},[0,1,2]],"n":[{},[0,1,2]]}],"c":[{"t":[{},[0,1,2]],"n":[{},[0,1,2]],"z":[{},[0,1,2]]}],"m":[{"n":[{},[0,1,2]]}],"g":[{"n":[{},[0,1,2]]}],"f":[{"t":[{},[0,1,2]]}],"t":[{"s":[{},[0,1,2]]}]}],"m":[{"a":[{"c":[{"r":[{"o":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}],"g":[{"n":[{"e":[{"t":[{"o":[{"a":[{},[0,0,0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,0,0,1,2]]}]}]}]}]}],"x":[{"i":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}],"l":[{"a":[{"c":[{"í":[{"a":[{},[0,0,3,2,3]]}],"i":[{"t":[{"a":[{"n":[{},[0,0,3,2,3]]}]}]}]}],"g":[{"u":[{"e":[{"ñ":[{},[0,0,3,2,3]]}]}]}],"i":[{"o":[{},[0,0,3,2]],"a":[{},[0,0,3,2]]}],"n":[{"d":[{"r":[{"í":[{"n":[{},[0,0,3,2]]}],"i":[{"n":[{},[0,0,3,2]]}]}]}]}],"q":[{"u":[{"i":[{"t":[{"a":[{},[0,0,3,2,3]]}]}]}]}],"r":[{".":[{},[0,0,3,2]],"e":[{"s":[{".":[{},[0,0,3,2,3]]}]}],"i":[{"a":[{".":[{},[0,0,3,2,3]]}]}]}],"t":[{"o":[{".":[{},[0,0,3,2,3]],"s":[{".":[{},[0,0,3,2,3]]}]}],"a":[{".":[{},[0,0,3,2,3]],"s":[{".":[{},[0,0,3,2,3]]}]}],"i":[{"ó":[{"n":[{},[0,0,3,2,3]]}]}]}],"u":[{"i":[{},[0,0,3,2]]}]}],"e":[{"a":[{"b":[{"l":[{},[0,0,3,2]],"i":[{"l":[{},[0,0,3,2]]}]}]}],"i":[{"c":[{"o":[{},[0,0,3,2]]}]}],"o":[{"l":[{"a":[{"r":[{},[0,0,3,2]]}]}]}],"t":[{"a":[{".":[{},[0,0,3,2,3]],"s":[{".":[{},[0,0,3,2,3]]}]}],"í":[{"n":[{},[0,0,3,2,3]]}],"e":[{"i":[{"r":[{"o":[{},[0,0,3,2,3]]}]}]}]}],"z":[{"a":[{},[0,0,3,2]]}]}],"i":[{"a":[{".":[{},[0,0,3,2]],"n":[{"q":[{},[0,0,4,3]]},[0,0,3,2]]}],"c":[{"i":[{"a":[{},[0,0,3,2,3]],"o":[{"s":[{},[0,0,3,2,3]]}]}]}],"g":[{"n":[{},[0,0,3,2]]}],"k":[{"i":[{"t":[{"a":[{},[0,0,3,2,3]]}]}]}],"n":[{"k":[{"e":[{},[0,0,3,2]]}]}]}],"ó":[{"f":[{"a":[{"g":[{"o":[{},[0,0,3,2,3]]}]}]}],"n":[{"i":[{"c":[{},[0,0,3,2,3]]}]}]}],"o":[{"n":[{"a":[{"t":[{"o":[{},[0,0,3,2,3]]}]}],"i":[{"l":[{"u":[{"e":[{},[0,0,3,2,3]]}]}]}]}]}]}]},[1]],"e":[{"n":[{"t":[{"e":[{".":[{},[3]]}]}]}],"o":[{".":[{},[4]]}],"a":[{".":[{},[4]],"b":[{"l":[{"e":[{".":[{},[4]],"s":[{".":[{},[4]]}]}]}]}]}],"g":[{"a":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]],"l":[{"o":[{"a":[{},[0,0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,0,1,2]]}]}]}]}],"l":[{"a":[{"n":[{"o":[{"a":[{},[0,0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,0,1,2]]}]}]}]}]},[1]],"i":[{"c":[{"r":[{"o":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}],"l":[{"i":[{"a":[{"r":[{"i":[{"o":[{},[0,0,0,0,2,3]],"a":[{},[0,0,0,0,2,3]]}]}]},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}],"n":[{"i":[{"a":[{"t":[{"u":[{"r":[{},[0,0,0,0,2,3]]}]}]},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}],"r":[{"i":[{"a":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}]},[1]],"o":[{"n":[{"o":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}]},[1]],"u":[{"l":[{"t":[{"i":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}]},[1]],"á":[{},[1]],"é":[{},[1]],"í":[{},[1]],"ó":[{},[1]],"ú":[{},[1]],"p":[{"t":[{},[0,1,2]],"s":[{},[0,1,2]],"n":[{},[0,1,2]]}],"c":[{"t":[{},[0,1,2]],"n":[{},[0,1,2]],"z":[{},[0,1,2]]}],"m":[{"n":[{},[0,1,2]]}],"g":[{"n":[{},[0,1,2]]}],"f":[{"t":[{},[0,1,2]]}],"t":[{"s":[{},[0,1,2]]}],"n":[{".":[{},[2]]}]}],"n":[{"a":[{},[1]],"e":[{"c":[{"r":[{"o":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}]},[1]],"i":[{},[1]],"o":[{"n":[{".":[{},[2]]}],"r":[{"t":[{"e":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}]},[1]],"u":[{},[1]],"á":[{},[1]],"é":[{},[1]],"í":[{},[1]],"ó":[{},[1]],"ú":[{},[1]],"p":[{"t":[{},[0,1,2]],"s":[{},[0,1,2]],"n":[{},[0,1,2]]}],"c":[{"t":[{},[0,1,2]],"n":[{},[0,1,2]],"z":[{},[0,1,2]]}],"m":[{"n":[{},[0,1,2]]}],"g":[{"n":[{},[0,1,2]]}],"f":[{"t":[{},[0,1,2]]}],"t":[{"s":[{},[0,1,2]]}]}],"p":[{"a":[{"l":[{"e":[{"o":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}],"r":[{"a":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{"g":[{"a":[{"s":[{},[0,0,0,0,2,3]]}]}]},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{"s":[{"o":[{},[0,0,0,0,2,3]]}]},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}]},[1]],"e":[{"i":[{"d":[{"o":[{},[4,0,0,0,0,4]]}]}],"n":[{"t":[{"a":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}],"r":[{"e":[{"m":[{"i":[{"a":[{},[0,0,3,2,3]]}]}]}]}]},[1]],"i":[{"e":[{"z":[{"o":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}]},[1]],"o":[{"l":[{"i":[{"a":[{"r":[{"q":[{},[0,0,0,0,2]]}],"n":[{"d":[{"r":[{},[0,0,0,0,2]]}],"t":[{"e":[{"a":[{},[0,0,0,0,2]]}]}]}]},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{"m":[{"e":[{},[0,0,0,0,2,3]]}]},[0,0,0,0,1,2]],"u":[{"r":[{},[0,0,0,0,2,3]]},[0,0,0,0,1,2]],"á":[{"r":[{"q":[{},[0,0,0,0,2]]}]},[0,0,0,0,1,2]],"é":[{"s":[{"t":[{"e":[{},[0,0,0,0,2]]}]}]},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}]},[1]],"u":[{"t":[{"a":[{},[4,0,0,0,4]],"o":[{},[4,0,0,0,4]]}]},[1]],"á":[{},[1]],"é":[{},[1]],"í":[{},[1]],"ó":[{},[1]],"ú":[{},[1]],"l":[{".":[{},[2]],"a":[{"n":[{"c":[{"t":[{},[0,0,0,0,2,3]]}]}]}],"u":[{"r":[{"i":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}]},[1,2]],"r":[{".":[{},[2]],"o":[{"t":[{"o":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}],"e":[{"z":[{"a":[{},[0,0,0,2,3]]}]}],"í":[{"d":[{"o":[{},[0,0,0,2,3]]}]}],"u":[{"s":[{"t":[{},[0,0,0,2]]}]}]}],"e":[{"a":[{"s":[{".":[{},[0,0,0,2]]}],"d":[{"a":[{".":[{},[0,0,0,2,3]],"s":[{".":[{},[0,0,0,2,3]]}]}]}],"b":[{"á":[{},[0,0,0,2]]}]}],"á":[{},[0,0,0,2,2]],"i":[{"t":[{},[0,0,0,2,3]]}],"o":[{"c":[{"u":[{"p":[{},[0,0,0,2,3]]}],"ú":[{"p":[{},[0,0,0,2,3]]}]}]}]}]},[1,2]],"t":[{".":[{},[2]]}],"s":[{".":[{},[2]],"e":[{"u":[{"d":[{"o":[{"a":[{},[0,0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,0,1,2]]}]}]}]}]}],"n":[{".":[{},[2]]}]}],"r":[{"a":[{"d":[{"i":[{"o":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}]},[1]],"e":[{"t":[{"r":[{"o":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}],"u":[{"n":[{"i":[{"ó":[{"n":[{".":[{},[0,0,2,3]],"s":[{".":[{},[0,0,2,3]]}]}]}],"r":[{"o":[{"n":[{".":[{},[0,0,2,3]]}]}]},[0,0,2,3]],"d":[{"o":[{".":[{},[0,0,2,3]],"s":[{".":[{},[0,0,2,3]]}]}],"a":[{".":[{},[0,0,2,3]],"s":[{".":[{},[0,0,2,3]]}]}],"e":[{},[0,0,2,3]]}],"n":[{"d":[{},[0,0,2,3]]}],"m":[{"o":[{"s":[{".":[{},[0,0,2,3]]}]}]}],"a":[{"m":[{"o":[{"s":[{".":[{},[0,0,2,3,0,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,0,2,3,0,3]]}]}]}]}],"c":[{"h":[{"e":[{"s":[{".":[{},[0,0,2,3]]}]}]}]}],"u":[{".":[{},[0,0,2,3]]}],"s":[{"t":[{"e":[{"s":[{".":[{},[0,0,2,3]]}]}]}],"e":[{},[0,0,2,3]]}]}],"í":[{"r":[{"m":[{"o":[{},[0,0,2,3]]}],"e":[{"n":[{},[0,0,2,3]]}]}],"m":[{"o":[{},[0,0,2,3]]}],"a":[{},[0,0,2,3]],"n":[{".":[{},[0,0,2,3]]}],"s":[{"t":[{},[0,0,2,3]],"e":[{},[0,0,2,3]]}],"d":[{"e":[{},[0,0,2,3]]}]}],"o":[{".":[{},[0,0,2,3]]}],"e":[{"s":[{".":[{},[0,0,2,3]]}],".":[{},[0,0,2,3]],"n":[{".":[{},[0,0,2,3]]}]}],"a":[{".":[{},[0,0,2,3]],"s":[{".":[{},[0,0,2,3]]}],"m":[{"o":[{"s":[{".":[{},[0,0,2,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,0,2,3]]}]}]}],"n":[{".":[{},[0,0,2,3]]}]}],"á":[{"m":[{"o":[{},[0,0,2,3]]}],"d":[{"e":[{},[0,0,2,3]]}]}]}]}],"i":[{"n":[{"a":[{"r":[{"o":[{"n":[{".":[{},[0,0,2,3]]}]}]},[0,0,2,3]],"d":[{"o":[{".":[{},[0,0,2,3]],"s":[{".":[{},[0,0,2,3]]}]}],"e":[{"s":[{".":[{},[0,0,2,3]]}],".":[{},[0,0,2,3]]}]}],"n":[{"d":[{},[0,0,2,3]],".":[{},[0,0,2,3]]}],".":[{},[0,0,2,3]],"s":[{".":[{},[0,0,2,3]],"t":[{"e":[{"s":[{".":[{},[0,0,2,3]]}]}]}],"e":[{".":[{},[0,0,2,3]],"s":[{".":[{},[0,0,2,3]]}],"m":[{"o":[{".":[{},[0,0,2,3]]}]}],"d":[{"e":[{"s":[{".":[{},[0,0,2,3]]}]}]}],"n":[{".":[{},[0,0,2,3]]}]}]}],"m":[{"o":[{"s":[{".":[{},[0,0,2,3]]}]}]}],"b":[{"a":[{".":[{},[0,0,2,3]],"s":[{".":[{},[0,0,2,3]]}],"m":[{"o":[{"s":[{".":[{},[0,0,2,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,0,2,3]]}]}]}]}]}],"c":[{"h":[{"e":[{"s":[{".":[{},[0,0,2,3]]}]}]}]}]}],"á":[{"b":[{"a":[{"m":[{"o":[{"s":[{".":[{},[0,0,2,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,0,2,3]]}]}]}]}]}],"s":[{"e":[{},[0,0,2,3]]}]}],"e":[{"i":[{".":[{},[0,0,2,3]]}],".":[{},[0,0,2,3]],"s":[{".":[{},[0,0,2,3]]}],"m":[{"o":[{"s":[{".":[{},[0,0,2,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,0,2,3]]}]}]}],"n":[{".":[{},[0,0,2,3]]}]}],"o":[{"u":[{".":[{},[0,0,2,3]]}]}]}]}]},[1]],"i":[{},[1]],"o":[{},[1]],"u":[{},[1]],"á":[{},[1]],"é":[{},[1]],"í":[{},[1]],"ó":[{},[1]],"ú":[{},[1]],"r":[{".":[{},[2]]},[1,2]],"p":[{"t":[{},[0,1,2]],"s":[{},[0,1,2]],"n":[{},[0,1,2]]}],"c":[{"t":[{},[0,1,2]],"n":[{},[0,1,2]],"z":[{},[0,1,2]]}],"m":[{"n":[{},[0,1,2]]}],"g":[{"n":[{},[0,1,2]]}],"f":[{"t":[{},[0,1,2]]}],"t":[{"s":[{},[0,1,2]]}]}],"s":[{"a":[{"n":[{"c":[{"t":[{},[0,0,0,2,3]]}]}],".":[{},[3]],"s":[{".":[{},[3,2]]}]},[1]],"e":[{"m":[{"i":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}],"o":[{"s":[{".":[{},[3,2]]}]}]}],".":[{},[3]],"s":[{".":[{},[3,2]]}],"d":[{"e":[{"s":[{".":[{},[3,2]]}]}]}],"n":[{".":[{},[3,2]]}]},[1]],"i":[{},[1]],"o":[{"b":[{"r":[{"e":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}],"c":[{"i":[{"o":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}]},[1]],"u":[{"p":[{"e":[{"r":[{"a":[{"b":[{"l":[{"e":[{},[0,0,0,0,3,2,3]]}],"i":[{"l":[{"i":[{"d":[{"a":[{"d":[{"e":[{},[0,0,0,0,3,2,3]]}]}]}]}]}]}]}]},[0,0,0,0,2,1,2]],"e":[{},[0,0,0,0,2,1,2]],"i":[{"o":[{"r":[{},[0,0,0,0,3,2]]}]},[0,0,0,0,2,1,2]],"o":[{},[0,0,0,0,2,1,2]],"u":[{},[0,0,0,0,2,1,2]],"á":[{},[0,0,0,0,2,1,2]],"é":[{},[0,0,0,0,2,1,2]],"í":[{},[0,0,0,0,2,1,2]],"ó":[{},[0,0,0,0,2,1,2]],"ú":[{},[0,0,0,0,2,1,2]],"r":[{},[0,0,0,0,0,3]]}]}],"r":[{"a":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}],"b":[{"í":[{"n":[{"d":[{"i":[{"c":[{},[0,0,0,3]]}]}]}]}],"i":[{"n":[{"d":[{"i":[{"c":[{},[0,0,0,3]],"z":[{},[0,0,0,3]]}]}]}],"o":[{"t":[{"e":[{},[0,0,3,2]]}]}]}],"e":[{"l":[{"a":[{".":[{},[0,0,3,2,3]],"s":[{".":[{},[0,0,3,2,3]]}]}]}],"r":[{"i":[{"n":[{"a":[{".":[{},[0,0,3,2,3]],"s":[{".":[{},[0,0,3,2,3]]}]}]}]}],"o":[{"s":[{"o":[{},[0,0,3,2]]}]}]}]}],"é":[{"r":[{"i":[{"c":[{"o":[{},[0,0,3,2,3]]}]}]}]}],"u":[{"l":[{"a":[{"d":[{"o":[{},[0,0,3,2]]}]}]}],"r":[{"b":[{"i":[{"o":[{},[0,0,3,2]]}]}]}]}],"o":[{"r":[{"n":[{"o":[{".":[{},[0,0,3,2]],"s":[{".":[{},[0,0,3,2]]}]}]}]}]}],"l":[{"i":[{"m":[{"i":[{"n":[{"a":[{"r":[{},[0,0,3,4]]}]}]}]}]}]}],"r":[{"e":[{"p":[{"c":[{"i":[{"ó":[{"n":[{},[0,0,3,4]]}]}]}],"t":[{"i":[{"c":[{"i":[{},[0,0,3,4]]}]}]}]}]}]}]}]},[1]],"á":[{},[1]],"é":[{},[1]],"í":[{},[1]],"ó":[{},[1]],"ú":[{},[1]],"p":[{"t":[{},[0,1,2]],"s":[{},[0,1,2]],"n":[{},[0,1,2]]}],"c":[{"t":[{},[0,1,2]],"n":[{},[0,1,2]],"z":[{},[0,1,2]]}],"m":[{"n":[{},[0,1,2]]}],"g":[{"n":[{},[0,1,2]]}],"f":[{"t":[{},[0,1,2]]}],"t":[{"s":[{},[0,1,2]]}]}],"t":[{"a":[{},[1]],"e":[{"r":[{"m":[{"o":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}],"t":[{"r":[{"a":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}]},[1]],"i":[{"o":[{"q":[{"u":[{},[0,0,2,3]]}],"c":[{"o":[{},[0,0,2,3]]}]}]},[1]],"o":[{"p":[{"o":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}]},[1]],"u":[{},[1]],"á":[{},[1]],"é":[{},[1]],"í":[{},[1]],"ó":[{},[1]],"ú":[{},[1]],"l":[{},[2,2]],"r":[{".":[{},[2]],"o":[{"p":[{"o":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}],"i":[{"a":[{"g":[{"a":[{".":[{},[0,0,0,2,3]],"s":[{".":[{},[0,0,0,2,3]]}]}]}],"l":[{".":[{},[0,0,0,2]],"e":[{"s":[{".":[{},[0,0,0,2,3]]}]}]}],"n":[{"g":[{"u":[{"l":[{},[0,0,0,2]]}]}]}]}],"á":[{"s":[{"i":[{"c":[{"o":[{".":[{},[0,0,0,2,3]]}]}]}]}]}],"e":[{"s":[{"t":[{"i":[{"n":[{},[0,0,0,2]]}]}]}]}],"u":[{"n":[{"f":[{},[0,0,0,2]],"v":[{"i":[{"r":[{},[0,0,0,2]]}]}]}]}]}]},[1,2]],"p":[{"t":[{},[0,1,2]],"s":[{},[0,1,2]],"n":[{},[0,1,2]]}],"c":[{"t":[{},[0,1,2]],"n":[{},[0,1,2]],"z":[{},[0,1,2]]}],"m":[{"n":[{},[0,1,2]]}],"g":[{"n":[{},[0,1,2]]}],"f":[{"t":[{},[0,1,2]]}],"t":[{"s":[{},[0,1,2]]}],"s":[{".":[{},[2]]}]}],"v":[{"a":[{},[1]],"e":[{},[1]],"i":[{},[1]],"o":[{},[1]],"u":[{},[1]],"á":[{},[1]],"é":[{},[1]],"í":[{},[1]],"ó":[{},[1]],"ú":[{},[1]],"l":[{".":[{},[2]]},[1,2]],"r":[{".":[{},[2]]},[1,2]]}],"x":[{"a":[{},[1]],"e":[{"o":[{"a":[{},[0,0,0,1,2]],"e":[{},[0,0,0,1,2]],"i":[{},[0,0,0,1,2]],"o":[{},[0,0,0,1,2]],"u":[{},[0,0,0,1,2]],"á":[{},[0,0,0,1,2]],"é":[{},[0,0,0,1,2]],"í":[{},[0,0,0,1,2]],"ó":[{},[0,0,0,1,2]],"ú":[{},[0,0,0,1,2]]}],"n":[{"o":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}]},[1]],"i":[{},[1]],"o":[{},[1]],"u":[{},[1]],"á":[{},[1]],"é":[{},[1]],"í":[{},[1]],"ó":[{},[1]],"ú":[{},[1]],"p":[{"t":[{},[0,1,2]],"s":[{},[0,1,2]],"n":[{},[0,1,2]]}],"c":[{"t":[{},[0,1,2]],"n":[{},[0,1,2]],"z":[{},[0,1,2]]}],"m":[{"n":[{},[0,1,2]]}],"g":[{"n":[{},[0,1,2]]}],"f":[{"t":[{},[0,1,2]]}],"t":[{"s":[{},[0,1,2]]}]}],"q":[{"u":[{},[1,0,2]]}],".":[{"a":[{"n":[{"t":[{"e":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}],"i":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}]}],"r":[{"q":[{"u":[{"i":[{"a":[{},[0,0,0,0,0,1,2]],"e":[{},[0,0,0,0,0,1,2]],"i":[{},[0,0,0,0,0,1,2]],"o":[{},[0,0,0,0,0,1,2]],"u":[{},[0,0,0,0,0,1,2]],"á":[{},[0,0,0,0,0,1,2]],"é":[{},[0,0,0,0,0,1,2]],"í":[{},[0,0,0,0,0,1,2]],"ó":[{},[0,0,0,0,0,1,2]],"ú":[{},[0,0,0,0,0,1,2]]}]}]}]}]}],"c":[{"o":[{"a":[{"r":[{"t":[{},[0,0,2]]},[0,0,2]],"b":[{"á":[{},[0,0,2]]}],"c":[{"e":[{"r":[{"v":[{},[0,0,2]]}]}]}],"n":[{"d":[{"r":[{"o":[{},[0,0,2]]}]}],"o":[{},[0,0,2]]}],"ñ":[{"a":[{"r":[{},[0,0,2]]}],"o":[{},[0,0,2]]}]},[0,0,1,2]],"e":[{"t":[{"a":[{"n":[{},[0,0,2]]}]}],"n":[{"c":[{"i":[{},[0,0,2]]}]}],"r":[{"c":[{"i":[{},[0,0,2]]}]}]},[0,0,1,2]],"i":[{"n":[{"c":[{"i":[{},[0,0,2]]}]}],"r":[{"a":[{},[0,0,2]],"o":[{},[0,0,2]]}],"t":[{"a":[{},[0,0,2]]}]},[0,0,1,2]],"o":[{},[0,0,1,2]],"u":[{},[0,0,1,2]],"é":[{},[0,0,1,2]],"í":[{},[0,0,1,2]],"ó":[{},[0,0,1,2]],"ú":[{},[0,0,1,2]],"á":[{},[0,0,2,2]]}]}],"d":[{"e":[{"z":[{"a":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}],"s":[{"a":[{"b":[{"o":[{"r":[{},[0,0,0,2]]}]}],"f":[{"i":[{"a":[{},[0,0,0,2]]}],"í":[{"a":[{},[0,0,0,2]],"o":[{},[0,0,0,2]]}]}],"i":[{"r":[{},[0,0,0,2]]}]},[0,0,2,1,2]],"e":[{"m":[{"b":[{"o":[{"c":[{},[0,0,0,2]]}],"ó":[{"c":[{},[0,0,0,2]]}]}],"p":[{"e":[{"ñ":[{},[0,0,0,2]]}],"é":[{"ñ":[{},[0,0,0,2]]}]}]}],"n":[{"l":[{"a":[{"c":[{},[0,0,0,2]],"z":[{},[0,0,0,2]]}],"á":[{"c":[{},[0,0,0,2]],"z":[{},[0,0,0,2]]}]}],"v":[{"o":[{"l":[{},[0,0,0,2]]}],"ó":[{"l":[{},[0,0,0,2]]}]}]}]},[0,0,2,1,2]],"i":[{"d":[{"i":[{"a":[{},[0,0,0,2]]}]}]},[0,0,2,1,2]],"o":[{"r":[{"a":[{},[0,0,0,2]]}]},[0,0,2,1,2]],"u":[{},[0,0,2,1,2]],"á":[{},[0,0,2,1,2]],"é":[{},[0,0,2,1,2]],"í":[{},[0,0,2,1,2]],"ó":[{},[0,0,2,1,2]],"ú":[{},[0,0,2,1,2]]}]}]}],"i":[{"n":[{"a":[{"m":[{"i":[{"s":[{"i":[{"b":[{".":[{},[0,0,2,3]]}]}]}]}],"o":[{"v":[{},[0,0,2,3]]}]}],"n":[{"e":[{".":[{},[0,0,2,3]]}],"i":[{"c":[{},[0,0,2,3]],"d":[{},[0,0,2,3]]}],"t":[{"e":[{"s":[{".":[{},[0,0,2]]}]}]}]}],"u":[{},[0,0,2]]},[0,0,1,2]],"e":[{"d":[{"i":[{"a":[{},[0,0,2,3]]}]}],"f":[{"a":[{"b":[{},[0,0,2,3]]}]}],"n":[{"a":[{"r":[{"r":[{},[0,0,2,3]]}]}]}],"p":[{"c":[{},[0,0,2]],"t":[{},[0,0,2]]}],"r":[{"c":[{},[0,0,2]],"t":[{},[0,0,2]],"m":[{},[0,0,2]],"v":[{},[0,0,2]]}],"s":[{"i":[{"v":[{},[0,0,2,3]]}]}],"x":[{"o":[{"r":[{"a":[{},[0,0,2,3]]}]}]}]},[0,0,1,2]],"i":[{"c":[{"i":[{},[0,0,2,3]],"u":[{},[0,0,2,3]]}],"m":[{"i":[{"g":[{},[0,0,2,3]],"z":[{"a":[{},[0,0,2,3]]}]}]}],"q":[{"u":[{"i":[{},[0,0,2,3]]}]}]},[0,0,1,2]],"o":[{"c":[{"e":[{"n":[{},[0,0,2,3]]}],"u":[{"i":[{},[0,0,2,3]],"o":[{},[0,0,2,3]],"l":[{},[0,0,2,3]]}]}],"p":[{"i":[{"a":[{".":[{},[0,0,2,3]]}]}]}],"s":[{"i":[{"l":[{"i":[{},[0,0,2,3]]}],"t":[{},[0,0,2,3]]}]}],"t":[{"r":[{"ó":[{"p":[{},[0,0,2,3]]}],"o":[{"p":[{},[0,0,2,3]]}]}]}]},[0,0,1,2]],"u":[{"i":[{"t":[{},[0,0,2]]}],"l":[{"a":[{"s":[{"e":[{},[0,0,2,3]]}]}],"i":[{"n":[{"a":[{},[0,0,2,3]]}]}]}],"n":[{"d":[{"a":[{},[0,0,2]]}]}],"s":[{"i":[{"t":[{"a":[{},[0,0,2,3]]}]}]}]},[0,0,1,2]],"á":[{"n":[{"i":[{"m":[{"e":[{},[0,0,2,3]]}]}]}]},[0,0,1,2]],"é":[{"d":[{"i":[{"t":[{},[0,0,2,3]]}]}]},[0,0,1,2]],"í":[{},[0,0,1,2]],"ó":[{"c":[{"u":[{"l":[{},[0,0,2,3]]}]}]},[0,0,1,2]],"ú":[{"t":[{"i":[{"l":[{},[0,0,2,3]]}]}]},[0,0,1,2]],"d":[{"o":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}],"t":[{"e":[{"r":[{"a":[{},[0,0,0,0,2,1,2]],"e":[{"s":[{"a":[{},[0,0,0,0,3,2,3]],"á":[{},[0,0,0,0,3,2,3]],"o":[{},[0,0,0,0,3,2,3]],"ó":[{},[0,0,0,0,3,2,3]]}]},[0,0,0,0,2,1,2]],"i":[{"o":[{"r":[{},[0,0,0,0,3,2]]}],"n":[{"o":[{".":[{},[0,0,0,0,3,2,3]],"s":[{".":[{},[0,0,0,0,3,2,3]]}]}],"a":[{".":[{},[0,0,0,0,3,2,3]],"s":[{".":[{},[0,0,0,0,3,2,3]]}]}],"i":[{"d":[{},[0,0,0,0,3,2,3]]}]}]},[0,0,0,0,2,1,2]],"o":[{},[0,0,0,0,2,1,2]],"u":[{},[0,0,0,0,2,1,2]],"á":[{},[0,0,0,0,2,1,2]],"é":[{"s":[{".":[{},[0,0,0,0,3,2]],"a":[{},[0,0,0,0,3,2,3]],"o":[{},[0,0,0,0,3,2,3]]}]},[0,0,0,0,2,1,2]],"í":[{},[0,0,0,0,2,1,2]],"ó":[{},[0,0,0,0,2,1,2]],"ú":[{},[0,0,0,0,2,1,2]],"r":[{},[0,0,0,0,0,3]]}]}]}]}],"s":[{"o":[{"a":[{},[0,0,0,1,2]],"e":[{},[0,0,0,1,2]],"i":[{},[0,0,0,1,2]],"o":[{},[0,0,0,1,2]],"u":[{},[0,0,0,1,2]],"á":[{},[0,0,0,1,2]],"é":[{},[0,0,0,1,2]],"í":[{},[0,0,0,1,2]],"ó":[{},[0,0,0,1,2]],"ú":[{},[0,0,0,1,2]]}]}]}],"n":[{"a":[{"n":[{"o":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}]}],"e":[{"o":[{"a":[{},[0,0,0,1,2]],"e":[{},[0,0,0,1,2]],"i":[{},[0,0,0,1,2]],"o":[{},[0,0,0,1,2]],"u":[{},[0,0,0,1,2]],"á":[{},[0,0,0,1,2]],"é":[{},[0,0,0,1,2]],"í":[{},[0,0,0,1,2]],"ó":[{},[0,0,0,1,2]],"ú":[{},[0,0,0,1,2]]}]}]}],"p":[{"o":[{"s":[{"t":[{"a":[{".":[{},[0,0,0,3,2]],"s":[{".":[{},[0,0,0,3,2]]}],"l":[{".":[{},[0,0,0,3,2]],"l":[{"o":[{},[0,0,0,3,2,3]]}]}],"i":[{"s":[{".":[{},[0,0,0,3,2]]}]}]},[0,0,0,2,1,2]],"e":[{".":[{},[0,0,0,3,2]],"s":[{".":[{},[0,0,0,3,2]]}],"a":[{"r":[{".":[{},[0,0,0,3,2]]}]}],"l":[{"a":[{".":[{},[0,0,0,3,2,3]],"s":[{".":[{},[0,0,0,3,2,3]]}]}]}],"r":[{".":[{},[0,0,0,3,2]],"g":[{},[0,0,0,3,2]],"i":[{"d":[{},[0,0,0,3,2,3]],"o":[{"r":[{},[0,0,0,3,2,3]]}]}]}]},[0,0,0,2,1,2]],"i":[{"g":[{"o":[{},[0,0,0,3,2,3]]}],"l":[{"a":[{},[0,0,0,3,2,3]],"l":[{"ó":[{"n":[{},[0,0,0,3,2]]}]}]}],"t":[{"e":[{".":[{},[0,0,0,3,2,3]]}]}],"z":[{"o":[{".":[{},[0,0,0,3,2,3]],"s":[{".":[{},[0,0,0,3,2,3]]}]}],"a":[{".":[{},[0,0,0,3,2,3]],"s":[{".":[{},[0,0,0,3,2,3]]}]}]}]},[0,0,0,2,1,2]],"o":[{".":[{},[0,0,0,3,2]],"s":[{".":[{},[0,0,0,3,2]]}],"i":[{"r":[{"o":[{},[0,0,0,3,2]]}]}]},[0,0,0,2,1,2]],"u":[{"l":[{"a":[{},[0,0,0,3,2,3]],"o":[{},[0,0,0,3,2,3]],"e":[{},[0,0,0,3,2,3]]}],"r":[{"a":[{".":[{},[0,0,0,3,2,3]],"s":[{".":[{},[0,0,0,3,2,3]]}]}]}]},[0,0,0,2,1,2]],"á":[{},[0,0,0,2,1,2]],"é":[{},[0,0,0,2,1,2]],"í":[{"n":[{".":[{},[0,0,0,3,2]]}]},[0,0,0,2,1,2]],"ó":[{"n":[{"i":[{},[0,0,0,3,2,3]]}]},[0,0,0,2,1,2]],"ú":[{},[0,0,0,2,1,2]]}]}]}],"r":[{"e":[{"a":[{"m":[{"a":[{"r":[{},[0,0,0,2]]}]}],"r":[{},[0,0,0,2]],"b":[{"á":[{},[0,0,0,2]]}]},[0,0,0,1,2]],"e":[{},[0,0,0,1,2]],"i":[{},[0,0,0,1,2]],"o":[{},[0,0,0,1,2]],"u":[{},[0,0,0,1,2]],"é":[{},[0,0,0,1,2]],"í":[{},[0,0,0,1,2]],"ó":[{},[0,0,0,1,2]],"ú":[{},[0,0,0,1,2]],"á":[{},[0,0,0,2,2]]}],"o":[{"a":[{},[0,0,0,1,2]],"e":[{},[0,0,0,1,2]],"i":[{},[0,0,0,1,2]],"o":[{},[0,0,0,1,2]],"u":[{},[0,0,0,1,2]],"á":[{},[0,0,0,1,2]],"é":[{},[0,0,0,1,2]],"í":[{},[0,0,0,1,2]],"ó":[{},[0,0,0,1,2]],"ú":[{},[0,0,0,1,2]]}]}]}],"r":[{"e":[{"a":[{"l":[{"i":[{"z":[{},[0,0,2,3]],"d":[{"a":[{"d":[{"e":[{},[0,0,2,3]]}]}]}]}]},[0,0,2]],"s":[{".":[{},[0,0,2]]}]},[0,0,1,2]],"e":[{},[0,0,1,2]],"i":[{"n":[{"o":[{".":[{},[0,0,2,3]],"s":[{},[0,0,2,3]]}],"a":[{"n":[{"t":[{"e":[{},[0,0,2,3]]}]}]}]},[0,0,2]],"t":[{"e":[{"r":[{},[0,0,2]]}]}],"x":[{"a":[{},[0,0,2,3]]}]},[0,0,1,2]],"o":[{"s":[{".":[{},[0,0,2]]}]},[0,0,1,2]],"u":[{"m":[{"a":[{},[0,0,2,3]]}],"n":[{"i":[{},[0,0,2]]}]},[0,0,1,2]],"á":[{},[0,0,1,2]],"é":[{},[0,0,1,2]],"í":[{},[0,0,1,2]],"ó":[{},[0,0,1,2]],"ú":[{"m":[{"a":[{},[0,0,2,3]]}],"n":[{},[0,0,2]]},[0,0,1,2]]}]}],"s":[{"u":[{"b":[{"a":[{".":[{},[0,0,3]],"s":[{".":[{},[0,0,3]]}],"m":[{"o":[{"s":[{".":[{},[0,0,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,0,3]]}]}],"o":[{"r":[{".":[{},[0,0,3]],"a":[{".":[{},[0,0,3]],"s":[{".":[{},[0,0,3]]}]}],"e":[{"s":[{".":[{},[0,0,3]]}]}]}]}]}],"n":[{".":[{},[0,0,3]]}]},[0,0,2,1,2]],"e":[{"r":[{"i":[{"z":[{},[0,0,0,2]]}]}],"s":[{".":[{},[0,0,3]]}],".":[{},[0,0,3]],"n":[{".":[{},[0,0,3]]}]},[0,0,2,1,2]],"o":[{"r":[{"n":[{"a":[{},[0,0,0,2]]}]}],".":[{},[0,0,3]]},[0,0,2,1,2]],"u":[{},[0,0,2,1,2]],"á":[{},[0,0,2,1,2]],"é":[{},[0,0,2,1,2]],"ó":[{},[0,0,2,1,2]],"ú":[{},[0,0,2,1,2]],"l":[{"e":[{"v":[{},[0,0,0,4]]}],"i":[{"m":[{},[0,0,0,4]]}]},[0,0,2,3]],"r":[{},[0,0,2,3]],"i":[{"r":[{".":[{},[0,0,3]],"e":[{"s":[{".":[{},[0,0,3]]}],"n":[{".":[{},[0,0,3]]}],"i":[{".":[{},[0,0,3]]}],"m":[{"o":[{"s":[{".":[{},[0,0,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,0,3]]}]}]}]}],"m":[{"o":[{"s":[{".":[{},[0,0,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,0,3]]}]}]}],"o":[{"n":[{".":[{},[0,0,3]]}]}],"á":[{"s":[{".":[{},[0,0,3]]}],".":[{},[0,0,3]],"n":[{".":[{},[0,0,3]]}]}],"í":[{"a":[{".":[{},[0,0,3]],"s":[{".":[{},[0,0,3]]}],"m":[{"o":[{"s":[{".":[{},[0,0,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,0,3]]}]}]}],"n":[{".":[{},[0,0,3]]}]}]}],"i":[{"a":[{"m":[{"o":[{"s":[{".":[{},[0,0,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,0,3]]}]}]}]}]}]}],"n":[{"d":[{"o":[{".":[{},[0,0,3]]}]}]}],"d":[{"o":[{".":[{},[0,0,3]],"s":[{".":[{},[0,0,3]]}]}],"a":[{".":[{},[0,0,3]],"s":[{".":[{},[0,0,3]]}]}],"e":[{"s":[{".":[{},[0,0,3]]}],".":[{},[0,0,3]]}]}],"m":[{"o":[{"s":[{".":[{},[0,0,3]]}]}]}],"a":[{"m":[{"o":[{"s":[{".":[{},[0,0,3,2,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,0,3,2,3]]}]}]}]}],"c":[{"h":[{"e":[{"s":[{".":[{},[0,0,3]]}]}]}]}],"u":[{".":[{},[0,0,3]]}],"s":[{"t":[{"e":[{"s":[{".":[{},[0,0,3]]}]}]}],"e":[{".":[{},[0,0,3]],"s":[{".":[{},[0,0,3]]}],"n":[{".":[{},[0,0,3]]}]}]}]},[0,0,2,2,2]],"í":[{"a":[{".":[{},[0,0,3]],"s":[{".":[{},[0,0,3]]}],"m":[{"o":[{"s":[{".":[{},[0,0,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,0,3]]}]}]}],"n":[{".":[{},[0,0,3]]}]}],"n":[{".":[{},[0,0,3]]}],"s":[{"e":[{"m":[{"o":[{"s":[{".":[{},[0,0,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,0,3]]}]}]}]}]}],"d":[{"e":[{"o":[{".":[{},[0,0,3]],"s":[{".":[{},[0,0,3]]}]}],"a":[{".":[{},[0,0,3]],"s":[{".":[{},[0,0,3]]}]}]}]}]},[0,0,2,2,2]]}],"p":[{"e":[{"r":[{"a":[{"r":[{".":[{},[0,0,0,0,3]],"e":[{"s":[{".":[{},[0,0,0,0,3]]}],"n":[{".":[{},[0,0,0,0,3]]}],"i":[{".":[{},[0,0,0,0,3]]}]}],"m":[{"o":[{"s":[{".":[{},[0,0,0,0,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,0,0,0,3]]}]}]}],"o":[{"n":[{".":[{},[0,0,0,0,3]]}]}],"á":[{"s":[{".":[{},[0,0,0,0,3]]}],".":[{},[0,0,0,0,3]],"n":[{".":[{},[0,0,0,0,3]]}]}],"í":[{"a":[{".":[{},[0,0,0,0,3]],"s":[{".":[{},[0,0,0,0,3]]}],"m":[{"o":[{"s":[{".":[{},[0,0,0,0,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,0,0,0,3]]}]}]}],"n":[{".":[{},[0,0,0,0,3]]}]}]}],"i":[{"a":[{"m":[{"o":[{"s":[{".":[{},[0,0,0,0,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,0,0,0,3]]}]}]}]}]}]}],"n":[{"d":[{"o":[{".":[{},[0,0,0,0,3]]}]}],".":[{},[0,0,0,0,3]]}],"d":[{"o":[{".":[{},[0,0,0,0,3]],"s":[{".":[{},[0,0,0,0,3]]}],"r":[{".":[{},[0,0,0,0,3]],"a":[{".":[{},[0,0,0,0,3]],"s":[{".":[{},[0,0,0,0,3]]}]}],"e":[{"s":[{".":[{},[0,0,0,0,3]]}]}]}]}],"a":[{".":[{},[0,0,0,0,3]],"s":[{".":[{},[0,0,0,0,3]]}]}],"e":[{"s":[{".":[{},[0,0,0,0,3]]}],".":[{},[0,0,0,0,3]]}]}],".":[{},[0,0,0,0,3]],"s":[{".":[{},[0,0,0,0,3]],"t":[{"e":[{"s":[{".":[{},[0,0,0,0,3]]}]}]}],"e":[{".":[{},[0,0,0,0,3]],"s":[{".":[{},[0,0,0,0,3]]}],"n":[{".":[{},[0,0,0,0,3]]}]}]}],"m":[{"o":[{"s":[{".":[{},[0,0,0,0,3]]}]}]}],"b":[{"a":[{".":[{},[0,0,0,0,3]],"s":[{".":[{},[0,0,0,0,3]]}],"m":[{"o":[{"s":[{".":[{},[0,0,0,0,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,0,0,0,3]]}]}]}],"n":[{".":[{},[0,0,0,0,3]]}]}]}],"c":[{"h":[{"e":[{"s":[{".":[{},[0,0,0,0,3]]}]}]}],"i":[{"ó":[{"n":[{".":[{},[0,0,0,0,3]]}]}]}]}]}],"á":[{"b":[{"a":[{"m":[{"o":[{"s":[{".":[{},[0,0,0,0,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,0,0,0,3]]}]}]}]}]}],"s":[{"e":[{"m":[{"o":[{"s":[{".":[{},[0,0,0,0,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,0,0,0,3]]}]}]}]}]}],"d":[{"e":[{"o":[{".":[{},[0,0,0,0,3]],"s":[{".":[{},[0,0,0,0,3]]}]}],"a":[{".":[{},[0,0,0,0,3]],"s":[{".":[{},[0,0,0,0,3]]}]}]}]}]}],"e":[{"i":[{".":[{},[0,0,0,0,3]]}],"r":[{"e":[{"m":[{"o":[{"s":[{".":[{},[0,0,0,0,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,0,0,0,3]]}]}]}]}]}],".":[{},[0,0,0,0,3]],"s":[{".":[{},[0,0,0,0,3]]}],"m":[{"o":[{"s":[{".":[{},[0,0,0,0,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[0,0,0,0,3]]}]}]}],"n":[{".":[{},[0,0,0,0,3]]}]}],"o":[{"u":[{".":[{},[0,0,0,0,3]]}]}]}]}]}]}]}],"t":[{"e":[{"l":[{"e":[{"a":[{},[0,0,0,0,1,2]],"e":[{},[0,0,0,0,1,2]],"i":[{},[0,0,0,0,1,2]],"o":[{},[0,0,0,0,1,2]],"u":[{},[0,0,0,0,1,2]],"á":[{},[0,0,0,0,1,2]],"é":[{},[0,0,0,0,1,2]],"í":[{},[0,0,0,0,1,2]],"ó":[{},[0,0,0,0,1,2]],"ú":[{},[0,0,0,0,1,2]]}]}]}],"r":[{"i":[{"a":[{},[0,0,0,1,2]],"e":[{},[0,0,0,1,2]],"i":[{},[0,0,0,1,2]],"o":[{},[0,0,0,1,2]],"u":[{},[0,0,0,1,2]],"á":[{},[0,0,0,1,2]],"é":[{},[0,0,0,1,2]],"í":[{},[0,0,0,1,2]],"ó":[{},[0,0,0,1,2]],"ú":[{},[0,0,0,1,2]]}]}]}],"b":[{"e":[{"n":[{"a":[{},[0,0,2,1,2]],"e":[{},[0,0,2,0,2]],"i":[{},[0,0,2,1,2]],"o":[{},[0,0,2,1,2]],"u":[{},[0,0,2,1,2]],"á":[{},[0,0,2,1,2]],"í":[{},[0,0,2,1,2]],"ó":[{},[0,0,2,1,2]],"ú":[{},[0,0,2,1,2]]}]}]}],"m":[{"a":[{"l":[{"a":[{"b":[{"a":[{"r":[{},[0,0,0,2]]}],"á":[{"r":[{},[0,0,0,2]]}]}],"c":[{"o":[{},[0,0,0,2]],"ó":[{},[0,0,0,2]]}],"r":[{"m":[{"a":[{"d":[{},[0,0,0,2]]}]}]}],"x":[{"a":[{},[0,0,0,2]]}]},[0,0,2,1,2]],"e":[{"d":[{"u":[{"c":[{},[0,0,0,1]]}]}],"n":[{"c":[{"a":[{"r":[{},[0,0,0,1]]}]}],"s":[{"i":[{"n":[{},[0,0,0,1]]}]}],"t":[{"e":[{"n":[{"d":[{},[0,0,0,1]]}]}]}]}]},[0,0,2,0,2]],"i":[{},[0,0,2,1,2]],"o":[{"g":[{"r":[{},[0,0,0,2]]}]},[0,0,2,1,2]],"u":[{"r":[{"a":[{},[0,0,0,2]]}]},[0,0,2,1,2]],"á":[{},[0,0,2,1,2]],"í":[{},[0,0,2,1,2]],"ó":[{},[0,0,2,1,2]],"ú":[{},[0,0,2,1,2]]}]}]}]}],"á":[{"d":[{"e":[{"o":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}],"a":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}]}]}],"b":[{"a":[{"m":[{"o":[{"s":[{".":[{},[2,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[2,3]]}]}]}]}]}],"s":[{"e":[{"m":[{"o":[{"s":[{".":[{},[2,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[2,3]]}]}]}]}]}]}],"é":[{"d":[{"e":[{"o":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}],"a":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}]}]}]}],"í":[{"d":[{"e":[{"o":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}],"a":[{".":[{},[2,3]],"s":[{".":[{},[2,3]]}]}]}],"o":[{"s":[{},[0,3]]},[0,3]],"a":[{"s":[{},[0,3]]},[0,3]]}],"a":[{".":[{},[2]],"s":[{".":[{},[2]]}],"m":[{"o":[{"s":[{".":[{},[2]]}]}]}],"d":[{"e":[{"s":[{".":[{},[2]]}]}]}],"n":[{".":[{},[2]]}]}],"n":[{".":[{},[2]]}],"s":[{"e":[{"m":[{"o":[{"s":[{".":[{},[2,3]]}]}]}],"d":[{"e":[{"s":[{".":[{},[2,3]]}]}]}]}]}]}]}';
  var hyphenation = [];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
