(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsHr = factory();
  }
})(this, function () {
  var patterns =
    '{"a":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"i":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"b":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"c":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"č":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"ć":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"d":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]],"ž":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}]}],"đ":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"f":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"g":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"h":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"j":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"k":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"l":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]],"j":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}]}],"m":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"n":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]],"j":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}]}],"p":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"r":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"s":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"š":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"t":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"v":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"z":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"ž":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}]}],"e":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"i":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"b":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"c":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"č":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"ć":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"d":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]],"ž":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}]}],"đ":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"f":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"g":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"h":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"j":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"k":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"l":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]],"j":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}]}],"m":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"n":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]],"j":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}]}],"p":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"r":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"s":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"š":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"t":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"v":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"z":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"ž":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}]}],"i":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"i":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"b":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"c":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"č":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"ć":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"d":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]],"ž":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}]}],"đ":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"f":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"g":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"h":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"j":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"k":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"l":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]],"j":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}]}],"m":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"n":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]],"j":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}]}],"p":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"r":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"s":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"š":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"t":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"v":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"z":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"ž":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}]}],"o":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"i":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"b":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"c":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"č":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"ć":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"d":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]],"ž":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}]}],"đ":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"f":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"g":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"h":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"j":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"k":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"l":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]],"j":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}]}],"m":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"n":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]],"j":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}]}],"p":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"r":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"s":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"š":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"t":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"v":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"z":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"ž":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}]}],"u":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"i":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"b":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"c":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"č":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"ć":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"d":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]],"ž":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}]}],"đ":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"f":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"g":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"h":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"j":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"k":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"l":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]],"j":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}]}],"m":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"n":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]],"j":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}]}],"p":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"r":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"s":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"š":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"t":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"v":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"z":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"ž":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}]}],"b":[{"b":[{},[0,1]],"c":[{},[0,1]],"č":[{},[0,1]],"ć":[{},[0,1]],"d":[{"ž":[{},[0,1]]},[0,1]],"đ":[{},[0,1]],"f":[{},[0,1]],"g":[{},[0,1]],"h":[{},[0,1]],"j":[{".":[{},[2]]},[1]],"k":[{},[0,1]],"l":[{".":[{},[2]],"j":[{},[2,1]]},[1]],"m":[{},[0,1]],"n":[{"j":[{},[0,1]]},[0,1]],"p":[{},[0,1]],"r":[{".":[{},[2]]},[1]],"s":[{},[0,1]],"š":[{},[0,1]],"t":[{},[0,1]],"v":[{".":[{},[2]]},[1]],"z":[{},[0,1]],"ž":[{},[0,1]]}],"c":[{"b":[{},[0,1]],"c":[{},[0,1]],"č":[{},[0,1]],"ć":[{},[0,1]],"d":[{"ž":[{},[0,1]]},[0,1]],"đ":[{},[0,1]],"f":[{},[0,1]],"g":[{},[0,1]],"h":[{},[0,1]],"j":[{".":[{},[2]]},[1]],"k":[{},[0,1]],"l":[{".":[{},[2]],"j":[{},[2,1]]},[1]],"m":[{},[0,1]],"n":[{"j":[{},[0,1]]},[0,1]],"p":[{},[0,1]],"r":[{".":[{},[2]]},[1]],"s":[{},[0,1]],"š":[{},[0,1]],"t":[{},[0,1]],"v":[{".":[{},[2]]},[1]],"z":[{},[0,1]],"ž":[{},[0,1]]}],"č":[{"b":[{},[0,1]],"c":[{},[0,1]],"č":[{},[0,1]],"ć":[{},[0,1]],"d":[{"ž":[{},[0,1]]},[0,1]],"đ":[{},[0,1]],"f":[{},[0,1]],"g":[{},[0,1]],"h":[{},[0,1]],"j":[{".":[{},[2]]},[1]],"k":[{},[0,1]],"l":[{".":[{},[2]],"j":[{},[2,1]]},[1]],"m":[{},[0,1]],"n":[{"j":[{},[0,1]]},[0,1]],"p":[{},[0,1]],"r":[{".":[{},[2]]},[1]],"s":[{},[0,1]],"š":[{},[0,1]],"t":[{},[0,1]],"v":[{".":[{},[2]]},[1]],"z":[{},[0,1]],"ž":[{},[0,1]]}],"ć":[{"b":[{},[0,1]],"c":[{},[0,1]],"č":[{},[0,1]],"ć":[{},[0,1]],"d":[{"ž":[{},[0,1]]},[0,1]],"đ":[{},[0,1]],"f":[{},[0,1]],"g":[{},[0,1]],"h":[{},[0,1]],"j":[{},[0,1]],"k":[{},[0,1]],"l":[{".":[{},[2]],"j":[{},[2,1]]},[1]],"m":[{},[0,1]],"n":[{"j":[{},[0,1]]},[0,1]],"p":[{},[0,1]],"r":[{".":[{},[2]]},[1]],"s":[{"t":[{},[0,1,2]]},[0,1]],"š":[{},[0,1]],"t":[{},[0,1]],"v":[{".":[{},[2]]},[1]],"z":[{},[0,1]],"ž":[{},[0,1]]}],"d":[{"b":[{},[0,1]],"c":[{},[0,1]],"č":[{},[0,1]],"ć":[{},[0,1]],"d":[{},[0,1]],"ž":[{"b":[{},[0,0,1]],"c":[{},[0,0,1]],"č":[{},[0,0,1]],"ć":[{},[0,0,1]],"d":[{"ž":[{},[0,0,1]]},[0,0,1]],"đ":[{},[0,0,1]],"f":[{},[0,0,1]],"g":[{},[0,0,1]],"h":[{},[0,0,1]],"j":[{".":[{},[2]]},[1]],"k":[{},[0,0,1]],"l":[{".":[{},[2]],"j":[{},[2,0,1]]},[1]],"m":[{},[0,0,1]],"n":[{"j":[{},[0,0,1]]},[0,0,1]],"p":[{},[0,0,1]],"r":[{".":[{},[2]]},[1]],"s":[{},[0,0,1]],"š":[{},[0,0,1]],"t":[{},[0,0,1]],"v":[{".":[{},[2]]},[1]],"z":[{},[0,0,1]],"ž":[{},[0,0,1]]},[0,2]],"đ":[{},[0,1]],"f":[{},[0,1]],"g":[{},[2,1]],"h":[{},[0,1]],"j":[{".":[{},[2]],"a":[{},[2,1]]},[1]],"k":[{},[0,1]],"l":[{"j":[{},[2,1]]},[2,1]],"m":[{},[0,1]],"n":[{"j":[{},[0,1]]},[0,1]],"p":[{},[0,1]],"r":[{".":[{},[2]]},[1]],"s":[{"m":[{},[0,1,2]],"p":[{},[0,1,2]],"t":[{},[0,1,2]]},[0,1]],"š":[{"k":[{},[0,1,2]]},[0,1]],"t":[{},[0,1]],"v":[{".":[{},[2]],"j":[{},[2,1]],"r":[{},[2,1]],"l":[{},[2,1]]},[1]],"z":[{},[0,1]]}],"đ":[{"b":[{},[0,1]],"c":[{},[0,1]],"č":[{},[0,1]],"ć":[{},[0,1]],"d":[{"ž":[{},[0,1]]},[0,1]],"đ":[{},[0,1]],"f":[{},[0,1]],"g":[{},[0,1]],"h":[{},[0,1]],"j":[{".":[{},[2]]},[1]],"k":[{},[0,1]],"l":[{".":[{},[2]],"j":[{},[2,1]]},[1]],"m":[{},[0,1]],"n":[{"j":[{},[0,1]]},[0,1]],"p":[{},[0,1]],"r":[{".":[{},[2]]},[1]],"s":[{},[0,1]],"š":[{},[0,1]],"t":[{},[0,1]],"v":[{".":[{},[2]]},[1]],"z":[{},[0,1]],"ž":[{},[0,1]]}],"f":[{"b":[{},[0,1]],"c":[{},[0,1]],"č":[{},[0,1]],"ć":[{},[0,1]],"d":[{"ž":[{},[0,1]]},[0,1]],"đ":[{},[0,1]],"f":[{},[0,1]],"g":[{},[0,1]],"h":[{},[0,1]],"j":[{".":[{},[2]]},[1]],"k":[{},[0,1]],"l":[{".":[{},[2]],"j":[{},[2,1]]},[1]],"m":[{},[0,1]],"n":[{"j":[{},[0,1]]},[0,1]],"p":[{},[0,1]],"r":[{".":[{},[2]]},[1]],"s":[{},[0,1]],"š":[{},[0,1]],"t":[{},[0,1]],"v":[{".":[{},[2]]},[1]],"z":[{},[0,1]],"ž":[{},[0,1]]}],"g":[{"b":[{},[0,1]],"c":[{},[0,1]],"č":[{},[0,1]],"ć":[{},[0,1]],"d":[{"ž":[{},[0,1]]},[0,1]],"đ":[{},[0,1]],"f":[{},[0,1]],"g":[{},[0,1]],"h":[{},[0,1]],"j":[{".":[{},[2]]},[1]],"k":[{},[0,1]],"l":[{".":[{},[2]],"j":[{},[2,1]]},[1]],"m":[{},[0,1]],"n":[{"j":[{},[0,1]]},[0,1]],"p":[{},[0,1]],"r":[{".":[{},[2]]},[1]],"s":[{},[0,1]],"š":[{},[0,1]],"t":[{},[0,1]],"v":[{".":[{},[2]]},[1]],"z":[{},[0,1]],"ž":[{},[0,1]]}],"h":[{"b":[{},[0,1]],"c":[{},[0,1]],"č":[{},[0,1]],"ć":[{},[0,1]],"d":[{"ž":[{},[0,1]]},[0,1]],"đ":[{},[0,1]],"f":[{},[0,1]],"g":[{},[0,1]],"h":[{},[0,1]],"j":[{".":[{},[2]]},[1]],"k":[{},[0,1]],"l":[{".":[{},[2]],"j":[{},[2,1]]},[1]],"m":[{},[0,1]],"n":[{"j":[{},[0,1]]},[0,1]],"p":[{},[0,1]],"r":[{".":[{},[2]]},[1]],"s":[{},[0,1]],"š":[{},[0,1]],"t":[{},[0,1]],"v":[{".":[{},[2]]},[1]],"z":[{},[0,1]],"ž":[{},[0,1]]}],"j":[{"b":[{},[0,1]],"c":[{},[0,1]],"č":[{},[0,1]],"ć":[{},[0,1]],"d":[{"ž":[{},[0,1]]},[0,1]],"đ":[{},[0,1]],"f":[{},[0,1]],"g":[{},[0,1]],"h":[{},[0,1]],"j":[{},[0,1]],"k":[{},[0,1]],"l":[{"j":[{},[2,1]]},[0,1]],"m":[{},[0,1]],"n":[{"j":[{},[0,1]]},[0,1]],"p":[{},[0,1]],"r":[{},[0,1]],"s":[{"l":[{},[0,1,2]],"t":[{},[0,1,2]]},[0,1]],"š":[{},[0,1]],"t":[{},[0,1]],"v":[{},[0,1]],"z":[{"g":[{},[0,1,2]]},[0,1]],"ž":[{},[0,1]]}],"k":[{"b":[{},[0,1]],"c":[{},[0,1]],"č":[{},[0,1]],"ć":[{},[0,1]],"d":[{"ž":[{},[0,1]]},[0,1]],"đ":[{},[0,1]],"f":[{},[0,1]],"g":[{},[0,1]],"h":[{},[0,1]],"j":[{".":[{},[2]]},[1]],"k":[{},[0,1]],"l":[{"j":[{".":[{},[2]]},[1,2]]},[0,1]],"m":[{},[0,1]],"n":[{"j":[{},[0,1]]},[0,1]],"p":[{},[0,1]],"r":[{".":[{},[2]]},[1]],"s":[{"p":[{},[0,2,1]]},[0,1]],"š":[{},[0,1]],"t":[{},[0,1]],"v":[{},[0,1]],"z":[{},[0,1]],"ž":[{},[0,1]]}],"l":[{"b":[{},[0,1]],"c":[{},[0,1]],"č":[{},[0,1]],"ć":[{},[0,1]],"d":[{"ž":[{},[0,1]]},[0,1]],"đ":[{},[0,1]],"f":[{"t":[{},[0,2,1]]},[0,1]],"g":[{},[0,1]],"h":[{},[0,1]],"k":[{},[0,1]],"l":[{"j":[{},[2,1]]},[0,1]],"m":[{"s":[{},[0,2,1]]},[0,1]],"n":[{"j":[{},[0,1]]},[0,1]],"p":[{},[0,1]],"r":[{},[0,1]],"s":[{},[0,1]],"š":[{},[0,1]],"t":[{},[0,1]],"v":[{},[0,1]],"z":[{},[0,1]],"ž":[{},[0,1]],"j":[{"b":[{},[0,0,1]],"c":[{},[0,0,1]],"č":[{},[0,0,1]],"ć":[{},[0,0,1]],"d":[{"ž":[{},[0,0,1]]},[0,0,1]],"đ":[{},[0,0,1]],"f":[{},[0,0,1]],"g":[{},[0,0,1]],"h":[{},[0,0,1]],"k":[{},[0,0,1]],"l":[{".":[{},[2]],"j":[{},[0,0,1]]},[1]],"m":[{},[0,0,1]],"n":[{"j":[{},[0,0,1]]},[0,0,1]],"p":[{},[0,0,1]],"r":[{".":[{},[2]]},[1]],"s":[{},[0,0,1]],"š":[{},[0,0,1]],"t":[{},[0,0,1]],"v":[{".":[{},[2]]},[1]],"z":[{},[0,0,1]],"ž":[{},[0,0,1]]}]}],"m":[{"b":[{},[0,1]],"c":[{},[0,1]],"č":[{},[0,1]],"ć":[{},[0,1]],"d":[{"ž":[{},[0,1]]},[0,1]],"đ":[{},[0,1]],"f":[{},[0,1]],"g":[{},[0,1]],"h":[{},[0,1]],"j":[{".":[{},[2]]},[1]],"k":[{},[0,1]],"l":[{".":[{},[2]],"j":[{},[2,1]]},[1]],"m":[{},[0,1]],"n":[{"j":[{},[0,1]]},[0,1]],"p":[{"t":[{},[0,2,1]]},[0,1]],"r":[{".":[{},[2]]},[1]],"s":[{},[0,1]],"š":[{},[0,1]],"t":[{},[0,1]],"v":[{".":[{},[2]]},[1]],"z":[{},[0,1]],"ž":[{},[0,1]]}],"n":[{"b":[{},[0,1]],"c":[{},[0,1]],"č":[{},[0,1]],"ć":[{},[0,1]],"d":[{"ž":[{},[0,1]]},[0,1]],"đ":[{},[0,1]],"f":[{},[0,1]],"g":[{},[0,1]],"h":[{},[0,1]],"j":[{".":[{},[2]],"b":[{},[0,0,1]],"c":[{},[0,0,1]],"č":[{},[0,0,1]],"ć":[{},[0,0,1]],"d":[{"ž":[{},[0,0,1]]},[0,0,1]],"đ":[{},[0,0,1]],"f":[{},[0,0,1]],"g":[{},[0,0,1]],"h":[{},[0,0,1]],"j":[{".":[{},[2]]},[1]],"k":[{},[0,0,1]],"l":[{".":[{},[2]],"j":[{},[2,0,1]]},[1]],"m":[{},[0,0,1]],"n":[{"j":[{},[0,0,1]]},[0,0,1]],"p":[{},[0,0,1]],"r":[{".":[{},[2]]},[1]],"s":[{},[0,0,1]],"š":[{},[0,0,1]],"t":[{},[0,0,1]],"v":[{".":[{},[2]]},[1]],"z":[{},[0,0,1]],"ž":[{},[0,0,1]]}],"k":[{"c":[{},[0,2,1]]},[0,1]],"l":[{".":[{},[2]],"j":[{},[2,1]]},[1]],"m":[{},[0,1]],"n":[{"j":[{},[0,1]]},[0,1]],"p":[{},[0,1]],"r":[{},[0,1]],"s":[{"t":[{},[0,2,1]]},[0,1]],"š":[{},[0,1]],"t":[{"s":[{},[0,2,1]],"n":[{},[0,2,1]]},[0,1]],"v":[{".":[{},[2]]},[1]],"z":[{},[0,1]],"ž":[{},[0,1]]}],"p":[{"b":[{},[0,1]],"c":[{},[0,1]],"č":[{},[0,1]],"ć":[{},[0,1]],"d":[{"ž":[{},[0,1]]},[0,1]],"đ":[{},[0,1]],"f":[{},[0,1]],"g":[{},[0,1]],"h":[{},[2,1]],"j":[{".":[{},[2]]},[1]],"k":[{},[0,1]],"l":[{".":[{},[2]],"j":[{},[2,1]]},[1]],"m":[{},[0,1]],"n":[{"j":[{},[0,1]]},[0,1]],"p":[{},[0,1]],"r":[{".":[{},[2]]},[1]],"s":[{},[0,1]],"š":[{},[0,1]],"t":[{},[0,1]],"v":[{".":[{},[2]]},[1]],"z":[{},[0,1]],"ž":[{},[0,1]]}],"r":[{"b":[{},[0,1]],"c":[{"n":[{},[0,2,1]]},[0,1]],"č":[{"k":[{},[0,2,1]]},[0,1]],"ć":[{},[0,1]],"d":[{"ž":[{"b":[{},[0,2,0,1]]},[0,1]],"n":[{},[0,2,1]]},[0,1]],"đ":[{},[0,1]],"f":[{},[0,1]],"g":[{"n":[{},[0,2,1]]},[0,1]],"h":[{"n":[{"j":[{},[0,2,1]]}],"k":[{},[0,2,1]],"t":[{},[0,2,1]]},[0,1]],"j":[{"e":[{},[1,2]]},[0,1]],"k":[{"n":[{},[0,2,1]]},[0,1]],"l":[{"j":[{},[2,1]]},[0,1]],"m":[{},[0,1]],"n":[{"j":[{},[0,1]],"t":[{},[0,2,1]],"c":[{},[0,2,1]],"k":[{},[0,2,1]]},[0,1]],"p":[{"c":[{},[0,2,1]]},[0,1]],"r":[{},[0,1]],"s":[{"t":[{},[0,1,2]]},[0,1]],"š":[{},[0,1]],"t":[{"c":[{},[0,2,1]],"s":[{},[0,2,1]],"m":[{},[0,2,1]],".":[{},[2]],"k":[{},[0,2,1]],"n":[{},[0,2,1]]},[0,1]],"v":[{"n":[{},[0,2,1]]},[0,1]],"z":[{"n":[{},[0,2,1]]},[0,1]],"ž":[{},[0,1]]}],"s":[{"b":[{".":[{},[2]]},[1]],"c":[{},[0,1]],"č":[{".":[{},[2]]},[1]],"ć":[{".":[{},[2]]},[1]],"d":[{".":[{},[2]],"ž":[{".":[{},[2]]},[1]]},[1]],"đ":[{".":[{},[2]]},[1]],"f":[{".":[{},[2]]},[1]],"g":[{".":[{},[2]]},[1]],"h":[{".":[{},[2]],"r":[{},[2,1]]},[1]],"j":[{".":[{},[2]]},[1]],"k":[{".":[{},[2]],"r":[{},[2,1]],"l":[{},[0,1,2]]},[1]],"l":[{"j":[{".":[{},[2]]},[1]]},[0,1]],"m":[{".":[{},[2]]},[1]],"n":[{".":[{},[2]],"j":[{".":[{},[2]]},[1]]},[0,1]],"p":[{"n":[{},[0,2,1]]},[0,1]],"r":[{".":[{},[2]]},[1]],"s":[{".":[{},[2]]},[1]],"š":[{".":[{},[2]]},[1]],"t":[{".":[{},[2]]},[0,1]],"v":[{".":[{},[2]],"l":[{},[0,1,2]]},[1]],"z":[{".":[{},[2]]},[1]],"ž":[{".":[{},[2]]},[1]]}],"š":[{"b":[{".":[{},[2]]},[1]],"c":[{},[0,1]],"č":[{},[0,1]],"ć":[{},[0,1]],"d":[{".":[{},[2]],"ž":[{".":[{},[2]]},[1]]},[1]],"đ":[{".":[{},[2]]},[1]],"f":[{".":[{},[2]]},[1]],"g":[{".":[{},[2]]},[1]],"h":[{".":[{},[2]]},[1]],"j":[{".":[{},[2]]},[1]],"k":[{".":[{},[2]]},[1]],"l":[{"j":[{},[2,1]]},[0,1]],"m":[{".":[{},[2]]},[1]],"n":[{"j":[{},[2,1]]},[0,1]],"p":[{".":[{},[2]]},[1]],"r":[{".":[{},[2]]},[1]],"s":[{".":[{},[2]]},[1]],"š":[{".":[{},[2]]},[1]],"t":[{".":[{},[2]],"v":[{},[2,1]]},[1]],"v":[{".":[{},[2]]},[1]],"z":[{".":[{},[2]]},[1]],"ž":[{".":[{},[2]]},[1]]}],"t":[{"b":[{},[0,1]],"c":[{},[0,1]],"č":[{},[0,1]],"ć":[{},[0,1]],"d":[{"ž":[{},[0,1]]},[0,1]],"đ":[{},[0,1]],"f":[{},[0,1]],"g":[{},[0,1]],"h":[{},[0,1]],"j":[{".":[{},[2]]},[1]],"k":[{"l":[{},[0,1,2]]},[0,1]],"l":[{".":[{},[2]],"j":[{},[2,1]]},[1]],"m":[{},[0,1]],"n":[{"j":[{},[0,1]]},[0,1]],"p":[{},[0,1]],"r":[{".":[{},[2]]},[1]],"s":[{"t":[{},[0,1,2]]},[0,1]],"š":[{},[0,1]],"t":[{},[0,1]],"v":[{".":[{},[2]]},[1]],"z":[{},[0,1]],"ž":[{},[0,1]]}],"v":[{"b":[{},[0,1]],"c":[{},[0,1]],"č":[{},[0,1]],"ć":[{},[0,1]],"d":[{"ž":[{},[0,1]]},[0,1]],"đ":[{},[0,1]],"f":[{},[0,1]],"g":[{},[0,1]],"h":[{},[0,1]],"j":[{"e":[{},[1,2]],".":[{},[]]},[0,1]],"k":[{},[0,1]],"l":[{"j":[{},[2,1]]},[0,1]],"m":[{},[0,1]],"n":[{"j":[{},[0,1]]},[0,1]],"p":[{},[0,1]],"r":[{},[1]],"s":[{},[0,1]],"š":[{},[0,1]],"t":[{},[0,1]],"v":[{},[0,1]],"z":[{},[0,1]],"ž":[{},[0,1]]}],"z":[{"b":[{},[0,1]],"c":[{".":[{},[2]]},[1]],"č":[{".":[{},[2]]},[1]],"ć":[{".":[{},[2]]},[1]],"d":[{"ž":[{".":[{},[2]]},[1]]},[0,1]],"đ":[{".":[{},[2]]},[1]],"f":[{".":[{},[2]]},[1]],"g":[{"n":[{"j":[{},[0,1,2]]}]},[0,1]],"h":[{".":[{},[2]]},[1]],"j":[{".":[{},[2]]},[1]],"k":[{".":[{},[2]]},[1]],"l":[{"j":[{},[2,1]]},[0,1]],"m":[{},[0,1]],"n":[{"j":[{".":[{},[2]]},[1]]},[0,1]],"p":[{".":[{},[2]]},[1]],"r":[{"j":[{},[0,1,2]]},[0,1]],"s":[{},[0,1]],"š":[{".":[{},[2]]},[1]],"t":[{".":[{},[2]]},[1]],"v":[{".":[{},[2]],"l":[{},[0,1,2]],"r":[{},[2,1]]},[1]],"z":[{".":[{},[2]]},[1]],"ž":[{".":[{},[2]]},[1]]}],"ž":[{"b":[{".":[{},[2]]},[0,1]],"c":[{".":[{},[2]]},[1]],"č":[{".":[{},[2]]},[1]],"ć":[{".":[{},[2]]},[1]],"d":[{".":[{},[2]],"ž":[{".":[{},[2]]},[1]]},[1]],"đ":[{".":[{},[2]]},[1]],"f":[{".":[{},[2]]},[1]],"g":[{".":[{},[2]]},[1]],"h":[{".":[{},[2]]},[1]],"j":[{},[0,1]],"k":[{".":[{},[2]]},[1]],"l":[{".":[{},[2]],"j":[{},[0,1]]},[1]],"m":[{".":[{},[2]]},[1]],"n":[{".":[{},[2]],"j":[{},[2,1]]},[0,1]],"p":[{".":[{},[2]]},[1]],"r":[{".":[{},[2]]},[1]],"s":[{".":[{},[2]]},[1]],"š":[{".":[{},[2]]},[1]],"t":[{".":[{},[2]]},[1]],"v":[{".":[{},[2]]},[1]],"z":[{".":[{},[2]]},[1]],"ž":[{".":[{},[2]]},[1]]}],".":[{"z":[{"g":[{},[0,0,2]]}],"n":[{"a":[{"j":[{},[0,0,2,1]]}],"e":[{"o":[{},[0,0,2,3]]}]}],"b":[{"e":[{"z":[{},[0,0,2,1]]}]}],"i":[{"z":[{},[0,0,1]],"s":[{},[0,0,1]]}]}]}';
  var hyphenation = [];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
