(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsHsb = factory();
  }
})(this, function () {
  var patterns =
    '{"ě":[{"b":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]],"r":[{},[0,3,2]],"l":[{},[0,3,2]]}],"c":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"h":[{"a":[{},[0,3,0,2]],"e":[{},[0,3,0,2]],"o":[{},[0,3,0,2]],"u":[{},[0,3,0,2]],"i":[{},[0,3,0,2]]}]}],"ć":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]]}],"č":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]]}],"d":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"ź":[{"a":[{},[0,3,2,2]],"e":[{},[0,3,2,2]],"i":[{},[0,3,2,2]],"o":[{},[0,3,2,2]],"u":[{},[0,3,2,2]],"y":[{},[0,3,2,2]]}],"l":[{},[0,3,0,2]],"r":[{},[0,3,0,2]]}],"f":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"y":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"i":[{},[0,3,2]],"l":[{},[0,3,2]],"r":[{},[0,3,2,2]]}],"g":[{"r":[{},[0,1,2,2]],"l":[{},[0,1,2,2]],"a":[{},[0,1,2]],"e":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"i":[{},[0,1,2]]}],"h":[{"a":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"i":[{},[0,1,2]]}],"j":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"i":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]]},[0,0,1]],"k":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"i":[{},[0,1,2]],"u":[{},[0,1,2]],"o":[{},[0,1,2]],"r":[{},[0,1,2]],"l":[{},[0,1,2]]}],"ł":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"y":[{},[0,1,2]]}],"l":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"i":[{},[0,1,2]]}],"m":[{"a":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"i":[{},[0,3,2]],"e":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"n":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"p":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]],"l":[{},[0,3,2]],"r":[{},[0,3,2]]}],"r":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"s":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"t":[{},[0,3,2]]}],"š":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"t":[{"a":[{"p":[{},[0,3,2]]}]}]},[0,0,1]],"t":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"r":[{},[0,3,2]],"l":[{},[0,3,2]],"n":[{},[0,2,3]]}],"w":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"z":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]]}],"ž":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]]},[0,2,1]]},[8]],"ń":[{"č":[{"a":[{},[0,7,4]],"e":[{},[0,7,4]],"i":[{},[0,7,4]],"u":[{},[0,7,4]],"o":[{},[0,7,4]]},[0,6,3]]},[8,5]],"ó":[{"b":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]],"r":[{},[0,3,2]],"l":[{},[0,3,2]]}],"c":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"h":[{"a":[{},[0,3,0,2]],"e":[{},[0,3,0,2]],"o":[{},[0,3,0,2]],"u":[{},[0,3,0,2]],"i":[{},[0,3,0,2]]}]}],"ć":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]]}],"č":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]]}],"d":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"ź":[{"a":[{},[0,3,2,2]],"e":[{},[0,3,2,2]],"i":[{},[0,3,2,2]],"o":[{},[0,3,2,2]],"u":[{},[0,3,2,2]],"y":[{},[0,3,2,2]]}],"l":[{},[0,3,0,2]],"r":[{},[0,3,0,2]]}],"f":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"y":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"i":[{},[0,3,2]],"l":[{},[0,3,2]],"r":[{},[0,3,2,2]]}],"g":[{"r":[{},[0,1,2,2]],"l":[{},[0,1,2,2]],"a":[{},[0,1,2]],"e":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"i":[{},[0,1,2]]}],"h":[{"a":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"i":[{},[0,1,2]]}],"j":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"i":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]]},[0,0,1]],"k":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"i":[{},[0,1,2]],"u":[{},[0,1,2]],"o":[{},[0,1,2]],"r":[{},[0,1,2]],"l":[{},[0,1,2]]}],"ł":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"y":[{},[0,1,2]]},[0,0,1]],"l":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"i":[{},[0,1,2]]}],"m":[{"a":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"i":[{},[0,3,2]],"e":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"n":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"p":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]],"l":[{},[0,3,2]],"r":[{},[0,3,2]]}],"r":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"s":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"t":[{},[0,3,2]]}],"š":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"t":[{"a":[{"p":[{},[0,3,2]]}]}]},[0,0,1]],"t":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"r":[{},[0,3,2]],"l":[{},[0,3,2]]}],"w":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"z":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]]}],"ž":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]]},[0,2,1]]},[8]],"š":[{"ć":[{},[3,2]],"t":[{"o":[{".":[{},[1,2]]}]}],"l":[{"i":[{".":[{},[1,2]]}]}],"ł":[{"e":[{".":[{},[1,2]],"j":[{".":[{},[1,2]]}]}],"a":[{".":[{},[1,2]],"j":[{".":[{},[1,2]]}]}],"o":[{"j":[{".":[{},[1,2]]}]}]}],"o":[{"ł":[{".":[{},[1,2]]}]},[1,8]],"a":[{},[1,8]],"e":[{},[1,8]],"ě":[{},[1,8]],"i":[{},[1,8]],"u":[{},[1,8]]},[0,1]],"ź":[{},[8]],"k":[{"ř":[{},[1,8,8]],"a":[{},[1]],"c":[{},[0,1]],"u":[{"z":[{"ł":[{},[0,0,0,1]],"l":[{},[0,0,0,1]]}]},[1]],"i":[{},[1]],"n":[{"y":[{"s":[{"k":[{},[0,2,0,0,1]]}]}]},[0,1]],"o":[{"n":[{"j":[{"u":[{"g":[{},[0,0,8,7,0,3]],"n":[{"k":[{},[0,0,8,7,0,0,8,1]]}]}]}],"u":[{"r":[{"b":[{},[0,0,8,7]]}]}]}]},[1]],"s":[{"t":[{".":[{},[2,2]]}]},[0,1]],"t":[{"u":[{".":[{},[0,2]]}]},[0,1]]}],"p":[{"ř":[{"e":[{"d":[{"a":[{},[0,0,0,5,4]],"o":[{},[0,0,0,5,4]],"i":[{},[0,0,0,5,4]],"u":[{},[0,0,0,5,4]],"r":[{"a":[{"s":[{"t":[{},[0,0,0,5,4]],"ć":[{},[0,0,0,5,4]]}]}]}],"e":[{},[0,0,0,4,4,3]]},[0,0,0,4,3]]},[0,0,0,1]]},[1,8,8]],"j":[{},[0,4]],"o":[{"d":[{"e":[{},[0,0,4,4,1]]},[0,0,4,3]],"m":[{"h":[{},[0,0,2,1]],"ń":[{},[0,0,2]]}]},[0,0,1]],"r":[{"a":[{"w":[{},[0,0,0,0,1]],"s":[{"k":[{"a":[{},[0,0,0,2,3]]}]}]}]}],"l":[{"u":[{"s":[{"k":[{"a":[{},[0,0,0,2,3]]}]}]}]}]}],"t":[{"ř":[{},[1,8,8]],"d":[{},[0,1]],"k":[{},[0,1]],"m":[{},[0,1]],"n":[{},[0,1]],"p":[{},[0,1]]}],"a":[{"b":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"ě":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]],"r":[{},[0,3,2]],"l":[{},[0,3,2]],"ł":[{},[0,3,2]]}],"c":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"i":[{},[0,3,2]],"h":[{"a":[{},[0,3,0,2]],"e":[{},[0,3,0,2]],"o":[{},[0,3,0,2]],"u":[{},[0,3,0,2]],"y":[{},[0,3,0,2]],"i":[{},[0,3,0,2]]}]}],"ć":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]]}],"č":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"ě":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]]}],"d":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"ź":[{"a":[{},[0,3,2,2]],"e":[{},[0,3,2,2]],"ě":[{},[0,3,2,2]],"i":[{},[0,3,2,2]],"o":[{},[0,3,2,2]],"u":[{},[0,3,2,2]],"y":[{},[0,3,2,2]]}],"l":[{},[0,3,0,2]],"r":[{},[0,3,0,2]]}],"f":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"y":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"i":[{},[0,3,2]],"l":[{},[0,3,2]],"r":[{},[0,3,2,2]]}],"g":[{"r":[{},[0,1,2,2]],"l":[{},[0,1,2,2]],"a":[{},[0,1,2]],"e":[{},[0,1,2]],"ě":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"i":[{},[0,1,2]]}],"h":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"ě":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"i":[{},[0,1,2]]}],"j":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"ě":[{},[0,1,2]],"i":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]]},[0,0,1]],"k":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"i":[{},[0,1,2]],"u":[{},[0,1,2]],"o":[{},[0,1,2]],"r":[{},[0,1,2]],"l":[{},[0,1,2]]}],"ł":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]]},[0,0,1]],"l":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"ě":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"i":[{},[0,3,2]],"y":[{},[0,3,2]]}],"m":[{"a":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"i":[{},[0,3,2]],"e":[{},[0,3,2]],"ě":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"n":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"ě":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"p":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"ě":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]],"l":[{},[0,3,2]],"r":[{},[0,3,2]]}],"r":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"ě":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"s":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"p":[{"e":[{"k":[{"t":[{},[0,0,1,0,0,1]]}]}]}],"t":[{},[0,3,2]]}],"š":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"ě":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"t":[{"a":[{"p":[{},[0,3,2]]}]}],"n":[{"j":[{},[0,2,1]]}]},[0,0,1]],"t":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"r":[{},[0,3,2]],"l":[{},[0,3,2]]}],"w":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"ě":[{},[0,3,2]],"i":[{},[0,3,2]],"n":[{},[0,2,1]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"z":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"ě":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]]}],"ž":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"ě":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]]},[0,2,1]]}],"e":[{"b":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]],"r":[{},[0,3,2]],"ł":[{},[0,3,2]],"l":[{},[0,3,2]]}],"c":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"i":[{},[0,3,2]],"h":[{"a":[{},[0,3,0,2]],"e":[{},[0,3,0,2]],"o":[{},[0,3,0,2]],"u":[{},[0,3,0,2]],"i":[{},[0,3,0,2]]}]}],"ć":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]]}],"č":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]]}],"d":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"ź":[{"a":[{},[0,3,2,2]],"e":[{},[0,3,2,2]],"i":[{},[0,3,2,2]],"o":[{},[0,3,2,2]],"u":[{},[0,3,2,2]],"y":[{},[0,3,2,2]]}],"l":[{},[0,3,0,2]],"r":[{},[0,3,0,2]]}],"f":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"y":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"i":[{},[0,3,2]],"l":[{},[0,3,2]],"r":[{},[0,3,2,2]]}],"g":[{"r":[{},[0,1,2,2]],"l":[{},[0,1,2,2]],"a":[{},[0,1,2]],"e":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"i":[{},[0,1,2]]}],"h":[{"a":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"i":[{},[0,1,2]]}],"j":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"i":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]]},[0,0,1]],"k":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"i":[{},[0,1,2]],"u":[{},[0,1,2]],"o":[{},[0,1,2]],"r":[{},[0,1,2]],"l":[{},[0,1,2]]}],"ł":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"y":[{},[0,1,2]]},[0,0,1]],"l":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"i":[{},[0,1,2]]}],"m":[{"a":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"i":[{},[0,3,2]],"e":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"n":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"p":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]],"l":[{},[0,3,2]],"r":[{},[0,3,2]]}],"r":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]],"b":[{"s":[{"k":[{},[0,0,2,1,2]]}]}]}],"s":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"t":[{},[0,3,2]]}],"š":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"t":[{"a":[{"p":[{},[0,3,2]]}]}]},[0,0,1]],"t":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"r":[{},[0,3,2]],"l":[{},[0,3,2]]}],"w":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"z":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]]}],"ž":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]]},[0,2,1]]}],"i":[{"b":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]],"r":[{},[0,3,2]],"l":[{},[0,3,2]]}],"c":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"i":[{},[0,3,2]],"h":[{"a":[{},[0,3,0,2]],"e":[{},[0,3,0,2]],"o":[{},[0,3,0,2]],"u":[{},[0,3,0,2]],"i":[{},[0,3,0,2]]}]}],"ć":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]]}],"č":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]]}],"d":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"ź":[{"a":[{},[0,3,2,2]],"e":[{},[0,3,2,2]],"i":[{},[0,3,2,2]],"o":[{},[0,3,2,2]],"u":[{},[0,3,2,2]],"y":[{},[0,3,2,2]]}],"l":[{},[0,3,0,2]],"r":[{},[0,3,0,2]]}],"f":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"y":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"i":[{},[0,3,2]],"l":[{},[0,3,2]],"r":[{},[0,3,2,2]]}],"g":[{"r":[{},[0,1,2,2]],"l":[{},[0,1,2,2]],"a":[{},[0,1,2]],"e":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"i":[{},[0,1,2]]}],"h":[{"a":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"i":[{},[0,1,2]]}],"j":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"i":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]]},[0,0,1]],"k":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"i":[{},[0,1,2]],"u":[{},[0,1,2]],"o":[{},[0,1,2]],"r":[{},[0,1,2]],"l":[{},[0,1,2]]}],"ł":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"y":[{},[0,1,2]]},[0,0,1]],"l":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"i":[{},[0,1,2]]}],"m":[{"a":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"i":[{},[0,3,2]],"e":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]],"p":[{"l":[{"e":[{},[0,0,1]]}]}]}],"n":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"p":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]],"l":[{},[0,3,2]],"r":[{},[0,3,2]]}],"r":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"s":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"t":[{},[0,3,2]]}],"š":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"t":[{"a":[{"p":[{},[0,3,2]]}]}]},[0,0,1]],"t":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"r":[{},[0,3,2]],"l":[{},[0,3,2]]}],"w":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"n":[{},[0,2,1]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"z":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"n":[{"a":[{".":[{},[0,0,1]]}],"y":[{".":[{},[0,0,1]]}],"u":[{".":[{},[0,0,1]]}],"j":[{"e":[{".":[{},[0,0,1]]}]}],"o":[{},[0,0,1]]}]}],"ž":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]]},[0,2,1]]}],"o":[{"b":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]],"r":[{},[0,3,2]],"l":[{},[0,3,2]]}],"c":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"h":[{"a":[{},[0,3,0,2]],"e":[{},[0,3,0,2]],"o":[{},[0,3,0,2]],"u":[{},[0,3,0,2]],"i":[{},[0,3,0,2]]}]}],"ć":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]]}],"č":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]]}],"d":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"ź":[{"a":[{},[0,3,2,2]],"e":[{},[0,3,2,2]],"i":[{},[0,3,2,2]],"o":[{},[0,3,2,2]],"u":[{},[0,3,2,2]],"y":[{},[0,3,2,2]]}],"l":[{},[0,3,0,2]],"r":[{},[0,3,0,2]]}],"f":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"y":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"i":[{},[0,3,2]],"l":[{},[0,3,2]],"r":[{},[0,3,2,2]]}],"g":[{"r":[{},[0,1,2,2]],"l":[{},[0,1,2,2]],"a":[{},[0,1,2]],"e":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"i":[{},[0,1,2]]}],"h":[{"a":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"i":[{},[0,1,2]]}],"j":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"i":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]]},[0,0,1]],"k":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"i":[{},[0,1,2]],"u":[{},[0,1,2]],"o":[{},[0,1,2]],"r":[{},[0,1,2]],"l":[{},[0,1,2]],"ł":[{},[0,1,2]]}],"ł":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"y":[{},[0,1,2]],"d":[{"n":[{"j":[{},[0,0,1,2]]}]}]},[0,0,1]],"l":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"i":[{},[0,1,2]]}],"m":[{"a":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"i":[{},[0,3,2]],"e":[{},[0,3,2]],"ě":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"n":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"p":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]],"l":[{},[0,3,2]],"r":[{},[0,3,2]]}],"r":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"s":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"l":[{"e":[{"d":[{},[0,3,0,0,0,1]]}]}],"t":[{},[0,3,2]]}],"š":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"t":[{"a":[{"p":[{},[0,3,2]]}]}]},[0,0,1]],"t":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"r":[{},[0,3,2]],"l":[{},[0,3,2]]}],"w":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"ě":[{},[0,3,2]],"i":[{},[0,3,2]],"n":[{},[0,2,1]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"z":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]]}],"ž":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]]},[0,2,1]]}],"u":[{"b":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]],"r":[{},[0,3,2]],"l":[{},[0,3,2]]}],"c":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"i":[{},[0,3,2]],"h":[{"a":[{},[0,3,0,2]],"e":[{},[0,3,0,2]],"o":[{},[0,3,0,2]],"u":[{},[0,3,0,2]],"i":[{},[0,3,0,2]]}]}],"ć":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]]}],"č":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]]}],"d":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"ź":[{"a":[{},[0,3,2,2]],"e":[{},[0,3,2,2]],"i":[{},[0,3,2,2]],"o":[{},[0,3,2,2]],"u":[{},[0,3,2,2]],"y":[{},[0,3,2,2]]}],"l":[{},[0,3,0,2]],"r":[{},[0,3,0,2]]}],"f":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"y":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"i":[{},[0,3,2]],"l":[{},[0,3,2]],"r":[{},[0,3,2,2]]}],"g":[{"r":[{},[0,1,2,2]],"l":[{},[0,1,2,2]],"a":[{},[0,1,2]],"e":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"i":[{},[0,1,2]]}],"h":[{"a":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"i":[{},[0,1,2]]}],"j":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"i":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]]},[0,0,1]],"k":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"i":[{},[0,1,2]],"u":[{},[0,1,2]],"o":[{},[0,1,2]],"r":[{},[0,1,2]],"l":[{},[0,1,2]]}],"ł":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"y":[{},[0,1,2]]},[0,0,1]],"l":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"i":[{},[0,1,2]]}],"m":[{"a":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"i":[{},[0,3,2]],"e":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"n":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"p":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]],"l":[{},[0,3,2]],"r":[{},[0,3,2]]}],"r":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"s":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"t":[{},[0,3,2]]}],"š":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"t":[{"a":[{"p":[{},[0,3,2]]}]}]},[0,0,1]],"t":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"r":[{},[0,3,2]],"l":[{},[0,3,2]]}],"w":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"n":[{},[0,2,1]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"z":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]]}],"ž":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]]},[0,2,1]]}],"y":[{"b":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]],"r":[{},[0,3,2]],"l":[{},[0,3,2]]}],"c":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]]}],"ć":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]]}],"č":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]]}],"d":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"ź":[{"a":[{},[0,3,2,2]],"e":[{},[0,3,2,2]],"i":[{},[0,3,2,2]],"o":[{},[0,3,2,2]],"u":[{},[0,3,2,2]],"y":[{},[0,3,2,2]]}],"l":[{},[0,3,0,2]],"r":[{},[0,3,0,2]]}],"f":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"y":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"i":[{},[0,3,2]],"l":[{},[0,3,2]],"r":[{},[0,3,2,2]]}],"g":[{"r":[{},[0,1,2,2]],"l":[{},[0,1,2,2]],"a":[{},[0,1,2]],"e":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"i":[{},[0,1,2]]}],"h":[{"a":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"i":[{},[0,1,2]]}],"j":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"i":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]]},[0,0,1]],"k":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"i":[{},[0,1,2]],"u":[{},[0,1,2]],"o":[{},[0,1,2]],"r":[{},[0,1,2]],"l":[{},[0,1,2]]}],"ł":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"y":[{},[0,1,2]]},[0,0,1]],"l":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"i":[{},[0,1,2]]}],"m":[{"a":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"i":[{},[0,3,2]],"e":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"n":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"p":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]],"l":[{},[0,3,2]],"r":[{},[0,3,2]]}],"r":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"s":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"t":[{},[0,3,2]]}],"š":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"t":[{"a":[{"p":[{},[0,3,2]]}]}]},[0,0,1]],"t":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"r":[{},[0,3,2]],"l":[{},[0,3,2]]}],"w":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]],"j":[{},[0,3,2]]}],"z":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]],"y":[{},[0,3,2]]}],"ž":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3,2]],"o":[{},[0,3,2]],"u":[{},[0,3,2]]},[0,2,1]]}],".":[{"a":[{"b":[{"i":[{"t":[{"u":[{"r":[{"n":[{},[0,8,7,0,0,8,1]]},[0,8,7,0,0,1]]}]}]}]}]}],"b":[{"j":[{"e":[{"z":[{"e":[{},[0,0,0,1,2]]},[0,0,0,0,1]]}]}],"o":[{"ł":[{"h":[{},[0,0,4,3]]}]}]}],"c":[{"h":[{"c":[{},[0,0,2]]}]}],"n":[{"j":[{"e":[{"z":[{"h":[{"r":[{"o":[{"m":[{"a":[{"d":[{},[0,0,0,1,2]]}]}]}]}]}]}],"n":[{"a":[{"d":[{"e":[{"ń":[{},[0,0,0,1,0,4,2]],"š":[{},[0,0,0,1,0,4,2]]}]},[0,0,0,1,0,4,1]]}]}],"w":[{"o":[{"b":[{"e":[{},[0,0,0,1,0,4,2,1]]}],"t":[{"e":[{},[0,0,0,0,0,4,0,3]]}]}]}]},[0,0,0,1]]}],"a":[{"d":[{"e":[{"ń":[{},[0,0,4,2]],"š":[{},[0,0,4,2]]}]},[0,0,4,1]]}]}],"d":[{"o":[{"ł":[{"h":[{"o":[{},[0,0,4,3,0,3]]},[0,0,4,3]],"ž":[{"n":[{},[0,0,4,0,1]]}]}]}]}],"p":[{"o":[{"ł":[{"h":[{},[0,0,4,3]],"ž":[{},[0,0,4,3]]}]}]}],"w":[{"j":[{"e":[{"l":[{"e":[{},[0,0,0,1,0,3]]}]}]}],"o":[{"b":[{"e":[{},[0,0,4,2]]}],"t":[{"e":[{},[0,0,4,0,3]]}]}],"u":[{},[0,0,1]]}],"z":[{"a":[{"ń":[{},[0,0,2]],"w":[{"k":[{},[0,0,2,1]],"d":[{"a":[{},[0,0,2,3]]}]}]},[0,0,1]]}]}],"b":[{"b":[{},[0,1]],"c":[{"e":[{},[0,1]],"y":[{},[0,1]]}],"ć":[{},[0,1]],"č":[{},[0,1]],"d":[{},[0,1]],"j":[{},[0,2]],"h":[{},[0,1]],"k":[{},[0,1]],"m":[{},[0,1]],"n":[{},[0,1]],"p":[{},[0,1]],"s":[{},[0,1]],"t":[{},[0,1]],"w":[{},[0,1]],"z":[{},[0,1]],"ž":[{},[0,1]]}],"c":[{"a":[{},[1]],"e":[{},[1]],"o":[{},[1]],"u":[{},[1]],"h":[{"ć":[{},[0,0,1]],"n":[{},[0,0,1]]},[0,2]]}],"č":[{"n":[{},[0,1]]}],"d":[{"b":[{"p":[{"o":[{"d":[{},[0,1,0,0,4,3]]}]}]}],"e":[{"ń":[{},[4]]}],"n":[{},[0,1]],"o":[{"s":[{"p":[{"o":[{},[0,0,1,1]]}]}],"z":[{"n":[{"a":[{".":[{},[0,0,2,3]]},[0,0,1,2]]}]}]}]}],"n":[{"j":[{"e":[{"d":[{"o":[{"z":[{"n":[{"a":[{".":[{},[0,0,0,1,0,3,4]]}]}]}]}]}],".":[{},[1]]}],"a":[{".":[{},[1]]}]},[0,4]],"a":[{},[0,0,1]],"d":[{},[2,1]],"i":[{".":[{},[1]]}],"t":[{"n":[{},[0,2,1]]},[0,1]],"u":[{"h":[{"l":[{},[0,0,0,1]]}]}],"s":[{"t":[{"w":[{},[2,1]]}]}]}],"h":[{"d":[{},[1,2]],"l":[{"a":[{"d":[{},[1,2]]}]}],"n":[{"y":[{},[2,1]],"u":[{".":[{},[2,1]]}],"j":[{"e":[{},[2,1]]}]}],"r":[{"o":[{"m":[{"a":[{"d":[{},[1,2]]}]}]}]}]}],"ł":[{"h":[{"a":[{},[3,2]]}],"ž":[{},[3,2]]}],"l":[{"n":[{},[0,1]],"g":[{},[0,1]],"z":[{},[0,1]]}],"m":[{"n":[{},[0,1]],"r":[{"u":[{".":[{},[3,2]]}],"j":[{"e":[{},[3,2]]}],"ě":[{},[3,2]]}],"s":[{},[0,1]],"y":[{"s":[{"l":[{},[0,0,0,1]]}]}],"l":[{"a":[{"s":[{"k":[{"a":[{},[0,2,0,2,3]]}]}]}]}]}],"r":[{"b":[{},[0,1]],"ć":[{},[0,1]],"č":[{},[0,1]],"d":[{"ź":[{".":[{},[0,2]]}]},[0,1]],"f":[{},[0,1]],"j":[{},[0,4]],"m":[{},[0,1]],"n":[{},[0,1]],"p":[{},[0,1]],"w":[{},[0,1]],"o":[{"z":[{"e":[{},[0,0,2,2,1]]},[0,0,2,1]]}]}],"s":[{"e":[{"r":[{"b":[{"a":[{},[0,0,0,3,2]],"e":[{},[0,0,0,3,2]],"o":[{},[0,0,0,3,2]],"i":[{},[0,0,0,3,2]],"y":[{},[0,0,0,3,2]]},[0,0,0,2,1]]}]}],"ć":[{},[0,1]],"i":[{"g":[{"n":[{"a":[{"l":[{},[0,0,1,0,0,1]]}]}]}]}],"k":[{"i":[{".":[{},[1,2,2]],"m":[{".":[{},[1,2,2]],"a":[{"j":[{".":[{},[1,2,2]]}]}],"i":[{".":[{},[1,2,2]]}]}],"c":[{"h":[{".":[{},[1,2,2,2]]}]}]}],"a":[{".":[{},[1,2,2]],"j":[{".":[{},[1,2,2]]}]}],"e":[{".":[{},[1,2,2]],"h":[{"o":[{".":[{},[1,2,2]]}]}],"j":[{"e":[{".":[{},[1,2,2]]}],".":[{},[1,2,2]],"u":[{".":[{},[1,2,2]]}]}],"m":[{"u":[{".":[{},[1,2,2]]}]}]}],"u":[{".":[{},[1,2,2]]}]}],"c":[{"y":[{".":[{},[1,2,2]]}],"e":[{".":[{},[1,2,2]]}]}],"n":[{},[0,1]],"t":[{"a":[{"t":[{"n":[{},[0,2,0,0,1]]}]}],"n":[{},[4,0,1]]}]}],"z":[{"m":[{"o":[{"r":[{"s":[{"k":[{"a":[{},[0,1,0,0,3,3]]}]}]}]}]}],"e":[{"z":[{"n":[{"a":[{},[0,0,1,2]]}]}]}],"n":[{"a":[{"k":[{},[0,1]]}]}],"p":[{},[2,1]],"s":[{},[2,1]]}],"ć":[{"i":[{"s":[{"k":[{"a":[{},[0,0,2,3]]}]}]}]}],"w":[{"r":[{"j":[{"e":[{"s":[{"k":[{"a":[{},[0,0,0,0,2,3]]}]}]}]}]}],"j":[{},[0,4]],"n":[{"s":[{"t":[{},[0,4,1]]}]}],"o":[{"b":[{"j":[{"a":[{"s":[{"n":[{},[0,0,4,3,0,0,1]]}]}],"e":[{"ć":[{},[0,0,4,3]],"d":[{"n":[{},[0,0,4,3,0,0,1]]}]}],"ě":[{},[0,0,4,3]],"i":[{"m":[{},[0,0,4,3]]}]}]}],"z":[{"n":[{"a":[{},[0,0,1]]}]}]}],"u":[{"s":[{"n":[{"u":[{},[0,0,1,2]],"j":[{"e":[{},[0,0,1,2,2,2]]}],"y":[{},[0,0,1,2]]}]}]}]}]}';
  var hyphenation = [
    "War-sza-wa",
    "do-zna",
    "njej-sym",
    "njej-sy",
    "nje-je",
    "njej-smój",
    "njej-staj",
    "njej-stej",
    "njej-smy",
    "njej-sće",
    "njej-su",
    "pźede",
    "pźe-derje",
    "tkalc",
    "njeńdź",
    "ze-tnu",
    "ze-tnješ",
    "ze-tnje",
    "ze-tnje-mój",
    "ze-tnje-taj",
    "ze-tnje-tej",
    "ze-tnje-my",
    "ze-tnje-će",
    "wote-tnu",
    "wote-tnješ",
    "wote-tnje",
    "wote-tnje-mój",
    "wote-tnje-taj",
    "wote-tnje-tej",
    "wote-tnje-my",
    "wote-tnje-će",
    "wo-dnjo",
    "wo-snje",
    "tak-rjec"
  ];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
