(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsHy = factory();
  }
})(this, function () {
  var patterns =
    '{"և":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ա":[{"բ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"գ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"դ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"զ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"թ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ժ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"լ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"խ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ծ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"կ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"հ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ձ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ղ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ճ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"մ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"յ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ն":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"շ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"չ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"պ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ջ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ռ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ս":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"վ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"տ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ր":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ց":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"փ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ք":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}]}],"ե":[{"բ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"գ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"դ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"զ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"թ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ժ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"լ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"խ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ծ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"կ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"հ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ձ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ղ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ճ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"մ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"յ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ն":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"շ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"չ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"պ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ջ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ռ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ս":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"վ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"տ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ր":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ց":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"փ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ք":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}]}],"է":[{"բ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"գ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"դ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"զ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"թ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ժ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"լ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"խ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ծ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"կ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"հ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ձ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ղ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ճ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"մ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"յ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ն":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"շ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"չ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"պ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ջ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ռ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ս":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"վ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"տ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ր":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ց":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"փ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ք":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}]}],"ը":[{"բ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"գ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"դ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"զ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"թ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ժ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"լ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"խ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ծ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"կ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"հ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ձ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ղ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ճ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"մ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"յ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ն":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"շ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"չ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"պ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ջ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ռ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ս":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"վ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"տ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ր":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ց":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"փ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ք":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}]}],"ի":[{"բ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"գ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"դ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"զ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"թ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ժ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"լ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"խ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ծ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"կ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"հ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ձ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ղ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ճ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"մ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"յ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ն":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"շ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"չ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"պ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ջ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ռ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ս":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"վ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"տ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ր":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ց":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"փ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ք":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}]}],"ո":[{"բ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"գ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"դ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"զ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"թ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ժ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"լ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"խ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ծ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"կ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"հ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ձ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ղ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ճ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"մ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"յ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ն":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"շ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"չ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"պ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ջ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ռ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ս":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"վ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"տ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ր":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ց":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"փ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ք":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}]}],"օ":[{"բ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"գ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"դ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"զ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"թ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ժ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"լ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"խ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ծ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"կ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"հ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ձ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ղ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ճ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"մ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"յ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ն":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"շ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"չ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"պ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ջ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ռ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ս":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"վ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"տ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ր":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ց":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"փ":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}],"ք":[{"ա":[{},[0,1]],"ե":[{},[0,1]],"է":[{},[0,1]],"ը":[{},[0,1]],"ի":[{},[0,1]],"ո":[{},[0,1]],"օ":[{},[0,1]]}]}]}';
  var hyphenation = [];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
