(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsIs = factory();
  }
})(this, function () {
  var patterns =
    '{".":[{"a":[{"ð":[{"a":[{},[0,0,0,4]],"k":[{},[0,0,0,2]],"l":[{"a":[{},[0,0,0,4]]}]},[0,0,3]],"f":[{"n":[{},[0,0,3]],"r":[{"e":[{},[0,0,3]],"í":[{},[0,0,0,3]]}],"s":[{},[0,0,1,4]]}],"g":[{"n":[{"ú":[{},[0,0,0,5]]}]}],"l":[{"e":[{},[0,0,3]],"l":[{},[0,0,4]]}],"m":[{"s":[{},[0,0,4]]}],"n":[{"k":[{},[0,0,3]],"n":[{"e":[{},[0,0,0,4]]}]}],"r":[{"a":[{"b":[{},[0,0,3,4,5]]}],"t":[{"h":[{},[0,0,0,0,5]]}]},[0,0,2]],"s":[{"p":[{},[0,0,0,3]]}],"u":[{"m":[{"a":[{},[0,0,0,5]]}]}]}],"á":[{"m":[{},[0,0,4]],"n":[{"a":[{},[0,0,4]]}]}],"b":[{"a":[{},[0,0,4]]}],"d":[{"a":[{"m":[{"a":[{},[0,0,0,5]]}],"v":[{},[0,0,0,3]]},[0,0,4]],"r":[{},[0,0,4]],"s":[{},[0,0,4]],"u":[{"s":[{"t":[{},[0,0,0,0,5]]}]},[0,0,4]]}],"e":[{"d":[{"i":[{"k":[{},[0,0,5]]}]}],"f":[{"t":[{"i":[{"r":[{},[0,0,0,0,0,5]]}]}]}],"i":[{"g":[{"i":[{"n":[{"g":[{},[0,0,0,0,0,5]]}]}]}],"n":[{"k":[{},[0,0,0,0,4]]}]}],"k":[{"t":[{},[0,0,0,4]]}],"r":[{"m":[{},[0,0,4]]}],"y":[{"f":[{},[0,0,0,2]]}]}],"f":[{"a":[{},[0,0,4]],"i":[{},[0,0,4]],"j":[{"á":[{"r":[{},[0,0,0,0,3]]}]}],"l":[{"a":[{},[0,0,0,4]]},[0,0,4]],"r":[{"á":[{},[0,0,0,1]]},[0,0,4]]}],"g":[{"a":[{"r":[{},[0,0,0,4]],"s":[{"l":[{},[0,0,0,5]]}]},[0,0,2]],"d":[{},[0,0,4]],"e":[{"m":[{},[0,0,0,5]]}],"j":[{"a":[{},[0,0,0,2]]}],"l":[{},[0,0,2]],"r":[{},[0,0,4]],"u":[{},[0,0,4]]}],"h":[{"e":[{"r":[{"s":[{"k":[{},[0,0,0,5]]}]}]}]}],"i":[{"l":[{},[0,0,4]],"n":[{"g":[{"j":[{},[0,0,0,0,5]]}]}],"s":[{"m":[{},[0,0,4]]}]}],"í":[{"s":[{"l":[{},[0,0,1]]}]}],"j":[{"a":[{"r":[{},[0,0,0,4]]},[0,0,2]]}],"k":[{"a":[{"l":[{"e":[{},[0,0,0,5]]}],"m":[{"e":[{},[0,0,0,5]]}],"p":[{"í":[{},[0,0,0,0,3]]}],"r":[{"t":[{},[0,0,0,0,5]]}],"s":[{"t":[{},[0,0,0,0,3]]}]},[0,0,4]],"n":[{},[0,0,4]],"r":[{},[0,0,4]],"u":[{"r":[{},[0,0,0,4]]}]}],"l":[{"a":[{"g":[{"e":[{},[0,0,0,5]]}]},[0,0,4]],"e":[{"i":[{"k":[{"s":[{"v":[{},[0,0,0,0,5]]}]}]}]}],"í":[{"b":[{},[0,0,0,5]]}],"u":[{},[0,0,4]]}],"m":[{"a":[{"j":[{},[0,0,0,5]],"k":[{"r":[{},[0,0,0,5]]}]},[0,0,2]],"i":[{},[0,0,4]],"j":[{},[0,0,4]],"u":[{},[0,0,4]],"y":[{"n":[{"s":[{"t":[{},[0,0,0,0,0,4]]}]}]}]}],"n":[{"a":[{},[0,0,2]],"í":[{"f":[{},[0,0,5]]}],"ý":[{"f":[{},[0,0,5]]}]}],"o":[{"l":[{"í":[{"u":[{".":[{},[0,0,4]]}]}]}]}],"ó":[{"a":[{},[0,0,4]],"ð":[{"a":[{"l":[{},[0,0,5]]}]}],"f":[{},[0,0,4]],"g":[{},[0,0,2]],"k":[{},[0,0,4]],"m":[{"i":[{},[0,0,4]]}],"s":[{},[0,0,2]]}],"p":[{"a":[{},[0,0,4]],"l":[{},[0,0,4]]}],"r":[{"a":[{"m":[{},[0,0,0,4]]},[0,0,2]],"í":[{},[0,0,4]],"ó":[{"ð":[{},[0,0,0,4]]}],"ú":[{"m":[{},[0,0,0,3]]}]}],"s":[{"a":[{"m":[{"a":[{"n":[{},[0,0,0,0,0,5]]}]}]}],"k":[{"i":[{},[0,0,0,4]],"j":[{},[0,0,0,4]],"r":[{},[0,0,0,4]]},[0,0,4]],"l":[{},[0,0,2]],"m":[{"á":[{"l":[{},[0,0,0,3]]}]},[0,0,4]],"n":[{"a":[{"r":[{"a":[{},[0,0,0,0,5]]}]}]},[0,0,4]],"p":[{"r":[{},[0,0,0,4]]},[0,0,4]],"t":[{"a":[{},[0,0,0,2]]},[0,0,4]]}],"t":[{"a":[{},[0,0,4]],"i":[{"l":[{},[0,0,0,3]]},[0,0,2]],"í":[{"f":[{},[0,0,5]]}],"r":[{},[0,0,4]],"u":[{},[0,0,2]],"v":[{"í":[{},[0,0,0,1]]}]}],"u":[{"n":[{"g":[{"l":[{},[0,0,0,3]]}],"n":[{"u":[{"s":[{"t":[{"a":[{},[0,0,0,5]]}]}]}]}]}]}],"ú":[{"r":[{},[0,0,1]],"t":[{"s":[{},[0,0,5]]},[0,0,1]]}],"v":[{"e":[{"g":[{"g":[{"s":[{},[0,0,0,0,5]]}]}]}],"i":[{"s":[{"t":[{},[0,0,0,0,3]]}]}]}],"y":[{"f":[{"i":[{"r":[{},[0,0,0,0,3]]}]}]}],"æ":[{"v":[{"i":[{"s":[{},[0,0,0,3]]}]}]}],"ö":[{"f":[{"l":[{},[0,0,0,3]]}],"g":[{"r":[{},[0,0,0,5]]}],"r":[{"s":[{},[0,0,3]]}],"t":[{"u":[{},[0,0,3]]}]}]}],"a":[{"a":[{"b":[{},[0,4]],"d":[{},[0,4]]},[2,3,4]],"á":[{},[2,1,2]],"b":[{"a":[{},[0,0,4]],"í":[{"s":[{},[3]]}],"y":[{},[0,5]],"æ":[{"k":[{"l":[{},[0,0,0,0,4]]}]}]},[2,1]],"c":[{},[4]],"d":[{"ó":[{},[0,5]],"u":[{},[0,4]]},[2,1,4]],"ð":[{"a":[{"ð":[{},[4]],"l":[{},[0,0,3]],"r":[{},[0,0,3]]}],"f":[{"a":[{},[2]],"ö":[{},[4]]}],"g":[{},[0,0,3]],"i":[{},[0,0,3]],"l":[{"i":[{},[0,0,4]]},[2]],"m":[{},[4,0,2]],"s":[{"h":[{},[2]]}],"u":[{".":[{},[3]]}],"v":[{},[2]]},[1]],"e":[{"i":[{},[0,5]],"s":[{},[0,4]]},[2,1]],"f":[{"a":[{"l":[{"d":[{},[0,0,3]]}],"r":[{"n":[{},[0,0,3]]}]}],"á":[{},[0,3]],"f":[{"r":[{},[0,0,4]]}],"g":[{},[0,0,3]],"j":[{},[0,1]],"l":[{"ó":[{},[0,3]],"u":[{},[0,1]]}],"o":[{"r":[{"k":[{},[0,0,5]]}]}],"r":[{"é":[{},[0,0,3]],"u":[{},[0,0,0,4]],"æ":[{},[0,5]]},[0,1]],"s":[{"d":[{},[4]],"k":[{},[0,0,1]],"s":[{"o":[{},[4]]}]}],"u":[{"l":[{},[0,1]],"n":[{},[0,1]],"r":[{"ð":[{},[3]]}]},[0,0,2]]},[2]],"g":[{"a":[{"u":[{},[0,3]]}],"á":[{"l":[{},[0,0,5]]}],"i":[{"s":[{},[0,0,5]]}],"j":[{},[0,5]],"n":[{"a":[{"r":[{"a":[{},[0,0,0,4]]}]}],"e":[{},[0,0,2]]}],"o":[{"t":[{},[0,0,5]]}],"r":[{"a":[{},[0,0,4]]},[0,1]],"s":[{"i":[{"ð":[{},[0,0,0,4]]}],"p":[{},[0,0,4]],"t":[{"j":[{},[0,0,4]]}]}],"u":[{"l":[{},[0,0,4]]}],"æ":[{"ð":[{},[0,0,3]]}]},[2]],"h":[{},[4,1]],"i":[{"ð":[{},[0,3]],"n":[{},[0,4]]},[4]],"í":[{"h":[{},[0,0,4]]}],"j":[{"ö":[{},[0,3]]},[2]],"k":[{"a":[{"u":[{"p":[{"s":[{},[0,0,0,0,0,4]]}]}]}],"á":[{},[0,5]],"e":[{},[0,1]],"i":[{"n":[{"n":[{"i":[{"n":[{},[0,5]]}]}]}],"s":[{"t":[{"u":[{},[0,5]]}]}]}],"j":[{},[0,1]],"r":[{"e":[{"i":[{},[0,0,5]]}]}],"s":[{"l":[{},[0,0,0,4]],"s":[{},[4]]}],"u":[{},[0,0,3]],"v":[{},[0,3]],"y":[{},[0,5]],"ý":[{},[0,5]],"ö":[{},[0,3]]},[2]],"l":[{"a":[{"g":[{},[0,1]],"n":[{"d":[{"i":[{"ð":[{},[0,5]],"n":[{"u":[{},[0,5]]}]}]},[4]]}],"s":[{},[0,0,0,0,4]]}],"á":[{},[0,0,0,4]],"e":[{"m":[{},[0,4]],"r":[{},[0,0,3]]}],"f":[{},[0,0,1]],"g":[{"e":[{},[5]]},[0,0,1]],"h":[{},[3]],"i":[{"s":[{},[0,0,0,0,4]]}],"í":[{"n":[{},[0,0,4]]}],"k":[{"j":[{},[0,0,3]],"s":[{},[0,0,0,5]],"u":[{},[0,0,3,2]]}],"l":[{"í":[{},[0,0,4]],"s":[{"t":[{},[0,0,0,0,0,4]]},[0,0,0,2]],"ý":[{},[0,0,4]]}],"m":[{"a":[{"ð":[{},[4]],"n":[{"n":[{},[0,0,5]]}]}],"i":[{},[0,0,5,2]]}],"o":[{"g":[{},[0,3]],"k":[{},[0,5]],"p":[{},[0,0,5]]}],"ó":[{"ð":[{},[0,5]]}],"s":[{"æ":[{"t":[{},[0,0,4]]}]}],"u":[{"p":[{},[0,0,5]]}],"ú":[{},[0,0,5]],"v":[{},[0,0,3,4]],"y":[{},[0,3]],"æ":[{},[0,1]],"ö":[{},[0,1]]},[2]],"m":[{"a":[{"n":[{"g":[{},[0,0,3]],"n":[{},[0,3]]}],"r":[{"i":[{},[0,0,3]],"s":[{},[0,0,3]]}],"s":[{},[0,0,3,4]]}],"d":[{"r":[{},[0,0,3]]}],"í":[{},[0,3]],"k":[{},[0,0,3]],"m":[{"i":[{"s":[{},[0,0,0,4]]}]},[0,0,2]],"ó":[{},[0,1]],"s":[{"e":[{},[0,0,3]],"i":[{},[0,0,0,2]]}],"t":[{},[0,0,1]]},[2]],"n":[{".":[{},[3]],"a":[{".":[{},[3]],"d":[{"a":[{},[0,0,3]]}],"g":[{},[4]],"l":[{},[2]],"u":[{},[4]]}],"á":[{},[2]],"d":[{".":[{},[4]],"e":[{},[0,0,0,1]],"í":[{},[4,0,4]],"r":[{},[0,0,0,0,4]],"ö":[{},[4]]}],"e":[{"i":[{},[0,0,5]]},[4]],"g":[{"a":[{},[0,0,4]],"d":[{},[0,0,0,1]],"j":[{},[0,0,4]],"s":[{"p":[{"i":[{},[0,0,0,5]]}]}],"ö":[{},[0,0,2,3]]},[2]],"i":[{"b":[{},[4]],"ð":[{},[4]]}],"í":[{"n":[{},[0,0,5]]}],"k":[{"l":[{},[0,0,0,5]],"v":[{},[0,0,0,3]]},[2]],"m":[{},[3]],"n":[{"d":[{},[0,0,0,5]],"f":[{},[4]],"h":[{},[4]],"k":[{},[0,0,0,1]],"l":[{},[4]],"s":[{"k":[{},[0,0,0,0,0,4]]},[4]]}],"o":[{},[4,0,4]],"s":[{"t":[{"i":[{},[0,0,3]]},[0,0,0,0,4]]}],"t":[{"í":[{},[0,0,3]]}],"u":[{},[3]],"ú":[{},[4]],"ý":[{},[4]],"æ":[{},[4]],"ö":[{},[4]]},[1]],"o":[{},[2,3]],"ó":[{},[2,3]],"p":[{"a":[{"l":[{},[0,0,3]]}],"e":[{"r":[{},[0,3]]}],"i":[{"l":[{},[0,3]]}],"o":[{},[0,3]],"r":[{"e":[{},[0,5]]}],"t":[{"e":[{},[0,0,3]]}],"u":[{"n":[{},[0,5,4]]}],"ö":[{"r":[{},[0,5]]}]},[2]],"r":[{".":[{},[3]],"a":[{"f":[{"u":[{},[0,0,3]]}],"k":[{"r":[{},[0,0,0,5]]}],"n":[{"g":[{},[0,0,3]],"i":[{},[4]]}],"r":[{"p":[{},[0,0,4]]}],"s":[{"t":[{".":[{},[0,0,5]]}]},[0,0,2]],"u":[{},[0,0,3]]}],"á":[{"ð":[{},[4]],"k":[{},[5,0,3]],"r":[{},[3,0,3]],"s":[{},[3,0,1]],"t":[{},[0,0,1]]},[2,0,0,4]],"d":[{"í":[{},[4]]},[3,0,0,2]],"ð":[{".":[{},[4]],"a":[{"r":[{"á":[{},[0,0,0,0,0,5]]}]}],"i":[{},[4]],"s":[{},[4]],"u":[{".":[{},[3]]}]}],"e":[{"f":[{".":[{},[4]]},[3,0,1]],"i":[{"g":[{},[5]],"n":[{},[5]]}],"k":[{},[0,3]],"l":[{},[0,0,3]],"n":[{},[0,0,3]],"r":[{},[0,0,5]],"t":[{},[0,3]]},[2]],"é":[{},[4,1]],"f":[{"e":[{},[3]],"é":[{},[3]],"s":[{"k":[{},[0,0,0,0,3]]}],"u":[{},[0,0,1]]},[2]],"g":[{"j":[{},[0,0,3]],"r":[{"æ":[{},[0,0,4]]}],"s":[{"l":[{},[0,0,0,3]]},[0,0,0,0,4]]}],"i":[{"ð":[{},[4,0,5]],"f":[{},[4]],"n":[{"d":[{},[0,0,4]]},[0,0,3]],"s":[{"t":[{".":[{},[0,0,5]]}]}],"t":[{},[4,5]]}],"í":[{},[4,1]],"j":[{},[0,0,3,4]],"k":[{".":[{},[4]],"i":[{"s":[{},[0,0,0,4]]}],"j":[{},[0,0,5]],"r":[{},[0,0,3,0,4]]}],"m":[{"s":[{},[4]],"ú":[{},[0,0,3]]}],"n":[{"a":[{".":[{},[4]]}]}],"o":[{"ð":[{},[4]],"l":[{},[4]],"t":[{},[4]]}],"ó":[{},[2]],"p":[{},[2]],"r":[{"a":[{},[4]],"i":[{},[0,0,0,2]],"u":[{},[0,0,0,4]]}],"s":[{"á":[{},[0,0,4]],"e":[{},[3]],"k":[{},[0,0,1]],"p":[{"i":[{},[0,0,4]]}],"t":[{"í":[{},[5]]},[0,0,0,0,4]],"u":[{},[0,0,3]]}],"t":[{"i":[{"l":[{},[0,0,5]]}],"r":[{"a":[{"ð":[{},[0,0,5]]}]},[0,0,0,0,2]]}],"u":[{"ð":[{},[0,0,4]],"g":[{},[4,0,4]],"m":[{},[5]]},[0,0,3]],"ú":[{"s":[{},[0,5]]},[2,0,1]],"v":[{},[0,0,3,4]],"y":[{"f":[{},[0,0,3]]}],"ý":[{},[4]],"æ":[{"ð":[{},[0,3]],"v":[{},[0,0,5]]},[2]],"ö":[{},[4]]},[1]],"s":[{"a":[{"n":[{},[0,0,3]]},[4,1]],"á":[{},[2,3]],"e":[{},[4]],"é":[{},[4]],"i":[{"n":[{"n":[{"a":[{},[0,5]]}]}]},[2]],"j":[{},[2]],"k":[{},[4,1]],"l":[{"a":[{"g":[{},[0,3]]}]},[2]],"m":[{},[2,1]],"n":[{},[4]],"o":[{},[4]],"ó":[{},[4]],"p":[{"í":[{"t":[{},[0,0,0,0,0,4]]}]},[2]],"s":[{"v":[{},[0,0,0,4]]},[4]],"t":[{"a":[{"ð":[{},[4]],"n":[{"d":[{},[0,0,0,4]]}],"u":[{},[4]]}],"e":[{},[4]],"é":[{},[4]],"i":[{"g":[{},[4]],"n":[{"g":[{},[0,0,0,4]]},[4]],"r":[{"ð":[{},[4]]}]}],"í":[{},[4,1]],"j":[{},[4]],"l":[{},[0,0,0,3]],"o":[{},[4]],"ó":[{},[2]],"r":[{"á":[{"ð":[{},[0,0,0,5]]},[4]],"í":[{},[4]],"æ":[{},[4,3]],"ö":[{},[4]]}],"u":[{"l":[{},[4]],"n":[{},[4,3,0,4]]}],"ú":[{},[4]],"y":[{},[4,3]],"æ":[{},[4]],"ö":[{},[4]]},[1]],"u":[{},[2,1]],"v":[{},[2,1]],"y":[{},[4,0,4]],"ý":[{},[2]],"æ":[{},[4]],"ö":[{},[2]]},[0,0,2]],"t":[{"a":[{"ð":[{},[0,0,3]],"k":[{},[0,3]],"l":[{},[0,3]],"n":[{"v":[{},[0,0,4]]}],"r":[{},[0,0,0,4]]}],"e":[{"y":[{},[0,0,3]]},[0,1]],"h":[{},[3]],"i":[{"l":[{},[0,1]]}],"j":[{},[0,3]],"k":[{},[3]],"n":[{"s":[{},[0,0,0,0,3]]}],"ó":[{},[0,4]],"r":[{"a":[{},[0,0,0,4]],"e":[{},[0,0,1]],"i":[{},[3,0,1]]}],"s":[{"p":[{},[0,0,2]]}],"u":[{"n":[{},[0,5,2]]}],"ú":[{},[0,1]],"v":[{"e":[{},[0,0,4]],"i":[{},[3]]}],"ö":[{},[0,1]]},[2]],"u":[{"ð":[{".":[{},[4]],"l":[{"i":[{},[0,0,0,5]]}],"n":[{},[5]]}],"g":[{"a":[{"s":[{},[0,0,0,4]]}]}],"m":[{"b":[{"a":[{},[0,0,0,5]]}],"u":[{"n":[{},[0,0,0,5]]}]},[0,0,4]],"n":[{"d":[{"r":[{},[0,0,0,5]]}]}],"p":[{"e":[{},[0,0,0,5]],"l":[{},[0,0,0,3]],"p":[{},[0,5]]}],"s":[{"a":[{"m":[{},[0,0,0,0,5]]}]},[0,0,4]],"t":[{},[0,0,4]]},[2,4,2]],"ú":[{},[2,1]],"v":[{"a":[{"r":[{".":[{},[0,0,4]]}]}],"i":[{"r":[{},[0,3]]}]},[2,1]],"y":[{"f":[{},[0,5]]},[2]],"z":[{},[4]],"þ":[{"ó":[{},[0,2]]},[2,1]],"æ":[{},[2,3]],"ö":[{},[4,5]]}],"á":[{"a":[{"k":[{},[0,0,0,4]],"l":[{"o":[{},[0,0,5]]}]},[0,1]],"b":[{"u":[{},[0,4]]},[0,1]],"d":[{},[0,1,4]],"ð":[{"s":[{"n":[{},[0,0,3]],"t":[{"a":[{},[0,0,3]]}]},[0,0,2]],"u":[{"s":[{},[0,0,3]]},[0,0,2]]},[4]],"e":[{},[0,1]],"f":[{"á":[{},[0,5]],"í":[{},[0,5]],"l":[{"æ":[{"ð":[{},[0,0,0,0,0,4]]}]},[0,3]],"u":[{"n":[{},[0,0,5]]}]},[0,0,2]],"g":[{"i":[{},[0,0,2]],"l":[{},[0,0,0,4]],"r":[{},[0,0,0,2]],"s":[{},[0,0,1]],"v":[{},[0,0,3]]}],"h":[{},[0,1]],"i":[{},[0,1]],"k":[{"a":[{"m":[{},[0,0,0,0,4]],"p":[{},[0,0,0,0,4]]},[0,0,2]],"ó":[{},[0,0,0,4]]}],"l":[{"a":[{"m":[{},[0,0,0,3]],"r":[{"f":[{},[0,0,3]]}],"s":[{},[0,0,2]],"u":[{},[0,5]]}],"e":[{"t":[{},[0,3]]}],"f":[{"d":[{},[0,0,0,3,4]],"s":[{"k":[{},[0,0,0,5]]}]}],"m":[{"a":[{"n":[{},[0,0,0,5]]}],"u":[{},[0,0,0,5]]},[0,0,4]],"p":[{},[0,0,0,3]],"s":[{"e":[{},[0,0,4]],"v":[{"a":[{},[0,0,5]]}]}],"u":[{"g":[{},[0,0,5]]}],"ú":[{},[0,5]],"æ":[{"ð":[{},[0,0,3]]}]}],"m":[{"á":[{"l":[{"a":[{},[0,0,0,0,5]]}]}],"s":[{"l":[{},[0,0,0,0,4]]}]},[2]],"n":[{"a":[{"r":[{"o":[{},[0,0,4]]}],"s":[{},[0,0,2]]}],"o":[{},[0,0,4]],"ý":[{},[0,3]],"æ":[{},[5]]},[0,2]],"o":[{},[0,3]],"p":[{},[4]],"r":[{"a":[{"g":[{},[0,0,0,5]],"n":[{},[0,0,3]],"r":[{},[0,0,0,0,4]]}],"é":[{},[0,5]],"f":[{},[0,0,3,4]],"g":[{},[0,0,5]],"k":[{},[0,0,5,4]],"m":[{},[0,0,1]],"n":[{"s":[{"l":[{},[0,0,0,5]]},[0,0,0,0,4]]}],"s":[{"t":[{},[0,0,2]]}],"t":[{},[0,0,5]],"u":[{},[0,0,1]],"v":[{},[0,0,3]],"æ":[{},[0,5]]}],"s":[{"e":[{"n":[{},[0,0,5]]}],"k":[{"a":[{},[0,2]],"e":[{},[0,4]]},[0,1]],"l":[{},[0,3,4]],"m":[{},[0,0,2]],"t":[{"i":[{},[0,0,0,5]],"r":[{"á":[{"ð":[{},[0,0,0,5]]}],"í":[{"k":[{},[0,0,0,5]]}]}],"v":[{},[0,0,0,5]]},[0,0,0,2]],"u":[{},[4,0,0,4]],"v":[{"a":[{},[0,0,5]]}]}],"t":[{"a":[{"ð":[{},[0,0,3]]}],"e":[{},[0,1]],"r":[{"a":[{"s":[{},[0,0,0,4]]}]}],"t":[{"a":[{"r":[{},[0,0,0,0,0,3]]}],"i":[{"n":[{".":[{},[5]]}]}],"u":[{"n":[{},[0,0,0,3]]}]}],"æ":[{},[0,1]]}],"u":[{"k":[{},[0,0,0,4]]},[0,1]],"v":[{"e":[{},[0,3]],"í":[{},[0,3]],"æ":[{},[0,1]]}],"þ":[{},[0,1]],"æ":[{"ð":[{},[0,5]]}]}],"b":[{"a":[{".":[{},[4]],"ð":[{"k":[{},[0,0,0,0,4]]}],"h":[{},[0,0,4]],"k":[{"s":[{"l":[{},[0,0,0,5]]}]}],"n":[{"a":[{},[4]],"í":[{},[4]],"k":[{"a":[{"n":[{},[0,0,0,0,5]]}]}],"s":[{},[4]],"t":[{},[0,5]]},[0,0,2]],"r":[{"b":[{},[0,0,0,2]],"ð":[{"a":[{"s":[{},[0,0,0,0,4]]}]}],"n":[{},[0,0,0,2]]}]},[0,2]],"á":[{"s":[{},[0,0,4]]}],"b":[{"a":[{"ð":[{},[0,0,3]],"n":[{},[0,0,3]],"r":[{"n":[{},[0,0,5]]}]}],"i":[{},[0,0,3]],"u":[{"ð":[{},[0,0,3]]}]},[2,4]],"e":[{"s":[{"s":[{},[0,0,0,0,4]]}]},[1]],"i":[{"ð":[{"i":[{},[0,0,0,5]],"l":[{"i":[{"s":[{},[0,0,0,5]]}]}],"r":[{},[0,0,0,5,4]]}],"f":[{},[0,0,0,1]],"l":[{"j":[{},[0,0,0,0,5]],"l":[{},[0,0,0,0,5]]}],"n":[{"n":[{},[4]]}],"s":[{"k":[{},[0,0,0,0,3]]}],"t":[{"a":[{},[0,0,0,2]]},[0,4]]},[0,2,2]],"í":[{"a":[{},[4]],"s":[{},[2,3]],"u":[{},[2,3]]}],"j":[{"a":[{"r":[{},[0,0,0,0,2]]}]},[3]],"l":[{"í":[{"u":[{"n":[{"n":[{},[0,0,4]]}]}]}]},[0,4,2]],"n":[{},[4]],"o":[{},[5]],"ó":[{"k":[{"s":[{},[0,0,0,3]]}]},[3,0,4]],"r":[{"a":[{"ð":[{},[0,0,5]],"s":[{},[0,0,0,4]]}],"o":[{},[3]],"u":[{},[0,0,4]],"ú":[{},[3]]},[0,4,2]],"u":[{"m":[{},[4,0,0,4]],"r":[{"ð":[{},[3]],"s":[{"t":[{"a":[{"ð":[{},[0,0,0,0,0,5]]}]}]}]},[0,0,0,2]],"s":[{},[0,0,4]]}],"ú":[{"f":[{},[0,0,0,4]],"s":[{"t":[{"a":[{},[0,0,3]]}]}]},[1]],"y":[{},[1]],"ý":[{},[1]],"æ":[{"k":[{"i":[{},[0,0,0,2]]}],"n":[{"a":[{},[0,0,0,4]]}],"r":[{},[1]],"t":[{"t":[{"i":[{"s":[{"m":[{},[0,5]]}]}]}]}]}],"ö":[{"k":[{"i":[{},[4]]}]},[1]]}],"c":[{"a":[{},[0,4]],"i":[{},[0,0,4]],"k":[{},[0,0,4]]}],"d":[{"a":[{".":[{},[4]],"f":[{},[0,0,0,4]],"k":[{},[0,0,0,2]],"l":[{".":[{},[3]],"s":[{},[5]]}],"m":[{},[0,0,1,4]],"n":[{"g":[{},[0,5]],"í":[{},[0,4]]}],"r":[{"a":[{"d":[{},[0,4]],"ð":[{},[0,4,0,4]]}],"á":[{"r":[{},[0,0,0,4]]}],"f":[{},[0,3]],"p":[{},[0,5]]}],"s":[{"k":[{},[0,0,0,0,4]],"l":[{},[0,0,3]]}],"v":[{},[4]]}],"b":[{},[0,1]],"d":[{},[2]],"e":[{"a":[{},[4]],"f":[{},[0,5]],"g":[{},[3]],"i":[{"l":[{},[1]]}],"n":[{},[0,1]],"ó":[{},[0,5]],"p":[{},[5]]}],"f":[{},[0,1,4]],"g":[{"i":[{},[0,4]]},[0,1,2]],"h":[{},[0,1]],"i":[{"f":[{"u":[{},[0,0,5]]}],"l":[{"l":[{},[0,3]]}],"m":[{"a":[{},[0,0,3]]},[0,0,0,4]],"n":[{"a":[{"v":[{},[0,0,3]]}],"e":[{},[0,2]]}],"r":[{"s":[{},[0,0,0,3]]}]},[0,1]],"í":[{"d":[{},[0,0,3]],"ð":[{},[0,5]],"n":[{"u":[{},[0,5]]}],"s":[{},[3]],"v":[{},[0,0,0,3]]}],"j":[{"a":[{"r":[{"f":[{"a":[{},[0,0,0,0,0,5]]}]}]}]},[3,0,4]],"k":[{},[0,1,2]],"l":[{"a":[{"ð":[{},[0,0,3]],"g":[{},[0,3]],"u":[{},[0,3]]},[0,2]],"i":[{"ð":[{},[0,4]]}],"u":[{},[0,0,3]]},[0,1,2]],"m":[{},[0,1]],"o":[{"l":[{"f":[{},[0,5]]}]}],"ó":[{"ð":[{},[0,5]],"f":[{},[0,3]],"l":[{"í":[{},[0,0,5]]}],"m":[{"a":[{"n":[{},[0,0,0,5]]}]},[1,0,2]],"n":[{"e":[{},[0,0,5]]}],"r":[{},[3]],"s":[{"e":[{},[0,0,0,5]]},[0,0,2]]}],"q":[{},[4]],"r":[{"a":[{"ð":[{"f":[{},[0,5]],"s":[{"t":[{},[0,5]]},[0,0,4,0,0,5]]}],"f":[{"n":[{},[0,0,0,0,0,4]]}],"r":[{"a":[{},[0,0,4]]}]}],"e":[{"g":[{},[3]],"i":[{"p":[{},[0,5]]}],"y":[{},[0,5]]}],"i":[{"ð":[{"a":[{},[0,5]]}]}],"í":[{"k":[{},[0,3]]}],"o":[{"ð":[{},[0,5]]}],"u":[{},[0,0,0,4]],"æ":[{"t":[{},[0,4]]}]}],"s":[{"a":[{"l":[{},[0,5]]}],"j":[{"ö":[{},[0,4]]}],"k":[{"o":[{},[0,0,4]],"u":[{"n":[{},[0,0,5]]}]},[0,0,0,2]],"l":[{},[0,0,1]],"n":[{"ö":[{},[0,5]]}],"s":[{},[0,0,1,4]],"t":[{"i":[{},[0,4]]},[0,1,0,4]],"u":[{"ð":[{},[0,0,4]]}],"ö":[{"f":[{},[0,4]]}]},[2]],"t":[{},[0,1,2]],"u":[{"f":[{"t":[{},[5]]},[0,0,0,4]],"k":[{},[0,0,0,4]],"m":[{"b":[{},[0,4]]}],"r":[{"æ":[{},[0,0,5]]}],"s":[{"t":[{"a":[{},[0,4]]}]}]},[0,1]],"ú":[{"n":[{"a":[{},[0,0,0,4]]},[0,3]],"t":[{},[0,0,0,4]]}],"v":[{},[0,1,4]],"w":[{},[4]],"y":[{},[1]],"ý":[{},[1]],"þ":[{},[0,3]],"æ":[{"f":[{},[4]],"r":[{},[4]]},[1]],"ö":[{},[3]]}],"ð":[{"a":[{"f":[{},[0,0,0,4]],"g":[{},[0,0,3]],"k":[{},[0,0,0,4]],"l":[{"b":[{"o":[{},[0,4]]}],"d":[{},[0,3]],"i":[{"s":[{},[0,0,0,4]]}]}],"m":[{},[0,4,1,4]],"n":[{"m":[{"e":[{"g":[{},[0,0,0,0,0,0,4]]}]}]},[0,3,4]],"r":[{"a":[{},[0,0,0,1]],"f":[{},[0,3,0,3]],"l":[{"i":[{"s":[{},[0,0,0,4]]}]},[0,0,0,3]],"t":[{},[0,0,0,3,4]],"ú":[{},[0,3]]}],"t":[{"a":[{},[0,0,0,4]]}],"u":[{},[0,3]]},[0,1]],"á":[{},[0,3,2]],"b":[{},[0,1]],"d":[{},[0,1,2]],"e":[{},[0,1]],"f":[{},[0,3,4]],"g":[{"a":[{},[0,2]],"i":[{},[0,2]],"l":[{},[0,0,4]],"n":[{},[0,4]],"u":[{"l":[{},[0,3,4]]},[0,0,0,4]]},[0,1]],"h":[{},[0,1]],"i":[{"g":[{},[0,0,3]],"k":[{},[0,0,0,4]],"n":[{},[0,3]],"s":[{"l":[{},[0,0,0,5]],"t":[{"a":[{},[0,4]]},[0,0,0,0,4]],"v":[{"e":[{},[0,0,0,4]]}]}]},[0,1]],"j":[{"a":[{"s":[{},[0,0,3]]}],"ó":[{},[0,3]],"u":[{},[0,4]]}],"k":[{"e":[{},[0,3]],"r":[{},[0,1]],"u":[{"n":[{"n":[{},[0,3]]},[0,0,2]]}],"v":[{},[0,1]]}],"l":[{"á":[{},[0,1]],"i":[{"n":[{},[0,0,2]],"s":[{"t":[{},[0,0,4]]}]}],"í":[{},[0,3]],"u":[{"r":[{},[0,0,4]]}],"æ":[{},[0,1]]}],"m":[{},[0,1,2]],"n":[{"u":[{"m":[{},[0,0,0,0,4]]}]}],"o":[{},[0,3]],"ó":[{},[0,3]],"p":[{},[0,1,2]],"r":[{"á":[{"t":[{},[0,0,5]]}],"e":[{},[0,1]],"é":[{},[0,1]],"i":[{"k":[{},[0,3]]}],"í":[{"k":[{},[0,3]]}],"ó":[{},[0,5]],"u":[{},[0,0,1]],"ú":[{},[0,3]],"æ":[{"ð":[{"i":[{"s":[{},[0,0,0,0,0,0,5]]}]}]},[0,1]]}],"s":[{"a":[{"f":[{"l":[{},[0,0,5]]}]}],"á":[{},[0,0,5]],"e":[{"g":[{},[0,4]]}],"i":[{"n":[{"n":[{},[0,0,4]]}]}],"k":[{"r":[{},[0,0,0,0,4]],"ú":[{},[0,4]],"v":[{},[0,0,5]],"ö":[{},[0,4]]},[0,1]],"l":[{"u":[{},[0,0,4]]}],"o":[{"r":[{},[0,0,3]]},[0,2]],"s":[{},[0,0,0,4]],"t":[{"í":[{},[0,2]],"ö":[{},[0,3]]},[0,1,0,2]],"u":[{},[0,0,4]],"v":[{"i":[{},[0,4]]}],"æ":[{},[0,2]]}],"t":[{},[0,1,4]],"u":[{"ð":[{},[0,3]],"g":[{},[0,3]],"l":[{"l":[{},[0,3]],"s":[{},[0,5]]}],"n":[{"n":[{},[0,5]],"u":[{},[0,3]]}],"r":[{"á":[{},[0,0,0,5]],"f":[{},[0,0,0,3]],"g":[{},[0,0,0,5,4]],"s":[{"t":[{},[0,0,0,5]]}]},[0,3]]},[0,1]],"v":[{"a":[{"ð":[{},[0,0,5]],"n":[{"n":[{},[0,0,3]]}],"r":[{"n":[{},[0,0,3]]}]}]},[0,1]],"y":[{},[0,1]],"ý":[{},[0,5]],"þ":[{},[0,1]]}],"e":[{"a":[{"t":[{},[0,0,0,4]]}],"b":[{"r":[{"e":[{},[0,0,0,5]]}]}],"d":[{"e":[{},[0,0,4]],"i":[{"k":[{},[0,1]],"t":[{},[0,0,3]]}]}],"ð":[{"a":[{"l":[{},[0,0,0,0,1]]},[0,0,3,2]],"i":[{"l":[{},[0,0,3]],"s":[{},[0,0,4]]}]}],"f":[{"a":[{"l":[{},[0,3]]}],"i":[{},[0,0,3]],"j":[{"a":[{"n":[{},[0,0,0,5]]}]}],"n":[{},[0,0,4]],"t":[{".":[{},[4]],"s":[{},[2,0,0,0,5]]}]},[0,2]],"g":[{"g":[{"e":[{},[0,0,4]]}],"i":[{},[0,0,3]],"r":[{"u":[{},[0,0,0,5]]}],"u":[{"l":[{},[0,0,3,4]],"r":[{"s":[{},[0,0,0,0,4]]}]}]}],"i":[{"ð":[{"a":[{"r":[{},[0,0,0,5]]}],"s":[{"t":[{},[0,0,0,4]]}]}],"f":[{"a":[{"s":[{},[0,0,0,4]]}]}],"k":[{"a":[{},[0,0,4]],"l":[{"i":[{},[0,0,0,3]]}],"u":[{},[0,0,0,3]]}],"l":[{"a":[{"g":[{},[0,0,0,3]]}],"ö":[{},[0,0,0,5]]}],"m":[{"u":[{},[0,0,0,5]]},[0,0,2]],"n":[{"g":[{},[0,0,0,0,4]],"k":[{},[1]],"o":[{},[4]]}],"s":[{"t":[{"a":[{"ð":[{},[0,0,0,0,5]]}]}]}]},[0,4]],"k":[{"i":[{"s":[{},[0,0,2]]}],"j":[{"a":[{},[0,0,0,5]]}],"n":[{},[0,0,0,3]],"u":[{},[0,0,3]],"ú":[{},[0,0,5]]},[0,4]],"l":[{"á":[{"s":[{},[0,0,5]]}],"d":[{},[0,0,4]],"e":[{"g":[{},[0,0,3]]}],"f":[{"i":[{"n":[{},[0,0,0,3]]}]}],"g":[{"r":[{},[0,0,4]]}],"i":[{},[0,0,1]],"í":[{"n":[{},[0,0,3]]},[4]],"k":[{"e":[{},[0,0,4]]}],"l":[{"a":[{"n":[{},[0,0,0,5]]}],"e":[{"g":[{},[0,0,0,0,0,4]]},[0,0,0,3]]},[0,0,2]],"ó":[{},[0,0,3]],"r":[{},[0,0,3]],"s":[{"í":[{},[0,0,1]],"k":[{},[5]]}],"t":[{"e":[{},[0,0,4]]}],"u":[{"s":[{},[0,0,0,5]]}]},[0,2]],"m":[{"b":[{"a":[{},[0,0,4]],"e":[{},[1]]}],"e":[{"n":[{"s":[{},[0,0,5]]}]}],"i":[{},[0,0,3,4]],"j":[{},[0,0,0,3]],"l":[{"i":[{},[0,0,0,2]]},[0,0,4]],"p":[{"l":[{},[0,0,0,0,5]]}],"u":[{},[0,0,5]]},[0,2]],"n":[{"c":[{},[4]],"g":[{"a":[{},[0,0,0,3]]},[0,0,4]],"i":[{"k":[{},[0,0,0,0,4]]}],"n":[{"t":[{},[0,0,0,4]]},[2]],"t":[{},[0,0,4]]},[0,2]],"p":[{"h":[{},[0,0,4]],"i":[{},[0,0,3]],"l":[{"i":[{},[0,0,0,5]]}],"r":[{},[0,4]],"t":[{},[0,0,4]]}],"r":[{"a":[{"l":[{},[0,0,3]],"u":[{},[0,0,5]]}],"á":[{},[0,0,5]],"ð":[{},[4]],"e":[{"t":[{},[0,0,5]]},[5]],"f":[{"a":[{"r":[{},[0,0,0,5]]}],"r":[{},[0,0,2]],"u":[{},[0,0,0,3]]}],"g":[{"l":[{},[0,0,0,5]],"r":[{},[0,0,4]]}],"i":[{},[0,0,3]],"k":[{},[0,0,2]],"l":[{"a":[{},[0,0,4]],"i":[{},[0,0,0,3]],"í":[{},[0,0,4]]}],"m":[{"i":[{"n":[{},[0,0,0,5]]},[0,0,4]]}],"ó":[{"l":[{},[0,0,5]]}],"s":[{"k":[{"j":[{},[0,0,5]]}]}],"u":[{"n":[{},[0,0,1]]}],"v":[{},[0,0,2]],"ö":[{"f":[{},[0,0,0,0,4]]},[0,0,3]]},[0,4]],"s":[{"a":[{},[0,0,3]],"b":[{"a":[{"n":[{},[0,0,4]]}],"u":[{},[0,0,4]]}],"j":[{},[4]],"k":[{"e":[{},[0,5]]}],"o":[{},[4]],"p":[{"a":[{},[0,0,0,3]]}],"s":[{},[0,0,2]],"t":[{"a":[{"ð":[{},[0,0,0,3]]}],"ö":[{},[0,0,0,5]]}],"æ":[{},[0,3]]},[0,2]],"t":[{"i":[{"k":[{},[0,0,0,0,4]],"l":[{"s":[{},[0,0,5]]}]}],"n":[{"a":[{},[0,0,0,0,4]]}],"o":[{},[0,0,5]],"r":[{"a":[{"n":[{},[0,0,0,5]]}],"u":[{},[0,0,0,3]]}],"u":[{"l":[{},[0,0,0,0,4]],"s":[{},[0,0,2]]}]}],"x":[{"t":[{"u":[{},[0,0,0,4]]}]}],"y":[{"r":[{"a":[{"r":[{},[5]]}]}]}]}],"é":[{"b":[{},[0,3]],"d":[{},[0,1]],"ð":[{"s":[{},[0,0,2]]}],"f":[{"e":[{},[0,3]]}],"g":[{},[0,1,4]],"k":[{"y":[{},[0,5]]}],"l":[{"a":[{"g":[{},[0,0,0,4]],"r":[{"a":[{},[0,0,4]]}]}],"i":[{},[0,2]],"j":[{},[0,4]],"r":[{},[0,0,3]]},[0,1]],"r":[{"á":[{},[0,0,4]],"r":[{},[0,0,4]],"s":[{},[0,0,0,4]],"u":[{"n":[{},[0,0,4]]}],"v":[{},[0,0,3]]},[0,0,1]],"s":[{"m":[{},[0,3]]}],"t":[{"t":[{"u":[{"g":[{},[0,0,0,4]]}]}],"u":[{"n":[{},[0,0,4]],"r":[{},[0,0,0,0,4]]}]}]}],"f":[{"a":[{"ð":[{},[0,3]],"g":[{},[0,0,2]],"k":[{},[0,0,5]],"l":[{"l":[{},[1]],"u":[{},[0,0,0,4]]}],"n":[{"á":[{},[0,0,4]]}],"p":[{},[0,0,5,4]],"r":[{"ð":[{},[0,3]],"e":[{},[0,4]],"g":[{},[0,4]],"k":[{"a":[{"l":[{},[0,0,0,0,0,5]]}]}],"l":[{},[0,3]]},[0,2]],"s":[{"t":[{"e":[{},[0,0,0,0,3]]}]}]}],"á":[{"f":[{},[0,0,3]],"n":[{"s":[{},[0,5]]}],"r":[{"á":[{},[0,0,3]]}],"t":[{"a":[{},[0,0,3]]}],"v":[{},[0,0,3]]}],"b":[{},[0,1,4]],"d":[{"a":[{"n":[{},[0,0,2]]}],"r":[{},[0,1]],"ú":[{},[0,5]]}],"ð":[{"a":[{"l":[{},[0,0,0,4]]}]}],"e":[{"f":[{},[0,3]],"i":[{"n":[{},[0,3]]}],"l":[{},[3]],"n":[{"d":[{},[0,3]]}],"r":[{"l":[{"i":[{},[0,0,0,0,5]]}],"t":[{},[0,0,0,3]]}],"y":[{},[0,1]]},[1]],"é":[{},[1]],"f":[{"a":[{},[0,4]],"o":[{},[0,2]],"r":[{},[0,1]],"s":[{"t":[{},[0,0,4]]}],"æ":[{"r":[{"a":[{},[0,0,0,0,4]]}]}]}],"g":[{"a":[{},[0,2]],"i":[{},[0,2]],"n":[{},[0,0,4]]},[0,1,2]],"h":[{},[0,1]],"i":[{"ð":[{},[0,3]],"k":[{},[0,0,0,4]],"l":[{".":[{},[0,5]],"i":[{},[0,5]],"l":[{},[0,3]],"s":[{},[0,5]],"v":[{},[0,5]]}],"m":[{"a":[{},[0,0,0,3]]}],"n":[{"e":[{},[0,4]],"u":[{},[0,3]]}],"r":[{"ð":[{"i":[{},[3]],"u":[{},[0,3]]}],"g":[{},[0,0,0,0,2]],"n":[{},[0,3]],"s":[{},[1]]}],"s":[{"k":[{},[3,4]],"o":[{},[0,0,5]],"t":[{".":[{},[0,3]],"u":[{},[0,3]]}],"v":[{},[0,0,0,5]]}]}],"í":[{"k":[{"v":[{},[0,5]]}],"s":[{},[0,3]]},[0,0,4]],"j":[{"a":[{"ð":[{"u":[{},[0,0,5]]}],"n":[{"n":[{},[0,0,5]]}]},[0,0,4]],"e":[{},[0,0,4]]}],"k":[{},[0,1,2]],"l":[{"a":[{"n":[{"d":[{},[0,0,3]]}],"t":[{"a":[{},[3]]},[0,0,4]]}],"á":[{"t":[{},[0,5]]}],"e":[{"n":[{},[0,4]]}],"g":[{},[0,0,5]],"o":[{},[1]],"u":[{"t":[{},[5]]}],"v":[{},[0,0,0,4]],"ý":[{},[4]],"ö":[{},[1]]}],"m":[{},[0,1]],"n":[{"g":[{},[0,0,1]],"í":[{},[0,5,4]],"k":[{},[0,0,3]],"o":[{"k":[{},[0,0,5]]}]},[4]],"o":[{"p":[{},[4]],"r":[{"f":[{},[0,0,0,0,4]],"k":[{},[0,0,0,0,4]]}]},[1]],"ó":[{},[1]],"r":[{"a":[{".":[{},[4]],"ð":[{},[0,0,3]],"m":[{"l":[{},[0,0,0,0,3]]},[0,0,0,4]],"n":[{"d":[{},[0,0,5]]}],"r":[{},[4]]}],"i":[{".":[{},[2]],"n":[{},[0,0,5]]}],"í":[{"m":[{},[0,0,0,5,4]]}],"ó":[{"f":[{},[0,3]]}],"u":[{"ð":[{},[0,0,3]]},[0,0,0,4]],"æ":[{"k":[{},[2,3]],"n":[{},[4]]},[1]]},[0,0,2]],"s":[{"á":[{},[0,0,3]],"e":[{"l":[{},[0,4]]}],"k":[{"a":[{"f":[{},[0,4]]}]}],"l":[{"i":[{},[0,0,3]]},[0,0,0,4]],"n":[{"a":[{},[0,0,5]]}],"o":[{"r":[{},[0,0,5]]},[0,2]],"r":[{},[0,0,0,4]],"s":[{},[0,0,0,4]],"t":[{"i":[{},[0,4]],"æ":[{},[0,5,4]]}],"v":[{},[0,0,1]],"æ":[{},[0,4]]}],"t":[{"a":[{"ð":[{},[0,0,3]],"s":[{"k":[{},[0,0,0,4]]}]}],"á":[{},[0,0,5]],"e":[{},[0,3]],"s":[{"l":[{},[0,0,0,5]]},[0,0,2]],"u":[{"l":[{},[0,0,4]]},[0,0,3]]}],"u":[{".":[{},[4]],"ð":[{},[0,3]],"g":[{"l":[{},[3]]}],"n":[{"d":[{"a":[{"s":[{},[0,0,0,0,4]]}]}]}],"r":[{"ð":[{"u":[{"l":[{},[5]]}]}],"e":[{},[0,0,0,5]],"s":[{},[0,0,0,0,4]],"t":[{},[0,0,0,3]]},[2,3]],"s":[{"t":[{".":[{},[0,5]],"u":[{},[0,3]]}]},[4,2]]},[0,1]],"v":[{},[0,1,4]],"y":[{"r":[{"t":[{},[0,3]]}]},[1]],"þ":[{},[0,1]],"æ":[{},[1]],"ö":[{"r":[{"l":[{},[0,0,0,4]]}]},[1]]}],"g":[{"a":[{".":[{},[4]],"ð":[{},[4,3]],"f":[{"a":[{"r":[{},[0,0,0,4]]}]}],"g":[{"l":[{},[0,0,0,0,4]],"n":[{},[3]]}],"k":[{},[0,0,0,4]],"l":[{"a":[{"g":[{},[0,0,4]]}],"i":[{"s":[{},[0,0,0,4]]}],"s":[{},[5]],"t":[{},[5]]}],"m":[{"a":[{"l":[{},[0,0,0,3]]}],"i":[{},[0,0,0,4]]}],"n":[{"d":[{},[0,5]],"g":[{},[1]]}],"p":[{"a":[{},[0,0,0,4]]}],"r":[{"d":[{".":[{},[0,4]]}],"ð":[{".":[{},[3]],"a":[{},[3]],"i":[{},[3]],"s":[{},[3,0,0,0,4]],"u":[{"r":[{},[5]]}]},[0,2]],"f":[{},[0,3,0,3]],"k":[{"l":[{},[0,0,0,4]]}],"l":[{},[0,0,0,3]],"t":[{},[0,0,0,3]]}],"s":[{".":[{},[0,4]],"í":[{},[0,4]],"t":[{".":[{},[0,3]],"a":[{"ð":[{},[0,0,5]]}]}]},[4]],"t":[{"a":[{},[1]],"r":[{},[0,0,0,4]]}]},[0,1]],"á":[{"f":[{},[3]],"l":[{"e":[{},[0,0,5]]}]},[0,0,2]],"b":[{},[0,1]],"d":[{"a":[{"n":[{"s":[{},[0,0,4]]}]}],"e":[{},[0,3]],"u":[{},[0,4]],"v":[{},[0,0,4]]}],"ð":[{"a":[{"r":[{"o":[{},[0,0,4]]}]}]}],"e":[{"i":[{},[3]],"l":[{},[2,1]],"n":[{"d":[{},[0,5]],"g":[{},[3]],"t":[{},[0,3]]},[0,0,0,4]],"r":[{"ð":[{},[5]],"í":[{},[0,0,0,5]],"m":[{},[0,0,0,0,4]],"v":[{"a":[{},[0,0,0,0,5]]}]}],"t":[{"r":[{},[0,0,0,3]]}]},[1]],"f":[{},[0,1,2]],"g":[{"i":[{"s":[{},[0,0,0,0,5]]}],"j":[{"a":[{"f":[{},[0,0,0,0,0,3]],"r":[{},[0,0,0,5]]}]}],"r":[{"á":[{},[0,0,5]],"æ":[{},[0,0,3]]}],"s":[{"v":[{},[0,0,0,4]]}],"u":[{"g":[{},[0,0,3]]}],"v":[{},[0,0,2]],"ö":[{},[0,4]]}],"h":[{},[0,1]],"i":[{".":[{},[4]],"k":[{"v":[{},[0,0,5]]},[4]],"l":[{"d":[{},[3]],"l":[{},[0,5]],"t":[{},[5]]}],"m":[{"a":[{},[0,0,0,4]]}],"n":[{},[4,3,4]],"s":[{"a":[{},[0,0,0,4]],"p":[{},[0,4]],"t":[{"æ":[{},[0,5]]}]}]},[0,1]],"í":[{"r":[{"a":[{},[0,0,0,5]]}],"s":[{},[0,0,0,4]]}],"j":[{"a":[{"f":[{"a":[{"r":[{},[0,0,0,0,5]]}],"o":[{},[0,0,0,0,5]]}],"k":[{},[0,0,0,0,4]],"l":[{},[0,0,0,0,4]],"s":[{"t":[{"a":[{},[0,0,4]]}]}]}],"ö":[{},[1]]}],"k":[{"a":[{"l":[{},[0,0,0,0,4]]}]},[0,1,4]],"l":[{"á":[{},[0,1]],"e":[{"ð":[{},[0,4]],"g":[{},[0,3]]}],"é":[{},[0,0,5]],"f":[{},[0,0,3,2]],"i":[{"t":[{},[0,3]]}],"í":[{"n":[{},[0,5]]}],"ó":[{"t":[{},[0,0,3]]}],"s":[{"k":[{},[0,0,0,0,4]]}],"u":[{"g":[{"g":[{},[3]]}],"s":[{},[0,0,0,3]]}],"y":[{},[0,0,4]],"æ":[{"r":[{},[0,3]]}]}],"m":[{},[0,1,4]],"n":[{"a":[{"p":[{},[0,0,0,0,4]],"r":[{"t":[{},[0,0,0,0,0,4]]}]}],"á":[{},[0,4]],"g":[{},[0,0,3]],"ó":[{},[0,3]],"s":[{"e":[{},[0,0,4]]}],"u":[{"g":[{},[0,0,5]]}],"ý":[{".":[{},[0,4]]}]}],"o":[{"l":[{},[3]],"r":[{},[0,3]]}],"ó":[{"ð":[{},[3]],"r":[{},[0,0,0,5]],"u":[{"r":[{},[0,0,4]]}]}],"p":[{},[0,1]],"r":[{"a":[{"k":[{},[0,3,0,0,4]],"n":[{},[0,0,4]],"s":[{"s":[{"v":[{},[0,0,0,0,5]]}]},[0,0,0,2]]}],"á":[{},[0,2]],"e":[{"i":[{"s":[{},[0,3]]},[1]],"y":[{"ð":[{},[0,5]]}]}],"i":[{".":[{},[2]],"ð":[{},[0,0,0,0,4]]},[0,0,2]],"í":[{"k":[{},[0,3]]}],"ó":[{},[3]],"u":[{"n":[{"d":[{},[3]],"n":[{},[3]]}]}],"æ":[{"ð":[{"i":[{},[0,3]]}],"n":[{},[0,2]]}]}],"s":[{"á":[{},[0,0,1]],"e":[{"i":[{},[0,4]]}],"k":[{},[0,0,0,4]],"l":[{"e":[{"n":[{},[0,0,4]]}],"u":[{},[0,0,0,2]],"ö":[{},[0,0,4]]}],"m":[{},[0,0,3]],"o":[{"r":[{},[0,0,5]]}],"s":[{"i":[{},[0,0,4]]},[0,0,3,4]],"v":[{},[0,0,1]]},[4]],"t":[{"a":[{"ð":[{},[0,0,3]]}],"e":[{},[0,3]],"s":[{},[0,0,4]]}],"u":[{"ð":[{"i":[{},[0,4]],"l":[{},[0,0,0,0,4]],"s":[{"ó":[{},[0,0,0,4]]},[5,2]],"u":[{},[0,3]]}],"f":[{"u":[{},[5]]}],"l":[{"a":[{"g":[{"i":[{},[0,0,4]]}]}],"i":[{"n":[{},[0,5]]}],"l":[{},[0,3]],"s":[{},[0,3]]}],"m":[{"i":[{"ð":[{},[0,0,5]]}]}],"n":[{},[0,3]],"r":[{"f":[{},[0,0,0,0,4]],"g":[{},[0,0,0,3]]}],"s":[{"t":[{"a":[{},[0,4]]}]}]},[2,1]],"ú":[{"s":[{"t":[{"a":[{},[0,0,0,0,5]]}]}]},[0,3]],"v":[{"a":[{"l":[{},[0,3]]},[0,2]]},[0,1]],"y":[{"ð":[{},[5]]}],"þ":[{},[0,1]],"æ":[{"ð":[{"a":[{"s":[{},[0,0,0,4]]}]}],"l":[{},[0,0,0,4]],"r":[{},[0,0,0,3]]},[1]],"ö":[{},[1,0,4]]}],"h":[{"a":[{".":[{},[4]],"ð":[{},[0,0,0,4]],"f":[{"s":[{"p":[{},[0,0,0,4]]}]}],"n":[{"d":[{"r":[{},[0,0,0,0,5]]}]}],"t":[{"r":[{},[0,0,0,3]]}]},[0,2,4]],"á":[{"g":[{},[0,0,3]],"l":[{},[0,0,0,4]],"r":[{"e":[{},[0,0,3]]}],"s":[{"k":[{"i":[{},[0,0,4]]}],"t":[{"a":[{},[0,0,5]]}],"u":[{},[0,0,0,4]]}],"t":[{"i":[{},[0,0,5]],"r":[{},[0,0,0,0,4]]},[0,0,0,4]],"v":[{},[0,0,1]]}],"e":[{"i":[{},[0,0,0,2]],"l":[{"l":[{"i":[{"s":[{},[0,0,0,0,0,0,5]]}]}]}],"n":[{"r":[{},[0,0,0,2]]}],"r":[{"k":[{},[0,0,0,0,4]],"l":[{},[0,0,0,3,4]],"s":[{"k":[{},[0,0,0,0,0,4]],"l":[{"a":[{},[4]]}]}]}],"y":[{"s":[{"t":[{},[0,0,0,5]]}]}]},[0,0,4]],"g":[{},[4]],"i":[{"g":[{},[0,0,0,4]],"m":[{"b":[{},[0,0,0,5]]}],"n":[{},[0,0,0,4]],"t":[{"a":[{"s":[{},[0,0,0,4]]}],"n":[{},[0,0,0,4]]}]},[0,4]],"í":[{"a":[{},[0,5]],"b":[{},[0,0,5]]},[2,0,2]],"j":[{},[0,0,4]],"l":[{".":[{},[4]],"s":[{},[4]],"u":[{},[0,0,0,4]]},[0,2,2]],"n":[{"j":[{"a":[{},[0,0,0,0,4]],"á":[{"l":[{},[0,0,0,0,3]]}]}]},[0,4,2]],"o":[{"l":[{"l":[{"u":[{},[0,0,0,0,3]]}]}],"r":[{"m":[{},[0,0,0,0,5]]}]}],"ó":[{"m":[{"e":[{},[0,0,0,5]]}],"t":[{},[0,0,0,3]]},[0,0,2]],"r":[{},[0,0,4]],"s":[{},[4]],"u":[{"g":[{"r":[{},[0,0,0,1]],"u":[{},[0,0,0,3]]}],"l":[{"i":[{},[0,0,0,5]]}],"n":[{"d":[{"r":[{},[0,0,0,0,0,4]]}]}]},[0,0,4]],"ú":[{"m":[{},[0,0,0,3]],"r":[{},[4]],"s":[{"k":[{},[0,0,0,5]]}]},[0,0,2]],"v":[{"a":[{"r":[{},[0,0,0,0,4]]}],"i":[{"k":[{},[0,0,0,0,3]]}]},[0,0,4]],"y":[{},[5]],"æ":[{"f":[{"a":[{},[0,0,0,5]]}],"t":[{"t":[{"u":[{"s":[{},[0,0,0,0,4]]}]}]}]}],"ö":[{"s":[{"t":[{},[0,0,0,0,3]]}]}]}],"i":[{"a":[{"s":[{},[0,5]]},[2]],"á":[{},[4,5]],"b":[{"b":[{},[0,0,0,3]],"l":[{"í":[{},[0,0,0,3]]}]},[4,1]],"c":[{},[4]],"d":[{"a":[{},[0,3]],"e":[{},[0,1]],"r":[{},[0,3]]},[2,0,4]],"ð":[{".":[{},[1]],"f":[{},[4]],"g":[{},[2,0,3]],"j":[{"a":[{"r":[{"ð":[{},[0,0,5]]}]}]}],"r":[{},[4]],"s":[{"a":[{"l":[{},[0,0,5]]}]},[4]],"u":[{},[2]]}],"e":[{"f":[{},[0,3]]},[4]],"f":[{"a":[{"r":[{"n":[{},[0,0,5]]}],"t":[{},[0,0,0,0,4]]}],"e":[{"n":[{},[0,2]]}],"g":[{},[0,0,4]],"i":[{"s":[{},[0,0,3]]}],"t":[{},[0,0,4]],"y":[{},[0,4]]},[4]],"g":[{"a":[{"m":[{},[0,0,0,3]]}],"ð":[{"u":[{},[0,0,0,5]]}],"e":[{"n":[{},[0,0,1]]}],"r":[{"í":[{},[0,0,5]]}]},[4,2]],"h":[{},[2,1]],"i":[{"ð":[{},[0,5]]},[2]],"j":[{},[4]],"k":[{"á":[{},[0,0,5]],"i":[{"s":[{},[0,0,4]]},[0,0,3]],"t":[{"o":[{},[0,0,0,5]]}],"v":[{"ö":[{},[0,4]]}]},[4]],"l":[{"a":[{"g":[{},[0,0,0,2]],"r":[{"a":[{},[0,0,4]]}]}],"á":[{},[0,1]],"e":[{},[4]],"f":[{"a":[{},[0,0,0,4]],"i":[{},[0,0,1]]}],"g":[{},[0,0,1,4]],"i":[{"ð":[{"u":[{},[0,5]]}],"n":[{},[0,0,5]],"p":[{},[0,0,3]]}],"í":[{"s":[{},[0,0,5]],"u":[{"m":[{},[0,0,0,4]]}]}],"k":[{"v":[{},[0,0,4]]}],"l":[{"a":[{"g":[{},[0,0,3]],"n":[{},[0,0,0,5]]}],"á":[{},[0,0,3]]}],"o":[{},[0,1]],"s":[{"a":[{},[0,0,4]],"k":[{},[0,0,1]],"n":[{},[0,0,3]],"t":[{},[0,0,0,0,4]]}],"æ":[{"k":[{},[0,0,0,0,4]]}],"ö":[{"n":[{},[0,5]]}]},[2]],"m":[{"b":[{"u":[{},[0,0,0,3]]},[0,0,4]],"i":[{"ð":[{},[0,0,4]]},[0,0,3]],"l":[{"a":[{},[0,0,4]]}],"m":[{},[0,0,4]],"ó":[{},[0,5]],"s":[{"v":[{},[0,0,4]]}]},[4]],"n":[{"a":[{"f":[{},[4]],"n":[{},[0,0,3]],"r":[{},[4]],"t":[{"r":[{},[0,0,0,0,5]]}],"u":[{},[2,3]],"v":[{"í":[{},[0,0,0,0,3]]},[2,0,0,2]]}],"á":[{},[4]],"d":[{".":[{},[4]]}],"g":[{"a":[{},[0,0,4]],"j":[{"a":[{"r":[{"n":[{"i":[{},[0,0,0,0,6]]}]}]}]}],"r":[{},[4]],"v":[{},[0,0,0,0,4]]}],"n":[{"s":[{},[2]],"u":[{},[2]]}],"o":[{},[0,0,1]],"ó":[{},[4]],"s":[{"k":[{},[0,0,1,4]],"p":[{},[0,0,2]],"t":[{"a":[{},[0,0,3]]}]}],"u":[{"l":[{},[0,0,5]]}],"ý":[{},[4]]},[1,2]],"o":[{},[2,3]],"ó":[{},[4]],"p":[{"i":[{"l":[{},[0,5]]}]},[2]],"r":[{".":[{},[3]],"a":[{},[4]],"á":[{},[2,1]],"ð":[{"i":[{},[2]],"n":[{},[4]]}],"e":[{},[4]],"é":[{},[4]],"f":[{"i":[{},[0,0,0,2]],"s":[{},[4]]}],"i":[{"g":[{},[4]],"t":[{},[2]]}],"í":[{},[4,1]],"k":[{"u":[{},[0,0,0,3]]},[2]],"l":[{},[0,0,3]],"m":[{},[0,0,1,4]],"n":[{"d":[{},[4]],"i":[{".":[{},[4]],"n":[{},[4]],"s":[{},[4]]}]}],"ó":[{},[4]],"s":[{"á":[{},[0,0,0,4]],"t":[{},[0,0,0,0,4]]}],"t":[{"a":[{"l":[{},[0,0,3]]}],"i":[{},[0,0,0,5]],"l":[{},[4]],"ö":[{},[0,0,0,4]]}],"u":[{"g":[{},[0,0,3]]}],"ú":[{},[4]],"ö":[{},[4]]}],"s":[{".":[{},[1]],"a":[{"g":[{"a":[{},[0,5]]},[4]],"m":[{},[0,3]],"s":[{},[0,0,2]]},[2]],"d":[{},[3]],"e":[{},[2]],"h":[{"v":[{},[4]]}],"i":[{"n":[{"s":[{},[3]]}]}],"í":[{},[4,0,0,4]],"j":[{"ó":[{},[0,3]]},[4]],"k":[{"a":[{},[0,0,4]],"e":[{"l":[{},[0,0,0,5]]}],"i":[{"m":[{},[0,0,0,0,3]],"n":[{"n":[{".":[{},[0,0,0,5]]}]}]}],"o":[{},[3]],"u":[{},[0,0,0,2]],"v":[{},[0,0,0,1]],"ö":[{},[5]]},[2]],"l":[{"é":[{},[2]],"æ":[{},[0,0,3]]}],"m":[{"a":[{},[5]],"e":[{},[0,0,5]]}],"n":[{"i":[{},[4]]}],"p":[{"a":[{"ð":[{},[0,0,0,3]]}],"u":[{},[0,0,0,3]]}],"s":[{"i":[{},[0,0,0,2]],"ú":[{},[0,0,5]]}],"t":[{"a":[{"l":[{},[0,0,0,3]]}],"e":[{},[2]],"é":[{},[4]],"i":[{"g":[{},[4]],"k":[{},[0,5]],"s":[{},[0,0,0,4]]}],"í":[{"n":[{},[0,0,0,5]]}],"o":[{},[4]],"ó":[{},[4]],"y":[{},[4]],"æ":[{},[4]],"ö":[{"k":[{},[0,0,5]]},[2]]}],"v":[{"i":[{"ð":[{},[0,0,4]],"n":[{},[5]]},[4]],"æ":[{},[0,3]]},[0,0,1]],"ö":[{},[2]]},[0,2]],"t":[{"a":[{"ð":[{},[0,0,3]],"n":[{"n":[{},[0,0,5]]}]}],"e":[{"i":[{},[0,5]]}],"h":[{"a":[{},[0,0,4]]},[4]],"i":[{"l":[{"l":[{},[0,0,5]]}],"s":[{"m":[{},[0,0,0,0,4]]}]}],"k":[{"a":[{},[0,0,2]]}],"n":[{"e":[{"s":[{},[0,0,0,5]]}]}],"r":[{"í":[{},[0,0,3]]}],"s":[{"t":[{"ö":[{},[0,0,4]]}]}],"u":[{"n":[{},[0,0,3]],"r":[{"n":[{},[0,0,4]]}]}],"v":[{"e":[{},[0,0,4]]}]},[2]],"u":[{},[4]],"ú":[{},[4]],"v":[{"í":[{"s":[{},[0,2,5]]}]},[4,1]],"x":[{"s":[{},[4]]}],"þ":[{},[2,3]],"æ":[{},[4]],"ö":[{},[4]]}],"í":[{"a":[{"k":[{},[4,5]],"l":[{"d":[{},[0,5]],"i":[{},[0,3]]},[0,0,0,3]],"s":[{},[0,2]],"t":[{},[0,5]],"u":[{},[0,5]]},[0,1]],"á":[{},[0,5]],"b":[{"a":[{"r":[{},[0,5]]},[0,0,4]],"e":[{},[0,4]],"ú":[{},[5]]}],"d":[{"a":[{"g":[{},[0,5]]}]}],"ð":[{"s":[{"k":[{},[0,0,0,0,4]]},[0,0,2,3]]}],"e":[{"l":[{},[0,3]],"n":[{},[0,3]],"t":[{"n":[{},[0,0,0,3]],"t":[{},[0,5]]}]}],"f":[{"e":[{"ð":[{},[0,0,3]]}],"i":[{},[0,4,3]],"r":[{"í":[{},[0,0,5]]}],"s":[{"k":[{},[0,0,0,3]],"p":[{},[0,0,4]]}]},[0,2]],"g":[{"e":[{},[0,0,3]],"i":[{"l":[{},[0,3]]}]},[0,2]],"h":[{},[0,1]],"i":[{},[0,1]],"k":[{"a":[{"n":[{"a":[{"r":[{},[4,0,4]]}],"i":[{},[4,0,4]]}]},[0,0,3,4]],"i":[{"s":[{},[0,0,5]]}],"k":[{"i":[{},[0,0,0,2]]}],"m":[{},[5]],"n":[{"e":[{},[0,0,0,5]]},[0,0,2]],"s":[{},[0,0,4]],"u":[{"s":[{},[0,0,3]]}]}],"l":[{"a":[{"k":[{},[0,0,0,0,4]],"s":[{},[0,0,2]]}],"á":[{"r":[{},[0,0,5]]}],"f":[{},[0,0,5,4]],"í":[{},[0,3]],"m":[{"á":[{},[5]]}],"s":[{"k":[{},[0,0,3]]}]},[2]],"m":[{"a":[{"ð":[{},[0,0,3]],"l":[{},[0,0,0,3,4]],"n":[{},[0,0,3]]}],"g":[{},[0,0,4]],"o":[{},[0,0,5]],"t":[{},[0,0,5]],"u":[{"n":[{},[0,0,3]]}]},[4]],"n":[{"á":[{},[0,5]],"e":[{},[0,0,5]],"g":[{"e":[{},[0,0,3]]}],"t":[{},[0,0,5]],"u":[{"g":[{},[0,0,0,3,4]]}],"ú":[{},[0,0,3]]},[0,2]],"ó":[{"p":[{"í":[{"u":[{},[0,0,0,5]]}]},[0,3]]}],"p":[{},[4]],"r":[{"a":[{"k":[{},[0,0,5]],"s":[{},[0,0,0,4]]}],"i":[{},[0,4,5]],"s":[{"v":[{},[0,0,4]]}],"t":[{},[0,0,3]],"æ":[{},[0,1]],"ö":[{},[0,0,5]]}],"s":[{"e":[{},[0,2]],"j":[{},[0,4,5]],"l":[{"e":[{"n":[{},[3]]}],"i":[{},[0,0,0,5]]},[0,0,0,2]],"m":[{},[0,0,2]],"t":[{"e":[{"r":[{},[0,0,5]]}]},[0,2]]}],"t":[{"a":[{"ð":[{},[0,0,5]],"l":[{"s":[{},[0,0,5]]}]}],"i":[{},[0,0,3]],"j":[{},[0,0,0,5]],"r":[{"e":[{},[0,0,3]],"ó":[{},[0,0,0,5]]}]}],"u":[{"b":[{},[4]],"ð":[{},[0,5]],"l":[{},[4]],"m":[{"a":[{},[0,0,1]]}],"n":[{},[0,3]],"p":[{},[0,0,5]],"r":[{"a":[{},[0,4]]},[0,3]],"s":[{"a":[{},[4]]}],"t":[{},[0,0,3]],"v":[{},[4]]}],"v":[{"o":[{},[0,0,0,4]]}],"þ":[{},[0,5]]}],"j":[{"a":[{"ð":[{"i":[{},[0,5]]},[0,3]],"f":[{"n":[{},[3,0,0,4]]}],"k":[{"l":[{},[0,0,5]]}],"l":[{"i":[{"ð":[{},[0,0,0,5]]}],"ó":[{},[0,0,5]]},[0,0,0,2]],"m":[{},[0,4]],"n":[{},[0,3]],"r":[{"a":[{"m":[{},[0,4]]}],"i":[{},[0,3]],"k":[{"i":[{},[0,0,0,0,4]]}],"n":[{"i":[{"ð":[{},[0,0,0,0,4]]}]}],"æ":[{},[0,4]]}],"s":[{"k":[{"u":[{},[0,0,0,0,4]]}],"t":[{},[0,3]]},[0,0,0,4]]},[0,2]],"á":[{"l":[{"a":[{"s":[{},[0,0,0,5]]}],"f":[{"a":[{},[0,0,0,0,3]]},[0,0,0,4]]}],"r":[{"n":[{},[3]],"u":[{},[0,0,0,4]]}],"v":[{"a":[{"r":[{},[0,0,0,0,0,5]]}]},[0,0,0,3]]}],"e":[{"n":[{"d":[{"a":[{},[0,0,0,0,4]]}]}],"p":[{},[0,4]],"r":[{},[0,4]],"t":[{},[0,4]]},[0,1]],"i":[{},[0,1]],"ó":[{"b":[{},[0,0,5]],"f":[{"r":[{},[0,0,5]]}],"s":[{},[0,0,2]],"u":[{"g":[{},[0,0,5]]}],"v":[{"e":[{},[0,0,3]]}]}],"u":[{"f":[{},[0,0,0,4]],"g":[{"a":[{"s":[{},[0,0,0,5]]}],"ó":[{},[0,0,4]]},[0,0,0,2]],"l":[{},[0,4,1,2]],"r":[{"e":[{},[0,0,0,4]],"t":[{"i":[{},[0,0,0,0,4]]},[5,2]]}],"s":[{"t":[{".":[{},[0,3]]}]},[0,2,0,4]]},[0,1]],"ö":[{"f":[{"n":[{},[3]]}],"k":[{},[3]],"l":[{"k":[{},[0,0,0,3]],"m":[{},[0,0,0,1]]}]}]}],"k":[{"a":[{"ð":[{"s":[{},[0,0,0,4]]}],"f":[{"a":[{"n":[{},[0,0,0,4]]}],"r":[{},[0,0,4]]}],"g":[{"a":[{"s":[{},[0,0,0,4]]}]}],"j":[{"a":[{},[0,0,0,5]]},[0,0,4]],"k":[{"l":[{},[0,0,0,4]]}],"l":[{"d":[{},[3]],"f":[{},[4]],"l":[{},[0,4]]},[0,0,0,2]],"m":[{"b":[{},[3,0,0,4]],"s":[{},[0,0,0,2,5]]}],"n":[{"a":[{"f":[{},[0,4]]},[0,3]],"n":[{".":[{},[0,3]]}],"ó":[{},[0,4]],"t":[{"a":[{},[5]]},[0,4]]}],"p":[{"a":[{},[4]]}],"r":[{"k":[{},[0,0,0,0,4]],"l":[{},[1,2,0,2]],"m":[{},[0,4]],"n":[{},[0,3]],"r":[{},[0,0,0,2]],"t":[{},[0,4]],"v":[{},[0,0,0,4]]}],"s":[{"k":[{},[0,0,0,0,4]],"s":[{},[3]],"t":[{"a":[{"l":[{},[5]]}],"u":[{".":[{},[0,5]]}]}]}],"u":[{"p":[{},[5]]},[1]]}],"á":[{"k":[{},[0,0,0,5]],"m":[{},[0,0,0,3]]}],"b":[{},[0,1]],"d":[{},[0,1,4]],"e":[{"n":[{"d":[{},[2,1]],"n":[{},[3]]}],"r":[{"f":[{},[3]],"l":[{},[5]],"m":[{},[0,0,0,4]]}]}],"f":[{"a":[{"l":[{"l":[{"s":[{},[0,0,0,0,0,0,5]]}]}]}]},[0,1,4]],"g":[{"l":[{},[0,0,0,4]]},[0,3]],"h":[{},[0,1]],"i":[{"ð":[{"l":[{},[0,0,0,5]]},[0,3]],"g":[{},[0,0,0,4]],"l":[{"l":[{},[0,5]],"s":[{"i":[{},[0,5]]}]}],"m":[{},[0,0,0,2]],"n":[{"g":[{},[0,5]]}],"p":[{},[0,4]],"r":[{"ð":[{},[0,3]],"k":[{},[5]],"n":[{},[0,5]],"t":[{},[0,4]]},[0,1]],"s":[{"e":[{},[0,5]],"k":[{},[0,0,0,0,4]],"t":[{".":[{},[0,3]]}]},[0,1]],"t":[{"e":[{},[0,0,3]]},[0,4]]}],"í":[{"l":[{},[3]],"s":[{},[0,0,0,3]],"t":[{"u":[{},[0,0,0,3]]}]}],"j":[{"a":[{"l":[{},[0,0,0,4]],"r":[{"a":[{},[0,0,0,0,4]],"f":[{},[0,0,0,0,5]]}]}],"u":[{"g":[{},[0,0,0,3]]}],"ö":[{"r":[{},[3]]},[1]]}],"k":[{"a":[{"l":[{},[0,0,0,5]]}],"e":[{},[0,0,5]],"j":[{"ó":[{},[0,0,0,1]]}],"l":[{"á":[{},[0,0,1]],"i":[{},[0,0,4]]},[0,2]],"r":[{"í":[{},[0,0,3]]}],"s":[{"e":[{},[0,0,4]]}],"u":[{"l":[{},[0,0,0,0,4]]}],"v":[{"i":[{"ð":[{},[0,0,0,5]]}]}]}],"l":[{"a":[{"ð":[{},[0,0,3]],"n":[{"n":[{},[0,0,3]]}]}],"á":[{},[0,0,0,4]],"e":[{"f":[{},[5]],"i":[{"f":[{"a":[{},[0,0,0,0,0,5]]}]}],"m":[{},[0,4]]}],"i":[{"n":[{},[0,1]]}],"j":[{},[3]],"u":[{"k":[{},[3]]}],"ú":[{},[3]],"æ":[{},[1]]},[0,0,2]],"m":[{"i":[{"ð":[{".":[{},[0,4]]}]}]},[0,1,2]],"n":[{"a":[{"r":[{},[0,0,3]]}],"e":[{"y":[{},[0,2]]}],"i":[{"s":[{"v":[{"i":[{},[0,0,0,5]]}]}]}],"ú":[{},[3]]}],"o":[{"b":[{},[2]],"f":[{"f":[{},[0,0,0,0,5]]}],"l":[{"d":[{},[0,0,0,5]],"l":[{},[0,0,0,4]],"s":[{"v":[{},[0,0,0,5]]}]}],"n":[{"s":[{},[4]]},[3]],"s":[{},[3]],"t":[{"a":[{"s":[{},[0,0,0,4]]}]}]},[1]],"ó":[{"d":[{},[0,0,3]],"m":[{},[0,0,3,4]],"r":[{"a":[{},[0,0,0,5]]}],"t":[{"t":[{},[0,1]]}]}],"r":[{"a":[{"l":[{},[0,0,0,5]],"s":[{},[0,0,2]]}],"á":[{},[0,2]],"é":[{},[0,5]],"i":[{"f":[{"a":[{},[0,0,0,0,3]]}]},[0,0,2]],"ö":[{"f":[{},[3]]},[1]]}],"s":[{"l":[{"í":[{},[0,0,4]],"ö":[{},[0,0,4]]}],"m":[{"á":[{},[0,0,4]]}],"n":[{},[0,0,4]],"p":[{},[0,0,0,4]],"t":[{"e":[{},[0,4]],"ó":[{},[0,4]],"r":[{},[0,4]]}],"y":[{"f":[{},[0,0,0,0,4]]}]},[4]],"t":[{"a":[{"ð":[{},[0,0,3]]}],"e":[{"r":[{},[0,0,5]]}],"í":[{},[0,4]],"o":[{"r":[{"a":[{},[0,3]]}]}],"y":[{},[0,5]]}],"u":[{"ð":[{"i":[{},[0,4]]},[0,3]],"f":[{},[0,0,0,4]],"k":[{},[0,0,0,4]],"l":[{"e":[{"g":[{"r":[{},[0,0,0,0,0,0,4]]}]}]}],"m":[{"b":[{},[0,0,0,0,5]]},[0,0,0,4]],"n":[{".":[{},[0,5]],"a":[{".":[{},[0,5]],"r":[{},[0,3]]}],"i":[{},[0,5]],"n":[{"á":[{"t":[{"t":[{"a":[{},[5]]}]}]}]}],"u":[{},[0,3]]}],"p":[{"s":[{},[0,3]]}],"r":[{"ð":[{},[0,2]],"k":[{},[0,0,0,5]]}],"s":[{"l":[{},[0,0,5]],"t":[{".":[{},[0,3]],"u":[{"m":[{},[0,5]]}],"y":[{},[0,0,3]]}]},[0,2]]},[2,1]],"ú":[{"l":[{"u":[{},[3]]}],"n":[{},[0,3]],"r":[{"e":[{},[0,0,3]]}],"t":[{"u":[{"s":[{},[0,0,0,4]]}]}]},[0,0,2]],"v":[{"e":[{"n":[{},[3]]}],"é":[{},[4]],"u":[{"n":[{".":[{},[0,0,4]]}]},[4]],"æ":[{},[1,4]],"ö":[{"r":[{},[4]]},[3]]}],"þ":[{},[0,5]],"ö":[{"k":[{},[3]],"l":[{"d":[{},[5]]}],"n":[{"n":[{},[5]]}],"s":[{},[5]]}]}],"l":[{"a":[{".":[{},[2]],"c":[{},[4]],"d":[{"a":[{"n":[{},[0,0,4]]}]}],"ð":[{"a":[{"l":[{},[0,0,0,4]]}]},[2]],"f":[{"a":[{"s":[{},[0,0,0,4]]}],"r":[{},[0,0,0,4]],"s":[{},[0,3]]},[4]],"g":[{"ð":[{},[3]],"e":[{},[4]]}],"k":[{"ó":[{},[0,0,5]]},[2]],"l":[{"d":[{},[0,3]]},[0,0,1,2]],"m":[{"b":[{},[0,0,0,4]]}],"n":[{"a":[{},[2]],"d":[{".":[{},[3]],"s":[{},[3]]},[0,2]],"g":[{},[1]],"k":[{"a":[{"s":[{},[0,0,0,0,5]]}]}],"n":[{"a":[{".":[{},[0,5]]}]},[4]],"ó":[{},[0,4]],"t":[{},[0,0,0,4]]}],"p":[{"l":[{},[0,0,3,0,4]]}],"r":[{"a":[{"m":[{},[0,4]]}],"e":[{},[0,4]],"g":[{},[0,0,0,0,4]],"i":[{"s":[{},[0,4]]}],"n":[{},[0,3]],"ó":[{},[0,0,3]],"t":[{},[0,0,0,0,4]],"y":[{},[0,4]]},[2]],"s":[{"i":[{},[0,0,0,3]],"l":[{"e":[{},[0,0,0,3]],"i":[{},[0,0,5]]}],"t":[{"a":[{"ð":[{},[0,0,0,0,5]]}]}]},[2]],"t":[{"í":[{"n":[{},[0,0,0,3]]}],"u":[{},[0,0,0,4]]}],"u":[{"m":[{},[2]],"t":[{"a":[{"s":[{},[0,0,0,0,5]]}]}]},[1]]}],"á":[{"g":[{},[0,0,2]],"m":[{"a":[{},[0,0,0,5]]}],"n":[{"e":[{},[0,0,0,5]]}],"r":[{},[4]],"t":[{"u":[{"m":[{},[5]]}]},[0,0,4]],"v":[{},[0,0,3]]}],"b":[{},[2,1]],"d":[{"a":[{"r":[{},[0,0,3]]}],"d":[{},[0,0,3]],"e":[{"m":[{},[0,0,0,0,4]],"y":[{},[0,0,3]]}],"i":[{"g":[{},[0,0,0,0,4]]}],"r":[{"a":[{"s":[{},[0,0,0,4]],"u":[{},[0,0,5]]}],"i":[{},[0,4]],"o":[{},[0,0,5]],"ó":[{},[0,0,0,3]]}]},[2]],"e":[{".":[{},[4]],"f":[{"n":[{},[0,1]]},[2]],"g":[{"n":[{},[4]]}],"i":[{"f":[{"a":[{"s":[{},[0,0,0,0,5]]}]}],"k":[{"v":[{},[0,0,0,0,3]]}],"n":[{},[4]]}],"k":[{},[4]],"l":[{},[4]],"n":[{"n":[{},[4]]}],"p":[{},[4]],"r":[{"í":[{},[0,0,5]]},[2]],"s":[{"e":[{},[0,0,0,5]]}],"t":[{},[2]],"x":[{},[0,3]],"y":[{".":[{},[2]],"j":[{},[4]],"m":[{},[2]]}]},[1]],"f":[{"a":[{"s":[{},[0,0,4]]}],"á":[{"t":[{},[0,0,5]]}],"d":[{"r":[{},[0,0,4]]}],"f":[{},[0,0,3]],"i":[{"n":[{"n":[{".":[{},[0,0,5]]}]}]},[0,0,2]],"j":[{},[0,3]],"l":[{"a":[{},[0,0,0,0,4]]},[0,0,2]],"ó":[{},[0,4]],"s":[{"p":[{},[0,0,4]]}],"t":[{"r":[{},[0,0,0,0,4]],"u":[{"n":[{},[0,0,0,4]]}]}]}],"g":[{"a":[{"r":[{"s":[{},[0,0,0,0,4]]}],"s":[{"t":[{},[0,0,5]]}]},[0,0,2]],"á":[{},[0,1]],"e":[{"s":[{},[0,4]]}],"i":[{"l":[{},[0,0,0,0,4]],"s":[{"i":[{},[0,0,4]]}]}],"í":[{},[0,0,3]],"l":[{},[0,0,0,4]],"n":[{"i":[{"s":[{},[0,0,0,0,5]]}]}],"r":[{},[0,1]],"ú":[{},[0,0,4]]},[4]],"h":[{},[0,1]],"i":[{".":[{},[4]],"k":[{"a":[{},[0,0,0,4]],"v":[{},[0,0,5]]}],"l":[{"a":[{},[0,0,5]],"i":[{},[0,0,3]]},[0,0,0,2]],"n":[{"d":[{},[0,2]],"g":[{"s":[{"á":[{},[4]]}]}],"n":[{".":[{},[0,5]]},[0,3]],"u":[{},[2,3]]}],"r":[{},[4,3]],"s":[{".":[{},[0,5]],"á":[{},[0,4]],"i":[{},[0,3]],"k":[{},[0,0,0,0,4]],"r":[{},[0,5]],"t":[{"i":[{},[0,4]],"u":[{".":[{},[0,5]]}]}]},[0,1]],"t":[{"a":[{"r":[{},[0,0,0,4]]}],"l":[{},[3]]}]}],"í":[{"a":[{".":[{},[0,3]]}],"b":[{},[0,0,4]],"f":[{"a":[{},[0,0,0,5]]},[1]],"k":[{"k":[{},[0,0,0,3]]}],"m":[{"u":[{"g":[{},[0,0,0,5]]}]}],"p":[{},[4]],"t":[{},[1]],"u":[{"f":[{},[0,4]],"h":[{},[0,4]],"t":[{"r":[{},[0,4]]}]},[0,1]]}],"j":[{"a":[{"r":[{"ð":[{},[0,0,5]]},[0,0,3]]}],"ó":[{"s":[{"k":[{},[0,0,0,0,5]],"l":[{},[0,0,0,0,3]]},[1]]}],"u":[{"g":[{},[0,0,3]],"r":[{"u":[{},[0,0,4]]},[0,0,0,0,4]]}]}],"k":[{"a":[{"p":[{},[0,0,0,0,4]],"s":[{},[0,0,4]]}],"e":[{},[0,1]],"r":[{},[0,3]],"ú":[{"r":[{},[0,3]]}],"v":[{},[0,1]],"y":[{},[0,3]]},[2]],"l":[{"e":[{"t":[{},[0,0,3]],"y":[{},[0,4]]}],"f":[{},[0,0,3]],"g":[{},[0,0,1,2]],"i":[{"ð":[{"a":[{},[0,0,3]]}],"g":[{},[0,0,0,3]],"s":[{"s":[{},[0,0,0,0,0,4]]}],"t":[{},[0,1]]}],"í":[{"t":[{},[0,0,0,0,4]]}],"k":[{},[0,0,3,4]],"m":[{},[0,0,3]],"ó":[{"t":[{},[0,0,1]]}],"s":[{"t":[{"æ":[{},[0,0,0,5]]}]}],"t":[{"e":[{},[0,0,5]]}],"u":[{"g":[{},[0,0,5]]}],"v":[{},[0,0,3]]},[2]],"m":[{"a":[{"r":[{"i":[{},[0,0,5]],"s":[{},[0,0,3]]}]}],"b":[{},[0,0,0,4]],"e":[{},[0,3]],"ó":[{},[0,1]]},[2]],"n":[{"a":[{"r":[{},[0,0,0,0,4]]}],"i":[{"ð":[{},[0,0,4]]}],"o":[{},[0,5]]}],"o":[{"ð":[{},[5]],"k":[{"i":[{},[5]]}],"n":[{},[4]],"r":[{},[4,1]],"s":[{},[5]]},[0,0,4]],"ó":[{"ð":[{"r":[{},[0,0,0,3]]}],"g":[{"r":[{},[0,0,5]]}],"m":[{"a":[{},[0,0,4]]}]}],"p":[{"t":[{},[0,0,5]]}],"r":[{"i":[{"t":[{},[0,3]]},[0,2]]},[2,1]],"s":[{"í":[{},[0,0,0,4]],"j":[{},[0,2,0,4]],"k":[{"i":[{"n":[{},[0,5]]}],"o":[{"n":[{},[0,0,4]]}]}],"n":[{"e":[{"s":[{"i":[{},[0,0,4]]}]}]}],"t":[{"a":[{"ð":[{},[0,3]]}],"i":[{"n":[{},[0,0,0,4]]}]}],"v":[{"e":[{},[0,0,1]]}]},[2]],"t":[{"a":[{"ð":[{},[0,0,3]]}],"i":[{"l":[{},[0,5]]}],"s":[{},[0,0,4]],"ú":[{},[0,0,4]],"æ":[{},[0,1]]},[4]],"u":[{".":[{},[4]],"ð":[{},[0,3]],"g":[{"l":[{},[0,0,0,0,4]]}],"k":[{"i":[{},[0,0,0,4]]}],"l":[{},[0,4,1,4]],"m":[{"a":[{},[0,0,1]]},[0,1]],"n":[{"d":[{},[3]],"u":[{},[0,3]]},[0,1]],"p":[{"e":[{},[0,0,5]]}],"r":[{},[0,1]]},[2]],"v":[{"a":[{"ð":[{},[0,0,3]],"l":[{},[0,3]]},[0,2]],"í":[{"u":[{},[0,4]]}]},[2,1]],"y":[{"f":[{},[3]],"n":[{},[1]],"r":[{},[0,1]]},[0,0,4]],"ý":[{"f":[{},[2]],"t":[{"a":[{},[0,0,0,4]],"i":[{},[4]]}]},[1]],"þ":[{},[2,1]],"æ":[{"g":[{},[1]],"k":[{"j":[{"a":[{"r":[{},[0,0,0,0,0,0,5]]}]},[0,0,0,0,3]],"k":[{},[5]]}],"t":[{"i":[{},[1]]}]}],"ö":[{"g":[{},[1]],"l":[{},[0,5]],"t":[{},[4]]}]}],"m":[{"a":[{".":[{},[2]],"b":[{},[0,4]],"d":[{},[0,4]],"ð":[{".":[{},[0,3]],"a":[{},[0,3]],"i":[{},[0,3]],"r":[{},[0,3]],"s":[{},[0,5]],"u":[{},[1]]}],"f":[{},[0,0,0,4]],"g":[{"n":[{},[3,0,0,4]]},[0,4]],"k":[{},[0,4]],"l":[{"a":[{"s":[{},[0,0,0,4]]}],"d":[{"r":[{},[0,0,0,3]]}],"f":[{},[0,3]],"l":[{},[0,3]],"p":[{},[0,4]],"t":[{},[0,0,0,4]]}],"m":[{},[0,0,1,4]],"n":[{".":[{},[4]],"a":[{".":[{},[4]]}],"á":[{},[0,4]],"b":[{},[0,3]],"d":[{},[2,3,0,0,2]],"k":[{},[0,3]],"l":[{},[0,3]],"n":[{"a":[{"s":[{},[0,0,0,0,4]]}],"i":[{},[3]],"s":[{},[3]],"t":[{},[0,0,0,0,5]]}],"s":[{"a":[{},[0,0,0,5]]},[2,3]],"t":[{},[0,3]],"u":[{},[4]]}],"r":[{"a":[{},[0,3]],"b":[{},[0,3]],"ð":[{},[0,3]],"k":[{"s":[{},[0,0,0,0,0,5]]},[1,4]],"n":[{},[0,3]],"o":[{},[0,0,0,3]],"s":[{"m":[{},[0,0,0,0,5]]},[0,0,0,4]],"ú":[{},[0,4]]},[0,0,2]],"s":[{"k":[{},[0,0,0,0,4]],"p":[{},[0,0,4]],"t":[{".":[{},[0,3]]}]},[0,1]]},[0,2]],"á":[{".":[{},[4]],"l":[{"f":[{},[0,0,0,3,4]]},[3,0,2]],"m":[{"u":[{},[0,0,5]]},[2]],"p":[{},[0,0,5]],"r":[{},[4]]},[1]],"b":[{"a":[{"ð":[{"i":[{},[0,0,5]]}],"n":[{},[0,1]]}],"i":[{"r":[{},[0,0,4]]},[0,0,3]],"u":[{"n":[{},[0,0,3]]}]},[4]],"d":[{"a":[{"s":[{"t":[{"a":[{},[0,0,5]]}]},[0,0,2]]}],"v":[{},[0,0,4]]}],"e":[{".":[{},[4]],"ð":[{},[0,0,0,3]],"f":[{},[0,5]],"g":[{"i":[{"n":[{},[0,0,0,0,0,3]]}]}],"i":[{"s":[{},[5,2]]}],"l":[{"t":[{"r":[{},[0,0,0,0,0,4]]}]}],"n":[{"d":[{},[0,1]],"n":[{},[3]]}],"r":[{"h":[{},[0,5]],"í":[{},[0,3,0,3]]}],"s":[{"t":[{"a":[{},[0,0,0,0,5]]}]}]},[1]],"f":[{"í":[{},[0,4]],"ö":[{"r":[{"u":[{},[0,0,0,0,4]]}]}]},[0,1,4]],"g":[{"l":[{},[0,0,0,4]]},[0,1,2]],"h":[{},[0,1]],"i":[{"ð":[{"i":[{},[0,0,0,3]],"r":[{},[0,0,0,0,4]]}],"g":[{"e":[{},[0,0,3]]}],"k":[{},[3]],"l":[{"j":[{},[0,0,0,0,3]],"l":[{"j":[{},[0,0,0,0,0,3]]},[0,0,0,4]]}],"n":[{"g":[{},[0,3]],"j":[{},[5]],"n":[{".":[{},[0,3]]}],"s":[{},[0,0,0,4]],"u":[{},[0,3]]}],"r":[{},[0,3]],"s":[{"k":[{},[0,0,0,3]],"l":[{"u":[{},[0,0,0,3]]}],"m":[{},[0,0,0,0,4]]},[0,1]]}],"í":[{},[2]],"j":[{"ó":[{"s":[{"l":[{},[0,0,0,3]]}]}]}],"k":[{"a":[{"r":[{"g":[{},[0,0,4]]}],"s":[{},[0,0,4]]},[0,2]],"i":[{},[0,0,2]],"l":[{},[0,0,4]]},[0,1]],"l":[{"a":[{"g":[{},[0,3]],"u":[{},[0,3]]},[0,2]],"á":[{"r":[{},[0,0,3]]},[0,2]],"i":[{},[0,2]],"u":[{"k":[{},[0,5]]}]},[0,1]],"m":[{"a":[{},[0,2,3]],"b":[{},[0,0,5]],"ó":[{},[0,4]],"s":[{"v":[{},[0,0,4]]}],"u":[{},[0,0,3]]},[4]],"n":[{"e":[{"s":[{"k":[{"u":[{},[0,4]]}]}]}]}],"o":[{"g":[{},[2]],"k":[{},[4]],"l":[{},[3]],"n":[{"g":[{},[0,0,0,0,5]]}]}],"ó":[{"d":[{},[0,0,0,3]],"ð":[{"s":[{},[0,0,0,4]]}],"g":[{},[0,0,5,4]],"n":[{"í":[{},[0,5]]}],"r":[{"a":[{"u":[{},[0,0,3]]}]}],"s":[{},[0,0,4]],"t":[{},[3]]}],"p":[{"á":[{},[0,0,3]],"e":[{},[0,5]],"i":[{},[0,0,3]]}],"r":[{"a":[{"u":[{},[0,3]]}],"á":[{},[0,5]],"e":[{},[0,3]],"ý":[{},[0,3]],"æ":[{},[0,1]]}],"s":[{"á":[{"l":[{},[0,0,5]]}],"e":[{"i":[{},[0,0,5]]},[0,2]],"k":[{"a":[{"u":[{},[0,5]]}],"j":[{},[0,0,5]]}],"l":[{"á":[{},[0,0,5]]}],"n":[{},[0,0,0,4]],"s":[{"e":[{"t":[{"r":[{},[0,0,0,0,0,0,4]]}]}]}],"v":[{"í":[{},[0,4]]},[0,1]]},[4]],"t":[{"a":[{"ð":[{},[0,0,3]]}],"i":[{"s":[{},[0,0,2]]},[0,4]],"u":[{"g":[{},[0,3]],"n":[{},[0,0,5]],"s":[{},[0,0,4]]}],"v":[{},[0,0,2]],"ö":[{},[0,1]]}],"u":[{".":[{},[4]],"g":[{"u":[{},[0,0,0,4]]}],"l":[{},[4]],"m":[{},[4]],"n":[{"d":[{},[1]],"g":[{},[0,3]]},[0,2]],"r":[{"u":[{},[0,4]]},[4]],"s":[{"t":[{"a":[{},[0,0,5]]}]}]},[0,1]],"ú":[{"ð":[{},[0,3]],"g":[{"u":[{},[0,0,0,4]]}],"n":[{},[0,1]],"s":[{"a":[{},[0,0,0,4]]}]}],"v":[{},[0,1,4]],"y":[{},[1]],"ý":[{"m":[{},[0,0,5]]},[3]],"þ":[{},[0,1]],"æ":[{},[1]],"ö":[{"r":[{},[0,0,0,4]]},[1]]}],"n":[{"a":[{".":[{},[4]],"d":[{"a":[{},[0,0,2]],"í":[{},[0,0,4]]}],"ð":[{"a":[{"r":[{},[0,0,0,0,0,3]]}]}],"f":[{"l":[{"a":[{"n":[{},[0,0,0,0,5]]}]},[0,0,0,0,4]],"n":[{},[3]]},[0,0,0,4]],"k":[{"a":[{},[0,0,0,4]],"r":[{},[0,0,4]]}],"l":[{"a":[{},[0,0,3]],"d":[{},[0,3]],"i":[{},[0,0,3]]},[0,0,0,2]],"m":[{"a":[{},[0,0,1]]}],"n":[{"a":[{"f":[{},[0,4]]}],"g":[{},[0,5]],"n":[{},[0,5]]}],"r":[{"a":[{"k":[{},[0,4]]}],"f":[{"i":[{},[0,4]],"ö":[{},[0,4]]},[0,3,0,3]],"g":[{},[0,0,0,0,4]],"i":[{"s":[{},[0,4]]}],"m":[{},[0,0,0,5]],"r":[{"i":[{"n":[{},[0,0,0,5]]}]}],"u":[{},[0,4]],"ú":[{},[0,4]]}],"t":[{},[0,0,0,4]],"u":[{"g":[{},[0,5]],"k":[{},[0,3]],"m":[{"a":[{},[0,0,0,0,5]]}]}]},[0,1]],"á":[{"g":[{},[0,0,1]],"k":[{},[0,0,1]],"m":[{},[3,0,4]],"n":[{"a":[{"s":[{"t":[{},[0,0,0,5]]}]}]}]},[1]],"b":[{"æ":[{"j":[{},[0,0,0,0,4]]}]},[0,1]],"d":[{"e":[{"r":[{},[0,0,3]]}],"i":[{"s":[{"v":[{},[0,0,4]]}]}],"j":[{},[0,4]],"ó":[{"t":[{},[0,0,3]]}],"r":[{"e":[{"k":[{},[0,0,3]]}],"u":[{},[0,0,0,1]],"æ":[{},[0,0,1]]}],"s":[{"e":[{"n":[{},[0,0,4]]}]}],"u":[{"g":[{},[0,0,3]],"l":[{},[0,0,5]],"r":[{"g":[{},[0,0,0,0,5]]}]}],"ú":[{},[0,0,3]]}],"e":[{"ð":[{"s":[{},[0,0,0,2]]}],"f":[{"l":[{},[4]]},[3,2]],"m":[{"a":[{},[0,0,0,5]]},[0,4]],"n":[{},[2,1]],"r":[{},[4,4]],"s":[{"t":[{"r":[{},[0,0,0,0,0,4]]}]}],"t":[{"l":[{},[0,0,0,0,4]]}],"y":[{"i":[{},[0,5]],"j":[{},[0,3]]}]},[1]],"é":[{"s":[{"k":[{},[0,0,5]]}]}],"f":[{"r":[{},[0,0,0,4]]},[0,1,2]],"g":[{"a":[{"m":[{},[0,0,0,1]],"r":[{"e":[{},[0,0,5]]}],"s":[{},[0,0,2]]}],"e":[{"k":[{},[0,0,5]],"r":[{},[0,3]],"t":[{},[0,3]],"y":[{},[0,0,1]]},[0,2]],"i":[{"k":[{},[0,0,0,5]],"l":[{"i":[{"ð":[{},[0,0,0,5]]},[0,0,0,0,4]]}]}],"l":[{"a":[{"g":[{},[0,0,5]]}],"i":[{"ð":[{},[0,0,0,5]]},[0,0,0,2]]}],"ó":[{"l":[{"f":[{"s":[{},[0,0,5]]}]}]}],"r":[{"a":[{"n":[{},[0,0,0,5]]},[0,0,4]],"í":[{},[0,3]],"u":[{},[0,0,0,3]],"æ":[{},[0,0,3]]}],"s":[{"j":[{},[0,0,4]],"p":[{},[0,0,4]],"t":[{"e":[{},[0,0,4]]}]}],"u":[{"r":[{"s":[{},[0,0,0,0,0,3]]}],"t":[{},[0,0,0,3]]}]}],"h":[{},[0,1]],"i":[{"ð":[{"i":[{},[0,4]]}],"f":[{"r":[{},[0,0,5]]}],"g":[{"r":[{},[0,0,3]]}],"l":[{"u":[{},[0,0,3]]}],"m":[{},[0,0,5]],"r":[{"u":[{},[0,4]]}],"s":[{"a":[{},[0,3]],"á":[{},[0,4]],"k":[{"ó":[{},[0,0,3]]},[0,0,0,0,4]],"m":[{},[0,0,0,2]],"s":[{},[0,0,0,5]],"t":[{"e":[{},[0,0,3]],"æ":[{},[0,0,5]]}]}]},[4,1]],"í":[{"a":[{},[0,3]],"s":[{"k":[{},[0,3]]}],"u":[{"m":[{},[0,0,4]]},[0,1]]}],"j":[{"á":[{"l":[{},[0,0,0,0,4]]}]}],"k":[{"a":[{"ð":[{},[0,0,3]],"n":[{"d":[{},[0,0,5]],"s":[{},[0,0,3]]}]}],"á":[{},[0,5]],"e":[{},[0,1]],"i":[{},[0,0,3]],"ó":[{},[0,5]],"u":[{"n":[{"n":[{},[0,3]]}]}],"y":[{},[0,5]],"ö":[{},[0,5]]},[0,0,2]],"l":[{"i":[{"s":[{"t":[{".":[{},[0,4]]}]}]},[0,0,0,4]]},[0,1,2]],"m":[{},[0,1,4]],"n":[{"á":[{},[0,0,1]],"e":[{},[0,0,1]],"g":[{},[0,0,3,2]],"k":[{"i":[{},[0,0,0,4]]}],"s":[{"j":[{},[0,0,4]],"k":[{"e":[{},[0,0,5]]}],"t":[{"o":[{},[0,0,4]],"u":[{"n":[{},[0,0,5]]}]}]}],"t":[{"ó":[{},[0,0,5]]}],"u":[{"g":[{},[0,0,3]],"s":[{},[0,0,2]]}],"ú":[{"ð":[{},[0,0,3]]}]},[0,2]],"o":[{"r":[{},[0,1]],"t":[{},[1]]}],"ó":[{"l":[{"f":[{},[0,5]]}],"t":[{"t":[{"i":[{"n":[{},[5]]}]}]}]}],"p":[{},[0,3,4]],"r":[{"a":[{"m":[{},[0,3]],"u":[{},[0,5]]}],"i":[{"t":[{},[0,3]]},[0,2,4]]},[0,1]],"s":[{"a":[{"k":[{},[0,3]]}],"á":[{"t":[{},[0,5]]}],"e":[{"g":[{},[0,4]],"s":[{},[0,0,5]]}],"i":[{"s":[{},[0,0,5]]}],"í":[{},[0,0,1]],"k":[{"i":[{"l":[{},[0,3]]}],"í":[{"r":[{},[0,0,0,0,0,4]]}],"j":[{"a":[{},[0,0,5]]}],"ö":[{},[0,5]]}],"n":[{"a":[{},[0,0,0,4]]}],"r":[{},[0,0,5]],"t":[{"e":[{},[0,0,0,4]]}]}],"t":[{"a":[{"ð":[{},[0,0,3]],"k":[{".":[{},[0,5]],"i":[{},[0,5]]}],"l":[{},[0,3]]}],"e":[{},[0,1]],"g":[{"e":[{"n":[{},[0,0,0,0,0,5]]}]}],"i":[{"l":[{},[0,3]]}],"í":[{},[0,2]],"s":[{"k":[{},[0,0,5]],"m":[{},[0,0,5]]},[0,0,2]],"u":[{"g":[{},[0,0,3]]}],"v":[{},[0,0,4]],"ý":[{},[0,1]],"ö":[{},[0,1]]}],"u":[{"f":[{},[0,0,0,4]],"g":[{"r":[{},[0,4]]}],"k":[{},[0,0,0,2]],"l":[{},[0,0,1]],"m":[{"a":[{},[0,0,1]],"d":[{},[5]]}],"n":[{"g":[{"s":[{},[0,0,0,0,0,3]]}]}],"r":[{"f":[{},[0,0,0,5]],"l":[{},[0,0,0,4]]}],"s":[{"t":[{".":[{},[0,3]],"a":[{"ð":[{},[0,0,5]]}]}],"v":[{},[0,0,4]]}],"t":[{"a":[{},[0,0,5]]}]},[0,1]],"ú":[{"m":[{},[3,0,0,3]],"s":[{},[0,0,4]]}],"v":[{},[0,1]],"y":[{"f":[{},[0,5]],"r":[{"k":[{},[0,3]]}]}],"ý":[{"g":[{},[0,3]],"l":[{},[0,0,3]],"s":[{"k":[{},[0,0,5]]}]},[1]],"þ":[{},[0,1]],"æ":[{"l":[{"a":[{},[0,0,0,4]]}]},[1]],"ö":[{"f":[{},[3]],"l":[{"d":[{},[0,3]]}],"n":[{},[0,5]]}]}],"o":[{"b":[{"s":[{},[5]]}],"ð":[{"a":[{"l":[{},[0,0,0,3]]}],"r":[{},[0,0,0,4]],"s":[{"l":[{},[0,0,0,5]]}],"u":[{"g":[{},[0,0,4]]}]}],"f":[{"a":[{"n":[{"g":[{},[0,0,3]]}]}],"f":[{"u":[{},[0,0,0,4]]}],"o":[{},[0,0,3]],"r":[{},[0,0,5]],"s":[{"j":[{},[0,0,4]],"u":[{},[0,0,5]]}]},[0,2]],"g":[{"a":[{"l":[{},[0,0,0,3,4]],"s":[{"t":[{},[0,0,0,0,0,4]]}]}],"s":[{"u":[{},[0,0,0,4]]}]}],"k":[{"a":[{"s":[{},[0,0,4]]}]}],"l":[{"a":[{"k":[{},[0,0,0,0,4]]}],"d":[{"u":[{},[0,0,0,3]]}],"g":[{},[0,0,2]],"l":[{"e":[{"g":[{},[0,0,0,5]]}],"i":[{"t":[{},[0,0,5]]}],"s":[{"t":[{},[0,0,0,4]]}]}],"m":[{},[0,0,3]],"ó":[{},[0,0,3]],"t":[{"a":[{"l":[{},[0,0,0,0,0,4]]}]}]}],"m":[{"a":[{},[0,0,3]],"m":[{},[0,0,4,3]],"u":[{"n":[{},[0,0,3]]},[0,0,2]]},[0,2]],"n":[{"s":[{"v":[{},[0,0,3]]}],"t":[{"ó":[{},[0,0,5]]},[0,0,4]],"u":[{"s":[{},[0,0,4]]}]}],"p":[{"a":[{"p":[{},[0,0,0,5]]}],"h":[{},[0,0,2,3]],"u":[{},[0,0,5,4]]}],"r":[{"a":[{},[0,0,0,4]],"d":[{"i":[{},[0,0,4]]}],"e":[{},[0,0,1]],"f":[{"e":[{},[0,0,2]]}],"g":[{"r":[{},[0,0,2]]}],"í":[{},[3]],"l":[{"a":[{"g":[{},[0,0,0,0,0,4]]}]}],"m":[{"a":[{},[0,0,2]],"i":[{},[0,0,4]]}],"n":[{"e":[{},[0,0,4]]},[4]],"s":[{"t":[{"a":[{},[0,0,4]]}]}],"t":[{"r":[{},[0,0,0,0,4]],"u":[{"g":[{},[0,0,0,3]]}]}],"u":[{"g":[{},[0,0,3]]},[0,0,1]],"v":[{"i":[{"ð":[{},[0,0,4]]}]},[0,0,3,4]],"y":[{},[0,0,3]]}],"s":[{"k":[{"i":[{},[0,0,0,3]]}],"m":[{},[0,0,3]],"s":[{},[0,0,2]],"t":[{"i":[{},[0,0,0,5]],"u":[{"n":[{},[0,0,0,5]]}]}]},[0,4]],"t":[{"a":[{"ð":[{},[0,0,3]],"l":[{},[0,0,0,5,4]],"m":[{},[0,0,0,0,4]]}],"r":[{"o":[{},[0,0,3]]}],"s":[{"á":[{},[0,0,0,4]]}],"u":[{"n":[{},[0,0,5]]}]},[4,4]],"u":[{},[0,4]],"v":[{"e":[{},[0,3]]}],"x":[{},[0,0,4]]}],"ó":[{"a":[{"f":[{"l":[{"a":[{"t":[{},[0,0,0,0,0,0,4]]}]}]}],"n":[{},[0,5]],"r":[{"s":[{},[0,0,0,4]]}]},[0,1]],"b":[{"a":[{"k":[{},[0,0,3]]}]}],"d":[{"a":[{},[0,0,4]]}],"ð":[{"i":[{},[0,0,0,4]],"l":[{},[0,0,0,4]],"m":[{},[0,0,0,4]],"v":[{},[0,0,0,4]]}],"e":[{},[0,5]],"f":[{"a":[{"r":[{},[0,0,3]],"s":[{},[0,0,4]]}],"l":[{"u":[{"s":[{},[0,0,0,0,5]]}]}],"r":[{},[0,0,0,4]],"u":[{"s":[{},[0,0,5]]}],"y":[{},[0,2]],"ö":[{},[0,4]]}],"g":[{},[0,2]],"h":[{},[0,1]],"i":[{},[0,1]],"k":[{"l":[{"o":[{},[0,0,5]]}],"r":[{},[0,3]],"u":[{},[0,0,2]]}],"l":[{"a":[{"m":[{},[0,0,0,3]],"s":[{},[0,0,2]]}],"i":[{"k":[{},[0,0,5]],"s":[{},[0,0,4]]}],"k":[{"v":[{},[0,0,4]]}],"o":[{"m":[{},[0,0,5]]}],"s":[{"k":[{},[3]]}]}],"m":[{"a":[{"ð":[{},[0,4,3]],"r":[{},[0,0,3]]}],"b":[{"æ":[{},[0,0,4]]}],"g":[{},[0,0,2]],"i":[{"s":[{},[0,0,4]]}],"l":[{},[0,0,0,4]],"p":[{},[0,0,3]],"s":[{"t":[{"u":[{},[0,0,3]]}]}],"u":[{},[0,0,3]],"ö":[{},[0,2]]}],"n":[{"í":[{},[0,0,3]],"k":[{"v":[{},[0,0,5]]}]},[0,4]],"p":[{"e":[{},[0,0,4]],"h":[{},[0,0,2,5]]}],"r":[{"a":[{"s":[{},[0,0,4]]}],"á":[{},[0,0,0,4]],"d":[{"ö":[{},[0,0,4]]},[0,0,2]],"e":[{"s":[{},[0,0,5]]}],"f":[{},[0,0,0,4]],"g":[{},[0,0,0,4]],"i":[{"s":[{},[0,0,4]]},[0,4]],"í":[{"k":[{},[0,0,0,0,4]]}],"j":[{},[0,0,0,4]],"k":[{},[0,0,0,4]],"m":[{},[0,0,0,4]],"n":[{"o":[{},[0,0,0,4]]}],"ó":[{"n":[{},[0,0,3]]}],"r":[{},[0,0,0,4]],"s":[{"a":[{},[0,0,0,4]]}],"u":[{},[0,0,1]]}],"s":[{"a":[{"f":[{},[0,0,0,5]],"k":[{},[0,0,0,0,4]]}],"e":[{"m":[{},[0,3]],"n":[{"d":[{},[0,0,3]]}]}],"k":[{"a":[{"f":[{},[0,5]],"s":[{},[0,0,0,4]]}],"i":[{"n":[{},[0,0,0,5]]}]}],"l":[{"a":[{"v":[{},[0,0,0,0,0,3]]}]},[0,0,2]],"ó":[{},[0,2]],"p":[{},[0,0,0,4]],"s":[{"e":[{},[0,0,4]]}]}],"t":[{"a":[{"ð":[{},[0,0,3]],"p":[{},[0,0,0,0,4]]},[0,4]],"e":[{"f":[{},[0,0,5]]}],"i":[{"l":[{"t":[{},[0,0,0,0,4]]}]}],"í":[{},[0,5]],"ó":[{},[0,0,4]],"v":[{},[0,0,2]]}],"u":[{"m":[{"b":[{},[0,0,0,5]]}]},[0,1]],"v":[{"a":[{"t":[{},[0,5]]},[0,0,4]]}],"y":[{},[0,0,4]],"þ":[{},[0,5]]}],"p":[{"a":[{"g":[{},[0,0,0,4]],"l":[{"e":[{},[0,0,4]]}],"m":[{},[0,0,3]],"n":[{"g":[{"ó":[{},[0,0,0,3]]}]},[0,0,4]],"r":[{"a":[{"t":[{},[0,4]]}],"i":[{"f":[{},[0,0,0,0,3]]}],"í":[{},[0,0,0,5]],"t":[{"e":[{},[0,0,0,5]]},[0,2]],"u":[{},[0,4]]},[0,0,2]]},[0,1]],"á":[{"k":[{},[0,2]],"l":[{},[0,4]],"m":[{},[0,0,5]],"r":[{},[0,4]],"s":[{},[0,0,2]],"t":[{},[0,4]]}],"b":[{},[0,1]],"d":[{},[0,5]],"e":[{"l":[{},[0,1]],"n":[{"i":[{},[1]]}],"r":[{"s":[{},[3]]}]}],"f":[{},[0,1,2]],"g":[{},[0,1,2]],"h":[{},[0,1]],"i":[{"l":[{"a":[{"r":[{},[0,0,0,5]]}],"t":[{},[5]]}],"n":[{"k":[{},[0,4]]}],"s":[{"t":[{"i":[{},[0,0,0,0,5]]}]}],"t":[{},[0,0,0,4]]},[0,1]],"í":[{"p":[{},[3]],"t":[{},[0,0,2]]}],"l":[{"a":[{"ð":[{},[0,0,3]],"s":[{},[0,0,0,4]]}],"æ":[{},[0,4]],"ö":[{},[3]]},[0,0,2]],"m":[{},[0,1,4]],"o":[{"k":[{},[1]]}],"ó":[{"s":[{},[3]]}],"p":[{"a":[{"k":[{"s":[{},[0,0,5]]}]}],"e":[{},[0,0,5]],"í":[{},[0,0,3]],"k":[{},[0,0,0,4]],"l":[{},[0,0,1]],"ó":[{},[0,0,3]],"r":[{},[0,0,1]],"s":[{"k":[{},[0,0,0,0,4]]}]},[0,2]],"r":[{"a":[{},[4]],"i":[{"s":[{},[0,4]]},[0,0,2]],"í":[{},[0,0,0,4]],"j":[{},[3]],"ó":[{"f":[{"a":[{"s":[{},[0,0,0,5]]}]}],"m":[{},[0,0,0,5]]},[1]]}],"s":[{"a":[{},[0,1]],"s":[{},[0,0,0,4]],"t":[{},[0,1]]}],"t":[{"ú":[{},[0,0,2]]}],"u":[{"k":[{"i":[{},[0,0,0,4]]}],"l":[{},[0,0,1]],"r":[{"a":[{},[0,0,0,4]]}]},[0,1]],"ú":[{"f":[{},[0,0,0,4]]},[3]],"v":[{},[0,1]]}],"q":[{"u":[{},[0,0,4]]}],"r":[{"a":[{".":[{},[4]],"ð":[{"s":[{"h":[{},[5]]}]}],"f":[{"f":[{},[0,0,0,4]]}],"l":[{"d":[{},[0,3]],"i":[{},[0,0,0,4]],"l":[{},[0,4]],"s":[{},[0,3]]}],"n":[{"a":[{"l":[{},[3]]}],"i":[{".":[{},[0,4]]}],"n":[{"s":[{},[3]]}],"ó":[{},[0,4]]}],"r":[{"a":[{"ð":[{},[0,4]]}],"ú":[{},[0,4]],"y":[{},[0,4]],"æ":[{},[0,4]]},[4,3]],"s":[{"i":[{},[0,0,0,3]]}],"t":[{"u":[{},[0,0,3]]}],"u":[{"m":[{},[0,4]]}]},[2]],"á":[{"ð":[{},[1]],"f":[{"i":[{},[0,0,0,4]]}],"k":[{"v":[{"æ":[{},[0,0,5]]}]}],"r":[{"s":[{},[0,0,0,0,4]]}],"s":[{"a":[{},[0,4]]}]}],"b":[{"a":[{},[0,0,0,4]]},[0,1,4]],"d":[{"í":[{},[0,2]]},[0,1]],"ð":[{"a":[{"r":[{"á":[{},[0,0,4,0,4]]}]}],"i":[{"s":[{},[0,0,5]]}],"l":[{},[0,0,1,2]],"m":[{"u":[{},[0,0,4]]}],"r":[{"á":[{},[0,0,5]]}],"s":[{"u":[{},[0,0,5]],"v":[{},[0,0,3]]}],"v":[{},[0,0,0,4]]},[0,4]],"e":[{"f":[{".":[{},[0,4]],"s":[{},[0,4]],"t":[{"s":[{"k":[{},[5]]}]}]}],"g":[{"l":[{},[1]]}],"i":[{"g":[{},[0,3]],"k":[{},[3]]}],"n":[{"u":[{},[0,5]]}],"u":[{},[0,5]],"y":[{"n":[{},[0,4]]}]}],"é":[{},[0,4]],"f":[{"a":[{"l":[{"i":[{},[0,0,0,5]]},[0,1,0,0,2]],"r":[{},[0,0,4]]}],"á":[{},[0,3]],"e":[{"ð":[{},[0,5]]}],"i":[{"s":[{},[0,0,1]]}],"j":[{"á":[{"r":[{},[0,0,0,0,0,4]]}]},[0,1]],"l":[{"ö":[{},[0,0,4]]}],"ó":[{"g":[{},[0,0,0,0,5]]}],"r":[{"u":[{},[0,0,0,4]]},[0,1]],"s":[{"t":[{},[0,0,4]]}],"u":[{"n":[{"d":[{},[0,3]]}],"r":[{"ð":[{},[0,0,4]]}]}]}],"g":[{"j":[{"a":[{"ð":[{},[0,0,0,4]],"r":[{},[0,0,0,4]]}]}],"l":[{"y":[{},[0,5]]},[0,0,2,4]],"r":[{"a":[{},[0,2]],"e":[{"y":[{},[0,4]]}]},[0,1]]}],"h":[{},[0,5]],"i":[{".":[{},[4]],"ð":[{".":[{},[4,3]]}],"g":[{"a":[{"s":[{},[0,0,0,0,5]]}]},[0,0,0,2]],"l":[{"d":[{},[0,3]]}],"n":[{"e":[{},[0,0,0,5]],"g":[{"j":[{"a":[{"r":[{},[0,0,0,0,0,5]]}]}]}],"u":[{},[0,3]]},[4]],"p":[{"s":[{},[0,0,0,4]]}],"r":[{},[4,3]],"s":[{"k":[{},[0,0,3]],"l":[{},[0,0,0,5,2]],"n":[{},[3]],"t":[{"a":[{"ð":[{},[0,0,0,0,5]]}]}],"u":[{"n":[{},[0,0,0,4]]}]}],"t":[{"l":[{"i":[{},[0,0,0,3]]}]},[1,0,4]]}],"í":[{".":[{},[4]],"f":[{},[4]],"k":[{"i":[{"s":[{},[0,0,0,0,0,3]]}]}],"l":[{},[4]],"s":[{"t":[{},[0,0,0,0,4]]}],"u":[{},[4]],"þ":[{},[4]]}],"j":[{"a":[{"r":[{},[0,0,3]]}],"á":[{"l":[{},[0,0,0,4]]}],"ó":[{"s":[{"a":[{},[0,0,0,3]],"k":[{"a":[{},[0,0,0,0,0,5]]}]}]}]}],"k":[{"a":[{"m":[{},[0,0,0,1]],"u":[{"p":[{"s":[{},[0,0,0,0,0,4]]}]}]}],"á":[{},[0,3]],"e":[{"f":[{},[0,0,1]],"l":[{"l":[{},[0,4]],"s":[{"s":[{},[0,4]]}]}]},[0,1]],"j":[{"u":[{"s":[{},[0,0,0,0,3]]}]}],"s":[{"e":[{},[0,0,4]],"m":[{},[0,0,1]],"p":[{},[0,0,4]]}],"ú":[{},[0,0,4]],"v":[{"e":[{"i":[{},[0,0,5]]}]}],"ö":[{},[0,3]]}],"l":[{"a":[{"ð":[{},[0,0,3]],"n":[{"n":[{},[0,0,5]]}]}],"i":[{"ð":[{},[0,0,4]],"s":[{"s":[{},[0,0,0,0,5]]}],"t":[{},[0,3]]},[0,2,0,4]],"m":[{},[0,0,3]],"o":[{"f":[{},[0,0,0,0,4]]}]},[0,1,2]],"m":[{"a":[{"k":[{},[0,0,0,0,4]],"n":[{},[0,1]]}],"á":[{"l":[{"s":[{},[0,0,0,0,0,5]]}]}],"b":[{},[0,0,0,4]],"i":[{"ð":[{},[0,1]],"l":[{},[0,0,0,0,4]]},[0,0,2]],"j":[{},[0,5]],"k":[{},[0,0,0,4]],"l":[{},[0,0,0,4]],"ó":[{"ð":[{},[0,3]]}],"r":[{},[0,0,0,4]]}],"n":[{"a":[{"r":[{"l":[{},[0,0,0,0,5]]},[0,0,3]]}],"g":[{},[0,0,1]],"ó":[{"r":[{},[0,0,5]]}],"s":[{"í":[{},[0,0,5]],"m":[{},[0,0,5]],"o":[{},[0,0,4]]}],"u":[{"m":[{"i":[{},[0,5]]}]},[0,4]]}],"o":[{"g":[{"a":[{"s":[{},[0,0,0,4]]}]}],"n":[{},[0,0,0,4]],"r":[{},[0,1]]},[0,0,4]],"ó":[{"g":[{"r":[{},[0,0,5]]}],"m":[{},[0,0,4]],"s":[{"a":[{},[0,0,4]],"ó":[{},[0,0,0,3]]}],"t":[{"i":[{},[5]]}]}],"p":[{"a":[{"l":[{},[0,5]]}],"ó":[{},[0,3]],"r":[{"i":[{},[0,4]]},[0,1]],"s":[{"k":[{},[0,0,3]]},[0,0,2]],"y":[{},[0,5]]}],"r":[{"a":[{"r":[{},[0,0,5]]}],"á":[{},[0,1]],"e":[{},[0,1]],"é":[{},[0,1]],"í":[{},[0,1]],"k":[{},[0,0,2]],"ó":[{},[0,3]],"u":[{},[0,0,1]],"ú":[{},[0,5]],"æ":[{},[0,1]]}],"s":[{"a":[{"f":[{},[0,4]]},[0,1]],"á":[{"r":[{},[0,0,4]]}],"e":[{"g":[{"l":[{},[0,0,0,0,0,4]]}],"r":[{},[0,3]]}],"i":[{"n":[{"n":[{},[0,0,4]]}]}],"k":[{"e":[{},[0,3]],"i":[{"l":[{},[0,5]]}]}],"l":[{"a":[{"n":[{},[0,0,4]]}]}],"m":[{"á":[{},[0,0,2]]}],"t":[{"i":[{},[0,2]],"v":[{},[0,0,0,4]],"ö":[{},[0,3]]},[0,1]],"u":[{"n":[{"d":[{},[0,5]]}]},[0,0,2]],"ú":[{},[0,4]],"v":[{},[0,1]]}],"t":[{"a":[{"ð":[{},[0,0,3]],"g":[{},[0,0,0,5]],"k":[{},[0,3]],"s":[{"k":[{},[0,0,0,4]]}]}],"á":[{},[0,5]],"e":[{"r":[{},[0,0,5]],"y":[{},[0,0,3]]}],"h":[{"u":[{},[0,0,2]]}],"í":[{"k":[{},[0,4]]}],"ó":[{},[0,3]],"r":[{"ö":[{},[0,3]]}],"s":[{"e":[{},[0,0,4]],"l":[{},[0,0,5]]}],"t":[{},[0,0,0,4]],"u":[{"r":[{"u":[{},[0,0,4]]}]}],"ú":[{},[0,0,4]],"v":[{"e":[{},[0,0,4]]},[0,4]],"æ":[{},[0,1]],"ö":[{"f":[{},[0,0,1]]}]}],"u":[{"ð":[{"u":[{"n":[{},[0,4]]}]},[0,1]],"k":[{"i":[{},[0,0,0,4]]}],"l":[{"i":[{},[0,0,5]]}],"m":[{},[0,0,2]],"r":[{},[0,1]],"s":[{"s":[{},[0,4]],"t":[{".":[{},[0,3]]}]}],"t":[{"v":[{},[0,0,0,4]]}]}],"ú":[{"ð":[{},[0,4]],"m":[{},[3]],"s":[{"t":[{},[0,0,0,0,5]]}]}],"v":[{"a":[{"ð":[{},[0,0,3]]}],"e":[{},[0,3]],"i":[{"g":[{},[0,0,0,3]],"n":[{"g":[{},[0,0,3]]}]},[0,2]],"u":[{"n":[{},[0,0,4]]}],"æ":[{},[0,3]]},[0,1]],"y":[{"r":[{},[0,3]]}],"ý":[{"m":[{},[1]]}],"þ":[{},[0,1]],"æ":[{"k":[{"t":[{},[1]]}],"m":[{"d":[{"a":[{},[0,0,0,0,5]]}]}],"n":[{},[1]],"t":[{"i":[{},[0,0,0,3]]}]}],"ö":[{"f":[{"u":[{"g":[{},[0,0,0,4]]}]}],"k":[{"r":[{},[0,0,0,1]]}],"l":[{},[0,0,0,4]]}]}],"s":[{"a":[{".":[{},[2]],"b":[{},[4]],"ð":[{"f":[{},[0,4]]},[2,3]],"g":[{"r":[{},[4]],"t":[{},[4]]},[1]],"l":[{"a":[{"t":[{},[0,0,0,5]]}],"d":[{},[4,3]]}],"m":[{"b":[{},[0,0,0,5]],"e":[{},[4,0,0,1]],"m":[{},[0,0,0,3]],"s":[{},[0,0,0,1]],"y":[{},[0,0,0,5]]},[1,0,2]],"n":[{"d":[{"s":[{},[0,4]]}]},[2]],"r":[{"e":[{},[0,4]],"g":[{},[0,0,0,0,4]],"o":[{},[0,4]],"p":[{},[0,4]]},[2,3]],"s":[{},[2,1]],"t":[{"a":[{},[0,0,0,4]]},[2]],"u":[{"k":[{},[0,3]]},[2]],"v":[{},[4]]}],"á":[{"b":[{},[0,3]],"f":[{},[0,5]],"l":[{"a":[{"r":[{},[0,0,0,0,0,5]]}]}],"r":[{},[0,1]],"s":[{},[0,3]]},[0,0,4]],"b":[{},[0,1]],"d":[{},[0,3,4]],"e":[{"f":[{},[2,1]],"l":[{"d":[{".":[{},[4]]}]}],"m":[{"i":[{},[5]]}],"n":[{"s":[{},[5]]}],"r":[{},[2]],"s":[{},[2]],"t":[{},[3]],"x":[{},[0,0,0,3]],"y":[{"ð":[{},[0,4]]},[2,1]]},[1]],"é":[{},[1]],"f":[{"l":[{},[0,0,0,4]],"r":[{},[0,0,0,4]]},[0,5,4]],"g":[{"l":[{},[0,0,0,2]]},[0,1,4]],"h":[{"á":[{"s":[{},[0,0,0,4]]}]},[0,1]],"i":[{"ð":[{".":[{},[0,3]],"a":[{},[5,4]],"i":[{},[0,4]]}],"f":[{"i":[{},[0,0,5]]},[0,0,0,2]],"g":[{},[1]],"n":[{"d":[{"a":[{"r":[{},[0,0,0,0,4]],"s":[{},[0,0,0,0,4]]}]}],"n":[{"u":[{},[5]]}],"s":[{},[2,5]]}],"r":[{},[0,3]],"s":[{"t":[{},[0,3]],"v":[{},[0,4]]}],"t":[{"a":[{},[0,0,3]]}]},[0,1]],"í":[{"b":[{"r":[{},[0,0,3]]}],"ð":[{"k":[{},[0,0,0,0,4]]},[1]],"g":[{"l":[{},[0,0,0,0,4]]}],"k":[{},[0,3]],"m":[{},[0,0,4]],"n":[{"k":[{"a":[{},[0,0,0,0,5]]}]}],"r":[{},[0,3]],"s":[{},[0,1]],"u":[{".":[{},[0,5]]}],"v":[{"e":[{},[0,0,4]]},[0,0,3]]}],"j":[{"a":[{"f":[{},[0,3]],"r":[{},[0,0,0,0,4]]}],"á":[{},[0,4]],"ó":[{"l":[{},[0,0,0,5]],"m":[{},[0,0,0,3,4]],"s":[{},[0,0,0,3]]}],"u":[{},[4]],"ú":[{},[3]]},[1]],"k":[{".":[{},[2]],"a":[{".":[{},[4]],"ð":[{},[4]],"f":[{"a":[{},[0,0,0,0,4]]}],"l":[{},[4]],"n":[{},[2]],"p":[{},[1,0,0,4]],"s":[{},[4]]}],"á":[{},[1]],"e":[{"i":[{},[1]],"m":[{"m":[{},[3]]}],"n":[{},[4]],"y":[{},[3]]}],"i":[{".":[{},[2]],"ð":[{},[4]],"n":[{"u":[{},[0,0,3]]}],"p":[{},[3]],"r":[{},[2]],"s":[{},[4]]},[0,4,2]],"í":[{"r":[{},[3]]}],"j":[{"á":[{},[5]]}],"n":[{},[4,0,4]],"o":[{"ð":[{},[3]],"n":[{},[4]],"s":[{},[4]],"t":[{},[1,4]]}],"ó":[{"g":[{},[5]]},[1]],"r":[{"á":[{},[1]],"ó":[{},[4]],"ú":[{},[3]]}],"s":[{},[4]],"u":[{"r":[{"i":[{},[0,0,3]]}],"s":[{"t":[{},[0,0,3]]}]}],"v":[{},[2]],"y":[{},[1]],"ý":[{},[3]],"æ":[{},[1]]},[0,2]],"l":[{"a":[{"f":[{},[0,0,0,3]],"m":[{},[0,4]],"n":[{"d":[{"s":[{},[0,0,0,0,0,0,5]]}]}]},[0,0,0,2]],"é":[{},[3,4]],"i":[{"s":[{},[0,0,2]]}],"í":[{"ð":[{},[0,4]]},[0,1]],"o":[{"f":[{},[0,3]],"k":[{},[0,3]]}],"ó":[{},[1]],"u":[{"s":[{},[0,0,0,3]]}],"y":[{"s":[{},[1]]}],"æ":[{"k":[{},[0,3]]}]}],"m":[{"a":[{},[4]],"á":[{"s":[{},[0,0,0,1]],"v":[{},[0,0,0,5]]}],"e":[{"k":[{},[0,4]]},[4]],"i":[{},[0,2]],"í":[{},[1]],"j":[{},[0,0,0,4]],"ö":[{},[4]]},[0,1,2]],"n":[{"e":[{"i":[{"ð":[{},[3]]}],"r":[{},[5]],"s":[{},[0,3]],"y":[{"d":[{},[3]]}]},[0,2]],"i":[{"ð":[{},[0,0,4]]}],"o":[{},[0,0,2]],"ú":[{"m":[{},[4]]},[1]],"ý":[{},[0,4]],"æ":[{"ð":[{},[0,0,0,0,5]]}]}],"o":[{"d":[{},[4]],"n":[{},[3]],"r":[{"ð":[{"i":[{},[0,5]]}]},[2]]},[1]],"ó":[{"l":[{"e":[{},[0,0,0,3]],"s":[{},[0,0,0,3]]},[0,4]],"m":[{"a":[{"g":[{},[0,5]]}]},[2]],"s":[{},[4]]},[1,0,4]],"p":[{"í":[{"t":[{},[0,0,0,0,3]]}],"j":[{},[0,0,0,4]],"l":[{},[4]],"r":[{"a":[{},[4]],"ó":[{},[2]]}],"u":[{"n":[{"d":[{},[0,5]]}]}]},[1,0,2]],"r":[{"a":[{"n":[{},[0,0,2]],"u":[{},[0,5]]}],"á":[{},[0,1]],"e":[{},[0,1]],"é":[{},[0,1]],"í":[{},[0,1]],"o":[{},[0,5]],"æ":[{},[0,5]],"ö":[{},[0,3]]}],"s":[{"á":[{},[0,3,4]],"e":[{"r":[{},[0,0,3]]}],"í":[{},[0,0,5]],"k":[{},[0,1,4,4]],"l":[{},[0,0,0,2]],"m":[{},[0,0,0,4]],"o":[{"r":[{},[0,0,5]]}],"t":[{"i":[{"r":[{},[0,4]]}]},[0,1]],"v":[{},[0,1]]}],"t":[{".":[{},[2]],"a":[{".":[{},[2]],"l":[{},[4]],"p":[{},[4]],"r":[{"f":[{"i":[{},[5]],"s":[{},[5]]}]}],"æ":[{},[4]]},[0,4]],"e":[{"f":[{},[3]],"i":[{"n":[{},[3]]}],"k":[{"k":[{},[5]]}],"t":[{},[4]]},[1]],"é":[{},[1]],"h":[{"e":[{},[0,0,4]]}],"i":[{".":[{},[4]],"g":[{},[1]],"s":[{"l":[{},[0,0,4]]}]}],"í":[{"g":[{},[3]],"m":[{},[2]],"u":[{},[4]]}],"j":[{"ó":[{"n":[{},[4]],"r":[{},[5]]}],"ö":[{"r":[{},[5]]}]},[1,0,0,4]],"l":[{"e":[{},[0,0,3]]},[4]],"o":[{"f":[{},[3]]},[1]],"ó":[{"n":[{},[4]],"r":[{},[3]]},[1]],"r":[{"a":[{"l":[{},[0,0,0,5]],"n":[{"d":[{"a":[{},[5]]}],"g":[{},[5]]}],"u":[{"m":[{},[5]]}]}],"á":[{".":[{},[5]]}],"e":[{},[1]],"í":[{},[3]],"ú":[{},[4]],"y":[{},[0,3]],"ö":[{"n":[{},[5]]}]},[0,0,2]],"t":[{},[0,0,5]],"u":[{"n":[{"d":[{},[3]]}]},[2,4]],"ú":[{},[1,0,2]],"v":[{},[4]],"ý":[{},[3]],"æ":[{"k":[{},[2]]},[1]],"ö":[{"ð":[{},[3]],"l":[{},[4]],"n":[{"g":[{},[5]]}]},[1,4]]},[0,2]],"u":[{"f":[{},[0,0,3,4]],"m":[{"a":[{},[5,0,0,3]]}],"n":[{"g":[{},[0,2]]}],"p":[{"p":[{},[0,5]]}],"r":[{"a":[{},[0,5]]}],"s":[{"t":[{"i":[{},[0,0,0,0,4]]}]}]},[0,1]],"ú":[{"l":[{"n":[{},[0,0,0,0,4]]}],"n":[{},[0,5]],"r":[{"s":[{},[0,5]]}],"t":[{},[0,0,0,5]]},[0,0,4]],"v":[{"a":[{"g":[{},[4]],"l":[{},[4]],"t":[{},[0,3]]}],"e":[{"ð":[{},[0,5]],"f":[{},[0,4]],"i":[{"k":[{},[0,3]],"n":[{},[3]]},[0,2]],"p":[{},[5]],"x":[{},[4]]}],"i":[{"ð":[{"i":[{".":[{},[5]]},[0,4]]}],"k":[{"u":[{},[0,0,0,0,3]]},[0,4]],"n":[{},[0,5]]}],"o":[{},[0,1]],"æ":[{"ð":[{},[1]]},[0,2]]},[0,0,4]],"y":[{"f":[{"i":[{},[2,3]]}],"n":[{},[3]],"r":[{},[4,3]]},[1]],"ý":[{},[3,4]],"þ":[{},[0,1]],"æ":[{"ð":[{},[4]],"f":[{"a":[{},[0,0,5]]},[0,0,0,4]],"j":[{},[3]],"l":[{},[3]],"s":[{},[4]]},[1]],"ö":[{"g":[{"u":[{"s":[{},[0,0,0,0,5]]}]},[3]],"l":[{"d":[{},[2,3]]}],"m":[{},[3]],"r":[{},[2,3]]},[1]]}],"t":[{"a":[{"ð":[{},[0,2]],"f":[{"r":[{},[0,0,2]]}],"k":[{"a":[{},[1]],"e":[{"n":[{"d":[{},[5]]}]}]}],"l":[{".":[{},[0,4]],"a":[{"m":[{},[0,0,0,0,4]]}]}],"m":[{"a":[{},[0,0,1]],"t":[{},[0,5]]},[4]],"n":[{"á":[{},[0,0,4]],"g":[{},[3]]}],"r":[{"a":[{"ð":[{},[0,4,0,4]]}],"i":[{"s":[{},[0,0,0,5,0,5]]}],"k":[{},[0,0,0,0,4]],"p":[{},[0,0,0,0,4]],"s":[{"á":[{},[0,0,0,5]]}],"æ":[{"v":[{},[0,0,0,0,0,4]]}]},[4]],"s":[{".":[{},[0,4]],"l":[{},[0,0,5]]},[0,1]],"t":[{},[0,0,0,4]],"v":[{"í":[{},[0,0,4]]}]}],"á":[{"k":[{"n":[{},[5]]}],"n":[{"d":[{},[4]]}]},[0,4,4]],"b":[{},[0,1]],"d":[{},[0,1]],"e":[{"g":[{"í":[{},[4]],"u":[{},[5]]}],"i":[{"n":[{"g":[{},[0,0,0,0,5]]}],"s":[{},[0,1]]},[0,0,0,4]],"k":[{"j":[{},[3]],"k":[{"j":[{},[0,0,0,0,0,5]]}]},[1]],"n":[{"d":[{},[0,1]],"ó":[{},[0,0,0,5]]}],"p":[{"l":[{},[4]]}],"t":[{"t":[{},[0,3]]}],"y":[{},[2]]}],"é":[{"l":[{},[0,0,4]]}],"f":[{"i":[{"r":[{"r":[{},[0,0,0,0,0,4]]}]}]},[0,3,2]],"g":[{},[0,1]],"h":[{"e":[{"r":[{"s":[{},[0,0,5]]}]}]},[0,1]],"i":[{"a":[{"n":[{},[0,0,4]]}],"k":[{"i":[{"s":[{},[0,0,5]]}]}],"l":[{"d":[{},[0,0,0,0,4]]}],"n":[{},[4]],"r":[{"k":[{},[0,0,0,0,4]],"æ":[{},[0,4]]}],"s":[{"t":[{".":[{},[0,5]],"a":[{},[0,0,3]],"i":[{"l":[{},[0,0,0,0,0,0,4]]}]},[0,0,0,0,4]],"v":[{},[0,2]]}],"t":[{},[1]]},[0,1]],"í":[{".":[{},[4]],"a":[{},[4]],"ð":[{},[3]],"l":[{},[0,0,4]],"m":[{},[3]],"n":[{},[4]],"t":[{},[4]],"v":[{},[0,0,0,3]]},[1]],"j":[{"ö":[{},[0,4]]}],"k":[{"a":[{},[0,0,4]],"i":[{},[0,4,2]]},[0,1]],"l":[{"a":[{"f":[{},[0,0,0,0,4]],"g":[{".":[{},[0,4]]},[0,3]],"n":[{"n":[{},[0,0,5]]},[0,0,2]]}],"á":[{},[0,1]],"i":[{},[0,0,2]],"u":[{"r":[{},[0,0,0,0,4]]}],"æ":[{},[0,1]]}],"m":[{},[2,3,4]],"n":[{"s":[{"k":[{"r":[{},[0,0,0,0,0,4]]},[0,0,0,0,4]]},[0,0,2]]}],"o":[{"g":[{},[1]],"n":[{},[0,3]],"r":[{"g":[{},[3]],"u":[{},[5]]}]},[0,0,4]],"ó":[{"m":[{"a":[{"s":[{},[0,0,0,5]]},[0,0,0,3]]},[1]],"n":[{"l":[{},[5]]}],"r":[{"a":[{"u":[{},[0,0,0,5]]}],"i":[{"s":[{},[0,0,0,0,3]]}]},[0,0,0,1]],"t":[{},[0,1]]}],"p":[{},[0,3]],"r":[{"a":[{"b":[{},[0,0,0,2]],"ð":[{"a":[{"r":[{"i":[{},[5]]}]}]}],"l":[{"í":[{},[0,0,3]]}],"n":[{"n":[{},[0,0,3]]},[0,0,2]],"r":[{},[0,0,5]],"u":[{"s":[{},[3]]}]}],"e":[{"y":[{},[0,4]]}],"é":[{},[1]],"i":[{"s":[{"i":[{},[0,5]]},[0,0,4]]}],"í":[{"k":[{"a":[{},[0,5]]}]}],"j":[{},[3]],"ó":[{"f":[{},[0,5]],"t":[{"t":[{},[0,0,3]]}]}],"u":[{"g":[{},[0,0,3]],"n":[{"a":[{},[0,0,3]],"i":[{},[0,0,5]]}]}],"ú":[{},[1,4]],"y":[{"ð":[{},[0,5]]},[1]],"æ":[{"n":[{},[0,3]]}],"ö":[{"ð":[{},[3]]}]}],"s":[{"a":[{},[0,1]],"i":[{"n":[{"n":[{},[0,0,4]]}]}],"í":[{},[0,5]],"j":[{},[0,0,0,4]],"k":[{},[0,1,0,4]],"s":[{},[0,0,1]],"t":[{},[0,1,0,4]],"u":[{},[0,0,4]],"y":[{},[0,2]]},[4]],"t":[{"a":[{"ð":[{},[0,0,3]],"k":[{"i":[{},[0,0,0,0,4]]}],"r":[{"f":[{},[0,0,0,0,5]]}]}],"á":[{},[0,0,5]],"e":[{"r":[{"í":[{},[0,0,0,5]],"n":[{},[0,0,5]]}]}],"í":[{},[0,4]],"j":[{},[0,0,5]],"l":[{},[0,0,1]],"o":[{"r":[{},[0,0,1]]}],"r":[{"æ":[{},[0,0,3]]}],"u":[{"g":[{"l":[{},[0,0,4]]},[0,0,3]]}],"v":[{},[0,0,0,4]],"æ":[{},[0,1]]}],"u":[{".":[{},[4]],"ð":[{"i":[{},[0,4]]}],"g":[{"l":[{},[0,0,0,0,4]]}],"k":[{},[0,0,0,4]],"l":[{"i":[{"ð":[{},[0,0,3,4]]}]}],"m":[{"i":[{"n":[{},[0,0,5]]}]},[0,0,0,2]],"n":[{"g":[{"l":[{},[3,4]]},[0,2]]}],"p":[{},[0,0,0,4]],"r":[{"e":[{},[0,3,0,3]],"k":[{},[0,0,0,3]],"s":[{},[0,5]]}],"s":[{"a":[{},[0,4]],"u":[{},[0,4]]}],"t":[{"r":[{},[0,0,0,0,4]]}]},[0,1]],"ú":[{"d":[{},[0,0,0,3]],"ð":[{},[0,3]],"l":[{},[0,0,4]],"n":[{"a":[{},[0,0,0,4]]},[1]],"r":[{},[0,1]],"s":[{"k":[{},[0,0,3]]}]}],"v":[{"e":[{"g":[{"g":[{"j":[{},[5]]}]}],"r":[{},[0,5]]}]},[0,1]],"ý":[{"s":[{},[5]]}],"þ":[{},[0,1]],"æ":[{"k":[{},[3]]}],"ö":[{"k":[{},[1]],"l":[{"s":[{},[0,5]]},[1]]}]}],"u":[{"a":[{"f":[{},[0,3]],"u":[{},[0,5]]},[2,1]],"á":[{"æ":[{"t":[{"l":[{},[0,0,0,0,0,4]]}]}]},[2,1,4]],"b":[{},[4,1,4]],"c":[{},[4]],"d":[{"a":[{},[0,1]],"á":[{},[0,5]],"e":[{},[0,3]],"ó":[{},[0,3]],"r":[{},[0,3]]},[4,0,4]],"ð":[{"a":[{"r":[{"e":[{},[0,0,4]]}]},[2]],"k":[{},[0,0,3,4]],"l":[{},[2]],"m":[{},[0,0,0,4]],"n":[{},[2,0,4]],"r":[{"i":[{"s":[{},[0,0,5]]}]},[2]],"s":[{"e":[{},[0,0,4]],"v":[{},[0,0,3]],"æ":[{},[0,0,5]]}],"u":[{"l":[{},[4]]}]}],"e":[{},[2,5]],"é":[{},[4]],"f":[{"á":[{},[0,0,5]],"d":[{},[0,0,0,4]],"i":[{"t":[{},[0,5]]}],"j":[{},[0,3]],"r":[{},[0,1]],"u":[{"l":[{},[0,3]]}],"ú":[{},[0,5]]},[4]],"g":[{"a":[{"l":[{},[4]],"t":[{},[4]]}],"e":[{},[4]],"i":[{"l":[{},[4]]}],"j":[{},[4,1]],"l":[{"a":[{},[4]],"j":[{},[0,0,1]],"u":[{},[4]]}],"n":[{},[0,0,4]],"ó":[{},[4]],"r":[{"a":[{"n":[{},[0,5]]}],"e":[{},[4]],"j":[{},[4]],"ó":[{},[4]],"æ":[{},[0,0,3]]}],"t":[{"a":[{},[0,0,3]]}],"ö":[{},[4]]},[2]],"h":[{},[4,1]],"i":[{"ð":[{},[0,5]]},[4]],"í":[{},[4,0,4]],"j":[{},[2]],"k":[{"a":[{"k":[{},[0,0,0,0,4]],"s":[{},[0,0,4]]}],"e":[{},[0,1]],"i":[{"n":[{"n":[{"i":[{"n":[{},[0,5]]}]}]}]}],"k":[{"u":[{"s":[{},[0,0,0,0,3]]}]}],"ó":[{},[0,5]],"v":[{},[0,3]]},[2]],"l":[{".":[{},[3]],"a":[{"g":[{},[4,1]],"r":[{},[0,0,3]]}],"b":[{},[3]],"e":[{},[4]],"i":[{"n":[{"d":[{},[0,5]]}],"s":[{},[0,0,4]]}],"í":[{},[0,1]],"k":[{},[0,0,3,2]],"l":[{"a":[{},[0,0,4]],"n":[{},[4]],"t":[{},[0,0,0,0,4]]}],"o":[{},[4,3]],"ó":[{},[0,3]],"s":[{"v":[{},[0,0,5]]}],"t":[{"i":[{},[0,0,0,4]]}],"u":[{"s":[{},[0,0,3]]}],"v":[{},[0,0,5,4]],"æ":[{},[0,3]],"ö":[{},[4,1]]},[2]],"m":[{".":[{},[3]],"a":[{"k":[{},[0,0,0,0,4]],"n":[{},[0,1]],"r":[{"a":[{"n":[{},[0,0,4]]}]}]},[2]],"á":[{"l":[{"a":[{"r":[{},[0,0,0,0,4]]}]}]},[2]],"b":[{"a":[{},[0,0,4]],"æ":[{},[0,0,5]],"ö":[{},[0,0,4]]}],"d":[{},[2]],"e":[{"i":[{"n":[{},[0,0,3]]}]},[2]],"i":[{},[4]],"j":[{},[0,0,0,4]],"k":[{"i":[{},[0,0,4]]}],"l":[{},[4]],"m":[{"a":[{},[0,0,0,4]]}],"o":[{},[4,5]],"ó":[{},[2]],"p":[{},[4]],"r":[{},[2]],"s":[{"l":[{},[0,0,3]],"t":[{".":[{},[3]]}]},[0,0,0,4]],"t":[{},[0,0,1,4]],"u":[{"n":[{"n":[{},[0,0,5]]}]},[4]],"ú":[{},[4]],"y":[{},[2]],"ý":[{},[2]],"æ":[{},[2]],"ö":[{},[2]]}],"n":[{"a":[{"r":[{"a":[{},[0,0,0,0,5]]},[0,0,3,0,1]],"s":[{},[0,0,2]],"t":[{},[4]],"u":[{},[2,1]]}],"á":[{},[2]],"d":[{},[2]],"e":[{},[4]],"k":[{},[4]],"n":[{"á":[{},[2]],"s":[{},[4]],"u":[{"g":[{},[0,0,0,5]]},[2]]}],"o":[{},[4]],"ó":[{},[4]],"s":[{"a":[{"n":[{},[0,0,0,4]]}]}],"t":[{},[4]],"u":[{"r":[{},[4]]},[1]],"æ":[{},[4]],"ö":[{},[4]]}],"o":[{"l":[{},[0,0,0,4]]},[2,3]],"ó":[{},[4]],"p":[{"p":[{"a":[{"l":[{},[0,0,0,0,0,5]]},[0,0,0,5]],"i":[{},[0,0,0,4]]},[0,0,0,1]]},[2]],"r":[{".":[{},[3]],"a":[{"f":[{},[0,0,0,4]],"m":[{},[0,0,5,4]],"n":[{"n":[{"a":[{},[0,0,5]]}]},[0,0,2]]},[2]],"á":[{},[2]],"ð":[{"a":[{"r":[{"á":[{},[0,0,0,0,5]]}]}]}],"e":[{"k":[{},[0,1]],"y":[{},[0,0,3]]},[2]],"é":[{},[4,1]],"f":[{"a":[{},[0,0,0,4]],"l":[{},[0,0,3]]}],"g":[{"e":[{},[0,0,0,4]],"j":[{},[0,0,3]]}],"i":[{"n":[{},[0,0,5]],"t":[{},[4]]}],"í":[{"k":[{},[0,3]]},[4]],"j":[{},[0,0,3,4]],"k":[{"a":[{},[0,0,0,4]]}],"m":[{},[0,0,1]],"n":[{"í":[{},[0,0,3]]}],"o":[{},[4]],"ó":[{},[4]],"s":[{"k":[{},[0,0,1,0,4]],"n":[{"a":[{},[0,0,3]]}],"t":[{"a":[{},[0,0,4]]}],"v":[{"ö":[{},[0,0,4]]}]}],"t":[{"i":[{"l":[{},[0,0,5]],"r":[{},[0,0,0,4]]}]}],"u":[{"n":[{"n":[{},[0,0,4]]}],"s":[{},[4]]},[0,0,1]],"v":[{"i":[{"s":[{},[0,0,4]]}]},[0,0,3,4]],"y":[{"k":[{},[4]]}],"ý":[{},[4]],"æ":[{},[2]],"ö":[{},[4]]}],"s":[{"a":[{"l":[{},[0,3]]},[2]],"á":[{},[4,0,4]],"e":[{},[2]],"í":[{},[4]],"j":[{},[2]],"k":[{},[4,1]],"l":[{},[4]],"m":[{},[2,3,4]],"n":[{},[2]],"o":[{},[4]],"ó":[{},[4]],"p":[{},[4]],"t":[{"a":[{"r":[{"f":[{},[0,5]]}]}],"á":[{},[4]],"e":[{},[4]],"é":[{},[2]],"i":[{},[2]],"í":[{},[2]],"o":[{},[4]],"ó":[{},[4]],"r":[{},[4]],"u":[{".":[{},[3]]}],"ú":[{},[2]],"y":[{},[4]],"ý":[{},[4]],"æ":[{},[4]],"ö":[{},[4]]}],"u":[{"n":[{"d":[{},[0,5]]}]}],"v":[{},[4,3]],"y":[{},[4]],"ý":[{},[2]],"ö":[{},[2]]}],"t":[{"a":[{"ð":[{},[0,0,3]],"s":[{},[0,0,2]]}],"e":[{},[0,3]],"i":[{"l":[{},[0,5]]}],"ó":[{},[0,3]],"s":[{"t":[{"ó":[{},[0,0,4]]}]}],"ú":[{},[0,0,2]],"æ":[{},[0,1]]},[2]],"u":[{},[2,3]],"ú":[{},[4,5]],"v":[{},[4,3]],"y":[{"f":[{},[0,3]]},[2]],"þ":[{},[2,1]],"æ":[{},[4]],"ö":[{},[2,5]]}],"ú":[{"a":[{"l":[{},[0,0,0,4]],"r":[{"f":[{},[0,3]]}]},[0,1]],"b":[{"a":[{"n":[{},[0,0,3]]}],"l":[{"i":[{},[0,0,0,0,3]]}]}],"ð":[{"a":[{"r":[{},[0,0,3]]}],"g":[{},[0,0,5]]}],"e":[{},[0,3]],"f":[{"a":[{"r":[{},[0,0,5]]}],"l":[{"i":[{},[0,0,5]],"y":[{},[0,0,5]]},[0,0,0,2]],"s":[{"á":[{},[0,0,0,4]]}]}],"g":[{"a":[{"l":[{"a":[{},[0,5]]}]}],"ó":[{},[0,0,0,3]],"æ":[{},[0,4]]}],"i":[{},[4,1]],"k":[{"l":[{},[0,0,1]],"r":[{"u":[{},[0,0,0,1]]}],"s":[{},[0,0,4]]}],"l":[{"e":[{"r":[{},[0,0,5]]}],"f":[{"a":[{"l":[{},[0,0,0,5]]}]},[5,0,4]],"í":[{"p":[{},[0,0,0,0,4]]},[0,0,4,3]],"o":[{},[0,3]]}],"m":[{"r":[{},[0,0,4]],"s":[{"i":[{},[0,0,4]]}]},[4,2]],"n":[{"d":[{"u":[{"g":[{},[0,0,0,4]]}]}],"g":[{"ö":[{},[0,0,4]]}]},[0,4]],"p":[{"l":[{"i":[{},[0,0,0,5]]}]}],"r":[{"e":[{"f":[{},[0,0,5]]}],"í":[{"t":[{},[0,0,0,0,4]]}],"s":[{"l":[{},[0,0,5]]}],"t":[{},[0,0,1]],"u":[{"n":[{},[0,0,3]]}],"v":[{},[0,0,5]],"æ":[{},[0,3]]}],"s":[{"a":[{},[0,4]],"e":[{"i":[{},[0,0,3]]}],"í":[{},[0,0,3]],"s":[{"t":[{"i":[{},[0,0,4]]}],"v":[{},[0,0,4]]}],"v":[{},[0,0,1]]},[2]],"t":[{"e":[{},[0,0,3]],"h":[{"e":[{},[0,0,2]]}],"i":[{"f":[{},[0,0,0,5]],"s":[{},[0,0,2]]}],"j":[{},[0,0,0,4]],"l":[{},[0,0,1,2]],"r":[{},[0,0,1]]}],"u":[{},[4,1]],"v":[{"a":[{},[0,4]]},[0,1]],"þ":[{},[0,5]]}],"v":[{"a":[{"ð":[{"r":[{},[0,0,0,0,5]]}],"f":[{"o":[{},[0,0,5]]}],"h":[{},[0,0,5]],"l":[{"l":[{"a":[{"g":[{},[5]]}]}]}],"n":[{},[0,0,4]],"r":[{"m":[{"a":[{},[0,0,0,4]]}],"p":[{"s":[{},[0,0,0,0,0,3]]}],"ú":[{},[0,0,0,5]],"v":[{},[0,0,0,4]]}],"s":[{"t":[{},[0,3]]}],"t":[{},[0,0,4]],"x":[{},[3]]},[0,2,2]],"e":[{"ð":[{"l":[{},[0,0,0,5]]}],"f":[{"e":[{},[0,0,3]]}],"g":[{},[1]],"i":[{"ð":[{},[3]],"n":[{"a":[{"s":[{},[0,0,0,0,4]]}]}],"s":[{},[5]]},[0,2]],"l":[{"g":[{},[4]]}],"p":[{},[2]],"r":[{"ð":[{},[1]],"g":[{"j":[{},[0,0,0,3]]}],"k":[{},[3]],"s":[{},[0,0,0,2]]},[0,4]]}],"é":[{"s":[{},[0,5]],"t":[{},[0,3,0,5]]},[0,0,2]],"h":[{},[2,3]],"i":[{".":[{},[2]],"ð":[{"a":[{"r":[{},[5]]}],"l":[{},[0,0,0,3]]},[0,4]],"l":[{"i":[{"ð":[{},[0,0,3]]},[0,0,0,4]],"n":[{},[3]],"o":[{},[0,0,4]]}],"n":[{"g":[{"j":[{},[0,0,0,3]]}]}],"p":[{},[4]],"r":[{"k":[{},[3]]}],"s":[{"k":[{"u":[{"n":[{},[0,0,0,0,5]]}]}],"s":[{},[3]],"v":[{},[0,0,0,4]]}],"t":[{"a":[{},[5]],"k":[{},[0,0,0,0,5]],"n":[{},[0,0,0,2]]}],"v":[{},[4]]},[0,2]],"í":[{"b":[{},[4]],"ð":[{},[2]],"k":[{},[5]],"s":[{"i":[{},[3]],"l":[{"a":[{},[0,0,0,0,3]]}]}],"v":[{},[0,0,1]]}],"n":[{},[2]],"o":[{"k":[{},[0,0,3]],"l":[{},[0,0,0,4]],"r":[{"k":[{},[0,0,0,0,4]],"r":[{},[0,0,0,4]]}]}],"r":[{},[4,0,1]],"s":[{},[4]],"u":[{"ð":[{},[0,1]],"n":[{},[0,1]]},[2]],"æ":[{"g":[{},[5]]}]}],"w":[{"a":[{},[0,0,4]],"i":[{"n":[{"s":[{},[0,0,0,4,4]]}]}]}],"x":[{"a":[{"r":[{},[0,5]],"s":[{},[0,2]]}],"e":[{},[0,3]],"f":[{},[0,3]],"i":[{"s":[{},[0,0,0,4]]},[0,5]],"í":[{"k":[{},[0,0,0,4]],"u":[{},[0,5]]},[0,0,3]],"t":[{"a":[{"ð":[{},[0,0,5]]}]}],"u":[{},[0,1,4]]}],"y":[{"b":[{"a":[{},[0,5]]}],"ð":[{"s":[{},[0,0,2]]}],"f":[{"a":[{},[0,0,5]],"i":[{},[0,0,1]],"j":[{"a":[{"ð":[{},[0,0,0,5]]}]}],"t":[{"i":[{"s":[{},[0,0,0,4]]}]}]}],"i":[{},[0,1]],"j":[{"a":[{"r":[{},[0,0,3]]}],"ó":[{},[0,0,5]]}],"k":[{"e":[{},[0,0,5]],"i":[{},[0,0,3]],"s":[{"u":[{},[0,0,3]]}],"u":[{},[0,0,3]],"v":[{},[0,0,3]]}],"l":[{"f":[{"i":[{},[0,0,0,5]]}],"g":[{"n":[{},[0,0,0,0,4]]}],"l":[{"a":[{},[0,0,0,5]]}],"v":[{},[0,0,4]]}],"m":[{"a":[{},[0,0,3]],"p":[{"í":[{},[0,0,0,5]]}]}],"n":[{"j":[{"a":[{"r":[{},[0,0,0,5]]}],"ó":[{},[0,0,0,3]]}],"k":[{},[0,0,4]],"t":[{},[0,0,4]],"u":[{},[0,0,5]]},[0,4]],"p":[{"u":[{"s":[{},[0,0,2]]}]}],"r":[{"e":[{},[0,0,5]],"i":[{"l":[{},[0,0,3]],"r":[{},[0,0,0,0,3]]},[0,0,1]],"j":[{},[0,0,0,3]],"k":[{"v":[{"a":[{},[0,0,0,0,3]]}]}],"l":[{},[0,0,2]],"s":[{},[0,0,2]],"u":[{},[0,0,1]]}],"s":[{"j":[{},[0,0,0,3]],"s":[{},[0,0,2]],"t":[{"u":[{"g":[{},[0,0,0,3]]}]}]},[0,2]],"t":[{"h":[{},[0,0,4]],"i":[{"l":[{},[0,0,0,0,4]]}],"k":[{},[0,0,4]]}],"v":[{},[0,3]]}],"ý":[{"a":[{"f":[{},[0,0,0,5]]},[0,5]],"á":[{},[0,5]],"ð":[{"s":[{},[0,0,2]]}],"f":[{"l":[{"u":[{},[0,3]]},[0,0,0,4]]}],"g":[{"r":[{},[0,0,4]],"u":[{"ð":[{},[0,0,4]]}]}],"i":[{},[0,1]],"j":[{"a":[{"f":[{},[0,0,0,5,4]]}]}],"m":[{"a":[{},[0,0,4]],"k":[{},[0,0,4]]}],"p":[{"r":[{"u":[{},[0,0,0,0,4]]}],"s":[{},[0,0,2]]}],"r":[{"f":[{},[0,0,0,4]],"i":[{"m":[{},[0,0,0,3]],"p":[{},[0,0,0,5,4]]}],"l":[{},[0,0,3]]}],"s":[{"i":[{"g":[{},[0,0,0,0,4]]},[0,4]],"l":[{},[0,0,4]],"m":[{},[0,0,4]],"t":[{"á":[{},[0,3]]}]}],"u":[{},[0,5]],"ú":[{},[0,5]],"v":[{},[0,3]],"y":[{},[0,5]]}],"z":[{"ó":[{},[0,0,4]]}],"þ":[{"a":[{"m":[{},[0,0,0,4]],"r":[{"f":[{"a":[{},[0,0,0,0,5]]}],"m":[{},[0,0,0,4]]}]},[0,2]],"b":[{},[4]],"i":[{"s":[{"t":[{"i":[{},[0,0,0,0,3]]}]}]},[0,2]],"j":[{"ó":[{},[0,0,0,4]]}],"o":[{"l":[{"a":[{},[0,0,0,5]]}],"r":[{"f":[{},[0,0,0,3,4]],"g":[{},[0,0,0,3]],"m":[{},[0,0,0,0,4]]}]}],"ó":[{"l":[{},[0,1]],"r":[{"i":[{},[0,0,0,5]]},[3]]},[0,6]],"r":[{"a":[{},[0,0,0,4]],"á":[{"s":[{},[0,0,0,0,4]]}],"i":[{"s":[{},[0,0,0,0,4]]}],"í":[{"l":[{},[0,0,0,0,4]],"t":[{},[0,0,0,3]]}],"u":[{},[0,0,0,4]]},[0,2,2]],"u":[{"m":[{"a":[{},[0,0,0,5]],"b":[{},[0,0,0,0,3]]}],"r":[{},[0,0,0,2]]}],"ú":[{"s":[{},[0,0,0,3]]}],"v":[{"e":[{"r":[{"s":[{"k":[{},[0,0,0,0,5]]}]}]}]},[0,2]]}],"æ":[{"b":[{},[0,1]],"ð":[{"n":[{"i":[{"s":[{},[0,0,0,0,0,5]]}]},[0,0,0,5]],"s":[{},[0,0,2]],"u":[{"g":[{},[0,0,4]]}]}],"f":[{"a":[{},[0,0,1]],"i":[{},[0,4]],"u":[{"s":[{"t":[{},[0,0,3]]}]}]},[4]],"g":[{"i":[{"s":[{"t":[{},[0,0,5]]}]}]}],"i":[{},[0,1]],"j":[{"a":[{"l":[{},[0,0,4]],"r":[{"k":[{},[0,0,0,0,0,4]]}]}]},[0,0,3]],"k":[{"a":[{},[0,0,1]],"l":[{"i":[{},[0,0,1]]}],"u":[{},[0,0,3]]}],"l":[{"a":[{"n":[{},[0,0,3]]}],"e":[{},[0,0,3]],"u":[{"s":[{},[0,0,3]]}]},[0,2]],"m":[{"a":[{"l":[{},[0,0,4]]},[0,0,3]],"u":[{"n":[{"d":[{"u":[{},[0,4]]}]}]}]}],"n":[{"a":[{"k":[{},[0,0,0,0,4]]}],"k":[{},[0,0,4]]}],"r":[{"a":[{},[0,0,1]],"e":[{},[0,0,3]],"g":[{"ö":[{"n":[{"g":[{},[0,0,0,0,0,0,5]]}]}]}],"i":[{"f":[{},[0,0,0,0,4]],"s":[{"t":[{},[0,0,3]],"v":[{},[0,0,0,3]]}]}],"l":[{},[0,0,3]],"n":[{},[0,0,4]],"s":[{},[0,0,2]],"u":[{"n":[{},[0,0,5]],"s":[{},[0,0,1]]}],"ú":[{},[0,5]]}],"s":[{"i":[{"s":[{},[0,0,4]]}]}],"t":[{"i":[{"s":[{"e":[{},[0,0,5]]}]}],"l":[{"i":[{},[0,0,0,5]]}]}],"u":[{},[0,5]],"v":[{"a":[{"g":[{},[0,0,0,5]],"l":[{},[0,5]],"r":[{"a":[{},[0,0,4]]},[0,0,3]]}],"e":[{},[0,3]],"i":[{"n":[{},[0,0,3]]}]}]}],"ö":[{"ð":[{"l":[{},[0,0,0,3]],"m":[{},[0,0,0,5]],"u":[{"n":[{},[0,0,3]]}],"v":[{"a":[{"n":[{},[0,0,0,5]],"r":[{},[0,0,0,3]]}]}]},[0,0,2]],"f":[{"a":[{},[0,1]],"l":[{"ó":[{},[0,0,0,3]]}],"n":[{},[0,0,0,5]],"r":[{"u":[{},[0,0,0,3]]}],"u":[{},[0,0,3]]}],"g":[{"g":[{"j":[{},[0,0,3]],"v":[{},[0,0,0,0,3]]}],"r":[{"e":[{},[0,0,1]]}],"u":[{"s":[{},[0,0,2]]}]},[0,4]],"k":[{"e":[{},[0,0,5]],"r":[{"á":[{},[0,0,5]]}],"s":[{"t":[{},[0,0,3]]}],"u":[{"l":[{},[0,0,3]]}],"v":[{"a":[{},[0,0,0,3]]}]}],"l":[{"f":[{},[0,0,1,4]],"k":[{},[0,0,0,2]],"u":[{"m":[{"i":[{},[0,0,0,5]]}],"n":[{},[0,0,5]]}],"v":[{"a":[{"n":[{},[0,0,0,5]]}]},[0,0,2]]},[0,4]],"m":[{"b":[{},[0,0,4]],"u":[{},[0,0,3]]}],"n":[{"d":[{"l":[{},[0,0,0,4]]}],"g":[{"s":[{"v":[{},[0,0,0,5]]}],"u":[{"s":[{},[0,0,0,4]]}],"v":[{"a":[{},[0,0,0,0,3]]},[0,0,0,4]]}],"k":[{},[0,0,0,3]],"n":[{"l":[{},[0,0,0,4]]}],"u":[{"g":[{},[0,0,3]],"n":[{},[0,0,5]]}]}],"r":[{"e":[{},[0,0,1]],"g":[{"e":[{},[0,0,4]]}],"l":[{"a":[{"n":[{},[0,0,4]]}]}],"m":[{"u":[{"n":[{},[0,0,0,5]]}]}],"ó":[{},[0,0,3]],"u":[{"g":[{},[0,0,3]],"n":[{"d":[{},[0,0,3]]},[0,0,1]],"s":[{},[0,0,0,0,4]]}],"v":[{"a":[{"l":[{},[0,0,0,5]],"n":[{},[0,0,0,5]],"r":[{},[0,0,0,5]]},[4]],"i":[{},[0,0,0,4]]},[0,0,2]],"y":[{},[0,0,1]],"æ":[{},[0,0,5]]}],"s":[{"k":[{"u":[{"l":[{},[0,0,0,3]]}]}],"u":[{},[0,0,3]]},[0,4]],"t":[{"s":[{},[0,0,4]],"u":[{"g":[{},[0,3]]}],"v":[{"a":[{},[0,0,0,3]]},[0,0,2]]}],"u":[{},[0,5]]}]}';
  var hyphenation = [];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
