(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsLaXClassic = factory();
  }
})(this, function () {
  var patterns =
    '{".":[{"a":[{"b":[{"l":[{},[0,2,3]],"a":[{"u":[{"u":[{},[0,2,1]]}],"l":[{"i":[{},[0,2,1]]}]}],"i":[{"c":[{},[0,2,1]],"e":[{"c":[{},[0,2,1]]}],"n":[{},[0,2,1,0,1]],"u":[{},[0,2,1]]}],"o":[{"l":[{},[0,2,1]]}],"s":[{"i":[{},[0,0,3,0,2]],"o":[{},[0,0,3]],"t":[{"e":[{},[0,0,3,2]]}],"u":[{},[0,0,3,0,2]],"c":[{"i":[{"n":[{},[0,0,5,2]]}]}]},[0,0,2]],"e":[{"s":[{},[0,2,1,0,2]],"r":[{},[0,2,1,0,2]]}],"f":[{"u":[{},[0,2]]}],"r":[{"u":[{},[0,2,3]]}]}],"n":[{"t":[{"i":[{"m":[{"n":[{},[0,0,0,0,3,2]]}]},[0,0,0,0,1]]}]}],"r":[{"i":[{"s":[{"t":[{"o":[{},[0,0,0,3,2]]}]}]}]}],"d":[{"s":[{"u":[{},[0,0,0,0,2]],"i":[{},[0,0,3,0,2]],"t":[{},[0,0,3,2]]}],"e":[{"s":[{},[0,2,1,0,2]],"r":[{},[0,2,1,0,2]]}],"f":[{"u":[{},[0,2]]}]},[0,2,1]],"g":[{"n":[{"a":[{"s":[{},[0,3,2]]}]}]}],"s":[{"c":[{},[0,3,2]],"p":[{},[0,3,2]],"t":[{},[0,3,2]]}],"p":[{"e":[{"r":[{"u":[{},[0,0,0,3,2]]}]}]}]}],"c":[{"i":[{"r":[{"c":[{"u":[{"m":[{},[0,0,0,0,0,2,1]]}]}]}],"s":[{},[0,0,2,3]]}],"o":[{"n":[{"i":[{"u":[{"n":[{},[0,0,2,1]],"e":[{},[0,0,3,2,3]]},[0,0,0,0,2]],"c":[{},[0,0,0,3]],"f":[{},[0,0,3,2]],"g":[{},[0,0,3,2]],"t":[{},[0,0,3,2]],"a":[{},[0,0,0,0,2]],"e":[{},[0,0,0,0,2]],"i":[{},[0,0,0,0,2]]}],"s":[{"c":[{"r":[{},[0,0,0,3,2]]}],"p":[{},[0,0,0,3,2,2]],"t":[{},[0,0,0,3,2]]}]},[0,0,2,1]],"e":[{"n":[{},[0,0,2,1]],"l":[{"e":[{"c":[{},[0,0,3,2]]}],"i":[{"g":[{},[0,0,3,2]]}]}],"m":[{"e":[{"n":[{},[0,0,3]]}]}],"r":[{},[0,0,3,2]],"x":[{"s":[{},[0,0,0,0,3,2]]},[0,0,3,2,3]]},[0,0,1]],"i":[{"e":[{},[0,0,1,2]],"u":[{},[0,0,0,3]]},[0,0,1]],"g":[{"n":[{"o":[{},[0,0,3,2]]}]}]}]},[0,2]],"e":[{"x":[{"s":[{"t":[{},[0,0,0,2]]}]},[0,2,3]]}],"p":[{"a":[{"r":[{"a":[{"i":[{},[0,0,0,0,1]],"u":[{},[0,0,0,0,1]]}]}]}],"e":[{"r":[{"i":[{"a":[{"c":[{},[0,0,2,1,2]]}],"e":[{"c":[{},[0,0,2,1,2]]}],"p":[{"s":[{},[0,0,0,0,3,2]],"t":[{},[0,0,0,0,3,2]]}],"s":[{"c":[{},[0,0,0,0,3,2]],"t":[{},[0,0,0,0,3,2]]}]},[0,0,0,0,1]],"a":[{"b":[{"s":[{"u":[{},[0,0,2,1]]}]}],"c":[{},[0,0,2,1]],"d":[{"u":[{},[0,0,2,1,2,1]],"p":[{},[0,0,2,1,2]]}],"e":[{},[0,0,2,1]],"g":[{},[0,0,2,3]],"r":[{},[0,0,2,1]],"u":[{},[0,0,2,1,2]]}],"e":[{"r":[{"r":[{},[0,0,2,3]],"u":[{},[0,0,2,1]]}],"d":[{},[0,0,2,1]],"f":[{"f":[{},[0,0,2,1]]}],"g":[{"r":[{},[0,0,2,1]]}],"l":[{},[0,0,2,1]],"m":[{},[0,0,2,1]],"n":[{"n":[{},[0,0,3,2]]}],"x":[{},[0,0,2,1,2,3]]}],"o":[{"r":[{},[0,0,2,3]],"b":[{"s":[{"c":[{},[0,0,2,1,2,3,2]]}]}],"d":[{},[0,0,2,1]],"f":[{},[0,0,2,1]],"l":[{},[0,0,2,1]],"p":[{},[0,0,2,1]]}],"u":[{"a":[{},[0,0,2,1,2]],"e":[{},[0,0,2,1,2]],"i":[{},[0,0,2,1,2]],"o":[{},[0,0,2,1,2]]},[0,0,2,3]],"h":[{},[0,0,2,3]],"s":[{"e":[{"u":[{},[0,0,0,0,0,2]],"i":[{},[0,0,0,0,0,2]],"o":[{},[0,0,0,0,0,2]]}],"c":[{},[0,0,2,3,2]],"p":[{},[0,0,2,3,2]],"t":[{},[0,0,2,3,2]]}],"t":[{"r":[{"a":[{"n":[{"s":[{},[0,0,2,3,0,0,0,2,1]]}]}]}]}]}]}],"r":[{"a":[{"e":[{"a":[{"u":[{},[0,0,0,0,0,2]]}],"s":[{"c":[{},[0,0,0,0,3,2]],"p":[{},[0,0,0,0,3,2]],"t":[{},[0,0,0,0,3,2]]}],"u":[{"a":[{},[0,0,0,0,0,2]],"e":[{},[0,0,0,0,0,2]],"i":[{},[0,0,0,0,0,2]],"o":[{},[0,0,0,0,0,2]]}],"t":[{"e":[{"r":[{"u":[{"e":[{},[0,0,0,0,0,0,0,0,2]],"o":[{},[0,0,0,0,0,0,0,0,2]]}]},[0,0,0,0,0,0,2,1]]}]}]},[0,0,0,0,1]]}],"i":[{"m":[{"i":[{"s":[{"c":[{},[0,0,0,0,0,3,2]]}]},[0,0,0,0,0,1]]}]}],"o":[{"d":[{"e":[{"s":[{"s":[{},[0,0,0,2,1,0,3]]}],"a":[{"m":[{"b":[{},[0,0,0,1,0,1]]}]},[0,0,0,2,1]],"o":[{},[0,0,0,2,1]],"u":[{"n":[{},[0,0,0,2,1]]}]}],"i":[{"g":[{},[0,0,0,2,1]],"s":[{},[0,0,0,2,3]],"t":[{"o":[{},[0,0,0,3,2]],"i":[{},[0,0,0,3,2]],"r":[{},[0,0,0,3,2]]},[0,0,0,2,1]],"m":[{},[0,0,0,2,1]],"r":[{},[0,0,0,2,1]],"b":[{},[0,0,0,2,1]],"e":[{"r":[{},[0,0,0,2,1]]}]}]}],"g":[{"n":[{},[0,0,0,3,2]]}],"i":[{"n":[{},[0,0,0,3]]}],"s":[{"c":[{},[0,0,0,3,2]],"p":[{},[0,0,0,3,2]],"t":[{},[0,0,0,3,2]]}]}]}]},[0,2]],"q":[{"u":[{"i":[{"n":[{"c":[{"u":[{"n":[{},[0,0,0,0,2,3]]}]}]}]}],"o":[{"t":[{"a":[{"n":[{},[0,0,0,2,1]]}],"e":[{"n":[{},[0,0,0,2,1]]}],"i":[{"e":[{},[0,0,0,2,1,2]]}],"l":[{"i":[{},[0,0,0,2,3]]}]}]}]}]}],"s":[{"u":[{"b":[{"l":[{"u":[{},[0,0,2,3]]}],"r":[{},[0,0,2,3]],"i":[{"c":[{},[0,0,2,1]],"n":[{"g":[{"r":[{},[0,0,2,1]]}]}]}],"o":[{"d":[{"o":[{},[0,0,2,1]]}]}],"s":[{"t":[{},[0,0,2,3,2]]}]}],"p":[{"e":[{"r":[{"a":[{"b":[{},[0,0,0,0,2,1]],"d":[{"s":[{"t":[{},[0,0,0,0,2,1,0,3,2]]}]},[0,0,0,0,2,1]],"e":[{},[0,0,0,0,2,1]],"g":[{},[0,0,0,0,2,1]],"m":[{},[0,0,0,0,2,1]],"r":[{"g":[{},[0,0,0,0,2,1]]}],"s":[{"p":[{},[0,0,0,0,2,1,3,2]],"t":[{},[0,0,0,0,2,1,3,2]]}],"t":[{"t":[{},[0,0,0,0,2,1]]}]}],"b":[{"i":[{"b":[{},[0,0,0,0,2,1]],"f":[{},[0,0,0,0,2,1]],"l":[{},[0,0,0,0,2,1]]}]}],"c":[{},[0,0,0,0,2,1]],"d":[{},[0,0,0,0,2,1]],"e":[{"d":[{},[0,0,0,0,2,1]],"f":[{"f":[{},[0,0,0,0,2,1]]}],"g":[{},[0,0,0,0,2,1]],"m":[{},[0,0,0,0,2,1]],"n":[{},[0,0,0,0,2,1]],"r":[{},[0,0,0,0,2,1]],"u":[{},[0,0,0,0,2,1]],"x":[{},[0,0,0,0,2,1,2,3]]}],"h":[{},[0,0,0,0,2,3]],"i":[{"l":[{},[0,0,0,0,2,1]],"m":[{},[0,0,0,0,2,1]],"n":[{},[0,0,0,0,2,1]],"r":[{},[0,0,0,0,2,1]],"u":[{"m":[{"e":[{},[0,0,0,0,4,5,4]]}]},[0,0,0,0,3,4,3]],"o":[{},[0,0,0,0,3,4,3]]},[0,0,0,0,2,3,2]],"o":[{"b":[{"d":[{},[0,0,0,0,2,1,2,1]],"r":[{},[0,0,0,0,2,1,2,3]]}],"c":[{},[0,0,0,0,2,1]],"r":[{},[0,0,0,0,2,1]]}],"s":[{"c":[{},[0,0,0,0,2,3,2]],"p":[{},[0,0,0,0,2,3,2]],"t":[{},[0,0,0,0,2,3,2]],"u":[{"b":[{"s":[{"t":[{},[0,0,0,0,2,1,0,0,3,2]]}]}]}]}],"u":[{},[0,0,0,0,2,3,2]]}]}],"r":[{"a":[{"s":[{"c":[{},[0,0,0,0,0,3,2]]}]}]}]}],"s":[{"c":[{},[0,0,3,2]],"p":[{},[0,0,3,2]],"s":[{"c":[{"r":[{},[0,0,0,0,2]]}]}]}]}],"t":[{"a":[{"g":[{"n":[{},[0,0,0,3,2]]}]}]}],"m":[{},[0,2]],"a":[{"t":[{"i":[{"s":[{},[0,0,0,0,2,1]]}],"a":[{"g":[{},[0,0,2,1]]}]}]}],"e":[{"s":[{"c":[{"u":[{"n":[{},[0,0,0,2,1,4]]}]}]}]}],"i":[{"c":[{"u":[{"t":[{},[0,0,2,1,4,2]]}]}],"s":[{"t":[{"e":[{"n":[{},[0,0,3,2]]}]}]}]}]},[0,2]],"i":[{"a":[{"i":[{"u":[{},[0,0,0,2]]}]},[0,2]],"e":[{"i":[{"u":[{},[0,0,0,2]]}]},[0,2]],"i":[{},[0,2]],"o":[{},[0,2]],"u":[{"u":[{"a":[{},[0,0,0,2]],"e":[{},[0,0,0,2]],"o":[{},[0,0,0,2]],"i":[{},[0,0,0,2]]}],"s":[{"i":[{"u":[{"r":[{},[0,0,2,3,2]]}]}]}]},[0,2]],"d":[{"c":[{"i":[{},[0,2]]}],"i":[{"o":[{"g":[{},[0,3,0,2]]}]}]}],"n":[{"s":[{"p":[{},[0,0,3,2]],"t":[{},[0,0,3,2]]}],"a":[{"n":[{},[0,3,2]],"b":[{"r":[{},[0,0,0,2,3]],"s":[{},[0,0,0,0,3,2]]}],"c":[{"r":[{},[0,0,0,2]]}],"d":[{"f":[{},[0,0,0,2]]}]}],"i":[{"t":[{},[0,3,2]]}],"e":[{"r":[{"s":[{},[0,3,2]],"t":[{},[0,3,2]]}],"x":[{"s":[{"t":[{},[0,0,0,0,0,2]]}]},[0,0,0,2,3]]}],"o":[{"b":[{"s":[{"c":[{},[0,0,0,0,3,2]]}],"o":[{"e":[{},[0,0,0,3,2]]}]},[0,0,0,2]]}],"p":[{"e":[{"r":[{"i":[{"u":[{"r":[{},[0,0,0,0,2,3]]}]}]}]}]}],"u":[{"l":[{"c":[{},[0,4,3]]},[0,3,2]],"a":[{},[0,0,0,2]],"e":[{},[0,0,0,2]],"i":[{},[0,0,0,2]],"o":[{},[0,0,0,2]],"u":[{},[0,0,0,2]]}]},[0,2,1]]}],"u":[{"a":[{"u":[{"a":[{},[0,0,3]]}]},[0,2]],"o":[{"u":[{"e":[{},[0,0,3]]}]},[0,2]],"e":[{"i":[{"o":[{},[0,0,1]]}]},[0,2]],"i":[{},[0,2]],"u":[{},[0,2]],"n":[{"i":[{"u":[{"s":[{},[0,2,1,2]]}]}]}],"t":[{"e":[{"r":[{"u":[{"i":[{},[0,0,0,2,3]]}]}]}]}]}],"b":[{},[0,2]],"g":[{},[0,2]],"f":[{},[0,2]],"h":[{"u":[{"i":[{"u":[{},[0,0,1,2]]}]}]},[0,2]],"l":[{},[0,2]],"m":[{},[0,2]],"n":[{},[0,2]],"r":[{"e":[{"d":[{"a":[{"c":[{},[0,0,2,1]],"d":[{},[0,0,2,1]],"m":[{"b":[{},[0,0,2,1]]},[0,0,2,1]],"n":[{},[0,0,2,1]],"r":[{"g":[{},[0,0,2,1]]},[0,0,2,1]],"u":[{},[0,0,2,1,2]]}],"e":[{"m":[{},[0,0,2,1]],"o":[{},[0,0,2,1]],"u":[{},[0,0,2,1]]}],"i":[{"s":[{},[0,0,2,5]],"t":[{},[0,0,2,5]],"m":[{"i":[{},[0,0,4,3]]},[0,0,3,2]],"e":[{"r":[{},[0,0,2,1]],"n":[{},[0,0,2,1]]}],"b":[{},[0,0,2,1]],"c":[{},[0,0,3,2]],"g":[{},[0,0,3,2]],"n":[{},[0,0,2,1]]}],"o":[{"l":[{},[0,0,2,1]],"p":[{},[0,0,2,1]],"r":[{"m":[{},[0,0,3,2]],"n":[{},[0,0,2,1]],"d":[{},[0,0,2,1]]}]}],"u":[{"l":[{},[0,0,2,1]]}]}],"e":[{"x":[{},[0,0,0,2]]}],"i":[{"e":[{},[0,0,1]],"n":[{},[0,0,1]]}],"p":[{"a":[{"u":[{},[0,0,0,0,2]]}]}],"s":[{"c":[{"r":[{},[0,0,3,2]]}],"p":[{},[0,0,3,2]],"t":[{"a":[{"g":[{},[0,0,3,2]],"u":[{},[0,0,3,2,0,2]]}],"i":[{"b":[{},[0,0,3,2]],"c":[{},[0,0,3,2]],"l":[{},[0,0,3,2]],"p":[{},[0,0,3,2]]}],"r":[{},[0,0,3,2]]}]}]}]},[0,2]],"t":[{"e":[{"t":[{"r":[{"a":[{"e":[{"t":[{},[0,0,0,0,0,3,2]]}],"g":[{"n":[{},[0,0,0,0,0,3,2]]}],"s":[{"t":[{},[0,0,0,0,0,3,2]]}]}]}]}],"r":[{"i":[{"u":[{},[0,0,2,1,2]]}],"u":[{"n":[{},[0,0,2,1]]}],"p":[{"s":[{},[0,0,0,0,2]]}]}]}],"h":[{"e":[{"o":[{"g":[{"n":[{},[0,0,0,0,3,2]]}]},[0,0,0,2]],"s":[{"p":[{},[0,0,0,3,2]],"t":[{},[0,0,0,3,2]]}]}],"i":[{"s":[{"b":[{},[0,0,0,3,2]]}]}]}],"r":[{"a":[{"i":[{"a":[{},[0,0,0,1,2]],"e":[{},[0,0,0,1,2]],"i":[{},[0,0,0,1]]}],"n":[{"s":[{"a":[{"b":[{"i":[{},[0,0,0,0,0,1,2,1]],"e":[{},[0,0,0,0,0,1,2,1,2]]}],"c":[{"t":[{},[0,0,0,0,0,1]]}],"d":[{},[0,0,0,0,0,1,2,1]],"u":[{},[0,0,0,0,0,1,2]]},[0,0,0,0,0,0,2]],"i":[{},[0,0,0,0,0,3]],"c":[{},[0,0,0,0,3,2]],"e":[{"n":[{},[0,0,0,0,3,2]],"u":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,0,1]],"o":[{},[0,0,0,0,0,1,2]],"u":[{"m":[{},[0,0,0,0,3,2]]},[0,0,0,0,0,1,2]]},[0,0,0,0,2]],"u":[{"e":[{},[0,0,0,2,1]]}]}]}],"i":[{"e":[{"n":[{},[0,0,0,3]]}]}]}]},[0,2]],"x":[{},[0,2]],"z":[{"a":[{"i":[{"e":[{"u":[{},[0,0,2,3]]}]}]}],"e":[{"u":[{"g":[{"m":[{},[0,0,0,3,2]]}]}]}]},[0,2]],"d":[{"e":[{"s":[{"c":[{},[0,0,3,2]],"p":[{},[0,0,3,2]],"q":[{},[0,0,3,2]],"t":[{},[0,0,3,2]]}]}],"i":[{"g":[{"n":[{"o":[{"s":[{"c":[{},[0,0,3,2]]}]}]}]}],"s":[{"i":[{},[0,0,2,1,2]],"c":[{"e":[{"p":[{"t":[{},[0,0,4,3,0,0,3]]}]},[0,0,3,2]],"r":[{},[0,0,3,2]]}],"p":[{},[0,0,3,2]],"q":[{"u":[{"a":[{},[0,0,3,2]]}]}],"t":[{"e":[{"n":[{"d":[{},[0,0,4,3,0,0,1]]}]}],"i":[{"n":[{"c":[{},[0,0,4,3,0,4]]}]}]},[0,0,3,2]]}]}]}],"o":[{"b":[{"e":[{"d":[{},[0,3,2]],"l":[{},[0,3,2]],"s":[{},[0,3,2]]}],"i":[{"c":[{},[0,3,2]],"a":[{},[0,0,0,2]],"e":[{},[0,0,0,2]],"u":[{},[0,0,3,2]]}],"s":[{"c":[{"u":[{},[0,0,3,2]]},[0,0,3,2]],"t":[{},[0,0,3,2]]}],"l":[{},[0,0,3]],"r":[{"u":[{"z":[{},[0,3,4]]}]},[0,0,3]],"t":[{"r":[{},[0,0,3]]}],"u":[{"a":[{},[0,0,0,2]],"e":[{},[0,0,0,2]],"i":[{},[0,0,0,2]],"o":[{},[0,0,0,2]]}]},[0,2,1]]}]}],"s":[{"q":[{"u":[{"e":[{".":[{},[2,3]]}]}]},[2]],"d":[{"e":[{"m":[{".":[{},[2,3]]}]}]},[2]],"n":[{"e":[{".":[{},[2]]}]},[2]],"s":[{},[2,3]],"b":[{},[2]],"c":[{"h":[{},[3,2]]},[2]],"f":[{},[2]],"g":[{},[2]],"l":[{},[0,2]],"m":[{},[2]],"r":[{},[0,2]],"p":[{"h":[{},[3,2]]},[2]],"t":[{"h":[{},[3,2]],"l":[{},[2,2,3]],"n":[{},[2,3]],"p":[{},[2,0,3]],"q":[{},[2,2,3]],"s":[{},[2,2,3]],"t":[{},[2,2,3]],".":[{},[2]]},[2]],".":[{},[2]]},[1]],"p":[{"s":[{"i":[{"c":[{},[3,2]]}]},[2]],"n":[{"e":[{"u":[{},[3,2]]}]},[2]],"h":[{"p":[{},[2]],"t":[{},[2]]},[0,2,2]],"l":[{},[0,2]],"p":[{},[2]],"r":[{},[0,2]],"t":[{"r":[{},[3,2]]},[2]],"z":[{},[2]],".":[{},[2]]},[1]],"n":[{"e":[{".":[{},[3]]}],"b":[{},[2]],"c":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"q":[{},[2]],"r":[{},[2]],"s":[{"m":[{},[0,2,3]],"f":[{},[0,2,3]]},[2]],"h":[{},[2]],"t":[{},[2]],"x":[{},[2,0,2]],".":[{},[2]]},[1]],"a":[{"u":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"l":[{"u":[{"a":[{},[0,2,3]],"e":[{},[0,2,3]],"i":[{},[0,2,3]],"o":[{},[0,2,3]],"u":[{},[0,2,3]]}]}],"a":[{},[0,1]],"i":[{"s":[{},[0,1]],"a":[{},[0,1]],"e":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"e":[{"a":[{},[0,0,1]],"o":[{},[0,0,1]],"u":[{},[0,0,1]]}],"m":[{".":[{},[2]],"u":[{"i":[{},[0,2,3]]}]}],"t":[{".":[{},[2]]}],"s":[{".":[{},[2]]}],"n":[{"s":[{".":[{},[2]]}],"t":[{".":[{},[4]]}],"u":[{"a":[{},[0,2,1,2]],"e":[{},[0,2,1,2]],"i":[{},[0,2,1,2]],"o":[{},[0,2,1,2]],"u":[{},[0,2,1,2]]}]}],"x":[{".":[{},[2]]}],"r":[{"u":[{"a":[{},[0,2,1,2]],"e":[{},[0,2,1,2]],"i":[{},[0,2,1,2]],"o":[{},[0,2,1,2]],"u":[{},[0,2,1,2]]}]}]}],"e":[{"u":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{"u":[{"e":[{},[0,1,0,1]],"i":[{},[0,1,0,1]],"o":[{},[0,1,0,1]]}]},[0,1]],"o":[{},[0,1,2]],"u":[{},[0,1]],"s":[{".":[{},[0,5]]}]}],"l":[{"u":[{"e":[{},[0,2,3]]}]}],"e":[{},[0,1]],"a":[{},[0,1]],"o":[{},[0,1]],"i":[{"a":[{},[0,1]],"e":[{},[0,1]],"u":[{},[0,1,2]]}],"s":[{".":[{},[2]]}],"t":[{".":[{},[2]]}],"m":[{".":[{},[2]]}],"x":[{".":[{},[2]]}],"n":[{"u":[{"a":[{},[0,2,1,2]],"e":[{},[0,2,1,2]],"i":[{},[0,2,1,2]],"o":[{},[0,2,1,2]],"u":[{},[0,2,1,2]]}]}],"r":[{"u":[{"a":[{},[0,2,1,2]],"e":[{},[0,2,1,2]],"i":[{},[0,2,1,2]],"o":[{},[0,2,1,2]],"u":[{},[0,2,1,2]]}]}]}],"i":[{"u":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{".":[{},[0,3]],"a":[{},[0,3,2]],"u":[{"a":[{},[0,3,0,3]],"e":[{},[0,3,0,3]],"i":[{},[0,3,0,3]],"o":[{},[0,3,0,3]],"u":[{},[0,3,0,3]]}]},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]],"m":[{".":[{},[0,3]]}],"r":[{".":[{},[0,3]]}],"n":[{"t":[{".":[{},[0,3]]}]}]}],"l":[{"u":[{"a":[{},[0,2,3]],"e":[{},[0,2,3]],"i":[{},[0,2,3]],"o":[{},[0,2,3]],"u":[{},[0,2,3]]}]}],"i":[{},[0,3]],"o":[{"i":[{"u":[{},[0,2,0,2]]},[0,0,1]]}],"s":[{".":[{},[2]]}],"m":[{".":[{},[2]]}],"t":[{".":[{},[2]]}],"x":[{".":[{},[2]]}],"y":[{},[0,2]],"n":[{"u":[{"a":[{},[0,2,1,2]],"e":[{},[0,2,1,2]],"i":[{},[0,2,1,2]],"o":[{},[0,2,1,2]],"u":[{},[0,2,1,2]]}]}],"r":[{"u":[{"a":[{},[0,2,1,2]],"e":[{},[0,2,1,2]],"i":[{},[0,2,1,2]],"o":[{},[0,2,1,2]],"u":[{},[0,2,1,2]]}]}]}],"o":[{"u":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"l":[{"u":[{"a":[{},[0,2,3]],"e":[{},[0,2,3]],"i":[{},[0,2,3]],"o":[{},[0,2,3]],"u":[{},[0,2,3]]}]}],"o":[{},[0,1]],"i":[{"a":[{},[0,1]],"e":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,1]]}],"x":[{".":[{},[2]]}],"n":[{"u":[{"a":[{},[0,2,1,2]],"e":[{},[0,2,1,2]],"i":[{},[0,2,1,2]],"o":[{},[0,2,1,2]],"u":[{},[0,2,1,2]]}]}],"r":[{"u":[{"a":[{},[0,2,1,2]],"e":[{},[0,2,1,2]],"i":[{},[0,2,1,2]],"o":[{},[0,2,1,2]],"u":[{},[0,2,1,2]]}]}]}],"u":[{"u":[{"a":[{},[0,1]],"e":[{},[0,1]],"i":[{},[0,1]],"o":[{},[0,1]],"u":[{},[0,3,2]]}],"i":[{"u":[{"a":[{},[0,2]],"e":[{},[0,2]],"i":[{},[0,2]],"o":[{},[0,2]]},[0,1]],"a":[{},[0,0,1]],".":[{},[2]]}],"l":[{"u":[{"a":[{},[0,2,3]],"o":[{},[0,2,3]],"u":[{},[0,2,3]]}]}],"x":[{".":[{},[2]]}],"o":[{"u":[{},[0,0,3]]}],"n":[{"u":[{"a":[{},[0,2,1,2]],"e":[{},[0,2,1,2]],"i":[{},[0,2,1,2]],"o":[{},[0,2,1,2]],"u":[{},[0,2,1,2]]}]}],"r":[{"u":[{"a":[{},[0,2,1,2]],"e":[{},[0,2,1,2]],"i":[{},[0,2,1,2]],"o":[{},[0,2,1,2]],"u":[{},[0,2,1,2]]}]}]}],"c":[{"u":[{},[0,0,3]],"c":[{},[2]],"h":[{},[0,2,2]],"l":[{},[0,2]],"m":[{},[2]],"n":[{},[2]],"q":[{},[2]],"r":[{},[0,2]],"s":[{},[2]],"t":[{},[2]],"z":[{},[2]],".":[{},[2]]},[1]],"y":[{"x":[{".":[{},[2]]}],"s":[{".":[{},[2]]}],"c":[{"n":[{},[0,3,2]]}]}],"t":[{"r":[{"u":[{"u":[{"s":[{".":[{},[0,0,0,5]]}],"m":[{".":[{},[0,0,0,1]]}]}]}]},[0,2]],"b":[{},[2]],"c":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"h":[{},[0,2,2]],"l":[{},[0,2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"q":[{},[2]],"t":[{},[2]],".":[{},[2]],"i":[{"n":[{"u":[{"i":[{},[0,0,3,2]]}]}]}]},[1]],"b":[{"b":[{},[2]],"d":[{},[2]],"h":[{},[2]],"l":[{},[0,2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"r":[{},[0,2]],"t":[{},[2]],"s":[{"t":[{},[0,3,2]]},[2]],".":[{},[2]]},[1]],"d":[{"d":[{},[2]],"g":[{},[2]],"f":[{},[2]],"m":[{},[2]],"r":[{},[0,2]],"s":[{},[2]],".":[{},[2]]},[1]],"f":[{"f":[{},[2]],"l":[{},[0,2]],"n":[{},[2]],"r":[{},[0,2]],"t":[{},[2]],".":[{},[2]]},[1]],"g":[{"g":[{},[2]],"d":[{},[2]],"f":[{},[2]],"l":[{},[0,2]],"m":[{},[2]],"n":[{},[2]],"r":[{},[0,2]],"s":[{},[2]],".":[{},[2]],"e":[{"n":[{"u":[{"a":[{},[0,0,3,2]]}]}]}]},[1]],"h":[{"p":[{},[2]],"t":[{},[2]],".":[{},[2]]},[1]],"k":[{},[1]],"l":[{"b":[{},[2]],"c":[{},[2]],"d":[{},[2]],"f":[{"t":[{},[0,3,2]]},[2]],"g":[{},[2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"q":[{},[2]],"r":[{},[2]],"s":[{},[2]],"t":[{},[2]],".":[{},[2]]},[1]],"m":[{"m":[{},[2]],"b":[{},[2]],"d":[{},[2]],"l":[{},[2]],"n":[{},[2]],"p":[{},[2]],"q":[{},[2]],"r":[{},[2]],"s":[{},[2]],"t":[{},[2]],".":[{},[2]]},[1]],"q":[{"u":[{},[1,0,2]]}],"r":[{"b":[{},[2]],"c":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"h":[{},[0,2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"q":[{},[2]],"r":[{},[2,3]],"s":[{},[2]],"t":[{},[2]],"z":[{},[2]],".":[{},[2]],"x":[{},[2,1]],"u":[{"s":[{".":[{},[3,4]]}]}]},[1]],"x":[{".":[{},[2]],"a":[{},[1,2]],"e":[{},[1,2]],"i":[{"t":[{".":[{},[1,2]]}]},[1,2]],"o":[{},[1,2]],"y":[{"s":[{"t":[{},[0,0,3,2]]}]},[1,2]],"u":[{"a":[{},[1,0,2]],"e":[{},[1,0,2]],"i":[{},[1,0,2]],"o":[{},[1,0,2]],"u":[{},[1,0,2]],".":[{},[1,2]],"m":[{".":[{},[1,2]]}],"s":[{".":[{},[1,2]]}]}]},[0,1]],"z":[{".":[{},[2]]},[1]]}';
  var hyphenation = [];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
