(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsMnCyrlXLmc = factory();
  }
})(this, function () {
  var patterns =
    '{".":[{"а":[{"а":[{},[0,0,2]]}],"и":[{"н":[{},[0,0,2]]}],"о":[{"ё":[{},[0,0,2]],"о":[{},[0,0,2]]}],"ө":[{"ө":[{},[0,0,2]]}],"у":[{"у":[{},[0,0,2]]}],"ү":[{"ү":[{},[0,0,2]]}],"э":[{"э":[{},[0,0,2]]}]}],"а":[{"а":[{"ж":[{},[0,0,2]]}],"д":[{"и":[{},[0,2]]},[0,1]],"й":[{"б":[{},[0,0,2]]}],"п":[{},[0,1]],"с":[{"а":[{"а":[{},[0,0,0,0,3]]}]}],"т":[{},[0,1]],"ф":[{},[0,1]],"х":[{},[0,1]],"ц":[{"д":[{},[0,3,2]]},[0,1]],"ч":[{},[0,1]],"ш":[{},[0,1]],"ю":[{},[0,1]],"я":[{"а":[{"л":[{},[0,2]]}]}]}],"б":[{"а":[{"й":[{"д":[{"у":[{},[0,0,0,2]]}]}],"м":[{"и":[{},[0,0,3]]}]},[1]],"г":[{},[2,1]],"и":[{},[1]],"л":[{},[2]],"р":[{},[2,1]],"у":[{"ж":[{},[0,0,3]]}]}],"в":[{"а":[{},[1]],"б":[{},[0,1]],"г":[{},[2,1]],"д":[{},[2,1]],"е":[{"д":[{},[0,0,2]]},[1]],"ж":[{},[0,1]],"з":[{},[0,1]],"и":[{},[1]],"л":[{},[2,1]],"н":[{},[2,1]],"о":[{},[1]],"ө":[{},[1]],"р":[{},[2,1]],"с":[{},[0,1]],"т":[{},[2,1]],"у":[{},[1]],"ү":[{},[1]],"ц":[{},[0,1]],"ш":[{},[2,1]],"э":[{},[1]],"я":[{},[1]]}],"г":[{"а":[{},[1]],"б":[{},[0,1]],"в":[{},[0,1]],"г":[{},[2,1]],"д":[{},[2,1]],"ж":[{},[2,1]],"и":[{},[1]],"л":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"о":[{"д":[{"и":[{},[0,0,2]]}]},[1]],"ө":[{},[1]],"р":[{"а":[{"м":[{},[0,2]]}],"е":[{},[3]]},[0,1]],"с":[{},[2]],"т":[{},[2,1]],"у":[{"у":[{"л":[{"и":[{"у":[{},[0,0,0,0,0,0,2]]}]}]}]},[1]],"ү":[{},[1]],"х":[{},[0,1]],"ц":[{},[0,1]],"ч":[{},[2,1]],"ш":[{"и":[{},[0,3]]},[2,1]],"ы":[{},[1]],"э":[{"н":[{"ү":[{},[0,0,2]]}]},[1]],"я":[{"л":[{},[0,0,0,3]]}]}],"д":[{"а":[{"в":[{"ы":[{},[0,0,1]]}]}],"б":[{},[0,1]],"в":[{},[2,1]],"г":[{},[2,1]],"д":[{},[2,1]],"е":[{"к":[{},[2]]}],"ж":[{},[2,1]],"и":[{"а":[{},[0,0,0,1]],"т":[{},[2]]}],"л":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"р":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"ү":[{"ү":[{".":[{},[3]]}]}],"х":[{},[2,1]],"ц":[{},[2,1]],"ч":[{},[2,1]],"ъ":[{},[2]],"ı":[{},[2]]}],"е":[{"б":[{},[0,1]],"в":[{},[0,1]],"г":[{},[0,1,2]],"д":[{},[0,1]],"з":[{},[0,1]],"и":[{},[0,1]],"л":[{},[0,1]],"м":[{},[0,1]],"о":[{},[0,0,1]],"п":[{},[0,1]],"р":[{"е":[{},[0,1]]}],"т":[{"р":[{"у":[{},[0,3,2]]}]}],"х":[{},[0,1]],"ц":[{"и":[{},[0,0,0,1]]},[0,1]],"ш":[{},[0,1]]}],"ё":[{"д":[{},[0,1]],"з":[{},[0,1]],"о":[{"ч":[{},[0,0,2]]}],"х":[{},[0,0,2]]}],"ж":[{"а":[{},[1]],"в":[{},[2,1]],"г":[{},[2,1]],"д":[{},[2,1]],"ж":[{},[2,1]],"и":[{"г":[{},[3]],"н":[{},[3]]},[1]],"л":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"ө":[{},[1]],"р":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"у":[{},[1]],"ү":[{},[1]],"ы":[{},[1]],"э":[{},[1]]}],"з":[{"а":[{},[1]],"в":[{},[2,1]],"г":[{},[2,1]],"д":[{},[2,1]],"ж":[{},[2,1]],"и":[{},[1]],"л":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"о":[{},[1]],"ө":[{},[1]],"р":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"у":[{},[1]],"ү":[{},[1]],"х":[{},[0,1]],"ц":[{},[0,1]],"ч":[{},[0,1]],"ш":[{},[2,1]],"ы":[{},[1]],"ı":[{},[2]],"э":[{},[1]]}],"и":[{"г":[{"р":[{"а":[{},[0,0,2]]}]}],"д":[{"а":[{"л":[{},[0,3]]}],"ы":[{},[0,2]]},[0,1]],"ж":[{},[0,1]],"з":[{},[0,1]],"л":[{"д":[{"и":[{},[0,0,2]]}]}],"с":[{"п":[{},[0,0,3]]}],"т":[{},[0,1]],"х":[{},[0,1]],"ц":[{},[0,1]],"ш":[{},[0,1]]}],"й":[{"б":[{},[0,1]],"в":[{},[0,1]],"г":[{"р":[{},[0,2]]},[0,1]],"д":[{},[0,1]],"ж":[{},[0,1]],"п":[{"л":[{},[0,2]]},[0,1]],"р":[{},[0,1]],"с":[{},[0,1]],"т":[{},[0,1]],"х":[{},[0,1]],"ц":[{},[0,1]],"ч":[{},[0,1]]}],"к":[{"а":[{},[1]],"е":[{},[1]],"ж":[{},[0,1]],"и":[{},[1]],"к":[{},[0,1]],"л":[{},[0,1]],"н":[{},[0,1]],"о":[{"о":[{},[0,0,1]]}],"с":[{"п":[{},[0,0,3]]}],"т":[{},[0,1]],"у":[{},[1]],"ц":[{},[2,1]],"э":[{},[1]]}],"л":[{"а":[{},[1]],"б":[{},[2,1]],"в":[{},[0,1]],"г":[{},[2,1]],"д":[{},[2,1]],"е":[{},[1]],"ж":[{},[2,1]],"з":[{},[2,1]],"и":[{},[1]],"л":[{"и":[{},[0,0,0,1]]},[2,1]],"м":[{},[2,1]],"н":[{},[2]],"о":[{"д":[{},[0,0,2]]},[1]],"ө":[{},[1]],"р":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"у":[{},[1]],"ү":[{},[1]],"х":[{},[2,1]],"ц":[{},[2,1]],"ч":[{},[2]],"ш":[{},[2]],"ъ":[{},[2]],"ы":[{},[1]],"ı":[{},[2]],"э":[{},[1]],"ю":[{},[0,1]]}],"м":[{"а":[{},[1]],"б":[{},[0,1]],"г":[{},[0,1]],"д":[{},[0,1]],"е":[{},[1]],"и":[{"н":[{},[2]]},[1]],"к":[{},[0,1,2]],"л":[{},[0,1]],"н":[{},[0,1]],"о":[{},[1]],"ө":[{},[1]],"п":[{},[2,1]],"р":[{},[0,1]],"у":[{},[1]],"ү":[{},[1]],"ф":[{},[0,1]],"х":[{},[0,1]],"ц":[{},[0,1]],"ш":[{},[0,1]],"ы":[{},[1]],"э":[{},[1]]}],"н":[{"а":[{},[1]],"б":[{},[0,1]],"в":[{},[0,1]],"г":[{"р":[{"е":[{},[0,0,2]]},[0,2]]},[0,1]],"д":[{},[0,1]],"ё":[{"в":[{"р":[{"л":[{},[1]]}]}]}],"и":[{},[1]],"к":[{},[0,1]],"л":[{},[0,1]],"м":[{},[0,1]],"о":[{},[1]],"ө":[{},[1]],"п":[{},[0,1]],"с":[{"д":[{},[0,3,2]]},[0,1]],"т":[{},[0,1]],"у":[{},[1]],"ү":[{},[1]],"х":[{},[0,1]],"ц":[{},[0,1]],"ы":[{},[1]],"э":[{},[1]],"я":[{},[0,1]]}],"о":[{"а":[{},[0,1]],"б":[{},[0,1]],"г":[{"р":[{},[0,1,2]]}],"д":[{},[0,1]],"е":[{},[0,1]],"ж":[{},[0,1]],"н":[{"е":[{},[0,1]],"с":[{"т":[{},[0,0,3]]}],"т":[{},[0,0,3]]}],"п":[{"е":[{},[0,2]]},[0,1,2]],"с":[{"п":[{},[0,1]]}],"т":[{},[0,1]],"ф":[{},[0,1]],"х":[{},[0,1]],"ц":[{},[0,1]],"э":[{},[0,1]]}],"ө":[{"д":[{},[0,1]],"ж":[{},[0,1]],"р":[{"и":[{},[0,2]]}],"х":[{},[0,1]],"ц":[{},[0,1]],"ч":[{},[0,1]]}],"п":[{"д":[{},[2,1]],"о":[{"с":[{},[0,0,3]]},[0,0,1]],"п":[{},[2,1]],"р":[{"а":[{},[2]],"о":[{},[0,2]]}],"т":[{},[2,1]]}],"р":[{"а":[{"б":[{},[2]]},[1]],"б":[{},[0,1]],"в":[{},[0,1]],"г":[{},[2,1]],"д":[{},[2,1]],"и":[{},[1]],"л":[{},[2,1]],"м":[{},[0,1]],"н":[{},[2,1]],"о":[{},[1]],"ө":[{},[1]],"п":[{},[0,1]],"р":[{},[0,1]],"с":[{},[2,1]],"т":[{},[2,1]],"у":[{"к":[{},[2]]},[1]],"ү":[{},[1]],"х":[{},[2,1]],"ц":[{},[0,1]],"ч":[{},[2]],"ш":[{},[2,1]],"ы":[{},[1]],"э":[{},[1]]}],"с":[{"а":[{},[1]],"б":[{},[0,1]],"в":[{},[2,1]],"г":[{},[2,1]],"д":[{},[2,1]],"е":[{},[1]],"ж":[{},[2,1]],"з":[{},[0,1]],"и":[{},[1]],"к":[{"в":[{},[2]]},[1,0,2]],"л":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"о":[{},[1]],"ө":[{},[1]],"п":[{"е":[{},[0,2]],"и":[{},[0,2]]},[0,1]],"р":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"у":[{},[1]],"ү":[{},[1]],"ф":[{},[0,1]],"х":[{},[2,1]],"ц":[{},[0,1]],"ч":[{},[2,1]],"ш":[{"т":[{},[0,3,2]]}],"ы":[{},[1]],"э":[{},[1]]}],"т":[{"а":[{},[1]],"б":[{},[2,1]],"в":[{},[2,1]],"г":[{},[2,1]],"д":[{},[2,1]],"ж":[{},[2,1]],"з":[{},[2,1]],"и":[{},[1]],"л":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"о":[{},[1]],"ө":[{},[1]],"р":[{"о":[{},[0,2]],"у":[{},[1]]},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"ү":[{},[1]],"х":[{},[2,1]],"ц":[{},[2,1]],"ч":[{},[2,1]],"ш":[{},[2,1]],"ы":[{},[1]],"э":[{},[1]]}],"у":[{"д":[{},[0,1]],"ж":[{"и":[{},[0,2]]}],"з":[{},[0,1]],"л":[{},[0,1]],"т":[{},[0,1]],"ф":[{},[0,1]],"х":[{},[0,1]],"ц":[{},[0,1]],"ш":[{},[0,1]]}],"ү":[{"д":[{},[0,1]],"з":[{"э":[{},[0,2]]},[0,1]],"л":[{},[0,1]],"п":[{},[0,1]],"с":[{"д":[{},[0,0,2]]}],"х":[{},[0,1]],"ц":[{},[0,1]],"ш":[{},[0,1]]}],"ф":[{"д":[{},[0,1]],"м":[{},[0,1]],"о":[{},[1]]}],"х":[{"а":[{"а":[{"д":[{"ы":[{},[0,0,0,2]]}]}],"ю":[{},[0,0,2]]},[1]],"б":[{},[2,1]],"в":[{},[2,1]],"г":[{},[2,1]],"д":[{},[2,1]],"ж":[{},[2,1]],"з":[{},[2,1]],"и":[{"д":[{"а":[{},[0,0,2]]}],"ı":[{},[2]]},[1]],"л":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"о":[{},[1]],"ө":[{},[1]],"р":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"у":[{"ж":[{},[0,0,3]]},[1]],"ү":[{},[1]],"х":[{},[2,1]],"ц":[{},[2,1]],"ч":[{},[2]],"ш":[{},[2,1]],"ы":[{},[1]],"ı":[{},[2]],"э":[{},[1]]}],"ц":[{"а":[{},[1]],"в":[{},[2,1]],"г":[{},[2,1]],"д":[{},[2,1]],"ж":[{},[2,1]],"л":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"р":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"х":[{},[2,1]],"ч":[{},[2,1]],"ъ":[{},[2]]}],"ч":[{"а":[{},[1]],"в":[{},[0,1]],"г":[{},[2,1]],"д":[{},[2,1]],"и":[{},[1]],"л":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"о":[{},[1]],"р":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"у":[{},[1]],"ү":[{},[1]],"х":[{},[2,1]],"э":[{},[1]]}],"ш":[{"а":[{},[1]],"б":[{},[0,1]],"в":[{},[2,1]],"г":[{},[2,1]],"д":[{},[2,1]],"ж":[{},[2,1]],"и":[{},[1]],"к":[{},[2,1]],"л":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"о":[{},[1]],"ө":[{},[1]],"р":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"у":[{},[1]],"ү":[{"ү":[{"л":[{"ı":[{},[0,0,0,3]]}]}]},[1]],"х":[{},[2,1]],"ч":[{},[2,1]],"э":[{},[1]]}],"ъ":[{"е":[{},[0,1,2]],"ё":[{},[0,1,2]],"я":[{},[0,1,2]]}],"ы":[{"г":[{},[0,1]],"с":[{},[0,1]],"х":[{},[0,1]]}],"ı":[{"б":[{},[0,1]],"д":[{},[0,1]],"к":[{},[0,1]],"т":[{},[0,1]],"х":[{},[0,1]],"ц":[{},[0,1]],"ч":[{},[0,1]],"ш":[{},[0,1]],"я":[{},[0,1,2]]}],"э":[{"д":[{},[0,1]],"ж":[{},[0,1]],"з":[{},[0,1]],"н":[{"э":[{"х":[{"и":[{},[0,2]]}]}]}],"х":[{},[0,1]],"ц":[{},[0,1]]}],"ю":[{"д":[{},[2]]}],"я":[{"а":[{},[1]],"д":[{},[0,1]],"н":[{"ш":[{"д":[{},[0,0,0,2]]}]}],"т":[{},[0,1]],"х":[{},[0,1]],"ш":[{},[0,1]]}]}';
  var hyphenation = [];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
