(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsMnCyrl = factory();
  }
})(this, function () {
  var patterns =
    '{"б":[{"а":[{},[1]],"е":[{},[1]],"ё":[{},[1]],"и":[{},[1]],"о":[{},[1]],"ө":[{},[1]],"у":[{},[1]],"ү":[{},[1]],"ы":[{},[1]],"ь":[{"ю":[{},[1,0,2]]}],"э":[{},[1]],"ю":[{"у":[{},[2,3,4]],"ү":[{},[2,3,4]]},[1]],"я":[{},[1]]}],"в":[{"а":[{},[1]],"е":[{},[1]],"ё":[{},[1]],"и":[{},[1]],"о":[{},[1]],"ө":[{},[1]],"у":[{},[1]],"ү":[{},[1]],"ы":[{},[1]],"ь":[{"ю":[{},[1,0,2]]}],"э":[{},[1]],"ю":[{"у":[{},[2,3,4]],"ү":[{},[2,3,4]]},[1]],"я":[{},[1]]}],"г":[{"а":[{},[1]],"е":[{},[1]],"ё":[{},[1]],"и":[{},[1]],"о":[{},[1]],"ө":[{},[1]],"у":[{},[1]],"ү":[{},[1]],"ы":[{},[1]],"ь":[{"ю":[{},[1,0,2]]}],"э":[{},[1]],"ю":[{"у":[{},[2,3,4]],"ү":[{},[2,3,4]]},[1]],"я":[{},[1]],"р":[{"а":[{"д":[{},[3,4]],"м":[{},[3,4]],"ф":[{},[3,4]]}]}]}],"д":[{"а":[{},[1]],"е":[{},[1]],"ё":[{},[1]],"и":[{},[1]],"о":[{},[1]],"ө":[{},[1]],"у":[{},[1]],"ү":[{},[1]],"ы":[{},[1]],"ь":[{"ю":[{},[1,0,2]]}],"э":[{},[1]],"ю":[{"у":[{},[2,3,4]],"ү":[{},[2,3,4]]},[1]],"я":[{},[1]]}],"ж":[{"а":[{},[1]],"е":[{},[1]],"ё":[{},[1]],"и":[{},[1]],"о":[{},[1]],"ө":[{},[1]],"у":[{},[1]],"ү":[{},[1]],"э":[{},[1]],"ю":[{"у":[{},[2,3,4]],"ү":[{},[2,3,4]]},[1]],"я":[{},[1]]}],"з":[{"а":[{},[1]],"е":[{},[1]],"ё":[{},[1]],"и":[{},[1]],"о":[{},[1]],"ө":[{},[1]],"у":[{},[1]],"ү":[{},[1]],"ы":[{},[1]],"ь":[{"ю":[{},[1,0,2]]}],"э":[{},[1]],"ю":[{"у":[{},[2,3,4]],"ү":[{},[2,3,4]]},[1]],"я":[{},[1]]}],"к":[{"а":[{},[1]],"е":[{},[1]],"ё":[{},[1]],"и":[{},[1]],"о":[{},[1]],"у":[{},[1]],"ү":[{},[1]],"э":[{},[1]],"ю":[{},[1]],"я":[{},[1]],"в":[{"а":[{},[3,4]]}],"л":[{"а":[{"с":[{},[3,4]]}]}],"р":[{"и":[{},[3,4]]}]}],"л":[{"а":[{},[1]],"е":[{},[1]],"ё":[{},[1]],"и":[{},[1]],"о":[{},[1]],"ө":[{},[1]],"у":[{},[1]],"ү":[{},[1]],"ы":[{},[1]],"э":[{},[1]],"ю":[{"у":[{},[2,3,4]],"ү":[{},[2,3,4]]},[1]],"я":[{},[1]]}],"м":[{"а":[{},[1]],"е":[{},[1]],"ё":[{},[1]],"и":[{},[1]],"о":[{},[1]],"ө":[{},[1]],"у":[{},[1]],"ү":[{},[1]],"ы":[{},[1]],"э":[{},[1]],"ю":[{"у":[{},[2,3,4]],"ү":[{},[2,3,4]]},[1]],"я":[{},[1]]}],"н":[{"а":[{},[1]],"е":[{},[1]],"ё":[{},[1]],"и":[{},[1]],"о":[{},[1]],"ө":[{},[1]],"у":[{},[1]],"ү":[{},[1]],"ы":[{},[1]],"ь":[{"ю":[{},[1,0,2]]}],"э":[{},[1]],"ю":[{"у":[{},[2,3,4]],"ү":[{},[2,3,4]]},[1]],"я":[{},[1]]}],"п":[{"а":[{},[1]],"е":[{},[1]],"ё":[{},[1]],"и":[{},[1]],"о":[{},[1]],"ө":[{},[1]],"у":[{},[1]],"ү":[{},[1]],"ы":[{},[1]],"ь":[{"ю":[{},[1,0,2]]}],"э":[{},[1]],"ю":[{"у":[{},[2,3,4]],"ү":[{},[2,3,4]]},[1]],"я":[{},[1]],"р":[{"о":[{"е":[{"к":[{},[3,3]]}]},[3,4]]}]}],"р":[{"а":[{},[1]],"е":[{},[1]],"ё":[{},[1]],"и":[{},[1]],"о":[{},[1]],"ө":[{},[1]],"у":[{},[1]],"ү":[{},[1]],"ы":[{},[1]],"э":[{},[1]],"ю":[{"у":[{},[2,3,4]],"ү":[{},[2,3,4]]},[1]],"я":[{},[1]]}],"с":[{"а":[{},[1]],"е":[{},[1]],"ё":[{},[1]],"и":[{},[1]],"о":[{},[1]],"ө":[{},[1]],"у":[{},[1]],"ү":[{},[1]],"ы":[{},[1]],"э":[{},[1]],"ю":[{"у":[{},[2,3,4]],"ү":[{},[2,3,4]]},[1]],"я":[{},[1]],"к":[{"о":[{"п":[{},[3,4]]}],"л":[{"а":[{},[3,0,4]],"е":[{},[3,0,4]],"о":[{},[3,0,4]],"я":[{},[3,0,4]]}],"р":[{"а":[{},[3,0,4]],"е":[{},[3,0,4]],"и":[{},[3,0,4]],"о":[{},[3,0,4]],"у":[{},[3,0,4]],"ы":[{},[3,0,4]]}]}],"ф":[{"е":[{},[3,4]]}],"х":[{"е":[{},[3,4]]}],"п":[{"л":[{"а":[{},[3,0,4]]}]}],"т":[{"р":[{"а":[{},[3,0,4]],"е":[{},[3,0,4]],"и":[{},[3,0,4]],"о":[{},[3,0,4]],"у":[{"к":[{},[3,0,4]]}]}]}]}],"т":[{"а":[{},[1]],"е":[{},[1]],"ё":[{},[1]],"и":[{},[1]],"о":[{},[1]],"ө":[{},[1]],"у":[{},[1]],"ү":[{},[1]],"ы":[{},[1]],"ь":[{"ю":[{},[1,0,2]]}],"э":[{},[1]],"ю":[{"у":[{},[2,3,4]],"ү":[{},[2,3,4]]},[1]],"я":[{},[1]]}],"ф":[{"а":[{},[1]],"е":[{},[1]],"ё":[{},[1]],"и":[{},[1]],"о":[{},[1]],"у":[{},[1]],"ы":[{},[1]],"э":[{},[1]],"ю":[{},[1]],"я":[{},[1]],"р":[{"а":[{"г":[{"м":[{},[3,4]]}]}]}]}],"х":[{"а":[{},[1]],"е":[{},[1]],"ё":[{},[1]],"и":[{},[1]],"о":[{},[1]],"ө":[{},[1]],"у":[{},[1]],"ү":[{},[1]],"ы":[{},[1]],"э":[{},[1]],"ю":[{"у":[{},[2,3,4]],"ү":[{},[2,3,4]]},[1]],"я":[{},[1]],"л":[{"о":[{"р":[{},[3,4]]}]}],"р":[{"о":[{"м":[{},[3,4]]}]}]}],"ц":[{"а":[{},[1]],"е":[{},[1]],"ё":[{},[1]],"и":[{},[1]],"о":[{},[1]],"ө":[{},[1]],"у":[{},[1]],"ү":[{},[1]],"ы":[{},[1]],"э":[{},[1]],"ю":[{"у":[{},[2,3,4]],"ү":[{},[2,3,4]]},[1]],"я":[{},[1]]}],"ч":[{"а":[{},[1]],"е":[{},[1]],"ё":[{},[1]],"и":[{},[1]],"о":[{},[1]],"ө":[{},[1]],"у":[{},[1]],"ү":[{},[1]],"э":[{},[1]],"ю":[{"у":[{},[2,3,4]],"ү":[{},[2,3,4]]},[1]],"я":[{},[1]]}],"ш":[{"а":[{},[1]],"е":[{},[1]],"ё":[{},[1]],"и":[{},[1]],"о":[{},[1]],"ө":[{},[1]],"у":[{},[1]],"ү":[{},[1]],"э":[{},[1]],"ю":[{"у":[{},[2,3,4]],"ү":[{},[2,3,4]]},[1]],"я":[{},[1]],"т":[{"а":[{"б":[{},[3,2]],"т":[{},[3,2]]}]}]}],"щ":[{"а":[{},[1]],"е":[{},[1]],"и":[{},[1]],"у":[{},[1]]}],"а":[{"я":[{},[2,1]],"а":[{},[2]],"в":[{"т":[{"о":[{},[3]]}]}],"к":[{"т":[{"и":[{"в":[{},[3]]}]}]}],"п":[{"п":[{"а":[{},[3]]}]}]}],"и":[{"е":[{},[2,1]],"м":[{"п":[{"у":[{"л":[{},[3,0,4]]}]}]}],"н":[{"с":[{"т":[{"р":[{"у":[{},[3,0,3,0,4]]}]}]}],"т":[{"е":[{"р":[{},[3,0,3,0,4]]}]}]}]}],"й":[{"е":[{},[2,1]],"ё":[{},[2,1]],"ю":[{},[2,1]],"я":[{},[2,1]]}],"о":[{"е":[{},[2,1]],"ё":[{},[2,1]],"я":[{},[2,1]],"о":[{},[2]],"п":[{"т":[{"и":[{"к":[{},[3,0,3]]}]}]}]}],"ө":[{"е":[{},[2,1]],"ө":[{},[2]]}],"у":[{"я":[{},[2,1]],"ю":[{},[2,3]],"у":[{},[2]]}],"ү":[{"ү":[{},[2]]}],"ъ":[{"е":[{},[2,3]],"ё":[{},[2,3]],"ю":[{},[2,3]],"я":[{},[2,3]]}],"ь":[{"е":[{},[2,3]],"ё":[{},[2,3]],"я":[{},[2,3]]}],"э":[{"е":[{},[2,3]],"э":[{},[2]],"к":[{"в":[{"и":[{},[3,4,5]]}],"о":[{},[3,4]]}],"л":[{"е":[{"к":[{"т":[{},[3,4,0,0,4]]}],"м":[{"е":[{},[3,4]]}]}]}],"н":[{"е":[{"р":[{"г":[{},[3,4]]}]}],"т":[{"р":[{"о":[{},[3,4]]}]}]}],"ф":[{"ф":[{"е":[{},[3]]}]}]}],"ю":[{"а":[{},[2,3]],"и":[{},[2,3]],"о":[{},[2,3]]}],".":[{"а":[{"в":[{"т":[{"о":[{"а":[{"г":[{},[0,0,0,0,3,4]],"д":[{},[0,0,0,0,3,4]],"к":[{},[0,0,0,0,3,4]],"л":[{},[0,0,0,0,3,4]],"н":[{},[0,0,0,0,3,4]],"с":[{},[0,0,0,0,3,4]]}],"б":[{"л":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]]}],"в":[{"в":[{},[0,0,0,0,3,4]],"л":[{},[0,0,0,0,3,4]]}],"г":[{"р":[{},[0,0,0,0,3,4]]}],"д":[{"р":[{},[0,0,0,0,3,4]]}],"и":[{"м":[{},[0,0,0,0,3,4]],"н":[{},[0,0,0,0,3,4]],"о":[{},[0,0,0,0,3,4]]}],"к":[{"л":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]]}],"о":[{"б":[{},[0,0,0,0,3,4]],"к":[{},[0,0,0,0,3,4]],"п":[{},[0,0,0,0,3,4]],"т":[{},[0,0,0,0,3,4]]}],"п":[{"р":[{},[0,0,0,0,3,4]]}],"с":[{"к":[{},[0,0,0,0,3,4]],"л":[{},[0,0,0,0,3,4]],"м":[{},[0,0,0,0,3,4]],"п":[{},[0,0,0,0,3,4]],"т":[{},[0,0,0,0,3,4]],"ц":[{},[0,0,0,0,3,4]]}],"т":[{"р":[{},[0,0,0,0,3,4]]}],"ф":[{"л":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]]}],"х":[{"р":[{},[0,0,0,0,3,4]],"т":[{},[0,0,0,0,3,4]]}],"ц":[{"в":[{},[0,0,0,0,3,4]]}],"э":[{"к":[{},[0,0,0,0,3,4]],"л":[{},[0,0,0,0,3,4]],"м":[{},[0,0,0,0,3,4]],"п":[{},[0,0,0,0,3,4]]}]}]}]}],"н":[{"т":[{"и":[{"а":[{"в":[{},[0,0,0,0,3,4]],"д":[{},[0,0,0,0,3,4]],"л":[{},[0,0,0,0,3,4]],"н":[{},[0,0,0,0,3,4]],"п":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]],"с":[{},[0,0,0,0,3,4]],"т":[{},[0,0,0,0,3,4]],"у":[{},[0,0,0,0,3,4]]}],"б":[{"л":[{},[0,0,0,0,3,4]]}],"г":[{"л":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]]}],"д":[{"р":[{},[0,0,0,0,3,4]]}],"и":[{"д":[{},[0,0,0,0,3,4]],"з":[{},[0,0,0,0,3,4]],"м":[{},[0,0,0,0,3,4]],"н":[{},[0,0,0,0,3,4]]}],"к":[{"в":[{},[0,0,0,0,3,4]],"л":[{},[0,0,0,0,3,4]]}],"о":[{"б":[{},[0,0,0,0,3,4]],"з":[{},[0,0,0,0,3,4]],"к":[{},[0,0,0,0,3,4]]}],"п":[{"л":[{},[0,0,0,0,3,4]],"н":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]],"с":[{},[0,0,0,0,3,4]]}],"с":[{"в":[{},[0,0,0,0,3,4]],"к":[{},[0,0,0,0,3,4]],"т":[{},[0,0,0,0,3,4]],"ц":[{},[0,0,0,0,3,4]]}],"т":[{"р":[{},[0,0,0,0,3,4]]}],"у":[{"з":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]],"т":[{},[0,0,0,0,3,4]]}],"ф":[{"л":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]]}],"х":[{"л":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]]}],"э":[{"м":[{},[0,0,0,0,3,4]],"н":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]]}]}]}]}],"с":[{"т":[{"р":[{"о":[{"б":[{"л":[{},[0,0,0,0,0,3,4]]}],"г":[{"л":[{},[0,0,0,0,0,3,4]],"р":[{},[0,0,0,0,0,3,4]]}],"и":[{"н":[{},[0,0,0,0,0,3,4]]}],"о":[{"р":[{},[0,0,0,0,0,3,4]]}],"с":[{"п":[{},[0,0,0,0,0,3,4]]}],"ш":[{"т":[{},[0,0,0,0,0,3,4]]}]}]}]}]}],"э":[{"р":[{"о":[{"д":[{"р":[{},[0,0,0,0,3,4]]}],"к":[{"л":[{},[0,0,0,0,3,4]]}],"п":[{"л":[{},[0,0,0,0,3,4]]}],"с":[{"т":[{},[0,0,0,0,3,4]]}],"ф":[{"л":[{},[0,0,0,0,3,4]]}]}]}]}]}],"б":[{"и":[{"а":[{"к":[{},[0,0,3,4]],"л":[{},[0,0,3,4]],"ф":[{},[0,0,3,4]]}],"к":[{"в":[{},[0,0,3,4]],"р":[{},[0,0,3,4]]}],"о":[{"р":[{},[0,0,3,4]],"а":[{"к":[{},[0,0,0,3,4]],"н":[{},[0,0,0,3,4]],"п":[{},[0,0,0,3,4]],"с":[{},[0,0,0,3,4]]}],"б":[{"л":[{},[0,0,0,3,4]]}],"г":[{"р":[{},[0,0,0,3,4]]}],"и":[{"н":[{},[0,0,0,3,4]]}],"к":[{"л":[{},[0,0,0,3,4]],"р":[{},[0,0,0,3,4]]}],"о":[{"р":[{},[0,0,0,3,4]]}],"п":[{"л":[{},[0,0,0,3,4]],"р":[{},[0,0,0,3,4]]}],"с":[{"к":[{},[0,0,0,3,4]],"п":[{},[0,0,0,3,4]],"т":[{},[0,0,0,3,4]],"ф":[{},[0,0,0,3,4]]}],"х":[{"р":[{},[0,0,0,3,4]]}],"э":[{"к":[{},[0,0,0,3,4]],"л":[{},[0,0,0,3,4]],"н":[{},[0,0,0,3,4]],"т":[{},[0,0,0,3,4]]}]}],"п":[{"р":[{},[0,0,3,4]]}],"э":[{"к":[{},[0,0,3,4]]}]}],"ь":[{},[0,0,4]]}],"в":[{"ъ":[{},[0,0,4]],"ь":[{},[0,0,4]]}],"г":[{"а":[{"з":[{"о":[{"а":[{"б":[{},[0,0,0,0,3,4]],"д":[{},[0,0,0,0,3,4]],"н":[{},[0,0,0,0,3,4]],"п":[{},[0,0,0,0,3,4]]}]}]}]}],"е":[{"о":[{"а":[{"к":[{},[0,0,0,3,4]]}],"б":[{"л":[{},[0,0,0,3,4]]}],"г":[{"р":[{},[0,0,0,3,4]]}],"и":[{"з":[{},[0,0,0,3,4]],"н":[{},[0,0,0,3,4]]}],"к":[{"р":[{},[0,0,0,3,4]]}],"с":[{"к":[{},[0,0,0,3,4]],"т":[{},[0,0,0,3,4]],"ф":[{},[0,0,0,3,4]]}],"т":[{"р":[{},[0,0,0,3,4]]}],"ф":[{"л":[{},[0,0,0,3,4]]}],"х":[{"р":[{},[0,0,0,3,4]]}],"э":[{"к":[{},[0,0,0,3,4]],"л":[{},[0,0,0,3,4]]}]}]}],"и":[{"д":[{"р":[{"о":[{"а":[{"б":[{},[0,0,0,0,0,3,4]],"в":[{},[0,0,0,0,0,3,4]],"г":[{},[0,0,0,0,0,3,4]],"д":[{},[0,0,0,0,0,3,4]],"к":[{},[0,0,0,0,0,3,4]],"л":[{},[0,0,0,0,0,3,4]],"м":[{},[0,0,0,0,0,3,4]],"р":[{},[0,0,0,0,0,3,4]],"э":[{},[0,0,0,0,0,3,4]]}],"г":[{"р":[{},[0,0,0,0,0,3,4]]}],"и":[{"з":[{},[0,0,0,0,0,3,4]],"н":[{},[0,0,0,0,0,3,4]],"о":[{},[0,0,0,0,0,3,4]]}],"к":[{"л":[{},[0,0,0,0,0,3,4]],"р":[{},[0,0,0,0,0,3,4]]}],"о":[{"к":[{},[0,0,0,0,0,3,4]]}],"п":[{"л":[{},[0,0,0,0,0,3,4]],"н":[{},[0,0,0,0,0,3,4]]}],"с":[{"т":[{},[0,0,0,0,0,3,4]],"ф":[{},[0,0,0,0,0,3,4]]}],"т":[{"р":[{},[0,0,0,0,0,3,4]]}],"у":[{"д":[{},[0,0,0,0,0,3,4]],"з":[{},[0,0,0,0,0,3,4]],"р":[{},[0,0,0,0,0,3,4]]}],"х":[{"л":[{},[0,0,0,0,0,3,4]]}],"э":[{"к":[{},[0,0,0,0,0,3,4]],"л":[{},[0,0,0,0,0,3,4]],"н":[{},[0,0,0,0,0,3,4]]}]}]}]}],"п":[{"е":[{"р":[{"а":[{"д":[{},[0,0,0,0,2,3,4]],"з":[{},[0,0,0,0,2,3,4]],"к":[{},[0,0,0,0,2,3,4]],"л":[{},[0,0,0,0,2,3,4]],"м":[{},[0,0,0,0,2,3,4]],"р":[{},[0,0,0,0,2,3,4]],"ц":[{},[0,0,0,0,2,3,4]],"э":[{},[0,0,0,0,2,3,4]]}],"е":[{"а":[{},[0,0,0,0,2,3,4]],"м":[{},[0,0,0,0,2,3,4]],"р":[{},[0,0,0,0,2,3,4]],"с":[{},[0,0,0,0,2,3,4]]}],"и":[{"з":[{},[0,0,0,0,2,3,4]],"м":[{},[0,0,0,0,2,3,4]],"н":[{},[0,0,0,0,2,3,4]]}],"о":[{"в":[{},[0,0,0,0,2,3,4]],"к":[{},[0,0,0,0,2,3,4]],"с":[{},[0,0,0,0,2,3,4]]}],"б":[{"р":[{},[0,0,0,0,0,3,4]]}],"г":[{"л":[{},[0,0,0,0,0,3,4]],"р":[{},[0,0,0,0,0,3,4]]}],"к":[{"в":[{},[0,0,0,0,0,3,4]],"р":[{},[0,0,0,0,0,3,4]]}],"м":[{"н":[{},[0,0,0,0,0,3,4]]}],"п":[{"л":[{},[0,0,0,0,0,3,4]],"н":[{},[0,0,0,0,0,3,4]],"р":[{},[0,0,0,0,0,3,4]]}],"с":[{"п":[{},[0,0,0,0,0,3,4]],"р":[{},[0,0,0,0,0,3,4]],"с":[{},[0,0,0,0,0,3,4]],"т":[{},[0,0,0,0,0,3,4]]}],"т":[{"р":[{},[0,0,0,0,0,3,4]]}],"у":[{"р":[{},[0,0,0,0,0,3,4]]}],"ф":[{"р":[{},[0,0,0,0,0,3,4]]}],"х":[{"л":[{},[0,0,0,0,0,3,4]],"р":[{},[0,0,0,0,0,3,4]]}],"э":[{"к":[{},[0,0,0,0,0,3,4]],"л":[{},[0,0,0,0,0,3,4]],"н":[{},[0,0,0,0,0,3,4]],"о":[{},[0,0,0,0,0,3,4]],"с":[{},[0,0,0,0,0,3,4]]}]}]}]}]}],"о":[{"л":[{"о":[{"б":[{"л":[{},[0,0,0,0,3,4]]}],"э":[{"д":[{},[0,0,0,0,3,4]]}]}]}],"м":[{"о":[{"а":[{"з":[{},[0,0,0,0,3,4]],"к":[{},[0,0,0,0,3,4]],"т":[{},[0,0,0,0,3,4]]}],"к":[{"л":[{},[0,0,0,0,3,4]]}],"п":[{"л":[{},[0,0,0,0,3,4]]}],"с":[{"п":[{},[0,0,0,0,3,4]]}],"т":[{"р":[{},[0,0,0,0,3,4]]}],"ф":[{"т":[{},[0,0,0,0,3,4]]}],"э":[{"н":[{},[0,0,0,0,3,4]],"п":[{},[0,0,0,0,3,4]]}]}]}]}],"ь":[{},[0,0,4]]}],"д":[{"и":[{"а":[{"г":[{"н":[{},[0,0,1,3,4]]}],"д":[{"р":[{},[0,0,0,3,4]]}],"к":[{"л":[{},[0,0,0,3,4]],"р":[{},[0,0,0,3,4]]}],"с":[{"к":[{},[0,0,0,3,4]],"п":[{},[0,0,0,3,4]],"т":[{},[0,0,0,3,4]]}],"т":[{"р":[{},[0,0,0,3,4]]}],"ф":[{"р":[{},[0,0,0,3,4]]}],"з":[{"о":[{"т":[{"р":[{},[0,0,0,0,0,3,4]]}],"э":[{"т":[{},[0,0,0,0,0,3,4]],"ф":[{},[0,0,0,0,0,3,4]]}]}]}]}],"с":[{"т":[{"р":[{"и":[{},[0,0,4,0,5]],"о":[{},[0,0,4,0,5]]}]}]}],"н":[{"а":[{"т":[{"р":[{},[0,0,0,0,3,4]]}]}]}]}],"ь":[{},[0,0,4]]}],"е":[{"в":[{"р":[{"о":[{"а":[{"з":[{},[0,0,0,0,3,4]],"т":[{},[0,0,0,0,3,4]]}],"и":[{"е":[{},[0,0,0,0,3,4]]}],"к":[{"р":[{},[0,0,0,0,3,4]]}],"о":[{"б":[{},[0,0,0,0,3,4]]}],"с":[{"п":[{},[0,0,0,0,3,4]],"т":[{},[0,0,0,0,3,4]]}]}]}]}]}],"и":[{"з":[{"о":[{"а":[{"в":[{},[0,0,0,3,4]],"г":[{},[0,0,0,3,4]],"д":[{},[0,0,0,3,4]],"з":[{},[0,0,0,3,4]],"к":[{},[0,0,0,3,4]],"л":[{},[0,0,0,3,4]],"м":[{},[0,0,0,3,4]],"н":[{},[0,0,0,3,4]]}],"б":[{"р":[{},[0,0,0,3,4]]}],"в":[{"р":[{},[0,0,0,3,4]]}],"г":[{"л":[{},[0,0,0,3,4]],"р":[{},[0,0,0,3,4]]}],"д":[{"р":[{},[0,0,0,3,4]]}],"и":[{"о":[{},[0,0,0,3,4]]}],"й":[{"о":[{},[0,0,0,3,4]]}],"к":[{"л":[{},[0,0,0,3,4]],"р":[{},[0,0,0,3,4]]}],"л":[{"г":[{},[0,0,0,3,4]],"ж":[{},[0,0,0,3,4]]}],"о":[{"к":[{},[0,0,0,3,4]]}],"п":[{"л":[{},[0,0,0,3,4]],"р":[{},[0,0,0,3,4]]}],"с":[{"т":[{},[0,0,0,3,4]]}],"т":[{"к":[{},[0,0,0,3,4]],"р":[{},[0,0,0,3,4]]}],"х":[{"р":[{},[0,0,0,3,4]]}],"ш":[{"л":[{},[0,0,0,3,4]]}],"э":[{"в":[{},[0,0,0,3,4]],"д":[{},[0,0,0,3,4]],"й":[{},[0,0,0,3,4]],"л":[{},[0,0,0,3,4]],"н":[{},[0,0,0,3,4]]}]}]}],"н":[{"а":[{"к":[{"т":[{},[0,0,3,4]]}],"п":[{},[0,0,3,4]],"у":[{},[0,0,3,4]]}],"б":[{"р":[{},[0,0,3,4]]}],"г":[{"р":[{},[0,0,3,4]]}],"к":[{"л":[{},[0,0,3,4]],"р":[{},[0,0,3,4]]}],"с":[{"т":[{"р":[{},[0,0,3,4]]}]}],"т":[{"е":[{"р":[{"а":[{"к":[{},[0,0,0,0,2,3,4]]}],"г":[{"р":[{},[0,0,0,0,0,3,4]]}],"к":[{"в":[{},[0,0,0,0,0,3,4]],"р":[{},[0,0,0,0,0,3,4]]}],"п":[{"р":[{},[0,0,0,0,0,3,4]]}],"ф":[{"л":[{},[0,0,0,0,0,3,4]]}]}]}]}]}]}],"к":[{"и":[{"л":[{"о":[{"а":[{"м":[{},[0,0,0,0,3,4]]}],"г":[{"р":[{},[0,0,0,0,3,4]]}],"э":[{"л":[{},[0,0,0,0,3,4]]}]}]}],"н":[{"о":[{"а":[{"к":[{},[0,0,0,0,3,4]],"н":[{},[0,0,0,0,3,4]],"п":[{},[0,0,0,0,3,4]],"ф":[{},[0,0,0,0,3,4]]}],"б":[{"л":[{},[0,0,0,0,3,4]]}],"д":[{"р":[{},[0,0,0,0,3,4]]}],"и":[{"с":[{},[0,0,0,0,3,4]]}],"к":[{"л":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]]}],"о":[{"п":[{},[0,0,0,0,3,4]]}],"п":[{"л":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]]}],"с":[{"к":[{},[0,0,0,0,3,4]],"ъ":[{},[0,0,0,0,3,4]]}],"ф":[{"л":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]]}],"х":[{"р":[{},[0,0,0,0,3,4]]}],"э":[{"к":[{},[0,0,0,0,3,4]]}]}]}]}],"о":[{"а":[{"г":[{},[0,0,3,4]],"д":[{},[0,0,3,4]],"к":[{},[0,0,3,4]]}],"и":[{"н":[{},[0,0,3,4]]}],"о":[{"п":[{},[0,0,3,4]],"р":[{},[0,0,3,4]]}],"п":[{"л":[{},[0,0,3,4]]}],"э":[{"ф":[{},[0,0,3,4]]}]}],"ь":[{},[0,0,4]]}],"л":[{"ь":[{},[0,0,4]]}],"м":[{"а":[{"к":[{"р":[{"о":[{"а":[{"н":[{},[0,0,0,0,0,3,4]],"с":[{},[0,0,0,0,0,3,4]]}],"б":[{"л":[{},[0,0,0,0,0,3,4]],"р":[{},[0,0,0,0,0,3,4]]}],"г":[{"л":[{},[0,0,0,0,0,3,4]],"н":[{},[0,0,0,0,0,3,4]],"р":[{},[0,0,0,0,0,3,4]]}],"и":[{"н":[{},[0,0,0,0,0,3,4]],"с":[{},[0,0,0,0,0,3,4]]}],"к":[{"л":[{},[0,0,0,0,0,3,4]],"р":[{},[0,0,0,0,0,3,4]]}],"о":[{"в":[{},[0,0,0,0,0,3,4]],"п":[{},[0,0,0,0,0,3,4]],"р":[{},[0,0,0,0,0,3,4]]}],"п":[{"л":[{},[0,0,0,0,0,3,4]],"р":[{},[0,0,0,0,0,3,4]]}],"с":[{"к":[{},[0,0,0,0,0,3,4]],"п":[{},[0,0,0,0,0,3,4]],"т":[{},[0,0,0,0,0,3,4]],"х":[{},[0,0,0,0,0,3,4]]}],"т":[{"р":[{},[0,0,0,0,0,3,4]]}],"ф":[{"л":[{},[0,0,0,0,0,3,4]],"т":[{},[0,0,0,0,0,3,4]]}],"э":[{"в":[{},[0,0,0,0,0,3,4]],"к":[{},[0,0,0,0,0,3,4]],"л":[{},[0,0,0,0,0,3,4]],"н":[{},[0,0,0,0,0,3,4]],"р":[{},[0,0,0,0,0,3,4]],"с":[{},[0,0,0,0,0,3,4]]}]}]}]}]}],"е":[{"г":[{"а":[{"о":[{"м":[{},[0,0,0,0,3,4]]}],"п":[{"р":[{},[0,0,0,0,3,4]]}],"с":[{"к":[{},[0,0,0,0,3,4]],"п":[{},[0,0,0,0,3,4]]}],"э":[{"л":[{},[0,0,0,0,3,4]]}]}]}]}],"и":[{"к":[{"р":[{"о":[{"а":[{"в":[{},[0,0,0,0,0,3,4]],"г":[{},[0,0,0,0,0,3,4]],"д":[{},[0,0,0,0,0,3,4]],"м":[{},[0,0,0,0,0,3,4]],"н":[{},[0,0,0,0,0,3,4]],"р":[{},[0,0,0,0,0,3,4]],"с":[{},[0,0,0,0,0,3,4]],"у":[{},[0,0,0,0,0,3,4]],"э":[{},[0,0,0,0,0,3,4]]}],"б":[{"л":[{},[0,0,0,0,0,3,4]],"р":[{},[0,0,0,0,0,3,4]]}],"г":[{"р":[{},[0,0,0,0,0,3,4]]}],"д":[{"в":[{},[0,0,0,0,0,3,4]]}],"и":[{"з":[{},[0,0,0,0,0,3,4]],"н":[{},[0,0,0,0,0,3,4]],"с":[{},[0,0,0,0,0,3,4]]}],"й":[{"о":[{},[0,0,0,0,0,3,4]]}],"к":[{"л":[{},[0,0,0,0,0,3,4]],"н":[{},[0,0,0,0,0,3,4]],"р":[{},[0,0,0,0,0,3,4]]}],"о":[{"б":[{},[0,0,0,0,0,3,4]],"п":[{},[0,0,0,0,0,3,4]],"р":[{},[0,0,0,0,0,3,4]],"с":[{},[0,0,0,0,0,3,4]]}],"п":[{"л":[{},[0,0,0,0,0,3,4]],"р":[{},[0,0,0,0,0,3,4]]}],"с":[{"к":[{},[0,0,0,0,0,3,4]],"п":[{},[0,0,0,0,0,3,4]],"т":[{},[0,0,0,0,0,3,4]],"ф":[{},[0,0,0,0,0,3,4]],"х":[{},[0,0,0,0,0,3,4]]}],"т":[{"р":[{},[0,0,0,0,0,3,4]]}],"ф":[{"л":[{},[0,0,0,0,0,3,4]]}],"х":[{"р":[{},[0,0,0,0,0,3,4]]}],"э":[{"в":[{},[0,0,0,0,0,3,4]],"л":[{},[0,0,0,0,0,3,4]],"м":[{},[0,0,0,0,0,3,4]],"н":[{},[0,0,0,0,0,3,4]],"р":[{},[0,0,0,0,0,3,4]]}]}]}]}],"л":[{"л":[{"и":[{"а":[{"м":[{},[0,0,0,0,0,3,4]]}],"г":[{"р":[{},[0,0,0,0,0,3,4]]}],"о":[{"м":[{},[0,0,0,0,0,3,4]]}],"э":[{"к":[{},[0,0,0,0,0,3,4]]}]}]}]}]}],"о":[{"н":[{"о":[{"а":[{"в":[{},[0,0,0,0,3,4]],"з":[{},[0,0,0,0,3,4]],"л":[{},[0,0,0,0,3,4]],"м":[{},[0,0,0,0,3,4]],"н":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]],"т":[{},[0,0,0,0,3,4]],"ц":[{},[0,0,0,0,3,4]]}],"б":[{"л":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]]}],"г":[{"л":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]]}],"и":[{"з":[{},[0,0,0,0,3,4]],"м":[{},[0,0,0,0,3,4]],"н":[{},[0,0,0,0,3,4]]}],"к":[{"л":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]]}],"о":[{"к":[{},[0,0,0,0,3,4]],"л":[{},[0,0,0,0,3,4]]}],"п":[{"л":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]],"с":[{},[0,0,0,0,3,4]]}],"с":[{"п":[{},[0,0,0,0,3,4]],"т":[{},[0,0,0,0,3,4]]}],"т":[{"р":[{},[0,0,0,0,3,4]]}],"ф":[{"т":[{},[0,0,0,0,3,4]]}],"х":[{"л":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]]}],"э":[{"д":[{},[0,0,0,0,3,4]],"н":[{},[0,0,0,0,3,4]],"п":[{},[0,0,0,0,3,4]],"т":[{},[0,0,0,0,3,4]],"ф":[{},[0,0,0,0,3,4]]}]}]}],"т":[{"о":[{"д":[{"р":[{},[0,0,0,0,3,4]]}],"к":[{"р":[{},[0,0,0,0,3,4]]}],"п":[{"л":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]]}],"с":[{"п":[{},[0,0,0,0,3,4]]}],"ш":[{"л":[{},[0,0,0,0,3,4]]}]}]}]}],"ь":[{},[0,0,4]]}],"н":[{"а":[{"у":[{},[0,0,3]],"н":[{"о":[{"а":[{"д":[{},[0,0,0,0,3,4]]}],"п":[{"р":[{},[0,0,0,0,3,4]]}]}]}]}],"е":[{"о":[{"а":[{"д":[{},[0,0,0,3,4]],"н":[{},[0,0,0,3,4]],"р":[{},[0,0,0,3,4]]}],"б":[{"л":[{},[0,0,0,3,4]]}],"г":[{"л":[{},[0,0,0,3,4]],"н":[{},[0,0,0,3,4]],"р":[{},[0,0,0,3,4]]}],"и":[{"з":[{},[0,0,0,3,4]],"м":[{},[0,0,0,3,4]],"н":[{},[0,0,0,3,4]]}],"к":[{"л":[{},[0,0,0,3,4]],"р":[{},[0,0,0,3,4]]}],"п":[{"л":[{},[0,0,0,3,4]],"р":[{},[0,0,0,3,4]]}],"х":[{"р":[{},[0,0,0,3,4]]}],"э":[{"з":[{},[0,0,0,3,4]],"н":[{},[0,0,0,3,4]],"п":[{},[0,0,0,3,4]],"с":[{},[0,0,0,3,4]]}]}]}],"ь":[{},[0,0,4]]}],"о":[{"р":[{"т":[{"о":[{"а":[{"л":[{},[0,0,0,0,3,4]],"м":[{},[0,0,0,0,3,4]],"н":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]]}],"д":[{"р":[{},[0,0,0,0,3,4]]}],"и":[{"з":[{},[0,0,0,0,3,4]]}],"к":[{"р":[{},[0,0,0,0,3,4]]}],"п":[{"л":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]],"с":[{},[0,0,0,0,3,4]]}],"с":[{"в":[{},[0,0,0,0,3,4]],"к":[{},[0,0,0,0,3,4]],"т":[{},[0,0,0,0,3,4]]}],"т":[{"р":[{},[0,0,0,0,3,4]]}],"х":[{"л":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]]}],"э":[{"т":[{},[0,0,0,0,3,4]],"ф":[{},[0,0,0,0,3,4]]}]}]}]}]}],"п":[{"а":[{"р":[{"а":[{"а":[{"к":[{},[0,0,0,0,3,4]],"л":[{},[0,0,0,0,3,4]],"м":[{},[0,0,0,0,3,4]],"н":[{},[0,0,0,0,3,4]],"п":[{},[0,0,0,0,3,4]],"ц":[{},[0,0,0,0,3,4]]}],"б":[{"л":[{},[0,0,0,0,3,4]]}],"г":[{"н":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]]}],"к":[{"л":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]]}],"о":[{"к":[{},[0,0,0,0,3,4]]}],"п":[{"л":[{},[0,0,0,0,3,4]],"с":[{},[0,0,0,0,3,4]]}],"с":[{"п":[{},[0,0,0,0,3,4]],"ф":[{},[0,0,0,0,3,4]],"ц":[{},[0,0,0,0,3,4]]}],"т":[{"р":[{},[0,0,0,0,3,4]]}],"х":[{"л":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]]}],"э":[{"л":[{},[0,0,0,0,3,4]],"т":[{},[0,0,0,0,3,4]]}]}],"о":[{"п":[{"р":[{},[0,0,0,0,3,4]]}]}]}]}],"о":[{"л":[{"и":[{"а":[{"в":[{},[0,0,0,0,3,4]],"д":[{},[0,0,0,0,3,4]],"з":[{},[0,0,0,0,3,4]],"к":[{},[0,0,0,0,3,4]],"л":[{},[0,0,0,0,3,4]],"м":[{},[0,0,0,0,3,4]],"н":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]],"ц":[{},[0,0,0,0,3,4]]}],"б":[{"р":[{},[0,0,0,0,3,4]]}],"г":[{"л":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]]}],"и":[{"з":[{},[0,0,0,0,3,4]],"м":[{},[0,0,0,0,3,4]]}],"к":[{"л":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]]}],"о":[{"к":[{},[0,0,0,0,3,4]],"л":[{},[0,0,0,0,3,4]]}],"п":[{"л":[{},[0,0,0,0,3,4]],"н":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]]}],"с":[{"п":[{},[0,0,0,0,3,4]],"т":[{},[0,0,0,0,3,4]]}],"у":[{"р":[{},[0,0,0,0,3,4]]}],"х":[{"л":[{},[0,0,0,0,3,4]],"р":[{},[0,0,0,0,3,4]]}],"э":[{"д":[{},[0,0,0,0,3,4]],"к":[{},[0,0,0,0,3,4]],"л":[{},[0,0,0,0,3,4]],"н":[{},[0,0,0,0,3,4]],"т":[{},[0,0,0,0,3,4]],"ф":[{},[0,0,0,0,3,4]]}]}]}]}],"р":[{"е":[{"э":[{"к":[{},[0,0,0,3,4]]}],"ю":[{"д":[{},[0,0,0,3,4]]}]}],"о":[{"а":[{"г":[{},[0,0,0,3,4]],"к":[{},[0,0,0,3,4]],"м":[{},[0,0,0,3,4]],"н":[{},[0,0,0,3,4]],"у":[{},[0,0,0,3,4]]}],"г":[{"р":[{},[0,0,0,3,4]]}],"и":[{"г":[{},[0,0,0,3,4]],"з":[{},[0,0,0,3,4]],"л":[{},[0,0,0,3,4]],"н":[{},[0,0,0,3,4]]}],"к":[{"л":[{},[0,0,0,3,4]]}],"с":[{"п":[{},[0,0,0,3,4]]}],"х":[{"р":[{},[0,0,0,3,4]]}],"э":[{"к":[{},[0,0,0,3,4]],"м":[{},[0,0,0,3,4]],"н":[{},[0,0,0,3,4]],"р":[{},[0,0,0,3,4]],"с":[{},[0,0,0,3,4]]}],"т":[{"о":[{"х":[{"л":[{},[0,0,0,0,0,3,4]],"р":[{},[0,0,0,0,0,3,4]]}],"э":[{"р":[{},[0,0,0,0,0,3,4]]}]}]}],"ф":[{"г":[{"р":[{},[0,0,0,0,3,4]]}]}]}]}],"ъ":[{},[0,0,4]],"ь":[{},[0,0,4]]}],"р":[{"е":[{"а":[{"б":[{},[0,0,3,4]],"г":[{},[0,0,3,4]],"д":[{},[0,0,3,4]],"к":[{},[0,0,3,4]],"с":[{},[0,0,3,4]],"ф":[{},[0,0,3,4]],"э":[{},[0,0,3,4]]}],"г":[{"р":[{},[0,0,3,4]]}],"и":[{"м":[{},[0,0,3,4]],"н":[{},[0,0,3,4]],"ф":[{},[0,0,3,4]]}],"к":[{"р":[{},[0,0,3,4]]}],"п":[{"р":[{},[0,0,3,4]]}],"т":[{"р":[{"а":[{},[0,0,3,4]],"о":[{"а":[{"к":[{},[0,0,0,0,0,3,4]],"у":[{},[0,0,0,0,0,3,4]]}],"г":[{"р":[{},[0,0,0,0,0,3,4]]}],"о":[{"т":[{},[0,0,0,0,0,3,4]]}],"ф":[{"л":[{},[0,0,0,0,0,3,4]]}]}]}]}]}]}],"с":[{"а":[{"н":[{"т":[{"и":[{"г":[{"р":[{},[0,0,0,0,0,3,4]]}]}]}]}]}],"т":[{"е":[{"р":[{"е":[{"о":[{"а":[{"д":[{},[0,0,0,0,0,0,3,4]],"к":[{},[0,0,0,0,0,0,3,4]]}],"б":[{"л":[{},[0,0,0,0,0,0,3,4]]}],"г":[{"р":[{},[0,0,0,0,0,0,3,4]]}],"и":[{"з":[{},[0,0,0,0,0,0,3,4]]}],"с":[{"к":[{},[0,0,0,0,0,0,3,4]],"п":[{},[0,0,0,0,0,0,3,4]]}],"т":[{"р":[{},[0,0,0,0,0,0,3,4]]}],"э":[{"л":[{},[0,0,0,0,0,0,3,4]],"н":[{},[0,0,0,0,0,0,3,4]],"ф":[{},[0,0,0,0,0,0,3,4]]}]}]}]}]}]}],"у":[{"п":[{"е":[{"р":[{"а":[{"г":[{},[0,0,0,0,0,3,4]],"д":[{},[0,0,0,0,0,3,4]],"к":[{},[0,0,0,0,0,3,4]],"н":[{},[0,0,0,0,0,3,4]],"р":[{},[0,0,0,0,0,3,4]],"э":[{},[0,0,0,0,0,3,4]]}],"г":[{"р":[{},[0,0,0,0,0,3,4]]}],"е":[{"с":[{},[0,0,0,0,0,3,4]]}],"и":[{"з":[{},[0,0,0,0,0,3,4]],"к":[{},[0,0,0,0,0,3,4]],"м":[{},[0,0,0,0,0,3,4]],"н":[{},[0,0,0,0,0,3,4]]}],"к":[{"л":[{},[0,0,0,0,0,3,4]]}],"п":[{"р":[{},[0,0,0,0,0,3,4]]}],"с":[{"к":[{},[0,0,0,0,0,3,4]],"п":[{},[0,0,0,0,0,3,4]],"т":[{},[0,0,0,0,0,3,4]]}],"х":[{"р":[{},[0,0,0,0,0,3,4]]}],"э":[{"в":[{},[0,0,0,0,0,3,4]],"к":[{},[0,0,0,0,0,3,4]],"ф":[{},[0,0,0,0,0,3,4]]}]}]}]}]}],"ъ":[{},[0,0,4]],"ь":[{},[0,0,4]]}],"т":[{"ь":[{},[0,0,4]]}],"ф":[{"ь":[{},[0,0,4]]}],"х":[{"р":[{"и":[{"з":[{"о":[{"и":[{"д":[{},[0,0,0,0,0,3,4]]}],"п":[{"р":[{},[0,0,0,0,0,3,4]]}],"с":[{"т":[{},[0,0,0,0,0,3,4]]}]}]}]}]}],"ь":[{},[0,0,4]]}],"э":[{"л":[{"е":[{"к":[{"т":[{"р":[{"о":[{"а":[{"в":[{},[0,0,0,0,3,0,0,3,4]],"г":[{},[0,0,0,0,3,0,0,3,4]],"к":[{},[0,0,0,0,3,0,0,3,4]],"н":[{},[0,0,0,0,3,0,0,3,4]],"э":[{},[0,0,0,0,3,0,0,3,4]]}],"б":[{"л":[{},[0,0,0,0,3,0,0,3,4]]}],"и":[{"з":[{},[0,0,0,0,3,0,0,3,4]],"с":[{},[0,0,0,0,3,0,0,3,4]]}],"о":[{"б":[{},[0,0,0,0,3,0,0,3,4]],"в":[{},[0,0,0,0,3,0,0,3,4]],"г":[{},[0,0,0,0,3,0,0,3,4]],"д":[{},[0,0,0,0,3,0,0,3,4]],"к":[{},[0,0,0,0,3,0,0,3,4]],"п":[{},[0,0,0,0,3,0,0,3,4]],"с":[{},[0,0,0,0,3,0,0,3,4]],"т":[{},[0,0,0,0,3,0,0,3,4]],"ф":[{},[0,0,0,0,3,0,0,3,4]],"ч":[{},[0,0,0,0,3,0,0,3,4]]}],"с":[{"т":[{},[0,0,0,0,3,0,0,3,4]]}],"т":[{"р":[{},[0,0,0,0,3,0,0,3,4]]}],"э":[{"к":[{},[0,0,0,0,3,0,0,3,4]],"н":[{},[0,0,0,0,3,0,0,3,4]],"р":[{},[0,0,0,0,3,0,0,3,4]]}]},[0,0,0,0,3]]}]}]}]}]}]}]}]}';
  var hyphenation = [];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
