(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsMulEthi = factory();
  }
})(this, function () {
  var patterns =
    '{"ሀ":[{},[1,1]],"ሁ":[{},[1,1]],"ሂ":[{},[1,1]],"ሃ":[{},[1,1]],"ሄ":[{},[1,1]],"ህ":[{},[1,1]],"ሆ":[{},[1,1]],"ሇ":[{},[1,1]],"ለ":[{},[1,1]],"ሉ":[{},[1,1]],"ሊ":[{},[1,1]],"ላ":[{},[1,1]],"ሌ":[{},[1,1]],"ል":[{},[1,1]],"ሎ":[{},[1,1]],"ሏ":[{},[1,1]],"ሐ":[{},[1,1]],"ሑ":[{},[1,1]],"ሒ":[{},[1,1]],"ሓ":[{},[1,1]],"ሔ":[{},[1,1]],"ሕ":[{},[1,1]],"ሖ":[{},[1,1]],"ሗ":[{},[1,1]],"መ":[{},[1,1]],"ሙ":[{},[1,1]],"ሚ":[{},[1,1]],"ማ":[{},[1,1]],"ሜ":[{},[1,1]],"ም":[{},[1,1]],"ሞ":[{},[1,1]],"ሟ":[{},[1,1]],"ሠ":[{},[1,1]],"ሡ":[{},[1,1]],"ሢ":[{},[1,1]],"ሣ":[{},[1,1]],"ሤ":[{},[1,1]],"ሥ":[{},[1,1]],"ሦ":[{},[1,1]],"ሧ":[{},[1,1]],"ረ":[{},[1,1]],"ሩ":[{},[1,1]],"ሪ":[{},[1,1]],"ራ":[{},[1,1]],"ሬ":[{},[1,1]],"ር":[{},[1,1]],"ሮ":[{},[1,1]],"ሯ":[{},[1,1]],"ሰ":[{},[1,1]],"ሱ":[{},[1,1]],"ሲ":[{},[1,1]],"ሳ":[{},[1,1]],"ሴ":[{},[1,1]],"ስ":[{},[1,1]],"ሶ":[{},[1,1]],"ሷ":[{},[1,1]],"ሸ":[{},[1,1]],"ሹ":[{},[1,1]],"ሺ":[{},[1,1]],"ሻ":[{},[1,1]],"ሼ":[{},[1,1]],"ሽ":[{},[1,1]],"ሾ":[{},[1,1]],"ሿ":[{},[1,1]],"ቀ":[{},[1,1]],"ቁ":[{},[1,1]],"ቂ":[{},[1,1]],"ቃ":[{},[1,1]],"ቄ":[{},[1,1]],"ቅ":[{},[1,1]],"ቆ":[{},[1,1]],"ቇ":[{},[1,1]],"ቈ":[{},[1,1]],"ቊ":[{},[1,1]],"ቋ":[{},[1,1]],"ቌ":[{},[1,1]],"ቍ":[{},[1,1]],"ቐ":[{},[1,1]],"ቑ":[{},[1,1]],"ቒ":[{},[1,1]],"ቓ":[{},[1,1]],"ቔ":[{},[1,1]],"ቕ":[{},[1,1]],"ቖ":[{},[1,1]],"ቘ":[{},[1,1]],"ቚ":[{},[1,1]],"ቛ":[{},[1,1]],"ቜ":[{},[1,1]],"ቝ":[{},[1,1]],"በ":[{},[1,1]],"ቡ":[{},[1,1]],"ቢ":[{},[1,1]],"ባ":[{},[1,1]],"ቤ":[{},[1,1]],"ብ":[{},[1,1]],"ቦ":[{},[1,1]],"ቧ":[{},[1,1]],"ቨ":[{},[1,1]],"ቩ":[{},[1,1]],"ቪ":[{},[1,1]],"ቫ":[{},[1,1]],"ቬ":[{},[1,1]],"ቭ":[{},[1,1]],"ቮ":[{},[1,1]],"ቯ":[{},[1,1]],"ተ":[{},[1,1]],"ቱ":[{},[1,1]],"ቲ":[{},[1,1]],"ታ":[{},[1,1]],"ቴ":[{},[1,1]],"ት":[{},[1,1]],"ቶ":[{},[1,1]],"ቷ":[{},[1,1]],"ቸ":[{},[1,1]],"ቹ":[{},[1,1]],"ቺ":[{},[1,1]],"ቻ":[{},[1,1]],"ቼ":[{},[1,1]],"ች":[{},[1,1]],"ቾ":[{},[1,1]],"ቿ":[{},[1,1]],"ኀ":[{},[1,1]],"ኁ":[{},[1,1]],"ኂ":[{},[1,1]],"ኃ":[{},[1,1]],"ኄ":[{},[1,1]],"ኅ":[{},[1,1]],"ኆ":[{},[1,1]],"ኇ":[{},[1,1]],"ኈ":[{},[1,1]],"ኊ":[{},[1,1]],"ኋ":[{},[1,1]],"ኌ":[{},[1,1]],"ኍ":[{},[1,1]],"ነ":[{},[1,1]],"ኑ":[{},[1,1]],"ኒ":[{},[1,1]],"ና":[{},[1,1]],"ኔ":[{},[1,1]],"ን":[{},[1,1]],"ኖ":[{},[1,1]],"ኗ":[{},[1,1]],"ኘ":[{},[1,1]],"ኙ":[{},[1,1]],"ኚ":[{},[1,1]],"ኛ":[{},[1,1]],"ኜ":[{},[1,1]],"ኝ":[{},[1,1]],"ኞ":[{},[1,1]],"ኟ":[{},[1,1]],"አ":[{},[1,1]],"ኡ":[{},[1,1]],"ኢ":[{},[1,1]],"ኣ":[{},[1,1]],"ኤ":[{},[1,1]],"እ":[{},[1,1]],"ኦ":[{},[1,1]],"ኧ":[{},[1,1]],"ከ":[{},[1,1]],"ኩ":[{},[1,1]],"ኪ":[{},[1,1]],"ካ":[{},[1,1]],"ኬ":[{},[1,1]],"ክ":[{},[1,1]],"ኮ":[{},[1,1]],"ኯ":[{},[1,1]],"ኰ":[{},[1,1]],"ኲ":[{},[1,1]],"ኳ":[{},[1,1]],"ኴ":[{},[1,1]],"ኵ":[{},[1,1]],"ኸ":[{},[1,1]],"ኹ":[{},[1,1]],"ኺ":[{},[1,1]],"ኻ":[{},[1,1]],"ኼ":[{},[1,1]],"ኽ":[{},[1,1]],"ኾ":[{},[1,1]],"ዀ":[{},[1,1]],"ዂ":[{},[1,1]],"ዃ":[{},[1,1]],"ዄ":[{},[1,1]],"ዅ":[{},[1,1]],"ወ":[{},[1,1]],"ዉ":[{},[1,1]],"ዊ":[{},[1,1]],"ዋ":[{},[1,1]],"ዌ":[{},[1,1]],"ው":[{},[1,1]],"ዎ":[{},[1,1]],"ዏ":[{},[1,1]],"ዐ":[{},[1,1]],"ዑ":[{},[1,1]],"ዒ":[{},[1,1]],"ዓ":[{},[1,1]],"ዔ":[{},[1,1]],"ዕ":[{},[1,1]],"ዖ":[{},[1,1]],"ዘ":[{},[1,1]],"ዙ":[{},[1,1]],"ዚ":[{},[1,1]],"ዛ":[{},[1,1]],"ዜ":[{},[1,1]],"ዝ":[{},[1,1]],"ዞ":[{},[1,1]],"ዟ":[{},[1,1]],"ዠ":[{},[1,1]],"ዡ":[{},[1,1]],"ዢ":[{},[1,1]],"ዣ":[{},[1,1]],"ዤ":[{},[1,1]],"ዥ":[{},[1,1]],"ዦ":[{},[1,1]],"ዧ":[{},[1,1]],"የ":[{},[1,1]],"ዩ":[{},[1,1]],"ዪ":[{},[1,1]],"ያ":[{},[1,1]],"ዬ":[{},[1,1]],"ይ":[{},[1,1]],"ዮ":[{},[1,1]],"ዯ":[{},[1,1]],"ደ":[{},[1,1]],"ዱ":[{},[1,1]],"ዲ":[{},[1,1]],"ዳ":[{},[1,1]],"ዴ":[{},[1,1]],"ድ":[{},[1,1]],"ዶ":[{},[1,1]],"ዷ":[{},[1,1]],"ዸ":[{},[1,1]],"ዹ":[{},[1,1]],"ዺ":[{},[1,1]],"ዻ":[{},[1,1]],"ዼ":[{},[1,1]],"ዽ":[{},[1,1]],"ዾ":[{},[1,1]],"ዿ":[{},[1,1]],"ጀ":[{},[1,1]],"ጁ":[{},[1,1]],"ጂ":[{},[1,1]],"ጃ":[{},[1,1]],"ጄ":[{},[1,1]],"ጅ":[{},[1,1]],"ጆ":[{},[1,1]],"ጇ":[{},[1,1]],"ገ":[{},[1,1]],"ጉ":[{},[1,1]],"ጊ":[{},[1,1]],"ጋ":[{},[1,1]],"ጌ":[{},[1,1]],"ግ":[{},[1,1]],"ጎ":[{},[1,1]],"ጏ":[{},[1,1]],"ጐ":[{},[1,1]],"ጒ":[{},[1,1]],"ጓ":[{},[1,1]],"ጔ":[{},[1,1]],"ጕ":[{},[1,1]],"ጘ":[{},[1,1]],"ጙ":[{},[1,1]],"ጚ":[{},[1,1]],"ጛ":[{},[1,1]],"ጜ":[{},[1,1]],"ጝ":[{},[1,1]],"ጞ":[{},[1,1]],"ጟ":[{},[1,1]],"ጠ":[{},[1,1]],"ጡ":[{},[1,1]],"ጢ":[{},[1,1]],"ጣ":[{},[1,1]],"ጤ":[{},[1,1]],"ጥ":[{},[1,1]],"ጦ":[{},[1,1]],"ጧ":[{},[1,1]],"ጨ":[{},[1,1]],"ጩ":[{},[1,1]],"ጪ":[{},[1,1]],"ጫ":[{},[1,1]],"ጬ":[{},[1,1]],"ጭ":[{},[1,1]],"ጮ":[{},[1,1]],"ጯ":[{},[1,1]],"ጰ":[{},[1,1]],"ጱ":[{},[1,1]],"ጲ":[{},[1,1]],"ጳ":[{},[1,1]],"ጴ":[{},[1,1]],"ጵ":[{},[1,1]],"ጶ":[{},[1,1]],"ጷ":[{},[1,1]],"ጸ":[{},[1,1]],"ጹ":[{},[1,1]],"ጺ":[{},[1,1]],"ጻ":[{},[1,1]],"ጼ":[{},[1,1]],"ጽ":[{},[1,1]],"ጾ":[{},[1,1]],"ጿ":[{},[1,1]],"ፀ":[{},[1,1]],"ፁ":[{},[1,1]],"ፂ":[{},[1,1]],"ፃ":[{},[1,1]],"ፄ":[{},[1,1]],"ፅ":[{},[1,1]],"ፆ":[{},[1,1]],"ፇ":[{},[1,1]],"ፈ":[{},[1,1]],"ፉ":[{},[1,1]],"ፊ":[{},[1,1]],"ፋ":[{},[1,1]],"ፌ":[{},[1,1]],"ፍ":[{},[1,1]],"ፎ":[{},[1,1]],"ፏ":[{},[1,1]],"ፐ":[{},[1,1]],"ፑ":[{},[1,1]],"ፒ":[{},[1,1]],"ፓ":[{},[1,1]],"ፔ":[{},[1,1]],"ፕ":[{},[1,1]],"ፖ":[{},[1,1]],"ፗ":[{},[1,1]],"ፘ":[{},[1,1]],"ፙ":[{},[1,1]],"ፚ":[{},[1,1]],"ᎀ":[{},[1,1]],"ᎁ":[{},[1,1]],"ᎂ":[{},[1,1]],"ᎃ":[{},[1,1]],"ᎄ":[{},[1,1]],"ᎅ":[{},[1,1]],"ᎆ":[{},[1,1]],"ᎇ":[{},[1,1]],"ᎈ":[{},[1,1]],"ᎉ":[{},[1,1]],"ᎊ":[{},[1,1]],"ᎋ":[{},[1,1]],"ᎌ":[{},[1,1]],"ᎍ":[{},[1,1]],"ᎎ":[{},[1,1]],"ᎏ":[{},[1,1]],"ⶀ":[{},[1,1]],"ⶁ":[{},[1,1]],"ⶂ":[{},[1,1]],"ⶃ":[{},[1,1]],"ⶄ":[{},[1,1]],"ⶅ":[{},[1,1]],"ⶆ":[{},[1,1]],"ⶇ":[{},[1,1]],"ⶈ":[{},[1,1]],"ⶉ":[{},[1,1]],"ⶊ":[{},[1,1]],"ⶋ":[{},[1,1]],"ⶌ":[{},[1,1]],"ⶍ":[{},[1,1]],"ⶎ":[{},[1,1]],"ⶏ":[{},[1,1]],"ⶐ":[{},[1,1]],"ⶑ":[{},[1,1]],"ⶒ":[{},[1,1]],"ⶓ":[{},[1,1]],"ⶔ":[{},[1,1]],"ⶕ":[{},[1,1]],"ⶖ":[{},[1,1]],"ⶠ":[{},[1,1]],"ⶡ":[{},[1,1]],"ⶢ":[{},[1,1]],"ⶣ":[{},[1,1]],"ⶤ":[{},[1,1]],"ⶥ":[{},[1,1]],"ⶦ":[{},[1,1]],"ⶨ":[{},[1,1]],"ⶩ":[{},[1,1]],"ⶪ":[{},[1,1]],"ⶫ":[{},[1,1]],"ⶬ":[{},[1,1]],"ⶭ":[{},[1,1]],"ⶮ":[{},[1,1]],"ⶰ":[{},[1,1]],"ⶱ":[{},[1,1]],"ⶲ":[{},[1,1]],"ⶳ":[{},[1,1]],"ⶴ":[{},[1,1]],"ⶵ":[{},[1,1]],"ⶶ":[{},[1,1]],"ⶸ":[{},[1,1]],"ⶹ":[{},[1,1]],"ⶺ":[{},[1,1]],"ⶻ":[{},[1,1]],"ⶼ":[{},[1,1]],"ⶽ":[{},[1,1]],"ⶾ":[{},[1,1]],"ⷀ":[{},[1,1]],"ⷁ":[{},[1,1]],"ⷂ":[{},[1,1]],"ⷃ":[{},[1,1]],"ⷄ":[{},[1,1]],"ⷅ":[{},[1,1]],"ⷆ":[{},[1,1]],"ⷈ":[{},[1,1]],"ⷉ":[{},[1,1]],"ⷊ":[{},[1,1]],"ⷋ":[{},[1,1]],"ⷌ":[{},[1,1]],"ⷍ":[{},[1,1]],"ⷎ":[{},[1,1]],"ⷐ":[{},[1,1]],"ⷑ":[{},[1,1]],"ⷒ":[{},[1,1]],"ⷓ":[{},[1,1]],"ⷔ":[{},[1,1]],"ⷕ":[{},[1,1]],"ⷖ":[{},[1,1]],"ⷘ":[{},[1,1]],"ⷙ":[{},[1,1]],"ⷚ":[{},[1,1]],"ⷛ":[{},[1,1]],"ⷜ":[{},[1,1]],"ⷝ":[{},[1,1]],"ⷞ":[{},[1,1]],"ꬁ":[{},[1,1]],"ꬂ":[{},[1,1]],"ꬃ":[{},[1,1]],"ꬄ":[{},[1,1]],"ꬅ":[{},[1,1]],"ꬆ":[{},[1,1]],"ꬉ":[{},[1,1]],"ꬊ":[{},[1,1]],"ꬋ":[{},[1,1]],"ꬌ":[{},[1,1]],"ꬍ":[{},[1,1]],"ꬎ":[{},[1,1]],"ꬑ":[{},[1,1]],"ꬒ":[{},[1,1]],"ꬓ":[{},[1,1]],"ꬔ":[{},[1,1]],"ꬕ":[{},[1,1]],"ꬖ":[{},[1,1]],"ꬠ":[{},[1,1]],"ꬡ":[{},[1,1]],"ꬢ":[{},[1,1]],"ꬣ":[{},[1,1]],"ꬤ":[{},[1,1]],"ꬥ":[{},[1,1]],"ꬦ":[{},[1,1]],"ꬨ":[{},[1,1]],"ꬩ":[{},[1,1]],"ꬪ":[{},[1,1]],"ꬫ":[{},[1,1]],"ꬬ":[{},[1,1]],"ꬭ":[{},[1,1]],"ꬮ":[{},[1,1]],"፡":[{},[2,1]],"።":[{},[2,1]]}';
  var hyphenation = [];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
