(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsPl = factory();
  }
})(this, function () {
  var patterns =
    '{".":[{"ć":[{"ć":[{},[0,0,8]],"ł":[{},[0,0,8]],"ń":[{},[0,0,8]],"ś":[{},[0,0,8]],"ź":[{},[0,0,8]],"ż":[{},[0,0,8]],"b":[{},[0,0,8]],"c":[{},[0,0,8]],"d":[{},[0,0,8]],"f":[{},[0,0,8]],"g":[{},[0,0,8]],"h":[{},[0,0,8]],"j":[{},[0,0,8]],"k":[{},[0,0,8]],"l":[{},[0,0,8]],"m":[{},[0,0,8]],"n":[{},[0,0,8]],"p":[{},[0,0,8]],"r":[{},[0,0,8]],"s":[{},[0,0,8]],"t":[{},[0,0,8]],"v":[{},[0,0,8]],"w":[{"i":[{"e":[{"r":[{"ć":[{},[0,0,0,0,0,2,3]]}]}]}]},[0,0,8]],"x":[{},[0,0,8]],"z":[{},[0,0,8]]},[0,8]],"ł":[{"ć":[{},[0,0,8]],"ł":[{},[0,0,8]],"ń":[{},[0,0,8]],"ś":[{},[0,0,8]],"ź":[{},[0,0,8]],"ż":[{},[0,0,8]],"b":[{},[0,0,8]],"c":[{},[0,0,8]],"d":[{},[0,0,8]],"f":[{},[0,0,8]],"g":[{},[0,0,8]],"h":[{},[0,0,8]],"j":[{},[0,0,8]],"k":[{},[0,0,8]],"l":[{},[0,0,8]],"m":[{},[0,0,8]],"n":[{},[0,0,8]],"p":[{},[0,0,8]],"r":[{},[0,0,8]],"s":[{},[0,0,8]],"t":[{},[0,0,8]],"v":[{},[0,0,8]],"w":[{},[0,0,8]],"x":[{},[0,0,8]],"z":[{},[0,0,8]]},[0,8]],"ń":[{"ć":[{},[0,0,8]],"ł":[{},[0,0,8]],"ń":[{},[0,0,8]],"ś":[{},[0,0,8]],"ź":[{},[0,0,8]],"ż":[{},[0,0,8]],"b":[{},[0,0,8]],"c":[{},[0,0,8]],"d":[{},[0,0,8]],"f":[{},[0,0,8]],"g":[{},[0,0,8]],"h":[{},[0,0,8]],"j":[{},[0,0,8]],"k":[{},[0,0,8]],"l":[{},[0,0,8]],"m":[{},[0,0,8]],"n":[{},[0,0,8]],"p":[{},[0,0,8]],"r":[{},[0,0,8]],"s":[{},[0,0,8]],"t":[{},[0,0,8]],"v":[{},[0,0,8]],"w":[{},[0,0,8]],"x":[{},[0,0,8]],"z":[{},[0,0,8]]},[0,8]],"ś":[{"ć":[{},[0,0,8]],"ł":[{},[0,0,8]],"ń":[{},[0,0,8]],"ś":[{},[0,0,8]],"ź":[{},[0,0,8]],"ż":[{},[0,0,8]],"b":[{},[0,0,8]],"c":[{},[0,0,8]],"d":[{},[0,0,8]],"f":[{},[0,0,8]],"g":[{},[0,0,8]],"h":[{},[0,0,8]],"j":[{},[0,0,8]],"k":[{},[0,0,8]],"l":[{},[0,0,8]],"m":[{},[0,0,8]],"n":[{},[0,0,8]],"p":[{},[0,0,8]],"r":[{"ó":[{"d":[{"r":[{},[0,0,0,0,0,2]]},[0,0,0,2,5]]}]},[0,0,8]],"s":[{},[0,0,8]],"t":[{},[0,0,8]],"v":[{},[0,0,8]],"w":[{"i":[{"a":[{"t":[{"ł":[{"o":[{"w":[{},[0,0,0,0,0,0,0,3,2]]}]}]}]}]}]},[0,0,8]],"x":[{},[0,0,8]],"z":[{},[0,0,8]]},[0,8]],"ź":[{"ć":[{},[0,0,8]],"ł":[{},[0,0,8]],"ń":[{},[0,0,8]],"ś":[{},[0,0,8]],"ź":[{},[0,0,8]],"ż":[{},[0,0,8]],"b":[{},[0,0,8]],"c":[{},[0,0,8]],"d":[{"ź":[{},[0,0,0,8]]},[0,0,8]],"f":[{},[0,0,8]],"g":[{},[0,0,8]],"h":[{},[0,0,8]],"j":[{},[0,0,8]],"k":[{},[0,0,8]],"l":[{},[0,0,8]],"m":[{},[0,0,8]],"n":[{},[0,0,8]],"p":[{},[0,0,8]],"r":[{},[0,0,8]],"s":[{},[0,0,8]],"t":[{},[0,0,8]],"v":[{},[0,0,8]],"w":[{},[0,0,8]],"x":[{},[0,0,8]],"z":[{},[0,0,8]]},[0,8]],"ż":[{"ć":[{},[0,0,8]],"ł":[{},[0,0,8]],"ń":[{},[0,0,8]],"ś":[{},[0,0,8]],"ź":[{},[0,0,8]],"ż":[{},[0,0,8]],"b":[{},[0,0,8]],"c":[{},[0,0,8]],"d":[{},[0,0,8]],"f":[{},[0,0,8]],"g":[{},[0,0,8]],"h":[{},[0,0,8]],"j":[{},[0,0,8]],"k":[{},[0,0,8]],"l":[{},[0,0,8]],"m":[{},[0,0,8]],"n":[{},[0,0,8]],"p":[{},[0,0,8]],"r":[{},[0,0,8]],"s":[{},[0,0,8]],"t":[{},[0,0,8]],"v":[{},[0,0,8]],"w":[{},[0,0,8]],"x":[{},[0,0,8]],"z":[{},[0,0,8]]},[0,8]],"a":[{"b":[{"s":[{"t":[{},[0,2,2,3]]}]}],"d":[{"a":[{"p":[{"t":[{},[0,0,5]]}]},[0,0,4]],"e":[{},[0,0,4]],"i":[{"u":[{},[0,0,5]]},[0,0,4]],"o":[{"p":[{},[0,0,5]],"r":[{},[0,0,5]]},[0,0,4]],"u":[{},[0,0,4]],"y":[{},[0,0,4]]},[0,2,3]],"e":[{"r":[{"o":[{"a":[{},[0,0,0,0,0,2]],"e":[{},[0,0,0,0,0,2]],"i":[{},[0,0,0,0,0,2]],"o":[{},[0,0,0,0,0,2]],"u":[{},[0,0,0,0,0,2]]},[0,0,3]]}]}],"n":[{"t":[{"y":[{"a":[{},[0,0,0,0,0,2]],"e":[{},[0,0,0,0,0,2]],"i":[{},[0,0,0,0,0,2]],"o":[{},[0,0,0,0,0,2]],"u":[{},[0,0,0,0,0,2]]}]}]}],"r":[{"c":[{"y":[{"ł":[{},[0,0,0,0,3,2]],"b":[{"z":[{},[0,0,0,0,3,0,2]]},[0,0,0,0,3,2]],"k":[{},[0,0,0,0,3,2]],"m":[{},[0,0,0,0,3,2]],"a":[{},[0,0,0,0,0,2]],"e":[{},[0,0,0,0,0,2]],"i":[{},[0,0,0,0,0,2]],"o":[{},[0,0,0,0,0,2]],"u":[{},[0,0,0,0,0,2]]}]}]}],"u":[{"g":[{},[0,0,3,2]],"k":[{},[0,0,3,2]],"t":[{"o":[{"c":[{"h":[{},[0,0,0,0,3,0,2]]}],"a":[{},[0,0,0,0,0,2]],"e":[{},[0,0,0,0,0,2]],"i":[{},[0,0,0,0,0,2]],"o":[{},[0,0,0,0,0,2]],"t":[{"r":[{"a":[{"n":[{"s":[{},[0,0,0,0,0,0,0,0,2,3]]}]}]}]}],"u":[{},[0,0,0,0,0,2]]}]},[0,0,3,2]]}]}],"b":[{"ć":[{},[0,0,8]],"ł":[{},[0,0,8]],"ń":[{},[0,0,8]],"ś":[{},[0,0,8]],"ź":[{},[0,0,8]],"ż":[{},[0,0,8]],"b":[{},[0,0,8]],"c":[{},[0,0,8]],"d":[{},[0,0,8]],"e":[{"z":[{"a":[{"n":[{},[0,0,3,4]]}],"e":[{"c":[{},[0,0,3,4]]}],"i":[{"k":[{},[0,0,3,4]]}],"c":[{"h":[{},[0,0,0,0,0,2]]}],"m":[{},[0,0,0,0,2]],"o":[{"b":[{"j":[{},[0,0,0,0,2,1]]}]},[0,0,0,0,2]],"w":[{},[0,0,0,0,2]],"z":[{"w":[{},[0,0,0,0,0,2]]}]},[0,0,2,3]]}],"f":[{},[0,0,8]],"g":[{},[0,0,8]],"h":[{},[0,0,8]],"j":[{},[0,0,8]],"k":[{},[0,0,8]],"l":[{},[0,0,8]],"m":[{},[0,0,8]],"n":[{},[0,0,8]],"p":[{},[0,0,8]],"r":[{"z":[{},[0,0,0,8]]},[0,0,8]],"s":[{},[0,0,8]],"t":[{},[0,0,8]],"v":[{},[0,0,8]],"w":[{},[0,0,8]],"x":[{},[0,0,8]],"z":[{},[0,0,8]]},[0,8]],"c":[{"ć":[{},[0,0,8]],"ł":[{},[0,0,8]],"ń":[{},[0,0,8]],"ś":[{},[0,0,8]],"ź":[{},[0,0,8]],"ż":[{},[0,0,8]],"a":[{"ł":[{"o":[{"ś":[{},[0,0,0,0,3,2]],"k":[{},[0,0,0,0,3,2]]}]}]}],"b":[{},[0,0,8]],"c":[{},[0,0,8]],"d":[{},[0,0,8]],"f":[{},[0,0,8]],"g":[{},[0,0,8]],"h":[{"r":[{"z":[{},[0,0,0,0,8]]}]},[0,0,8]],"i":[{"e":[{"n":[{"k":[{"o":[{"w":[{},[0,0,0,0,0,0,3,2]]}]}]}],"p":[{"ł":[{"o":[{"k":[{"r":[{},[0,0,0,0,0,0,3,0,2]]}]}]}]}]}]}],"j":[{},[0,0,8]],"k":[{},[0,0,8]],"l":[{},[0,0,8]],"m":[{},[0,0,8]],"n":[{},[0,0,8]],"p":[{},[0,0,8]],"r":[{},[0,0,8]],"s":[{},[0,0,8]],"t":[{},[0,0,8]],"v":[{},[0,0,8]],"w":[{},[0,0,8]],"x":[{},[0,0,8]],"z":[{"a":[{"r":[{"n":[{"o":[{"k":[{},[0,0,0,0,0,0,3,2]]}]}]}]}],"k":[{},[0,0,0,8]],"t":[{"e":[{"r":[{"e":[{"c":[{"h":[{"s":[{"e":[{"t":[{},[0,0,0,0,0,0,0,0,0,0,2,3]]}]}]},[0,0,0,0,0,0,2,0,3]]}]}],"o":[{"ś":[{},[0,0,0,0,0,0,3,2]]}]}]}]}],"w":[{"ó":[{"r":[{"ą":[{},[0,0,0,0,3,4]],"ę":[{},[0,0,0,0,3,4]],"a":[{},[0,0,0,0,3,4]],"e":[{},[0,0,0,0,3,4]],"o":[{},[0,0,0,0,3,4]]},[0,0,0,0,2,3]]}]}]},[0,0,8]]},[0,8]],"d":[{"ć":[{},[0,0,8]],"ł":[{"u":[{"g":[{"o":[{"t":[{"r":[{},[0,0,0,0,0,3,0,2]]}],"w":[{},[0,0,0,0,0,3,2]]}]}]}]},[0,0,8]],"ń":[{},[0,0,8]],"ś":[{},[0,0,8]],"ź":[{},[0,0,8]],"ż":[{},[0,0,8]],"a":[{"l":[{"e":[{"k":[{"o":[{"w":[{},[0,0,0,0,0,0,3,2]]}]}]}]}]}],"b":[{},[0,0,8]],"c":[{},[0,0,8]],"d":[{},[0,0,8]],"e":[{"z":[{"a":[{"b":[{"i":[{"l":[{},[0,0,3,4,3]]}]}],"w":[{"u":[{},[0,0,3,4,3]]}]},[0,0,0,0,2]],"e":[{"l":[{},[0,0,3,4]],"r":[{},[0,0,3,4]]}],"y":[{},[0,0,3,4]],"o":[{},[0,0,0,0,2]]},[0,0,2,3]]}],"f":[{},[0,0,8]],"g":[{},[0,0,8]],"h":[{},[0,0,8]],"j":[{},[0,0,8]],"k":[{},[0,0,8]],"l":[{},[0,0,8]],"m":[{},[0,0,8]],"n":[{},[0,0,8]],"o":[{"ć":[{},[0,0,3,2]],"ł":[{"k":[{},[0,0,4,3]]},[0,0,3,2]],"ś":[{},[0,0,3,2]],"ź":[{},[0,0,3,2]],"ż":[{},[0,0,3,2]],"b":[{"r":[{"z":[{},[0,0,0,0,0,2]]},[0,0,0,0,2]]},[0,0,3,2]],"c":[{"h":[{},[0,0,0,0,2]],"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"d":[{"ź":[{},[0,0,0,0,2]],"ż":[{},[0,0,0,0,2]],"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"f":[{},[0,0,3,2]],"g":[{"r":[{"z":[{},[0,0,0,0,0,2]]}]},[0,0,3,2]],"h":[{},[0,0,3,2]],"k":[{"t":[{},[0,0,4,3]]},[0,0,3,2]],"l":[{"n":[{},[0,0,4,3]]},[0,0,3,2]],"m":[{"k":[{"n":[{},[0,0,5,4,2]]},[0,0,4,3]]},[0,0,3,2]],"p":[{"c":[{"h":[{},[0,0,0,0,0,2]]}],"r":[{"z":[{},[0,0,0,0,0,2]]}]},[0,0,3,2]],"r":[{"s":[{},[0,0,4,3]],"ż":[{},[0,0,0,0,2]],"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"s":[{"c":[{"h":[{},[0,0,0,0,0,2]]}],"m":[{},[0,0,0,0,2]],"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"t":[{"k":[{},[0,0,0,0,2]],"r":[{},[0,0,0,0,2]]},[0,0,3,2]],"w":[{"c":[{},[0,0,4,3]]},[0,0,3,2]],"z":[{},[0,0,3,2]]}],"p":[{},[0,0,8]],"r":[{"o":[{"g":[{"o":[{"w":[{},[0,0,0,0,0,3,2]]}]}]}],"z":[{},[0,0,0,8]]},[0,0,8]],"s":[{},[0,0,8]],"t":[{},[0,0,8]],"v":[{},[0,0,8]],"w":[{"ó":[{"j":[{"ą":[{},[0,0,0,3,4]],"ę":[{},[0,0,0,3,4]],"a":[{},[0,0,0,3,4]],"e":[{},[0,0,0,3,4]],"o":[{},[0,0,0,3,4]]},[0,0,0,2,3]]}]},[0,0,8]],"x":[{},[0,0,8]],"y":[{"s":[{"e":[{},[0,0,3,4]],"o":[{},[0,0,3,4]],"t":[{"a":[{},[0,0,3,4]]}],"y":[{},[0,0,3,4]],"z":[{},[0,0,3]]},[0,0,2,3]],"z":[{"e":[{},[0,0,3,4]],"u":[{},[0,0,0,0,2]]},[0,0,2,3]]}],"z":[{"i":[{"e":[{"s":[{"i":[{"ę":[{"c":[{"i":[{"o":[{"ś":[{},[0,0,0,0,0,0,0,0,0,0,3,2]]}]}]}]}]}]}],"w":[{"i":[{"ę":[{"ć":[{"s":[{"e":[{"t":[{},[0,0,0,0,0,0,0,0,0,0,2,3]]}]}]},[0,0,0,0,0,0,0,2,3]],"c":[{"i":[{"o":[{"ś":[{},[0,0,0,0,0,0,0,0,0,0,3,2]]}]}]}]}]}]}]}]}]},[0,0,8]]},[0,8]],"e":[{"k":[{"s":[{"y":[{},[0,0,0,4]]},[0,2,2,3]]}],"m":[{"e":[{"s":[{"z":[{"e":[{"t":[{},[0,2,3,2,5,0,2]]}]}]}]}]}],"s":[{"e":[{"s":[{"m":[{"a":[{},[0,2,1,2,1]]}]}]}],"h":[{"a":[{},[0,2,1]]}],"t":[{},[0,2,1]]}],"g":[{"o":[{"a":[{},[0,0,0,0,2]],"e":[{},[0,0,0,0,2]],"i":[{},[0,0,0,0,2]],"o":[{},[0,0,0,0,2]],"u":[{},[0,0,0,0,2]]}]}],"l":[{"e":[{"k":[{"t":[{"r":[{"o":[{"a":[{},[0,0,0,0,0,0,0,0,2]],"e":[{},[0,0,0,0,0,0,0,0,2]],"i":[{},[0,0,0,0,0,0,0,0,2]],"o":[{},[0,0,0,0,0,0,0,0,2]],"u":[{},[0,0,0,0,0,0,0,0,2]]}]}]}]}]}]}]}],"f":[{"ć":[{},[0,0,8]],"ł":[{},[0,0,8]],"ń":[{},[0,0,8]],"ś":[{},[0,0,8]],"ź":[{},[0,0,8]],"ż":[{},[0,0,8]],"b":[{},[0,0,8]],"c":[{},[0,0,8]],"d":[{},[0,0,8]],"f":[{},[0,0,8]],"g":[{},[0,0,8]],"h":[{},[0,0,8]],"j":[{},[0,0,8]],"k":[{},[0,0,8]],"l":[{},[0,0,8]],"m":[{},[0,0,8]],"n":[{},[0,0,8]],"p":[{},[0,0,8]],"r":[{},[0,0,8]],"s":[{},[0,0,8]],"t":[{},[0,0,8]],"v":[{},[0,0,8]],"w":[{},[0,0,8]],"x":[{},[0,0,8]],"z":[{},[0,0,8]]},[0,8]],"g":[{"ć":[{},[0,0,8]],"ł":[{},[0,0,8]],"ń":[{},[0,0,8]],"ś":[{},[0,0,8]],"ź":[{},[0,0,8]],"ż":[{},[0,0,8]],"b":[{},[0,0,8]],"c":[{},[0,0,8]],"d":[{},[0,0,8]],"e":[{"o":[{},[0,0,2,3]]}],"f":[{},[0,0,8]],"g":[{},[0,0,8]],"h":[{},[0,0,8]],"j":[{},[0,0,8]],"k":[{},[0,0,8]],"l":[{},[0,0,8]],"m":[{},[0,0,8]],"n":[{},[0,0,8]],"o":[{"u":[{},[0,0,2,3]]}],"p":[{},[0,0,8]],"r":[{"u":[{"b":[{"o":[{"w":[{},[0,0,0,0,0,3,2]]}]}]}],"z":[{},[0,0,0,8]]},[0,0,8]],"s":[{},[0,0,8]],"t":[{},[0,0,8]],"v":[{},[0,0,8]],"w":[{},[0,0,8]],"x":[{},[0,0,8]],"z":[{},[0,0,8]]},[0,8]],"h":[{"ć":[{},[0,0,8]],"ł":[{},[0,0,8]],"ń":[{},[0,0,8]],"ś":[{},[0,0,8]],"ź":[{},[0,0,8]],"ż":[{},[0,0,8]],"b":[{},[0,0,8]],"c":[{},[0,0,8]],"d":[{},[0,0,8]],"f":[{},[0,0,8]],"g":[{},[0,0,8]],"h":[{},[0,0,8]],"i":[{"p":[{"e":[{"r":[{"o":[{},[0,0,0,0,3,4]],"a":[{},[0,0,0,0,0,0,2]],"e":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,2,3]]}]}]}],"j":[{},[0,0,8]],"k":[{},[0,0,8]],"l":[{},[0,0,8]],"m":[{},[0,0,8]],"n":[{},[0,0,8]],"p":[{},[0,0,8]],"r":[{},[0,0,8]],"s":[{},[0,0,8]],"t":[{},[0,0,8]],"v":[{},[0,0,8]],"w":[{},[0,0,8]],"x":[{},[0,0,8]],"z":[{},[0,0,8]]},[0,8]],"i":[{"n":[{"i":[{"c":[{},[0,3,4]]}],"o":[{"k":[{},[0,4,5,2]],"w":[{},[0,0,0,3,2]]},[0,3,4]],"u":[{},[0,3,4]],"f":[{"l":[{"a":[{"n":[{},[0,0,4,3]]}]}]}]},[0,2,3]],"s":[{"l":[{},[0,2,3]]}],"z":[{"o":[{"a":[{},[0,0,0,0,2]],"e":[{},[0,0,0,0,2]],"i":[{},[0,0,0,0,2]],"o":[{},[0,0,0,0,2]],"u":[{},[0,0,0,0,2]]}]}]}],"j":[{"ć":[{},[0,0,8]],"ł":[{},[0,0,8]],"ń":[{},[0,0,8]],"ś":[{},[0,0,8]],"ź":[{},[0,0,8]],"ż":[{},[0,0,8]],"a":[{"d":[{"ł":[{"o":[{"w":[{},[0,0,0,0,0,3,2]]}]}]}]}],"b":[{},[0,0,8]],"c":[{},[0,0,8]],"d":[{},[0,0,8]],"f":[{},[0,0,8]],"g":[{},[0,0,8]],"h":[{},[0,0,8]],"j":[{},[0,0,8]],"k":[{},[0,0,8]],"l":[{},[0,0,8]],"m":[{},[0,0,8]],"n":[{},[0,0,8]],"p":[{},[0,0,8]],"r":[{},[0,0,8]],"s":[{},[0,0,8]],"t":[{},[0,0,8]],"v":[{},[0,0,8]],"w":[{},[0,0,8]],"x":[{},[0,0,8]],"z":[{},[0,0,8]]},[0,8]],"k":[{"ć":[{},[0,0,8]],"ł":[{},[0,0,8]],"ń":[{},[0,0,8]],"ś":[{},[0,0,8]],"ź":[{},[0,0,8]],"ż":[{},[0,0,8]],"b":[{},[0,0,8]],"c":[{},[0,0,8]],"d":[{},[0,0,8]],"f":[{},[0,0,8]],"g":[{},[0,0,8]],"h":[{},[0,0,8]],"i":[{"l":[{"k":[{"u":[{"s":[{"e":[{"t":[{"o":[{},[0,0,0,0,0,0,0,0,0,2]]},[0,0,0,0,0,0,0,2,3]]}]}]}]}]}]}],"j":[{},[0,0,8]],"k":[{},[0,0,8]],"l":[{},[0,0,8]],"m":[{},[0,0,8]],"n":[{},[0,0,8]],"o":[{"ł":[{"o":[{"w":[{},[0,0,0,0,3,2]]}]}],"n":[{"t":[{"r":[{"a":[{"g":[{"i":[{},[0,0,0,4,0,5,2]]}],"s":[{"e":[{},[0,0,0,4,0,5,2]],"y":[{},[0,0,0,4,0,5,2]]}],"t":[{"a":[{},[0,0,0,4,0,5,2]]}],"d":[{"m":[{},[0,0,0,4,0,5]]}],"k":[{"c":[{},[0,0,0,4,0,5]]}],"l":[{"t":[{},[0,0,0,4,0,5]]}],"r":[{"g":[{},[0,0,0,4,0,5]]}]},[0,0,0,3,0,4]],"e":[{},[0,0,0,3,0,4]],"o":[{"l":[{},[0,0,0,3,0,4,3]],"w":[{},[0,0,0,3,0,4,3]]},[0,0,0,0,0,0,2]],"y":[{},[0,0,0,3,0,4]],"u":[{},[0,0,0,0,0,0,2]]},[0,0,0,2,2,3]]}]}]}],"p":[{},[0,0,8]],"r":[{"ó":[{"t":[{"k":[{"o":[{"t":[{"r":[{},[0,0,0,0,0,0,3,0,2]]}],"w":[{},[0,0,0,0,0,0,3,2]]}]}]}]}],"o":[{"ć":[{},[0,0,0,2,3]]}],"z":[{},[0,0,0,8]]},[0,0,8]],"s":[{},[0,0,8]],"t":[{},[0,0,8]],"v":[{},[0,0,8]],"w":[{},[0,0,8]],"x":[{},[0,0,8]],"z":[{},[0,0,8]]},[0,8]],"l":[{"ć":[{},[0,0,8]],"ł":[{},[0,0,8]],"ń":[{},[0,0,8]],"ś":[{},[0,0,8]],"ź":[{},[0,0,8]],"ż":[{},[0,0,8]],"b":[{},[0,0,8]],"c":[{},[0,0,8]],"d":[{},[0,0,8]],"f":[{},[0,0,8]],"g":[{},[0,0,8]],"h":[{},[0,0,8]],"j":[{},[0,0,8]],"k":[{},[0,0,8]],"l":[{},[0,0,8]],"m":[{},[0,0,8]],"n":[{},[0,0,8]],"p":[{},[0,0,8]],"r":[{},[0,0,8]],"s":[{},[0,0,8]],"t":[{},[0,0,8]],"u":[{"d":[{"o":[{"w":[{},[0,0,0,0,3,2]]}]}]}],"v":[{},[0,0,8]],"w":[{},[0,0,8]],"x":[{},[0,0,8]],"z":[{},[0,0,8]]},[0,8]],"m":[{"ć":[{},[0,0,8]],"ł":[{},[0,0,8]],"ń":[{},[0,0,8]],"ś":[{},[0,0,8]],"ź":[{},[0,0,8]],"ż":[{},[0,0,8]],"b":[{},[0,0,8]],"c":[{},[0,0,8]],"d":[{},[0,0,8]],"f":[{},[0,0,8]],"g":[{},[0,0,8]],"h":[{},[0,0,8]],"i":[{"l":[{"i":[{"a":[{"m":[{"p":[{},[0,0,0,0,3]]}]}]}]}]}],"j":[{},[0,0,8]],"k":[{},[0,0,8]],"l":[{},[0,0,8]],"m":[{},[0,0,8]],"n":[{},[0,0,8]],"o":[{"ż":[{"n":[{"o":[{"w":[{},[0,0,0,0,0,3,2]]}]}]}]}],"p":[{},[0,0,8]],"r":[{},[0,0,8]],"s":[{},[0,0,8]],"t":[{},[0,0,8]],"v":[{},[0,0,8]],"w":[{},[0,0,8]],"x":[{},[0,0,8]],"z":[{},[0,0,8]]},[0,8]],"n":[{"ć":[{},[0,0,8]],"ł":[{},[0,0,8]],"ń":[{},[0,0,8]],"ś":[{},[0,0,8]],"ź":[{},[0,0,8]],"ż":[{},[0,0,8]],"a":[{"d":[{"ą":[{},[0,0,3]],"ę":[{},[0,0,3]],"ź":[{},[0,0,3,0,2]],"ł":[{"u":[{"b":[{},[0,0,3,4]]}]},[0,0,0,3,2]],"i":[{"r":[{},[0,0,3,4]]},[0,0,0,3,2]],"m":[{"u":[{"c":[{"h":[{},[0,0,3,4]]}]}]},[0,0,0,3,2]],"r":[{"ę":[{"c":[{"z":[{},[0,0,3,4]]}]}],"w":[{},[0,0,3,4,2]],"e":[{"p":[{"c":[{"z":[{},[0,0,3,4]]}],"t":[{},[0,0,3,4]]}]}],"u":[{"k":[{},[0,0,3,4]]}],"z":[{"ą":[{},[0,0,4,5]],"ę":[{},[0,0,4,5]],"e":[{"c":[{"z":[{},[0,0,4,5]]}]}],"y":[{},[0,0,4,5]]},[0,0,3,4]]},[0,0,0,3,2]],"w":[{"o":[{"r":[{"n":[{},[0,0,3,4]]}]}]},[0,0,0,3,2]],"a":[{"j":[{},[0,0,3]]}],"e":[{"t":[{"a":[{"t":[{},[0,0,0,3,2]]}]},[0,0,0,0,3,2]],"ć":[{},[0,0,0,0,3,2]],"ł":[{},[0,0,0,0,3,2]],"ś":[{},[0,0,0,0,3,2]],"ź":[{},[0,0,0,0,3,2]],"ż":[{},[0,0,0,0,3,2]],"b":[{},[0,0,0,0,3,2]],"c":[{"h":[{},[0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"d":[{"ź":[{},[0,0,0,0,0,0,2]],"ż":[{},[0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"f":[{},[0,0,0,0,3,2]],"g":[{},[0,0,0,0,3,2]],"h":[{},[0,0,0,0,3,2]],"k":[{},[0,0,0,0,3,2]],"l":[{},[0,0,0,0,3,2]],"m":[{},[0,0,0,0,3,2]],"p":[{"c":[{},[0,0,0,0,4,3]],"n":[{},[0,0,0,0,4,3]],"t":[{},[0,0,0,0,4,3]]},[0,0,0,0,3,2]],"r":[{"ż":[{},[0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"s":[{"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"w":[{},[0,0,0,0,3,2]],"z":[{},[0,0,0,0,3,2]]},[0,0,3]],"o":[{"b":[{"ł":[{},[0,0,4,3,2,2]],"o":[{"j":[{"c":[{"z":[{},[0,0,4,3,2]]}]}],"w":[{"i":[{},[0,0,4,3,2]]}]}],"r":[{"o":[{"t":[{},[0,0,4,3,2]]}]}]}],"d":[{"r":[{"z":[{},[0,0,4,3,2]]}]}],"k":[{"i":[{"e":[{"n":[{},[0,0,4,3,2]]}]}]}],"l":[{"b":[{"r":[{"z":[{},[0,0,4,3]]}]}]}]},[0,0,3]],"y":[{},[0,0,3]],"z":[{"i":[{"e":[{"m":[{},[0,0,4,5]]}]},[0,0,3]],"ó":[{},[0,0,0,5]],"m":[{"y":[{"s":[{},[0,0,0,5,2]]}]}],"o":[{},[0,0,0,5]],"w":[{"y":[{"c":[{"z":[{},[0,0,0,5]]}]}]}]},[0,0,0,0,2]],"ś":[{"r":[{"o":[{"d":[{"z":[{"i":[{"e":[{"m":[{},[0,0,0,0,0,0,0,5]]}]}]}]}]}]}]},[0,0,0,3,2]],"ć":[{},[0,0,0,3,2]],"b":[{},[0,0,0,3,2]],"c":[{"h":[{},[0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"d":[{"ź":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"f":[{},[0,0,0,3,2]],"g":[{},[0,0,0,3,2]],"h":[{},[0,0,0,3,2]],"j":[{},[0,0,0,3,2]],"k":[{},[0,0,0,3,2]],"l":[{},[0,0,0,3,2]],"n":[{},[0,0,0,3,2]],"p":[{},[0,0,0,3,2]],"s":[{"z":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"t":[{"r":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"u":[{},[0,0,0,3,2]],"ż":[{},[0,0,0,5,2]]},[0,0,2,2]],"j":[{"ą":[{},[0,0,3]],"ę":[{},[0,0,3]],"a":[{"z":[{"d":[{},[0,0,3]]}],"k":[{"t":[{},[0,0,0,3]]}],"u":[{},[0,0,0,3]]}],"e":[{"f":[{},[0,0,4,3,2]],"g":[{},[0,0,4,3,2]],"k":[{"s":[{},[0,0,4,3,2,2]],"o":[{},[0,0,4,3,2]]}],"n":[{},[0,0,4,3,2]],"r":[{},[0,0,4,3,2]],"s":[{},[0,0,4,3,2]],"w":[{},[0,0,4,3,2]],"m":[{"f":[{},[0,0,4,3]]}],"u":[{},[0,0,4,3]]},[0,0,3]],"ć":[{},[0,0,0,3,2]],"ł":[{},[0,0,0,3,2]],"ś":[{},[0,0,0,3,2]],"ź":[{},[0,0,0,3,2]],"ż":[{},[0,0,0,3,2]],"b":[{"e":[{"z":[{"w":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,2,3]]}]},[0,0,0,3,2]],"c":[{"h":[{},[0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"d":[{"ź":[{},[0,0,0,0,0,2]],"ż":[{},[0,0,0,0,0,2]],"o":[{"ć":[{},[0,0,0,0,0,3,2]],"ł":[{},[0,0,0,0,0,3,2]],"ś":[{},[0,0,0,0,0,3,2]],"ź":[{},[0,0,0,0,0,3,2]],"ż":[{},[0,0,0,0,0,3,2]],"b":[{},[0,0,0,0,0,3,2]],"c":[{"h":[{},[0,0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"d":[{"ź":[{},[0,0,0,0,0,0,0,2]],"ż":[{},[0,0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"f":[{},[0,0,0,0,0,3,2]],"g":[{},[0,0,0,0,0,3,2]],"h":[{},[0,0,0,0,0,3,2]],"k":[{},[0,0,0,0,0,3,2]],"l":[{},[0,0,0,0,0,3,2]],"m":[{},[0,0,0,0,0,3,2]],"p":[{},[0,0,0,0,0,3,2]],"r":[{"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"s":[{"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"t":[{"k":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"w":[{},[0,0,0,0,0,3,2]],"z":[{},[0,0,0,0,0,3,2]]}],"z":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"f":[{},[0,0,0,3,2]],"g":[{},[0,0,0,3,2]],"h":[{},[0,0,0,3,2]],"i":[{},[0,0,0,3,2]],"k":[{"r":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"l":[{},[0,0,0,3,2]],"m":[{},[0,0,0,3,2]],"o":[{"ć":[{},[0,0,0,3,2,2]],"ł":[{},[0,0,0,3,2,2]],"ś":[{},[0,0,0,3,2,2]],"ź":[{},[0,0,0,3,2,2]],"ż":[{},[0,0,0,3,2,2]],"b":[{"ć":[{},[0,0,0,0,0,3,2]],"ł":[{},[0,0,0,0,0,3,2]],"ś":[{},[0,0,0,0,0,3,2]],"ź":[{},[0,0,0,0,0,3,2]],"ż":[{},[0,0,0,0,0,3,2]],"c":[{"h":[{},[0,0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"d":[{"ź":[{},[0,0,0,0,0,0,0,2]],"ż":[{},[0,0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"f":[{},[0,0,0,0,0,3,2]],"g":[{},[0,0,0,0,0,3,2]],"h":[{},[0,0,0,0,0,3,2]],"j":[{},[0,0,0,0,0,3,2]],"k":[{},[0,0,0,0,0,3,2]],"l":[{},[0,0,0,0,0,3,2]],"m":[{},[0,0,0,0,0,3,2]],"n":[{},[0,0,0,0,0,3,2]],"p":[{},[0,0,0,0,0,3,2]],"s":[{"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"t":[{},[0,0,0,0,0,3,2]],"w":[{},[0,0,0,0,0,3,2]],"r":[{"z":[{},[0,0,0,0,0,0,0,2]]}]},[0,0,0,3,2,2]],"c":[{"h":[{},[0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,3,2,2]],"d":[{"ź":[{},[0,0,0,0,0,0,2]],"ć":[{},[0,0,0,0,0,3,2]],"ś":[{},[0,0,0,0,0,3,2]],"c":[{"h":[{},[0,0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"d":[{"ź":[{},[0,0,0,0,0,0,0,2]],"ż":[{},[0,0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"f":[{},[0,0,0,0,0,3,2]],"g":[{},[0,0,0,0,0,3,2]],"h":[{},[0,0,0,0,0,3,2]],"j":[{},[0,0,0,0,0,3,2]],"k":[{},[0,0,0,0,0,3,2]],"l":[{},[0,0,0,0,0,3,2]],"m":[{},[0,0,0,0,0,3,2]],"n":[{},[0,0,0,0,0,3,2]],"p":[{},[0,0,0,0,0,3,2]],"s":[{"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"t":[{},[0,0,0,0,0,3,2]],"w":[{},[0,0,0,0,0,3,2]],"ż":[{},[0,0,0,0,0,5,2]],"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,3,2,2]],"f":[{},[0,0,0,3,2,2]],"g":[{},[0,0,0,3,2,2]],"h":[{},[0,0,0,3,2,2]],"k":[{},[0,0,0,3,2,2]],"l":[{},[0,0,0,3,2,2]],"m":[{},[0,0,0,3,2,2]],"p":[{},[0,0,0,3,2,2]],"r":[{"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,3,2,2]],"s":[{"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,3,2,2]],"t":[{},[0,0,0,3,2,2]],"w":[{},[0,0,0,3,2,2]],"z":[{},[0,0,0,3,2,2]]},[0,0,0,3,2]],"p":[{},[0,0,0,3,2]],"r":[{"o":[{"z":[{"u":[{},[0,0,0,0,0,3,4]]},[0,0,0,3,0,2,3]]}],"z":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"s":[{"m":[{},[0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"t":[{"k":[{},[0,0,0,0,0,2]],"r":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"u":[{"c":[{"z":[{},[0,0,0,0,0,0,2]]}]},[0,0,0,3,2]],"w":[{},[0,0,0,3,2]],"z":[{"w":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]]},[0,0,2]],"ć":[{},[0,0,3,2]],"ł":[{},[0,0,3,2]],"ś":[{},[0,0,3,2]],"ź":[{},[0,0,3,2]],"ż":[{},[0,0,3,2]],"b":[{"r":[{"z":[{},[0,0,0,0,0,2]]}]},[0,0,3,2]],"c":[{"h":[{},[0,0,0,0,2]],"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"f":[{"c":[{},[0,0,4,3]],"t":[{},[0,0,4,3]]},[0,0,3,2]],"g":[{"r":[{"z":[{},[0,0,0,0,0,2]]}]},[0,0,3,2]],"h":[{},[0,0,3,2]],"k":[{"r":[{},[0,0,0,0,2]]},[0,0,3,2]],"l":[{},[0,0,3,2]],"m":[{},[0,0,3,2]],"p":[{"o":[{"d":[{"ź":[{},[0,0,0,0,0,0,2]],"ż":[{},[0,0,0,0,0,0,2]],"d":[{},[0,0,0,0,0,3]]},[0,0,0,0,2,2]],"ć":[{},[0,0,0,0,3,2]],"ł":[{},[0,0,0,0,3,2]],"ś":[{},[0,0,0,0,3,2]],"ź":[{},[0,0,0,0,3,2]],"ż":[{},[0,0,0,0,3,2]],"b":[{},[0,0,0,0,3,2]],"c":[{"h":[{},[0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"f":[{},[0,0,0,0,3,2]],"g":[{},[0,0,0,0,3,2]],"h":[{},[0,0,0,0,3,2]],"k":[{},[0,0,0,0,3,2]],"l":[{},[0,0,0,0,3,2]],"m":[{"p":[{},[0,0,0,0,4,3]],"k":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"p":[{},[0,0,0,0,3,2]],"r":[{"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"s":[{"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"t":[{},[0,0,0,0,3,2]],"w":[{},[0,0,0,0,3,2]],"z":[{},[0,0,0,0,3,2]]}],"r":[{"z":[{},[0,0,0,0,0,2]]}]},[0,0,3,2]],"r":[{"c":[{},[0,0,4,3]],"d":[{},[0,0,4,3]],"k":[{},[0,0,4,3]],"r":[{},[0,0,4,3]],"t":[{},[0,0,4,3]],"ż":[{},[0,0,0,0,2]],"o":[{"z":[{},[0,0,0,0,2,3]]}],"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"s":[{"m":[{},[0,0,0,0,2]],"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"t":[{"c":[{"h":[{},[0,0,0,0,0,2]]}],"k":[{},[0,0,0,0,2]]},[0,0,3,2]],"u":[{},[0,0,3,2]],"w":[{},[0,0,3,2]],"z":[{"m":[{},[0,0,0,3,2]],"w":[{},[0,0,0,0,2]]},[0,0,3,2]]}],"b":[{},[0,0,8]],"c":[{},[0,0,8]],"d":[{},[0,0,8]],"e":[{"o":[{},[0,0,2,3]]}],"f":[{},[0,0,8]],"g":[{},[0,0,8]],"h":[{},[0,0,8]],"i":[{"e":[{"ć":[{},[0,0,0,3,2]],"ł":[{},[0,0,0,3,2]],"ś":[{},[0,0,0,3,2]],"ź":[{},[0,0,0,3,2]],"ż":[{},[0,0,0,3,2]],"b":[{},[0,0,0,3,2]],"c":[{"c":[{},[0,0,0,4,3]],"k":[{},[0,0,0,4,3]],"h":[{},[0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"d":[{"ź":[{},[0,0,0,4,0,3]],"ż":[{},[0,0,0,0,0,2]],"o":[{"ć":[{},[0,0,0,0,0,3,2]],"ł":[{},[0,0,0,0,0,3,2]],"ś":[{},[0,0,0,0,0,3,2]],"ź":[{},[0,0,0,0,0,3,2]],"ż":[{},[0,0,0,0,0,3,2]],"b":[{"r":[{"z":[{},[0,0,0,0,0,0,0,0,2]]}]},[0,0,0,0,0,3,2]],"c":[{"h":[{},[0,0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"d":[{"ź":[{},[0,0,0,0,0,0,0,2]],"ż":[{},[0,0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"f":[{},[0,0,0,0,0,3,2]],"g":[{},[0,0,0,0,0,3,2]],"h":[{},[0,0,0,0,0,3,2]],"k":[{"r":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"l":[{},[0,0,0,0,0,3,2]],"m":[{"k":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"p":[{"c":[{"h":[{},[0,0,0,0,0,0,0,0,2]]}]},[0,0,0,0,0,3,2]],"r":[{"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"s":[{"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"t":[{"k":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"w":[{},[0,0,0,0,0,3,2]],"z":[{},[0,0,0,0,0,3,2]]}],"z":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"f":[{},[0,0,0,3,2]],"g":[{},[0,0,0,3,2]],"h":[{},[0,0,0,3,2]],"k":[{},[0,0,0,3,2]],"l":[{},[0,0,0,3,2]],"m":[{"c":[{},[0,0,0,4,3]],"k":[{},[0,0,0,4,3]]},[0,0,0,3,2]],"p":[{"o":[{"d":[{"ź":[{},[0,0,0,0,0,3,0,2]],"ł":[{"u":[{},[0,0,0,0,0,3,4]]},[0,0,0,0,0,0,3,2]],"m":[{"u":[{"c":[{"h":[{},[0,0,0,0,0,3,4]]}]}]},[0,0,0,0,0,0,3,2]],"r":[{"ę":[{"c":[{"z":[{},[0,0,0,0,0,3,4]]}]}],"a":[{"ż":[{},[0,0,0,0,0,3,4]],"p":[{},[0,0,0,0,0,3,4]]}],"e":[{"p":[{"c":[{"z":[{},[0,0,0,0,0,3,4]]}],"t":[{},[0,0,0,0,0,3,4]]}]}]},[0,0,0,0,0,0,3,2]],"w":[{"a":[{"j":[{},[0,0,0,0,0,3,4]]}],"o":[{"j":[{},[0,0,0,0,0,3,4]]}]},[0,0,0,0,0,0,3,2]],"o":[{"c":[{"h":[{"o":[{"c":[{},[0,0,0,0,0,4,3,2]]}]}]}],"s":[{"t":[{"r":[{"z":[{},[0,0,0,0,0,4,3,2]]}]}]}]},[0,0,0,0,0,3]],"u":[{},[0,0,0,0,0,3]],"z":[{},[0,0,0,0,0,3,0,2]],"ć":[{},[0,0,0,0,0,0,3,2]],"ś":[{},[0,0,0,0,0,0,3,2]],"b":[{},[0,0,0,0,0,0,3,2]],"c":[{"h":[{},[0,0,0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,0,0,2]]},[0,0,0,0,0,0,3,2]],"d":[{"ź":[{},[0,0,0,0,0,0,0,0,2]],"ż":[{},[0,0,0,0,0,0,0,0,2]]},[0,0,0,0,0,0,3,2]],"f":[{},[0,0,0,0,0,0,3,2]],"g":[{},[0,0,0,0,0,0,3,2]],"h":[{},[0,0,0,0,0,0,3,2]],"j":[{},[0,0,0,0,0,0,3,2]],"k":[{},[0,0,0,0,0,0,3,2]],"l":[{},[0,0,0,0,0,0,3,2]],"n":[{},[0,0,0,0,0,0,3,2]],"p":[{},[0,0,0,0,0,0,3,2]],"s":[{"m":[{},[0,0,0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,0,0,2]]},[0,0,0,0,0,0,3,2]],"t":[{},[0,0,0,0,0,0,3,2]],"ż":[{},[0,0,0,0,0,0,5]]},[0,0,0,0,0,2,2]],"ć":[{},[0,0,0,0,0,3,2]],"ł":[{},[0,0,0,0,0,3,2]],"ś":[{},[0,0,0,0,0,3,2]],"ź":[{},[0,0,0,0,0,3,2]],"ż":[{},[0,0,0,0,0,3,2]],"b":[{},[0,0,0,0,0,3,2]],"c":[{"h":[{},[0,0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"f":[{},[0,0,0,0,0,3,2]],"g":[{},[0,0,0,0,0,3,2]],"h":[{},[0,0,0,0,0,3,2]],"k":[{},[0,0,0,0,0,3,2]],"l":[{},[0,0,0,0,0,3,2]],"m":[{},[0,0,0,0,0,3,2]],"p":[{},[0,0,0,0,0,3,2]],"r":[{"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"s":[{"m":[{},[0,0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"t":[{},[0,0,0,0,0,3,2]],"w":[{},[0,0,0,0,0,3,2]],"z":[{},[0,0,0,0,0,3,2]]}],"r":[{"z":[{"e":[{"ł":[{"k":[{},[0,0,0,0,0,0,0,0,0,2]]},[0,0,0,0,0,0,0,3,2]],"d":[{"ź":[{},[0,0,0,0,0,0,0,3,0,2]],"ł":[{"u":[{"ż":[{"y":[{"c":[{},[0,0,0,0,0,0,0,4,5]]}]},[0,0,0,0,0,0,0,3,4]]}]},[0,0,0,0,0,0,0,0,3,2]],"m":[{"u":[{"c":[{"h":[{},[0,0,0,0,0,0,0,3,4]]}]}]},[0,0,0,0,0,0,0,0,3,2]],"r":[{"a":[{"m":[{"a":[{"t":[{},[0,0,0,0,0,0,0,3,4]]}]}]}],"u":[{"k":[{},[0,0,0,0,0,0,0,3,4]]}],"y":[{"l":[{},[0,0,0,0,0,0,0,3,4]]}],"z":[{},[0,0,0,0,0,0,0,3,4,0,2]]},[0,0,0,0,0,0,0,0,3,2]],"u":[{"m":[{},[0,0,0,0,0,0,0,3,4]]},[0,0,0,0,0,0,0,0,3,2]],"y":[{},[0,0,0,0,0,0,0,3]],"z":[{"a":[{},[0,0,0,0,0,0,0,4,5,2]],"g":[{},[0,0,0,0,0,0,0,4,5,0,2]],"i":[{"m":[{},[0,0,0,0,0,0,0,4,5]]}],"j":[{},[0,0,0,0,0,0,0,4,5]],"l":[{},[0,0,0,0,0,0,0,4,5]],"w":[{"r":[{},[0,0,0,0,0,0,0,4,5,0,2]],"o":[{"j":[{},[0,0,0,0,0,0,0,4,5]]}]}]},[0,0,0,0,0,0,0,3,0,2]],"ż":[{},[0,0,0,0,0,0,0,4,5,2]],"ć":[{},[0,0,0,0,0,0,0,0,3,2]],"ś":[{},[0,0,0,0,0,0,0,0,3,2]],"c":[{"h":[{},[0,0,0,0,0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,0,0,0,0,2]]},[0,0,0,0,0,0,0,0,3,2]],"d":[{"ź":[{},[0,0,0,0,0,0,0,0,0,0,2]],"ż":[{},[0,0,0,0,0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,0,0,0,0,2]]},[0,0,0,0,0,0,0,0,3,2]],"f":[{},[0,0,0,0,0,0,0,0,3,2]],"g":[{},[0,0,0,0,0,0,0,0,3,2]],"h":[{},[0,0,0,0,0,0,0,0,3,2]],"i":[{},[0,0,0,0,0,0,0,0,3,2]],"j":[{},[0,0,0,0,0,0,0,0,3,2]],"k":[{},[0,0,0,0,0,0,0,0,3,2]],"l":[{},[0,0,0,0,0,0,0,0,3,2]],"n":[{},[0,0,0,0,0,0,0,0,3,2]],"p":[{},[0,0,0,0,0,0,0,0,3,2]],"s":[{"z":[{},[0,0,0,0,0,0,0,0,3,0,2]]},[0,0,0,0,0,0,0,0,3,2]],"t":[{},[0,0,0,0,0,0,0,0,3,2]],"w":[{},[0,0,0,0,0,0,0,0,3,2]]},[0,0,0,0,0,0,0,2,2]],"ć":[{},[0,0,0,0,0,0,0,3,2]],"ś":[{},[0,0,0,0,0,0,0,3,2]],"ź":[{},[0,0,0,0,0,0,0,3,2]],"ż":[{},[0,0,0,0,0,0,0,3,2]],"b":[{"r":[{"z":[{},[0,0,0,0,0,0,0,3,0,0,2]]}]},[0,0,0,0,0,0,0,3,2]],"c":[{"h":[{},[0,0,0,0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,0,0,0,2]]},[0,0,0,0,0,0,0,3,2]],"e":[{"k":[{"s":[{},[0,0,0,0,0,0,0,3,2,2,3]]}]}],"f":[{},[0,0,0,0,0,0,0,3,2]],"g":[{"r":[{"z":[{},[0,0,0,0,0,0,0,0,0,0,2]]}]},[0,0,0,0,0,0,0,3,2]],"h":[{},[0,0,0,0,0,0,0,3,2]],"k":[{"l":[{},[0,0,0,0,0,0,0,0,0,2]],"r":[{},[0,0,0,0,0,0,0,0,0,2]]},[0,0,0,0,0,0,0,3,2]],"l":[{},[0,0,0,0,0,0,0,3,2]],"m":[{},[0,0,0,0,0,0,0,3,2]],"n":[{},[0,0,0,0,0,0,0,3,2]],"p":[{"c":[{"h":[{},[0,0,0,0,0,0,0,0,0,0,2]]}]},[0,0,0,0,0,0,0,3,2]],"r":[{"ż":[{},[0,0,0,0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,0,0,0,2]]},[0,0,0,0,0,0,0,3,2]],"s":[{"c":[{"h":[{},[0,0,0,0,0,0,0,0,0,0,2]]}],"m":[{},[0,0,0,0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,0,0,0,2]]},[0,0,0,0,0,0,0,3,2]],"t":[{"k":[{},[0,0,0,0,0,0,0,0,0,2]],"r":[{},[0,0,0,0,0,0,0,0,0,2]]},[0,0,0,0,0,0,0,3,2]],"w":[{},[0,0,0,0,0,0,0,3,2]],"z":[{},[0,0,0,0,0,0,0,3,2]]}]}]}]},[0,0,0,3,2]],"r":[{"o":[{"z":[{"e":[{"r":[{},[0,0,0,0,0,0,0,3,2]]},[0,0,0,0,0,3,4]],"u":[{},[0,0,0,0,0,3,4]],"ś":[{},[0,0,0,0,0,0,0,2]],"b":[{"r":[{"z":[{},[0,0,0,0,0,0,0,0,0,2]]}]}],"m":[{},[0,0,0,0,0,0,0,2]],"t":[{"r":[{},[0,0,0,0,0,0,0,0,2]]}]},[0,0,0,0,0,2,3]]}],"z":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"s":[{"u":[{"b":[{"i":[{"e":[{},[0,0,0,0,0,3,4]]}]},[0,0,0,0,0,2,3]]}],"z":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"t":[{"k":[{},[0,0,0,0,0,2]],"r":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"u":[{"c":[{"z":[{},[0,0,0,0,0,0,2]]}],"w":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"w":[{"y":[{"ć":[{},[0,0,0,0,0,3,2]],"ł":[{},[0,0,0,0,0,3,2]],"ś":[{},[0,0,0,0,0,3,2]],"ź":[{},[0,0,0,0,0,3,2]],"ż":[{},[0,0,0,0,0,3,2]],"b":[{"r":[{"z":[{},[0,0,0,0,0,0,0,0,2]]}]},[0,0,0,0,0,3,2]],"c":[{"h":[{},[0,0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"d":[{"ź":[{},[0,0,0,0,0,0,0,2]],"ż":[{},[0,0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"f":[{},[0,0,0,0,0,3,2]],"g":[{},[0,0,0,0,0,3,2]],"h":[{},[0,0,0,0,0,3,2]],"k":[{},[0,0,0,0,0,3,2]],"l":[{},[0,0,0,0,0,3,2]],"m":[{},[0,0,0,0,0,3,2]],"p":[{},[0,0,0,0,0,3,2]],"r":[{"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"s":[{"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"t":[{"k":[{},[0,0,0,0,0,0,0,2]],"r":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"w":[{},[0,0,0,0,0,3,2]],"z":[{},[0,0,0,0,0,3,2]]}]},[0,0,0,3,2]],"z":[{"w":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"o":[{"ć":[{},[0,0,0,0,0,2]],"ł":[{},[0,0,0,0,0,2]],"ś":[{},[0,0,0,0,0,2]],"ź":[{},[0,0,0,0,0,2]],"ż":[{},[0,0,0,0,0,2]],"b":[{"ć":[{},[0,0,0,0,0,3,2]],"ś":[{},[0,0,0,0,0,3,2]],"ź":[{},[0,0,0,0,0,3,2]],"ż":[{},[0,0,0,0,0,3,2]],"c":[{"h":[{},[0,0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"d":[{"ź":[{},[0,0,0,0,0,0,0,2]],"ż":[{},[0,0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"f":[{},[0,0,0,0,0,3,2]],"g":[{},[0,0,0,0,0,3,2]],"h":[{},[0,0,0,0,0,3,2]],"j":[{},[0,0,0,0,0,3,2]],"k":[{},[0,0,0,0,0,3,2]],"m":[{},[0,0,0,0,0,3,2]],"p":[{},[0,0,0,0,0,3,2]],"s":[{"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"w":[{},[0,0,0,0,0,3,2]]},[0,0,0,0,0,2]],"c":[{"h":[{},[0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,0,2]],"d":[{"ź":[{},[0,0,0,0,0,0,2]],"ć":[{},[0,0,0,0,0,3,2]],"ł":[{},[0,0,0,0,0,3,2]],"ś":[{},[0,0,0,0,0,3,2]],"c":[{"h":[{},[0,0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"d":[{"ź":[{},[0,0,0,0,0,0,0,2]],"ż":[{},[0,0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"f":[{},[0,0,0,0,0,3,2]],"g":[{},[0,0,0,0,0,3,2]],"h":[{},[0,0,0,0,0,3,2]],"j":[{},[0,0,0,0,0,3,2]],"k":[{},[0,0,0,0,0,3,2]],"l":[{},[0,0,0,0,0,3,2]],"n":[{},[0,0,0,0,0,3,2]],"p":[{},[0,0,0,0,0,3,2]],"s":[{"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"t":[{},[0,0,0,0,0,3,2]],"w":[{"r":[{},[0,0,0,0,0,3]]},[0,0,0,0,0,0,2]],"ż":[{},[0,0,0,0,0,5,2]],"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,0,2]],"f":[{},[0,0,0,0,0,2]],"g":[{},[0,0,0,0,0,2]],"h":[{},[0,0,0,0,0,2]],"k":[{},[0,0,0,0,0,2]],"l":[{},[0,0,0,0,0,2]],"m":[{},[0,0,0,0,0,2]],"p":[{},[0,0,0,0,0,2]],"r":[{"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,0,2]],"s":[{"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,0,2]],"t":[{},[0,0,0,0,0,2]],"w":[{},[0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,2]]},[0,0,0,0,2]]}]}],"j":[{},[0,0,8]],"k":[{},[0,0,8]],"l":[{},[0,0,8]],"m":[{},[0,0,8]],"n":[{},[0,0,8]],"p":[{},[0,0,8]],"r":[{},[0,0,8]],"s":[{},[0,0,8]],"t":[{},[0,0,8]],"v":[{},[0,0,8]],"w":[{},[0,0,8]],"x":[{},[0,0,8]],"z":[{},[0,0,8]]},[0,8]],"o":[{"ć":[{},[0,0,2]],"ś":[{"m":[{"i":[{"o":[{"ś":[{},[0,0,0,0,0,3,2]]}]}]}]},[0,0,2]],"ź":[{},[0,0,2]],"ż":[{},[0,0,2]],"b":[{"ł":[{"ą":[{},[0,3,4]],"ę":[{},[0,3,4]],"o":[{"c":[{"z":[{},[0,4,5]]},[0,3,4]]}]},[0,0,3,2]],"l":[{"u":[{"z":[{"g":[{},[0,3,4]]}]}]},[0,0,3,2]],"r":[{"a":[{"ć":[{},[0,3,4]],"s":[{"o":[{},[0,3,4]]}]}],"o":[{"ń":[{},[0,3,4]],"n":[{},[0,3,4]]}],"y":[{"ź":[{},[0,3,4]],"z":[{},[0,3,4]]}],"z":[{"ą":[{},[0,4,5]],"ę":[{"d":[{},[0,4,5]]}],"e":[{"z":[{},[0,4,5]]}],"u":[{"c":[{},[0,4,5]],"t":[{},[0,4,5]]}],"y":[{"n":[{},[0,4,5]]}]},[0,3,4,0,2]]},[0,0,3]],"e":[{"ć":[{},[0,0,0,3,2]],"ł":[{},[0,0,0,3,2]],"ś":[{},[0,0,0,3,2]],"ź":[{},[0,0,0,3,2]],"ż":[{},[0,0,0,3,2]],"b":[{},[0,0,0,3,2]],"c":[{"n":[{},[0,0,0,4,3]],"h":[{},[0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"d":[{"ź":[{},[0,0,0,0,0,2]],"ż":[{},[0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"f":[{},[0,0,0,3,2]],"g":[{},[0,0,0,3,2]],"h":[{},[0,0,0,3,2]],"k":[{},[0,0,0,3,2]],"l":[{},[0,0,0,3,2]],"m":[{},[0,0,0,3,2]],"p":[{},[0,0,0,3,2]],"r":[{"t":[{},[0,0,0,3,3]],"ż":[{},[0,0,0,0,0,2]],"m":[{},[0,0,0,0,3]],"z":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"s":[{"c":[{"h":[{},[0,0,0,0,0,0,2]]}],"z":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"t":[{"k":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"w":[{},[0,0,0,3,2]],"z":[{"w":[{},[0,0,0,4,3]]},[0,0,0,3,2]]},[0,3]],"i":[{"b":[{},[0,0,0,3,2]]},[0,3]],"ć":[{},[0,0,3,2]],"ś":[{},[0,0,3,2]],"ź":[{},[0,0,3,2]],"ż":[{},[0,0,3,2]],"c":[{"h":[{},[0,0,0,0,2]],"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"d":[{"ź":[{},[0,0,0,0,2]],"ż":[{},[0,0,0,0,2]],"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"f":[{},[0,0,3,2]],"g":[{},[0,0,3,2]],"h":[{},[0,0,3,2]],"j":[{},[0,0,3,2]],"k":[{},[0,0,3,2]],"m":[{},[0,0,3,2]],"n":[{},[0,0,3,2]],"o":[{"s":[{"t":[{"r":[{"z":[{},[0,0,3,2]]}]}]}]}],"p":[{},[0,0,3,2]],"s":[{"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"t":[{},[0,0,3,2]],"u":[{"m":[{},[0,0,3,2,2]]}],"w":[{},[0,0,3,2]]},[0,2,2]],"d":[{"i":[{"u":[{},[0,3,4]],"z":[{"o":[{},[0,0,3,2]]}]},[0,0,3,2]],"r":[{"ę":[{"t":[{},[0,3,4]]}],"a":[{"p":[{},[0,3,4]]}],"o":[{"b":[{"i":[{"n":[{},[0,3,4]]}]}]}],"u":[{"t":[{},[0,3,4]]}],"w":[{"i":[{},[0,3,4]]}],"z":[{"e":[{"ć":[{},[0,3,4]]}],"w":[{},[0,3,4]]},[0,0,0,0,2]]},[0,0,3,2]],"z":[{"i":[{"a":[{"r":[{},[0,4,7]]},[0,3,6]],"e":[{"m":[{},[0,4,7]]},[0,3,6]]}]},[0,0,5,2]],"e":[{"ć":[{},[0,0,0,3,2]],"ł":[{},[0,0,0,3,2]],"ś":[{},[0,0,0,3,2]],"ź":[{},[0,0,0,3,2]],"ż":[{},[0,0,0,3,2]],"b":[{},[0,0,0,3,2]],"c":[{"h":[{},[0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"d":[{"ź":[{},[0,0,0,0,0,2]],"ż":[{},[0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"f":[{},[0,0,0,3,2]],"g":[{},[0,0,0,3,2]],"h":[{},[0,0,0,3,2]],"k":[{},[0,0,0,3,2]],"l":[{},[0,0,0,3,2]],"m":[{"k":[{},[0,0,0,3,0,2]]},[0,0,0,3,2]],"p":[{"c":[{"h":[{},[0,0,0,0,0,0,2]]}]},[0,0,0,3,2]],"r":[{"ż":[{},[0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"s":[{"z":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"t":[{"c":[{"h":[{},[0,0,0,0,0,0,2]]}],"k":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"w":[{},[0,0,0,3,2]],"z":[{},[0,0,0,3,2]]},[0,3]],"ź":[{},[0,0,0,2]],"ć":[{},[0,0,3,2]],"ś":[{},[0,0,3,2]],"a":[{"u":[{},[0,0,3]]}],"b":[{"e":[{"z":[{},[0,0,0,0,2,3]]}]},[0,0,3,2]],"c":[{"h":[{},[0,0,0,0,2]],"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"d":[{"ź":[{},[0,0,0,0,2]],"ż":[{},[0,0,0,0,2]],"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"f":[{},[0,0,3,2]],"g":[{},[0,0,3,2]],"h":[{},[0,0,3,2]],"j":[{},[0,0,3,2]],"k":[{"r":[{"z":[{},[0,0,0,0,0,2]]}]},[0,0,3,2]],"l":[{},[0,0,3,2]],"m":[{},[0,0,3,2]],"n":[{},[0,0,3,2]],"o":[{"s":[{},[0,0,3,2]]}],"p":[{},[0,0,3,2]],"s":[{"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"t":[{},[0,0,3,2]],"u":[{"c":[{"z":[{},[0,0,3,2]]}],"m":[{},[0,0,3,2,2]]}],"w":[{},[0,0,3,2]],"ż":[{},[0,0,5,2]]},[0,2,2]],"t":[{"c":[{"h":[{"ł":[{},[0,2,3]]}]}]},[0,0,2]],"l":[{"ś":[{"n":[{},[0,3,2]]}],"e":[{"o":[{},[0,0,0,2,3]]}]}],"a":[{"z":[{},[0,0,3]]}],"c":[{"h":[{"r":[{"z":[{},[0,0,0,0,0,2]]}]},[0,0,0,2]],"z":[{},[0,0,0,2]]},[0,0,2]],"f":[{},[0,0,2]],"g":[{"ó":[{"l":[{"n":[{"o":[{"k":[{},[0,0,0,0,0,0,3,2]]}]}]}]}],"n":[{"i":[{"o":[{"t":[{"r":[{},[0,0,0,0,0,3,0,2]]}]}]}]}]},[0,0,2]],"h":[{},[0,0,2]],"k":[{"a":[{"m":[{},[0,0,0,3,2]]}],"r":[{},[0,0,0,2]]},[0,0,2]],"m":[{},[0,0,2]],"p":[{"c":[{"h":[{},[0,0,0,0,2]]}]},[0,0,2]],"r":[{"ż":[{},[0,0,2,2]],"t":[{"ę":[{},[0,0,2]]}],"z":[{},[0,0,2,2]]}],"s":[{"i":[{"e":[{"m":[{"s":[{"e":[{"t":[{},[0,0,0,0,0,0,0,2,3]]}]}]},[0,0,0,0,2,3]]}]}],"z":[{},[0,0,0,2]]},[0,0,2]],"w":[{},[0,0,2]],"z":[{},[0,0,2]]}],"p":[{"ć":[{},[0,0,8]],"ł":[{"a":[{"s":[{"k":[{"o":[{"w":[{},[0,0,0,0,0,0,3,2]]}]}]}]}]},[0,0,8]],"ń":[{},[0,0,8]],"ó":[{"ł":[{"k":[{"r":[{},[0,0,0,0,0,2]]},[0,0,0,0,2]],"m":[{},[0,0,0,0,2]],"o":[{"b":[{"r":[{},[0,0,0,0,0,3]]}],"m":[{"d":[{},[0,0,0,0,0,2]]}]},[0,0,0,0,2]],"p":[{"r":[{"z":[{"y":[{"m":[{"k":[{},[0,0,0,0,0,0,0,3,2]]}]}]}]}]}],"ą":[{},[0,0,3,4]],"ę":[{},[0,0,3,4]],"e":[{"c":[{"z":[{},[0,0,3,4]]}]}],"y":[{},[0,0,3,4]]},[0,0,2,3]]}],"ś":[{},[0,0,8]],"ź":[{},[0,0,8]],"ż":[{},[0,0,8]],"b":[{},[0,0,8]],"c":[{"h":[{},[0,0,0,8]]},[0,0,8]],"d":[{},[0,0,8]],"e":[{"ł":[{"n":[{"o":[{"k":[{"r":[{},[0,0,0,0,0,3,0,2]]}]}]}]}],"r":[{"e":[{},[0,0,3,4]],"i":[{"n":[{},[0,0,4,5,2]]},[0,0,3,4]],"o":[{},[0,0,3,4]],"u":[{},[0,0,3,4]],"y":[{},[0,0,3,4]]},[0,0,2,3]],"c":[{"k":[{},[0,0,3,2]]}],"e":[{"s":[{"e":[{"l":[{},[0,0,0,2,0,2]]}]}]}],"p":[{"e":[{"e":[{"r":[{},[0,0,0,0,0,2]],"s":[{},[0,0,0,0,0,2]]}]}]}],"z":[{"e":[{"t":[{"p":[{"e":[{"e":[{"r":[{},[0,0,0,0,2,1,0,0,2]]}]}]}]}]}]}]}],"f":[{},[0,0,8]],"g":[{},[0,0,8]],"h":[{},[0,0,8]],"i":[{"ę":[{"ć":[{"s":[{"e":[{"t":[{},[0,0,0,0,0,0,2,3]]}]}]},[0,0,0,2,3]],"c":[{"i":[{"o":[{"ś":[{},[0,0,0,0,0,0,3,2]]}]}]}]}],"e":[{"r":[{"w":[{"o":[{"w":[{},[0,0,0,0,0,0,3,2]]}]}]}]}],"o":[{"n":[{"o":[{"w":[{},[0,0,0,0,0,3,2]]}]}]}]}],"j":[{},[0,0,8]],"k":[{},[0,0,8]],"l":[{},[0,0,8]],"m":[{},[0,0,8]],"n":[{},[0,0,8]],"o":[{"ł":[{"k":[{},[0,0,0,0,2]]},[0,0,3,2]],"d":[{"ą":[{},[0,0,3]],"ę":[{},[0,0,3]],"ź":[{},[0,0,3,0,2]],"ł":[{"u":[{},[0,0,3,4]]},[0,0,0,3,2]],"m":[{"u":[{"c":[{"h":[{},[0,0,3,4]]}]}]},[0,0,0,3,2]],"n":[{"a":[{"w":[{},[0,0,3,4]]}]},[0,0,0,3,2]],"r":[{"ę":[{"c":[{"z":[{"n":[{},[0,0,4,5]]},[0,0,3,4]]}],"t":[{"w":[{},[0,0,3,4]]}]}],"ó":[{"ż":[{},[0,0,3,4]]}],"w":[{"i":[{},[0,0,3,4,2]]}],"a":[{"ż":[{},[0,0,3,4]],"p":[{},[0,0,3,4]]}],"e":[{"p":[{"c":[{"z":[{},[0,0,3,4]]}],"t":[{},[0,0,3,4]]}]}],"o":[{"ż":[{},[0,0,3,4]],"b":[{"ó":[{},[0,0,3,4]],"a":[{},[0,0,3,4]],"o":[{},[0,0,3,4]],"y":[{},[0,0,3,4]]}],"c":[{"z":[{},[0,0,3,4]]}],"z":[{},[0,0,0,0,0,2,3]]}],"u":[{"z":[{"g":[{},[0,0,3,4]]}]}],"y":[{"g":[{},[0,0,3,4]]}],"z":[{"e":[{},[0,0,3,4]]}]},[0,0,0,3,2]],"w":[{"ó":[{"j":[{"n":[{},[0,0,3,4]]}],"r":[{},[0,0,3,4]]}],"a":[{"j":[{},[0,0,3,4]]}],"o":[{"i":[{},[0,0,3,4]],"j":[{},[0,0,3,4]],"r":[{"z":[{},[0,0,3,4]]}]}]},[0,0,0,3,2]],"a":[{"l":[{"p":[{},[0,0,0,3]]}]},[0,0,3]],"e":[{"j":[{},[0,0,3]],"k":[{"s":[{},[0,0,4,3,4,2,3]]},[0,0,0,0,3,2]],"ć":[{},[0,0,0,0,3,2]],"ł":[{},[0,0,0,0,3,2]],"ś":[{},[0,0,0,0,3,2]],"ź":[{},[0,0,0,0,3,2]],"ż":[{},[0,0,0,0,3,2]],"b":[{},[0,0,0,0,3,2]],"c":[{"h":[{},[0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"d":[{"ź":[{},[0,0,0,0,0,0,2]],"ż":[{},[0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"f":[{},[0,0,0,0,3,2]],"g":[{},[0,0,0,0,3,2]],"h":[{},[0,0,0,0,3,2]],"l":[{},[0,0,0,0,3,2]],"m":[{},[0,0,0,0,3,2]],"p":[{"c":[{"h":[{},[0,0,0,0,0,0,0,2]]}]},[0,0,0,0,3,2]],"r":[{"ż":[{},[0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"s":[{"c":[{"h":[{},[0,0,0,0,0,0,0,2]]}],"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"t":[{"k":[{},[0,0,0,0,3,0,2]]},[0,0,0,0,3,2]],"w":[{},[0,0,0,0,3,2]],"z":[{},[0,0,0,0,3,2]]},[0,0,3]],"i":[{"u":[{},[0,0,3]],"n":[{},[0,0,0,3,2]]}],"o":[{"b":[{"ó":[{"z":[{},[0,0,4,3,2]]}],"i":[{"a":[{"d":[{},[0,0,4,3,2]]}]}],"o":[{"j":[{"c":[{"z":[{},[0,0,4,3,2]]}]}]}],"r":[{"a":[{"z":[{},[0,0,4,3,2]]}]}],"s":[{"z":[{},[0,0,4,3]]}]}],"c":[{"h":[{"o":[{"c":[{},[0,0,4,3,2]]}]}]}],"d":[{"m":[{},[0,0,4,3,2]],"d":[{},[0,0,4,3]]}],"f":[{},[0,0,4,3,2]],"g":[{},[0,0,4,3,2]],"k":[{"i":[{"e":[{"n":[{},[0,0,4,3,2]]}]}],"n":[{},[0,0,4,3,2]],"r":[{"ę":[{"g":[{},[0,0,4,3,2]]}],"e":[{"s":[{},[0,0,4,3,2]]}]}]}],"p":[{"i":[{"e":[{"c":[{"z":[{},[0,0,4,3,2]]}]}]}]}],"r":[{"y":[{"w":[{},[0,0,4,3,2]]}]}],"s":[{"i":[{"n":[{"i":[{"a":[{"k":[{},[0,0,4,3,2]]}]}]}]}],"t":[{"r":[{"z":[{},[0,0,4,3,2]]}]}]}],"l":[{"b":[{"r":[{"z":[{},[0,0,4,3]]}]}]}]},[0,0,3]],"u":[{"c":[{"z":[{},[0,0,4,3,2]]}],"d":[{"z":[{},[0,0,4,3,2]]}],"p":[{"a":[{},[0,0,4,3,2]]}],"r":[{"a":[{"l":[{},[0,0,4,3,2]]}]}],"s":[{"t":[{"a":[{},[0,0,4,3,2]]}],"z":[{"c":[{"z":[{"y":[{"n":[{},[0,0,5,4]]}]},[0,0,4,3,2]]}]}]}]},[0,0,3]],"y":[{},[0,0,3]],"z":[{"a":[{"k":[{"r":[{},[0,0,4,5]]}],"m":[{},[0,0,4,5]],"s":[{"t":[{},[0,0,4,5]]}]}],"b":[{"i":[{},[0,0,4,5]]}],"e":[{},[0,0,4,5]],"i":[{"e":[{"l":[{"e":[{"n":[{"i":[{"ą":[{},[0,0,4,5]],"ć":[{},[0,0,4,5]],"ę":[{},[0,0,4,5]],"ł":[{},[0,0,4,5]],"c":[{},[0,0,4,5]],"e":[{"n":[{},[0,0,4,5]]}],"l":[{},[0,0,4,5]],"m":[{},[0,0,4,5]],"o":[{},[0,0,4,5]],"s":[{},[0,0,4,5]]}]}]}]}],"m":[{},[0,0,4,5]]}],"o":[{"m":[{},[0,0,4,5]]}]}],"w":[{"r":[{},[0,0,4,5,0,2]]}]},[0,0,3,0,2]],"ó":[{"w":[{},[0,0,4,3]]}],"ć":[{},[0,0,0,3,2]],"ś":[{"r":[{"ó":[{"d":[{},[0,0,0,3,0,0,2,5]]}]}]},[0,0,0,3,2]],"b":[{},[0,0,0,3,2]],"c":[{"h":[{},[0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"d":[{"ź":[{},[0,0,0,0,0,2]],"ż":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"f":[{},[0,0,0,3,2]],"g":[{},[0,0,0,3,2]],"h":[{},[0,0,0,3,2]],"j":[{},[0,0,0,3,2]],"k":[{},[0,0,0,3,2]],"l":[{},[0,0,0,3,2]],"p":[{},[0,0,0,3,2]],"s":[{"m":[{},[0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"t":[{},[0,0,0,3,2]],"ż":[{},[0,0,0,5,2]]},[0,0,2,2]],"ć":[{},[0,0,3,2]],"ś":[{},[0,0,3,2]],"ź":[{},[0,0,3,2]],"ż":[{},[0,0,3,2]],"b":[{"r":[{"z":[{},[0,0,0,0,0,2]]},[0,0,0,0,2]]},[0,0,3,2]],"c":[{"z":[{"d":[{},[0,0,4,0,3]],"t":[{},[0,0,4,0,3]]},[0,0,0,0,2]],"h":[{"r":[{"z":[{},[0,0,0,0,0,0,2]]}]},[0,0,0,0,2]]},[0,0,3,2]],"e":[{"k":[{"s":[{},[0,0,3,2,2,3]]}]}],"f":[{},[0,0,3,2]],"g":[{"r":[{"z":[{},[0,0,0,0,0,2]]}]},[0,0,3,2]],"h":[{},[0,0,3,2]],"k":[{"l":[{},[0,0,0,0,2]],"r":[{},[0,0,0,0,2]]},[0,0,3,2]],"l":[{"s":[{},[0,0,4,3]]},[0,0,3,2]],"m":[{"p":[{"k":[{},[0,0,0,4]]},[0,0,4,3]],"k":[{},[0,0,0,0,2]]},[0,0,3,2]],"p":[{"c":[{"h":[{},[0,0,0,0,0,2]]}],"o":[{"w":[{},[0,0,0,0,3,2]]}],"r":[{"z":[{},[0,0,0,0,0,2]]}]},[0,0,3,2]],"r":[{"ż":[{},[0,0,3]],"c":[{},[0,0,4,3]],"f":[{},[0,0,4,3]],"n":[{},[0,0,4,3]],"t":[{"ę":[{},[0,0,5,4]],"w":[{},[0,0,0,4,1]],"f":[{},[0,0,0,4]],"m":[{},[0,0,0,4]]},[0,0,4,3]],"o":[{"z":[{"u":[{},[0,0,0,0,3,4]]},[0,0,0,0,2,3]]}],"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"s":[{"t":[{"d":[{},[0,0,4,0,3]],"f":[{},[0,0,4,0,3]],"g":[{},[0,0,4,0,3]],"h":[{},[0,0,4,0,3]],"i":[{},[0,0,4,0,3,2]],"k":[{},[0,0,4,0,3]],"l":[{},[0,0,4,0,3]],"m":[{},[0,0,4,0,3]],"p":[{},[0,0,4,0,3]],"r":[{"o":[{"m":[{},[0,0,4,0,3]]}]}],"s":[{},[0,0,4,0,3]]}],"c":[{"h":[{},[0,0,0,0,0,2]]}],"m":[{},[0,0,0,0,2]],"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"t":[{"k":[{},[0,0,0,0,2]],"r":[{},[0,0,0,0,2]]},[0,0,3,2]],"w":[{},[0,0,3,2]],"z":[{"m":[{},[0,0,0,4,2]],"a":[{"u":[{},[0,0,0,0,3,2]]}],"w":[{},[0,0,0,0,2]]},[0,0,3,2]],"ń":[{"c":[{},[0,0,4,3]]}],"n":[{"a":[{"d":[{"ź":[{},[0,0,0,0,3,0,2]],"o":[{},[0,0,0,0,3]],"ć":[{},[0,0,0,0,0,3,2]],"ś":[{},[0,0,0,0,0,3,2]],"c":[{"h":[{},[0,0,0,0,0,3,0,2]],"z":[{},[0,0,0,0,0,3,0,2]]},[0,0,0,0,0,3,2]],"d":[{"ź":[{},[0,0,0,0,0,3,0,2]]}],"f":[{},[0,0,0,0,0,3,2]],"g":[{},[0,0,0,0,0,3,2]],"h":[{},[0,0,0,0,0,3,2]],"j":[{},[0,0,0,0,0,3,2]],"k":[{},[0,0,0,0,0,3,2]],"l":[{},[0,0,0,0,0,3,2]],"p":[{},[0,0,0,0,0,3,2]],"s":[{},[0,0,0,0,0,3,2]],"t":[{},[0,0,0,0,0,3,2]],"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,2,2]],"ć":[{},[0,0,0,0,3,2]],"ł":[{},[0,0,0,0,3,2]],"ś":[{},[0,0,0,0,3,2]],"ź":[{},[0,0,0,0,3,2]],"ż":[{},[0,0,0,0,3,2]],"b":[{"r":[{"z":[{},[0,0,0,0,0,0,0,2]]}]},[0,0,0,0,3,2]],"c":[{"z":[{},[0,0,0,0,3,0,2]],"h":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"f":[{"t":[{},[0,0,0,0,4,3]]},[0,0,0,0,3,2]],"g":[{},[0,0,0,0,3,2]],"h":[{},[0,0,0,0,3,2]],"k":[{},[0,0,0,0,3,2]],"l":[{},[0,0,0,0,3,2]],"m":[{},[0,0,0,0,3,2]],"p":[{},[0,0,0,0,3,2]],"r":[{"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"s":[{"m":[{},[0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"t":[{},[0,0,0,0,3,2]],"w":[{},[0,0,0,0,3,2]],"z":[{"m":[{},[0,0,0,0,0,3,2]],"w":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]]}],"i":[{"e":[{"k":[{},[0,0,0,0,0,3,2]],"w":[{},[0,0,0,0,0,3,2]]}]}]}]}],"p":[{},[0,0,8]],"r":[{"a":[{"s":[{},[0,0,0,3,2]],"w":[{"n":[{"u":[{},[0,0,0,3,2]]}],"z":[{},[0,0,0,3,2]]}],"p":[{"r":[{"a":[{"w":[{"n":[{"u":[{},[0,0,0,0,0,0,3,2]]}]}]}]}]}]}],"e":[{"d":[{"y":[{"s":[{"p":[{"o":[{},[0,0,0,0,0,2,3]]}]}]}]}]}],"z":[{"e":[{"ł":[{"k":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"d":[{"ą":[{},[0,0,0,0,3]],"ę":[{},[0,0,0,0,3]],"ź":[{},[0,0,0,0,3,0,2]],"ł":[{"u":[{"ż":[{"y":[{"c":[{},[0,0,0,0,4,5]]}]},[0,0,0,0,3,4]]}]},[0,0,0,0,0,3,2]],"m":[{"u":[{"c":[{"h":[{},[0,0,0,0,3,4]]}]}]},[0,0,0,0,0,3,2]],"o":[{"b":[{"r":[{},[0,0,0,0,3,4,3]]}],"s":[{"t":[{"a":[{"t":[{},[0,0,0,0,4,5,4]]}]},[0,0,0,0,3,4,3]]}],"z":[{"o":[{},[0,0,0,0,3,4,3]]}]},[0,0,0,0,0,3,2]],"r":[{"a":[{"m":[{"a":[{"t":[{},[0,0,0,0,3,4]]}]}]}],"u":[{"k":[{},[0,0,0,0,3,4]]}],"y":[{"l":[{},[0,0,0,0,3,4]]}],"z":[{},[0,0,0,0,3,4,0,2]]},[0,0,0,0,0,3,2]],"u":[{"m":[{},[0,0,0,0,3,4]]},[0,0,0,0,0,3,2]],"y":[{"s":[{"k":[{"u":[{},[0,0,0,0,0,0,2,3]]}]}]},[0,0,0,0,3]],"z":[{"a":[{},[0,0,0,0,4,5]],"g":[{},[0,0,0,0,4,5,0,2]],"i":[{"m":[{},[0,0,0,0,4,5]]}],"j":[{},[0,0,0,0,4,5]],"l":[{},[0,0,0,0,4,5]],"w":[{"r":[{},[0,0,0,0,4,5,0,2]],"o":[{"j":[{},[0,0,0,0,4,5]]}]}]},[0,0,0,0,3,0,2]],"ż":[{},[0,0,0,0,4,5,2]],"ć":[{},[0,0,0,0,0,3,2]],"ś":[{},[0,0,0,0,0,3,2]],"a":[{"g":[{"o":[{"n":[{},[0,0,0,0,0,3,2]]}]}],"k":[{"c":[{},[0,0,0,0,0,3,2]]}],"l":[{"p":[{},[0,0,0,0,0,3]]}]}],"b":[{},[0,0,0,0,0,3,2]],"c":[{"h":[{},[0,0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"d":[{"ź":[{},[0,0,0,0,0,0,0,2]],"ż":[{},[0,0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,3,2]],"e":[{"g":[{"z":[{},[0,0,0,0,0,3,2]]}],"m":[{"e":[{"r":[{},[0,0,0,0,0,3,2]]}]}]}],"f":[{},[0,0,0,0,0,3,2]],"g":[{"r":[{"z":[{},[0,0,0,0,0,0,0,0,2]]}]},[0,0,0,0,0,3,2]],"h":[{},[0,0,0,0,0,3,2]],"i":[{},[0,0,0,0,0,3,2]],"j":[{},[0,0,0,0,0,3,2]],"k":[{},[0,0,0,0,0,3,2]],"l":[{},[0,0,0,0,0,3,2]],"n":[{},[0,0,0,0,0,3,2]],"p":[{},[0,0,0,0,0,3,2]],"s":[{"i":[{"ę":[{"w":[{},[0,0,0,0,0,3,0,0,3,2]]}]}],"z":[{},[0,0,0,0,0,3,0,2]]},[0,0,0,0,0,3,2]],"t":[{},[0,0,0,0,0,3,2]],"w":[{},[0,0,0,0,0,3,2]]},[0,0,0,0,2,2]],"ć":[{},[0,0,0,0,3,2]],"ś":[{},[0,0,0,0,3,2]],"ź":[{},[0,0,0,0,3,2]],"ż":[{},[0,0,0,0,3,2]],"b":[{"r":[{"z":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"c":[{"h":[{"r":[{"z":[{},[0,0,0,0,0,0,0,0,2]]}]},[0,0,0,0,0,0,2]],"i":[{"w":[{"i":[{"e":[{},[0,0,0,0,0,0,3,4]]}],"a":[{},[0,0,0,0,0,0,0,0,2]],"w":[{},[0,0,0,0,0,0,0,0,2]]},[0,0,0,0,0,0,2,3]]}],"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"e":[{"k":[{"s":[{},[0,0,0,0,3,2,2,3]]}]}],"f":[{},[0,0,0,0,3,2]],"g":[{"r":[{"z":[{},[0,0,0,0,0,0,0,2]]}]},[0,0,0,0,3,2]],"h":[{},[0,0,0,0,3,2]],"k":[{"l":[{},[0,0,0,0,0,0,2]],"r":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"l":[{},[0,0,0,0,3,2]],"m":[{"k":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"n":[{},[0,0,0,0,3,2]],"p":[{"c":[{"h":[{},[0,0,0,0,0,0,0,2]]}]},[0,0,0,0,3,2]],"r":[{"ż":[{},[0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"s":[{"c":[{"h":[{},[0,0,0,0,0,0,0,2]]}],"m":[{},[0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"t":[{"k":[{},[0,0,0,0,0,0,2]],"r":[{"a":[{"n":[{"s":[{},[0,0,0,0,0,0,0,0,2,3]]}]}]},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"u":[{},[0,0,0,0,3,2]],"w":[{},[0,0,0,0,3,2]],"z":[{},[0,0,0,0,3,2]]}],"y":[{"ć":[{},[0,0,0,0,3,2]],"ł":[{},[0,0,0,0,3,2]],"ś":[{},[0,0,0,0,3,2]],"ź":[{},[0,0,0,0,3,2]],"ż":[{},[0,0,0,0,3,2]],"b":[{"r":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"c":[{"h":[{},[0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"d":[{"ź":[{},[0,0,0,0,0,0,2]],"ż":[{},[0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"f":[{},[0,0,0,0,3,2]],"g":[{"r":[{"z":[{},[0,0,0,0,0,0,0,2]]}]},[0,0,0,0,3,2]],"h":[{},[0,0,0,0,3,2]],"k":[{},[0,0,0,0,3,2]],"l":[{},[0,0,0,0,3,2]],"m":[{"k":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"p":[{"c":[{"h":[{},[0,0,0,0,0,0,0,2]]}]},[0,0,0,0,3,2]],"r":[{"ż":[{},[0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"s":[{"c":[{"h":[{},[0,0,0,0,0,0,0,2]]}],"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"t":[{"k":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"w":[{},[0,0,0,0,3,2]],"z":[{},[0,0,0,0,3,2]],"o":[{"z":[{},[0,0,0,0,0,0,2]]}]}]},[0,0,0,8]]},[0,0,8]],"s":[{},[0,0,8]],"t":[{},[0,0,8]],"v":[{},[0,0,8]],"w":[{},[0,0,8]],"x":[{},[0,0,8]],"z":[{},[0,0,8]]},[0,8]],"r":[{"ć":[{},[0,0,8]],"ł":[{},[0,0,8]],"ń":[{},[0,0,8]],"ś":[{},[0,0,8]],"ź":[{},[0,0,8]],"ż":[{},[0,0,8]],"b":[{},[0,0,8]],"c":[{},[0,0,8]],"d":[{},[0,0,8]],"e":[{"t":[{"r":[{"a":[{"n":[{"s":[{},[0,0,0,0,0,0,2,3]]}]}]}]}]}],"f":[{},[0,0,8]],"g":[{},[0,0,8]],"h":[{},[0,0,8]],"j":[{},[0,0,8]],"k":[{},[0,0,8]],"l":[{},[0,0,8]],"m":[{},[0,0,8]],"n":[{},[0,0,8]],"o":[{"z":[{"a":[{"g":[{"i":[{},[0,0,4,5,2]]}],"n":[{"i":[{"e":[{},[0,0,4,5,2]]}]}]},[0,0,3,4]],"e":[{"ć":[{},[0,0,3,4,3,2]],"ł":[{},[0,0,3,4,3,2]],"ś":[{},[0,0,3,4,3,2]],"ź":[{},[0,0,3,4,3,2]],"ż":[{},[0,0,3,4,3,2]],"b":[{},[0,0,3,4,3,2]],"c":[{"h":[{},[0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,2]]},[0,0,3,4,3,2]],"d":[{"ź":[{},[0,0,0,0,0,0,2]],"ż":[{},[0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,2]]},[0,0,3,4,3,2]],"f":[{},[0,0,3,4,3,2]],"g":[{"z":[{},[0,0,4,5,4,3]]},[0,0,3,4,3,2]],"h":[{},[0,0,3,4,3,2]],"k":[{},[0,0,3,4,3,2]],"l":[{},[0,0,3,4,3,2]],"m":[{"o":[{},[0,0,4,5,2]]},[0,0,3,4,3,2]],"p":[{"c":[{"h":[{},[0,0,0,0,0,0,0,2]]}]},[0,0,3,4,3,2]],"r":[{"ż":[{},[0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,2]]},[0,0,3,4,3,2]],"s":[{"c":[{"h":[{},[0,0,0,0,0,0,0,2]]}],"z":[{},[0,0,0,0,0,0,2]]},[0,0,3,4,3,2]],"t":[{},[0,0,3,4,3,2]],"w":[{},[0,0,3,4,3,2]],"z":[{},[0,0,3,4,3,2]],"j":[{},[0,0,3,4]],"n":[{"t":[{},[0,0,4,5,4,3]]}]},[0,0,3,4]],"u":[{},[0,0,3,4]],"ś":[{},[0,0,0,0,2]],"b":[{"r":[{"z":[{},[0,0,0,0,0,0,2]]}]}],"d":[{},[0,0,0,0,2]],"i":[{},[0,0,0,0,2]],"m":[{},[0,0,0,0,2]],"o":[{},[0,0,0,0,2]],"p":[{"o":[{"w":[{},[0,0,0,0,0,3,2]]}]}],"t":[{"r":[{},[0,0,0,0,0,2]]},[0,0,0,0,2]],"w":[{},[0,0,0,0,2]]},[0,0,2,3]]}],"p":[{},[0,0,8]],"r":[{},[0,0,8]],"s":[{},[0,0,8]],"t":[{},[0,0,8]],"v":[{},[0,0,8]],"w":[{},[0,0,8]],"x":[{},[0,0,8]],"z":[{},[0,0,8]]},[0,8]],"s":[{"ć":[{},[0,0,8]],"ł":[{},[0,0,8]],"ń":[{},[0,0,8]],"ś":[{},[0,0,8]],"ź":[{},[0,0,8]],"ż":[{},[0,0,8]],"a":[{"m":[{"o":[{"c":[{"h":[{},[0,0,0,0,3,0,2]]}],"k":[{},[0,0,0,0,3,2]],"p":[{},[0,0,0,0,3,2]],"w":[{},[0,0,0,0,3,2]],"r":[{"o":[{"z":[{},[0,0,0,0,0,0,2,3]]}]}]}]}]}],"b":[{},[0,0,8]],"c":[{"h":[{},[0,0,0,8]]},[0,0,8]],"d":[{},[0,0,8]],"f":[{},[0,0,8]],"g":[{},[0,0,8]],"h":[{},[0,0,8]],"i":[{"e":[{"d":[{"e":[{"m":[{"s":[{"e":[{"t":[{},[0,0,0,0,0,0,0,0,2,3]]}]}]},[0,0,0,0,0,2,3]]}],"m":[{"i":[{"o":[{"ś":[{},[0,0,0,0,0,0,0,3,2]]}]}]}]}]}]}],"j":[{},[0,0,8]],"k":[{"ą":[{"d":[{"ż":[{"e":[{},[0,0,0,2,5]]}]}]}],"l":[{},[0,0,0,8]],"r":[{},[0,0,0,8]]},[0,0,8]],"l":[{},[0,0,8]],"m":[{},[0,0,8]],"n":[{},[0,0,8]],"o":[{"b":[{"o":[{"w":[{},[0,0,0,0,3,2]]}]}]}],"p":[{"ó":[{"ł":[{},[0,0,0,2,3]]}],"o":[{"d":[{"z":[{},[0,0,0,3,0,2]],"ź":[{},[0,0,0,0,0,2]],"ż":[{},[0,0,0,0,0,2]],"d":[{},[0,0,0,0,3]]},[0,0,0,2,2]],"ć":[{},[0,0,0,3,2]],"ł":[{},[0,0,0,3,2]],"ś":[{},[0,0,0,3,2]],"ź":[{},[0,0,0,3,2]],"ż":[{},[0,0,0,3,2]],"b":[{},[0,0,0,3,2]],"c":[{"h":[{},[0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"f":[{},[0,0,0,3,2]],"g":[{},[0,0,0,3,2]],"h":[{},[0,0,0,3,2]],"k":[{},[0,0,0,3,2]],"l":[{},[0,0,0,3,2]],"m":[{},[0,0,0,3,2]],"p":[{},[0,0,0,3,2]],"r":[{"n":[{},[0,0,0,4,3]],"t":[{},[0,0,0,4,3]],"z":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"s":[{"z":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"t":[{},[0,0,0,3,2]],"w":[{},[0,0,0,3,2]],"z":[{},[0,0,0,3,2]]}]},[0,0,8]],"r":[{},[0,0,8]],"s":[{},[0,0,8]],"t":[{"e":[{"r":[{"e":[{"o":[{"a":[{},[0,0,0,0,0,0,0,2]],"e":[{},[0,0,0,0,0,0,0,2]],"i":[{},[0,0,0,0,0,0,0,2]],"o":[{},[0,0,0,0,0,0,0,2]],"u":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,2,3]]}]}]}]},[0,0,8]],"u":[{"b":[{"i":[{"e":[{},[0,0,3,4]]}],"o":[{"t":[{"n":[{},[0,0,3,4]]}]}]},[0,0,2,3]],"p":[{"e":[{"r":[{"a":[{"t":[{"r":[{},[0,0,0,0,4,5,2]]},[0,0,0,0,3,4]]}],"i":[{"o":[{},[0,0,0,0,3,4]]}],"z":[{"b":[{},[0,0,0,0,0,5,2]]}],"e":[{},[0,0,0,0,0,0,2]],"o":[{"d":[{"r":[{"z":[{"u":[{"t":[{},[0,0,0,0,0,0,2,1]]}]}]}]}]}]},[0,0,0,0,2,3]]}]}]}],"v":[{},[0,0,8]],"w":[{},[0,0,8]],"x":[{},[0,0,8]],"z":[{"e":[{"ś":[{"ć":[{"s":[{"e":[{"t":[{},[0,0,0,0,0,0,0,2,3]]}]}]},[0,0,0,2,2,3]],"c":[{"i":[{"o":[{"ś":[{},[0,0,0,0,0,0,0,3,2]]}]}]}]}],"s":[{},[0,0,0,2,3]]}]},[0,0,8]]},[0,8]],"t":[{"ć":[{},[0,0,8]],"ł":[{},[0,0,8]],"ń":[{},[0,0,8]],"ś":[{},[0,0,8]],"ź":[{},[0,0,8]],"ż":[{},[0,0,8]],"a":[{"o":[{},[0,0,2,3]],"r":[{"z":[{"a":[{"n":[{},[0,0,2,7]]}]}]}]}],"b":[{},[0,0,8]],"c":[{"h":[{},[0,0,0,8]]},[0,0,8]],"d":[{},[0,0,8]],"e":[{"o":[{},[0,0,2,3]]}],"f":[{},[0,0,8]],"g":[{},[0,0,8]],"h":[{},[0,0,8]],"j":[{},[0,0,8]],"k":[{},[0,0,8]],"l":[{},[0,0,8]],"m":[{},[0,0,8]],"n":[{},[0,0,8]],"o":[{"a":[{},[0,0,0,3]]}],"p":[{},[0,0,8]],"r":[{"ó":[{"j":[{"ą":[{},[0,0,0,3,4]],"ę":[{},[0,0,0,3,4]],"e":[{"c":[{"z":[{},[0,0,0,3,4]]}]}]},[0,0,0,2,3]]}],"a":[{"n":[{"s":[{"e":[{"u":[{},[0,0,0,0,4,5]]},[0,0,0,0,3,4]],"i":[{"e":[{},[0,0,0,0,3,4]]}],"y":[{},[0,0,0,0,3,4]],"z":[{},[0,0,0,0,3]],"a":[{},[0,0,0,0,0,0,2]],"o":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,2,3]]}]}],"z":[{"e":[{"c":[{"h":[{"s":[{"e":[{"t":[{},[0,0,0,0,0,0,0,0,2,3]]}]}]},[0,0,0,0,2,0,3]]}]}]},[0,0,0,8]]},[0,0,8]],"s":[{},[0,0,8]],"t":[{},[0,0,8]],"v":[{},[0,0,8]],"w":[{},[0,0,8]],"x":[{},[0,0,8]],"y":[{"s":[{"i":[{"ą":[{"c":[{"a":[{},[0,0,0,0,0,3,4]],"e":[{},[0,0,0,0,0,3,4]],"z":[{"ł":[{},[0,0,0,0,0,4,5]]},[0,0,0,0,0,3]]},[0,0,0,0,0,2,3]]}]}]}]}],"z":[{},[0,0,8]]},[0,8]],"u":[{"ć":[{},[0,0,2]],"ś":[{},[0,0,2]],"ł":[{},[0,3,2]],"ź":[{},[0,3,2]],"ż":[{},[0,3,2]],"b":[{"e":[{"z":[{"w":[{},[0,0,0,0,0,2]]},[0,0,0,2,3]]}],"r":[{},[0,0,0,2]]},[0,3,2]],"c":[{"h":[{},[0,0,0,2]],"z":[{},[0,0,0,2]]},[0,3,2]],"d":[{"k":[{},[0,4,3]],"ź":[{},[0,0,0,2]],"ż":[{},[0,0,0,2]],"z":[{},[0,0,0,2]]},[0,3,2]],"f":[{"n":[{},[0,4,3]]},[0,3,2]],"g":[{},[0,3,2]],"h":[{},[0,3,2]],"k":[{"l":[{"e":[{"j":[{},[0,4,3]]}]}],"r":[{},[0,0,0,2]]},[0,3,2]],"l":[{"s":[{},[0,4,3]],"t":[{},[0,4,3]]},[0,3,2]],"m":[{"b":[{"r":[{},[0,4,3]]}],"k":[{},[0,0,0,2]]},[0,3,2]],"n":[{"c":[{},[0,4,3]],"d":[{},[0,4,3]]},[0,3,2]],"p":[{"p":[{"s":[{},[0,4,3,2]]}],"c":[{"h":[{},[0,0,0,0,2]]}],"o":[{"d":[{"a":[{},[0,0,0,3]],"ź":[{},[0,0,0,0,0,2]],"ż":[{},[0,0,0,0,0,2]],"d":[{},[0,0,0,0,3]]},[0,0,0,2,2]],"ć":[{},[0,0,0,3,2]],"ł":[{},[0,0,0,3,2]],"ś":[{},[0,0,0,3,2]],"ź":[{},[0,0,0,3,2]],"ż":[{},[0,0,0,3,2]],"b":[{},[0,0,0,3,2]],"c":[{"h":[{},[0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"f":[{},[0,0,0,3,2]],"g":[{},[0,0,0,3,2]],"h":[{},[0,0,0,3,2]],"k":[{},[0,0,0,3,2]],"l":[{},[0,0,0,3,2]],"m":[{},[0,0,0,3,2]],"p":[{},[0,0,0,3,2]],"r":[{"z":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"s":[{"z":[{},[0,0,0,0,0,2]]},[0,0,0,3,2]],"t":[{},[0,0,0,3,2]],"w":[{},[0,0,0,3,2]],"z":[{},[0,0,0,3,2]]}]},[0,3,2]],"r":[{"s":[{},[0,4,3]],"ż":[{},[0,0,0,2]],"o":[{"z":[{},[0,0,0,2,3]]}],"z":[{},[0,0,0,2]]},[0,3,2]],"s":[{"t":[{"n":[{},[0,4,0,3]],"c":[{},[0,4]],"k":[{},[0,4]]}],"c":[{"h":[{},[0,0,0,0,2]]}],"z":[{},[0,0,0,2]]},[0,3,2]],"t":[{"k":[{},[0,0,0,2]],"r":[{},[0,0,0,2]]},[0,3,2]],"w":[{},[0,3,2]],"z":[{"b":[{"e":[{},[0,4,3]]}],"e":[{"w":[{},[0,0,0,3,2]]}]},[0,3,2]]}],"v":[{"ć":[{},[0,0,8]],"ł":[{},[0,0,8]],"ń":[{},[0,0,8]],"ś":[{},[0,0,8]],"ź":[{},[0,0,8]],"ż":[{},[0,0,8]],"b":[{},[0,0,8]],"c":[{},[0,0,8]],"d":[{},[0,0,8]],"f":[{},[0,0,8]],"g":[{},[0,0,8]],"h":[{},[0,0,8]],"j":[{},[0,0,8]],"k":[{},[0,0,8]],"l":[{},[0,0,8]],"m":[{},[0,0,8]],"n":[{},[0,0,8]],"p":[{},[0,0,8]],"r":[{},[0,0,8]],"s":[{},[0,0,8]],"t":[{},[0,0,8]],"v":[{},[0,0,8]],"w":[{},[0,0,8]],"x":[{},[0,0,8]],"z":[{},[0,0,8]]},[0,8]],"w":[{"ć":[{},[0,0,8]],"ł":[{},[0,0,8]],"ń":[{},[0,0,8]],"ś":[{},[0,0,8]],"ź":[{},[0,0,8]],"ż":[{},[0,0,8]],"b":[{},[0,0,8]],"c":[{},[0,0,8]],"d":[{},[0,0,8]],"e":[{"ć":[{},[0,0,3,2]],"ł":[{"n":[{},[0,0,4,3]]},[0,0,3,2]],"ś":[{},[0,0,3,2]],"ż":[{},[0,0,3,2]],"b":[{},[0,0,3,2]],"c":[{"h":[{},[0,0,0,0,2]],"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"d":[{"ź":[{},[0,0,0,0,2]],"ż":[{},[0,0,0,0,2]],"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"f":[{},[0,0,3,2]],"g":[{},[0,0,3,2]],"h":[{},[0,0,3,2]],"k":[{"t":[{},[0,0,4,3]]},[0,0,3,2]],"l":[{"w":[{},[0,0,4,3]]},[0,0,3,2]],"m":[{"k":[{},[0,0,0,0,2]]},[0,0,3,2]],"n":[{"d":[{},[0,0,4,3]],"t":[{},[0,0,4,3]]},[0,0,3,2]],"p":[{"c":[{"h":[{},[0,0,0,0,0,2]]}]},[0,0,3,2]],"r":[{"b":[{},[0,0,4,3]],"d":[{},[0,0,4,3]],"n":[{},[0,0,4,3]],"s":[{},[0,0,4,3]],"t":[{},[0,0,4,3]],"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"s":[{"p":[{"r":[{"z":[{},[0,0,4,3]]}]}],"t":[{"c":[{"h":[{},[0,0,4,3,0,0,2]]}]}],"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"t":[{"k":[{},[0,0,0,0,2]]},[0,0,3,2]],"w":[{"n":[{"ą":[{"t":[{"r":[{"z":[{},[0,0,0,0,0,2,0,0,3]]}]}]}]}]},[0,0,3,2]],"z":[{"b":[{"r":[{},[0,0,4,3]]}],"g":[{"ł":[{},[0,0,4,3]]}]},[0,0,3,2]]}],"f":[{},[0,0,8]],"g":[{},[0,0,8]],"h":[{},[0,0,8]],"i":[{"e":[{"l":[{"o":[{"ś":[{},[0,0,0,0,0,3,2]],"d":[{},[0,0,0,0,0,3,2]],"k":[{},[0,0,0,0,0,3,2]]}],"u":[{"s":[{"e":[{"t":[{},[0,0,0,0,0,0,0,2,3]]}]}]}]}]}],"l":[{"c":[{"z":[{"o":[{"m":[{},[0,0,0,0,0,0,3,2]]}]}]}]}]}],"j":[{},[0,0,8]],"k":[{},[0,0,8]],"l":[{},[0,0,8]],"m":[{},[0,0,8]],"n":[{"i":[{"e":[{"b":[{"o":[{"w":[{},[0,0,0,0,0,0,3,2]]}]}]}]}]},[0,0,8]],"o":[{"d":[{"o":[{"w":[{},[0,0,0,0,3,2]]}]}]}],"p":[{},[0,0,8]],"r":[{},[0,0,8]],"s":[{"p":[{"ó":[{"ł":[{"i":[{},[0,0,0,0,0,0,2]],"o":[{"b":[{"w":[{},[0,0,0,0,0,0,2,3]]}]}],"u":[{},[0,0,0,0,0,0,2]],"w":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,2,3]]}]}],"z":[{"e":[{"c":[{"h":[{"o":[{},[0,0,0,0,0,0,0,2]],"w":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,2,0,3]]}]}]}]},[0,0,8]],"t":[{},[0,0,8]],"v":[{},[0,0,8]],"w":[{},[0,0,8]],"x":[{},[0,0,8]],"y":[{"ć":[{},[0,0,3,2]],"ł":[{},[0,0,3,2]],"ś":[{},[0,0,3,2]],"ź":[{},[0,0,3,2]],"ż":[{"s":[{"z":[{},[0,0,4,3]]}]},[0,0,3,2]],"b":[{"r":[{"z":[{},[0,0,0,0,0,2]]},[0,0,0,0,2]]},[0,0,3,2]],"c":[{"z":[{"h":[{"a":[{},[0,0,4,0,3]]}]},[0,0,0,0,2]],"h":[{},[0,0,0,0,2]]},[0,0,3,2]],"d":[{"ź":[{},[0,0,0,0,2]],"ż":[{},[0,0,0,0,2]],"r":[{},[0,0,0,0,2]],"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"f":[{},[0,0,3,2]],"g":[{"r":[{"z":[{},[0,0,0,0,0,2]]}]},[0,0,3,2]],"h":[{},[0,0,3,2]],"k":[{"l":[{},[0,0,0,0,2]],"r":[{"z":[{},[0,0,0,0,0,2]]},[0,0,0,0,2]]},[0,0,3,2]],"l":[{},[0,0,3,2]],"m":[{"k":[{},[0,0,0,0,2]]},[0,0,3,2]],"o":[{"d":[{"r":[{},[0,0,3,2,3]]}]}],"p":[{"c":[{"h":[{},[0,0,0,0,0,2]]}],"r":[{"z":[{},[0,0,0,0,0,2]]}]},[0,0,3,2]],"r":[{"ż":[{},[0,0,0,0,2]],"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"s":[{"c":[{"h":[{},[0,0,0,0,0,2]]}],"m":[{},[0,0,0,0,2]],"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"t":[{"c":[{"h":[{},[0,0,0,0,0,2]]}],"k":[{},[0,0,0,0,2]],"r":[{},[0,0,0,0,2]]},[0,0,3,2]],"w":[{},[0,0,3,2]],"z":[{},[0,0,3,2]],"e":[{"k":[{"s":[{},[0,0,0,2,2,3]]}]}],"i":[{"z":[{"o":[{},[0,0,0,2]]}]}]}],"z":[{},[0,0,8]]},[0,8]],"x":[{"ć":[{},[0,0,8]],"ł":[{},[0,0,8]],"ń":[{},[0,0,8]],"ś":[{},[0,0,8]],"ź":[{},[0,0,8]],"ż":[{},[0,0,8]],"b":[{},[0,0,8]],"c":[{},[0,0,8]],"d":[{},[0,0,8]],"f":[{},[0,0,8]],"g":[{},[0,0,8]],"h":[{},[0,0,8]],"j":[{},[0,0,8]],"k":[{},[0,0,8]],"l":[{},[0,0,8]],"m":[{},[0,0,8]],"n":[{},[0,0,8]],"p":[{},[0,0,8]],"r":[{},[0,0,8]],"s":[{},[0,0,8]],"t":[{},[0,0,8]],"v":[{},[0,0,8]],"w":[{},[0,0,8]],"x":[{},[0,0,8]],"z":[{},[0,0,8]]},[0,8]],"z":[{"ć":[{},[0,0,8]],"ł":[{"o":[{"w":[{},[0,0,0,3,2]]}]},[0,0,8]],"ń":[{},[0,0,8]],"ś":[{},[0,0,8]],"ź":[{},[0,0,8]],"ż":[{},[0,0,8]],"a":[{"ć":[{},[0,0,3,2]],"ł":[{},[0,0,3,2]],"ś":[{},[0,0,3,2]],"ź":[{},[0,0,3,2]],"ż":[{},[0,0,3,2]],"b":[{"r":[{"z":[{},[0,0,0,0,0,2]]},[0,0,0,0,2]]},[0,0,3,2]],"c":[{"h":[{},[0,0,0,0,2]],"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"d":[{"ź":[{},[0,0,0,0,2]],"ż":[{},[0,0,0,0,2]],"o":[{"ś":[{"ć":[{"u":[{},[0,0,0,0,0,0,0,4]]},[0,0,0,0,2,0,3]]}]}],"r":[{},[0,0,0,0,2]],"y":[{"s":[{"p":[{"o":[{},[0,0,0,0,2,3]]}]}]}],"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"f":[{},[0,0,3,2]],"g":[{"r":[{"z":[{},[0,0,0,0,0,2]]}]},[0,0,3,2]],"h":[{},[0,0,3,2]],"k":[{"t":[{},[0,0,4,3]],"l":[{},[0,0,0,0,2]],"r":[{"z":[{},[0,0,0,0,0,2]]},[0,0,0,0,2]]},[0,0,3,2]],"l":[{"g":[{},[0,0,4,3]],"k":[{},[0,0,4,3]],"t":[{},[0,0,4,3]]},[0,0,3,2]],"m":[{"k":[{"n":[{},[0,0,5,4,2]]},[0,0,4,3]]},[0,0,3,2]],"o":[{"b":[{"r":[{},[0,0,3,2,3]],"s":[{},[0,0,3,2,3]]}]}],"p":[{},[0,0,3,2]],"r":[{"c":[{"h":[{},[0,0,4,3]]}],"ż":[{},[0,0,0,0,2]],"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"s":[{"c":[{"h":[{},[0,0,0,0,0,2]]}],"m":[{},[0,0,0,0,2]],"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"t":[{"k":[{},[0,0,0,0,2]],"r":[{},[0,0,0,0,2]]},[0,0,3,2]],"u":[{"t":[{"o":[{},[0,0,4]]}]},[0,0,3,2]],"w":[{},[0,0,3,2]],"z":[{},[0,0,3,2]],"i":[{"n":[{"i":[{"c":[{},[0,0,0,0,4]]}]},[0,0,0,2,3]],"z":[{"o":[{},[0,0,0,2]]}]}],"n":[{"i":[{"e":[{"d":[{},[0,0,0,0,0,3,2]]}]}]}]}],"b":[{},[0,0,8]],"c":[{},[0,0,8]],"d":[{"e":[{"z":[{"a":[{"w":[{"u":[{},[0,0,0,3,4]]}]}],"e":[{"l":[{},[0,0,0,3,4]],"r":[{},[0,0,0,3,4]]}],"y":[{},[0,0,0,3,4]]},[0,0,0,2,3]]}],"y":[{"s":[{"k":[{"o":[{"n":[{"t":[{},[0,0,0,2,3]]}]}],"r":[{"e":[{"d":[{},[0,0,0,2,3]]}]}],"w":[{"a":[{"l":[{},[0,0,0,2,3]]}]}]}]}]}]},[0,0,8]],"e":[{"ć":[{},[0,0,3,2]],"ł":[{},[0,0,3,2]],"ś":[{},[0,0,3,2]],"ź":[{},[0,0,3,2]],"ż":[{},[0,0,3,2]],"b":[{},[0,0,3,2]],"c":[{"h":[{},[0,0,0,0,2]],"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"d":[{"ź":[{},[0,0,0,0,2]],"ż":[{},[0,0,0,0,2]],"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"f":[{},[0,0,3,2]],"g":[{},[0,0,3,2]],"h":[{},[0,0,3,2]],"k":[{"l":[{},[0,0,0,0,2]]},[0,0,3,2]],"l":[{},[0,0,3,2]],"m":[{},[0,0,3,2]],"p":[{"c":[{"h":[{},[0,0,0,0,0,2]]}]},[0,0,3,2]],"r":[{"k":[{},[0,0,4,3]],"ż":[{},[0,0,0,0,2]],"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"s":[{"c":[{"h":[{},[0,0,0,0,0,2]]}],"m":[{},[0,0,0,0,4]],"z":[{},[0,0,0,0,2]]},[0,0,3,2]],"t":[{"k":[{},[0,0,3,0,2]],"e":[{"m":[{"e":[{"s":[{},[0,0,4,3,2,1,2]]}],"p":[{},[0,0,4,3]]}],"s":[{"e":[{"l":[{},[0,0,4,3,2,1,2]]}]}]}],"h":[{"a":[{"p":[{},[0,0,4,3]]}]}]},[0,0,3,2]],"w":[{},[0,0,3,2]],"z":[{},[0,0,3,2]]}],"f":[{},[0,0,8]],"g":[{},[0,0,8]],"h":[{},[0,0,8]],"i":[{"m":[{"n":[{"o":[{"k":[{"r":[{},[0,0,0,0,0,3,0,2]]}]}]}]}]}],"j":[{},[0,0,8]],"k":[{},[0,0,8]],"l":[{},[0,0,8]],"m":[{"a":[{"r":[{"t":[{"w":[{"y":[{"c":[{"h":[{"w":[{},[0,0,0,0,0,0,0,0,0,0,2]]},[0,0,0,0,0,0,0,2,0,3]]}]}]}]}]}]}]},[0,0,8]],"n":[{"i":[{"e":[{"ć":[{},[0,0,0,0,3,2]],"ł":[{},[0,0,0,0,3,2]],"ń":[{},[0,0,0,0,3,2]],"ś":[{},[0,0,0,0,3,2]],"ź":[{},[0,0,0,0,3,2]],"ż":[{},[0,0,0,0,3,2]],"b":[{},[0,0,0,0,3,2]],"c":[{"h":[{},[0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"d":[{"ź":[{},[0,0,0,0,4,0,3]],"ż":[{},[0,0,0,0,0,0,2]],"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"f":[{},[0,0,0,0,3,2]],"g":[{},[0,0,0,0,3,2]],"h":[{},[0,0,0,0,3,2]],"k":[{},[0,0,0,0,3,2]],"l":[{},[0,0,0,0,3,2]],"m":[{"c":[{},[0,0,0,0,4,3]]},[0,0,0,0,3,2]],"n":[{},[0,0,0,0,3,2]],"p":[{},[0,0,0,0,3,2]],"r":[{"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"s":[{"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,3,2]],"t":[{},[0,0,0,0,3,2]],"w":[{},[0,0,0,0,3,2]],"z":[{},[0,0,0,0,3,2]]}]}]},[0,0,8]],"o":[{"o":[{},[0,0,2,3]]}],"p":[{},[0,0,8]],"r":[{"o":[{"z":[{"u":[{},[0,0,0,3,4]]},[0,0,0,2,3]]}]},[0,0,8]],"s":[{},[0,0,8]],"t":[{},[0,0,8]],"v":[{},[0,0,8]],"w":[{},[0,0,8]],"x":[{},[0,0,8]],"z":[{},[0,0,8]]},[0,8]]}],"ą":[{},[0,1]],"ę":[{},[0,1]],"ó":[{"w":[{"c":[{"z":[{},[0,4,3]]}]}]},[0,1]],"ś":[{"c":[{"i":[{},[1,2]],".":[{},[8]]},[0,1]],"ć":[{"c":[{},[2]],".":[{},[8]]}],"ś":[{".":[{},[8]]},[2,1]],"ź":[{".":[{},[8]]},[2,1]],"ż":[{".":[{},[8]]},[2,1]],"b":[{".":[{},[8]]},[2,1]],"d":[{".":[{},[8]]},[2,1]],"f":[{".":[{},[8]]},[2,1]],"g":[{".":[{},[8]]},[2,1]],"k":[{".":[{},[8]]},[2,1]],"p":[{".":[{},[8]]},[2,1]],"s":[{".":[{},[8]]},[2,1]],"t":[{".":[{},[8]]},[2,1]],"z":[{".":[{},[8]]},[2,1]],"l":[{"m":[{},[2]],"n":[{},[2]],".":[{},[8]]}],".":[{},[8]],"ł":[{".":[{},[8]]}],"ń":[{".":[{},[8]]}],"h":[{".":[{},[8]]}],"j":[{".":[{},[8]]}],"m":[{".":[{},[8]]}],"n":[{".":[{},[8]]}],"r":[{".":[{},[8]]}],"v":[{".":[{},[8]]}],"w":[{".":[{},[8]]}],"x":[{".":[{},[8]]}]}],"ź":[{"d":[{"ź":[{},[0,2]],".":[{},[8]]},[2,1]],"ć":[{".":[{},[8]]},[2,1]],"ś":[{".":[{},[8]]},[2,1]],"ż":[{".":[{},[8]]},[2,1]],"b":[{".":[{},[8]]},[2,1]],"c":[{".":[{},[8]]},[2,1]],"f":[{".":[{},[8]]},[2,1]],"g":[{".":[{},[8]]},[2,1]],"k":[{".":[{},[8]]},[2,1]],"l":[{".":[{},[8]]},[2,1]],"m":[{".":[{},[8]]},[2,1]],"n":[{".":[{},[8]]},[2,1]],"p":[{".":[{},[8]]},[2,1]],"s":[{".":[{},[8]]},[2,1]],"t":[{".":[{},[8]]},[2,1]],"w":[{".":[{},[8]]},[2,1]],"z":[{".":[{},[8]]},[2,1]],"ź":[{".":[{},[8]]},[4,3]],".":[{},[8]],"ł":[{".":[{},[8]]}],"ń":[{".":[{},[8]]}],"h":[{".":[{},[8]]}],"j":[{".":[{},[8]]}],"r":[{".":[{},[8]]}],"v":[{".":[{},[8]]}],"x":[{".":[{},[8]]}]}],"ć":[{"ń":[{".":[{},[8]]},[2,1]],"ś":[{".":[{},[8]]},[2,1]],"ź":[{".":[{},[8]]},[2,1]],"ż":[{".":[{},[8]]},[2,1]],"b":[{".":[{},[8]]},[2,1]],"c":[{".":[{},[8]]},[2,1]],"d":[{".":[{},[8]]},[2,1]],"f":[{".":[{},[8]]},[2,1]],"g":[{".":[{},[8]]},[2,1]],"k":[{".":[{},[8]]},[2,1]],"m":[{".":[{},[8]]},[2,1]],"n":[{".":[{},[8]]},[2,1]],"p":[{".":[{},[8]]},[2,1]],"s":[{".":[{},[8]]},[2,1]],"t":[{".":[{},[8]]},[2,1]],"z":[{".":[{},[8]]},[2,1]],"ć":[{".":[{},[8]]},[4,3]],".":[{},[8]],"ł":[{".":[{},[8]]}],"h":[{".":[{},[8]]}],"j":[{".":[{},[8]]}],"l":[{".":[{},[8]]}],"r":[{".":[{},[8]]}],"v":[{".":[{},[8]]}],"w":[{".":[{},[8]]}],"x":[{".":[{},[8]]}]}],"ł":[{"ć":[{".":[{},[8]]},[2,1]],"ń":[{".":[{},[8]]},[2,1]],"ś":[{".":[{},[8]]},[2,1]],"ź":[{".":[{},[8]]},[2,1]],"ż":[{".":[{},[8]]},[2,1]],"b":[{".":[{},[8]]},[2,1]],"c":[{".":[{},[8]]},[2,1]],"d":[{".":[{},[8]]},[2,1]],"f":[{".":[{},[8]]},[2,1]],"g":[{".":[{},[8]]},[2,1]],"h":[{".":[{},[8]]},[2,1]],"j":[{".":[{},[8]]},[2,1]],"k":[{".":[{},[8]]},[2,1]],"l":[{".":[{},[8]]},[2,1]],"m":[{".":[{},[8]]},[2,1]],"n":[{".":[{},[8]]},[2,1]],"p":[{".":[{},[8]]},[2,1]],"r":[{".":[{},[8]]},[2,1]],"s":[{".":[{},[8]]},[2,1]],"t":[{".":[{},[8]]},[2,1]],"w":[{".":[{},[8]]},[2,1]],"z":[{".":[{},[8]]},[2,1]],"ł":[{".":[{},[8]]},[4,3]],".":[{},[8]],"v":[{".":[{},[8]]}],"x":[{".":[{},[8]]}]}],"ń":[{"ć":[{".":[{},[8]]},[2,1]],"ł":[{".":[{},[8]]},[2,1]],"ń":[{".":[{},[8]]},[2,1]],"ś":[{".":[{},[8]]},[2,1]],"ź":[{".":[{},[8]]},[2,1]],"ż":[{".":[{},[8]]},[2,1]],"b":[{".":[{},[8]]},[2,1]],"c":[{".":[{},[8]]},[2,1]],"d":[{".":[{},[8]]},[2,1]],"f":[{".":[{},[8]]},[2,1]],"g":[{".":[{},[8]]},[2,1]],"h":[{".":[{},[8]]},[2,1]],"j":[{".":[{},[8]]},[2,1]],"k":[{".":[{},[8]]},[2,1]],"l":[{".":[{},[8]]},[2,1]],"m":[{".":[{},[8]]},[2,1]],"n":[{".":[{},[8]]},[2,1]],"p":[{".":[{},[8]]},[2,1]],"r":[{".":[{},[8]]},[2,1]],"s":[{".":[{},[8]]},[2,1]],"t":[{".":[{},[8]]},[2,1]],"w":[{".":[{},[8]]},[2,1]],"z":[{".":[{},[8]]},[2,1]],".":[{},[8]],"v":[{".":[{},[8]]}],"x":[{".":[{},[8]]}]}],"ż":[{"ć":[{".":[{},[8]]},[2,1]],"ł":[{".":[{},[8]]},[2,1]],"ń":[{".":[{},[8]]},[2,1]],"ś":[{".":[{},[8]]},[2,1]],"ź":[{".":[{},[8]]},[2,1]],"b":[{".":[{},[8]]},[2,1]],"c":[{".":[{},[8]]},[2,1]],"d":[{".":[{},[8]]},[2,1]],"f":[{".":[{},[8]]},[2,1]],"g":[{".":[{},[8]]},[2,1]],"j":[{".":[{},[8]]},[2,1]],"k":[{".":[{},[8]]},[2,1]],"l":[{".":[{},[8]]},[2,1]],"m":[{".":[{},[8]]},[2,1]],"n":[{".":[{},[8]]},[2,1]],"p":[{".":[{},[8]]},[2,1]],"r":[{".":[{},[8]]},[2,1]],"s":[{".":[{},[8]]},[2,1]],"t":[{".":[{},[8]]},[2,1]],"w":[{".":[{},[8]]},[2,1]],"z":[{".":[{},[8]]},[2,1]],"ż":[{".":[{},[8]]},[4,3]],".":[{},[8]],"h":[{".":[{},[8]]}],"v":[{".":[{},[8]]}],"x":[{".":[{},[8]]}]}],"b":[{"ł":[{"k":[{},[2]],".":[{},[8]]}],"ć":[{".":[{},[8]]},[2,1]],"ń":[{".":[{},[8]]},[2,1]],"ś":[{".":[{},[8]]},[2,1]],"ź":[{".":[{},[8]]},[2,1]],"ż":[{".":[{},[8]]},[2,1]],"c":[{".":[{},[8]]},[2,1]],"d":[{".":[{},[8]]},[2,1]],"f":[{".":[{},[8]]},[2,1]],"g":[{".":[{},[8]]},[2,1]],"k":[{".":[{},[8]]},[2,1]],"m":[{".":[{},[8]]},[2,1]],"n":[{".":[{},[8]]},[2,1]],"p":[{".":[{},[8]]},[2,1]],"s":[{".":[{},[8]]},[2,1]],"t":[{".":[{},[8]]},[2,1]],"z":[{".":[{},[8]]},[2,1]],"r":[{"n":[{},[2]],".":[{},[8]],"z":[{".":[{},[8]]}],"d":[{},[0,0,2]],"o":[{"a":[{"d":[{"w":[{"a":[{"y":[{},[0,0,0,2,2,3]]}]}]}]}]}]}],"b":[{".":[{},[8]]},[4,3]],".":[{},[8]],"h":[{".":[{},[8]]}],"j":[{".":[{},[8]]}],"l":[{".":[{},[8]],"o":[{"k":[{"h":[{"a":[{"u":[{"z":[{},[0,0,0,2,1]]}]}]}]}]}]}],"v":[{".":[{},[8]]}],"w":[{".":[{},[8]]}],"x":[{".":[{},[8]]}],"e":[{"e":[{"t":[{"h":[{},[0,0,2]]}]}],"f":[{"s":[{"z":[{},[0,0,2,3,0,2]]}]}],"k":[{"h":[{"e":[{"n":[{"d":[{},[0,0,2,1]]}]}]}]}]}],"i":[{"n":[{"o":[{"k":[{"u":[{},[0,0,2,3,2]]}]}]}],"s":[{"z":[{"k":[{"o":[{"p":[{},[0,0,2,0,3]]}]}]}]}],"z":[{"n":[{"e":[{"s":[{"m":[{},[0,0,2,3,0,2,3]]},[0,0,2,3]]}]}]}],"r":[{"m":[{"i":[{"n":[{"g":[{"h":[{"a":[{"m":[{},[0,0,0,0,0,0,2,1]]}]}]}]}]}]}]}]}],"o":[{"s":[{"m":[{"a":[{},[0,0,2,3]]}]}]}],"u":[{"s":[{"z":[{"m":[{"e":[{},[0,0,2,0,3]]}]}],"i":[{"n":[{"e":[{"s":[{"s":[{"m":[{},[0,0,0,0,0,0,2,0,3]]},[0,0,0,0,0,0,0,2]]}]}]}]}]}],"k":[{"s":[{"z":[{"p":[{"a":[{"n":[{},[0,0,0,2,0,3]]}]}]}]}]}]}]}],"c":[{"ć":[{".":[{},[8]]},[2,1]],"ń":[{".":[{},[8]]},[2,1]],"ś":[{".":[{},[8]]},[2,1]],"ź":[{".":[{},[8]]},[2,1]],"ż":[{".":[{},[8]]},[2,1]],"b":[{".":[{},[8]]},[2,1]],"d":[{".":[{},[8]]},[2,1]],"f":[{".":[{},[8]]},[2,1]],"g":[{".":[{},[8]]},[2,1]],"k":[{".":[{},[8]]},[2,1]],"l":[{".":[{},[8]]},[2,1]],"m":[{".":[{},[8]]},[2,1]],"n":[{".":[{},[8]]},[2,1]],"p":[{".":[{},[8]]},[2,1]],"s":[{".":[{},[8]]},[2,1]],"t":[{".":[{},[8]]},[2,1]],"h":[{"ć":[{},[2,0,1]],"ń":[{},[2,0,1]],"ś":[{},[2,0,1]],"ź":[{},[2,0,1]],"ż":[{},[2,0,1]],"b":[{},[2,0,1]],"c":[{},[2,0,1]],"d":[{},[2,0,1]],"f":[{},[2,0,1]],"g":[{},[2,0,1]],"k":[{},[2,0,1]],"m":[{},[2,0,1]],"n":[{},[2,0,1]],"p":[{},[2,0,1]],"s":[{},[2,0,1]],"t":[{},[2,0,1]],"z":[{},[2,0,1]],".":[{},[8]],"ł":[{".":[{},[8]]},[0,0,2]],"r":[{"z":[{".":[{},[8]]}]},[0,0,2]],"w":[{".":[{},[8]]},[0,0,2]],"j":[{},[0,0,2]],"l":[{},[0,0,2]],"u":[{"s":[{"t":[{},[0,0,0,0,1]]}]}]},[0,4]],"z":[{"ć":[{},[2,0,1]],"ń":[{},[2,0,1]],"ś":[{},[2,0,1]],"ź":[{},[2,0,1]],"ż":[{},[2,0,1]],"b":[{},[2,0,1]],"c":[{},[2,0,1]],"d":[{},[2,0,1]],"f":[{},[2,0,1]],"g":[{},[2,0,1]],"k":[{},[2,0,1]],"l":[{},[2,0,1]],"m":[{},[2,0,1]],"n":[{},[2,0,1]],"p":[{},[2,0,1]],"s":[{},[2,0,1]],"t":[{".":[{},[8]]},[2,0,1]],"z":[{},[2,0,1]],".":[{},[8]]},[0,4]],"c":[{".":[{},[8]]},[4,3]],".":[{},[8]],"ł":[{".":[{},[8]]}],"j":[{".":[{},[8]]}],"r":[{".":[{},[8]]}],"v":[{".":[{},[8]]}],"w":[{".":[{},[8]]}],"x":[{".":[{},[8]]}],"a":[{"l":[{"d":[{"w":[{"e":[{"l":[{"l":[{},[0,0,0,2,1]]}]}]}]}]}]}],"u":[{"r":[{"z":[{"o":[{"n":[{},[0,0,2,7]]}]}]}]}]}],"d":[{"ł":[{"b":[{},[2]],"s":[{"z":[{},[2]]}],".":[{},[8]]}],"ź":[{"ć":[{},[2,0,1]],"ń":[{},[2,0,1]],"ś":[{},[2,0,1]],"ź":[{},[2,0,1]],"ż":[{},[2,0,1]],"b":[{},[2,0,1]],"c":[{},[2,0,1]],"d":[{},[2,0,1]],"f":[{},[2,0,1]],"g":[{},[2,0,1]],"k":[{},[2,0,1]],"m":[{},[2,0,1]],"n":[{},[2,0,1]],"p":[{},[2,0,1]],"s":[{},[2,0,1]],"t":[{},[2,0,1]],"z":[{},[2,0,1]],".":[{},[8]]},[0,4]],"ż":[{"ć":[{},[2,0,1]],"ń":[{},[2,0,1]],"ś":[{},[2,0,1]],"ź":[{},[2,0,1]],"ż":[{},[2,0,1]],"b":[{},[2,0,1]],"c":[{},[2,0,1]],"d":[{},[2,0,1]],"f":[{},[2,0,1]],"g":[{},[2,0,1]],"k":[{},[2,0,1]],"m":[{},[2,0,1]],"n":[{},[2,0,1]],"p":[{},[2,0,1]],"s":[{},[2,0,1]],"t":[{},[2,0,1]],"z":[{},[2,0,1]],".":[{},[8]],"ł":[{},[0,0,2]],"j":[{},[0,0,2]],"l":[{},[0,0,2]],"r":[{},[0,0,2]],"w":[{},[0,0,2]],"e":[{"z":[{"b":[{},[0,0,0,4,3]],"m":[{},[0,0,0,4,3]]}]}]},[0,4]],"ć":[{".":[{},[8]]},[2,1]],"ń":[{".":[{},[8]]},[2,1]],"ś":[{".":[{},[8]]},[2,1]],"b":[{".":[{},[8]]},[2,1]],"c":[{".":[{},[8]]},[2,1]],"f":[{".":[{},[8]]},[2,1]],"g":[{".":[{},[8]]},[2,1]],"k":[{".":[{},[8]]},[2,1]],"m":[{".":[{},[8]]},[2,1]],"n":[{"i":[{"o":[{"w":[{},[3,2]]}]}],".":[{},[8]]},[2,1]],"p":[{".":[{},[8]]},[2,1]],"s":[{".":[{},[8]]},[2,1]],"t":[{".":[{},[8]]},[2,1]],"r":[{"n":[{},[2]],".":[{},[8]],"z":[{".":[{},[8]],"w":[{},[0,0,0,2]]}]}],"z":[{"ć":[{},[2,0,1]],"ń":[{},[2,0,1]],"ś":[{},[2,0,1]],"ź":[{},[2,0,1]],"ż":[{},[2,0,1]],"b":[{},[2,0,1]],"c":[{},[2,0,1]],"d":[{},[2,0,1]],"f":[{},[2,0,1]],"g":[{},[2,0,1]],"k":[{},[2,0,1]],"l":[{},[2,0,1]],"m":[{},[2,0,1]],"n":[{},[2,0,1]],"p":[{},[2,0,1]],"s":[{},[2,0,1]],"t":[{},[2,0,1]],"z":[{},[2,0,1]],".":[{},[8]]},[0,4]],"d":[{".":[{},[8]]},[4,3]],".":[{},[8]],"h":[{".":[{},[8]]}],"j":[{".":[{},[8]]}],"l":[{".":[{},[8]]}],"v":[{".":[{},[8]]}],"w":[{".":[{},[8]]}],"x":[{".":[{},[8]]}],"e":[{"u":[{"t":[{"s":[{"c":[{"h":[{"l":[{"a":[{"n":[{"d":[{},[0,0,0,0,4,0,0,3]]}]}]}]}]}]}]}]}]}],"u":[{"s":[{"z":[{"p":[{"a":[{"s":[{"t":[{},[0,0,2,0,3]]}]}]}]}]}]}]}],"f":[{"c":[{".":[{},[8]]},[2,1]],"k":[{".":[{},[8]]},[2,1]],"m":[{".":[{},[8]]},[2,1]],"n":[{".":[{},[8]]},[2,1]],"f":[{".":[{},[8]]},[4,3]],".":[{},[8]],"ć":[{".":[{},[8]]}],"ł":[{".":[{},[8]]}],"ń":[{".":[{},[8]]}],"ś":[{".":[{},[8]]}],"ź":[{".":[{},[8]]}],"ż":[{".":[{},[8]]}],"b":[{".":[{},[8]]}],"d":[{".":[{},[8]]}],"g":[{".":[{},[8]]}],"h":[{".":[{},[8]]}],"j":[{".":[{},[8]]}],"l":[{".":[{},[8]]}],"p":[{".":[{},[8]]}],"r":[{".":[{},[8]]}],"s":[{".":[{},[8]]}],"t":[{".":[{},[8]]}],"v":[{".":[{},[8]]}],"w":[{".":[{},[8]]}],"x":[{".":[{},[8]]}],"z":[{".":[{},[8]]}],"i":[{"s":[{"h":[{"a":[{"r":[{"m":[{},[0,0,2,3]]}]}]}],"z":[{"b":[{"i":[{"n":[{},[0,0,2,0,3]]}]}]}]}]}],"o":[{"k":[{"s":[{"t":[{},[0,0,2,2,3]]}]}],"r":[{"z":[{"a":[{"c":[{},[0,0,2,5]]}]}]}],"l":[{"k":[{"l":[{"o":[{"r":[{},[0,0,0,2,1]]}]}]}]}],"s":[{"f":[{"a":[{"z":[{"o":[{"t":[{},[0,0,0,2,1,2]]}]}]}]}]}]}]}],"g":[{"ł":[{"b":[{},[2]],".":[{},[8]]}],"ć":[{".":[{},[8]]},[2,1]],"ń":[{".":[{},[8]]},[2,1]],"ś":[{".":[{},[8]]},[2,1]],"ź":[{".":[{},[8]]},[2,1]],"ż":[{".":[{},[8]]},[2,1]],"b":[{".":[{},[8]]},[2,1]],"c":[{".":[{},[8]]},[2,1]],"d":[{".":[{},[8]]},[2,1]],"f":[{".":[{},[8]]},[2,1]],"k":[{".":[{},[8]]},[2,1]],"m":[{".":[{},[8]]},[2,1]],"p":[{".":[{},[8]]},[2,1]],"s":[{".":[{},[8]]},[2,1]],"t":[{".":[{},[8]]},[2,1]],"z":[{".":[{},[8]]},[2,1]],"g":[{".":[{},[8]]},[4,3]],".":[{},[8]],"h":[{".":[{},[8]]}],"j":[{".":[{},[8]]}],"l":[{".":[{},[8]]}],"n":[{".":[{},[8]]}],"r":[{".":[{},[8]],"a":[{"n":[{"d":[{"i":[{"l":[{"o":[{},[0,0,0,0,2,1]]}]}]}]}]}],"o":[{"t":[{"r":[{},[0,0,0,4,3]]}]}]}],"v":[{".":[{},[8]]}],"w":[{".":[{},[8]]}],"x":[{".":[{},[8]]}],"a":[{"d":[{"g":[{"e":[{"t":[{},[0,0,3,2]]}]}],"o":[{"p":[{"t":[{"a":[{},[0,0,0,0,3,2]]}]}]}]}]}],"o":[{"l":[{"f":[{"s":[{"z":[{},[0,0,0,0,0,0,2]]},[0,0,0,2,3]]}]}]}]}],"h":[{"ć":[{".":[{},[8]]},[2,1]],"ł":[{".":[{},[8]]},[2,1]],"ń":[{".":[{},[8]]},[2,1]],"ś":[{".":[{},[8]]},[2,1]],"ź":[{".":[{},[8]]},[2,1]],"ż":[{".":[{},[8]]},[2,1]],"b":[{".":[{},[8]]},[2,1]],"c":[{".":[{},[8]]},[2,1]],"d":[{".":[{},[8]]},[2,1]],"f":[{".":[{},[8]]},[2,1]],"g":[{".":[{},[8]]},[2,1]],"j":[{".":[{},[8]]},[2,1]],"k":[{".":[{},[8]]},[2,1]],"l":[{".":[{},[8]]},[2,1]],"m":[{".":[{},[8]]},[2,1]],"n":[{".":[{},[8]]},[2,1]],"p":[{".":[{},[8]]},[2,1]],"r":[{".":[{},[8]]},[2,1]],"s":[{".":[{},[8]]},[2,1]],"t":[{".":[{},[8]]},[2,1]],"w":[{".":[{},[8]]},[2,1]],"z":[{".":[{},[8]]},[2,1]],"h":[{".":[{},[8]]},[4,3]],".":[{},[8]],"v":[{".":[{},[8]]}],"x":[{".":[{},[8]]}],"i":[{"s":[{"z":[{"p":[{},[0,0,2,0,3]]}]}]}],"u":[{"c":[{"z":[{"w":[{},[0,0,2,0,1]]}]}],"x":[{"l":[{"e":[{"y":[{},[0,0,2,3]]}]}]}]}]}],"j":[{"ć":[{".":[{},[8]]},[2,1]],"ł":[{".":[{},[8]]},[2,1]],"ń":[{".":[{},[8]]},[2,1]],"ś":[{".":[{},[8]]},[2,1]],"ź":[{".":[{},[8]]},[2,1]],"ż":[{".":[{},[8]]},[2,1]],"b":[{".":[{},[8]]},[2,1]],"c":[{".":[{},[8]]},[2,1]],"d":[{".":[{},[8]]},[2,1]],"f":[{".":[{},[8]]},[2,1]],"g":[{".":[{},[8]]},[2,1]],"h":[{".":[{},[8]]},[2,1]],"k":[{".":[{},[8]]},[2,1]],"l":[{".":[{},[8]]},[2,1]],"m":[{".":[{},[8]]},[2,1]],"n":[{".":[{},[8]]},[2,1]],"p":[{".":[{},[8]]},[2,1]],"r":[{".":[{},[8]]},[2,1]],"s":[{".":[{},[8]]},[2,1]],"t":[{".":[{},[8]],"ł":[{},[0,2,1]],"r":[{},[0,2,1]]},[2,1]],"w":[{".":[{},[8]]},[2,1]],"z":[{".":[{},[8]]},[2,1]],"j":[{".":[{},[8]]},[4,3]],".":[{},[8]],"v":[{".":[{},[8]]}],"x":[{".":[{},[8]]}],"a":[{"z":[{"z":[{"b":[{},[0,0,4,4,3]],"m":[{},[0,0,4,4,3]]}]}]}]}],"k":[{"ł":[{"b":[{},[2]],".":[{},[8]]}],"ć":[{".":[{},[8]]},[2,1]],"ń":[{".":[{},[8]]},[2,1]],"ś":[{".":[{},[8]]},[2,1]],"ź":[{".":[{},[8]]},[2,1]],"ż":[{".":[{},[8]]},[2,1]],"b":[{".":[{},[8]]},[2,1]],"c":[{".":[{},[8]]},[2,1]],"d":[{".":[{},[8]]},[2,1]],"f":[{".":[{},[8]]},[2,1]],"g":[{".":[{},[8]]},[2,1]],"m":[{".":[{},[8]]},[2,1]],"n":[{".":[{},[8]]},[2,1]],"p":[{".":[{},[8]]},[2,1]],"s":[{"z":[{"t":[{},[3,2,0,2]]},[2,1]],".":[{},[8]],"t":[{".":[{},[8]]}]},[2,1]],"t":[{".":[{},[8]]},[2,1]],"z":[{".":[{},[8]]},[2,1]],"k":[{".":[{},[8]]},[4,3]],".":[{},[8]],"h":[{".":[{},[8]]}],"j":[{".":[{},[8]]}],"l":[{".":[{},[8]]}],"r":[{".":[{},[8]]}],"v":[{".":[{},[8]]}],"w":[{".":[{},[8]]}],"x":[{".":[{},[8]]}],"a":[{"r":[{"l":[{"s":[{"k":[{"r":[{"o":[{"n":[{},[0,0,0,0,2,1]]}]}]}],"r":[{"u":[{"h":[{"e":[{},[0,0,0,0,2,1]]}]}]}]}]}]}]}],"i":[{"r":[{"c":[{"h":[{"h":[{"o":[{"f":[{"f":[{},[0,0,0,2]]}]}]}]}]}]}]}],"o":[{"n":[{"g":[{"r":[{"e":[{"s":[{"m":[{},[0,0,0,0,0,0,2,3]]}]}]}]}]}]}]}],"l":[{"ć":[{".":[{},[8]]},[2,1]],"ł":[{".":[{},[8]]},[2,1]],"ń":[{".":[{},[8]]},[2,1]],"ś":[{".":[{},[8]]},[2,1]],"ź":[{".":[{},[8]]},[2,1]],"ż":[{".":[{},[8]]},[2,1]],"b":[{".":[{},[8]]},[2,1]],"c":[{".":[{},[8]]},[2,1]],"d":[{".":[{},[8]]},[2,1]],"f":[{".":[{},[8]]},[2,1]],"g":[{".":[{},[8]]},[2,1]],"h":[{".":[{},[8]]},[2,1]],"j":[{".":[{},[8]]},[2,1]],"k":[{".":[{},[8]]},[2,1]],"m":[{".":[{},[8]]},[2,1]],"n":[{".":[{},[8]]},[2,1]],"p":[{".":[{},[8]]},[2,1]],"r":[{".":[{},[8]]},[2,1]],"s":[{".":[{},[8]]},[2,1]],"t":[{".":[{},[8]]},[2,1]],"w":[{".":[{},[8]]},[2,1]],"z":[{".":[{},[8]]},[2,1]],"l":[{".":[{},[8]]},[4,3]],".":[{},[8]],"v":[{".":[{},[8]]}],"x":[{".":[{},[8]]}],"e":[{"d":[{"w":[{},[0,0,0,1]]}]}],"u":[{"f":[{"t":[{"w":[{"a":[{"f":[{"f":[{"e":[{},[0,0,2,0,3]]}]}]}]}]}]}],"k":[{"s":[{"f":[{"e":[{"r":[{},[0,0,2,0,1]]}]}]}]}]}],"y":[{"o":[{},[0,0,2]]}]}],"m":[{"ć":[{".":[{},[8]]},[2,1]],"ł":[{".":[{},[8]]},[2,1]],"ń":[{".":[{},[8]]},[2,1]],"ś":[{".":[{},[8]]},[2,1]],"ź":[{".":[{},[8]]},[2,1]],"ż":[{".":[{},[8]]},[2,1]],"b":[{".":[{},[8]]},[2,1]],"c":[{".":[{},[8]]},[2,1]],"d":[{".":[{},[8]]},[2,1]],"f":[{".":[{},[8]]},[2,1]],"g":[{".":[{},[8]]},[2,1]],"h":[{".":[{},[8]]},[2,1]],"j":[{".":[{},[8]]},[2,1]],"k":[{"n":[{},[3,2,2]],".":[{},[8]]},[2,1]],"l":[{".":[{},[8]]},[2,1]],"n":[{"e":[{"s":[{"t":[{},[3,2]]}],"z":[{"j":[{},[3,2]]}]}],".":[{},[8]]},[2,1]],"p":[{".":[{},[8]]},[2,1]],"r":[{".":[{},[8]]},[2,1]],"s":[{"k":[{"n":[{},[3,2,0,2]]}],".":[{},[8]],"t":[{".":[{},[8]]}]},[2,1]],"t":[{".":[{},[8]]},[2,1]],"w":[{".":[{},[8]]},[2,1]],"z":[{".":[{},[8]]},[2,1]],"m":[{".":[{},[8]]},[4,3]],".":[{},[8]],"v":[{".":[{},[8]]}],"x":[{".":[{},[8]]}],"a":[{"r":[{"z":[{"ł":[{},[0,0,2,5]],"l":[{},[0,0,2,5]],"n":[{},[0,0,2,5]]}]}]}],"i":[{"s":[{"z":[{"m":[{"a":[{"s":[{"z":[{},[0,0,2,0,1]]}]}]}]}]}],"e":[{"r":[{"z":[{"ł":[{},[0,0,0,2,5]],"i":[{},[0,0,0,2,5]]}]}]}]}],"o":[{"n":[{"t":[{"r":[{"e":[{"a":[{"l":[{},[0,0,0,2,3]]}]}]}]}]}],"z":[{"a":[{"i":[{"k":[{},[0,0,0,0,2,3]]}]}]}]}],"u":[{"r":[{"z":[{"a":[{"s":[{"i":[{"c":[{"h":[{"l":[{},[0,0,2,7,0,0,0,0,0,3]]}]}]}]}]}]}]}]}]}],"n":[{"ć":[{".":[{},[8]]},[2,1]],"ł":[{".":[{},[8]]},[2,1]],"ń":[{".":[{},[8]]},[2,1]],"ś":[{".":[{},[8]]},[2,1]],"ź":[{".":[{},[8]]},[2,1]],"ż":[{".":[{},[8]]},[2,1]],"b":[{".":[{},[8]]},[2,1]],"c":[{".":[{},[8]]},[2,1]],"d":[{".":[{},[8]]},[2,1]],"f":[{".":[{},[8]]},[2,1]],"g":[{".":[{},[8]]},[2,1]],"h":[{".":[{},[8]]},[2,1]],"j":[{".":[{},[8]]},[2,1]],"k":[{".":[{},[8]]},[2,1]],"l":[{".":[{},[8]]},[2,1]],"m":[{".":[{},[8]]},[2,1]],"p":[{".":[{},[8]]},[2,1]],"r":[{".":[{},[8]]},[2,1]],"s":[{".":[{},[8]]},[2,1]],"t":[{"n":[{},[2]],".":[{},[8]]},[2,1]],"w":[{".":[{},[8]]},[2,1]],"z":[{".":[{},[8]]},[2,1]],"n":[{".":[{},[8]]},[4,3]],".":[{},[8]],"v":[{".":[{},[8]]}],"x":[{".":[{},[8]]}],"a":[{"ł":[{"k":[{"o":[{"w":[{"s":[{},[0,0,4,3]]}]}]}]}],"r":[{"v":[{},[0,0,4,3]]}]}]}],"p":[{"ć":[{".":[{},[8]]},[2,1]],"ń":[{".":[{},[8]]},[2,1]],"ś":[{".":[{},[8]]},[2,1]],"ź":[{".":[{},[8]]},[2,1]],"ż":[{".":[{},[8]]},[2,1]],"b":[{".":[{},[8]]},[2,1]],"c":[{".":[{},[8]]},[2,1]],"d":[{".":[{},[8]]},[2,1]],"f":[{".":[{},[8]]},[2,1]],"g":[{".":[{},[8]]},[2,1]],"k":[{".":[{},[8]]},[2,1]],"m":[{".":[{},[8]]},[2,1]],"n":[{"e":[{"u":[{},[3,2]]}],".":[{},[8]]},[2,1]],"s":[{"z":[{},[2,1]],".":[{},[8]]},[2,1]],"t":[{".":[{},[8]]},[2,1]],"z":[{".":[{},[8]]},[2,1]],"l":[{"n":[{},[2]],".":[{},[8]]}],"p":[{".":[{},[8]]},[4,3]],".":[{},[8]],"ł":[{".":[{},[8]]}],"h":[{".":[{},[8]]}],"j":[{".":[{},[8]]}],"r":[{".":[{},[8]],"z":[{".":[{},[8]]}],"c":[{"h":[{"a":[{"l":[{},[0,0,2]]}]}]}],"e":[{"s":[{"z":[{"p":[{"a":[{},[0,0,0,2,0,3]]}]}]}]}]}],"v":[{".":[{},[8]]}],"w":[{".":[{},[8]]}],"x":[{".":[{},[8]]}],"a":[{"n":[{"a":[{"m":[{"e":[{"r":[{},[0,0,2,3,2]]}]}]}]}],"s":[{"c":[{"a":[{"l":[{},[0,0,2,3]]}],"h":[{},[0,0,2,3]]}]}]}],"o":[{"ł":[{"u":[{"d":[{"n":[{"i":[{},[0,0,0,0,3,2]]}]}]}]}],"d":[{"n":[{"i":[{"e":[{"p":[{"r":[{"z":[{},[0,0,3,4]]}]}]}]}]}]}],"m":[{"n":[{"ą":[{},[0,0,3,2]],"ę":[{},[0,0,3,2]],"i":[{},[0,0,3,2]]}]}],"r":[{"t":[{"s":[{"m":[{"o":[{"u":[{"t":[{"h":[{},[0,0,4,0,2,3,0,2]]}]}]}]}]}],"l":[{"a":[{"n":[{"d":[{},[0,0,4,0,3]]}]}]}]}]}],"l":[{"i":[{"e":[{"t":[{},[0,0,0,0,3,2]]}],"u":[{"r":[{"e":[{},[0,0,0,0,3,2]]}]}]}]}],"w":[{"s":[{"z":[{"e":[{"d":[{"n":[{"i":[{},[0,0,0,0,0,0,3,2]]}]}]}]}]}]}]}]}],"r":[{"ć":[{".":[{},[8]]},[2,1]],"ł":[{".":[{},[8]]},[2,1]],"ń":[{".":[{},[8]]},[2,1]],"ś":[{".":[{},[8]]},[2,1]],"ź":[{".":[{},[8]]},[2,1]],"ż":[{".":[{},[8]]},[2,1]],"b":[{".":[{},[8]]},[2,1]],"c":[{".":[{},[8]]},[2,1]],"d":[{".":[{},[8]]},[2,1]],"f":[{".":[{},[8]]},[2,1]],"g":[{".":[{},[8]]},[2,1]],"h":[{".":[{},[8]]},[2,1]],"j":[{".":[{},[8]]},[2,1]],"k":[{".":[{},[8]]},[2,1]],"l":[{".":[{},[8]]},[2,1]],"m":[{".":[{},[8]]},[2,1]],"n":[{".":[{},[8]]},[2,1]],"p":[{".":[{},[8]]},[2,1]],"s":[{".":[{},[8]],"z":[{".":[{},[8]]}]},[2,1]],"t":[{".":[{},[8]]},[2,1]],"w":[{".":[{},[8]]},[2,1]],"z":[{"ć":[{},[2,0,1]],"ł":[{".":[{},[8]]},[2,0,1]],"ń":[{},[2,0,1]],"ś":[{},[2,0,1]],"ź":[{},[2,0,1]],"ż":[{},[2,0,1]],"b":[{},[2,0,1]],"c":[{},[2,0,1]],"d":[{},[2,0,1]],"f":[{},[2,0,1]],"g":[{},[2,0,1]],"h":[{},[2,0,1]],"j":[{},[2,0,1]],"k":[{},[2,0,1]],"l":[{},[2,0,1]],"m":[{},[2,0,1]],"n":[{},[2,0,1]],"p":[{},[2,0,1]],"r":[{},[2,0,1]],"s":[{},[2,0,1]],"t":[{},[2,0,1]],"w":[{},[2,0,1]],".":[{},[8]]},[0,4]],"r":[{".":[{},[8]]},[4,3]],".":[{},[8]],"v":[{".":[{},[8]]}],"x":[{".":[{},[8]]}],"o":[{"e":[{"n":[{"t":[{"g":[{"e":[{"n":[{},[0,0,2,3,0,2]]}]}]}]}]}],"k":[{"r":[{"o":[{"c":[{"z":[{},[0,0,2,3]]}]}]}]}],"s":[{"t":[{"o":[{"c":[{"k":[{},[0,0,2,3,0,3,2]]}]}]}]}]}]}],"s":[{"ł":[{"b":[{},[2]],".":[{},[8]]}],"ź":[{".":[{},[8]]},[2,1]],"ż":[{".":[{},[8]]},[2,1]],"b":[{".":[{},[8]]},[2,1]],"d":[{".":[{},[8]]},[2,1]],"f":[{".":[{},[8]]},[2,1]],"g":[{".":[{},[8]]},[2,1]],"s":[{".":[{},[8]]},[2,1]],"n":[{"k":[{},[2]],".":[{},[8]]}],"t":[{"k":[{},[2]],"n":[{},[2]],"s":[{"z":[{},[2]]}],".":[{},[8]],"r":[{".":[{},[8]],"z":[{".":[{},[8]]}]}],"w":[{".":[{},[8]]}]}],"z":[{"ć":[{},[2,0,1]],"ś":[{},[2,0,1]],"c":[{"z":[{".":[{},[8]],"b":[{".":[{},[8]]}]}]},[2,0,1]],"f":[{},[2,0,1]],"k":[{".":[{},[8]]},[2,0,1]],"l":[{"n":[{},[2]]},[2,0,1]],"m":[{},[2,0,1]],"n":[{".":[{},[8]]},[2,0,1]],"p":[{},[2,0,1]],"s":[{},[2,0,1]],"t":[{".":[{},[8]],"r":[{".":[{},[8]]}],"o":[{"k":[{"h":[{"o":[{"l":[{"m":[{},[0,0,0,0,2,1]]}]}]}]}]}]},[2,0,1]],"w":[{},[2,0,1]],"z":[{},[2,0,1]],".":[{},[8]],"a":[{"s":[{"z":[{"ł":[{"y":[{},[0,0,0,2,0,1]]}]}]}]}],"e":[{"z":[{"l":[{"o":[{"n":[{"g":[{},[0,0,0,2,1]]}]}]}]}],"ś":[{"ć":[{},[0,0,0,4]]}]}],"y":[{"n":[{"k":[{"w":[{"a":[{"s":[{},[0,0,0,0,2,1]]}]}]}]}]}]},[0,4]],".":[{},[8]],"ć":[{".":[{},[8]]}],"ń":[{".":[{},[8]]}],"ś":[{".":[{},[8]]}],"c":[{".":[{},[8]],"h":[{".":[{},[8]]}]}],"h":[{".":[{},[8]]}],"j":[{".":[{},[8]]}],"k":[{".":[{},[8]],"r":[{"z":[{".":[{},[8]]}]}],"o":[{"r":[{"z":[{"o":[{"n":[{"e":[{"r":[{},[0,0,0,2,5]]}]}]}]}]}]}]}],"l":[{".":[{},[8]]}],"m":[{".":[{},[8]],"r":[{},[0,0,2]]}],"p":[{".":[{},[8]]}],"r":[{".":[{},[8]]}],"v":[{".":[{},[8]]}],"w":[{".":[{},[8]]}],"x":[{".":[{},[8]]}],"e":[{"t":[{"l":[{"e":[{},[0,0,2,3]]}]}]}],"o":[{"w":[{"i":[{"z":[{},[0,0,0,0,3,2]]}]}]}],"y":[{"n":[{"o":[{"p":[{"t":[{},[0,0,2,3]]}]}]}],"s":[{"t":[{"e":[{"m":[{},[0,0,2,1]]}]}]}]}]}],"t":[{"ć":[{".":[{},[8]]},[2,1]],"ń":[{".":[{},[8]]},[2,1]],"ś":[{".":[{},[8]]},[2,1]],"ź":[{".":[{},[8]]},[2,1]],"ż":[{".":[{},[8]]},[2,1]],"b":[{".":[{},[8]]},[2,1]],"c":[{".":[{},[8]]},[2,1]],"d":[{".":[{},[8]]},[2,1]],"f":[{".":[{},[8]]},[2,1]],"g":[{".":[{},[8]]},[2,1]],"k":[{".":[{},[8]]},[2,1]],"m":[{".":[{},[8]]},[2,1]],"n":[{".":[{},[8]]},[2,1]],"p":[{".":[{},[8]]},[2,1]],"s":[{".":[{},[8]]},[2,1]],"z":[{".":[{},[8]]},[2,1]],"l":[{"n":[{},[2]],".":[{},[8]]}],"r":[{"k":[{},[2]],"z":[{"n":[{},[2]],".":[{},[8]]}],".":[{},[8]]}],"t":[{".":[{},[8]]},[4,3]],".":[{},[8]],"ł":[{".":[{},[8]]}],"h":[{".":[{},[8]]}],"j":[{".":[{},[8]]}],"v":[{".":[{},[8]]}],"w":[{".":[{},[8]]}],"x":[{".":[{},[8]]}],"o":[{"y":[{"o":[{"t":[{},[0,0,3,2,3]]}]}]}],"u":[{"r":[{"b":[{"o":[{"o":[{"d":[{"r":[{"z":[{"u":[{"t":[{},[0,0,0,0,0,0,2,3]]}]}]}]}]}]}]}]}]}],"y":[{"g":[{"o":[{"d":[{"n":[{"i":[{},[0,0,0,0,3,2]]}]}]}]}]}]}],"w":[{"ć":[{".":[{},[8]]},[2,1]],"ł":[{"a":[{"d":[{},[3,2]]}],"o":[{"s":[{},[3,2]]}],".":[{},[8]]},[2,1]],"ń":[{".":[{},[8]]},[2,1]],"ś":[{".":[{},[8]]},[2,1]],"ź":[{".":[{},[8]]},[2,1]],"ż":[{".":[{},[8]]},[2,1]],"b":[{".":[{},[8]]},[2,1]],"c":[{"z":[{"a":[{"s":[{},[3,2]]}]}],".":[{},[8]]},[2,1]],"d":[{".":[{},[8]]},[2,1]],"f":[{".":[{},[8]]},[2,1]],"g":[{".":[{},[8]]},[2,1]],"j":[{".":[{},[8]]},[2,1]],"k":[{".":[{},[8]]},[2,1]],"l":[{".":[{},[8]]},[2,1]],"m":[{".":[{},[8]]},[2,1]],"n":[{".":[{},[8]]},[2,1]],"p":[{".":[{},[8]]},[2,1]],"r":[{".":[{},[8]]},[2,1]],"s":[{".":[{},[8]]},[2,1]],"t":[{".":[{},[8]]},[2,1]],"z":[{".":[{},[8]]},[2,1]],"w":[{".":[{},[8]]},[4,3]],".":[{},[8]],"h":[{".":[{},[8]]}],"v":[{".":[{},[8]]}],"x":[{".":[{},[8]]}],"e":[{"e":[{"k":[{"e":[{"n":[{"d":[{},[0,0,2,2,1]]}]}]}]}],"s":[{"t":[{"f":[{},[0,0,4,0,3]],"m":[{},[0,0,4,0,3]]}]}]}]}],"z":[{"ć":[{".":[{},[8]]},[2,1]],"ś":[{".":[{},[8]]},[2,1]],"c":[{".":[{},[8]]},[2,1]],"d":[{"k":[{},[2]],"n":[{},[2]],".":[{},[8]],"r":[{".":[{},[8]],"z":[{".":[{},[8]]}]}]},[2,1]],"f":[{".":[{},[8]]},[2,1]],"k":[{".":[{},[8]]},[2,1]],"p":[{".":[{},[8]]},[2,1]],"s":[{".":[{},[8]]},[2,1]],"t":[{".":[{},[8]]},[2,1]],"z":[{".":[{},[8]]},[4,3]],".":[{},[8]],"ł":[{".":[{},[8]]}],"ń":[{".":[{},[8]]}],"ź":[{".":[{},[8]]}],"ż":[{".":[{},[8]]}],"b":[{".":[{},[8]]}],"g":[{".":[{},[8]]}],"h":[{".":[{},[8]]}],"j":[{".":[{},[8]]}],"l":[{".":[{},[8]]}],"m":[{".":[{},[8]]}],"n":[{".":[{},[8]]}],"r":[{".":[{},[8]]}],"v":[{".":[{},[8]]}],"w":[{".":[{},[8]]}],"x":[{".":[{},[8]]}],"e":[{"p":[{"p":[{},[0,0,4,3]]}]}]}],"v":[{".":[{},[8]],"ć":[{".":[{},[8]]}],"ł":[{".":[{},[8]]}],"ń":[{".":[{},[8]]}],"ś":[{".":[{},[8]]}],"ź":[{".":[{},[8]]}],"ż":[{".":[{},[8]]}],"b":[{".":[{},[8]]}],"c":[{".":[{},[8]]}],"d":[{".":[{},[8]]}],"f":[{".":[{},[8]]}],"g":[{".":[{},[8]]}],"h":[{".":[{},[8]]}],"j":[{".":[{},[8]]}],"k":[{".":[{},[8]]}],"l":[{".":[{},[8]]}],"m":[{".":[{},[8]]}],"n":[{".":[{},[8]]}],"p":[{".":[{},[8]]}],"r":[{".":[{},[8]]}],"s":[{".":[{},[8]]}],"t":[{".":[{},[8]]}],"v":[{".":[{},[8]]}],"w":[{".":[{},[8]]}],"x":[{".":[{},[8]]}],"z":[{".":[{},[8]]}],"o":[{"l":[{"k":[{"s":[{},[0,0,2,0,2,3]]}]}]}]}],"x":[{".":[{},[8]],"ć":[{".":[{},[8]]}],"ł":[{".":[{},[8]]}],"ń":[{".":[{},[8]]}],"ś":[{".":[{},[8]]}],"ź":[{".":[{},[8]]}],"ż":[{".":[{},[8]]}],"b":[{".":[{},[8]]}],"c":[{".":[{},[8]]}],"d":[{".":[{},[8]]}],"f":[{".":[{},[8]]}],"g":[{".":[{},[8]]}],"h":[{".":[{},[8]]}],"j":[{".":[{},[8]]}],"k":[{".":[{},[8]]}],"l":[{".":[{},[8]]}],"m":[{".":[{},[8]]}],"n":[{".":[{},[8]]}],"p":[{".":[{},[8]]}],"r":[{".":[{},[8]]}],"s":[{".":[{},[8]]}],"t":[{".":[{},[8]]}],"v":[{".":[{},[8]]}],"w":[{".":[{},[8]]}],"x":[{".":[{},[8]]}],"z":[{".":[{},[8]]}]}],"a":[{"u":[{},[0,2]],"y":[{},[0,2]],"a":[{},[0,0,2]],"e":[{},[0,0,2]],"i":[{},[0,0,2]],"o":[{},[0,0,2]]},[0,1]],"e":[{"r":[{"z":[{"a":[{"c":[{},[0,2,5]]}]}]}],"u":[{"s":[{"z":[{},[0,3,2]]}]},[0,2]],"y":[{},[0,2]],"a":[{},[0,0,2]],"e":[{},[0,0,2]],"i":[{},[0,0,2]],"o":[{},[0,0,2]]},[0,1]],"i":[{"ą":[{},[0,2]],"ę":[{},[0,2]],"ó":[{},[0,2]],"a":[{},[0,2]],"e":[{},[0,2]],"i":[{},[0,2]],"o":[{},[0,2]],"u":[{},[0,2]],"y":[{},[0,2]],"n":[{"n":[{"s":[{"b":[{"r":[{"u":[{"c":[{"k":[{},[0,0,4]]}]}]}]}]}]}],"s":[{"b":[{"r":[{"u":[{"c":[{},[0,0,4]]}]}]}]}]}]},[0,1]],"o":[{"y":[{},[0,2]],"a":[{},[0,0,2]],"c":[{"h":[{"m":[{"i":[{"s":[{"t":[{"r":[{"z":[{},[0,0,0,3]]}]}]}]}]}]}]}],"e":[{},[0,0,2]],"f":[{"f":[{"s":[{"e":[{"t":[{},[0,0,2,3]]}]}]}]}],"i":[{},[0,0,2]],"o":[{},[0,0,2]],"u":[{},[0,0,2]]},[0,1]],"u":[{"y":[{},[0,2]],"a":[{},[0,0,2]],"e":[{},[0,0,2]],"i":[{},[0,0,2]],"o":[{},[0,0,2]],"u":[{},[0,0,2]]},[0,1]],"y":[{"a":[{},[0,0,2]],"e":[{},[0,0,2]],"i":[{},[0,0,2]],"o":[{},[0,0,2]],"u":[{},[0,0,2]]},[0,1]]}';
  var hyphenation = [
    "be-zach",
    "be-zami",
    "by-naj-mniej",
    "gdzie-nie-gdzie",
    "ina-czej",
    "na-dal",
    "ni-gdy",
    "ni-gdzie",
    "niech-że",
    "niech-by",
    "ow-szem",
    "pó-łach",
    "pó-łami",
    "pó-łek",
    "pod-ów-czas",
    "przy-naj-mniej",
    "skąd-inąd",
    "tró-jach",
    "tró-jami",
    "tró-jek",
    ""
  ];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
