(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsRo = factory();
  }
})(this, function () {
  var patterns =
    '{".":[{"a":[{"i":[{"c":[{},[0,3]]}],"n":[{"i":[{"s":[{},[0,4,3]]}]}],"z":[{},[0,2]]}],"c":[{"r":[{"e":[{},[0,0,0,1]]}]}],"d":[{"e":[{"a":[{"j":[{},[0,0,2]]}],"z":[{},[0,0,2,1]]}]}],"g":[{},[0,4]],"i":[{"a":[{},[0,2]],"e":[{},[0,2]],"ț":[{},[0,3]],"u":[{},[0,4,3]],"v":[{},[0,3]]}],"î":[{"m":[{},[0,4]]}],"n":[{"i":[{},[0,0,2]]},[0,2]],"p":[{"r":[{"e":[{"ș":[{},[0,0,0,3]]}]}]},[0,4]],"s":[{},[0,4]],"ș":[{},[0,4]],"u":[{"i":[{},[0,4]],"n":[{"i":[{},[0,5]]}]}],"z":[{},[0,2]]}],"a":[{"c":[{"ă":[{},[2]],"h":[{"i":[{},[0,0,0,0,5]]}]}],"e":[{},[0,3]],"f":[{"o":[{},[0,0,0,3]]}],"i":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"l":[{},[0,3]],"s":[{},[0,0,3,2]],"u":[{},[0,3]]}],"l":[{"i":[{"e":[{},[0,0,0,0,6]]}],"t":[{},[2]]}],"m":[{},[0,2]],"n":[{".":[{},[2]],"e":[{},[0,5,2]],"i":[{"e":[{},[0,0,0,2]],"ș":[{},[0,0,0,3,4]]}],"s":[{},[0,0,4]],"u":[{},[2]],"z":[{},[0,0,2]]},[0,2]],"o":[{"g":[{},[0,0,2]]}],"t":[{"i":[{"a":[{},[0,0,0,4]]}],"r":[{},[2]],"u":[{},[0,5,4]]}],"ț":[{"a":[{},[2]],"ă":[{},[2]]}],"u":[{"a":[{},[0,3]],"d":[{},[0,3]],"g":[{},[0,3]],"l":[{},[0,3]],"n":[{},[0,3]],"r":[{},[0,3]],"s":[{},[0,3]],"t":[{"e":[{},[0,3]]}],"ț":[{},[0,3,2]],"z":[{},[0,3]]},[2]]},[0,1]],"ă":[{"i":[{"e":[{},[0,0,2]]},[0,3]],"m":[{},[0,2,2]],"n":[{"u":[{},[0,0,0,3]]}],"r":[{"g":[{"i":[{},[0,0,0,0,5]]}]}],"ș":[{"t":[{},[0,4,3]]},[0,3]],"t":[{"i":[{".":[{},[0,2]],"e":[{},[0,0,0,4]]}]}],"u":[{},[0,3]],"v":[{},[0,3]],"z":[{"i":[{},[0,2]]}]},[2,1]],"b":[{".":[{},[2]],"a":[{"ț":[{},[0,0,2]]}],"ă":[{"n":[{"u":[{},[0,0,0,0,5]]}]}],"c":[{},[2]],"d":[{},[2]],"i":[{"a":[{".":[{},[0,0,2]],"t":[{},[0,0,2]]}],"e":[{},[0,0,2]],"i":[{},[3]]}],"l":[{"i":[{"m":[{},[3,4]]}],"u":[{},[0,4]]},[0,2]],"o":[{"r":[{"i":[{"c":[{},[0,0,3]]}]}]},[0,0,1]],"s":[{},[2]],"t":[{},[2]],"ț":[{"i":[{"n":[{"e":[{".":[{},[0,0,0,4]]}]}]}]},[2]],"u":[{},[0,0,3]]},[1]],"c":[{".":[{},[4]],"a":[{"u":[{"t":[{},[0,0,3]]}]}],"ă":[{"c":[{},[0,0,2]],"t":[{"u":[{},[0,0,0,0,5]]}]}],"c":[{},[2]],"e":[{"a":[{},[0,0,2]],"ț":[{},[0,0,2]]}],"h":[{"i":[{".":[{},[2]]}]}],"i":[{".":[{},[2]],"a":[{"l":[{"e":[{},[0,0,3]]}]}],"o":[{},[0,0,2]],"s":[{"p":[{},[0,0,3]]},[0,0,0,2]],"z":[{"a":[{},[0,0,0,0,2]]}]}],"l":[{},[0,4]],"m":[{},[2]],"n":[{},[2,5]],"o":[{"p":[{"i":[{"a":[{"t":[{"ă":[{},[0,0,0,0,0,2]]}]}]}]}],"ț":[{},[0,0,2]]}],"s":[{},[2]],"t":[{},[2]],"ț":[{},[2]],"u":[{"i":[{"m":[{},[0,0,3]]}],"l":[{},[3]],"ț":[{},[0,0,2]]}],"v":[{},[2]]},[1]],"d":[{".":[{},[4]],"a":[{"m":[{},[0,0,4]],"ț":[{},[0,0,2]]}],"c":[{},[2]],"e":[{"s":[{"c":[{},[0,0,4]]}],"z":[{"i":[{"n":[{},[0,0,0,3]]}]}]}],"i":[{"a":[{"n":[{},[0,0,2]],"t":[{"ă":[{},[0,0,0,2]]}]}]}],"j":[{},[2]],"m":[{},[2]],"n":[{},[2,1]],"o":[{"i":[{"l":[{},[0,0,4]]}]}],"u":[{},[3]]},[1]],"e":[{"a":[{"c":[{},[0,1]],"j":[{},[0,1]],"l":[{},[0,1]],"ș":[{},[0,1]],"t":[{},[0,1]],"ț":[{},[0,0,2]],"v":[{},[0,1]]}],"b":[{"u":[{"i":[{},[0,0,0,5]]}]}],"c":[{"i":[{"a":[{},[0,0,0,2]]}],"l":[{"a":[{"r":[{"e":[{},[0,0,0,0,2]]}]}]}]},[2]],"d":[{"i":[{"u":[{"l":[{"u":[{},[0,0,0,4]]}]}]}]}],"e":[{"a":[{},[0,0,2]]},[0,3]],"f":[{"a":[{},[1]]}],"h":[{},[0,1]],"i":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"i":[{},[0,3]],"l":[{},[0,3]],"m":[{},[0,3]],"n":[{},[0,3]],"o":[{},[0,3,2]],"s":[{},[0,3,3,2]],"t":[{},[0,3]],"u":[{},[0,3,4]]}],"î":[{},[0,1]],"l":[{},[2]],"m":[{"o":[{"n":[{},[0,0,0,0,5]]}]},[0,2]],"n":[{"e":[{},[0,5]]},[2]],"o":[{"n":[{},[0,3]]},[0,1,1]],"r":[{"a":[{},[2]],"ă":[{},[2]],"c":[{},[2]]},[0,1]],"s":[{"c":[{"o":[{},[0,0,3]]}],"t":[{"i":[{},[0,0,5]]}]},[2,2]],"ș":[{"i":[{},[0,3]]},[2]],"t":[{"a":[{"n":[{"ț":[{},[0,0,0,0,4]]}]}]}],"ț":[{},[2]],"u":[{"ș":[{},[0,0,5]]},[0,3]],"v":[{"i":[{"t":[{},[1]]}]}],"x":[{},[0,2]],"z":[{"ă":[{},[0,0,0,5]],"i":[{"a":[{},[0,0,0,3]]}],"o":[{},[0,2,1]]},[2]]}],"f":[{".":[{},[2]],"a":[{},[3]],"ă":[{"ș":[{},[3]]}],"i":[{".":[{},[2]],"e":[{},[0,0,3]]}],"o":[{},[3]],"t":[{"u":[{},[0,5]]},[2]]},[1,4]],"g":[{".":[{},[2]],"ă":[{"ț":[{},[0,0,3]]}],"h":[{"i":[{".":[{},[2]]}]}],"i":[{".":[{},[2]]}],"l":[{},[0,4]],"m":[{},[2,3]],"n":[{},[2,3]],"o":[{"n":[{},[0,0,5]]}],"u":[{},[3,0,3]],"v":[{},[2,3]]},[1,2]],"h":[{".":[{},[2]],"i":[{".":[{},[2]],"a":[{},[0,0,2]],"c":[{},[0,0,3]],"u":[{},[0,0,4]]}],"n":[{},[2,1]]}],"i":[{".":[{},[4]],"a":[{"c":[{},[3,2]],"g":[{},[0,0,3,4]],"i":[{},[0,2]],"ș":[{},[0,2]],"ț":[{},[0,0,2]]}],"c":[{"ă":[{},[0,3]]}],"e":[{"d":[{},[0,2]]}],"i":[{"a":[{},[0,3]],"e":[{},[0,3]],"i":[{},[0,3]],"l":[{},[0,3]],"n":[{},[0,3]],"r":[{},[0,3]],"t":[{"u":[{"r":[{"ă":[{},[0,0,0,0,2]]}]}]},[0,3]]}],"î":[{},[0,2]],"l":[{"a":[{},[4]],"e":[{},[0,3]],"o":[{},[0,3]]}],"m":[{"a":[{"t":[{"e":[{"r":[{"i":[{},[0,0,0,0,0,0,0,6]]}]}]}]}]}],"n":[{"e":[{"d":[{},[0,4,1]]}],"g":[{"ă":[{},[0,0,2]]}],"ț":[{"i":[{"i":[{},[0,0,0,0,4]]}]}],"v":[{},[3]]},[0,2]],"o":[{"d":[{},[0,3]],"n":[{"i":[{},[0,3]]}],"ț":[{},[0,0,2]]}],"p":[{"ă":[{},[0,0,0,5]]}],"s":[{"f":[{},[0,0,3]],"p":[{},[4]]},[0,2]],"ș":[{"t":[{},[0,0,3]]}],"t":[{"i":[{},[0,5]]}],"ț":[{"i":[{"a":[{},[0,0,0,2]],"o":[{},[0,3,0,2]]}]}],"u":[{"a":[{},[0,3]],"l":[{},[0,3]],"m":[{},[0,3]],"n":[{"d":[{},[0,3]],"u":[{},[0,3]]}],"s":[{},[0,3]],"t":[{},[0,3]]}],"z":[{"v":[{},[0,0,3]]}]},[2,1]],"î":[{"d":[{},[0,3]],"e":[{},[0,3]],"l":[{"o":[{},[0,3]]}],"n":[{"a":[{},[0,0,0,3]],"ș":[{},[0,0,5]]}],"r":[{"i":[{},[0,3]],"î":[{},[0,3]],"ș":[{},[0,0,5]]}],"ș":[{"t":[{},[0,0,3]]}],"t":[{"i":[{},[0,4]]},[0,3]],"ț":[{"i":[{"i":[{},[0,5]]},[0,4]]},[0,3]],"z":[{},[0,3]]},[0,2]],"j":[{".":[{},[2]],"d":[{},[2]],"i":[{".":[{},[2]],"ț":[{},[0,0,2]]}],"l":[{},[2]],"u":[{"t":[{},[0,0,3]]},[0,4]]},[1]],"k":[{},[1]],"l":[{".":[{},[4]],"a":[{"r":[{"a":[{"ț":[{"i":[{},[0,0,0,0,0,0,2]]}]}]}]}],"ă":[{"t":[{"i":[{},[0,0,2]],"u":[{},[0,0,0,0,5]]}]}],"b":[{},[2]],"c":[{},[2]],"d":[{},[2]],"e":[{"a":[{},[0,0,2]]}],"f":[{},[2]],"g":[{},[2]],"i":[{".":[{},[4]],"a":[{},[0,0,3]],"e":[{},[0,0,3]],"o":[{},[0,0,3]]}],"m":[{},[2]],"n":[{},[2,5]],"p":[{},[2]],"s":[{},[2]],"ș":[{},[2,3]],"t":[{},[2]],"ț":[{},[2]],"u":[{},[3]],"v":[{},[2]]},[1]],"m":[{".":[{},[2]],"a":[{},[3]],"ă":[{},[3]],"b":[{"l":[{"î":[{"n":[{},[0,0,0,0,0,3]]}]}]},[2]],"e":[{"z":[{},[0,0,2]]},[3]],"f":[{},[2]],"i":[{".":[{},[4]],"ț":[{},[0,0,2]]},[3]],"î":[{},[3]],"n":[{},[2,1]],"o":[{"n":[{},[0,0,0,4]]},[3]],"p":[{},[2]],"s":[{},[2,3,2]],"t":[{},[2]],"ț":[{},[2]],"u":[{"ț":[{},[0,0,2]]},[3]],"v":[{},[2]]},[1]],"n":[{".":[{},[4]],"a":[{"d":[{},[4,1]],"i":[{"n":[{},[0,0,3]]}]},[3]],"ă":[{},[3]],"c":[{"i":[{"s":[{},[0,2]],"z":[{},[0,2]]}]},[2]],"d":[{},[2]],"e":[{"a":[{"b":[{},[0,0,1]],"n":[{},[0,0,1]],"p":[{},[0,0,1]]}],"f":[{},[4]],"g":[{},[4,1]],"s":[{},[0,0,3,2]],"v":[{"i":[{},[4]]}],"x":[{},[4,1]]},[3]],"g":[{"ă":[{"t":[{},[0,0,3]]}]},[2]],"i":[{".":[{},[4]],"e":[{"z":[{},[0,0,3]]}]},[3]],"î":[{},[3]],"j":[{},[0,3]],"n":[{},[0,1]],"o":[{"ș":[{},[0,0,4]]},[3]],"r":[{},[0,1]],"s":[{"f":[{},[0,0,3]],"î":[{},[0,4]],"p":[{"o":[{},[0,0,3]]}]},[2,3,2]],"ș":[{"i":[{},[0,4]]},[0,3,2]],"t":[{"i":[{},[0,5]],"u":[{},[0,5,4]]},[2]],"ț":[{},[2]],"u":[{"a":[{},[0,0,3]],"ă":[{},[0,0,3]],"m":[{},[0,0,5]],"s":[{},[0,0,3,2]]},[5]],"z":[{},[2]]}],"o":[{"a":[{"g":[{},[0,1]],"l":[{},[0,2]]}],"b":[{"i":[{".":[{},[0,2]]}]}],"c":[{"a":[{},[2]],"u":[{"i":[{},[0,0,0,5]]}]}],"d":[{"i":[{"a":[{},[0,0,0,2]]}]},[2]],"e":[{},[0,3]],"i":[{"e":[{"c":[{"t":[{"i":[{},[0,0,0,0,0,0,2]]}]}]}],"s":[{"p":[{},[0,0,3,2]]}]},[0,3,2]],"m":[{"e":[{"d":[{"i":[{"e":[{".":[{},[0,0,0,0,0,2]]}]}]}]}],"n":[{},[0,0,4]]}],"n":[{},[2]],"o":[{},[0,1]],"p":[{"i":[{"e":[{},[0,0,0,3]]}],"l":[{"a":[{"g":[{"i":[{},[0,0,0,0,0,0,2]]}]},[0,0,0,0,2]]}]}],"r":[{"a":[{},[0,1]],"ă":[{},[0,1]],"c":[{},[0,0,2]],"e":[{},[0,1]],"i":[{"c":[{},[0,2]]},[0,1]],"î":[{},[0,1]],"o":[{},[0,1]],"t":[{"e":[{".":[{},[0,0,2]]}]}],"u":[{},[0,1]]}],"s":[{"t":[{"i":[{},[0,0,5]]}]}],"ș":[{"i":[{},[0,3]]}],"t":[{"a":[{"ț":[{"i":[{},[0,0,0,0,0,4]]}]}],"i":[{},[0,5]],"o":[{"d":[{},[0,0,3]]}]}],"u":[{},[0,3]]}],"p":[{".":[{},[2]],"a":[{},[3]],"ă":[{"r":[{"ț":[{},[0,0,0,3]]}]}],"c":[{},[2,3]],"e":[{"c":[{"ț":[{"i":[{},[0,0,0,0,0,2]]}]}],"ț":[{},[0,0,2]]}],"i":[{".":[{},[2]],"e":[{".":[{},[0,0,3]],"z":[{},[0,0,3]]},[0,0,2]],"o":[{},[0,0,3]],"ț":[{},[0,0,2]],"z":[{},[0,0,2]]}],"l":[{},[0,4]],"o":[{"ș":[{},[0,0,4]],"ț":[{},[0,0,2]]}],"s":[{},[2,3]],"ș":[{},[2,3]],"t":[{},[2,3]],"ț":[{"i":[{".":[{},[0,4]]}]},[2,3]],"u":[{"b":[{},[0,0,3,4]],"r":[{"i":[{"e":[{},[0,0,0,0,2]]}]}],"ș":[{},[0,0,4]]}]},[1,2]],"r":[{".":[{},[4]],"b":[{},[2]],"c":[{},[2]],"d":[{},[2]],"e":[{"b":[{"i":[{},[0,0,2]]}],"c":[{"i":[{"z":[{"i":[{},[0,0,0,0,0,0,2]]}]}]}],"s":[{"c":[{"r":[{},[0,0,3,2]]}]}],"ș":[{"i":[{},[0,0,4]]}]},[0,2]],"f":[{},[2]],"g":[{},[2]],"h":[{},[2,1]],"i":[{".":[{},[4]],"a":[{"l":[{"i":[{},[0,0,4]]}]},[0,0,3]],"e":[{"ț":[{},[0,0,3]],"z":[{},[0,0,3]]}],"m":[{"i":[{},[0,0,5]]}],"u":[{"n":[{},[2,0,3]]}],"v":[{},[0,0,3]]}],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{"a":[{"ț":[{},[0,0,0,2]]}]},[2,1]],"o":[{"g":[{"r":[{"a":[{"f":[{"i":[{},[0,0,0,0,0,0,0,6]]}]}]}]}]}],"p":[{},[2]],"r":[{},[2,1]],"s":[{"p":[{},[0,3]],"t":[{},[0,3]]},[2,0,2]],"ș":[{},[2,3]],"t":[{"u":[{"a":[{"l":[{"e":[{},[0,0,0,0,2]]}]}]}]},[2]],"ț":[{},[2]],"u":[{"i":[{"l":[{},[0,0,3]]}],"s":[{"p":[{},[0,0,3]]}]}],"v":[{},[2]],"z":[{},[2]]}],"s":[{".":[{},[4]],"a":[{},[5]],"ă":[{"m":[{},[0,0,4]],"ș":[{},[0,0,4]]},[5]],"c":[{".":[{},[4]],"o":[{},[3,2]]},[2]],"e":[{"a":[{},[0,0,2]],"e":[{".":[{},[0,0,4]]}],"s":[{"p":[{},[0,0,3]]},[0,0,0,2]],"ș":[{},[0,0,4]]},[3]],"f":[{"î":[{},[5]]},[4,2]],"i":[{"p":[{},[0,0,3]]},[3]],"î":[{},[3]],"l":[{},[3,4]],"m":[{},[4]],"n":[{},[0,1]],"o":[{"r":[{"i":[{"c":[{},[0,0,3]]}]}]},[3]],"p":[{},[2]],"t":[{"o":[{},[0,0,0,3]]},[2]],"u":[{"ț":[{},[0,0,2]]},[5]]},[1]],"ș":[{".":[{},[4]],"a":[{"ț":[{},[0,0,2]]},[3]],"ă":[{},[3,0,2]],"e":[{},[3]],"i":[{".":[{},[4]],"i":[{},[5]],"l":[{},[5]],"n":[{},[3]]},[1]],"î":[{},[3]],"n":[{"u":[{},[0,0,0,5]]},[4,5]],"o":[{},[3]],"p":[{},[0,2]],"t":[{"i":[{".":[{},[4]]},[0,2]],"r":[{},[4,3]]}],"u":[{},[3]]},[2]],"t":[{".":[{},[4]],"a":[{"u":[{"t":[{},[0,0,3]]}]}],"c":[{},[2,3]],"d":[{},[2,3]],"e":[{"a":[{},[0,0,2]],"n":[{"i":[{},[0,0,5]]}],"r":[{"i":[{"a":[{"l":[{"ă":[{},[0,0,0,0,6]]}]}]}]}],"s":[{"p":[{},[0,0,3,2]]}]}],"f":[{},[2,3]],"i":[{".":[{},[4]],"a":[{},[0,0,3]],"e":[{},[0,0,3]],"i":[{".":[{},[3]]}],"l":[{},[3]],"n":[{},[3]],"ț":[{},[0,0,2]]}],"î":[{".":[{},[2]]}],"l":[{},[0,4]],"m":[{},[2,3]],"o":[{"l":[{},[3]],"r":[{},[3]],"t":[{"o":[{},[0,0,2]]}]}],"r":[{"u":[{".":[{},[3]],"l":[{},[3]],"o":[{},[3]]}]}],"s":[{},[4,3,2]],"t":[{},[2,3]],"u":[{"a":[{},[0,0,3]],"i":[{"m":[{},[0,0,3]]}],"n":[{},[4,3]],"ș":[{},[0,0,4]]}],"z":[{},[4,3]]},[1,2]],"ț":[{".":[{},[2]],"a":[{},[3]],"ă":[{},[3]],"e":[{"ț":[{},[0,0,2]]}],"i":[{".":[{},[2]],"a":[{".":[{},[0,0,3]]},[3]],"e":[{},[3]],"i":[{},[3]],"l":[{},[3]],"ț":[{},[0,0,2]],"u":[{},[3]]}],"u":[{"i":[{},[0,0,5]]},[0,0,3]]},[1]],"u":[{".":[{},[6]],"a":[{".":[{},[0,2]],"d":[{},[0,2]],"u":[{},[0,3]]}],"ă":[{"s":[{},[0,0,0,2]]},[0,0,3]],"b":[{"i":[{"a":[{},[0,2]]}],"l":[{},[0,2,3]],"o":[{},[0,2,1]],"s":[{},[0,0,3,2]]}],"e":[{},[0,3]],"g":[{"u":[{},[4]]}],"i":[{"a":[{},[0,3,2]],"e":[{},[0,3,2]],"n":[{},[0,3]],"r":[{},[0,3]],"s":[{},[0,3]],"t":[{},[0,3]],"ț":[{},[0,3,2]],"z":[{},[0,3]]}],"l":[{"a":[{},[0,3]],"ă":[{},[0,3]],"e":[{},[0,3]],"i":[{"i":[{},[0,3]]}],"î":[{},[0,3]],"o":[{},[0,3]]},[0,2]],"m":[{"i":[{"r":[{},[0,0,0,5]]}]}],"r":[{"z":[{},[0,0,2]]}],"s":[{"p":[{"r":[{},[0,0,2]]}],"t":[{},[0,4]]},[0,2]],"ș":[{"t":[{},[0,4]]},[0,3]],"t":[{"o":[{"r":[{},[3]]},[0,2]]}],"u":[{"i":[{},[0,3]],"m":[{},[0,3]]}]},[2,1]],"v":[{".":[{},[2]],"e":[{"n":[{"i":[{},[0,0,5]]}],"ț":[{},[0,0,2]],"z":[{},[0,0,2]]}],"i":[{".":[{},[2]],"ț":[{},[0,0,2]]}],"n":[{},[2,1]],"o":[{"r":[{"b":[{"i":[{"t":[{"o":[{},[0,0,0,0,0,0,0,2]]}]}]}]}]}],"r":[{},[3]]},[1]],"x":[{".":[{},[2]],"a":[{},[3]],"ă":[{},[3]],"e":[{"z":[{},[0,0,2]]},[3]],"i":[{},[3]],"o":[{},[3]],"u":[{},[3]]},[1]],"z":[{".":[{},[2]],"a":[{"ț":[{},[0,0,2]]}],"b":[{},[2]],"g":[{},[2,2]],"i":[{".":[{},[2]],"a":[{"n":[{},[0,0,2]],"r":[{},[0,0,2]]}],"i":[{},[3]],"l":[{},[3]]}],"m":[{},[0,4]],"n":[{},[2,1]],"o":[{"l":[{},[3,2]],"n":[{},[3]]}],"u":[{"ț":[{},[0,0,2]]}],"v":[{"ă":[{},[0,3]]},[2,2]]},[1]]}';
  var hyphenation = [];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
