(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsRu = factory();
  }
})(this, function () {
  var patterns =
    '{".":[{"а":[{"б":[{"р":[{},[0,0,1]]}],"г":[{"р":[{"о":[{},[0,0,1]]}]}],"д":[{"и":[{},[0,0,0,2]]}],"и":[{},[0,0,2]],"к":[{"р":[{},[0,0,1]]}],"л":[{"ь":[{"я":[{},[0,0,0,3]]}]}],"р":[{"т":[{"о":[{},[0,0,2,1,2]]}]}],"с":[{"т":[{"о":[{},[0,0,1]],"р":[{},[0,0,0,1]]}]}],"у":[{},[0,0,2]],"-":[{},[0,0,8]]}],"б":[{"и":[{"о":[{},[0,0,2]]}],"о":[{"д":[{"р":[{"а":[{},[0,0,2]]}]}]}],"-":[{},[0,0,8]]}],"в":[{"о":[{"б":[{"л":[{},[0,0,2,3]]}],"ж":[{"д":[{},[0,0,3,2]]}]}],"с":[{"т":[{"р":[{},[0,0,0,2]]}]}],"-":[{},[0,0,8]]}],"г":[{"о":[{"ф":[{},[0,0,2]]}],"-":[{},[0,0,8]]}],"д":[{"е":[{"к":[{"в":[{},[0,0,1]]},[0,0,0,2]]}],"и":[{"а":[{"к":[{},[0,0,2]]}],"о":[{},[0,0,1]]}],"о":[{"п":[{},[0,0,3]],"т":[{},[0,0,3,2]],"б":[{"р":[{"е":[{"л":[{},[0,0,0,2]]}],"и":[{},[0,0,1,2]],"ё":[{"л":[{},[0,0,0,2]]}]}]}]}],"-":[{},[0,0,8]]}],"е":[{"п":[{"и":[{},[0,0,0,3]]}],"-":[{},[0,0,8]]}],"з":[{"а":[{"в":[{"р":[{},[0,0,0,2]]}],"м":[{"н":[{},[0,0,3,2]]}],"п":[{},[0,0,3]]}],"-":[{},[0,0,8]]}],"и":[{"г":[{"р":[{},[0,0,1]]}],"з":[{"г":[{},[0,0,0,2]],"н":[{},[0,0,3]]}],"и":[{},[0,0,2]],"к":[{"р":[{},[0,0,1]]}],"о":[{"н":[{"а":[{},[0,0,4]]}]},[0,0,2]],"с":[{},[0,0,3]],"-":[{},[0,0,8]]}],"л":[{"е":[{"о":[{},[0,0,2]],"п":[{"р":[{},[0,0,2,3]]}],"с":[{"к":[{},[0,0,0,1]]}]}],"ь":[{},[0,0,2]],"ю":[{"с":[{"т":[{},[0,0,0,0,1]]}]}],"-":[{},[0,0,8]]}],"м":[{"е":[{"ж":[{"у":[{},[0,0,2,1,2]]}]}],"и":[{"о":[{"м":[{},[0,0,1]]}]}],"о":[{"к":[{},[0,0,2,1]]}],"у":[{"ш":[{"т":[{},[0,0,2,0,1]]}]}],"-":[{},[0,0,8]]}],"н":[{"а":[{"в":[{},[0,0,1]],"т":[{},[0,0,3]],"ш":[{},[0,0,3,2]]}],"е":[{"в":[{"н":[{},[0,0,3]]}],"д":[{"р":[{},[0,0,1]]}],"з":[{},[0,0,1,2]],"с":[{"л":[{},[0,0,1]],"ц":[{},[0,0,1,2]]}],"т":[{},[0,0,3]]},[0,0,8]],"о":[{"с":[{"к":[{},[0,0,0,1]]}]}],"у":[{"к":[{"л":[{},[0,0,0,1]]}]}],"-":[{},[0,0,8]]}],"о":[{"б":[{"о":[{"ж":[{},[0,0,0,3,2]]}],"л":[{"ю":[{"ю":[{},[0,0,2]]}]}],"р":[{"е":[{"е":[{},[0,0,2]],"й":[{},[0,0,2]],"ю":[{},[0,0,2]]}],"и":[{"в":[{},[0,0,2]],"л":[{},[0,0,2]],"т":[{},[0,0,2]]}]}]}],"в":[{"о":[{},[0,0,0,1]]}],"г":[{"н":[{},[0,0,3]]}],"з":[{},[0,0,4]],"с":[{"к":[{"а":[{},[0,0,2]]}],"п":[{"и":[{},[0,0,3]]},[0,0,2]]}],"т":[{"в":[{},[0,0,1]],"р":[{"о":[{},[0,0,1]],"у":[{},[0,0,1]]}],"у":[{"ж":[{},[0,0,1]]}]}],"-":[{},[0,0,8]]}],"п":[{"о":[{"в":[{},[0,0,3,2]],"ж":[{},[0,0,3,2]],"з":[{"н":[{},[0,0,0,2]]}],"м":[{"н":[{"у":[{},[0,0,0,2]]}]}]}],"р":[{"о":[{"с":[{},[0,0,0,0,2]]}]}],"а":[{"н":[{"и":[{"с":[{},[0,0,2,1]]}]}]}],"-":[{},[0,0,8]]}],"р":[{"а":[{"с":[{"т":[{},[0,0,2,3]]}]}],"е":[{"б":[{"р":[{},[0,0,2]]}],"з":[{"в":[{},[0,0,2,3]]}],"а":[{"н":[{},[0,0,0,2]]}]}],"и":[{"с":[{"к":[{},[0,0,2]]}],"ч":[{},[0,0,2]]}],"о":[{"з":[{"в":[{},[0,0,2,3]]}],"с":[{"л":[{},[0,0,2,3]],"п":[{"и":[{},[0,0,2,3]]}]}],"х":[{},[0,0,2]]}],"ё":[{"б":[{"р":[{},[0,0,2]]}]}],"-":[{},[0,0,8]]}],"с":[{"е":[{"п":[{"т":[{},[0,0,0,0,2]]}]}],"к":[{},[0,0,2]],"т":[{},[0,0,2]],"у":[{"ж":[{},[0,0,2]]}],"о":[{"п":[{"л":[{"а":[{},[0,0,2]]}]}]}],"-":[{},[0,0,8]]}],"т":[{"е":[{"о":[{},[0,0,2,3]]}],"и":[{"а":[{},[0,0,0,3]],"г":[{"р":[{},[0,0,0,1]]},[0,0,2]],"о":[{},[0,0,2]]}],"-":[{},[0,0,8]]}],"у":[{"б":[{},[0,0,2]],"д":[{},[0,0,2]],"е":[{},[0,0,2]],"з":[{"н":[{"а":[{},[0,0,2]]}]}],"к":[{},[0,0,2]],"м":[{"ч":[{},[0,0,2]]}],"о":[{},[0,0,3]],"п":[{},[0,0,2]],"р":[{"в":[{},[0,0,2]]}],"с":[{},[0,0,2]],"т":[{"р":[{},[0,0,2]]}],"ю":[{},[0,0,2]],"ё":[{},[0,0,2]],"-":[{},[0,0,8]]}],"х":[{"о":[{"р":[{"в":[{},[0,0,2,3]]}]}],"-":[{},[0,0,8]]}],"ч":[{"е":[{"с":[{"к":[{},[0,0,2,1]]}]}],"ё":[{"с":[{"к":[{},[0,0,2,1]]}]}],"-":[{},[0,0,8]]}],"ю":[{"с":[{},[0,0,1]],"-":[{},[0,0,8]]}],"ё":[{"-":[{},[0,0,8]]}],"ж":[{"-":[{},[0,0,8]]}],"й":[{"-":[{},[0,0,8]]}],"к":[{"-":[{},[0,0,8]]}],"ф":[{"-":[{},[0,0,8]]}],"ц":[{"-":[{},[0,0,8]]}],"ш":[{"-":[{},[0,0,8]]}],"щ":[{"-":[{},[0,0,8]]}],"ъ":[{"-":[{},[0,0,8]]}],"ы":[{"-":[{},[0,0,8]]}],"ь":[{"-":[{},[0,0,8]]}],"э":[{"-":[{},[0,0,8]]}],"я":[{"-":[{},[0,0,8]]}]}],"а":[{"а":[{"п":[{},[0,0,2]],"р":[{},[0,0,2]],"ц":[{},[0,0,2]],"-":[{},[8,8]]},[4,3]],"б":[{"е":[{"с":[{"т":[{},[0,0,0,3]]}]}],"л":[{"а":[{},[0,3]],"ю":[{},[0,0,2]]}],"р":[{"и":[{},[0,0,1]]}],"у":[{},[0,3]],"-":[{},[8,8]]},[0,1]],"в":[{"в":[{},[0,0,1]],"е":[{},[0,1]],"з":[{"о":[{},[0,0,3]]}],"и":[{"а":[{},[0,0,0,2]]},[0,1]],"о":[{"с":[{},[0,0,0,1]],"т":[{},[0,2]]},[0,1]],"р":[{"а":[{},[0,0,1]]}],"с":[{"е":[{},[0,0,2]]}],"т":[{},[0,2]],"у":[{},[0,1]],"х":[{},[0,2]],"ч":[{"е":[{},[0,3,2]]}],"ё":[{},[0,1]],"-":[{},[8,8]]}],"г":[{"а":[{"с":[{},[0,0,0,1,2]]},[2]],"д":[{},[0,2]],"и":[{"т":[{"и":[{},[0,2]]}]}],"л":[{"е":[{},[0,2]],"и":[{},[0,0,2]],"о":[{"с":[{},[0,2]],"т":[{},[0,0,2]]}]}],"о":[{},[2]],"у":[{},[0,3]],"-":[{},[8,8]]}],"д":[{"в":[{"е":[{},[0,2]],"ё":[{},[0,2]]},[2]],"ж":[{"и":[{},[0,0,2]]}],"и":[{"о":[{"д":[{},[0,0,0,2]]}]}],"л":[{},[0,2]],"о":[{"б":[{"л":[{},[0,2,1]]}]}],"р":[{"о":[{},[0,0,1]],"у":[{},[0,2,1]]}],"у":[{"ч":[{},[0,0,0,3]]}],"ц":[{},[0,0,2]],"ы":[{"н":[{},[0,2]]}],"-":[{},[8,8]]},[0,1]],"е":[{"г":[{"о":[{},[0,0,2]]}],"д":[{"и":[{},[0,0,2]]}],"л":[{},[0,0,2]],"п":[{},[0,2]],"р":[{"е":[{},[0,0,2]]}],"с":[{},[0,0,2]],"-":[{},[8,8]]},[0,1]],"з":[{"а":[{"ш":[{},[0,0,0,4,3]]}],"в":[{"е":[{"з":[{},[0,0,3]]}],"л":[{},[0,0,1]],"ё":[{"з":[{},[0,0,3]]}]},[0,0,0,2]],"г":[{},[0,0,0,2]],"д":[{"р":[{},[0,0,1]]}],"о":[{"б":[{"р":[{},[0,0,2,1]]},[0,0,1]],"в":[{"ь":[{},[0,2]]}],"л":[{"ь":[{},[0,2]]}],"р":[{"и":[{},[0,1]]}],"с":[{},[0,0,2,1]]}],"р":[{},[0,0,1]],"-":[{},[8,8]]}],"и":[{"г":[{"л":[{},[0,0,3]]},[0,0,2,1]],"х":[{},[0,2]],"-":[{},[8,8]]},[0,1]],"к":[{"в":[{},[0,0,1]],"к":[{},[1]],"л":[{"е":[{"м":[{},[0,0,3]]}]},[0,0,2]],"о":[{"б":[{},[0,0,0,1,2]],"н":[{"с":[{},[2]]}],"т":[{},[0,0,0,3]]}],"р":[{"и":[{},[2]]}],"с":[{},[0,0,1]],"-":[{},[8,8]]},[0,1]],"л":[{"а":[{"г":[{},[0,3]]},[0,1]],"е":[{"к":[{},[2]]},[0,1]],"и":[{},[0,3]],"о":[{"з":[{},[0,0,0,1]]}],"у":[{"ш":[{"т":[{},[0,0,0,0,1]]},[0,0,0,2]]},[0,1]],"ы":[{},[0,1]],"ь":[{"щ":[{},[0,2]]}],"ю":[{},[0,1]],"ё":[{"к":[{},[2]]},[0,1]],"-":[{},[8,8]]}],"м":[{"а":[{},[2]],"б":[{},[0,0,0,4]],"е":[{"т":[{},[2]]}],"и":[{"н":[{"т":[{},[0,2]]}]}],"н":[{"е":[{"т":[{},[0,0,2]]}],"ё":[{"т":[{},[0,0,2]]}]}],"о":[{"з":[{},[0,0,0,1,2]],"и":[{},[0,0,0,0,2]]},[2]],"ч":[{},[0,2]],"ё":[{"т":[{},[2]]}],"-":[{},[8,8]]}],"н":[{"а":[{"д":[{"ц":[{},[0,0,0,2]]}],"м":[{"е":[{},[0,2,1,2]]}],"ф":[{},[0,2]]}],"д":[{"р":[{"а":[{},[0,0,2]]}]}],"о":[{"б":[{},[0,2,1,2]],"х":[{"р":[{},[0,0,1,2]]}]}],"р":[{},[0,0,1]],"с":[{"п":[{},[0,0,2]],"у":[{"р":[{},[0,0,2]]},[0,0,0,1]]}],"у":[{"з":[{},[0,2,1]]}],"ь":[{"ш":[{},[0,2]]},[0,1]],"-":[{},[8,8]]}],"о":[{"д":[{},[0,0,2]],"к":[{},[0,0,2]],"р":[{},[0,0,2]],"с":[{"т":[{},[0,0,0,0,1]]},[0,0,2]],"-":[{},[8,8]]},[2,1]],"п":[{"л":[{"а":[{},[0,3]],"о":[{"м":[{},[0,0,2]]}]}],"о":[{"в":[{"с":[{},[0,0,0,4]]}],"ч":[{"т":[{},[0,0,0,3,2]]}]},[2]],"р":[{"а":[{},[0,0,2]],"е":[{"л":[{},[0,0,1]]}]}],"-":[{},[8,8]]}],"р":[{"а":[{"с":[{"т":[{},[0,0,0,2]]}]},[0,1]],"б":[{"о":[{"к":[{},[0,0,2]]}]}],"в":[{"а":[{"л":[{},[0,0,2]]}]}],"г":[{"у":[{},[1]]}],"е":[{"д":[{"в":[{},[0,0,0,1]]}],"о":[{"л":[{},[0,0,0,1]]}]},[0,1]],"ж":[{"а":[{},[0,0,2]]}],"и":[{},[0,1]],"о":[{},[0,1]],"т":[{"о":[{"р":[{},[0,0,2]]}],"р":[{},[0,0,2,1]]}],"у":[{},[0,1]],"х":[{},[0,0,1]],"ы":[{},[0,1]],"ю":[{},[0,1]],"я":[{},[0,1]],"ё":[{},[0,1]],"-":[{},[8,8]]}],"с":[{"к":[{},[2,0,1]],"м":[{"и":[{},[0,0,3]]}],"н":[{"о":[{},[0,0,3]]}],"с":[{"и":[{"г":[{},[1]]}]}],"т":[{"в":[{"у":[{},[0,0,0,1]]}],"е":[{"м":[{},[0,0,3]]}],"и":[{"н":[{},[0,0,2]],"я":[{},[0,0,2]]}],"о":[{"о":[{},[0,0,1]]}],"у":[{"х":[{},[0,0,1]]}],"ь":[{"е":[{},[0,1]]}],"ё":[{"м":[{},[0,0,3]]}]}],"ш":[{"е":[{"д":[{},[0,0,2]],"с":[{},[0,0,2]]}]}],"ь":[{"и":[{},[0,1]]}],"-":[{},[8,8]]}],"т":[{"а":[{"к":[{},[1]]},[0,1]],"в":[{"а":[{},[0,0,3]],"и":[{},[0,0,1]],"у":[{},[0,0,1]]}],"е":[{"з":[{},[2]]}],"и":[{},[0,1]],"о":[{"б":[{"е":[{},[0,0,1]]}],"м":[{"н":[{},[0,2]]}],"ш":[{},[0,0,0,2]]},[0,1]],"р":[{"а":[{"х":[{},[0,0,1]]}],"и":[{},[0,0,1]],"о":[{"с":[{"к":[{},[0,0,0,0,2]]}]}]}],"у":[{},[0,1]],"х":[{},[0,0,2]],"ы":[{},[0,1]],"ь":[{"е":[{},[0,1]],"ю":[{},[0,3]],"я":[{},[0,3]],"ё":[{},[0,1]]}],"ю":[{},[0,1]],"я":[{},[0,1]],"-":[{},[8,8]]}],"у":[{"б":[{},[0,2]],"д":[{"о":[{},[0,0,3]]},[0,0,2]],"л":[{"е":[{},[0,2]]}],"т":[{"р":[{},[0,0,0,1]]}],"х":[{},[0,0,2]],"ч":[{"ь":[{},[0,0,3]]},[0,0,2]],"э":[{},[0,0,0,1]],"-":[{},[8,8]]},[0,1]],"ф":[{"л":[{},[0,2,1]],"-":[{},[8,8]]}],"х":[{"а":[{},[0,0,2]],"м":[{"и":[{},[0,0,0,0,2]]}],"с":[{},[0,0,3]],"-":[{},[8,8]]}],"ч":[{"а":[{},[2]],"л":[{},[0,2]],"т":[{},[0,0,1]],"-":[{},[8,8]]},[0,1]],"ш":[{"л":[{},[0,2]],"-":[{},[8,8]]}],"э":[{"л":[{"и":[{},[0,0,2]]}],"р":[{},[0,2]],"-":[{},[8,8]]}],"ю":[{"т":[{"а":[{},[0,0,1]]}],"-":[{},[8,8]]}],"я":[{"б":[{},[0,0,2]],"в":[{},[0,0,2]],"з":[{},[0,0,2]],"-":[{},[8,8]]},[0,1]],"ё":[{"-":[{},[8,8]]},[0,1]],"ж":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ъ":[{"-":[{},[8,8]]}],"ы":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}]}],"б":[{"а":[{"б":[{"в":[{},[0,0,2]]}],"г":[{"р":[{},[0,0,2,1]]}],"д":[{"р":[{},[0,0,2]]}],"з":[{"у":[{},[0,0,3]]},[0,0,1]],"л":[{"ю":[{},[0,0,0,0,1]]}],"о":[{},[0,0,2]],"с":[{"м":[{},[0,0,0,3]],"т":[{},[0,0,1]]}],"т":[{"р":[{},[0,0,1]]}],"-":[{},[8,8]]},[1]],"б":[{"-":[{},[8,8]]},[2,1]],"в":[{"ы":[{},[0,0,0,2]],"-":[{},[8,8]]},[0,1]],"г":[{"-":[{},[8,8]]},[0,0,2]],"д":[{"-":[{},[8,8]]},[2,1]],"е":[{"в":[{},[3]],"г":[{"л":[{},[0,0,2]],"н":[{},[0,0,2]]}],"д":[{"р":[{},[0,0,2,1]]}],"е":[{},[3]],"з":[{"а":[{},[0,0,0,1,2]],"д":[{},[0,0,0,5,4]],"и":[{},[0,0,3]],"н":[{},[0,0,0,3]],"о":[{},[0,0,0,1,2]],"р":[{},[0,0,0,1]],"у":[{"с":[{},[0,0,0,0,2]]}]},[3,0,2]],"с":[{"к":[{},[0,0,2,1]],"п":[{},[0,0,0,3]],"т":[{"е":[{},[0,0,0,3]],"и":[{},[0,0,0,3]]},[0,0,2,1]]}],"ц":[{},[3]],"щ":[{},[2]],"-":[{},[8,8]]},[1]],"ж":[{"-":[{},[8,8]]},[2]],"з":[{"-":[{},[8,8]]},[0,1,2]],"и":[{"а":[{},[3]],"б":[{},[0,0,2]],"ж":[{},[2]],"к":[{},[3]],"л":[{"и":[{"т":[{},[0,0,0,0,3,2]]}]}],"о":[{"б":[{},[0,0,2]],"д":[{},[0,0,2]],"н":[{},[0,0,2]],"р":[{},[0,0,2]]},[3]],"т":[{"в":[{},[0,0,2]]}],"х":[{},[0,0,1]],"н":[{"о":[{"с":[{"к":[{},[0,0,0,0,2]]}]}]}],"-":[{},[8,8]]},[1,2]],"к":[{"-":[{},[8,8]]},[2,3]],"л":[{"а":[{"г":[{},[1]],"з":[{"и":[{},[0,3]]},[1,2]],"н":[{},[0,2]]}],"е":[{"е":[{},[1,2]],"н":[{},[0,3]],"с":[{"к":[{},[0,2,0,0,1]]}],"я":[{},[1,2]]}],"у":[{"д":[{},[0,2]],"ж":[{},[1,2]]}],"ы":[{},[2]],"ь":[{},[2,2]],"ю":[{".":[{},[2,3]],"д":[{},[0,2]],"е":[{},[0,2]],"л":[{},[0,2]],"с":[{"ь":[{},[2,3]]}],"ё":[{},[0,2]]}],"я":[{},[2]],"ё":[{"н":[{},[0,3]],"с":[{"к":[{},[0,2,0,0,1]]}]}],"-":[{},[8,8]]},[0,1]],"н":[{"-":[{},[8,8]]},[2,3]],"о":[{"б":[{"р":[{"а":[{},[0,0,1]]}]}],"в":[{"ш":[{},[0,0,3]]}],"г":[{"д":[{},[0,0,2]]}],"д":[{"р":[{"а":[{},[0,0,1]]}]}],"з":[{},[0,0,1,2]],"л":[{"ж":[{},[0,0,1,2]],"ь":[{"с":[{},[0,0,1]]}]}],"м":[{"л":[{},[0,0,3,2]],"ч":[{},[0,0,2]],"ш":[{},[0,0,3]]}],"н":[{"у":[{},[0,0,0,0,1]]}],"р":[{"у":[{},[0,0,1]]}],"с":[{"а":[{},[0,0,2]],"к":[{"о":[{},[0,0,3]]},[0,0,1]],"т":[{"и":[{},[0,0,3]]}]}],"т":[{"в":[{},[0,0,2]],"р":[{},[0,0,0,2]]},[3]],"я":[{"р":[{},[0,0,0,2]]}],"-":[{},[8,8]]},[1]],"р":[{".":[{},[2]],"а":[{"б":[{},[0,3]],"в":[{},[0,2]],"з":[{"о":[{},[0,0,0,1]]}],"л":[{},[1,2]],"м":[{},[2,1]],"н":[{},[0,2]],"с":[{},[1]],"т":[{"ь":[{},[0,2]]}],"х":[{},[0,1]],"ч":[{},[1,2]],"я":[{},[2,3]]}],"е":[{"д":[{},[1,2]],"й":[{},[0,1]],"к":[{},[0,1]],"м":[{},[0,2]],"х":[{},[0,2]]}],"и":[{"д":[{},[0,2]],"т":[{"о":[{},[0,2]],"ы":[{},[0,2]]}]}],"о":[{"д":[{"и":[{},[1,2]]}],"л":[{},[0,1]],"м":[{".":[{},[0,1]]}],"с":[{"и":[{},[1,2]],"к":[{},[0,0,0,2,1]]}]}],"с":[{},[2]],"у":[{"к":[{"с":[{},[3]]}]},[0,1]],"ь":[{},[2]],"ю":[{".":[{},[2,3]]},[1,2]],"я":[{},[0,1]],"ё":[{"к":[{},[0,1]],"м":[{},[0,2]],"х":[{},[0,2]]}],"-":[{},[8,8]]}],"с":[{"к":[{},[0,3]],"л":[{},[0,0,4]],"-":[{},[8,8]]},[2,1,2]],"т":[{"-":[{},[8,8]]},[0,1]],"у":[{"г":[{"р":[{},[0,0,2,1]]}],"к":[{"л":[{},[0,0,0,1]]}],"с":[{},[0,0,1]],"-":[{},[8,8]]},[1,2]],"ф":[{"-":[{},[8,8]]},[2]],"х":[{"-":[{},[8,8]]},[2,1]],"ц":[{"-":[{},[8,8]]},[2]],"ч":[{"-":[{},[8,8]]},[2,1]],"ш":[{"-":[{},[8,8]]},[2]],"щ":[{"-":[{},[8,8]]},[2]],"ы":[{"г":[{},[0,0,2,1]],"с":[{"к":[{},[0,0,0,1]],"т":[{},[0,0,0,0,1]]},[0,0,2]],"-":[{},[8,8]]},[1]],"ь":[{".":[{},[2]],"с":[{},[2]],"т":[{},[2]],"-":[{},[8,8]]},[1]],"э":[{"р":[{},[0,0,1]],"-":[{},[8,8]]}],"ю":[{"т":[{"а":[{},[0,0,1]]}],"-":[{},[8,8]]},[3,2]],"я":[{"-":[{},[8,8]]},[1]],"ё":[{"д":[{"р":[{},[0,0,2,1]]}],"-":[{},[8,8]]},[1]],"ъ":[{".":[{},[8]],"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"м":[{"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]}]}],"в":[{"а":[{"б":[{"р":[{},[0,0,2]]}],"г":[{},[3]],"д":[{"р":[{},[0,0,2,1]],"ь":[{},[0,0,0,0,2]]}],"ж":[{"д":[{},[0,0,3,2]]}],"з":[{},[0,0,1]],"н":[{"с":[{},[0,0,0,0,2]]}],"с":[{"т":[{"р":[{},[0,0,2]]},[0,0,1]]}],"т":[{"р":[{},[0,0,1]]}],"х":[{},[0,0,0,1]],"ц":[{},[3]],"я":[{},[3]],"-":[{},[8,8]]},[1]],"б":[{"-":[{},[8,8]]},[2,1]],"в":[{"и":[{},[0,1]],"р":[{},[0,1]],"-":[{},[8,8]]}],"г":[{"-":[{},[8,8]]},[2,0,2]],"д":[{"о":[{"х":[{},[0,2]]}],"-":[{},[8,8]]},[0,1]],"е":[{"в":[{},[1]],"г":[{},[3]],"д":[{"р":[{},[0,0,0,1]],"у":[{},[0,0,3]]}],"е":[{},[1]],"з":[{"е":[{},[3]],"л":[{},[3]],"у":[{},[0,0,0,2]],"ё":[{},[3]]},[1]],"й":[{".":[{},[1]]}],"п":[{},[0,0,2,1]],"р":[{"д":[{},[2]]}],"с":[{"к":[{},[0,0,2,1]],"т":[{"в":[{},[0,0,2,0,1]]}]},[1]],"т":[{"р":[{},[0,0,0,3]]}],"ц":[{},[1]],"ю":[{},[1]],"я":[{},[1]],"ё":[{},[1]],"-":[{},[8,8]]}],"з":[{"г":[{},[0,0,0,2]],"д":[{},[0,0,0,2]],"о":[{"б":[{},[0,0,0,1]]}],"ъ":[{"е":[{"д":[{},[0,0,0,0,3]]}]},[0,0,0,2]],"-":[{},[8,8]]},[1,2,2]],"и":[{"а":[{"з":[{},[0,0,2]],"к":[{},[0,0,2]],"р":[{},[0,0,2]],"с":[{},[0,0,2,1,2]],"т":[{},[0,0,0,1]],"ф":[{},[0,0,3]]}],"г":[{"в":[{},[0,0,2]],"л":[{},[0,0,2]]}],"з":[{"г":[{"н":[{},[0,0,0,2]]}]},[1]],"н":[{"т":[{},[1]],"ч":[{},[1]]}],"о":[{},[0,0,1]],"с":[{"н":[{"и":[{},[0,0,1,2]]}]}],"у":[{},[0,0,0,3]],"ф":[{},[0,0,2]],"-":[{},[8,8]]}],"к":[{"л":[{},[0,0,2]],"у":[{"с":[{},[3,2]]}],"-":[{},[8,8]]},[2,1]],"л":[{"а":[{"б":[{},[2,3]]},[0,2]],"е":[{"в":[{},[0,2]],"к":[{},[0,2]],"т":[{},[0,2]],"ч":[{},[0,2]]}],"и":[{"я":[{},[0,2]]},[2]],"ю":[{"б":[{},[0,2]]},[2]],"я":[{},[2]],"ё":[{"к":[{},[0,2]],"т":[{},[0,2]]}],"-":[{},[8,8]]},[0,1]],"м":[{"е":[{},[1]],"ё":[{},[1]],"-":[{},[8,8]]},[2]],"н":[{"а":[{},[4,3]],"е":[{"с":[{},[0,2]]}],"о":[{},[0,0,0,1]],"у":[{".":[{},[0,3]],"к":[{},[3,2]],"ч":[{},[3,2]]}],"ы":[{},[0,3]],"ё":[{"с":[{},[0,2]]}],"-":[{},[8,8]]},[2,1]],"о":[{"б":[{"л":[{"а":[{},[0,0,2,3]]}]},[0,0,1,2]],"в":[{"к":[{},[0,0,3]]},[0,0,0,2]],"д":[{"в":[{},[0,0,1]],"р":[{},[0,0,1]]},[1]],"е":[{"р":[{},[0,0,2]]}],"ж":[{"ж":[{},[0,0,2]]}],"и":[{"с":[{},[0,0,0,2,1]]}],"к":[{},[1]],"м":[{},[0,0,3,2]],"п":[{},[0,0,0,2]],"р":[{"у":[{},[0,0,1]],"ц":[{},[2]],"ь":[{},[2]]}],"с":[{"к":[{},[0,0,0,1]],"м":[{},[0,0,1]],"н":[{},[0,0,1]],"п":[{"е":[{},[0,0,0,3]]}],"т":[{"р":[{},[0,0,2]]}]}],"т":[{"р":[{},[0,0,0,2]]}],"х":[{"л":[{},[0,0,1]],"т":[{},[0,0,3,2]]},[1]],"ю":[{},[1]],"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]},[2,0,2]],"р":[{".":[{},[2]],"а":[{".":[{},[2]],"в":[{},[0,2]],"м":[{},[2,1]],"с":[{},[0,1]],"х":[{},[2,1]],"ц":[{},[2]]}],"е":[{".":[{},[2]],"н":[{},[2,1]]}],"и":[{"д":[{},[1]],"з":[{},[1,2]],"и":[{},[0,1]],"к":[{},[0,1]],"л":[{},[0,1]],"с":[{},[0,1]],"т":[{},[0,1]]}],"о":[{"т":[{},[0,0,0,3,2]]},[2,1]],"ы":[{},[2,1]],"ю":[{},[1]],"я":[{},[0,1]],"ё":[{"н":[{},[2,1]]}],"-":[{},[8,8]]}],"с":[{"е":[{},[3,0,0,3]],"к":[{"а":[{"я":[{},[0,3]]}],"и":[{},[4,3]],"у":[{},[4,3]]}],"п":[{},[3,2]],"ю":[{},[3,2]],"ё":[{},[3,0,0,3]],"-":[{},[8,8]]},[2,1,2]],"т":[{"о":[{"б":[{},[0,0,0,1,2]],"ш":[{},[0,0,0,3]]}],"-":[{},[8,8]]},[0,1,2]],"у":[{"а":[{},[1]],"г":[{},[0,0,3]],"з":[{},[1,0,1]],"и":[{},[2]],"к":[{},[2,0,1]],"п":[{},[0,0,3]],"с":[{},[0,0,1,2]],"х":[{"а":[{},[0,0,2,1]],"в":[{},[0,0,0,3]]}],"ч":[{"л":[{},[0,0,1]]}],"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]},[0,0,2]],"х":[{"о":[{},[1]],"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]},[2]],"ч":[{"-":[{},[8,8]]},[2,1]],"ш":[{"и":[{"в":[{},[3,2]]}],"-":[{},[8,8]]},[2]],"щ":[{"-":[{},[8,8]]},[2]],"ъ":[{".":[{},[8]],"-":[{},[8,8]]},[0,0,2]],"ы":[{"г":[{},[0,0,3,2]],"з":[{"н":[{},[0,0,3]]}],"п":[{},[0,0,0,2]],"т":[{},[0,0,3,2]],"х":[{},[0,0,0,2]],"ш":[{"л":[{},[0,0,3,2]]}],"б":[{"р":[{"е":[{},[0,0,0,2]]}]}],"-":[{},[8,8]]},[1]],"ь":[{".":[{},[2]],"е":[{},[1]],"и":[{"н":[{},[1]]}],"с":[{},[2]],"т":[{},[2]],"ю":[{},[1]],"я":[{},[1]],"ё":[{},[1]],"-":[{},[8,8]]}],"э":[{"-":[{},[8,8]]},[1,2,1]],"ю":[{"-":[{},[8,8]]},[1,2]],"я":[{"-":[{},[8,8]]},[1]],"ё":[{"д":[{"р":[{},[0,0,0,1]]}],"з":[{},[1]],"р":[{"д":[{},[2]]}],"с":[{},[1]],"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}]}],"г":[{"а":[{"з":[{},[0,0,1]],"с":[{"т":[{},[0,0,1,0,2]]}],"у":[{},[0,0,2]],"-":[{},[8,8]]},[0,2]],"б":[{"а":[{},[0,0,0,2]],"-":[{},[8,8]]},[2,3]],"в":[{"и":[{},[0,1]],"-":[{},[8,8]]}],"г":[{"-":[{},[8,8]]},[2]],"д":[{"а":[{"н":[{},[0,3]]}],"и":[{},[2,3]],"-":[{},[8,8]]}],"е":[{".":[{},[3]],"б":[{},[0,0,2,1]],"н":[{"о":[{},[0,0,0,0,1]]}],"о":[{"б":[{},[0,0,2]],"д":[{},[0,0,2]],"р":[{},[0,0,1]]}],"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]},[2,3]],"з":[{"-":[{},[8,8]]},[2,1]],"и":[{"б":[{"л":[{},[0,0,2]],"р":[{},[0,0,3]]}],"г":[{"р":[{},[0,0,2]]}],"с":[{"л":[{},[0,0,1]],"т":[{},[0,0,0,0,2]]}],"-":[{},[8,8]]},[0,2]],"к":[{"-":[{},[8,8]]},[2,1]],"л":[{"а":[{".":[{},[2]],"в":[{},[0,2]],"й":[{},[0,1]],"м":[{"и":[{},[0,1]]}],"с":[{"ь":[{},[2]]}],"я":[{},[2]]}],"е":[{"т":[{},[0,2]]},[0,1]],"и":[{".":[{},[2]],"н":[{},[0,2]],"ф":[{},[3,2]]}],"о":[{".":[{},[2]],"б":[{"л":[{},[0,3]]}],"в":[{},[2]],"г":[{},[2]],"е":[{},[2]],"й":[{},[2]],"ю":[{},[2]]}],"у":[{"ю":[{},[2]]}],"ы":[{},[2,1]],"я":[{"ж":[{},[0,2]],"к":[{},[2]]}],"ё":[{"т":[{},[0,2]]},[0,1]],"-":[{},[8,8]]}],"м":[{"-":[{},[8,8]]},[2,3]],"н":[{"а":[{"в":[{},[0,2]],"н":[{},[0,2]]}],"е":[{".":[{},[0,3]],"в":[{},[0,2]],"н":[{},[0,3]],"п":[{},[0,3]],"с":[{},[0,3]]}],"и":[{"р":[{},[0,2]],"т":[{"р":[{},[0,0,0,0,2]]}]}],"о":[{"е":[{},[0,2]],"и":[{},[0,2]],"с":[{},[0,2]],"ё":[{},[0,2]]}],"я":[{},[0,3]],"ё":[{"в":[{},[0,2]],"н":[{},[0,3]]}],"-":[{},[8,8]]}],"о":[{"б":[{},[0,0,1,2]],"в":[{"л":[{},[0,0,2]]}],"ж":[{"д":[{},[0,0,3,2]]}],"з":[{"л":[{},[0,0,2]],"н":[{},[0,0,0,2]]},[0,0,1]],"и":[{"г":[{},[0,0,0,0,2]]}],"й":[{},[3]],"л":[{},[0,2]],"м":[{"и":[{},[0,0,0,0,2]]}],"с":[{"а":[{},[0,0,2,1]],"д":[{},[0,0,2]],"к":[{"л":[{},[0,0,1]]}],"н":[{},[0,0,1]],"п":[{"а":[{},[0,0,1]]}]}],"т":[{"д":[{},[2]]}],"у":[{"т":[{},[0,0,0,3]]}],"ч":[{"л":[{},[0,0,1]]}],"ю":[{},[3]],"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]},[2]],"р":[{".":[{},[2]],"а":[{"е":[{},[0,1]],"й":[{},[0,1]],"р":[{},[0,1]]}],"е":[{"г":[{},[0,1]],"к":[{},[0,1]],"ц":[{},[0,1]]}],"и":[{"в":[{"н":[{},[0,0,0,4,3]]}],"к":[{},[0,1]],"л":[{},[0,1]],"н":[{},[0,1]],"с":[{},[0,1]],"ч":[{},[0,1]]}],"о":[{"в":[{},[0,1]],"з":[{},[0,2]],"к":[{},[0,1]],"н":[{},[0,1]],"п":[{},[0,1]],"т":[{},[0,1]],"ф":[{},[0,1]]}],"у":[{"п":[{},[0,0,0,2]]}],"ы":[{"в":[{},[0,1]]}],"ю":[{},[2]],"я":[{"е":[{},[0,1]],"л":[{},[0,1]],"т":[{},[0,1]]}],"-":[{},[8,8]]}],"с":[{"а":[{},[0,4]],"б":[{},[0,4]],"т":[{"р":[{},[0,0,0,4]]}],"-":[{},[8,8]]},[2,3,2]],"т":[{"-":[{},[8,8]]},[2,3]],"у":[{"в":[{},[0,0,1]],"с":[{"к":[{},[0,0,2,1]]},[0,0,1]],"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]},[2]],"ч":[{"-":[{},[8,8]]},[2,1]],"ш":[{"-":[{},[8,8]]},[2,3]],"э":[{"-":[{},[8,8]]},[2,3]],"ъ":[{".":[{},[8]],"-":[{},[8,8]]}],"ё":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"х":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ы":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}]},[1]],"д":[{"а":[{"б":[{},[0,0,2,1]],"г":[{"е":[{"н":[{},[0,0,2]]}],"р":[{},[0,0,2]]}],"з":[{},[0,0,1]],"о":[{},[0,0,2]],"с":[{"т":[{"р":[{},[0,0,0,0,1]]}]}],"т":[{"р":[{},[0,0,0,1]]}],"-":[{},[8,8]]},[1]],"б":[{"-":[{},[8,8]]},[2,1]],"в":[{"е":[{},[0,1]],"и":[{"д":[{},[2,1]],"з":[{},[2]],"н":[{"т":[{},[2]],"ч":[{},[2]]}],"с":[{},[2,1]],"т":[{},[2,1]]},[1]],"к":[{},[0,3]],"л":[{},[0,1]],"о":[{"д":[{},[2]],"з":[{},[0,1]],"р":[{"ь":[{},[1]]}]}],"я":[{},[2]],"ё":[{},[0,1]],"-":[{},[8,8]]},[0,0,2]],"г":[{"-":[{},[8,8]]},[2,0,2]],"д":[{"-":[{},[8,8]]},[2,1,2]],"е":[{"б":[{"л":[{},[0,0,1,2]],"р":[{},[0,0,1,2]]}],"в":[{"р":[{},[3]]}],"з":[{"а":[{},[0,0,2,1,2]],"и":[{},[0,0,2]],"о":[{},[0,0,0,1,2]],"у":[{},[0,0,2]]},[3]],"и":[{"о":[{},[0,0,0,0,2]]}],"к":[{"л":[{},[0,0,1]]}],"м":[{"е":[{},[3]]}],"о":[{"д":[{},[0,0,2]],"п":[{},[0,0,0,3]]}],"п":[{"л":[{},[0,0,3]]}],"р":[{"а":[{"с":[{},[0,0,0,0,0,2]]}]}],"с":[{"в":[{},[0,0,2,3]],"к":[{},[0,0,0,2]],"р":[{},[0,0,2]]}],"х":[{"л":[{},[0,0,1]]}],"-":[{},[8,8]]},[1]],"ж":[{".":[{},[2]],"а":[{"м":[{},[0,2]]}],"м":[{},[0,2,3]],"с":[{},[2]],"-":[{},[8,8]]}],"з":[{"-":[{},[8,8]]},[2,1,2]],"и":[{"а":[{"д":[{},[0,0,2]],"з":[{},[0,0,0,2]],"л":[{"и":[{},[0,0,2]],"о":[{},[0,0,2]]}],"р":[{},[0,0,2]],"с":[{},[0,0,2]]}],"о":[{"б":[{},[0,0,2]],"д":[{"е":[{},[0,0,0,3]]}],"р":[{},[0,0,2]],"с":[{},[0,0,0,1]],"т":[{"и":[{},[0,0,1]]}]}],"п":[{"и":[{},[0,0,2]],"т":[{},[0,0,3]]},[0,0,0,2]],"с":[{"т":[{"р":[{},[0,0,2,1]]}],"л":[{"о":[{"в":[{},[0,0,1,2]]}]}]}],"у":[{},[0,0,0,3]],"ф":[{"р":[{},[0,0,3]],"т":[{"о":[{},[0,0,3]]}]}],"х":[{},[0,0,1]],"-":[{},[8,8]]},[1]],"к":[{"-":[{},[8,8]]},[2,1]],"л":[{"е":[{"в":[{},[0,2]]}],"-":[{},[8,8]]},[0,1]],"м":[{"-":[{},[8,8]]},[2,3,2]],"н":[{"а":[{},[0,3]],"е":[{"а":[{},[0,0,0,0,2]],"в":[{"н":[{},[3]]}]}],"о":[{"д":[{},[0,0,0,3,2]],"с":[{},[0,0,0,0,2]]},[4,3,0,1]],"ы":[{},[4,3]],"я":[{"ш":[{},[3,2]]}],"-":[{},[8,8]]},[2,1]],"о":[{"б":[{"е":[{"д":[{},[2,1,2]]}],"л":[{"а":[{},[2,1]]},[0,0,2]],"р":[{"а":[{},[0,0,1,2]]}]}],"в":[{"л":[{},[0,0,0,2]],"м":[{},[0,0,3,2]]}],"д":[{"н":[{},[0,0,3]]},[0,0,1,2]],"ж":[{"д":[{},[0,0,3,2]]}],"з":[{"н":[{},[0,0,0,2]]},[0,0,1]],"и":[{"р":[{},[0,0,0,2]]}],"к":[{"т":[{},[2]]}],"л":[{"и":[{"м":[{},[2]]}]}],"м":[{"р":[{},[0,0,2,1]]}],"п":[{"л":[{"е":[{},[2]],"ё":[{},[2]]},[0,0,3]],"р":[{"е":[{},[0,0,2]],"ё":[{},[0,0,2]]}]},[0,0,0,2]],"р":[{"у":[{"б":[{},[0,0,2]]}]}],"с":[{"е":[{"н":[{},[0,1,2]]}],"и":[{"н":[{},[0,1,2]]}],"н":[{"о":[{},[2,1]],"я":[{},[0,0,0,2]]}],"п":[{},[0,0,0,2]]},[0,0,1]],"т":[{"д":[{},[2]],"л":[{},[2]],"р":[{"и":[{},[0,0,0,2]],"я":[{},[2,1]]}],"ъ":[{},[2]],"ь":[{},[0,0,3]]}],"х":[{"л":[{},[3]]}],"ш":[{"в":[{},[0,0,2,3]],"к":[{},[0,0,3,2]],"л":[{"ы":[{},[0,0,2]]}]}],"щ":[{"у":[{},[0,0,2]]}],"-":[{},[8,8]]},[1]],"п":[{"-":[{},[8,8]]},[2]],"р":[{".":[{},[2]],"а":[{"б":[{},[0,1]],"в":[{"ш":[{},[1]]}],"з":[{"в":[{},[2]],"н":[{},[1,2]]}],"н":[{"е":[{},[0,1]]}],"р":[{},[0,1]],"с":[{},[0,1,0,2,3]],"х":[{},[0,1]],"ч":[{},[0,1]],"ю":[{},[0,2]]}],"е":[{"б":[{},[0,2]],"ж":[{},[2,3]],"з":[{},[2]],"л":[{},[0,2]],"м":[{"а":[{},[1]],"л":[{},[1]],"н":[{},[0,0,0,0,3]],"ы":[{},[1]]},[0,2]],"н":[{},[2,3]],"с":[{"к":[{},[0,0,0,2]],"с":[{},[0,2]]}]},[0,1]],"и":[{"й":[{},[0,2]],"н":[{},[2]],"п":[{},[0,2]],"х":[{},[0,2]]},[0,1]],"о":[{"г":[{"н":[{},[0,0,0,2,3]]}],"д":[{},[0,1]],"е":[{},[0,1]],"ж":[{"ж":[{},[0,0,0,2,3]]},[1,2]],"з":[{},[2,3]],"й":[{},[0,1]],"л":[{},[0,1]],"н":[{},[0,1]],"с":[{},[0,1]],"т":[{},[0,1]],"ю":[{},[0,1]]}],"у":[{"б":[{},[0,1]],"г":[{},[1]],"ж":[{"е":[{"й":[{},[2]]}]},[1]],"м":[{},[0,1]],"ю":[{},[0,1]]}],"ы":[{"в":[{},[2]],"г":[{},[1,2]]},[0,1]],"я":[{"б":[{},[0,2]],"г":[{},[1,2]],"х":[{},[0,2]]},[0,1]],"ё":[{"б":[{},[0,2]],"ж":[{},[2,3]],"м":[{"а":[{},[1]],"ы":[{},[1]]},[0,2]],"н":[{},[2,3]]},[0,1]],"-":[{},[8,8]]}],"с":[{"к":[{"н":[{},[0,0,3]]},[0,0,0,2]],"-":[{},[8,8]]},[2,1,2]],"т":[{"-":[{},[8,8]]},[2,1]],"у":[{"б":[{"р":[{},[0,0,0,3]]}],"г":[{},[0,0,3]],"д":[{"а":[{},[0,0,2]]},[2,1]],"о":[{},[0,0,2]],"п":[{"л":[{},[0,0,0,1]]}],"с":[{"к":[{},[0,0,0,1]],"л":[{},[0,1]],"т":[{"а":[{},[0,0,2]]},[0,0,1]]}],"т":[{"р":[{},[2,0,0,1]]}],"х":[{},[0,0,1]],"ч":[{"и":[{},[0,0,2]]}],"э":[{"т":[{},[0,0,0,1]]}],"-":[{},[8,8]]},[1]],"ф":[{"-":[{},[8,8]]},[2]],"х":[{"-":[{},[8,8]]},[0,1]],"ц":[{"е":[{},[2,3]],"у":[{},[2]],"ы":[{},[2]],"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]},[2,1]],"ш":[{"-":[{},[8,8]]},[2,3,2]],"щ":[{"-":[{},[8,8]]},[2]],"ъ":[{"е":[{"м":[{},[0,0,0,2]]}],"ё":[{"м":[{},[0,0,0,2]]}],".":[{},[8]],"-":[{},[8,8]]},[2]],"ы":[{"г":[{"р":[{},[0,0,2,1]]},[2]],"д":[{},[2]],"м":[{"е":[{},[2]]}],"с":[{},[2,0,2,1]],"т":[{},[2]],"щ":[{},[2]],"-":[{},[8,8]]},[1]],"ь":[{".":[{},[2]],"е":[{},[1]],"к":[{},[2]],"т":[{},[2]],"ю":[{},[1]],"я":[{"р":[{},[0,0,3]]},[1]],"ё":[{},[1]],"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]},[1,2]],"я":[{"-":[{},[8,8]]},[1]],"ё":[{"-":[{},[8,8]]},[1]],"й":[{"-":[{},[8,8]]}],"э":[{"-":[{},[8,8]]}]}],"е":[{"а":[{"д":[{"и":[{},[0,0,0,0,3]],"о":[{},[0,0,3]]},[0,0,2]],"з":[{},[0,0,2]],"н":[{"д":[{"р":[{},[0,0,0,2,1]]}]}],"т":[{"р":[{},[0,0,0,1]]}],"-":[{},[8,8]]},[0,1]],"б":[{"а":[{"с":[{},[0,0,0,2]]}],"р":[{"а":[{},[0,1]],"е":[{"н":[{},[0,0,1]]}],"и":[{},[0,0,1]],"о":[{"в":[{},[0,0,1]]},[0,1]],"ы":[{},[0,0,1]],"ю":[{},[0,2,3]],"ё":[{"н":[{},[0,0,1]]}]}],"-":[{},[8,8]]},[2]],"в":[{"е":[{"р":[{},[2]]},[0,1]],"и":[{},[0,1]],"м":[{"е":[{},[0,3,2]]}],"н":[{"и":[{"м":[{},[0,0,2]]}],"я":[{"т":[{},[0,0,2]]}]}],"о":[{"л":[{},[2]]},[0,1]],"р":[{"а":[{"с":[{},[0,0,0,0,1]]}],"е":[{"е":[{},[0,0,1]],"й":[{},[0,0,1]],"я":[{},[0,0,1]]},[2,1]],"и":[{},[0,0,1]],"ё":[{},[2,1]]}],"т":[{},[0,2]],"у":[{},[0,1]],"х":[{"о":[{},[0,0,2]]},[0,1]],"ь":[{},[0,1]],"ё":[{"р":[{},[2]]},[0,1]],"-":[{},[8,8]]}],"г":[{"а":[{"с":[{},[0,0,0,1,2]]}],"д":[{},[0,0,2]],"л":[{"а":[{"н":[{},[0,2]]}],"е":[{},[0,2]],"и":[{},[0,2]],"о":[{},[0,2]],"ё":[{},[0,2]]}],"н":[{"а":[{},[0,0,2]],"о":[{},[0,0,2]]}],"р":[{},[2,0,2]],"-":[{},[8,8]]}],"д":[{"в":[{"о":[{},[0,0,1]]}],"ж":[{"е":[{},[0,1]]},[0,0,2]],"л":[{"и":[{"н":[{},[0,1,2]]}]}],"н":[{"о":[{"у":[{},[0,0,0,0,0,3]]}]}],"о":[{"п":[{"р":[{},[0,0,1]]}],"т":[{"в":[{},[0,2]]}],"х":[{},[0,2]],"щ":[{},[0,2,1]]}],"р":[{"у":[{".":[{},[0,2]]},[0,1]]}],"у":[{"б":[{"о":[{},[0,0,1]]},[0,2,0,2]],"в":[{"е":[{},[0,2]]}],"г":[{},[0,2]],"с":[{"т":[{},[0,0,1]]},[0,2]],"ш":[{},[2,3]]}],"ы":[{"н":[{},[0,2]]}],"-":[{},[8,8]]}],"е":[{"в":[{"и":[{"д":[{},[0,2]]}],"р":[{},[0,0,2,1]]}],"г":[{"и":[{},[0,0,2]]}],"с":[{"т":[{"р":[{},[0,0,0,0,1]]},[0,0,2]]},[0,0,1,2]],"х":[{},[0,0,2]],"-":[{},[8,8]]},[0,1]],"ж":[{"г":[{},[0,2]],"д":[{"е":[{"в":[{},[0,4]]}],"и":[{},[0,0,3]]}],"е":[{},[2]],"р":[{},[0,2,1]],"ё":[{},[2]],"-":[{},[8,8]]}],"з":[{"а":[{"в":[{"р":[{},[0,0,0,2]]}],"у":[{},[0,0,0,0,3]]}],"в":[{"а":[{},[0,1,2]]}],"д":[{"р":[{},[0,0,0,1]]}],"е":[{},[0,3]],"з":[{"у":[{},[0,0,0,0,3]]}],"и":[{"т":[{},[0,3]]}],"о":[{"б":[{},[0,0,1]],"г":[{},[0,0,1,2]],"м":[{},[0,1]],"п":[{},[0,0,1]],"р":[{},[0,0,1,2]],"т":[{},[0,0,1]],"ш":[{},[0,0,1]]}],"р":[{"я":[{},[0,0,2]]}],"у":[{"д":[{},[0,0,1,2]],"к":[{},[0,0,1,2]],"п":[{},[0,0,1]],"с":[{"о":[{},[0,0,0,2]],"ы":[{},[0,0,0,2]]},[0,0,1]],"х":[{},[0,0,1,2]],"ч":[{"а":[{},[0,0,1]]}]}],"я":[{},[0,3]],"ё":[{},[0,3]],"-":[{},[8,8]]}],"и":[{"г":[{},[0,0,2,1]],"д":[{},[0,0,2]],"м":[{},[0,0,2]],"о":[{},[0,0,2]],"с":[{"л":[{},[0,0,0,1]],"т":[{"р":[{},[0,0,0,1]]}]}],"-":[{},[8,8]]},[0,1]],"к":[{"а":[{"б":[{},[0,0,0,2]]},[0,1]],"з":[{},[0,0,2]],"и":[{},[0,1]],"о":[{},[2,1]],"р":[{"о":[{},[0,0,2]]},[2,1]],"с":[{"к":[{},[0,0,1]],"т":[{"е":[{},[0,0,1]]}]}],"у":[{},[0,1]],"-":[{},[8,8]]}],"л":[{"а":[{},[0,1]],"е":[{"с":[{"к":[{},[0,0,0,3]],"ц":[{},[0,0,0,1]]}]},[0,1]],"у":[{},[0,1]],"ы":[{},[0,1]],"ю":[{},[0,1]],"я":[{},[0,3]],"ё":[{},[0,1]],"-":[{},[8,8]]}],"м":[{"и":[{"д":[{},[0,0,0,3,2]],"к":[{},[0,0,0,3]]}],"о":[{"с":[{},[0,0,0,1]]}],"у":[{"ж":[{},[2]]}],"ч":[{},[0,2]],"ы":[{"с":[{},[2]]}],"ь":[{"д":[{},[0,2]]}],"-":[{},[8,8]]}],"н":[{"а":[{},[0,3]],"д":[{"р":[{},[0,0,2,1]]}],"р":[{},[2,1]],"с":[{},[0,0,0,2]],"ш":[{},[0,0,3,2]],"э":[{},[0,1]],"-":[{},[8,8]]}],"о":[{"б":[{"р":[{"о":[{},[0,0,0,2]]}]},[0,1,2]],"г":[{"л":[{},[0,2,3]],"р":[{"о":[{},[0,0,2]]}]}],"д":[{"а":[{},[0,0,3]],"е":[{"з":[{},[0,0,0,0,3]]},[0,0,2]],"о":[{},[0,0,2]]},[0,1]],"ж":[{},[0,1,2]],"и":[{},[0,2]],"к":[{"л":[{},[0,0,3]]}],"л":[{".":[{},[0,1]],"а":[{},[0,1]],"и":[{},[0,0,3]],"к":[{},[0,1]],"ы":[{},[0,1]],"ь":[{},[0,1]]}],"м":[{},[0,2]],"н":[{".":[{},[0,1]],"а":[{},[0,2]],"и":[{},[0,2]],"о":[{},[0,0,3]],"с":[{},[0,1]]}],"п":[{"е":[{},[0,1]],"р":[{},[0,0,2]],"у":[{},[0,0,4]],"л":[{"а":[{"т":[{"о":[{},[0,2,3]]}]}]}],"о":[{"з":[{"и":[{},[0,2,3]]}]}]},[0,0,0,2]],"р":[{"о":[{},[0,2,3]]}],"с":[{"в":[{"и":[{},[0,1,2]]}],"к":[{},[0,0,1]],"м":[{},[0,1]],"н":[{},[0,1]],"т":[{"р":[{},[0,0,0,0,1]]}],"х":[{},[0,0,3]]},[0,0,0,2]],"т":[{"л":[{},[0,1]],"р":[{"у":[{},[0,0,0,2]]}]}],"ч":[{},[0,1,2]],"щ":[{},[0,1,2]],"-":[{},[8,8]]},[2]],"п":[{"а":[{"т":[{"р":[{},[0,0,0,1]]},[0,0,0,0,2]]}],"е":[{},[2]],"и":[{"с":[{"к":[{},[0,0,0,0,2]]}]}],"л":[{"а":[{},[0,3]],"е":[{"ш":[{},[0,0,1]]}],"о":[{"д":[{},[0,3,2]]}],"у":[{},[0,0,1]],"ы":[{},[0,3]],"ю":[{"щ":[{},[0,0,1]]}]},[0,2]],"н":[{},[0,4]],"о":[{},[2]],"с":[{},[0,4,3]],"т":[{},[0,4]],"ё":[{},[2]],"-":[{},[8,8]]}],"р":[{"а":[{"к":[{"т":[{},[0,0,1]]}]},[0,1]],"в":[{"е":[{},[0,0,1]],"ё":[{},[0,0,1]]},[0,2]],"е":[{".":[{},[0,3]],"д":[{"о":[{},[0,0,0,3]],"р":[{},[0,0,0,1]]}],"к":[{},[0,0,0,1,2]],"м":[{"н":[{},[0,0,0,3,2]]}],"п":[{},[0,0,0,3]],"х":[{},[0,0,0,1,4]],"с":[{"с":[{"о":[{},[0,0,0,3,2]]}]}]},[0,1]],"и":[{"о":[{"з":[{},[0,0,0,0,3]]}]},[0,1]],"о":[{"б":[{"л":[{},[0,0,1]]},[0,0,0,2]],"в":[{"и":[{},[2]]}],"к":[{"р":[{},[2]]}],"л":[{},[2]],"ф":[{},[0,0,0,3,2]]},[0,1]],"с":[{"к":[{},[0,0,3]]}],"у":[{"п":[{},[0,2,1,2]]},[0,1]],"ы":[{},[0,1]],"ю":[{},[0,1]],"я":[{},[0,1]],"ё":[{"д":[{"о":[{},[0,0,0,3]]}],"к":[{},[0,0,0,1,2]]},[0,1]],"-":[{},[8,8]]}],"с":[{"а":[{},[0,3,2]],"б":[{"а":[{},[0,0,2]]}],"г":[{},[0,1]],"к":[{"а":[{".":[{},[0,2,1]],"л":[{},[0,0,1]]}],"е":[{},[0,2]],"о":[{"в":[{},[0,2]]}],"у":[{".":[{},[0,4,1]]}]},[0,1]],"л":[{"а":[{"с":[{},[0,0,1]]}],"и":[{"н":[{},[0,0,2]]}],"о":[{"в":[{},[0,0,2]],"м":[{},[0,0,2]]}],"у":[{},[0,1]],"ы":[{},[0,1]]},[2]],"м":[{},[0,1,4]],"о":[{},[0,3]],"п":[{"е":[{"к":[{},[0,0,2]]}],"о":[{"л":[{},[0,0,3]]}],"у":[{},[0,2]]},[2]],"т":[{"а":[{"н":[{},[0,0,2]]}],"л":[{},[0,2]],"у":[{},[0,3]]},[0,1]],"ч":[{"е":[{"т":[{},[0,0,2]]}],"ё":[{"т":[{},[0,0,2]]}]}],"-":[{},[8,8]]}],"т":[{"а":[{},[0,1]],"в":[{"е":[{},[0,0,1]],"и":[{},[0,0,1]],"о":[{},[0,1]],"ё":[{},[0,0,1]]}],"е":[{"ч":[{},[2]]}],"и":[{},[0,1]],"о":[{"с":[{},[0,0,0,1]]},[0,1]],"р":[{"я":[{},[0,0,2]]},[0,0,1]],"у":[{},[0,1]],"ы":[{},[0,1]],"ь":[{"е":[{},[0,1]],"ю":[{},[0,3]],"я":[{},[0,3]],"ё":[{},[0,1]]}],"ю":[{},[0,1]],"я":[{},[0,1]],"-":[{},[8,8]]}],"у":[{"б":[{"р":[{},[0,0,0,3]]},[2]],"з":[{},[0,0,0,2]],"к":[{"л":[{"о":[{},[0,0,0,2]]}]}],"-":[{},[8,8]]},[0,1,2]],"ф":[{"и":[{"б":[{},[0,0,0,3,2]]}],"л":[{},[0,0,2]],"р":[{"е":[{},[0,0,1]]}],"-":[{},[8,8]]}],"х":[{"а":[{"т":[{"о":[{},[0,0,1]]},[0,0,0,2]]}],"в":[{"а":[{"л":[{},[0,0,3]]}]}],"л":[{"о":[{"п":[{},[0,0,3]]}]}],"о":[{"б":[{},[0,0,1]],"п":[{"о":[{},[0,0,1]]}]}],"р":[{"е":[{},[0,0,1]],"у":[{},[0,0,1]]}],"у":[{"ч":[{},[0,0,1,2]]}],"-":[{},[8,8]]}],"ц":[{"в":[{},[2]],"-":[{},[8,8]]}],"ч":[{"л":[{},[0,1]],"-":[{},[8,8]]}],"ш":[{"л":[{},[0,2]],"-":[{},[8,8]]}],"э":[{"-":[{},[8,8]]},[0,0,2]],"ю":[{"г":[{},[0,0,2]],"-":[{},[8,8]]}],"я":[{"з":[{},[0,0,2]],"-":[{},[8,8]]},[0,1]],"ё":[{"-":[{},[8,8]]},[0,1]],"й":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ъ":[{"-":[{},[8,8]]}],"ы":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}]}],"ж":[{"а":[{"б":[{"л":[{},[0,0,2]],"р":[{},[0,0,2]]}],"з":[{},[0,0,1]],"т":[{"в":[{},[0,0,0,1]]}],"-":[{},[8,8]]}],"б":[{"-":[{},[8,8]]},[2,1,2]],"в":[{"-":[{},[8,8]]},[2,1]],"г":[{"а":[{},[2]],"и":[{},[0,2]],"л":[{},[3,2]],"у":[{},[0,2]],"-":[{},[8,8]]},[0,0,2]],"д":[{"а":[{"к":[{},[0,2]],"ч":[{},[0,2]]}],"е":[{"л":[{},[3,2]],"м":[{"е":[{},[4]]}],"п":[{},[0,2]]}],"и":[{"к":[{},[4,3]],"ч":[{},[4,3]]},[0,2]],"л":[{},[4,2]],"о":[{},[0,0,0,3]],"у":[{},[0,0,0,1]],"ь":[{},[4]],"я":[{},[3,2]],"-":[{},[8,8]]},[2,1]],"е":[{"в":[{},[3]],"д":[{},[0,0,3,2]],"к":[{"в":[{},[0,0,1,2]],"л":[{},[0,0,1]]}],"о":[{},[0,0,1,2]],"п":[{},[0,0,3,2]],"с":[{"к":[{},[0,0,3]]},[0,0,1,2]],"-":[{},[8,8]]}],"ж":[{"а":[{},[2]],"е":[{"в":[{},[2]]},[0,2]],"ё":[{},[0,2]],"-":[{},[8,8]]}],"з":[{"-":[{},[8,8]]},[2,1,2]],"и":[{"о":[{},[0,0,1]],"р":[{"р":[{},[2]]}],"-":[{},[8,8]]}],"к":[{"-":[{},[8,8]]},[2,1]],"л":[{"-":[{},[8,8]]},[2,1]],"м":[{"а":[{},[0,3]],"о":[{},[2,3]],"-":[{},[8,8]]},[0,2]],"н":[{"о":[{},[0,0,0,1]],"-":[{},[8,8]]},[2,1]],"о":[{"б":[{},[2,1]],"т":[{},[2,1,2,1]],"у":[{"с":[{},[0,0,0,1]]},[0,0,0,3]],"-":[{},[8,8]]}],"п":[{"о":[{},[0,0,0,1]],"-":[{},[8,8]]},[2,0,2]],"р":[{"у":[{},[0,2]],"-":[{},[8,8]]}],"с":[{"-":[{},[8,8]]},[2,1]],"ф":[{"-":[{},[8,8]]},[2]],"ц":[{"-":[{},[8,8]]},[2]],"ч":[{"-":[{},[8,8]]},[2,1]],"ъ":[{".":[{},[8]],"-":[{},[8,8]]},[2]],"ь":[{".":[{},[2]],"с":[{},[2]],"т":[{},[2]],"-":[{},[8,8]]}],"ё":[{"в":[{},[3]],"с":[{},[0,0,1,2]],"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"т":[{"-":[{},[8,8]]}],"у":[{"-":[{},[8,8]]}],"х":[{"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ы":[{"-":[{},[8,8]]}],"э":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}]},[1]],"з":[{"а":[{"а":[{},[0,0,0,2]],"б":[{},[0,0,0,2]],"в":[{"р":[{"и":[{},[0,0,2,1]],"у":[{},[0,0,2]]}],"у":[{},[0,1]]}],"г":[{},[0,0,0,4]],"д":[{"р":[{},[0,1]]}],"е":[{"д":[{},[0,0,0,2]],"х":[{},[0,0,0,2]]}],"ж":[{"д":[{},[0,0,3,2]]}],"з":[{},[0,0,3,2]],"к":[{"т":[{},[0,1]]}],"м":[{"н":[{"е":[{},[0,0,3]],"ё":[{},[0,0,3]]}]}],"н":[{"а":[{},[0,0,3]],"с":[{},[0,0,0,0,2]]},[3,2]],"п":[{},[0,0,0,2]],"р":[{"в":[{},[0,0,0,2]],"д":[{},[0,0,3,2]],"ж":[{},[0,0,0,2]]}],"с":[{"т":[{},[0,0,0,0,2]]},[0,0,0,2]],"т":[{"к":[{},[0,0,3]]},[0,0,0,2]],"у":[{},[0,0,0,2]],"х":[{"а":[{"в":[{},[2,1,2]]}]},[0,0,0,2]],"ч":[{"т":[{},[0,0,0,2]]}],"ш":[{},[0,0,3,2]],"я":[{},[0,0,0,2]],"и":[{"л":[{},[0,0,0,2]]}],"о":[{"з":[{},[0,0,0,2]]}],"ю":[{"л":[{},[0,0,0,2]]}],"-":[{},[8,8]]},[1,0,1]],"б":[{"-":[{},[8,8]]},[0,1,2]],"в":[{"а":[{".":[{},[2,3]],"в":[{},[0,2]],"л":[{"ь":[{},[0,3]]}],"н":[{},[0,2]],"я":[{},[2]]}],"е":[{"з":[{},[0,2]]},[0,1]],"и":[{},[0,1]],"к":[{},[0,3,2]],"л":[{"а":[{},[0,1]]}],"о":[{"л":[{},[2]],"н":[{},[1,2]]},[0,1]],"р":[{},[0,1]],"у":[{"ю":[{},[2,1]]},[1]],"ь":[{},[0,1]],"ё":[{"з":[{},[0,2]]},[0,1]],"-":[{},[8,8]]}],"г":[{"а":[{},[0,3]],"л":[{"и":[{},[0,2]]}],"н":[{"а":[{},[0,0,2]],"у":[{},[0,2]]}],"-":[{},[8,8]]},[2]],"д":[{"в":[{},[0,1,2]],"е":[{"ш":[{},[0,2]]}],"о":[{"ж":[{},[0,0,0,0,3]]}],"-":[{},[8,8]]}],"е":[{"б":[{},[0,0,2,1]],"е":[{"в":[{},[0,0,2]]}],"о":[{"д":[{},[0,0,2]]}],"-":[{},[8,8]]},[1]],"ж":[{"-":[{},[8,8]]},[2,0,2]],"з":[{"-":[{},[8,8]]},[0,3,2]],"и":[{".":[{},[3]],"й":[{".":[{},[3]]}],"н":[{"т":[{},[0,1]]}],"о":[{"з":[{},[0,0,2]],"н":[{"о":[{},[0,0,2]]}],"п":[{},[0,0,1]]}],"с":[{},[3]],"т":[{"р":[{},[0,0,3,2]]}],"у":[{"м":[{},[0,0,0,3]]}],"ч":[{},[3]],"-":[{},[8,8]]},[1]],"к":[{"о":[{"п":[{},[0,0,0,3,2]]},[0,0,0,1]],"-":[{},[8,8]]},[2,1]],"л":[{"а":[{"щ":[{},[0,2]]}],"о":[{"б":[{},[0,2]],"п":[{},[0,2]],"р":[{},[0,2]]}],"ю":[{"щ":[{},[0,2]]}],"-":[{},[8,8]]},[0,1]],"м":[{"н":[{},[0,3]],"-":[{},[8,8]]},[2,0,2]],"н":[{"а":[{".":[{},[2]],"в":[{},[0,2]],"е":[{},[0,2]],"й":[{},[0,2]],"к":[{},[0,2]],"н":[{},[0,2]],"т":[{},[0,2]],"ю":[{},[0,2]],"я":[{},[2]],"ё":[{},[0,2]]}],"е":[{},[2]],"и":[{},[2,3]],"о":[{},[2]],"у":[{},[2]],"ы":[{},[2,3]],"ё":[{},[2]],"-":[{},[8,8]]},[0,1]],"о":[{"б":[{"е":[{},[0,2]],"и":[{},[0,0,2]]}],"в":[{"м":[{},[0,0,3,2]]},[1]],"г":[{"л":[{},[0,0,2]]}],"д":[{"р":[{},[0,0,1]]}],"е":[{},[1]],"з":[{},[0,0,1,2]],"и":[{},[1]],"й":[{".":[{},[1]]}],"к":[{".":[{},[1]],"с":[{},[0,1]]}],"л":[{"г":[{},[0,0,1]],"ж":[{},[0,0,1]]},[1,0,0,2]],"м":[{".":[{},[1]],"н":[{},[2]]},[0,0,3,2]],"н":[{"р":[{},[2]]},[1]],"о":[{"п":[{},[0,0,2,3]],"с":[{},[0,0,2]]},[1]],"п":[{"а":[{},[0,0,2]],"л":[{},[0,2]],"р":[{},[0,2]]}],"р":[{"г":[{},[0,1]],"е":[{},[1,2,3]],"ё":[{},[1,2,3]]}],"с":[{"н":[{},[0,1]],"п":[{},[0,0,1]]},[0,0,0,2]],"т":[{"в":[{},[0,0,2]],"е":[{},[0,2]],"к":[{},[0,1]],"о":[{},[0,2]],"р":[{"е":[{},[0,0,0,2]],"и":[{},[0,0,0,2]],"ё":[{},[0,0,0,2]]}],"ё":[{},[0,2]]}],"х":[{},[1]],"ш":[{"и":[{},[0,0,2]]},[0,0,0,2]],"э":[{},[1]],"ю":[{},[1]],"-":[{},[8,8]]}],"р":[{"а":[{"к":[{},[0,2]],"с":[{},[0,0,0,2]],"ч":[{},[0,2]]},[0,1]],"е":[{"н":[{},[0,2]],"с":[{},[0,1]]}],"и":[{"ш":[{},[0,2]]}],"о":[{"с":[{},[0,0,0,2,3]]},[0,1]],"у":[{},[0,1]],"ю":[{},[0,2]],"я":[{"т":[{},[0,2]]},[0,1]],"-":[{},[8,8]]}],"с":[{"-":[{},[8,8]]},[2,1]],"т":[{"и":[{},[0,1]],"-":[{},[8,8]]},[2]],"у":[{".":[{},[3]],"б":[{"е":[{},[2,1,2]],"р":[{},[0,0,2,3]]}],"в":[{"е":[{},[2]]},[0,0,1]],"г":[{},[2,0,2]],"е":[{},[3]],"з":[{},[2,1,0,3]],"к":[{},[2,0,1]],"м":[{"е":[{},[3]],"о":[{},[0,1,2]],"ь":[{},[0,0,2]]}],"п":[{"р":[{},[0,0,2]]},[2]],"р":[{"б":[{},[0,1]]}],"т":[{"е":[{},[0,1,2]]}],"ч":[{"а":[{"с":[{},[0,0,2]]}]}],"ё":[{},[3]],"-":[{},[8,8]]},[1]],"ц":[{"-":[{},[8,8]]},[2]],"ч":[{"-":[{},[8,8]]},[0,1]],"ш":[{"-":[{},[8,8]]},[2]],"ъ":[{"е":[{"м":[{},[0,0,0,2]]}],"ё":[{"м":[{},[0,0,0,2]]}],".":[{},[8]],"-":[{},[8,8]]}],"ы":[{"г":[{},[2,0,2,1]],"з":[{},[0,0,2]],"м":[{"е":[{},[2]],"ч":[{},[2]],"ё":[{},[2]]}],"с":[{},[2,0,2,1]],"щ":[{},[2]],"-":[{},[8,8]]},[1]],"ь":[{"е":[{},[1]],"и":[{},[1]],"ю":[{},[1]],"я":[{},[3]],".":[{},[6]],"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]},[1,2]],"я":[{"-":[{},[8,8]]},[1]],"ё":[{"-":[{},[8,8]]},[1]],"й":[{"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"х":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"э":[{"-":[{},[8,8]]}]}],"и":[{"а":[{"б":[{},[0,2]],"в":[{},[0,2]],"г":[{"р":[{},[0,2]]},[0,0,0,2]],"д":[{"е":[{},[0,2]],"и":[{},[0,2]]}],"з":[{"о":[{"в":[{},[0,0,2]]}]}],"м":[{"у":[{},[0,0,2]]}],"н":[{"а":[{"л":[{},[0,0,2]]},[0,3]],"д":[{},[0,0,0,0,2]]}],"о":[{},[0,0,0,2]],"п":[{},[0,2]],"с":[{"к":[{},[0,0,1,2]],"т":[{"а":[{},[0,0,1]],"о":[{},[0,0,1]]}]}],"т":[{"р":[{"о":[{},[0,0,0,1]]}],"у":[{},[0,3]]}],"ф":[{},[0,2]],"х":[{},[0,2,1]],"ц":[{"е":[{},[0,0,2]]}],"-":[{},[8,8]]},[0,1]],"б":[{"р":[{},[0,2,1]],"-":[{},[8,8]]},[2,1]],"в":[{"а":[{"ж":[{},[2]]}],"е":[{},[2,1]],"з":[{},[0,2,3]],"и":[{},[0,1]],"о":[{},[2,1]],"р":[{},[0,1,2]],"с":[{},[0,3,2]],"у":[{},[0,1]],"х":[{"о":[{},[0,0,2]]}],"ы":[{},[2]],"ё":[{},[2,1]],"-":[{},[8,8]]}],"г":[{"д":[{},[0,0,2]],"е":[{},[0,3]],"л":[{"е":[{},[0,2]],"и":[{},[0,2]]},[2]],"н":[{"и":[{},[0,0,0,0,3]]},[0,2]],"р":[{"е":[{"н":[{},[0,0,1]]}],"о":[{},[0,0,1]],"у":[{},[0,0,1]],"ы":[{},[0,0,1]],"я":[{},[0,2,1]],"ё":[{"н":[{},[0,0,1]]}]}],"-":[{},[8,8]]}],"д":[{"в":[{},[0,1]],"е":[{"й":[{},[0,2]]}],"ж":[{},[0,1,2]],"и":[{"о":[{"м":[{},[0,0,0,1]],"т":[{},[0,0,0,1]]}]}],"р":[{},[0,0,1]],"ь":[{},[0,1]],"-":[{},[8,8]]}],"е":[{"в":[{"о":[{"д":[{},[0,2]]}]}],"г":[{},[0,0,2]],"д":[{"е":[{},[0,0,3]]},[0,0,2]],"з":[{"у":[{},[0,0,2]]}],"н":[{"и":[{},[0,3]]}],"о":[{},[0,0,1,2]],"п":[{"и":[{},[0,0,0,0,1]]}],"р":[{},[0,0,2]],"-":[{},[8,8]]},[0,1]],"ж":[{"д":[{},[0,3,2]],"-":[{},[8,8]]}],"з":[{"в":[{},[0,0,1,2]],"г":[{"н":[{"е":[{},[0,0,2]]}]}],"д":[{},[1,0,1]],"н":[{"а":[{"л":[{},[0,0,2]]}]}],"о":[{"о":[{},[0,0,0,2]]},[0,1]],"р":[{},[0,0,1]],"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]},[0,1]],"й":[{"с":[{},[0,0,0,2]],"-":[{},[8,8]]}],"к":[{"а":[{"с":[{},[0,0,0,1,2]]},[0,3,2]],"в":[{"а":[{},[0,0,2]],"и":[{},[0,2]]}],"л":[{"я":[{},[0,2]]}],"о":[{},[0,3]],"р":[{"о":[{},[0,0,1]]}],"с":[{"к":[{},[0,0,1]],"т":[{},[0,0,2,1]]}],"у":[{},[0,3]],"-":[{},[8,8]]},[0,1]],"л":[{"а":[{"ц":[{},[0,2,1,2]],"м":[{"и":[{"н":[{},[0,2,1,2]]}]}]}],"о":[{"с":[{"к":[{},[0,0,0,1]]}]}],"п":[{},[0,0,0,2]],"у":[{"п":[{},[0,2,1,2]]}],"ь":[{"т":[{},[0,0,0,0,2]]},[0,2]],"л":[{"о":[{"к":[{},[0,0,0,0,3,2]]}]}],"-":[{},[8,8]]},[0,1]],"м":[{"а":[{},[2]],"е":[{"н":[{"о":[{},[0,2]],"у":[{},[0,2]],"ь":[{},[2]]}]}],"и":[{},[0,3]],"о":[{"и":[{},[0,0,0,0,2]]}],"п":[{"л":[{},[0,0,3]]}],"р":[{},[0,2,1]],"ч":[{"а":[{},[0,0,2]]},[0,2]],"-":[{},[8,8]]}],"н":[{"д":[{},[0,0,0,2]],"ж":[{},[1]],"о":[{"к":[{"л":[{},[0,0,0,2,3]]}],"п":[{"л":[{},[0,0,0,3,2]]}],"с":[{},[0,0,0,1]]}],"с":[{"п":[{},[1]],"т":[{"и":[{},[1]]}],"у":[{},[1]]},[0,0,0,2]],"ф":[{},[1]],"ъ":[{},[1]],"-":[{},[8,8]]}],"о":[{"б":[{"о":[{},[0,0,2]]},[0,1]],"в":[{"р":[{},[0,0,2]]}],"г":[{},[0,2]],"д":[{"е":[{},[0,0,2]]},[0,1]],"з":[{"о":[{},[0,0,3]]},[0,1]],"к":[{"с":[{},[0,1]]}],"л":[{"е":[{},[0,1]]}],"н":[{"о":[{"в":[{},[0,3]]}]},[0,1]],"п":[{"т":[{},[0,1]]}],"р":[{"а":[{},[0,3]],"у":[{},[0,0,1]]},[0,1]],"с":[{"а":[{},[0,0,2]],"к":[{"л":[{},[0,0,3]]}],"п":[{},[0,0,1,2]]}],"т":[{"а":[{},[0,1]],"в":[{},[0,0,2,1]],"к":[{},[0,1]],"с":[{},[0,1]]}],"у":[{"г":[{},[0,0,0,0,2]]}],"х":[{"о":[{},[0,0,2]]}],"ш":[{},[0,1]],"-":[{},[8,8]]}],"п":[{"а":[{"т":[{"р":[{},[0,0,0,1]]},[0,0,0,0,2]]}],"л":[{"я":[{},[0,0,2]]}],"н":[{},[0,0,3]],"о":[{"к":[{},[0,0,0,3,2]]}],"-":[{},[8,8]]},[2]],"р":[{"а":[{"с":[{"т":[{},[0,0,0,2]]}],"у":[{},[0,2,1]]}],"в":[{},[0,2]],"ж":[{},[0,2]],"и":[{"с":[{"к":[{},[0,0,0,2]]}],"у":[{},[0,0,0,0,3]]}],"о":[{"з":[{},[0,0,0,1,2]]}],"р":[{},[1]],"-":[{},[8,8]]},[0,1]],"с":[{"а":[{"н":[{"д":[{},[0,0,0,0,2,1]]}]}],"б":[{},[0,2]],"д":[{},[0,2]],"к":[{"а":[{".":[{},[0,0,3]],"м":[{},[0,0,3]],"х":[{},[0,0,3]]}],"е":[{},[0,0,3]],"и":[{},[0,0,3]],"о":[{"в":[{},[0,0,3]]}],"у":[{".":[{},[0,0,3]]}]},[0,0,1]],"л":[{"а":[{"м":[{},[0,2]]}],"ы":[{},[0,0,1]]}],"м":[{"е":[{},[0,0,3]],"у":[{},[0,0,3]]}],"н":[{"о":[{},[0,0,3]]}],"о":[{"с":[{"к":[{},[0,0,0,2]]}]}],"п":[{"р":[{},[0,2,3]]}],"с":[{},[0,4]],"т":[{"в":[{},[0,2,0,1]],"л":[{},[0,2]],"я":[{"з":[{},[0,0,1]]}]},[0,1]],"ь":[{"и":[{},[0,1]]}],"-":[{},[8,8]]}],"т":[{"а":[{"в":[{},[0,0,0,2]]}],"в":[{"а":[{},[0,0,3]],"е":[{},[0,2,1]],"и":[{},[0,0,1]],"у":[{},[0,0,1]]}],"м":[{},[0,2]],"р":[{"е":[{"с":[{},[0,0,2]]}],"о":[{"м":[{},[0,0,3]]}]},[0,2,1]],"у":[{"ч":[{},[0,2,1]]}],"ь":[{"ю":[{},[0,3]],"я":[{},[0,3]]}],"-":[{},[8,8]]},[0,1]],"у":[{"п":[{},[0,0,3]],"-":[{},[8,8]]},[0,1,2]],"ф":[{"л":[{"ю":[{},[0,0,2]]},[0,0,1]],"р":[{},[0,2]],"-":[{},[8,8]]}],"х":[{"а":[{"д":[{},[0,0,0,3]],"с":[{},[0,2,1]]}],"л":[{"о":[{"р":[{},[0,0,0,0,0,1]]},[0,0,2,0,2]]}],"о":[{"к":[{},[0,0,0,3]]},[0,3,2]],"р":[{"е":[{},[0,0,1]],"и":[{},[0,0,1]],"ё":[{},[0,0,1]]}],"у":[{},[0,1]],"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]},[0,1]],"ш":[{"л":[{"и":[{},[0,0,2]],"ы":[{},[0,2]]}],"т":[{},[0,2]],"-":[{},[8,8]]}],"ю":[{"л":[{},[0,0,4]],"н":[{},[0,0,2]],"т":[{"а":[{},[0,0,3]]},[0,0,2]],"-":[{},[8,8]]}],"я":[{"д":[{},[0,0,2]],"-":[{},[8,8]]},[0,1]],"ё":[{"-":[{},[8,8]]},[0,1]],"ц":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ъ":[{"-":[{},[8,8]]}],"ы":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"э":[{"-":[{},[8,8]]}]}],"й":[{"д":[{"в":[{},[0,2,3]],"-":[{},[8,8]]},[0,0,2]],"н":[{"о":[{},[0,0,0,1]],"-":[{},[8,8]]}],"о":[{"с":[{},[0,2,1]],"т":[{"р":[{},[0,0,2]]}],"-":[{},[8,8]]}],"п":[{"л":[{},[0,0,2]],"-":[{},[8,8]]}],"с":[{"б":[{},[0,2]],"к":[{"а":[{},[0,3]],"е":[{},[0,0,2]]}],"м":[{"о":[{},[0,0,4]],"у":[{},[0,2,3]]}],"н":[{},[0,2]],"ф":[{},[0,2,3]],"ш":[{},[0,2]],"-":[{},[8,8]]}],"т":[{"м":[{},[0,2]],"-":[{},[8,8]]}],"х":[{"м":[{},[0,2]],"с":[{},[0,0,2,3]],"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]},[0,0,1]],"к":[{"ь":[{},[0,2]],"-":[{},[8,8]]}],"а":[{"-":[{},[8,8]]}],"б":[{"-":[{},[8,8]]}],"в":[{"-":[{},[8,8]]}],"г":[{"-":[{},[8,8]]}],"е":[{"-":[{},[8,8]]}],"ё":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"з":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"л":[{"-":[{},[8,8]]}],"м":[{"-":[{},[8,8]]}],"р":[{"-":[{},[8,8]]}],"у":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ъ":[{"-":[{},[8,8]]}],"ы":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"э":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}]},[2,1]],"к":[{"а":[{"б":[{"л":[{},[0,0,2]],"р":[{"и":[{},[0,0,2]]}]}],"в":[{},[1]],"д":[{"н":[{"е":[{},[0,0,3]]}],"р":[{},[0,0,2,1]]},[0,2]],"е":[{},[1]],"з":[{"н":[{},[0,0,0,3]],"о":[{},[0,0,1]]}],"й":[{},[1]],"л":[{".":[{},[1]],"о":[{},[1]],"с":[{},[1]]}],"м":[{},[1]],"н":[{},[1]],"п":[{"л":[{},[0,0,2,1]],"р":[{"е":[{},[0,0,2]]}]}],"р":[{"т":[{"р":[{},[0,0,0,3]]}]}],"с":[{"т":[{},[0,0,1]]},[3,2]],"т":[{"р":[{},[0,0,1,2]]},[1]],"х":[{},[1]],"ш":[{"т":[{},[0,0,2,1]]}],"ю":[{},[1]],"ё":[{},[1]],"-":[{},[8,8]]}],"б":[{"-":[{},[8,8]]},[2,1]],"в":[{"а":[{"к":[{},[0,2]],"с":[{},[0,2]],"ш":[{},[0,2]]}],"и":[{},[0,1]],"о":[{"з":[{},[0,2]]}],"у":[{},[0,1]],"-":[{},[8,8]]}],"г":[{"-":[{},[8,8]]},[2]],"д":[{"а":[{},[0,0,0,2]],"-":[{},[8,8]]},[2,1]],"е":[{"а":[{},[2]],"г":[{"л":[{},[0,0,2]]}],"д":[{"р":[{},[0,0,0,1]]}],"с":[{"к":[{},[0,0,2,1]],"т":[{},[0,0,2,0,1]]}],"-":[{},[8,8]]},[1]],"з":[{"-":[{},[8,8]]},[2,1]],"и":[{"в":[{},[1]],"о":[{"с":[{},[0,0,0,0,1]]},[0,0,1]],"п":[{"л":[{},[0,0,2]]}],"с":[{"н":[{"и":[{},[0,0,1,2]]}]}],"т":[{},[1]],"-":[{},[8,8]]}],"к":[{"с":[{},[0,0,3]],"-":[{},[8,8]]},[2,1,2]],"л":[{"а":[{".":[{},[2,3]],"с":[{"ь":[{},[2,3]]}]}],"е":[{".":[{},[2,3]],"м":[{".":[{},[0,3]]},[2]],"н":[{},[0,3]],"о":[{},[0,1]]}],"и":[{".":[{},[2,3]],"в":[{},[2,3]],"к":[{},[0,2]],"н":[{},[0,2]],"с":[{},[2,3]],"я":[{},[0,3]]}],"о":[{".":[{},[2,3]],"з":[{},[0,2]],"м":[{},[0,3]],"с":[{},[2,3]],"т":[{},[0,0,0,3]]}],"у":[{"к":[{},[1]]}],"ы":[{},[0,3]],"ь":[{},[2]],"ю":[{".":[{},[2,3]]},[1]],"я":[{".":[{},[2]],"м":[{},[2]],"х":[{},[2]]}],"ё":[{"н":[{},[0,3]]}],"-":[{},[8,8]]}],"м":[{"-":[{},[8,8]]},[2]],"н":[{"и":[{"ж":[{},[3,2]]}],"о":[{"п":[{},[0,2]]}],"я":[{"ж":[{},[3,2]]}],"-":[{},[8,8]]},[2,1]],"о":[{"б":[{"р":[{"и":[{},[0,0,1,2]]}]}],"в":[{"а":[{},[3]]},[1]],"д":[{"р":[{},[0,0,1]]},[1]],"з":[{},[1]],"л":[{"ь":[{"с":[{},[1]]}]}],"м":[{"и":[{"н":[{},[2]]}]}],"н":[{"с":[{},[3]]}],"п":[{"р":[{},[0,0,0,2]]}],"р":[{"в":[{},[0,0,2,3]],"у":[{},[0,0,1]]}],"с":[{"к":[{},[0,0,1]],"м":[{},[0,0,0,3]],"п":[{},[0,0,1]]},[1]],"т":[{"н":[{},[1]]}],"ф":[{"р":[{},[0,0,2]]}],"х":[{"о":[{"р":[{},[0,0,0,0,2,3]]}]}],"ш":[{},[1]],"-":[{},[8,8]]},[0,2]],"п":[{"-":[{},[8,8]]},[2]],"р":[{".":[{},[2]],"е":[{"л":[{},[0,1]],"о":[{},[0,0,0,1]],"с":[{"л":[{},[0,0,0,2]]}],"ч":[{},[0,1]]}],"и":[{"б":[{},[1]],"д":[{},[0,1]],"з":[{},[0,2]],"о":[{},[0,0,0,2,3]],"т":[{},[0,2]],"х":[{},[0,1]]}],"о":[{"а":[{},[0,1]],"б":[{},[0,1]],"е":[{},[0,2]],"к":[{},[0,1]],"о":[{},[0,1]],"р":[{},[0,1]],"с":[{},[0,1]],"ф":[{},[0,1]],"х":[{},[0,1]],"э":[{},[0,1]],"ё":[{},[0,2]]}],"у":[{"с":[{},[0,0,0,1]]}],"я":[{"д":[{},[0,1]]}],"-":[{},[8,8]]}],"с":[{"а":[{"н":[{"д":[{},[0,0,0,0,0,2]]}]}],"в":[{},[0,2,3]],"г":[{},[0,0,3]],"д":[{},[0,2,3]],"и":[{"б":[{},[0,2]]}],"к":[{"и":[{},[0,1]],"л":[{},[0,0,1]],"о":[{},[0,1]]}],"м":[{},[0,0,3]],"о":[{},[0,3]],"т":[{"а":[{"м":[{},[0,1]],"н":[{},[0,1]]}],"е":[{},[0,0,3]],"о":[{},[0,1]],"р":[{},[0,0,1]],"у":[{},[0,1]]}],"у":[{},[0,3]],"-":[{},[8,8]]},[2]],"т":[{"а":[{"к":[{},[0,0,0,2]]}],"о":[{".":[{},[3,2]],"с":[{},[0,0,0,1]]}],"р":[{},[0,0,2]],"-":[{},[8,8]]},[2,1]],"у":[{"в":[{"е":[{},[0,0,1]]}],"е":[{},[3]],"й":[{},[1]],"л":[{"я":[{},[1]]}],"м":[{},[3]],"п":[{"л":[{},[0,0,0,1]],"р":[{},[0,0,2,1]]}],"р":[{"о":[{},[0,0,3]]},[1]],"с":[{"к":[{},[0,0,0,1]],"т":[{},[0,0,1]]}],"т":[{"ь":[{},[0,0,3]]},[1]],"ч":[{"е":[{},[1]]}],"ю":[{"т":[{},[1]],"щ":[{},[3]]}],"ё":[{},[3]],"-":[{},[8,8]]},[0,2]],"ф":[{"-":[{},[8,8]]},[2]],"х":[{"-":[{},[8,8]]},[2,1,2]],"ц":[{"-":[{},[8,8]]},[2]],"ч":[{"-":[{},[8,8]]},[2,1]],"ш":[{"-":[{},[8,8]]},[2]],"ь":[{"-":[{},[8,8]]},[1]],"ю":[{"-":[{},[8,8]]},[0,2]],"ё":[{"-":[{},[8,8]]},[1]],"ъ":[{".":[{},[8]],"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ы":[{"-":[{},[8,8]]}],"э":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}]}],"л":[{"а":[{".":[{},[1]],"б":[{"е":[{},[2]],"л":[{},[0,0,2]],"р":[{},[0,0,2,1]]}],"г":[{"о":[{},[2]],"р":[{},[0,0,2]]}],"д":[{"а":[{"г":[{},[0,0,2,1]]}]}],"е":[{},[1]],"ж":[{"д":[{},[0,0,3,2]]}],"з":[{"о":[{},[0,0,1]]}],"к":[{"р":[{},[0,0,0,2]]},[0,2]],"м":[{".":[{},[1]],"и":[{".":[{},[1]]}]}],"н":[{"д":[{"р":[{},[0,0,0,2,1]]}]}],"с":[{"т":[{"а":[{},[0,0,1]],"в":[{},[0,0,0,0,1]],"е":[{},[0,0,1]],"о":[{},[0,0,1]],"р":[{},[0,0,2,0,1]],"у":[{},[0,0,1]],"я":[{},[0,0,1]],"ё":[{},[0,0,1]]}]}],"т":[{"р":[{},[0,0,1,2]]}],"у":[{"с":[{},[0,0,2]]},[0,0,0,1]],"ф":[{"р":[{},[0,0,2]]}],"х":[{},[1,0,1]],"я":[{},[1]],"-":[{},[8,8]]}],"б":[{"р":[{},[0,1]],"-":[{},[8,8]]},[2]],"в":[{"е":[{},[0,1]],"и":[{},[0,1]],"о":[{},[0,1]],"у":[{},[0,1]],"-":[{},[8,8]]}],"г":[{"а":[{"л":[{},[1,2]]}],"л":[{},[0,2]],"о":[{},[0,0,0,1]],"-":[{},[8,8]]}],"д":[{"-":[{},[8,8]]},[2,3,2]],"е":[{".":[{},[1]],"в":[{"л":[{},[0,0,1]],"р":[{"а":[{},[0,0,0,1]]}]}],"г":[{"л":[{},[0,0,2,1]]}],"д":[{"ж":[{},[0,0,1]],"о":[{},[0,0,3]]}],"з":[{"о":[{},[0,0,1,2,3]],"р":[{},[0,0,1]]}],"к":[{"л":[{},[0,0,0,1]]}],"м":[{"н":[{},[2]]}],"н":[{},[1]],"о":[{"н":[{"т":[{},[0,0,1]]}],"с":[{},[0,0,1,2]]}],"с":[{"б":[{},[0,0,2]],"к":[{"а":[{},[0,0,4]]},[0,0,2]],"л":[{},[0,0,1,2]],"п":[{"е":[{},[0,0,1]]}]}],"т":[{"в":[{},[0,0,1]],"р":[{},[0,0,1,2]]}],"х":[{"р":[{},[0,0,1]]},[1]],"-":[{},[8,8]]}],"з":[{"о":[{},[0,1]],"-":[{},[8,8]]}],"и":[{"а":[{"м":[{},[0,0,0,2]]}],"в":[{"о":[{},[3]],"ы":[{},[3]]}],"г":[{"л":[{},[0,0,0,2]],"р":[{"о":[{},[0,0,2]]}]}],"е":[{"р":[{},[0,0,0,3]]}],"к":[{"в":[{},[0,0,2]]}],"м":[{"п":[{},[2]]}],"о":[{"с":[{},[0,0,0,1]]}],"п":[{"л":[{},[0,0,2]]}],"с":[{"м":[{},[0,0,0,3]],"п":[{},[2,1]]}],"т":[{"в":[{},[0,0,2]]}],"у":[{"м":[{},[0,0,0,3]]}],"х":[{"в":[{},[0,0,2,3]],"л":[{},[0,0,1]],"р":[{},[0,0,1]]}],"-":[{},[8,8]]},[1]],"к":[{"в":[{},[0,0,2]],"л":[{},[0,2,1]],"-":[{},[8,8]]},[2,1]],"л":[{"ь":[{},[0,2]],"ю":[{},[0,0,0,1]],"-":[{},[8,8]]},[2,1]],"м":[{"-":[{},[8,8]]},[2]],"н":[{"и":[{"е":[{},[0,0,0,2]]}],"-":[{},[8,8]]},[2,1]],"о":[{"б":[{"л":[{},[0,0,2]],"р":[{},[0,0,1,2]]}],"в":[{"и":[{"я":[{},[2]]}],"л":[{},[0,0,2]],"о":[{"д":[{},[3]]}]}],"г":[{"д":[{},[0,0,2,3]],"о":[{"с":[{},[0,0,0,0,1]]}]}],"д":[{"р":[{},[0,0,1]]}],"е":[{"н":[{},[2]]}],"з":[{"в":[{},[0,0,1]]}],"к":[{"а":[{"у":[{},[0,0,2,1,2]]}],"л":[{"а":[{},[0,0,0,3]]},[0,0,2]]}],"п":[{"а":[{"с":[{},[3]]}]}],"р":[{"в":[{},[0,0,2]],"г":[{},[2,1]],"у":[{},[0,0,1]]}],"с":[{"к":[{},[0,0,0,1]],"п":[{},[0,0,1,2]]}],"т":[{"д":[{},[2]],"р":[{},[0,0,0,2]]}],"ш":[{"л":[{},[0,0,2]]}],"ё":[{"н":[{},[2]]}],"-":[{},[8,8]]},[1]],"п":[{"-":[{},[8,8]]},[2]],"с":[{"б":[{},[0,0,3]],"-":[{},[8,8]]},[2,1,2]],"т":[{"-":[{},[8,8]]},[0,1]],"у":[{".":[{},[1]],"б":[{"р":[{},[0,0,1]]}],"в":[{},[0,0,1]],"г":[{},[0,0,3]],"д":[{"р":[{},[0,0,1,4]]}],"е":[{},[1]],"з":[{"н":[{},[0,0,1]]}],"к":[{"р":[{},[0,0,1]]}],"н":[{},[1]],"о":[{"д":[{},[0,0,0,2]]}],"п":[{"л":[{"о":[{},[0,0,3,2]]}]}],"с":[{"н":[{},[0,0,3,4]]},[0,0,1]],"т":[{"ь":[{},[0,0,3]]}],"ю":[{},[1]],"ё":[{},[1]],"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]},[2,3,2]],"х":[{"в":[{},[0,2,3]],"-":[{},[8,8]]},[2,1,2]],"ц":[{"-":[{},[8,8]]},[2]],"ч":[{"-":[{},[8,8]]},[0,1]],"ы":[{".":[{},[1]],"е":[{},[1]],"ж":[{},[1]],"й":[{},[1]],"м":[{},[1]],"х":[{".":[{},[1]]}],"-":[{},[8,8]]}],"ь":[{".":[{},[4]],"д":[{},[2]],"е":[{},[3]],"и":[{},[3]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"о":[{},[3]],"с":[{"к":[{},[2]],"т":[{"и":[{},[1]],"я":[{},[1]]}]}],"т":[{},[2]],"ц":[{},[2]],"ч":[{},[2]],"щ":[{"а":[{},[1]],"е":[{},[1]],"у":[{},[1]],"ё":[{},[1]]}],"ю":[{},[3]],"я":[{},[3]],"ё":[{},[3]],"-":[{},[8,8]]}],"ю":[{".":[{},[1]],"ж":[{},[1]],"с":[{"ь":[{},[1]]}],"т":[{"а":[{},[0,0,1]]}],"-":[{},[8,8]]},[0,2]],"я":[{".":[{},[3]],"в":[{"и":[{},[0,0,1]],"о":[{},[3]],"ы":[{},[3]]}],"д":[{},[2]],"м":[{},[3]],"р":[{"е":[{},[0,0,1]],"у":[{},[0,0,1]]}],"х":[{},[3]],"-":[{},[8,8]]},[1]],"ё":[{"д":[{"о":[{},[0,0,3]]}],"з":[{"о":[{},[0,0,1,2,3]]}],"к":[{"л":[{},[0,0,0,1]]}],"н":[{},[1]],"с":[{"к":[{"а":[{},[0,0,4]]},[0,0,2]]}],"х":[{},[1]],"-":[{},[8,8]]}],"ъ":[{".":[{},[8]],"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"р":[{"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"э":[{"-":[{},[8,8]]}]}],"м":[{"а":[{"в":[{"з":[{},[0,0,2]]}],"г":[{"н":[{},[0,0,2]]},[3]],"д":[{"р":[{},[0,0,2]],"ь":[{},[0,0,2]]}],"з":[{"о":[{},[0,0,1]]}],"к":[{"р":[{},[0,0,2,1]]}],"л":[{"л":[{},[2,1]]}],"н":[{"д":[{"р":[{},[0,0,0,2,1]]}]}],"с":[{"л":[{},[0,0,0,3]],"т":[{},[0,0,1,4]]}],"т":[{"о":[{"б":[{},[0,0,2]]}],"р":[{},[0,0,2,1]]}],"у":[{},[0,0,2]],"ф":[{},[0,0,0,2]],"ч":[{"т":[{},[0,0,2]]},[3]],"-":[{},[8,8]]}],"б":[{"и":[{},[0,3]],"л":[{"я":[{},[0,3]]},[0,0,2]],"-":[{},[8,8]]},[4,1]],"в":[{"-":[{},[8,8]]},[2,3,2]],"г":[{"л":[{},[3,2]],"-":[{},[8,8]]},[2,0,2]],"д":[{"-":[{},[8,8]]},[2,1]],"е":[{"а":[{"н":[{},[0,0,0,0,2]]}],"е":[{"г":[{},[0,0,2]],"л":[{},[0,0,2]]}],"ж":[{"а":[{"т":[{},[0,0,2,1]]}]}],"з":[{"о":[{},[0,0,1]]}],"с":[{"к":[{},[0,0,2,1]],"т":[{"р":[{},[0,0,2,0,1]]}]}],"ч":[{"т":[{},[0,0,0,1]]}],"д":[{"и":[{"н":[{"с":[{},[0,0,2]]}]}],"о":[{"с":[{"м":[{},[0,0,2,1,2]]}]}]}],"т":[{"и":[{"л":[{"а":[{"м":[{},[0,0,0,0,2,1]]}]}]}]}],"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]},[2]],"з":[{"-":[{},[8,8]]},[2,1,2]],"и":[{"г":[{"р":[{"е":[{},[0,0,2]]}]}],"з":[{"в":[{},[0,0,1]],"д":[{},[2]],"н":[{},[0,0,1]]}],"к":[{"р":[{"и":[{},[0,0,0,1]]},[0,0,2]]}],"о":[{"з":[{},[0,0,2]],"п":[{"и":[{},[0,0,1]]}],"р":[{},[0,0,2]]}],"с":[{"л":[{},[0,0,1,2]],"с":[{"н":[{},[0,0,0,4,3]]}]}],"-":[{},[8,8]]}],"к":[{"н":[{},[3]],"-":[{},[8,8]]},[2,1,2]],"л":[{"е":[{"е":[{},[0,2]],"л":[{},[0,2]]}],"-":[{},[8,8]]},[2,1]],"м":[{"-":[{},[8,8]]},[2]],"н":[{"а":[{},[4,3]],"е":[{"д":[{},[0,0,0,1]],"ш":[{},[3,2]]}],"о":[{"е":[{},[4]],"ж":[{},[0,2]],"й":[{},[4]],"м":[{},[4]],"р":[{},[0,2]],"ю":[{},[4]]}],"у":[{"т":[{},[0,2]]}],"ы":[{},[4,3]],"ё":[{"ш":[{},[3,2]]}],"-":[{},[8,8]]},[2,1]],"о":[{"б":[{},[0,0,1,2]],"в":[{"л":[{},[0,0,3]]}],"д":[{"р":[{},[0,0,1]]},[3]],"ж":[{"ж":[{},[0,0,2]]}],"з":[{"в":[{},[0,0,1]],"р":[{},[0,0,1]]}],"и":[{"с":[{"т":[{},[0,0,0,0,1]]}]}],"к":[{"в":[{},[0,0,2,3]]}],"м":[{},[0,0,3,2]],"н":[{},[3]],"п":[{},[3]],"р":[{"у":[{},[0,0,1]]}],"с":[{"к":[{"а":[{},[0,0,0,1]]}],"м":[{},[0,0,1]],"н":[{},[0,0,1]],"п":[{},[0,0,1,2]]}],"т":[{"и":[{},[3]],"р":[{},[0,0,2,1]]}],"ф":[{},[3]],"-":[{},[8,8]]}],"п":[{"л":[{},[0,0,2]],"-":[{},[8,8]]},[2]],"р":[{"а":[{"б":[{},[0,1]]}],"и":[{},[2]],"о":[{},[2,1]],"ы":[{},[0,1]],"-":[{},[8,8]]}],"с":[{"к":[{},[0,0,2]],"н":[{},[0,0,2]],"о":[{"р":[{},[0,2,1]]}],"т":[{"и":[{},[3,2]]}],"-":[{},[8,8]]},[2,1]],"т":[{"-":[{},[8,8]]},[2,1]],"у":[{"с":[{"к":[{},[0,0,1,2]],"л":[{},[0,0,1,4]],"т":[{},[0,0,1]]}],"т":[{"р":[{},[0,0,0,1]],"ь":[{},[0,0,3]]}],"-":[{},[8,8]]}],"ф":[{"и":[{},[0,0,0,3]],"-":[{},[8,8]]},[2]],"х":[{"-":[{},[8,8]]},[2,1]],"ц":[{"-":[{},[8,8]]},[2]],"ч":[{"а":[{"в":[{},[0,2]],"л":[{},[0,2]]}],"и":[{"т":[{},[0,2]],"ш":[{},[0,2]]}],"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]},[2,0,2]],"щ":[{"е":[{},[3,2]],"ё":[{},[3,2]],"-":[{},[8,8]]},[2]],"ы":[{"м":[{"р":[{},[0,0,2]]},[0,0,0,1]],"с":[{},[0,0,2]],"-":[{},[8,8]]}],"ь":[{".":[{},[2]],"с":[{},[2]],"ю":[{},[0,0,0,1]],"-":[{},[8,8]]}],"э":[{"р":[{},[0,0,1]],"-":[{},[8,8]]},[2]],"ю":[{"-":[{},[8,8]]},[0,2]],"я":[{"р":[{},[0,0,1]],"с":[{"т":[{},[0,0,1]]}],"-":[{},[8,8]]}],"ъ":[{".":[{},[8]],"-":[{},[8,8]]}],"ё":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}]},[1]],"н":[{"а":[{"б":[{"и":[{"о":[{},[0,0,0,0,1]]}],"р":[{},[0,0,0,2]]}],"в":[{"р":[{},[0,0,1,2]]}],"г":[{"н":[{},[0,0,0,2]]}],"ж":[{"д":[{},[0,0,3]]}],"з":[{},[0,0,1,2]],"и":[{"л":[{},[0,0,2]],"н":[{},[0,0,2]],"с":[{},[0,0,2,1,2]]}],"к":[{"к":[{},[4]]}],"м":[{"н":[{},[0,0,3,2]]}],"п":[{"л":[{},[0,0,0,2]]}],"р":[{"в":[{"а":[{"т":[{},[0,0,0,2]]},[0,0,1]],"и":[{},[0,0,1,2]]}]}],"с":[{},[0,0,1,2]],"т":[{"в":[{},[0,0,1]],"р":[{},[0,0,1,2]]}],"ф":[{"р":[{},[0,1,2]]}],"х":[{},[0,0,1,2]],"ч":[{},[2]],"ш":[{"л":[{},[0,0,3,2]]}],"щ":[{},[2]],"э":[{"р":[{},[0,0,0,1]]}],"я":[{},[3]],"-":[{},[8,8]]},[1]],"б":[{"-":[{},[8,8]]},[2,1,2]],"в":[{"-":[{},[8,8]]},[2,1]],"г":[{"в":[{},[0,2,1]],"и":[{"о":[{},[0,0,0,2]]}],"л":[{},[0,0,4]],"о":[{"с":[{},[0,0,0,1]]}],"р":[{},[0,0,2]],"-":[{},[8,8]]},[2]],"д":[{"а":[{"к":[{},[0,2]]}],"в":[{},[0,2,1]],"е":[{"з":[{},[0,0,0,3]],"с":[{},[0,0,0,2]]}],"ж":[{},[0,0,2]],"з":[{},[0,3,2]],"л":[{},[0,2]],"р":[{"а":[{"г":[{},[0,0,1]],"ж":[{},[0,0,1]]}],"е":[{},[0,0,2]],"и":[{"а":[{},[0,0,2]]}],"я":[{},[0,2]],"ё":[{},[0,0,2]]}],"с":[{"п":[{},[0,0,2]]}],"ц":[{},[0,2]],"-":[{},[8,8]]},[2,1]],"е":[{"б":[{},[0,0,1,2]],"в":[{"д":[{},[0,0,1,2]],"н":[{"я":[{},[0,0,3]]},[2]]}],"г":[{},[0,0,0,2]],"д":[{"л":[{},[0,0,1,2]],"о":[{},[0,0,0,2]],"р":[{"а":[{},[0,0,2]],"о":[{},[0,0,1]]}],"у":[{},[0,0,3]]},[3]],"е":[{"д":[{},[0,0,0,2]]},[0,0,3]],"ж":[{"д":[{},[0,0,3,2]]}],"з":[{"в":[{},[0,0,1]],"л":[{},[0,0,1,2]],"н":[{},[0,0,1]],"о":[{},[0,0,1]],"р":[{},[0,0,1]]}],"и":[{},[0,0,0,2]],"к":[{"в":[{},[0,0,1,2]],"л":[{},[0,0,1]]}],"м":[{"н":[{},[0,0,3,2]]}],"о":[{"д":[{"а":[{},[0,0,2]]}],"л":[{},[0,0,2]],"р":[{"е":[{},[0,0,2,3]]}]},[3,0,1,2]],"п":[{},[0,0,3,2]],"р":[{"ж":[{},[0,0,1,2]],"о":[{"т":[{},[0,0,2,1]]}]}],"с":[{"к":[{},[0,0,0,2]],"н":[{},[0,0,3,2]],"п":[{},[0,0,1,2]],"т":[{},[0,0,0,0,2]],"х":[{},[0,0,1,2]],"ч":[{},[0,0,1,2]]}],"т":[{"в":[{},[0,0,1,2]],"л":[{},[0,0,3,2]],"р":[{},[0,0,1,2]]}],"у":[{},[3]],"ф":[{"р":[{},[0,0,2]]}],"х":[{"р":[{},[0,0,1]]}],"ш":[{"к":[{},[0,0,3]]}],"я":[{},[0,0,0,2]],"ё":[{},[0,0,3]],".":[{},[8]],"-":[{},[8,8]]},[1]],"з":[{"о":[{"с":[{},[0,0,0,1]]}],"-":[{},[8,8]]},[2,1,2]],"и":[{"б":[{},[0,0,3,2]],"е":[{"н":[{},[0,0,2]]}],"й":[{},[3]],"к":[{"л":[{},[0,0,2]]}],"л":[{"а":[{"л":[{},[0,0,2,1]],"м":[{},[0,0,2,1]]},[0,0,0,0,2]]}],"н":[{"с":[{"п":[{},[2]],"т":[{},[2,1]]}]}],"с":[{"л":[{},[0,0,1]],"п":[{},[0,0,0,3]],"т":[{"р":[{},[0,0,0,0,2]]}],"к":[{"о":[{"л":[{},[0,0,1,2]]}]}],"ь":[{".":[{},[0,0,4]]}]}],"у":[{},[0,0,0,3]],"х":[{},[0,0,1]],"ц":[{},[3]],"щ":[{},[3]],"-":[{},[8,8]]},[1]],"к":[{"в":[{},[0,0,2]],"л":[{},[0,0,2]],"о":[{"б":[{},[0,0,0,0,2]],"п":[{},[0,0,0,3,2]]}],"р":[{"о":[{},[0,2,1]]}],"с":[{},[0,0,1]],"-":[{},[8,8]]},[2,1]],"л":[{"-":[{},[8,8]]},[0,1]],"н":[{"о":[{"п":[{},[0,0,0,3,2]]}],"-":[{},[8,8]]},[2,1]],"о":[{"б":[{"р":[{},[0,0,1]]},[0,0,0,2]],"в":[{"л":[{},[0,0,2]]}],"д":[{"в":[{},[0,0,1]],"р":[{},[0,0,1]]}],"е":[{"р":[{},[0,0,2]]}],"з":[{"в":[{},[0,0,1]],"д":[{},[0,0,2]],"о":[{},[0,0,3,2]],"р":[{},[0,0,1]]}],"к":[{"н":[{},[0,0,3]]}],"м":[{"е":[{},[3]],"ш":[{},[0,0,0,3]],"ё":[{},[3]]}],"р":[{"в":[{},[0,0,2]],"у":[{},[0,0,1]]}],"с":[{"к":[{"л":[{},[0,0,1]]}],"л":[{"и":[{},[0,0,2]]}],"п":[{},[0,0,1,2]],"ч":[{},[0,0,2]]}],"т":[{"д":[{},[2]]}],"ф":[{},[0,0,3,2]],"э":[{},[0,0,0,2]],"л":[{"а":[{"м":[{"и":[{"н":[{},[0,0,4,1,2]]}]}]}]}],"-":[{},[8,8]]},[1]],"п":[{"-":[{},[8,8]]},[0,3,2]],"р":[{"е":[{},[2,1]],"и":[{},[2,1]],"о":[{},[0,1]],"-":[{},[8,8]]}],"с":[{"в":[{},[0,2,3]],"г":[{},[0,2]],"к":[{"е":[{},[0,0,2]],"о":[{"н":[{},[0,2]]}]}],"л":[{"а":[{},[0,3]]},[0,2]],"м":[{},[0,2,3]],"н":[{},[0,2]],"о":[{"к":[{},[0,2,1]]}],"п":[{"е":[{},[0,3,2]]}],"т":[{"р":[{},[0,0,0,2]]}],"у":[{"р":[{},[0,0,0,2]]}],"ф":[{},[0,2,3]],"ъ":[{},[0,2,0,3]],"-":[{},[8,8]]},[2,1]],"т":[{"в":[{},[0,2,1]],"и":[{"о":[{"к":[{},[0,0,0,1,2]]}]}],"м":[{},[0,2]],"р":[{"а":[{"г":[{},[0,2,0,1,2]],"ж":[{},[0,0,0,1]],"р":[{},[0,2]],"с":[{"с":[{},[0,2]]},[0,0,0,0,0,2]]},[0,0,2]],"е":[{},[0,0,2]],"и":[{"в":[{},[0,2]]}],"о":[{"к":[{},[0,2]]}],"у":[{"д":[{},[0,0,0,1]]},[0,0,2]],"ы":[{},[0,0,2]],"я":[{},[0,2,1]]}],"-":[{},[8,8]]},[2,1]],"у":[{"т":[{"р":[{},[0,0,0,1]]}],"х":[{},[0,0,1]],"ю":[{},[3]],"-":[{},[8,8]]},[1]],"ф":[{"-":[{},[8,8]]},[2,0,2]],"х":[{"о":[{},[0,0,0,1]],"-":[{},[8,8]]},[0,1]],"ц":[{"-":[{},[8,8]]},[2]],"ч":[{"л":[{},[0,2]],"-":[{},[8,8]]},[2,1]],"ш":[{"т":[{},[0,0,2]],"-":[{},[8,8]]},[2]],"щ":[{"-":[{},[8,8]]},[2]],"ы":[{".":[{},[3]],"-":[{},[8,8]]},[1]],"ь":[{".":[{},[2]],"е":[{},[1]],"и":[{},[1]],"к":[{},[2]],"о":[{},[1]],"с":[{},[2]],"т":[{},[2]],"ч":[{},[2]],"ю":[{},[1]],"я":[{},[1]],"ё":[{},[1]],"-":[{},[8,8]]}],"э":[{"-":[{},[8,8]]},[0,2]],"ю":[{"р":[{},[2,3,2]],"-":[{},[8,8]]},[1,2]],"я":[{"в":[{"и":[{},[0,0,1]]}],"-":[{},[8,8]]},[1]],"ё":[{"б":[{},[0,0,1,2]],"-":[{},[8,8]]},[1]],"ъ":[{".":[{},[8]],"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"м":[{"-":[{},[8,8]]}]}],"о":[{"а":[{"в":[{},[0,3]],"п":[{},[0,0,0,1]],"-":[{},[8,8]]},[2,1,2]],"б":[{"а":[{},[2]],"и":[{"о":[{},[2]]}],"л":[{"е":[{"в":[{},[0,0,2]],"м":[{},[0,0,2]]}],"ю":[{},[0,1]]}],"м":[{},[1]],"о":[{"л":[{"г":[{},[0,0,0,1,2]]}],"м":[{},[0,0,0,3,2]],"с":[{},[0,0,0,2]],"т":[{},[2]]}],"р":[{"а":[{".":[{},[0,2]],"в":[{},[0,1]],"н":[{},[0,1]]}]},[0,0,1]],"ъ":[{},[1]],"ь":[{},[2]],"-":[{},[8,8]]}],"в":[{"л":[{"а":[{},[0,3]],"о":[{},[0,3,2]]}],"н":[{"о":[{},[0,0,3]],"у":[{"ш":[{},[0,3,2]]}]}],"р":[{"и":[{},[0,2,1]]}],"с":[{"е":[{},[0,0,2]],"к":[{"о":[{},[0,0,3]]}]}],"т":[{},[0,0,2]],"х":[{},[0,2]],"-":[{},[8,8]]},[0,1]],"г":[{"е":[{},[2,3]],"л":[{"а":[{".":[{},[0,0,3]]}],"и":[{".":[{},[0,0,3]]}],"о":[{".":[{},[0,0,3]]}]}],"р":[{"я":[{},[0,3]]}],"-":[{},[8,8]]},[0,0,2]],"д":[{"а":[{"н":[{},[2]]}],"в":[{"о":[{"е":[{},[0,0,1]]}]}],"е":[{".":[{},[0,3]],"я":[{"л":[{},[1,2]]}]}],"и":[{"а":[{},[2,0,0,3]],"м":[{},[2,3]]}],"л":[{"и":[{"т":[{},[0,0,2]]}]}],"о":[{"п":[{"е":[{},[0,2,1,2]],"р":[{},[0,0,0,3]],"ы":[{},[0,2,1,2]]}],"с":[{"и":[{},[0,2]]}],"т":[{"ч":[{},[0,2,1]]}],"б":[{"о":[{"л":[{},[0,2,1,2]]}]}]}],"р":[{"а":[{"г":[{},[0,1]],"ж":[{},[0,0,1]],"з":[{},[0,0,1]],"к":[{},[0,0,1]],"л":[{},[0,1]]}],"е":[{"б":[{},[0,0,3]]}],"о":[{"б":[{},[0,1]],"в":[{},[0,0,1]]}],"ё":[{"б":[{},[0,0,3]]}]}],"у":[{"ч":[{},[0,2,1,2]]}],"ы":[{"м":[{"а":[{},[0,2]],"у":[{},[0,2]]}],"н":[{},[0,2]]}],"ь":[{"б":[{},[0,2]]},[0,1]],"-":[{},[8,8]]}],"е":[{"б":[{},[0,0,1]],"в":[{"л":[{},[0,2,1]]}],"д":[{},[0,0,2]],"ж":[{"е":[{"к":[{},[0,3]]}],"и":[{},[0,0,2]]}],"о":[{},[0,0,1]],"с":[{"т":[{},[0,0,2]]},[0,0,1,2]],"т":[{"о":[{},[0,2]]}],"ц":[{},[0,0,2]],"-":[{},[8,8]]},[0,1]],"ж":[{"д":[{"и":[{},[0,3]],"у":[{},[0,3,2]],"е":[{"в":[{},[0,4,3]]}]}],"-":[{},[8,8]]}],"з":[{"а":[{"б":[{"в":[{},[0,0,0,2,3]]}],"в":[{},[2]]}],"в":[{"а":[{},[0,1,2]],"е":[{"н":[{},[0,0,2]]}],"и":[{},[0,0,2]],"я":[{},[0,1,2]]}],"г":[{"л":[{"о":[{},[0,0,2]]}]}],"д":[{"о":[{"р":[{},[0,0,2]]}],"р":[{},[0,1]]}],"е":[{"о":[{},[0,0,0,1]]}],"н":[{"о":[{},[0,0,3]]}],"о":[{"б":[{},[0,2,1]],"н":[{},[2]],"п":[{},[0,2]],"р":[{"у":[{},[0,0,0,1]]}]},[0,1]],"у":[{"г":[{},[0,0,1]]}],"ы":[{"м":[{},[0,2]],"с":[{},[0,3]]}],"-":[{},[8,8]]}],"и":[{"г":[{"н":[{},[0,0,0,2]]},[0,0,2,1]],"е":[{},[0,0,0,3]],"з":[{},[0,0,2]],"м":[{"о":[{},[0,0,3]]},[0,0,2]],"о":[{},[0,0,2]],"с":[{"т":[{"р":[{},[0,1,2,1]]}]}],"-":[{},[8,8]]},[0,3]],"й":[{"с":[{"к":[{"о":[{"в":[{},[0,0,0,4]]}]}]},[0,0,0,2]],"-":[{},[8,8]]},[2]],"к":[{"а":[{"н":[{},[2,3]]}],"в":[{},[0,0,2]],"л":[{"ю":[{},[0,3]]},[2,0,2]],"о":[{"б":[{},[0,0,0,1]],"л":[{},[2,3]],"п":[{"л":[{},[0,0,0,3,2]]}]}],"с":[{"к":[{},[0,0,1]]}],"т":[{"и":[{},[2]]},[1]],"у":[{"м":[{},[2]]}],"-":[{},[8,8]]},[0,1]],"л":[{"а":[{},[0,3]],"г":[{"а":[{"н":[{},[0,0,2]]}]}],"е":[{},[0,1]],"и":[{"м":[{"п":[{},[1]]}]}],"о":[{},[0,3]],"у":[{"д":[{},[0,0,0,3,2]]},[0,1]],"ы":[{},[0,1]],"ю":[{},[0,1]],"я":[{},[0,3]],"ё":[{},[0,1]],"-":[{},[8,8]]}],"м":[{"а":[{},[0,3]],"б":[{"л":[{},[0,0,2]]}],"е":[{},[2]],"н":[{"е":[{"м":[{},[0,3,2]],"т":[{},[0,3,2]]}],"о":[{"ж":[{},[0,3]]}],"ё":[{"м":[{},[0,3,2]],"т":[{},[0,3,2]]}]}],"р":[{"и":[{},[0,0,1]]}],"ч":[{"е":[{".":[{},[0,2,3]]}]},[0,0,2]],"ш":[{"е":[{},[0,0,2]]}],"ь":[{"я":[{},[0,3]]},[0,2]],"ё":[{},[2]],"-":[{},[8,8]]}],"н":[{"а":[{},[0,3]],"д":[{},[0,0,0,2]],"е":[{"ф":[{},[0,0,0,3,2]]}],"о":[{"б":[{},[0,0,0,1]]}],"р":[{},[0,1]],"с":[{},[0,0,0,2]],"т":[{"р":[{"у":[{},[0,0,2]],"а":[{"т":[{},[0,0,2]]}]}]}],"и":[{"л":[{"а":[{"м":[{},[0,0,0,3,2]]}]}]}],"-":[{},[8,8]]}],"о":[{"л":[{},[0,2]],"п":[{"с":[{},[0,0,3]]}],"с":[{"м":[{},[0,0,0,3]],"т":[{"р":[{},[0,0,0,0,1]]}]}],"т":[{"и":[{},[0,2]]}],"ф":[{},[0,2]],"-":[{},[8,8]]},[0,1,2]],"п":[{"а":[{"к":[{},[0,3]],"р":[{},[0,3]]}],"л":[{"е":[{".":[{},[0,2]],"й":[{},[0,2,1]]}],"и":[{"т":[{},[0,0,2]]},[0,2]],"о":[{},[0,0,2]],"ю":[{".":[{},[0,0,3]],"с":[{},[0,2]]}],"я":[{"с":[{},[0,3]]},[0,2]],"ё":[{"й":[{},[0,2,1]]}]}],"о":[{"в":[{"с":[{},[0,0,0,4]]}],"з":[{"н":[{},[0,0,0,0,2]]}],"ш":[{"л":[{},[0,0,0,2,3]]}]}],"р":[{"и":[{},[0,0,2]]}],"т":[{"е":[{},[0,3,2]],"о":[{},[0,0,2]]}],"-":[{},[8,8]]}],"р":[{"а":[{"с":[{},[0,0,0,2,3]]},[0,1]],"б":[{"л":[{},[0,0,2,3]]}],"в":[{},[0,1,2]],"е":[{"г":[{},[2,3]],"с":[{"к":[{},[0,0,0,2]]}]},[0,1]],"и":[{"с":[{"п":[{},[0,0,1]]}]},[0,1]],"о":[{"с":[{"л":[{},[0,0,0,2,3]]}]},[0,1]],"т":[{"р":[{},[0,0,2]]}],"у":[{"е":[{},[0,1]],"к":[{"с":[{},[0,0,1]]},[0,1]],"с":[{},[0,1]]}],"ц":[{},[2]],"ы":[{},[0,1]],"ю":[{},[0,1]],"я":[{},[0,1]],"ё":[{},[0,1]],"-":[{},[8,8]]}],"с":[{"а":[{"д":[{},[0,3]],"ж":[{},[0,0,0,3,2]]}],"б":[{"а":[{},[0,2,3]]},[0,0,2]],"к":[{"а":[{".":[{},[0,2,1]],"р":[{},[0,0,3]]}],"в":[{"о":[{},[0,0,0,1]]}],"е":[{},[0,2]],"и":[{".":[{},[0,2]]},[0,0,1]],"о":[{"в":[{},[0,2]],"й":[{},[0,0,1]],"м":[{},[0,0,1]],"п":[{},[0,1,2]],"ю":[{},[0,0,1]]}],"у":[{".":[{},[0,2,1]],"ю":[{},[0,0,1]]}],"ё":[{},[0,2]]}],"л":[{"е":[{"й":[{},[0,0,3]]}],"о":[{"г":[{},[0,0,3]]}],"ы":[{"х":[{},[0,0,3]]}]},[0,1,2]],"м":[{"и":[{},[0,0,3]],"о":[{"с":[{},[0,0,3]]}]}],"н":[{"и":[{"м":[{},[0,1,2]]}],"я":[{"л":[{},[0,0,2]]}]}],"п":[{"а":[{"с":[{},[0,0,2]]}],"у":[{},[0,1,2]],"я":[{},[0,0,2]]}],"с":[{"в":[{},[0,0,2]],"м":[{},[0,0,2,3]]}],"т":[{"а":[{},[0,0,2]],"р":[{"а":[{},[0,3]]}]},[0,1]],"у":[{"ч":[{},[0,2]]}],"х":[{},[2]],"ц":[{"е":[{"н":[{},[0,0,2]]}]}],"ч":[{},[0,1,2]],"ш":[{"и":[{"в":[{},[0,1,2]]}]}],"о":[{"м":[{"н":[{},[0,0,0,4,3]]}]}],"-":[{},[8,8]]}],"т":[{"в":[{"а":[{},[0,0,3]],"е":[{},[0,0,1]],"и":[{},[0,0,1]],"л":[{},[0,0,1]],"ё":[{},[0,0,1]]},[0,0,0,2]],"г":[{},[1]],"д":[{},[1]],"е":[{"к":[{},[2,3]],"р":[{},[0,3]],"х":[{},[2,3]]}],"и":[{"д":[{"н":[{},[0,0,0,4]]}]},[0,3]],"к":[{"а":[{"л":[{},[0,3]]}]}],"м":[{},[0,2]],"р":[{"а":[{"б":[{},[0,0,1]],"д":[{},[0,0,1]],"з":[{},[0,0,1]],"с":[{},[0,0,0,0,2]]}],"е":[{"ж":[{},[0,0,1]],"к":[{},[0,0,1]],"ч":[{},[0,0,1]],"ш":[{},[0,0,1]]}],"и":[{},[0,0,1]],"о":[{"д":[{},[0,0,1]],"е":[{},[0,0,1]],"к":[{},[0,0,1]],"с":[{},[0,0,1]],"ч":[{},[0,0,1]]}],"у":[{"г":[{},[0,0,1]]}],"ё":[{"к":[{},[0,0,1]],"ш":[{},[0,0,1]]}]}],"с":[{"м":[{},[0,0,3]]}],"у":[{"а":[{},[0,0,0,2]],"ч":[{},[0,0,1,2]]}],"х":[{},[1]],"ь":[{"ю":[{},[0,3]],"я":[{},[0,3]]}],"ё":[{"к":[{},[2,3]],"р":[{},[0,3]]}],"-":[{},[8,8]]},[0,1]],"у":[{"п":[{},[0,0,0,2]],"с":[{"к":[{},[0,0,0,2]]}],"т":[{"а":[{},[0,0,3]],"о":[{},[0,0,3]]}],"-":[{},[8,8]]},[0,1,2]],"ф":[{"а":[{"ш":[{},[2]]}],"е":[{},[0,3]],"и":[{"т":[{},[2]]}],"о":[{"н":[{},[2]],"р":[{"и":[{},[0,2]]}],"т":[{},[2]]}],"р":[{"и":[{},[0,2]]}],"ё":[{},[0,3]],"-":[{},[8,8]]}],"х":[{"и":[{},[2]],"л":[{"ы":[{},[0,0,1]],"я":[{},[0,2]]}],"м":[{"е":[{},[0,0,2]]}],"о":[{"р":[{},[2]]}],"р":[{},[0,1]],"у":[{},[0,1]],"-":[{},[8,8]]}],"ц":[{"о":[{},[0,2]],"-":[{},[8,8]]}],"ч":[{"а":[{"с":[{},[0,0,0,1]]}],"л":[{"е":[{},[0,0,1]],"и":[{},[0,3]]},[0,0,2]],"т":[{"о":[{},[0,2,1]]},[0,1]],"-":[{},[8,8]]}],"ш":[{"в":[{"а":[{},[0,0,3]]}],"л":[{"а":[{},[0,0,2]]}],"п":[{"а":[{"к":[{},[0,0,0,0,2,3]]}]}],"т":[{},[0,0,2]],"-":[{},[8,8]]}],"э":[{"т":[{"и":[{},[0,0,1]]}],"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]},[2]],"я":[{"в":[{},[0,0,2]],"д":[{},[0,0,2]],"з":[{},[0,0,2]],"р":[{"и":[{},[0,0,2]]}],"-":[{},[8,8]]},[0,1]],"ё":[{"ж":[{"и":[{},[0,0,2]]}],"-":[{},[8,8]]},[0,1]],"щ":[{"-":[{},[8,8]]}],"ъ":[{"-":[{},[8,8]]}],"ы":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}]}],"п":[{"а":[{"в":[{"и":[{},[0,0,0,0,3]],"л":[{},[0,0,0,3]],"ь":[{},[0,0,2]]}],"д":[{"р":[{},[0,0,2]]}],"е":[{"н":[{},[0,0,2]]}],"з":[{"о":[{},[0,0,1]]}],"с":[{"л":[{},[0,0,0,1]],"т":[{"а":[{},[0,0,0,1]],"е":[{},[0,0,1]],"о":[{},[0,0,0,1]],"у":[{},[0,0,0,1]],"ы":[{},[0,0,2,1]]}]}],"т":[{"р":[{"о":[{},[0,0,1]]}]}],"у":[{"н":[{},[0,0,2]]}],"ф":[{},[0,0,3]],"х":[{"у":[{},[0,0,1]]}],"ш":[{"т":[{},[0,0,2]]}],"-":[{},[8,8]]}],"в":[{"-":[{},[8,8]]},[2,1,2]],"д":[{"-":[{},[8,8]]},[2,1]],"е":[{"д":[{"в":[{},[0,0,2]],"и":[{"н":[{},[0,0,2,1]]}]}],"з":[{"а":[{},[0,0,3]],"о":[{},[0,0,3]]},[0,0,2]],"к":[{"л":[{"а":[{},[0,0,2,1]]}]}],"л":[{"ь":[{},[0,0,2]]}],"п":[{"л":[{},[0,0,4]]}],"р":[{"и":[{"о":[{},[0,0,0,0,1]]}],"е":[{"с":[{"н":[{},[0,0,0,0,1,2]]}]}]}],"с":[{"к":[{},[0,0,2,1]],"н":[{},[0,0,2]],"т":[{"р":[{},[0,0,2,0,1]]}],"ц":[{},[0,0,2]],"ч":[{},[0,0,2]]}],"т":[{"р":[{},[0,0,2]]}],"ш":[{"т":[{},[0,0,2]]}],"-":[{},[8,8]]},[0,0,1]],"и":[{"а":[{"с":[{"т":[{},[0,0,0,0,0,1]]}]}],"ж":[{"м":[{},[0,0,2,3]]}],"к":[{"р":[{},[0,0,2,1]]}],"н":[{"к":[{},[3]]}],"с":[{"я":[{},[3]]}],"-":[{},[8,8]]}],"к":[{"-":[{},[8,8]]},[4,3]],"л":[{".":[{},[2]],"а":[{".":[{},[4]],"с":[{},[0,0,0,1]]}],"е":[{"м":[{".":[{},[0,1]],"с":[{},[0,1]]}],"н":[{"к":[{},[0,2]]},[2]],"о":[{},[0,1,0,2]],"с":[{"к":[{},[0,0,0,0,1]]}],"ю":[{},[0,1]]}],"и":[{"в":[{},[2]],"к":[{},[3,2]]}],"о":[{".":[{},[2]],"в":[{},[2]],"г":[{},[2]]}],"ы":[{"й":[{},[2]],"м":[{},[2]],"н":[{},[0,1]],"х":[{},[0,1]]}],"ю":[{".":[{},[2]],"т":[{},[0,1]]}],"я":[{"с":[{},[0,2]],"ш":[{},[0,2]]}],"ё":[{"н":[{"к":[{},[0,2]]},[2]],"с":[{"к":[{},[0,0,0,0,1]]}],"ю":[{},[0,1]]}],"-":[{},[8,8]]}],"н":[{"а":[{},[0,3]],"о":[{},[0,3,0,1]],"ы":[{},[0,3]],"-":[{},[8,8]]},[2,1]],"о":[{"б":[{},[0,0,1,2]],"в":[{"л":[{},[0,0,3]],"с":[{},[0,0,3,2]]}],"д":[{"в":[{"о":[{},[0,0,0,1]]}],"о":[{"к":[{},[0,0,2,1,2]],"м":[{},[0,0,0,0,3,2]],"д":[{"е":[{},[0,0,2]]}]}],"у":[{"р":[{"о":[{},[0,0,2,1,2]]}]}]}],"е":[{"л":[{},[0,0,0,2]],"х":[{},[0,0,0,2]],"ж":[{},[0,0,0,2]]}],"з":[{"в":[{"е":[{},[0,0,1]]}],"д":[{"о":[{},[0,0,1]]}],"л":[{},[0,0,1,2]],"н":[{},[0,0,1]]}],"и":[{"щ":[{},[0,0,0,2]]}],"й":[{},[3]],"л":[{"к":[{},[3]]}],"м":[{"н":[{"о":[{},[0,0,3]],"у":[{},[0,0,3]]}]}],"п":[{},[3,0,3,2]],"р":[{"г":[{},[0,1]],"ж":[{},[0,0,0,2]],"у":[{},[0,0,1]]}],"с":[{"л":[{},[3]],"с":[{},[0,0,3]],"т":[{"и":[{"н":[{},[0,0,2]]}]}]},[0,0,1,4]],"т":[{"в":[{},[0,0,0,2]],"р":[{},[0,0,0,2]]}],"х":[{},[0,0,1,2]],"ш":[{"л":[{"о":[{},[0,0,2]],"ы":[{},[0,0,2]],"я":[{},[0,0,2]]}]}],"э":[{"м":[{},[0,0,0,3]]}],"ё":[{"ж":[{},[0,0,0,2]]}],"-":[{},[8,8]]}],"п":[{"о":[{"д":[{},[0,0,0,1]]}],"-":[{},[8,8]]},[2,0,2]],"р":[{".":[{},[2]],"е":[{"в":[{},[3]],"з":[{},[0,0,0,1]],"й":[{},[0,0,0,0,2]],"л":[{},[0,0,0,1]],"о":[{"г":[{},[0,0,0,1]]}],"т":[{},[3]],"м":[{"н":[{"о":[{},[0,0,0,0,2]]}]}]}],"и":[{"в":[{},[0,0,0,3]],"г":[{},[0,0,0,0,2]],"д":[{},[0,0,0,3,2]],"к":[{},[0,0,0,3]],"л":[{"ь":[{},[0,0,0,0,0,2]]},[0,0,0,3]],"п":[{},[0,0,0,0,2]],"ц":[{},[0,2]],"ч":[{"е":[{"с":[{"к":[{},[0,0,0,0,0,2,1]]}]}],"ё":[{"с":[{"к":[{},[0,0,0,0,0,2,1]]}]}]}]},[0,0,0,1]],"о":[{"б":[{"л":[{},[0,0,0,1]]}],"д":[{"л":[{},[0,0,0,0,2]]}],"ж":[{},[0,0,0,3,2]],"з":[{"о":[{},[0,1]]},[0,0,0,1,2]],"и":[{},[3]],"п":[{},[0,0,0,3]],"ф":[{"о":[{},[0,0,0,0,0,2]]}]}],"с":[{},[2]],"у":[{},[0,2]],"ё":[{"т":[{},[3]]}],"-":[{},[8,8]]}],"с":[{"а":[{"л":[{},[3,2]]}],"и":[{"н":[{},[0,3]],"х":[{},[3,2]]}],"о":[{},[0,3]],"-":[{},[8,8]]},[2,1,2]],"т":[{"в":[{},[0,2,3]],"и":[{"х":[{},[3,2]],"д":[{"н":[{},[0,0,0,4]]}]}],"у":[{},[0,3]],"-":[{},[8,8]]},[2,1]],"у":[{"б":[{},[3]],"г":[{"н":[{},[0,0,0,3]]}],"с":[{"к":[{"у":[{},[0,0,0,1]]}],"т":[{},[0,0,1]]}],"т":[{"ь":[{},[0,0,3]]}],"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]},[2,0,2]],"х":[{"-":[{},[8,8]]},[0,0,2]],"ц":[{"-":[{},[8,8]]},[2]],"ч":[{"-":[{},[8,8]]},[4,3]],"ш":[{"-":[{},[8,8]]},[2]],"щ":[{"-":[{},[8,8]]},[2]],"ь":[{".":[{},[2]],"т":[{},[2]],"-":[{},[8,8]]}],"э":[{"р":[{"а":[{},[0,0,1]]}],"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]},[0,2,1]],"ё":[{"с":[{"т":[{"р":[{},[0,0,2,0,1]]}]}],"т":[{"р":[{},[0,0,2]]}],"-":[{},[8,8]]},[0,0,1]],"ъ":[{".":[{},[8]],"-":[{},[8,8]]}],"б":[{"-":[{},[8,8]]}],"г":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"з":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"м":[{"-":[{},[8,8]]}],"ы":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}]},[1]],"р":[{"а":[{".":[{},[1]],"а":[{},[0,0,0,2]],"б":[{"л":[{},[0,0,2]],"о":[{},[1]],"р":[{},[0,0,2,1]]}],"в":[{"н":[{"я":[{},[1]]}]}],"г":[{"в":[{},[0,0,2]],"л":[{},[0,0,2]]}],"д":[{"ж":[{},[0,0,0,2]],"о":[{"б":[{},[0,0,0,0,1,2]]}],"ц":[{},[0,0,2]]}],"ж":[{"у":[{"р":[{},[0,0,2]]}]}],"з":[{"и":[{"й":[{},[0,0,2]]}],"у":[{"б":[{},[0,0,2]]}]}],"к":[{"в":[{},[0,0,0,2]],"и":[{"з":[{},[1]]}],"л":[{},[0,0,2,3]]}],"л":[{"г":[{},[1]]}],"м":[{"к":[{},[1]],"н":[{},[1]]}],"н":[{"о":[{"х":[{},[0,0,2]]}],"с":[{"ц":[{},[0,0,0,2]]}]}],"п":[{"л":[{},[0,0,2,1]]}],"с":[{"к":[{},[0,0,0,3,2]],"л":[{},[1]],"п":[{},[0,0,0,3]],"т":[{"а":[{},[1]],"л":[{},[0,0,0,3,2]]},[0,0,0,1]]}],"т":[{"а":[{"к":[{},[0,0,2]]}],"в":[{},[0,0,0,1]],"р":[{},[0,0,1,2]]}],"х":[{"и":[{},[2]]}],"щ":[{"и":[{},[1]]}],"ю":[{},[1]],"я":[{"т":[{},[2]]},[1]],"-":[{},[8,8]]}],"б":[{"л":[{"а":[{},[0,0,2]],"е":[{},[0,2]],"о":[{},[0,0,2]],"ю":[{},[0,0,2]],"ё":[{},[0,2]]}],"о":[{"с":[{},[0,0,0,3]]}],"-":[{},[8,8]]},[2,1]],"в":[{"а":[{"в":[{},[1,2]],"к":[{},[0,3]],"р":[{},[0,3]],"т":[{"а":[{},[0,3]]}]}],"е":[{"ж":[{},[0,3]],"о":[{},[0,2]],"т":[{},[1]]}],"и":[{"н":[{},[0,3]],"т":[{},[0,2]]},[0,1]],"о":[{"з":[{"д":[{},[0,0,0,1,2]]}]},[0,1]],"ь":[{},[0,1]],"ё":[{"т":[{},[1]]}],"-":[{},[8,8]]}],"г":[{"в":[{},[0,2]],"л":[{},[0,2,1]],"н":[{},[0,2]],"р":[{},[0,0,2]],"-":[{},[8,8]]},[2]],"д":[{"а":[{"с":[{},[0,0,0,1]]}],"в":[{},[0,2,1]],"ж":[{},[0,0,2]],"и":[{"а":[{},[0,0,0,2]]}],"л":[{},[0,2]],"о":[{"с":[{},[0,0,0,0,2]]}],"ц":[{},[0,2]],"-":[{},[8,8]]},[2,1]],"е":[{".":[{},[1]],"в":[{"р":[{},[0,0,1]]}],"г":[{"л":[{"я":[{},[0,0,0,2]]}],"н":[{},[0,0,0,2]]}],"д":[{"о":[{"п":[{"л":[{},[0,0,0,0,4]]},[0,0,2,1,2]],"с":[{},[0,0,2]]}]}],"е":[{"в":[{},[0,0,0,2]],"д":[{},[0,0,0,2]],"л":[{},[0,0,0,2]]}],"ж":[{"д":[{"и":[{},[0,0,0,4]]},[0,0,3,2]]}],"з":[{"к":[{},[1]],"л":[{},[0,0,1,2]],"н":[{"а":[{},[0,0,1]]}],"о":[{},[1,0,1]],"р":[{},[0,0,1]],"у":[{},[0,0,0,2]]}],"й":[{"ш":[{},[1]]}],"к":[{"л":[{},[0,0,1,2]],"ш":[{},[1]]}],"м":[{"н":[{"о":[{},[0,0,3]]}],"о":[{"г":[{},[0,0,0,0,2,3]]},[3]]}],"н":[{"к":[{},[1]],"ь":[{},[1]]}],"о":[{"н":[{},[0,0,1]],"п":[{},[0,0,1]],"р":[{},[0,0,1,2]],"ф":[{},[0,0,1,2]],"х":[{},[0,0,1]],"ц":[{},[0,0,1,2]]}],"п":[{"ь":[{},[1]]}],"р":[{},[0,0,3,2]],"с":[{"к":[{"и":[{},[0,0,0,1]]}],"л":[{},[0,0,1]],"п":[{},[0,0,1,2]],"с":[{"м":[{},[0,0,0,2,3]]}],"т":[{"а":[{},[0,0,3]],"о":[{},[0,0,3]]}],"ч":[{},[0,0,1]]}],"т":[{"в":[{},[0,0,1]],"р":[{},[0,0,1,2]]}],"у":[{"ч":[{"т":[{},[0,0,0,0,3]]}]}],"ч":[{"т":[{},[0,0,1]]}],"ш":[{"л":[{},[0,0,3]]}],"-":[{},[8,8]]}],"ж":[{"а":[{".":[{},[0,3]],"м":[{},[0,3]],"н":[{},[0,3]]}],"д":[{},[0,3,2]],"-":[{},[8,8]]}],"з":[{"в":[{},[0,1,2]],"о":[{},[0,1]],"-":[{},[8,8]]},[2]],"и":[{"а":[{},[0,0,3]],"б":[{"р":[{},[0,0,3]]},[0,0,0,2]],"в":[{"н":[{},[0,0,3,2]]}],"г":[{"и":[{},[2]],"л":[{"о":[{},[0,0,2]]}],"н":[{},[0,0,3,2]]}],"д":[{"ж":[{},[2]],"р":[{},[0,0,1,2]]}],"е":[{"л":[{},[0,0,0,2]],"р":[{},[0,0,0,3]]}],"з":[{"в":[{},[0,0,0,2]]}],"к":[{"р":[{},[0,0,0,2]]}],"м":[{"н":[{},[0,0,3,2]],"ч":[{},[0,0,3,2]]}],"н":[{"с":[{},[1]]},[0,2]],"о":[{"з":[{},[0,0,0,2]],"с":[{},[0,0,0,2]],"т":[{},[0,0,1]]}],"р":[{},[0,0,3,2]],"с":[{"б":[{},[0,0,3]],"п":[{},[2]],"т":[{"в":[{},[0,0,3]]}]},[0,0,1,2]],"т":[{"р":[{},[0,0,3,2]]}],"у":[{},[1]],"ф":[{"л":[{},[0,0,2]],"р":[{},[0,0,3]]}],"х":[{"л":[{},[0,0,1]]}],"ц":[{},[1]],"ш":[{},[1]],"э":[{"т":[{"и":[{},[0,0,0,0,0,2]]}]}],"-":[{},[8,8]]}],"к":[{"в":[{},[0,2]],"л":[{},[0,2,1]],"с":[{},[0,0,1]],"-":[{},[8,8]]},[2,1]],"л":[{"ь":[{},[0,2]],"ю":[{},[0,0,0,1]],"я":[{},[0,3]],"-":[{},[8,8]]},[2,1,2]],"м":[{"ч":[{},[0,2]],"-":[{},[8,8]]},[2]],"н":[{"а":[{"с":[{},[0,0,0,0,4]]}],"е":[{"о":[{},[0,0,0,3]],"с":[{},[0,0,0,1,2]]}],"о":[{"с":[{"л":[{},[0,0,0,3]]}]}],"и":[{"л":[{"а":[{"м":[{},[0,0,0,3,2,3]]}]}]}],"-":[{},[8,8]]},[2,1]],"о":[{".":[{},[1]],"б":[{"л":[{"ю":[{},[0,0,2]],"е":[{"ю":[{},[0,0,0,2]]}]}],"р":[{},[0,0,1,2]]}],"в":[{"л":[{},[0,0,2]]}],"г":[{"о":[{"л":[{},[1]]}],"р":[{"у":[{},[1]]}]}],"д":[{"в":[{},[0,0,1]],"з":[{},[0,0,3,2]],"л":[{"е":[{},[0,0,0,2]],"ё":[{},[0,0,0,2]]},[0,0,1]],"о":[{"т":[{},[0,0,2,1]]}],"р":[{},[0,0,1]],"ь":[{},[1]]}],"е":[{"л":[{},[0,0,0,2]],"м":[{},[0,0,0,2]],"х":[{},[0,0,0,2]]}],"з":[{"а":[{"р":[{},[1]]}],"в":[{},[0,0,1,2]],"р":[{},[0,0,1]],"ы":[{"с":[{},[3]]}]}],"и":[{"с":[{},[0,0,0,2,3]]}],"к":[{"о":[{"н":[{},[1]]}],"р":[{},[1]]}],"л":[{"и":[{"с":[{},[1]],"ц":[{},[1]]}]}],"м":[{"о":[{"р":[{},[1]]}]}],"н":[{"а":[{"ж":[{},[1]],"п":[{},[1]]}],"о":[{"с":[{},[1]]}]}],"о":[{"п":[{"р":[{},[0,0,0,0,1]]}]}],"п":[{"л":[{"ю":[{},[0,0,2]]}],"с":[{},[0,0,3]]}],"р":[{"г":[{},[2,1]],"ж":[{},[0,0,1,2]],"у":[{},[0,0,1]]}],"с":[{"к":[{"и":[{},[0,0,2]],"у":[{},[0,0,2]]},[0,0,1]],"л":[{},[1]],"м":[{},[0,0,1]],"п":[{},[0,0,1,2]],"ф":[{},[0,0,0,2]],"ш":[{},[1]],"ю":[{},[1]]}],"т":[{"в":[{},[1,0,0,2]],"к":[{},[1]],"р":[{"и":[{},[0,0,0,2]]}]}],"у":[{"г":[{},[0,0,0,0,2]]},[1]],"ф":[{"а":[{"к":[{},[0,0,2,1]]}],"р":[{},[0,0,2]]}],"х":[{"л":[{},[0,0,1]]}],"ш":[{"л":[{},[0,0,0,2]],"н":[{},[0,0,3]]}],"я":[{"з":[{},[1]]}],"ё":[{"м":[{},[0,0,0,2]]}],"-":[{},[8,8]]}],"п":[{"л":[{"о":[{},[0,0,2]],"ю":[{},[0,2]]}],"-":[{},[8,8]]},[2]],"р":[{"-":[{},[8,8]]},[2,1]],"с":[{"к":[{},[0,0,2]],"н":[{},[0,2]],"п":[{},[0,0,2]],"т":[{"в":[{"л":[{},[0,3]]},[0,0,0,0,2]]}],"-":[{},[8,8]]},[4,1]],"т":[{"а":[{"к":[{"к":[{},[0,2]],"т":[{},[0,2,1]]}]}],"в":[{"а":[{},[0,0,3]],"л":[{},[0,0,2]]},[0,2,1]],"м":[{},[0,2]],"о":[{"б":[{},[0,2,1]],"р":[{"г":[{},[0,0,1]]}]}],"р":[{"а":[{"н":[{},[0,0,2]]},[0,0,1]],"е":[{},[0,0,1]],"и":[{},[0,0,1]]}],"у":[{"с":[{},[0,0,0,0,1]],"ч":[{"и":[{},[0,2,1,2]]}]}],"ь":[{"ю":[{},[0,3]]}],"я":[{"ч":[{},[0,0,1]]}],"-":[{},[8,8]]},[2,1]],"у":[{".":[{},[1]],"б":[{"а":[{},[1]]}],"г":[{"н":[{},[0,0,0,3]]}],"д":[{"а":[{"р":[{},[0,0,2]]}]}],"ж":[{"е":[{"й":[{},[1]]}]}],"к":[{"с":[{},[2]]}],"л":[{},[1]],"с":[{"к":[{},[0,0,0,1]],"л":[{},[0,0,0,3]],"т":[{"а":[{},[0,0,1]],"р":[{},[0,0,0,0,1]]}]}],"т":[{"ь":[{},[0,0,3]]}],"х":[{"а":[{},[1]],"о":[{},[1]]}],"ч":[{"н":[{},[1]]}],"-":[{},[8,8]]}],"ф":[{"л":[{},[0,0,2]],"-":[{},[8,8]]},[2]],"х":[{"в":[{},[0,2]],"и":[{"н":[{},[0,2,1]]}],"л":[{"о":[{},[0,1,2]]},[0,0,1]],"о":[{"п":[{},[0,2,1]]}],"р":[{},[0,0,1]],"-":[{},[8,8]]},[2]],"ц":[{"в":[{},[0,2]],"-":[{},[8,8]]},[2]],"ч":[{"л":[{},[0,2]],"м":[{},[0,2]],"-":[{},[8,8]]},[2,1]],"ш":[{"м":[{},[0,3,2]],"т":[{},[0,0,2]],"-":[{},[8,8]]},[2]],"щ":[{"-":[{},[8,8]]},[2]],"ъ":[{".":[{},[8]],"-":[{},[8,8]]},[2]],"ы":[{".":[{},[1]],"б":[{},[1]],"д":[{"в":[{},[0,0,2]]}],"з":[{},[2]],"к":[{"л":[{},[0,0,2]]}],"м":[{},[1]],"с":[{"к":[{},[0,0,2,1]]}],"х":[{},[0,0,2,1]],"-":[{},[8,8]]}],"ь":[{".":[{},[2]],"е":[{},[1]],"и":[{},[1]],"к":[{},[2]],"с":[{},[2]],"т":[{},[2]],"ю":[{},[1]],"я":[{},[1]],"ё":[{},[1]],"-":[{},[8,8]]}],"э":[{"л":[{},[0,0,1]],"-":[{},[8,8]]}],"ю":[{".":[{},[1]],"с":[{},[1]],"-":[{},[8,8]]},[0,2]],"я":[{"в":[{"и":[{},[0,0,1]]}],"ю":[{},[1]],"-":[{},[8,8]]}],"ё":[{"з":[{"к":[{},[1]],"н":[{"а":[{},[0,0,1]]}],"о":[{},[1,0,1]],"у":[{},[0,0,0,2]]}],"к":[{"ш":[{},[1]]}],"м":[{"о":[{},[3]]}],"н":[{"к":[{},[1]]}],"с":[{"т":[{"а":[{},[0,0,3]],"о":[{},[0,0,3]]}]}],"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}]}],"с":[{"а":[{"б":[{"л":[{},[0,0,2]]}],"д":[{"ь":[{},[0,0,2]]}],"к":[{"в":[{},[0,0,2]],"л":[{},[0,0,2]]}],"л":[{"ь":[{"п":[{},[2,1]]}]}],"п":[{"п":[{},[0,1]]}],"р":[{"к":[{},[2,1]]}],"т":[{"л":[{},[2,1]],"р":[{},[0,0,1]]}],"у":[{"н":[{},[0,0,2]]}],"ф":[{"р":[{},[0,0,2,1]]}],"х":[{},[0,0,1,2]],"-":[{},[8,8]]},[1]],"б":[{"е":[{"з":[{"о":[{},[0,0,0,0,0,3]]},[2,0,0,3,2]],"с":[{},[0,0,0,3,2]]}],"у":[{},[2,3]],"ы":[{},[0,2]],"ю":[{},[2]],"р":[{"у":[{"к":[{},[2,0,0,0,0,1]]}]}],"-":[{},[8,8]]},[1,0,2]],"в":[{"е":[{"н":[{},[2,3]]}],"-":[{},[8,8]]},[1,2]],"г":[{"и":[{},[0,2]],"н":[{},[0,2]],"о":[{},[0,2]],"-":[{},[8,8]]},[0,0,2]],"д":[{"а":[{},[0,2]],"е":[{},[0,2]],"и":[{},[0,3]],"о":[{},[0,2]],"ё":[{},[0,2]],"-":[{},[8,8]]},[1,0,2]],"е":[{"г":[{"н":[{},[0,0,0,2]]}],"з":[{},[0,0,1,2]],"к":[{"в":[{},[0,0,1]],"л":[{},[0,0,0,1]],"р":[{},[0,0,2,1]],"с":[{},[0,0,0,0,4]]}],"м":[{"и":[{},[0,0,0,0,1]]}],"р":[{"е":[{"б":[{},[0,0,0,0,2]]}]}],"с":[{"к":[{},[0,0,2]],"т":[{"а":[{},[0,0,3]],"е":[{},[0,0,3]],"р":[{},[0,0,0,0,1]],"ё":[{},[0,0,3]]},[0,0,2]]}],"-":[{},[8,8]]},[1,2]],"ж":[{"-":[{},[8,8]]},[1,2]],"з":[{"-":[{},[8,8]]},[0,1]],"и":[{"з":[{},[3]],"о":[{"м":[{},[0,0,1]],"п":[{},[0,0,1]]}],"п":[{"л":[{},[0,0,2]]}],"х":[{},[0,0,1]],"-":[{},[8,8]]},[1,2]],"к":[{".":[{},[4]],"а":[{"м":[{},[2]],"н":[{"д":[{},[0,2]]}],"ф":[{},[1,2]],"х":[{},[2]]}],"в":[{"а":[{},[0,0,2]],"и":[{},[0,2]]}],"и":[{"н":[{"о":[{},[3]]}]}],"л":[{"я":[{"в":[{},[0,0,3]]},[0,2]]},[0,0,2]],"н":[{},[2]],"о":[{"н":[{"а":[{},[2]]},[0,1]],"п":[{"с":[{},[0,2]]}],"ш":[{},[2]]}],"р":[{"а":[{},[0,1]],"и":[{"б":[{},[2]]}]},[0,0,2]],"с":[{},[0,0,1]],"у":[{"е":[{},[2]],"ё":[{},[2]]}],"-":[{},[8,8]]}],"л":[{"а":[{".":[{},[2,3]],"в":[{},[1]],"д":[{},[1]],"м":[{},[0,1]],"я":[{},[2,3]]}],"е":[{"в":[{},[0,3]],"е":[{},[0,3]],"й":[{},[0,1]],"о":[{},[0,0,0,0,2]],"т":[{},[0,1]],"ю":[{},[0,3]]}],"и":[{".":[{},[2,3]],"ц":[{},[2]]}],"о":[{".":[{},[2,3]],"ж":[{},[0,2]],"м":[{"у":[{},[0,3]]}],"с":[{},[2,3]]}],"у":[{"ю":[{},[2,3]]}],"ы":[{"е":[{},[2,3]],"й":[{},[2,3]],"м":[{},[2,3]]}],"ь":[{},[2]],"ю":[{"с":[{},[0,1]]}],"я":[{},[2,3]],"ё":[{"т":[{},[0,1]]}],"-":[{},[8,8]]}],"м":[{"е":[{"с":[{},[1]],"я":[{},[0,4]]}],"у":[{"р":[{},[0,3]]}],"-":[{},[8,8]]},[0,2]],"н":[{"а":[{"б":[{},[1,2]],"с":[{},[0,2]],"я":[{},[2]]}],"е":[{"ж":[{},[1,2]]}],"и":[{"к":[{},[2,3]]}],"о":[{"з":[{},[0,0,0,1,2]]},[2]],"у":[{"ю":[{},[2]]}],"ы":[{},[2,3]],"-":[{},[8,8]]},[0,1]],"о":[{"б":[{"р":[{},[0,0,1,2]]}],"в":[{"р":[{},[0,0,0,2]]},[0,2]],"д":[{},[0,0,1]],"з":[{},[0,0,1,2]],"л":[{"г":[{},[0,0,1,2]]}],"м":[{},[0,0,3,2]],"р":[{"и":[{"е":[{},[0,0,2]]}],"у":[{},[0,0,1]]}],"с":[{"к":[{},[0,0,1]],"п":[{},[0,0,1,2]],"ь":[{},[0,0,2]],"т":[{"р":[{"и":[{"т":[{},[0,0,2]]}]}]}]}],"т":[{"р":[{},[0,0,0,2]],"к":[{"а":[{"л":[{},[0,0,3,2]]}]}]}],"ч":[{"л":[{},[0,0,1]]}],"ш":[{"л":[{},[0,0,0,2]]}],"-":[{},[8,8]]},[1]],"п":[{"а":[{"в":[{},[0,2]]}],"е":[{"е":[{},[0,2]],"л":[{},[0,2]],"н":[{},[0,2]],"х":[{},[0,2]],"ц":[{},[1,2]],"ш":[{},[0,2]],"ю":[{},[0,2]]}],"и":[{"м":[{},[0,2]],"с":[{"я":[{},[2]]}]}],"н":[{},[0,3]],"о":[{"з":[{},[0,0,0,1,2]],"л":[{},[2]],"с":[{},[0,2]]}],"ь":[{},[2]],"-":[{},[8,8]]},[0,0,2]],"р":[{".":[{},[2]],"а":[{"б":[{},[0,2]],"с":[{},[0,0,0,2]],"т":[{},[0,1]]}],"е":[{"б":[{},[0,0,0,2,1]],"д":[{"о":[{},[0,0,0,3]]}]}],"-":[{},[8,8]]},[1]],"с":[{"а":[{"н":[{"д":[{},[0,0,0,0,0,2]]}]}],"б":[{},[0,2]],"в":[{"о":[{},[0,0,3]]}],"и":[{},[4,5]],"к":[{},[0,3,2]],"л":[{},[0,0,2]],"н":[{"е":[{},[0,3,2]]},[0,2]],"о":[{"р":[{"и":[{},[0,2]]}]}],"п":[{},[0,0,2]],"т":[{},[0,0,0,2]],"ч":[{},[0,0,2]],"-":[{},[8,8]]},[2,1]],"т":[{".":[{},[2]],"а":[{".":[{},[1]]}],"б":[{},[2]],"в":[{".":[{},[4]],"е":[{"р":[{},[0,0,1]]}],"л":[{},[2]],"о":[{"л":[{},[0,0,2]]}],"я":[{},[0,0,2]]}],"е":[{".":[{},[1,4]],"й":[{},[1]],"л":[{},[1]],"н":[{".":[{},[1]]}],"т":[{".":[{},[0,3]],"е":[{},[0,3]]}],"х":[{},[0,0,0,3]],"ш":[{},[0,3]]},[0,2]],"и":[{"е":[{},[0,2]],"и":[{},[0,2]],"м":[{"п":[{},[2]]}],"н":[{"д":[{},[2]],"ф":[{},[2]],"ъ":[{},[2]]}],"ч":[{},[0,2]],"ш":[{"к":[{},[0,2]]}],"ю":[{},[0,2]]},[1]],"к":[{},[2]],"л":[{"а":[{},[0,0,2]],"е":[{},[0,3,2]],"и":[{"л":[{},[0,0,2]],"т":[{},[0,0,2]]},[2]],"я":[{},[2]],"ё":[{},[0,3,2]]}],"м":[{},[2]],"н":[{},[2]],"о":[{".":[{},[1]],"б":[{},[0,2,0,1]],"в":[{},[1]],"г":[{"н":[{},[0,0,0,2,3]]},[1]],"д":[{},[1]],"е":[{},[1]],"и":[{},[3,2]],"к":[{},[1]],"м":[{},[1]],"н":[{},[1]],"р":[{"г":[{},[2]],"ж":[{},[2]],"с":[{},[2]]}],"с":[{},[1]],"т":[{},[1]],"ц":[{},[0,2]],"ю":[{},[1]]}],"п":[{},[2]],"р":[{".":[{},[2]],"а":[{"с":[{},[0,0,0,0,0,2]],"я":[{},[4]]}],"е":[{"д":[{},[2]],"й":[{},[0,0,1]]}],"и":[{"в":[{},[2]],"з":[{},[0,0,1]],"л":[{},[2]],"щ":[{},[2]]}],"о":[{"а":[{},[0,0,1]],"в":[{},[0,4,1]],"д":[{},[0,0,1]],"х":[{},[0,0,1]]}],"у":[{"б":[{},[0,0,2]],"ш":[{},[0,0,1]]}]}],"с":[{},[2]],"у":[{"т":[{},[0,1]],"ю":[{},[1]]}],"ф":[{},[2]],"ц":[{},[2]],"ы":[{"в":[{},[0,2]]},[1]],"ь":[{".":[{},[2]],"с":[{},[2]],"ю":[{},[3]],"я":[{},[1]],"т":[{},[2]]},[0,4]],"я":[{"м":[{},[1]],"х":[{},[1]]}],"ч":[{"е":[{".":[{},[2]]}]}],"ё":[{"л":[{},[1]],"н":[{".":[{},[1]]}],"т":[{".":[{},[0,3]],"е":[{},[0,3]]}],"х":[{},[0,0,0,3]],"ш":[{},[0,3]]},[0,2]],"-":[{},[8,8]]}],"у":[{"б":[{"а":[{},[0,0,0,1,2]],"о":[{},[0,0,0,1]]},[0,0,2]],"в":[{},[0,0,1]],"г":[{"л":[{},[0,0,3]]}],"е":[{"в":[{},[0,0,2]]}],"з":[{},[0,0,2]],"к":[{"р":[{},[0,0,1]]}],"м":[{"а":[{},[0,0,0,0,1]]}],"п":[{"е":[{},[0,0,0,0,2]]}],"с":[{"л":[{},[0,0,0,3]],"п":[{},[0,0,0,3]],"т":[{},[0,0,1]]}],"т":[{"р":[{},[0,0,0,1]]}],"ф":[{},[0,0,2,3]],"х":[{},[0,0,1]],"-":[{},[8,8]]},[1]],"ф":[{"е":[{},[1,2]],"-":[{},[8,8]]}],"х":[{"е":[{},[1,2]],"-":[{},[8,8]]},[0,1,2]],"ц":[{"а":[{},[2]],"е":[{"н":[{"а":[{},[0,2]]}]}],"и":[{},[2,3]],"о":[{},[2]],"-":[{},[8,8]]}],"ч":[{"а":[{"с":[{},[0,2]]},[1]],"е":[{"с":[{"к":[{},[0,0,0,2,1]]}]}],"и":[{"в":[{},[0,3]],"к":[{},[2]],"т":[{},[0,2]]}],"л":[{},[0,1]],"о":[{},[2]],"ё":[{"с":[{"к":[{},[0,0,0,2,1]]}]}],"-":[{},[8,8]]},[0,0,2]],"ш":[{"н":[{},[0,3]],"-":[{},[8,8]]},[0,0,2]],"ъ":[{"е":[{"д":[{},[0,0,0,3]],"л":[{},[0,0,0,3]]}],".":[{},[8]],"-":[{},[8,8]]},[1,0,2]],"ы":[{"г":[{},[0,0,2,1]],"з":[{},[0,0,2]],"п":[{"л":[{},[0,0,2,1]]}],"с":[{"к":[{"а":[{},[0,0,0,1]]}]},[0,0,2]],"м":[{"и":[{"т":[{},[0,0,2]]}]}],"-":[{},[8,8]]},[1]],"ь":[{".":[{},[2]],"е":[{},[1]],"к":[{},[2]],"т":[{},[2]],"ю":[{},[1]],"я":[{},[1]],"с":[{"я":[{".":[{},[2]]}]}],"ё":[{},[1]],"-":[{},[8,8]]}],"э":[{"р":[{},[0,0,1]],"с":[{},[0,2]],"-":[{},[8,8]]}],"ю":[{"с":[{},[0,0,1]],"-":[{},[8,8]]},[1,2]],"я":[{"з":[{},[2]],"т":[{"ь":[{},[0,0,3]]}],"-":[{},[8,8]]},[1]],"ё":[{"к":[{"с":[{},[0,0,0,0,4]]}],"с":[{"т":[{"р":[{},[0,0,0,0,1]]},[0,0,2]]}],"-":[{},[8,8]]},[1,2]],"й":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}]}],"т":[{"а":[{"б":[{"л":[{},[0,0,2]],"р":[{},[0,0,0,2]]}],"в":[{"р":[{"и":[{},[0,0,1]]}]}],"г":[{"н":[{},[0,0,2]]},[1]],"з":[{},[0,0,1,2]],"к":[{"л":[{"е":[{},[0,0,0,3]]}]}],"н":[{},[0,2]],"п":[{"л":[{},[0,0,2]]}],"с":[{"т":[{},[0,0,1]]},[1]],"т":[{"р":[{},[0,0,1]]}],"щ":[{},[1]],"-":[{},[8,8]]}],"б":[{"-":[{},[8,8]]},[2,1,2]],"в":[{".":[{},[2]],"а":[{},[2,2]],"е":[{"й":[{},[0,1]],"л":[{},[0,1]],"т":[{},[0,1]]}],"и":[{},[2]],"о":[{"е":[{},[0,1]],"з":[{},[0,1,0,1]],"й":[{},[2,1]],"с":[{},[0,1]],"ю":[{},[2]],"ё":[{},[0,1]]}],"р":[{},[2,1]],"у":[{},[2]],"ы":[{},[2]],"я":[{},[2]],"ё":[{"л":[{},[0,1]]}],"-":[{},[8,8]]}],"г":[{"-":[{},[8,8]]},[2]],"д":[{"-":[{},[8,8]]},[2,1]],"е":[{"г":[{"н":[{},[0,0,2]]}],"д":[{},[0,0,1]],"з":[{"о":[{},[0,0,1]]}],"к":[{"а":[{},[3]],"л":[{},[0,0,0,1]],"ш":[{},[3]]}],"л":[{"е":[{"о":[{},[0,0,0,0,1]]}]}],"м":[{"б":[{},[0,0,0,2,1]]}],"о":[{"д":[{},[0,0,2,3]],"х":[{},[0,0,1]]}],"п":[{"л":[{},[0,0,4,1]]}],"р":[{"а":[{"к":[{},[0,0,2]]}],"е":[{"о":[{},[0,0,0,0,2]]}],"з":[{},[3]],"к":[{},[0,0,0,3]],"я":[{},[3]]}],"с":[{"к":[{"а":[{},[0,0,2]],"и":[{},[0,0,2,1]],"о":[{},[0,0,2,1]],"у":[{},[0,0,2]]}],"т":[{},[0,0,0,0,2]]}],"х":[{"о":[{},[0,0,2]]}],"-":[{},[8,8]]},[1,2]],"ж":[{"-":[{},[8,8]]},[2]],"з":[{"-":[{},[8,8]]},[2,1]],"и":[{"а":[{"м":[{},[0,0,0,2]]}],"б":[{"л":[{},[0,0,2]]}],"д":[{},[0,0,3,2]],"з":[{"н":[{"а":[{},[0,0,1]]}]}],"и":[{"с":[{},[0,0,0,0,1]]},[0,0,0,2]],"к":[{},[0,0,0,2]],"л":[{"а":[{"м":[{},[0,0,0,0,2]]}]}],"м":[{"п":[{},[0,1]]}],"н":[{"в":[{},[2,1]],"д":[{},[0,1]],"ж":[{},[2]],"ф":[{},[2]]}],"с":[{"л":[{},[0,0,1,2]],"т":[{"в":[{},[0,0,3]]}]}],"ф":[{"р":[{},[0,0,3,2]]}],"х":[{"р":[{},[0,0,1]]}],"-":[{},[8,8]]}],"к":[{"а":[{"в":[{},[3,2]],"н":[{},[3,2]]}],"е":[{"т":[{},[3,2]]}],"н":[{},[3]],"ё":[{"т":[{},[3,2]]}],"-":[{},[8,8]]},[2,1,2]],"л":[{"о":[{"б":[{},[0,0,0,2]]}],"ь":[{},[0,2]],"-":[{},[8,8]]},[2,1]],"м":[{"и":[{"с":[{"т":[{},[0,0,0,0,0,1]]},[0,0,0,2]]}],"щ":[{},[0,3]],"-":[{},[8,8]]},[0,0,2]],"н":[{"-":[{},[8,8]]},[2,1]],"о":[{"б":[{"е":[{"с":[{},[0,0,2]]}],"л":[{},[0,0,1,2]],"ъ":[{},[2]]}],"в":[{"л":[{},[0,0,2]]}],"д":[{"р":[{},[0,0,3,2]]},[0,0,1]],"з":[{},[0,0,1,2]],"к":[{"р":[{},[0,0,0,2]]}],"м":[{"м":[{},[2,1]],"с":[{},[2]]}],"н":[{"г":[{},[2]]}],"р":[{"г":[{},[1]],"ж":[{},[1]],"с":[{},[1]],"у":[{},[0,0,1]],"ш":[{},[1]]}],"с":[{"н":[{},[0,0,1,2]],"п":[{},[0,0,1,2]],"ц":[{},[0,0,1,2]]}],"т":[{"д":[{},[2]],"к":[{},[0,0,3]]}],"щ":[{},[1]],"-":[{},[8,8]]}],"п":[{"а":[{"т":[{},[0,0,0,1]]}],"-":[{},[8,8]]},[2,0,2]],"р":[{"а":[{"г":[{"а":[{},[0,1]]}],"ж":[{},[2,1]]}],"б":[{},[2]],"в":[{},[2]],"г":[{},[2]],"д":[{"о":[{},[0,0,0,0,2]]},[2]],"е":[{"а":[{},[0,1]],"б":[{"о":[{},[1]],"у":[{},[1]],"ь":[{},[0,1]]}],"в":[{"е":[{},[0,1]],"ш":[{},[0,1]],"ё":[{},[0,1]]}],"г":[{},[0,1]],"д":[{},[0,1]],"е":[{},[0,1]],"з":[{"а":[{},[0,1]],"н":[{},[0,1]]}],"п":[{"л":[{},[0,0,0,0,1]]}],"с":[{"к":[{},[0,0,0,0,1]],"т":[{},[0,1]]},[3,0,0,2]],"т":[{"у":[{},[0,1]]}],"х":[{},[3,2,0,2]],"ц":[{},[0,1]],"ш":[{"ь":[{},[0,2]]}],"ю":[{},[0,1]]}],"и":[{"б":[{},[1]],"в":[{},[0,1]],"г":[{"л":[{},[0,0,0,2,1]]}],"л":[{},[0,1]],"м":[{},[0,1]],"н":[{"с":[{},[4]]}],"о":[{},[0,0,0,1]],"т":[{},[0,1]],"ф":[{},[0,0,0,3]],"щ":[{},[0,1]]}],"м":[{},[2]],"н":[{},[2]],"о":[{"г":[{"л":[{},[0,1]]}],"и":[{"д":[{},[0,1]]}],"й":[{},[2]],"п":[{"л":[{},[0,0,0,3]]}],"р":[{},[0,1]],"с":[{"о":[{},[0,1]]}],"т":[{},[0,0,0,3]],"ц":[{},[4,3]],"ю":[{},[2]],"е":[{"т":[{"е":[{"с":[{},[0,0,0,2]]}],"ё":[{"с":[{},[0,0,0,2]]}]}]}]}],"п":[{},[2]],"р":[{},[2]],"у":[{"б":[{},[1]],"д":[{},[0,2]],"к":[{},[2]],"м":[{},[0,2]],"т":[{},[0,2]]}],"ф":[{},[2]],"щ":[{},[2]],"ъ":[{},[2]],"ы":[{},[0,1]],"я":[{".":[{},[0,1]],"в":[{},[0,1]],"д":[{},[2,1]],"е":[{},[0,1]],"ж":[{},[0,1]],"й":[{},[0,1]],"к":[{},[0,3]],"т":[{},[0,1]],"щ":[{},[0,1]],"я":[{},[0,1]]}],".":[{},[6]],"ё":[{"х":[{},[3,2,0,2]],"ш":[{"ь":[{},[0,2]]}]}],"-":[{},[8,8]]}],"с":[{"б":[{},[0,2]],"д":[{},[0,2,3]],"е":[{"п":[{},[0,0,0,0,2]]}],"м":[{},[0,2,3]],"п":[{},[0,2,3]],"-":[{},[8,8]]},[4,1,2]],"т":[{"м":[{},[0,2]],"-":[{},[8,8]]},[2,1]],"у":[{"г":[{"р":[{},[0,0,2]]}],"ж":[{"и":[{"н":[{},[0,0,2]]}]}],"п":[{"р":[{},[2,1,2]]}],"с":[{"л":[{},[0,0,1]],"т":[{},[0,0,1]]}],"ф":[{"л":[{},[0,0,2]]}],"ш":[{"а":[{},[1]],"о":[{},[1]],"ь":[{},[1]]}],"щ":[{},[1]],"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]},[2]],"х":[{"-":[{},[8,8]]},[2,1]],"ц":[{"-":[{},[8,8]]},[4]],"ч":[{"-":[{},[8,8]]},[2,1]],"ш":[{"-":[{},[8,8]]},[2,0,2]],"щ":[{"-":[{},[8,8]]},[2]],"ъ":[{".":[{},[8]],"-":[{},[8,8]]},[2]],"ы":[{"г":[{},[0,0,2,1]],"с":[{"к":[{},[0,0,2,1]]}],"-":[{},[8,8]]}],"ь":[{".":[{},[4]],"е":[{},[3]],"и":[{},[3]],"м":[{},[0,0,2]],"т":[{},[4]],"ю":[{},[0,0,0,1]],"ё":[{},[3]],"-":[{},[8,8]]},[2]],"э":[{"-":[{},[8,8]]},[2]],"ю":[{"т":[{},[0,0,1]],"-":[{},[8,8]]},[0,2]],"я":[{"г":[{},[1]],"ж":[{},[1]],"п":[{},[1]],"ч":[{},[2,0,2]],"-":[{},[8,8]]}],"ё":[{"г":[{"н":[{},[0,0,2]]}],"з":[{"о":[{},[0,0,1]]}],"к":[{"а":[{},[3]],"л":[{},[0,0,0,1]],"ш":[{},[3]]}],"п":[{"л":[{},[0,0,4,1]]}],"р":[{"к":[{},[0,0,0,3]]}],"с":[{"к":[{"а":[{},[0,0,2]],"и":[{},[0,0,2,1]],"о":[{},[0,0,2,1]],"у":[{},[0,0,2]]}]}],"х":[{"о":[{},[0,0,2]]}],"-":[{},[8,8]]},[1,2]],"й":[{"-":[{},[8,8]]}]}],"у":[{"а":[{"л":[{"е":[{},[0,2]]}],"с":[{},[0,2]],"-":[{},[8,8]]},[0,1]],"б":[{"е":[{"л":[{},[0,3]]}],"о":[{"д":[{},[0,0,0,1]],"с":[{},[0,0,0,0,2]]}],"р":[{"а":[{},[1]],"ю":[{},[0,0,3]]},[0,0,1]],"ы":[{"т":[{},[1,2]]}],"-":[{},[8,8]]}],"в":[{"е":[{".":[{},[0,1]]}],"и":[{},[0,1]],"л":[{},[0,0,2]],"о":[{},[0,1]],"у":[{},[0,1]],"-":[{},[8,8]]}],"г":[{"в":[{},[0,2]],"л":[{},[0,2]],"н":[{"а":[{},[0,0,2]],"е":[{},[0,0,2]],"ё":[{},[0,0,2]]},[0,2]],"р":[{"е":[{},[0,0,1]],"я":[{},[0,0,1]],"ё":[{},[0,0,1]]}],"-":[{},[8,8]]}],"д":[{"а":[{"с":[{},[0,0,0,1]]}],"в":[{},[0,0,2]],"р":[{"а":[{"м":[{},[0,0,1]]}],"о":[{},[0,0,1]]}],"у":[{},[0,3]],"-":[{},[8,8]]}],"е":[{"д":[{},[0,0,2]],"л":[{},[0,0,2]],"с":[{"к":[{},[0,0,2,1]],"л":[{},[0,0,0,2]]},[0,0,1]],"х":[{},[0,0,2]],"-":[{},[8,8]]},[0,1]],"ж":[{"ж":[{},[0,2]],"-":[{},[8,8]]}],"з":[{"в":[{},[0,1,2]],"о":[{"п":[{},[0,0,0,3]]},[0,1]],"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]},[0,1]],"к":[{"а":[{},[0,1]],"в":[{},[0,0,1]],"и":[{},[0,1]],"о":[{"б":[{},[0,0,0,1]]},[0,1]],"у":[{},[0,1,0,1]],"-":[{},[8,8]]}],"л":[{"а":[{},[0,1]],"е":[{},[0,1]],"у":[{},[0,1]],"ы":[{"х":[{},[0,1]]}],"ю":[{},[0,1]],"ё":[{},[0,1]],"-":[{},[8,8]]}],"м":[{"ч":[{},[0,2]],"-":[{},[8,8]]}],"н":[{"а":[{},[0,3]],"д":[{"р":[{},[0,0,2,1]]}],"ь":[{},[0,1]],"-":[{},[8,8]]}],"о":[{"б":[{},[0,0,2]],"в":[{},[0,0,2]],"з":[{"а":[{},[0,2]]}],"к":[{},[0,0,2]],"п":[{},[0,0,2]],"с":[{"т":[{},[0,0,0,0,1]]},[0,0,2]],"т":[{},[0,0,2,1]],"ф":[{},[0,0,2]],"-":[{},[8,8]]},[0,1]],"п":[{"л":[{"ю":[{},[0,0,1]]},[0,2]],"р":[{"о":[{},[0,3]]}],"-":[{},[8,8]]}],"р":[{"а":[{},[0,1]],"е":[{"т":[{"р":[{},[0,0,0,2,3]]}]},[0,1]],"и":[{},[0,1]],"к":[{"е":[{},[0,0,0,0,3]]}],"о":[{"д":[{"л":[{},[0,0,0,2]]},[0,2]]},[0,1]],"т":[{"р":[{},[0,0,0,2]]}],"у":[{},[0,3]],"ы":[{},[0,1]],"ю":[{},[0,1]],"я":[{},[0,1]],"ё":[{},[0,1]],"-":[{},[8,8]]}],"с":[{"а":[{"д":[{},[0,2]]}],"г":[{},[0,1]],"к":[{"а":[{},[0,0,1]],"и":[{},[0,0,1]],"л":[{},[0,0,0,3]],"о":[{"м":[{},[0,0,1]]}],"р":[{},[0,1]],"у":[{".":[{},[0,0,1]]}]}],"л":[{"а":[{"ж":[{},[0,0,0,0,4,3]]}],"и":[{},[0,0,3]]},[0,0,2]],"м":[{},[0,1]],"н":[{},[0,2]],"п":[{},[0,0,2]],"с":[{},[0,0,3]],"т":[{"е":[{},[0,1]],"я":[{},[0,1]],"ё":[{},[0,1]]}],"ф":[{},[0,1]],"ц":[{},[2]],"ч":[{},[0,2]],"ь":[{"я":[{},[0,3]]},[0,2]],"-":[{},[8,8]]}],"т":[{"а":[{},[0,1]],"е":[{"р":[{},[0,3]]}],"и":[{},[0,1]],"л":[{"я":[{},[0,0,2]]}],"о":[{"п":[{"с":[{},[0,0,0,3,2]]}]},[0,1]],"р":[{"и":[{},[0,0,1]]}],"у":[{},[0,1]],"ы":[{},[0,1]],"ь":[{"е":[{},[0,1]],"ю":[{},[0,3]],"ё":[{},[0,1]]}],"ю":[{},[1]],"я":[{},[0,1]],"ё":[{"р":[{},[0,3]]}],"-":[{},[8,8]]}],"у":[{"г":[{},[0,0,0,2]],"с":[{},[0,0,2]],"-":[{},[8,8]]},[0,1]],"ф":[{"и":[{},[0,3]],"л":[{"я":[{},[0,0,2]]},[0,0,1]],"р":[{},[0,2]],"-":[{},[8,8]]}],"х":[{"а":[{"д":[{},[0,0,1]],"т":[{},[0,0,0,2]]}],"в":[{"о":[{},[0,3,4]]},[0,2]],"л":[{"я":[{},[0,0,3]]},[0,0,1]],"р":[{},[0,0,1]],"-":[{},[8,8]]}],"ч":[{"е":[{"б":[{},[0,2]]}],"р":[{},[1]],"ь":[{},[0,1]],"ё":[{"б":[{},[0,2]]}],"-":[{},[8,8]]}],"ш":[{"е":[{},[0,3]],"и":[{},[0,3]],"л":[{"а":[{},[0,0,1]]},[0,2]],"п":[{},[0,2]],"ё":[{},[0,3]],"-":[{},[8,8]]}],"э":[{"-":[{},[8,8]]},[2]],"я":[{"з":[{},[0,0,2]],"-":[{},[8,8]]},[0,1]],"ё":[{"-":[{},[8,8]]},[0,1]],"й":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ъ":[{"-":[{},[8,8]]}],"ы":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}]}],"ф":[{"а":[{"б":[{},[0,0,2,1]],"г":[{"н":[{},[0,0,2]]}],"з":[{"о":[{},[0,0,1]]}],"н":[{"д":[{"р":[{},[0,0,0,0,1]]},[0,0,0,2]]}],"т":[{"р":[{},[0,0,1]]}],"х":[{},[0,0,2]],"ш":[{},[3]],"э":[{},[0,0,0,1]],"-":[{},[8,8]]}],"б":[{"-":[{},[8,8]]},[2,1]],"в":[{"-":[{},[8,8]]},[2,1]],"г":[{"-":[{},[8,8]]},[2]],"д":[{"-":[{},[8,8]]},[2,1]],"е":[{"в":[{"р":[{},[0,0,0,1]]}],"д":[{"р":[{},[0,0,0,1]]}],"о":[{},[0,0,1,3]],"с":[{"к":[{},[0,0,2,1]]}],"-":[{},[8,8]]}],"и":[{"а":[{"к":[{},[0,0,0,2,1]]}],"г":[{"л":[{},[0,0,2]]}],"ж":[{},[0,0,2]],"з":[{"о":[{},[0,0,2]]}],"н":[{"и":[{"н":[{},[0,0,2]]}]}],"о":[{},[0,0,1]],"т":[{},[3]],"-":[{},[8,8]]},[0,4]],"к":[{"-":[{},[8,8]]},[2,1]],"л":[{"а":[{},[0,2]],"и":[{},[0,2]],"о":[{},[0,2]],"-":[{},[8,8]]}],"м":[{"-":[{},[8,8]]},[2]],"н":[{"-":[{},[8,8]]},[2,1]],"о":[{"б":[{"ъ":[{},[2]]}],"н":[{},[3]],"р":[{"в":[{},[0,0,2]],"г":[{},[2,1]],"т":[{"р":[{},[0,0,0,3]]}],"у":[{},[0,0,1]]}],"с":[{"к":[{},[0,0,0,1]]}],"т":[{"о":[{"п":[{},[0,0,0,0,3]]}]},[3]],"-":[{},[8,8]]}],"р":[{"а":[{"б":[{},[0,1]],"з":[{},[0,0,0,1]],"с":[{},[0,0,0,1]],"т":[{},[0,1]]}],"е":[{"н":[{},[0,2]],"с":[{},[0,0,0,2]]}],"и":[{"ж":[{},[0,2]],"з":[{},[0,2]]},[0,1]],"о":[{"н":[{},[0,2]]},[0,1]],"у":[{},[0,1]],"-":[{},[8,8]]}],"с":[{"-":[{},[8,8]]},[2,3]],"т":[{"м":[{},[0,2]],"о":[{"р":[{},[0,2]]}],"-":[{},[8,8]]},[2,1]],"у":[{"п":[{},[2,1,2]],"т":[{"л":[{},[0,0,3]]}],"ф":[{},[2]],"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]},[2]],"ч":[{"-":[{},[8,8]]},[2,1]],"ш":[{"-":[{},[8,8]]},[2,0,2]],"ь":[{".":[{},[2]],"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]},[0,2,1]],"ъ":[{".":[{},[8]],"-":[{},[8,8]]}],"ё":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"з":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]}],"х":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ы":[{"-":[{},[8,8]]}],"э":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}]},[1]],"х":[{"а":[{"б":[{"л":[{},[0,0,2]]}],"д":[{},[0,0,2]],"к":[{},[2,1]],"н":[{"д":[{},[0,0,0,2]]}],"о":[{},[0,0,0,3]],"р":[{"ш":[{},[0,1]]}],"-":[{},[8,8]]},[1]],"б":[{"-":[{},[8,8]]},[2,1]],"в":[{"е":[{},[2,3]],"и":[{},[2,3]],"ы":[{},[0,3]],"ё":[{},[2,3]],"-":[{},[8,8]]},[1,2]],"г":[{"-":[{},[8,8]]},[2]],"д":[{"-":[{},[8,8]]},[0,3,2]],"е":[{"о":[{},[0,0,0,3]],"-":[{},[8,8]]},[1]],"з":[{"-":[{},[8,8]]},[0,1,2]],"и":[{"а":[{"т":[{},[0,0,0,0,1]]}],"е":[{},[0,0,0,2]],"з":[{"ы":[{},[2,1]]}],"с":[{},[0,0,1,2]],"-":[{},[8,8]]},[1]],"к":[{"-":[{},[8,8]]},[0,1,2]],"л":[{"а":[{"в":[{},[0,1]],"с":[{},[0,1]],"т":[{},[0,1]],"ц":[{},[0,1]]}],"е":[{"б":[{},[1]],"с":[{},[0,2]],"т":[{},[0,1]]}],"о":[{".":[{},[0,3]],"п":[{},[0,2]],"р":[{},[1,2]]}],"у":[{},[0,1]],"ё":[{"б":[{},[1]],"с":[{},[0,2]]}],"-":[{},[8,8]]}],"м":[{"у":[{},[1,2]],"-":[{},[8,8]]}],"н":[{"ы":[{},[3,2]],"-":[{},[8,8]]},[2,1]],"о":[{"к":[{},[2,1,2]],"п":[{"е":[{},[0,0,2]],"о":[{"р":[{},[0,0,2]]}]},[0,0,0,2]],"р":[{"у":[{},[0,0,1]]}],"с":[{"м":[{},[0,1]],"н":[{},[2,1]]}],"ф":[{},[0,0,0,2]],"х":[{"л":[{},[0,0,0,1]]}],"я":[{},[0,0,0,2]],"-":[{},[8,8]]},[1]],"п":[{"-":[{},[8,8]]},[0,0,2]],"р":[{"а":[{"з":[{},[0,1]],"н":[{},[1]],"с":[{},[0,1,0,1,2]]}],"е":[{"й":[{},[0,1]]}],"и":[{"п":[{"л":[{},[0,0,0,2]]}],"с":[{},[0,2]]}],"о":[{"в":[{},[0,1]],"м":[{"ч":[{},[0,0,0,2]]},[1]]}],"ы":[{},[0,1]],"я":[{},[0,1]],"-":[{},[8,8]]}],"с":[{"-":[{},[8,8]]},[2,1,2]],"т":[{"-":[{},[8,8]]},[2,1]],"у":[{".":[{},[1]],"г":[{},[0,1,2]],"е":[{},[2]],"й":[{},[2]],"н":[{},[1]],"р":[{"а":[{},[0,0,3]]},[0,1,2]],"с":[{},[1]],"ш":[{},[1]],"ю":[{},[2]],"я":[{".":[{},[6]]}],"-":[{},[8,8]]}],"х":[{"-":[{},[8,8]]},[0,1,2]],"ч":[{"-":[{},[8,8]]},[2,1,2]],"ш":[{"-":[{},[8,8]]},[2]],"ь":[{"ю":[{},[0,0,0,1]],"-":[{},[8,8]]}],"ъ":[{".":[{},[8]],"-":[{},[8,8]]}],"ё":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ы":[{"-":[{},[8,8]]}],"э":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}]}],"ц":[{"а":[{".":[{},[3]],"м":[{},[3]],"п":[{"л":[{},[0,0,2]]}],"х":[{},[3]],"-":[{},[8,8]]},[0,0,1]],"б":[{"-":[{},[8,8]]},[2,1]],"в":[{"е":[{},[0,2]],"ы":[{},[2]],"ё":[{},[0,2]],"-":[{},[8,8]]}],"г":[{"-":[{},[8,8]]},[2]],"д":[{"-":[{},[8,8]]},[2,1]],"е":[{"з":[{},[0,0,1]],"к":[{},[0,0,1]],"о":[{"т":[{},[0,0,1]]}],"п":[{"л":[{},[0,0,0,1]]}],"с":[{"л":[{},[0,0,0,2]]}],"т":[{"а":[{"т":[{},[2]]}]},[0,0,1]],"-":[{},[8,8]]}],"з":[{"-":[{},[8,8]]},[2,1]],"и":[{"к":[{"л":[{},[0,0,0,3]]},[0,0,2,1]],"о":[{"л":[{},[0,0,2]]}],"п":[{},[0,0,0,2]],"с":[{"к":[{},[0,0,2]]}],"у":[{},[0,0,0,3]],"ф":[{"р":[{},[0,0,0,1]]}],"-":[{},[8,8]]},[0,0,1]],"к":[{"-":[{},[8,8]]},[2,1,2]],"л":[{"-":[{},[8,8]]},[2,1]],"м":[{"-":[{},[8,8]]},[2]],"н":[{"-":[{},[8,8]]},[2,1]],"о":[{"б":[{},[0,1,2]],"д":[{},[2,1,2]],"т":[{},[2,1]],"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]},[2,0,2]],"р":[{"-":[{},[8,8]]},[2,1]],"с":[{"-":[{},[8,8]]},[2,1]],"т":[{"-":[{},[8,8]]},[2,1]],"у":[{"-":[{},[8,8]]},[3]],"ц":[{"-":[{},[8,8]]},[2]],"ш":[{"-":[{},[8,8]]},[2,3,2]],"ы":[{"п":[{"л":[{},[0,0,0,3]]},[0,0,2]],"-":[{},[8,8]]},[3]],"ю":[{"-":[{},[8,8]]},[0,0,1]],"ъ":[{".":[{},[8]],"-":[{},[8,8]]}],"ё":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"х":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"э":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}]},[1]],"ч":[{"а":[{"д":[{"р":[{},[0,0,2]],"ц":[{},[0,0,2]]}],"е":[{"в":[{"о":[{},[0,0,2]],"ы":[{},[0,0,2]]}],"р":[{},[0,0,2]]}],"с":[{"т":[{"в":[{},[0,0,0,0,1]],"е":[{},[0,0,1]],"у":[{},[0,0,1]],"я":[{},[0,0,1]]}]}],"т":[{"о":[{},[3]],"ы":[{},[3]]}],"-":[{},[8,8]]},[1]],"б":[{"-":[{},[8,8]]},[2,1]],"в":[{"-":[{},[8,8]]},[0,1]],"д":[{"-":[{},[8,8]]},[2,1]],"е":[{"в":[{"л":[{},[0,0,1]]}],"г":[{"л":[{},[0,0,2]]}],"о":[{},[0,0,1]],"р":[{"с":[{"т":[{},[0,0,0,0,0,1]]},[0,0,0,2]]}],"с":[{"л":[{},[0,0,1]]}],"-":[{},[8,8]]},[1]],"ж":[{"о":[{},[0,0,0,2]],"-":[{},[8,8]]},[0,2]],"и":[{"к":[{},[3]],"ц":[{},[3]],"-":[{},[8,8]]},[1]],"к":[{"-":[{},[8,8]]},[2,1]],"л":[{"а":[{},[1,2]],"е":[{"г":[{},[0,3]],"ж":[{},[0,3]]},[0,2]],"и":[{".":[{},[0,2]]},[2]],"о":[{},[1,2]],"-":[{},[8,8]]}],"м":[{"а":[{},[2]],"е":[{},[2]],"о":[{},[0,2]],"-":[{},[8,8]]},[1]],"н":[{"-":[{},[8,8]]},[2,1]],"о":[{"-":[{},[8,8]]},[3]],"с":[{"-":[{},[8,8]]},[2,1]],"т":[{"а":[{},[2,1]],"е":[{},[0,2]],"м":[{},[2]],"ё":[{},[0,2]],"-":[{},[8,8]]}],"у":[{"к":[{},[3]],"-":[{},[8,8]]},[1]],"х":[{"-":[{},[8,8]]},[0,2]],"ч":[{"-":[{},[8,8]]},[2,1]],"ь":[{".":[{},[2]],"е":[{},[1]],"и":[{},[1]],"с":[{},[2]],"т":[{},[2]],"ю":[{},[1]],"я":[{},[1]],"ё":[{},[1]],"-":[{},[8,8]]}],"ё":[{"р":[{"с":[{"т":[{},[0,0,0,0,0,1]]},[0,0,0,2]]}],"-":[{},[8,8]]},[1]],"ъ":[{".":[{},[8]],"-":[{},[8,8]]}],"г":[{"-":[{},[8,8]]}],"з":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]}],"р":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ы":[{"-":[{},[8,8]]}],"э":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}]}],"ш":[{"а":[{"б":[{"л":[{},[0,0,2]]}],"г":[{"н":[{},[0,0,2]],"р":[{},[0,0,2,1]]}],"д":[{"р":[{},[0,0,2]]}],"н":[{"к":[{"р":[{},[0,0,0,2]]}]}],"р":[{"т":[{},[0,0,0,3,2]]}],"с":[{"т":[{},[0,0,1]]}],"т":[{"р":[{"о":[{},[0,0,1]]}]}],"-":[{},[8,8]]}],"б":[{"-":[{},[8,8]]},[2,1]],"в":[{"е":[{"н":[{},[0,3]]}],"-":[{},[8,8]]},[0,2]],"е":[{"г":[{"л":[{},[0,0,2]]}],"к":[{},[0,0,1]],"о":[{},[0,0,1,2]],"п":[{"л":[{},[0,0,3]]}],"с":[{},[0,0,1,2]],"-":[{},[8,8]]}],"и":[{"б":[{"л":[{},[0,0,2]]}],"п":[{"л":[{},[0,0,2]]}],"ф":[{"р":[{},[0,0,0,1]]}],"-":[{},[8,8]]}],"к":[{"о":[{"л":[{},[3,2]]}],"-":[{},[8,8]]},[2,1,2]],"л":[{"е":[{"й":[{},[2,1]],"н":[{},[2]]}],"и":[{".":[{},[0,2]],"в":[{},[2]],"л":[{},[2]],"н":[{},[0,2]],"с":[{},[0,2]],"т":[{"е":[{},[0,2]]}],"ф":[{},[0,2]]}],"о":[{".":[{},[0,2]],"в":[{},[2]],"г":[{},[0,2]]}],"ы":[{},[0,1]],"ю":[{},[0,2]],"я":[{"е":[{},[2]],"к":[{},[2]],"п":[{},[0,2]],"т":[{},[2]],"ч":[{},[2]],"ю":[{},[2]]}],"ё":[{"н":[{},[2]]}],"-":[{},[8,8]]}],"м":[{"ы":[{".":[{},[4,3]]},[3,2]],"-":[{},[8,8]]},[2]],"н":[{"и":[{},[4]],"у":[{"р":[{},[0,2]]}],"-":[{},[8,8]]},[2,1]],"п":[{"р":[{},[0,3]],"-":[{},[8,8]]},[0,2,2]],"р":[{"-":[{},[8,8]]},[2,1]],"с":[{"-":[{},[8,8]]},[2,1]],"т":[{"и":[{},[0,1]],"с":[{},[2]],"-":[{},[8,8]]}],"у":[{"е":[{"в":[{},[0,0,2]]}],"с":[{"т":[{},[0,0,0,0,1]]}],"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]},[2]],"х":[{"-":[{},[8,8]]},[0,1]],"ц":[{"-":[{},[8,8]]},[2]],"ч":[{"-":[{},[8,8]]},[2,1]],"ь":[{".":[{},[4]],"е":[{},[3]],"и":[{},[3]],"ю":[{},[3]],"я":[{},[3]],"ё":[{},[3]],"-":[{},[8,8]]},[2]],"ю":[{"-":[{},[8,8]]},[0,2,1]],"ъ":[{".":[{},[8]],"-":[{},[8,8]]}],"г":[{"-":[{},[8,8]]}],"д":[{"-":[{},[8,8]]}],"ё":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"з":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"о":[{"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ы":[{"-":[{},[8,8]]}],"э":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}]},[1]],"щ":[{"в":[{"-":[{},[8,8]]},[2,3,2]],"е":[{"б":[{"л":[{},[0,0,1,2]]}],"г":[{"л":[{},[0,0,2]]}],"д":[{"р":[{},[0,0,0,1]]}],"и":[{"с":[{},[0,0,0,0,1]]},[0,0,0,2]],"с":[{},[0,0,1]],"х":[{},[0,0,1]],"ш":[{"к":[{},[0,0,3]]},[0,0,0,2]],"-":[{},[8,8]]}],"и":[{"п":[{"л":[{},[0,0,2,1]]}],"-":[{},[8,8]]}],"м":[{"-":[{},[8,8]]},[2]],"н":[{"-":[{},[8,8]]},[2,1]],"р":[{"-":[{},[8,8]]},[2,1]],"ь":[{".":[{},[2]],"-":[{},[8,8]]}],"ъ":[{".":[{},[8]],"-":[{},[8,8]]}],"а":[{"-":[{},[8,8]]}],"б":[{"-":[{},[8,8]]}],"г":[{"-":[{},[8,8]]}],"д":[{"-":[{},[8,8]]}],"ё":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"з":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"к":[{"-":[{},[8,8]]}],"л":[{"-":[{},[8,8]]}],"о":[{"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]}],"с":[{"-":[{},[8,8]]}],"т":[{"-":[{},[8,8]]}],"у":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"х":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ы":[{"-":[{},[8,8]]}],"э":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}]},[1]],"ъ":[{"е":[{"г":[{},[0,0,2]],"д":[{"о":[{},[0,0,3]]},[0,0,2]],"л":[{},[0,0,2]],"р":[{},[0,2,2]],"с":[{},[0,0,2]],"х":[{"и":[{},[0,0,2]]}],"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]},[0,0,2]],"я":[{"н":[{},[0,0,3]],"-":[{},[8,8]]},[0,0,2]],"ё":[{"р":[{},[0,2,2]],"-":[{},[8,8]]}],"а":[{"-":[{},[8,8]]}],"б":[{"-":[{},[8,8]]}],"в":[{"-":[{},[8,8]]}],"г":[{"-":[{},[8,8]]}],"д":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"з":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"к":[{"-":[{},[8,8]]}],"л":[{"-":[{},[8,8]]}],"м":[{"-":[{},[8,8]]}],"н":[{"-":[{},[8,8]]}],"о":[{"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]}],"р":[{"-":[{},[8,8]]}],"с":[{"-":[{},[8,8]]}],"т":[{"-":[{},[8,8]]}],"у":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"х":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ъ":[{"-":[{},[8,8]]}],"ы":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"э":[{"-":[{},[8,8]]}]},[0,1]],"ы":[{"б":[{"л":[{},[0,2]],"-":[{},[8,8]]}],"г":[{"а":[{},[0,3]],"и":[{},[0,3]],"л":[{},[0,0,2]],"н":[{},[0,2]],"-":[{},[8,8]]}],"д":[{"л":[{},[0,2]],"р":[{"е":[{},[0,0,2]],"о":[{},[0,2,1]],"я":[{},[0,2]],"ё":[{},[0,0,2]]}],"-":[{},[8,8]]}],"е":[{"-":[{},[8,8]]},[0,0,2]],"ж":[{"д":[{},[0,3,2]],"-":[{},[8,8]]}],"з":[{"в":[{"а":[{},[0,0,2]]}],"д":[{},[0,0,2]],"л":[{},[0,2]],"н":[{"а":[{},[0,0,2]]},[0,2]],"-":[{},[8,8]]}],"и":[{"г":[{},[0,0,0,1]],"-":[{},[8,8]]},[0,0,2]],"к":[{"в":[{},[0,2,1]],"л":[{"о":[{},[0,2,3]]},[0,0,2]],"о":[{"з":[{},[0,0,0,1]]}],"с":[{},[0,0,1]],"-":[{},[8,8]]}],"л":[{"ь":[{},[0,2]],"-":[{},[8,8]]}],"м":[{"ч":[{},[0,2]],"-":[{},[8,8]]}],"н":[{"о":[{"с":[{"л":[{},[0,0,0,0,3]]}]}],"-":[{},[8,8]]}],"п":[{"о":[{},[0,3]],"-":[{},[8,8]]}],"р":[{"а":[{"с":[{},[0,0,0,2,3]]}],"в":[{},[0,0,2]],"е":[{"х":[{},[0,0,0,2]]}],"ь":[{"м":[{},[0,2]]}],"ё":[{"х":[{},[0,0,0,2]]}],"-":[{},[8,8]]}],"с":[{"а":[{},[0,3]],"е":[{},[0,3]],"к":[{"и":[{},[0,0,1]],"у":[{},[0,0,1]]}],"н":[{},[0,2]],"о":[{},[0,3]],"п":[{},[0,0,2]],"х":[{},[0,2]],"ч":[{},[0,0,2]],"ш":[{},[0,2]],"ё":[{},[0,3]],"-":[{},[8,8]]}],"т":[{"в":[{"и":[{},[0,0,1]]}],"р":[{},[0,0,2]],"ь":[{"ю":[{},[0,3]],"я":[{},[0,3]]}],"-":[{},[8,8]]}],"у":[{"-":[{},[8,8]]},[0,0,2]],"ш":[{"л":[{},[0,2,1]],"ь":[{},[0,3]],"-":[{},[8,8]]}],"я":[{"в":[{"я":[{},[0,0,2]]}],"-":[{},[8,8]]}],"а":[{"-":[{},[8,8]]}],"в":[{"-":[{},[8,8]]}],"ё":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"о":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"х":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ъ":[{"-":[{},[8,8]]}],"ы":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"э":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}]},[0,1]],"ь":[{"б":[{"а":[{"т":[{},[0,0,0,0,2]]}],"-":[{},[8,8]]},[0,0,2]],"в":[{"я":[{},[0,2]],"-":[{},[8,8]]}],"д":[{"ц":[{},[0,2]],"-":[{},[8,8]]}],"е":[{"з":[{"о":[{},[0,0,1]]}],"к":[{},[0,0,1]],"с":[{"к":[{},[0,0,2,1]]}],"-":[{},[8,8]]},[0,2]],"з":[{"н":[{},[0,2]],"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]},[0,2,1]],"к":[{"л":[{},[0,2]],"-":[{},[8,8]]}],"м":[{"и":[{"д":[{},[0,0,0,3]],"к":[{},[0,0,0,3]]}],"о":[{},[0,0,0,1]],"-":[{},[8,8]]}],"н":[{"е":[{"о":[{},[0,0,0,2]]}],"-":[{},[8,8]]}],"о":[{"-":[{},[8,8]]},[0,2]],"п":[{"л":[{},[0,2,1]],"т":[{"о":[{},[0,3,2]]}],"-":[{},[8,8]]}],"с":[{"к":[{},[0,0,2]],"н":[{},[0,2]],"т":[{"и":[{},[0,2]],"я":[{},[0,2]]}],"-":[{},[8,8]]}],"т":[{"а":[{"м":[{"п":[{},[0,2,1]]}]}],"и":[{"м":[{},[0,0,0,3]]}],"м":[{},[0,2]],"о":[{"т":[{},[0,2]]}],"р":[{"а":[{"б":[{},[0,2]]}],"е":[{},[0,0,2]],"у":[{},[0,0,2]],"ы":[{},[0,0,2]]}],"-":[{},[8,8]]}],"х":[{"о":[{"з":[{},[0,0,0,0,1]]},[0,0,0,2]],"-":[{},[8,8]]}],"щ":[{"а":[{},[0,2]],"е":[{},[0,2]],"у":[{},[0,2]],"ё":[{},[0,2]],"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]},[0,2]],"я":[{"в":[{},[0,0,1]],"г":[{"с":[{},[0,3]]}],"-":[{},[8,8]]},[0,2]],"ё":[{"з":[{"о":[{},[0,0,1]]}],"-":[{},[8,8]]},[0,2]],"а":[{"-":[{},[8,8]]}],"г":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"л":[{"-":[{},[8,8]]}],"р":[{"-":[{},[8,8]]}],"у":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]}],"ъ":[{"-":[{},[8,8]]}],"ы":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"э":[{"-":[{},[8,8]]}]},[0,1]],"э":[{"в":[{"р":[{},[0,0,1]],"-":[{},[8,8]]},[0,1]],"г":[{"-":[{},[8,8]]},[2]],"д":[{"р":[{},[0,0,1]],"-":[{},[8,8]]}],"к":[{"л":[{},[0,0,1]],"с":[{"т":[{},[0,0,2]]},[0,0,0,1]],"-":[{},[8,8]]}],"л":[{"е":[{"о":[{},[0,0,0,1]]}],"-":[{},[8,8]]}],"м":[{"а":[{},[0,3]],"-":[{},[8,8]]},[0,2]],"н":[{"ь":[{},[0,3]],"-":[{},[8,8]]},[0,2]],"о":[{"з":[{},[0,0,2]],"-":[{},[8,8]]}],"п":[{"и":[{"к":[{},[0,0,0,3]]}],"-":[{},[8,8]]},[0,2]],"р":[{"е":[{},[0,1]],"и":[{"т":[{"р":[{},[0,0,0,4]]}]},[0,1]],"о":[{"с":[{},[0,0,0,1,2]]}],"у":[{},[0,1]],"ы":[{},[0,1]],"-":[{},[8,8]]}],"с":[{"к":[{},[0,0,0,2]],"м":[{},[0,0,3]],"о":[{},[0,2]],"т":[{"е":[{},[0,0,3]],"р":[{},[0,0,2,1]]}],"-":[{},[8,8]]},[0,0,1]],"т":[{"е":[{},[0,2]],"и":[{"л":[{"а":[{},[0,0,0,0,1]]}]}],"р":[{"а":[{},[0,0,1]]}],"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]},[0,2]],"х":[{"о":[{},[0,0,0,3]],"-":[{},[8,8]]},[0,0,2]],"ц":[{"-":[{},[8,8]]},[0,2]],"я":[{"-":[{},[8,8]]},[0,0,2]],"а":[{"-":[{},[8,8]]}],"б":[{"-":[{},[8,8]]}],"е":[{"-":[{},[8,8]]}],"ё":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"з":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"у":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ъ":[{"-":[{},[8,8]]}],"ы":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"э":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}]},[1]],"ю":[{"а":[{"-":[{},[8,8]]},[0,1]],"б":[{"в":[{},[0,2]],"л":[{},[0,2]],"р":[{"е":[{},[0,2,1]]}],"-":[{},[8,8]]},[0,1]],"в":[{"-":[{},[8,8]]},[0,1]],"д":[{"ь":[{},[0,1]],"-":[{},[8,8]]}],"е":[{"-":[{},[8,8]]},[0,1]],"з":[{"г":[{},[0,0,2]],"и":[{"к":[{},[0,0,0,2]]}],"о":[{},[0,1]],"-":[{},[8,8]]}],"и":[{"д":[{"а":[{"л":[{},[0,2]]}]}],"-":[{},[8,8]]},[0,1]],"к":[{"в":[{},[0,2,1]],"-":[{},[8,8]]},[0,1]],"л":[{"а":[{},[0,1]],"е":[{},[0,1]],"и":[{},[0,2]],"ю":[{},[0,1]],"-":[{},[8,8]]}],"м":[{"ч":[{},[0,2]],"-":[{},[8,8]]},[2]],"н":[{"ь":[{},[0,2]],"-":[{},[8,8]]}],"о":[{"-":[{},[8,8]]},[0,1,1]],"р":[{"а":[{},[0,1]],"е":[{"м":[{},[0,0,0,4]]},[0,1]],"и":[{"с":[{"к":[{},[0,0,0,2]]}]},[0,1]],"о":[{},[0,1]],"у":[{},[0,1]],"ы":[{},[0,1]],"-":[{},[8,8]]}],"с":[{"к":[{},[0,2,1]],"т":[{"а":[{},[0,1]],"е":[{},[0,1]],"о":[{},[0,1]],"я":[{},[0,1]]}],"-":[{},[8,8]]}],"т":[{"и":[{},[0,1]],"о":[{},[0,1]],"у":[{},[0,1]],"ы":[{},[0,1]],"-":[{},[8,8]]}],"х":[{"а":[{"с":[{},[0,0,0,1]]}],"-":[{},[8,8]]},[0,1]],"ч":[{"-":[{},[8,8]]},[0,1]],"щ":[{"ь":[{},[0,2]],"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]},[0,1]],"ё":[{"-":[{},[8,8]]},[0,1]],"г":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]}],"у":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]}],"ъ":[{"-":[{},[8,8]]}],"ы":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"э":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}]},[1]],"я":[{"б":[{"р":[{"а":[{},[0,0,1]],"е":[{},[0,0,3]],"и":[{},[0,0,1]],"ю":[{},[0,0,3]],"ё":[{},[0,0,3]]},[0,2]],"-":[{},[8,8]]}],"в":[{"и":[{"к":[{"с":[{},[3]]}]}],"о":[{},[0,1]],"у":[{},[0,1]],"х":[{},[0,1,2]],"-":[{},[8,8]]}],"г":[{"л":[{},[0,2,1]],"н":[{},[0,2]],"-":[{},[8,8]]}],"д":[{"в":[{},[0,0,1]],"р":[{},[0,0,1]],"-":[{},[8,8]]}],"е":[{"-":[{},[8,8]]},[0,1]],"з":[{"г":[{"н":[{},[0,0,2]]}],"о":[{},[0,1]],"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]},[0,1]],"к":[{"в":[{},[0,2,1]],"л":[{},[0,2,1]],"с":[{},[0,0,1]],"-":[{},[8,8]]},[0,1]],"л":[{"ь":[{},[0,2]],"-":[{},[8,8]]},[0,1]],"м":[{"б":[{"л":[{},[0,0,2,3]]}],"ь":[{},[0,2]],"-":[{},[8,8]]}],"н":[{"а":[{},[0,3]],"с":[{},[0,0,0,2]],"-":[{},[8,8]]}],"р":[{"а":[{},[0,1]],"и":[{},[0,1]],"о":[{},[0,1]],"ь":[{},[0,1]],"-":[{},[8,8]]}],"с":[{"к":[{},[0,0,1]],"л":[{},[0,0,1]],"т":[{"в":[{},[0,0,0,3]],"о":[{},[0,1]],"р":[{},[0,0,0,1]]},[0,0,2]],"-":[{},[8,8]]}],"т":[{"а":[{},[0,1]],"в":[{},[0,0,3]],"и":[{"з":[{},[0,0,0,1]]},[0,3]],"о":[{},[0,1]],"у":[{},[0,1]],"ы":[{},[0,1]],"ь":[{"ю":[{},[0,3]],"я":[{},[0,3]]}],"я":[{},[0,1]],"-":[{},[8,8]]}],"у":[{"-":[{},[8,8]]},[0,1]],"х":[{"л":[{},[0,0,1]],"у":[{},[0,1]],"-":[{},[8,8]]}],"ц":[{"е":[{},[0,0,0,1]],"-":[{},[8,8]]}],"ш":[{"л":[{},[0,2]],"-":[{},[8,8]]}],"ю":[{".":[{},[2]],"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]},[2,1]],"а":[{"-":[{},[8,8]]}],"ё":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"о":[{"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ъ":[{"-":[{},[8,8]]}],"ы":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"э":[{"-":[{},[8,8]]}]}],"ё":[{"б":[{"р":[{"а":[{},[0,1]],"ы":[{},[0,0,1]]}],"-":[{},[8,8]]},[2]],"в":[{"е":[{},[0,1]],"о":[{},[0,1]],"р":[{"е":[{},[2,1]]}],"у":[{},[0,1]],"-":[{},[8,8]]}],"д":[{"р":[{"у":[{},[0,1]]}],"у":[{"ш":[{},[2,3]]}],"-":[{},[8,8]]}],"ж":[{"е":[{},[2]],"-":[{},[8,8]]}],"з":[{"е":[{},[0,3]],"о":[{"г":[{},[0,0,1,2]],"м":[{},[0,1]]}],"-":[{},[8,8]]}],"к":[{"а":[{},[0,1]],"и":[{},[0,1]],"о":[{},[2,1]],"р":[{"о":[{},[0,0,2]]},[2,1]],"у":[{},[0,1]],"-":[{},[8,8]]}],"л":[{"а":[{},[0,1]],"е":[{},[0,1]],"у":[{},[0,1]],"ы":[{},[0,1]],"-":[{},[8,8]]}],"м":[{"у":[{"ж":[{},[2]]}],"ч":[{},[0,2]],"-":[{},[8,8]]}],"н":[{"а":[{},[0,3]],"д":[{"р":[{},[0,0,2,1]]}],"с":[{},[0,0,0,2]],"-":[{},[8,8]]}],"п":[{"а":[{"т":[{},[0,0,0,0,2]]}],"е":[{},[2]],"л":[{"а":[{},[0,3]],"у":[{},[0,0,1]],"ы":[{},[0,3]]},[0,2]],"н":[{},[0,4]],"о":[{},[2]],"т":[{},[0,4]],"-":[{},[8,8]]}],"р":[{"а":[{},[0,1]],"е":[{".":[{},[0,3]]},[0,1]],"и":[{},[0,1]],"о":[{},[0,1]],"с":[{"к":[{},[0,0,3]]}],"у":[{},[0,1]],"ы":[{},[0,1]],"-":[{},[8,8]]}],"с":[{"а":[{},[0,3,2]],"к":[{"а":[{".":[{},[0,2,1]]}],"е":[{},[0,2]],"у":[{".":[{},[0,4,1]]}]},[0,1]],"л":[{},[2]],"о":[{},[0,3]],"т":[{"а":[{"н":[{},[0,0,2]]}],"у":[{},[0,3]]},[0,1]],"-":[{},[8,8]]}],"т":[{"а":[{},[0,1]],"е":[{"ч":[{},[2]]}],"и":[{},[0,1]],"о":[{"с":[{},[0,0,0,1]]},[0,1]],"р":[{},[0,0,1]],"у":[{},[0,1]],"ы":[{},[0,1]],"ю":[{},[0,1]],"я":[{},[0,1]],"-":[{},[8,8]]}],"х":[{"а":[{"т":[{"о":[{},[0,0,1]]},[0,0,0,2]]}],"в":[{"а":[{"л":[{},[0,0,3]]}]}],"л":[{"о":[{"п":[{},[0,0,3]]}]}],"о":[{"п":[{"о":[{},[0,0,1]]}]}],"р":[{"у":[{},[0,0,1]]}],"-":[{},[8,8]]}],"а":[{"-":[{},[8,8]]}],"г":[{"-":[{},[8,8]]}],"е":[{"-":[{},[8,8]]}],"ё":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"о":[{"-":[{},[8,8]]}],"у":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ъ":[{"-":[{},[8,8]]}],"ы":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"э":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}]}],"-":[{"-":[{},[0,0,8]],"а":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"б":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"в":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"г":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"д":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"е":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"ё":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"ж":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"з":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"и":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"й":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"к":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"л":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"м":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"н":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"о":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"п":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"р":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"с":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"т":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"у":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"ф":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"х":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"ц":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"ч":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"ш":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"щ":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"ъ":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"ы":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"ь":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"э":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"ю":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}],"я":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"ё":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ъ":[{},[0,0,8,8]],"ы":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"э":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]]}]},[8,7]]}';
  var hyphenation = [
    "ас-бест",
    "бездн",
    "биз-нес-мен",
    "буй-нак-ске",
    "вбли-зи",
    "взба-ла-муть-ся",
    "вздрем-нешь",
    "во-до-сли-вом",
    "волж-ске",
    "воп-лем",
    "вопль",
    "вост-ра",
    "во-ткать",
    "во-ткем",
    "во-ткешь",
    "во-тку",
    "во-ткут",
    "впол-обо-ро-та",
    "впол-уха",
    "все-во-лож-ске",
    "вцспс",
    "га-рем-но-го",
    "го-ло-дра-нец",
    "грэс",
    "дву-зу-бец",
    "днепр",
    "добре-ем",
    "до-бре-ем-ся",
    "добре-ет",
    "добре-е-те",
    "до-бре-е-тесь",
    "до-бре-ет-ся",
    "добре-ешь",
    "до-бре-ешь-ся",
    "добрею",
    "до-бре-юсь",
    "добре-ют",
    "до-бре-ют-ся",
    "до-бре-сти",
    "до-бро-дят",
    "до-брось",
    "до-брось-те",
    "до-бро-сят",
    "до-бро-шу",
    "домну",
    "доп-пель",
    "драх-му",
    "дрейф-лю",
    "дрейфь-те",
    "еди-но-жды",
    "зав-сек-то-ром",
    "за-мру",
    "за-члись",
    "из-древ-ле",
    "изо-тру",
    "ин-ког-ни-то",
    "искр",
    "ка-за-шек",
    "казнь",
    "кольд-кре-мом",
    "корн-па-пир",
    "ксендз",
    "лик-бе-зом",
    "ло-шадь-ми",
    "людь-ми",
    "лю-э-сом",
    "ма-зу-те",
    "ме-ти-лам",
    "ме-ти-ла-ми",
    "мно-га-жды",
    "морщь-те",
    "на-бе-крень",
    "навз-ничь",
    "на-вскид-ку",
    "на-встре-чу",
    "нагл",
    "на-изусть",
    "на-ис-ко-сок",
    "наи-ме-нее",
    "на-ис-кось",
    "на-обо-рот",
    "на-от-рез",
    "на-супь-ся",
    "на-угад",
    "на-уголь-ник",
    "не-ост-ра",
    "нес-лась",
    "нес-лись",
    "нет-то",
    "не-уду",
    "обидь-ся",
    "обо-шлось",
    "об-ра-сти",
    "од-на-жды",
    "ослаб-ла",
    "ото-мстят",
    "ото-мщу",
    "ото-тру",
    "отру",
    "отрусь",
    "паб-ли-си-ти",
    "па-на-ме",
    "па-на-мец",
    "па-ра-так-сис",
    "пе-ре-вру",
    "пе-ре-ме-жать",
    "пе-ре-ме-жать-ся",
    "пе-ре-шла",
    "пис-чая",
    "по-все-дне-вен",
    "по-гре-мок",
    "по-до-тру",
    "по-ис-ти-не",
    "по-лу-то-ра-ста",
    "по-лу-явью",
    "по-млад-ше",
    "помни",
    "по-мнись",
    "помни-те",
    "по-мни-тесь",
    "по-мно-гу",
    "по-мру",
    "пол-вто-ро-го",
    "пол-шка-фа",
    "по-на-доб-люсь",
    "по-трафь-те",
    "преж-де",
    "прид-ти",
    "при-шла",
    "при-шлось",
    "про-тру",
    "про-хлад-ца",
    "пско-ва",
    "пыл-че",
    "раз-орем-ся",
    "раз-оре-тесь",
    "раз-орет-ся",
    "раз-орешь-ся",
    "разо-тру",
    "ра-зу-мом",
    "резв-люсь",
    "рсфср",
    "сан-узел",
    "сдрейф-лю",
    "се-го-дня",
    "сме-жат",
    "со-блю-сти",
    "со-лжешь",
    "сост-рим",
    "сост-ришь",
    "сост-рю",
    "сост-рят",
    "со-ткать",
    "со-ткем",
    "со-ткешь",
    "сотку",
    "со-ткут",
    "срос-лась",
    "срос-лись",
    "стрем-глав",
    "так-же",
    "тве-ре-зо-го",
    "те-ле-ате-лье",
    "тер-но-сли-вом",
    "троп-лю",
    "тьфу",
    "узу-фрукт",
    "умнем",
    "умнет",
    "умнете",
    "умну",
    "умру",
    "услышь-те",
    "ушла",
    "фо-то-пле-нок",
    "ца-ре-дво-рец",
    "че-рес-чур",
    "чер-но-сли-вом",
    "чресл",
    "чуж-дость",
    "шесть-де-сят",
    "юсом",
    "ядо-зу-бе",
    "ярем-но-го",
    ""
  ];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
