(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsShCyrl = factory();
  }
})(this, function () {
  var patterns =
    '{"т":[{"ј":[{".":[{},[2]]},[0,2]],"л":[{".":[{},[2]]},[0,2]],"љ":[{".":[{},[2]]},[0,2]],"р":[{".":[{},[2]]},[0,2]],"в":[{".":[{},[2]],"ј":[{},[2,3]],"л":[{},[2,3]],"љ":[{},[2,3]]},[0,2]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"к":[{},[2,1]],"м":[{"а":[{"с":[{"т":[{},[3,2]]}]}],"у":[{"л":[{},[3,2]],"о":[{},[3,2]],"љ":[{},[3,2]],"р":[{},[3,2]]}]},[2,1]],"н":[{},[2,1]],"п":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"њ":[{},[2,1]],"џ":[{},[2,1]],"з":[{},[2,1]],"ш":[{},[2,1]],"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]]}],"д":[{"ј":[{".":[{},[2]]},[0,2]],"л":[{".":[{},[2]]},[0,2]],"љ":[{".":[{},[2]]},[0,2]],"р":[{".":[{},[2]]},[0,2]],"в":[{".":[{},[2]],"л":[{},[2,3]],"љ":[{},[2,3]],"р":[{},[2,3]]},[0,2]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"к":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"п":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"њ":[{},[2,1]],"џ":[{},[2,1]],"з":[{},[2,1]],"ш":[{},[2,1]],"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]]}],"г":[{"ј":[{".":[{},[2]]},[0,2]],"л":[{".":[{},[2]]},[0,2]],"љ":[{".":[{},[2]]},[0,2]],"р":[{".":[{},[2]]},[0,2]],"в":[{".":[{},[2]],"ј":[{},[2,3]],"л":[{},[2,3]],"љ":[{},[2,3]],"р":[{},[2,3]]},[0,2]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{"е":[{"г":[{"о":[{"д":[{".":[{},[3,2]]}]}]}],"к":[{"а":[{"к":[{},[3,2]],"д":[{},[3,2]]}]}]}],"ј":[{"е":[{"г":[{"о":[{"д":[{".":[{},[3,2]]}]}]}],"к":[{"а":[{"к":[{},[3,2]],"д":[{},[3,2]]}]}]}]}]},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"к":[{},[2,1]],"м":[{"и":[{"л":[{},[3,2]],"љ":[{},[3,2]],"з":[{},[3,2]]}]},[2,1]],"н":[{"о":[{"с":[{},[3,2]],"з":[{},[3,2]],"ј":[{},[3,2]]}],"а":[{"ј":[{},[3,2]]}],"е":[{"з":[{"д":[{},[3,2]]}],"ж":[{"ђ":[{},[3,2]]}],"в":[{},[3,2]]}],"и":[{"ј":[{"е":[{"з":[{"д":[{},[3,2]]}],"ж":[{"ђ":[{},[3,2]]}]}]}]}]},[2,1]],"п":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"њ":[{"е":[{"в":[{},[3,2]],"с":[{},[3,2]],"т":[{},[3,2]],"ч":[{},[3,2]]}],"а":[{"в":[{},[3,2]]}],"и":[{"л":[{},[3,2]],"о":[{},[3,2]],"љ":[{},[3,2]],"т":[{},[3,2]]}],"у":[{"р":[{},[3,2]]}]},[2,1]],"џ":[{},[2,1]],"з":[{},[2,1]],"ш":[{},[2,1]],"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]]}],"х":[{"ј":[{".":[{},[2]]},[0,2]],"л":[{".":[{},[2]]},[0,2]],"љ":[{".":[{},[2]]},[0,2]],"р":[{".":[{},[2]]},[0,2]],"в":[{".":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"т":[{},[2]],"њ":[{},[2]],"џ":[{},[2]],"з":[{},[2]],"ш":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ж":[{},[2]],"ј":[{},[2,3]],"л":[{},[2,3]],"љ":[{},[2,3]],"р":[{},[2,3]]},[0,2]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"к":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"п":[{},[2,1]],"с":[{},[2,1]],"т":[{"е":[{"т":[{"и":[{},[3,2]]}],"л":[{},[3,2]],"в":[{},[3,2]],"њ":[{},[3,2]]}],"ј":[{"е":[{"т":[{"и":[{},[3,2]]}],"л":[{},[3,2]],"в":[{},[3,2]],"њ":[{},[3,2]]}]}]},[2,1]],"њ":[{},[2,1]],"џ":[{},[2,1]],"з":[{},[2,1]],"ш":[{},[2,1]],"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]]}],"к":[{"ј":[{".":[{},[2]]},[0,2]],"л":[{".":[{},[2]]},[0,2]],"љ":[{".":[{},[2]]},[0,2]],"р":[{".":[{},[2]]},[0,2]],"в":[{".":[{},[2]],"ј":[{},[2,3]],"л":[{},[2,3]],"љ":[{},[2,3]]},[0,2]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"к":[{},[2,1]],"м":[{},[2,1]],"н":[{"е":[{"з":[{},[3,2]],"ж":[{},[3,2]]}]},[2,1]],"п":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"њ":[{"и":[{"ж":[{},[3,2]],"г":[{},[3,2]]}]},[2,1]],"џ":[{},[2,1]],"з":[{},[2,1]],"ш":[{},[2,1]],"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]]}],"п":[{"ј":[{".":[{},[2]]},[0,2]],"л":[{".":[{},[2]]},[0,2]],"љ":[{".":[{},[2]]},[0,2]],"р":[{".":[{},[2]]},[0,2]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"к":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"п":[{},[2,1]],"с":[{"и":[{"к":[{},[3,2]],"ч":[{},[3,2]]}],"о":[{"в":[{},[3,2]]}],"у":[{"ј":[{},[3,2]]}]},[2,1]],"т":[{},[2,1]],"в":[{},[2,1]],"њ":[{},[2,1]],"џ":[{},[2,1]],"з":[{},[2,1]],"ш":[{},[2,1]],"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]]}],"в":[{"ј":[{".":[{},[2]]},[0,2]],"л":[{".":[{},[2]]},[0,2]],"љ":[{".":[{},[2]]},[0,2]],"р":[{".":[{},[2]]},[0,2]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"к":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"п":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"в":[{},[2,1]],"њ":[{},[2,1]],"џ":[{},[2,1]],"з":[{},[2,1]],"ш":[{},[2,1]],"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]]}],"б":[{"ј":[{".":[{},[2]]},[0,2]],"л":[{".":[{},[2]]},[0,2]],"љ":[{".":[{},[2]]},[0,2]],"р":[{".":[{},[2]]},[0,2]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{"е":[{"т":[{},[3,2]],"њ":[{},[3,2]]}],"ј":[{"е":[{"т":[{},[3,2]],"њ":[{},[3,2]]}]}]},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"к":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"п":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"в":[{},[2,1]],"њ":[{},[2,1]],"џ":[{},[2,1]],"з":[{},[2,1]],"ш":[{},[2,1]],"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]]}],"ф":[{"ј":[{".":[{},[2]]},[0,2]],"л":[{".":[{},[2]]},[0,2]],"љ":[{".":[{},[2]]},[0,2]],"р":[{".":[{},[2]]},[0,2]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"к":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"п":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"в":[{},[2,1]],"њ":[{},[2,1]],"џ":[{},[2,1]],"з":[{},[2,1]],"ш":[{},[2,1]],"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]]}],"м":[{"ј":[{".":[{},[2]]},[0,2]],"л":[{".":[{},[2]]},[0,2]],"љ":[{".":[{},[2]]},[0,2]],"р":[{".":[{},[2]]},[0,2]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"к":[{},[2,1]],"м":[{},[2,1]],"н":[{"о":[{"ж":[{},[3,2]],"г":[{},[3,2]]}],"а":[{"ж":[{},[3,2]]}]},[2,1]],"п":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"в":[{},[2,1]],"њ":[{},[2,1]],"џ":[{},[2,1]],"з":[{},[2,1]],"ш":[{},[2,1]],"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]]}],"с":[{"ц":[{".":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"л":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"љ":[{},[2]],"р":[{},[2]],"с":[{},[2]],"т":[{},[2]],"њ":[{},[2]],"џ":[{},[2]],"з":[{},[2]],"ш":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ж":[{},[2]]},[0,2]],"ј":[{".":[{},[2]]},[0,2]],"к":[{".":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"т":[{},[2]],"њ":[{},[2]],"џ":[{},[2]],"з":[{},[2]],"ш":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ж":[{},[2]],"ј":[{},[2,3]],"љ":[{},[2,3]]},[0,2]],"л":[{".":[{},[2]]},[0,2]],"м":[{".":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"т":[{},[2]],"в":[{},[2]],"њ":[{},[2]],"џ":[{},[2]],"з":[{},[2]],"ш":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ж":[{},[2]]},[0,2]],"н":[{".":[{},[2]]},[0,2]],"п":[{".":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"т":[{},[2]],"в":[{},[2]],"њ":[{},[2]],"џ":[{},[2]],"з":[{},[2]],"ш":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ж":[{},[2]]},[0,2]],"љ":[{".":[{},[2]]},[0,2]],"р":[{".":[{},[2]]},[0,2]],"т":[{".":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"т":[{},[2]],"њ":[{},[2]],"џ":[{},[2]],"з":[{},[2]],"ш":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ж":[{},[2]],"л":[{},[2,3]]},[0,2]],"в":[{".":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"т":[{},[2]],"в":[{},[2]],"њ":[{},[2]],"џ":[{},[2]],"з":[{},[2]],"ш":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ж":[{},[2]],"љ":[{},[2,3]]},[0,2]],"њ":[{".":[{},[2]]},[0,2]],"ж":[{},[2,1]],"б":[{},[2,1]],"д":[{},[2,1]],"ф":[{"е":[{"р":[{},[3,2]]}]},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"с":[{},[2,1]],"џ":[{},[2,1]],"з":[{},[2,1]],"ш":[{},[2,1]],"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]]}],"з":[{"б":[{".":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"т":[{},[2]],"в":[{},[2]],"њ":[{},[2]],"џ":[{},[2]],"з":[{},[2]],"ш":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ж":[{},[2]],"љ":[{},[2,3]]},[0,2]],"д":[{".":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"т":[{},[2]],"њ":[{},[2]],"џ":[{},[2]],"з":[{},[2]],"ш":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ж":[{},[2]],"л":[{},[2,3]],"љ":[{},[2,3]],"в":[{},[2,3]]},[0,2]],"г":[{".":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"т":[{},[2]],"њ":[{},[2]],"џ":[{},[2]],"з":[{},[2]],"ш":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ж":[{},[2]],"ј":[{},[2,3]],"љ":[{},[2,3]]},[0,2]],"ј":[{".":[{},[2]]},[0,2]],"л":[{".":[{},[2]]},[0,2]],"м":[{".":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"т":[{},[2]],"в":[{},[2]],"њ":[{},[2]],"џ":[{},[2]],"з":[{},[2]],"ш":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ж":[{},[2]],"л":[{},[2,3]],"р":[{},[2,3]]},[0,2]],"н":[{".":[{},[2]]},[0,2]],"љ":[{".":[{},[2]]},[0,2]],"р":[{".":[{},[2]]},[0,2]],"в":[{".":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"т":[{},[2]],"в":[{},[2]],"њ":[{},[2]],"џ":[{},[2]],"з":[{},[2]],"ш":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ж":[{},[2]],"л":[{},[2,3]],"љ":[{},[2,3]]},[0,2]],"њ":[{".":[{},[2]]},[0,2]],"ж":[{},[2,1]],"ц":[{},[2,1]],"ф":[{},[2,1]],"х":[{},[2,1]],"к":[{},[2,1]],"п":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"џ":[{},[2,1]],"з":[{},[2,1]],"ш":[{},[2,1]],"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]]}],"ш":[{"ц":[{".":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"л":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"љ":[{},[2]],"р":[{},[2]],"с":[{},[2]],"т":[{},[2]],"њ":[{},[2]],"џ":[{},[2]],"з":[{},[2]],"ш":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ж":[{},[2]],"ј":[{},[2,3]],"в":[{},[2,3]]},[0,2]],"к":[{".":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"т":[{},[2]],"њ":[{},[2]],"џ":[{},[2]],"з":[{},[2]],"ш":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ж":[{},[2]]},[0,2]],"л":[{".":[{},[2]]},[0,2]],"м":[{".":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"т":[{},[2]],"в":[{},[2]],"њ":[{},[2]],"џ":[{},[2]],"з":[{},[2]],"ш":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ж":[{},[2]],"ј":[{},[2,3]],"л":[{},[2,3]],"љ":[{},[2,3]]},[0,2]],"н":[{".":[{},[2]]},[0,2]],"п":[{".":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"т":[{},[2]],"в":[{},[2]],"њ":[{},[2]],"џ":[{},[2]],"з":[{},[2]],"ш":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ж":[{},[2]],"ј":[{},[2,3]],"л":[{},[2,3]],"љ":[{},[2,3]]},[0,2]],"љ":[{".":[{},[2]]},[0,2]],"т":[{".":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"т":[{},[2]],"њ":[{},[2]],"џ":[{},[2]],"з":[{},[2]],"ш":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ж":[{},[2]],"ј":[{},[2,3]],"л":[{},[2,3]],"љ":[{},[2,3]]},[0,2]],"в":[{".":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"т":[{},[2]],"в":[{},[2]],"њ":[{},[2]],"џ":[{},[2]],"з":[{},[2]],"ш":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ж":[{},[2]],"л":[{},[2,3]],"љ":[{},[2,3]]},[0,2]],"њ":[{".":[{},[2]]},[0,2]],"ћ":[{".":[{},[2]]},[0,2]],"ч":[{".":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"ј":[{},[2]],"к":[{},[2]],"л":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"љ":[{},[2]],"р":[{},[2]],"с":[{},[2]],"т":[{},[2]],"њ":[{},[2]],"џ":[{},[2]],"з":[{},[2]],"ш":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ж":[{},[2]],"в":[{},[2,3]]},[0,2]],"ж":[{},[2,1]],"б":[{},[2,1]],"д":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"с":[{},[2,1]],"џ":[{},[2,1]],"з":[{},[2,1]],"ш":[{},[2,1]],"ђ":[{},[2,1]],"ј":[{},[2,1]],"р":[{},[2,1]]}],"ж":[{"б":[{".":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"т":[{},[2]],"в":[{},[2]],"њ":[{},[2]],"џ":[{},[2]],"з":[{},[2]],"ш":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ж":[{},[2]],"ј":[{},[2,3]],"л":[{},[2,3]],"љ":[{},[2,3]],"р":[{},[2,3]]},[0,2]],"д":[{".":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"т":[{},[2]],"њ":[{},[2]],"џ":[{},[2]],"з":[{},[2]],"ш":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ж":[{},[2]],"ј":[{},[2,3]],"л":[{},[2,3]],"љ":[{},[2,3]],"в":[{},[2,3]]},[0,2]],"г":[{".":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"т":[{},[2]],"њ":[{},[2]],"џ":[{},[2]],"з":[{},[2]],"ш":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ж":[{},[2]],"ј":[{},[2,3]],"л":[{},[2,3]],"љ":[{},[2,3]],"р":[{},[2,3]],"в":[{},[2,3]]},[0,2]],"л":[{".":[{},[2]]},[0,2]],"м":[{".":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"т":[{},[2]],"в":[{},[2]],"њ":[{},[2]],"џ":[{},[2]],"з":[{},[2]],"ш":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ж":[{},[2]],"ј":[{},[2,3]],"л":[{},[2,3]],"љ":[{},[2,3]],"р":[{},[2,3]]},[0,2]],"н":[{".":[{},[2]]},[0,2]],"љ":[{".":[{},[2]]},[0,2]],"в":[{".":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"т":[{},[2]],"в":[{},[2]],"њ":[{},[2]],"џ":[{},[2]],"з":[{},[2]],"ш":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ж":[{},[2]],"л":[{},[2,3]],"љ":[{},[2,3]]},[0,2]],"њ":[{".":[{},[2]]},[0,2]],"ђ":[{".":[{},[2]]},[0,2]],"ж":[{},[2,1]],"ц":[{},[2,1]],"ф":[{},[2,1]],"х":[{},[2,1]],"к":[{},[2,1]],"п":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"џ":[{},[2,1]],"з":[{},[2,1]],"ш":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]],"ј":[{},[2,1]],"р":[{},[2,1]]}],"ц":[{"ј":[{".":[{},[2]]},[0,2]],"р":[{".":[{},[2]]},[0,2]],"в":[{".":[{},[2]],"л":[{},[2,3]],"љ":[{},[2,3]]},[0,2]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"к":[{},[2,1]],"л":[{},[2,1]],"м":[{"и":[{"з":[{},[3,2]]}],"а":[{"к":[{},[3,2]],"ч":[{},[3,2]]}],"о":[{"к":[{},[3,2]]}]},[2,1]],"н":[{},[2,1]],"п":[{},[2,1]],"љ":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"њ":[{},[2,1]],"џ":[{},[2,1]],"з":[{},[2,1]],"ш":[{},[2,1]],"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]]}],"ч":[{"в":[{".":[{},[2]],"л":[{},[2,3]],"љ":[{},[2,3]],"ј":[{},[2,3]]},[0,2]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"ј":[{},[2,1]],"к":[{},[2,1]],"л":[{"а":[{"н":[{},[3,2]],"њ":[{},[3,2]]}]},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"п":[{},[2,1]],"љ":[{},[2,1]],"р":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"њ":[{},[2,1]],"џ":[{},[2,1]],"з":[{},[2,1]],"ш":[{},[2,1]],"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]]}],"ј":[{"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"ј":[{},[2,1]],"к":[{},[2,1]],"л":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"п":[{},[2,1]],"љ":[{},[2,1]],"р":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"в":[{},[2,1]],"њ":[{},[2,1]],"џ":[{},[2,1]],"з":[{},[2,1]],"ш":[{},[2,1]],"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]]}],"л":[{"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"ј":[{},[2,1]],"к":[{},[2,1]],"л":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"п":[{},[2,1]],"љ":[{},[2,1]],"р":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"в":[{},[2,1]],"њ":[{},[2,1]],"џ":[{},[2,1]],"з":[{},[2,1]],"ш":[{},[2,1]],"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]]}],"н":[{"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"ј":[{},[2,1]],"к":[{},[2,1]],"л":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"п":[{},[2,1]],"љ":[{},[2,1]],"р":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"в":[{},[2,1]],"њ":[{},[2,1]],"џ":[{},[2,1]],"з":[{},[2,1]],"ш":[{},[2,1]],"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]],"и":[{"г":[{"д":[{"е":[{".":[{},[0,0,3,2]]}],"ј":[{"е":[{".":[{},[0,0,3,2]]}]}]}]}]}],"е":[{"г":[{"д":[{"е":[{".":[{},[0,0,3,2]]}],"ј":[{"е":[{".":[{},[0,0,3,2]]}]}]}]}]}]}],"љ":[{"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"ј":[{},[2,1]],"к":[{},[2,1]],"л":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"п":[{},[2,1]],"љ":[{},[2,1]],"р":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"в":[{},[2,1]],"њ":[{},[2,1]],"џ":[{},[2,1]],"з":[{},[2,1]],"ш":[{},[2,1]],"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]]}],"р":[{"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"ј":[{"е":[{"м":[{},[4,3]],".":[{},[4,3]]},[3,2]]},[2,1]],"к":[{},[2,1]],"л":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"п":[{},[2,1]],"љ":[{},[2,1]],"р":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"в":[{},[2,1]],"њ":[{},[2,1]],"џ":[{},[2,1]],"з":[{},[2,1]],"ш":[{},[2,1]],"ђ":[{"а":[{},[3,2]]},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]]}],"њ":[{"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"ј":[{},[2,1]],"к":[{},[2,1]],"л":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"п":[{},[2,1]],"љ":[{},[2,1]],"р":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"в":[{},[2,1]],"њ":[{},[2,1]],"џ":[{},[2,1]],"з":[{},[2,1]],"ш":[{},[2,1]],"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]]}],"џ":[{"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"ј":[{},[2,1]],"к":[{},[2,1]],"л":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"п":[{},[2,1]],"љ":[{},[2,1]],"р":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"в":[{},[2,1]],"њ":[{},[2,1]],"џ":[{},[2,1]],"з":[{},[2,1]],"ш":[{},[2,1]],"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]]}],"ђ":[{"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"ј":[{},[2,1]],"к":[{},[2,1]],"л":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"п":[{},[2,1]],"љ":[{},[2,1]],"р":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"в":[{},[2,1]],"њ":[{},[2,1]],"џ":[{},[2,1]],"з":[{},[2,1]],"ш":[{},[2,1]],"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]]}],"ћ":[{"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"ј":[{},[2,1]],"к":[{},[2,1]],"л":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"п":[{},[2,1]],"љ":[{},[2,1]],"р":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"в":[{},[2,1]],"њ":[{},[2,1]],"џ":[{},[2,1]],"з":[{},[2,1]],"ш":[{},[2,1]],"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]]}],".":[{"х":[{},[0,2]],"ј":[{"у":[{"р":[{"и":[{"с":[{"к":[{},[0,0,0,0,2,3]],"п":[{},[0,0,0,0,2,3]]}]}]}]}]},[0,2]],"к":[{},[0,2]],"л":[{},[0,2]],"м":[{},[0,2]],"н":[{"а":[{"г":[{"н":[{},[0,0,0,2]],"њ":[{},[0,0,0,2]]}],"д":[{"н":[{"е":[{"в":[{},[0,0,3,2]]}],"и":[{"ч":[{},[0,0,3,2]],"ц":[{},[0,0,3,2]]}]}],"л":[{"а":[{"н":[{},[0,0,3,4]]}],"е":[{"ш":[{},[0,0,3,4]],"ж":[{},[0,0,3,4]]}]},[0,0,2,3]],"љ":[{},[0,0,2,3]],"в":[{"а":[{"л":[{},[0,0,3,4]]}],"е":[{"с":[{"и":[{},[0,0,3,4]],"т":[{},[0,0,3,4]]}]}],"и":[{"ј":[{},[0,0,3,4]],"т":[{},[0,0,3,4]]}],"л":[{"а":[{},[0,0,3,4]]}],"о":[{"ј":[{"е":[{},[0,0,3,4]]}],"р":[{},[0,0,3,4]]}]},[0,0,2,3]],"и":[{"г":[{"р":[{},[0,0,2,3]]}],"н":[{"ж":[{},[0,0,2,3]],"а":[{},[0,0,2,3]]}],"с":[{"к":[{},[0,0,2,3]]}]}],"ј":[{"а":[{"х":[{},[0,0,2,3]],"ч":[{},[0,0,2,3]]}],"е":[{"к":[{},[0,0,2,3]],"з":[{},[0,0,2,3]],"ч":[{},[0,0,2,3]]}],"у":[{"н":[{},[0,0,2,3]]}]}],"о":[{"р":[{"а":[{},[0,0,2,3]]}],"с":[{"о":[{},[0,0,2,3]],"е":[{},[0,0,2,3]],"ј":[{"е":[{},[0,0,2,3]]}]}],"ф":[{"и":[{},[0,0,2,3]]}],"ч":[{},[0,0,2,3]]}],"р":[{"а":[{"н":[{},[0,0,2,3]],"ч":[{},[0,0,2,3]],"с":[{"т":[{},[0,0,2,3]]}],"ш":[{"ћ":[{},[0,0,2,3]]}]}],"е":[{"а":[{"л":[{},[0,0,2,3]]}],"п":[{},[0,0,2,3]]}],"у":[{"к":[{},[0,0,2,3]],"ч":[{},[0,0,2,3]],"г":[{},[0,0,2,3]]}]}],"у":[{"д":[{"а":[{"р":[{},[0,0,2,3]]}]}],"м":[{},[0,0,2,3]],"ч":[{},[0,0,2,3]]}]}],"т":[{"к":[{"а":[{"х":[{},[0,0,3,2]],"м":[{},[0,0,3,2]],"с":[{"м":[{},[0,0,3,2]],"т":[{},[0,0,3,2]]}]}]}]}],"ј":[{"а":[{"в":[{"и":[{},[0,0,3,4]],"љ":[{},[0,0,3,4]],"а":[{},[0,0,3,4]],"е":[{},[0,0,3,4]]}],"д":[{"и":[{},[0,0,3,4]],"а":[{},[0,0,3,4]],"е":[{},[0,0,3,4]]}],"ж":[{"и":[{},[0,0,3,4]]}],"з":[{"и":[{},[0,0,3,4]]}],"к":[{"о":[{},[0,0,3,4]],"а":[{},[0,0,3,4]]}],"л":[{"о":[{},[0,0,3,4]]}],"м":[{"и":[{},[0,0,3,4]],"л":[{},[0,0,3,4]],"н":[{},[0,0,3,4]]}],"р":[{"и":[{},[0,0,3,4]],"м":[{},[0,0,3,4]],"ц":[{},[0,0,3,4]]}],"т":[{"и":[{},[0,0,3,4]]}],"у":[{"к":[{},[0,0,3,4]]}],"х":[{},[0,0,3,4]],"ш":[{},[0,0,3,4]]},[0,0,2,3]],"е":[{"д":[{"и":[{},[0,0,3,4]],"н":[{},[0,0,3,4]],"р":[{},[0,0,3,4]],"а":[{},[0,0,3,4]]}],"ж":[{"и":[{},[0,0,3,4]],"у":[{},[0,0,3,4]],"е":[{},[0,0,3,4]]}],"з":[{"н":[{},[0,0,3,4]],"д":[{},[0,0,3,4]]}],"с":[{"т":[{"и":[{},[0,0,3,4]]}]}],"т":[{"к":[{},[0,0,3,4]]}],"ц":[{},[0,0,3,4]]},[0,0,2,3]],"и":[{},[0,0,2,3]],"о":[{},[0,0,2,3]],"у":[{"р":[{"и":[{},[0,0,3,4]],"е":[{"н":[{},[0,0,3,4]]}]}]},[0,0,2,3]]}]}],"у":[{"з":[{"б":[{"е":[{"л":[{},[0,0,2,3]]}],"и":[{"љ":[{},[0,0,2,3]]}]}],"љ":[{"у":[{"б":[{},[0,0,2,3]]}]}],"р":[{"е":[{},[0,0,2,3]],"ј":[{"е":[{},[0,0,2,3]]}]}],"у":[{"ж":[{},[0,0,2,3]]}]}],"с":[{"п":[{"о":[{"с":[{},[0,0,2,3]]}],"р":[{"о":[{},[0,0,2,3]]}]}]}]}]},[0,2]],"п":[{"о":[{"г":[{"н":[{},[0,0,3,2]]}],"д":[{"н":[{"е":[{"в":[{},[0,0,3,2]]}]}],"а":[{"д":[{"м":[{},[0,0,2,3]]}]}],"в":[{"а":[{"р":[{"и":[{"ј":[{},[0,0,2,3]]}]}]}],"е":[{"з":[{},[0,0,2,3]],"ч":[{},[0,0,2,3]],"ж":[{},[0,0,2,3]]}],"и":[{"к":[{},[0,0,2,3]],"л":[{},[0,0,2,3]],"р":[{},[0,0,2,3]],"њ":[{},[0,0,2,3]]}],"л":[{"а":[{"с":[{},[0,0,2,3]],"ш":[{},[0,0,2,3]]}]}],"о":[{"з":[{},[0,0,2,3]],"ђ":[{},[0,0,2,3]],"ж":[{},[0,0,2,3]],"д":[{},[0,0,2,3]]}],"р":[{"а":[{"т":[{},[0,0,2,3]],"ћ":[{},[0,0,2,3]]}],"ћ":[{},[0,0,2,3]],"ж":[{},[0,0,2,3]],"г":[{},[0,0,2,3]],"и":[{"с":[{},[0,0,2,3]]}],"с":[{},[0,0,2,3]]}],"у":[{"ћ":[{},[0,0,2,3]]}]}],"и":[{"г":[{"р":[{},[0,0,2,3]]}],"з":[{"в":[{},[0,0,2,3]]}]}],"ј":[{"е":[{"н":[{},[0,0,3,4]],"ч":[{},[0,0,3,4]]}]},[0,0,2,3]],"л":[{"а":[{"к":[{"а":[{"т":[{},[0,0,2,3]]}],"т":[{},[0,0,2,3]]}]}],"е":[{"п":[{},[0,0,2,3]],"т":[{},[0,0,2,3]],"ћ":[{},[0,0,2,3]],"ж":[{},[0,0,2,3]],"г":[{},[0,0,2,3]]}],"и":[{"з":[{},[0,0,2,3]],"ј":[{"е":[{"п":[{},[0,0,2,3]],"т":[{},[0,0,2,3]],"ћ":[{},[0,0,2,3]],"ж":[{},[0,0,2,3]],"г":[{},[0,0,2,3]]}]}],"с":[{"т":[{},[0,0,2,3]]}]}],"о":[{"к":[{},[0,0,2,3]],"м":[{},[0,0,2,3]]}],"у":[{"п":[{},[0,0,2,3]],"ч":[{},[0,0,2,3]],"ж":[{},[0,0,2,3]]}]}],"љ":[{"у":[{"т":[{},[0,0,2,3]]}]}],"о":[{"к":[{"н":[{},[0,0,2,3]]}],"ш":[{},[0,0,2,3]],"ч":[{},[0,0,2,3]],"ф":[{},[0,0,2,3]]}],"р":[{"а":[{"в":[{"н":[{},[0,0,2,3]],"њ":[{},[0,0,2,3]]}],"д":[{},[0,0,2,3]],"з":[{"д":[{},[0,0,2,3,0,2,3]],"р":[{},[0,0,2,3]],"у":[{},[0,0,2,3]]}],"м":[{},[0,0,2,3]],"н":[{},[0,0,2,3]],"с":[{},[0,0,2,3]],"њ":[{},[0,0,2,3]]}],"е":[{"п":[{},[0,0,2,3]],"с":[{},[0,0,2,3]],"з":[{},[0,0,2,3]]}],"и":[{"к":[{},[0,0,2,3]],"т":[{},[0,0,2,3]]}],"о":[{"н":[{},[0,0,2,3]],"в":[{},[0,0,2,3]],"ж":[{},[0,0,2,3]]}],"у":[{"к":[{},[0,0,2,3]],"б":[{},[0,0,2,3]],"ч":[{"и":[{},[0,0,2,3]],"н":[{},[0,0,2,3]],"а":[{},[0,0,2,3]]}]}]}],"у":[{"п":[{"л":[{"а":[{},[0,0,2,3]]}]}],"с":[{"м":[{},[0,0,2,3]],"н":[{},[0,0,2,3]]}]}]}],"м":[{"н":[{},[0,0,3,2]],"њ":[{},[0,0,3,2]]}],"р":[{"в":[{},[0,0,3,2]],"ђ":[{},[0,0,3,2]]}],"т":[{"к":[{"а":[{"х":[{},[0,0,3,2]],"м":[{},[0,0,3,2]],"т":[{},[0,0,3,2]],"в":[{},[0,0,3,2]]}]}]}],"с":[{"т":[{"е":[{"г":[{"з":[{},[0,0,2,0,3]]}]}],"и":[{"н":[{"д":[{"у":[{},[0,0,2,0,3]]}]}]}],"л":[{"и":[{"м":[{},[0,0,2,0,3]]}]}],"о":[{"н":[{"к":[{},[0,0,2,0,3]]}],"п":[{"е":[{"р":[{},[0,0,2,0,3]]}]}]}]}]}]}],"р":[{"е":[{"д":[{"м":[{"н":[{},[0,0,0,0,3,2]],"њ":[{},[0,0,0,0,3,2]]}],"ј":[{"е":[{"н":[{},[0,0,0,3,4]]}]},[0,0,0,2,3]],"в":[{"а":[{"ј":[{},[0,0,0,3,4]],"р":[{},[0,0,0,3,4]]}],"е":[{"с":[{"т":[{},[0,0,0,3,4]]}]}],"о":[{"ј":[{"и":[{},[0,0,0,3,4]],"а":[{},[0,0,0,3,4]],"е":[{},[0,0,0,3,4]]}],"р":[{},[0,0,0,3,4]],"с":[{},[0,0,0,3,4]]}]},[0,0,0,2,3]],"и":[{"г":[{"р":[{},[0,0,0,2,3]]}],"д":[{},[0,0,0,2,3]],"з":[{"б":[{},[0,0,0,2,3]]}],"с":[{"п":[{"и":[{},[0,0,0,2,3]]}],"т":[{"о":[{},[0,0,0,2,3]],"р":[{},[0,0,0,2,3]]}]}]}],"о":[{"б":[{"ј":[{},[0,0,0,2,3]]}],"д":[{"р":[{"е":[{},[0,0,0,2,3]]}]}],"к":[{"у":[{"с":[{},[0,0,0,2,3]]}]}],"с":[{"в":[{},[0,0,0,2,3]],"е":[{},[0,0,0,2,3]],"ј":[{"е":[{},[0,0,0,2,3]]}]}]}],"р":[{"а":[{"т":[{},[0,0,0,2,3]],"ч":[{},[0,0,0,2,3]],"д":[{},[0,0,0,2,3]]}],"у":[{"ч":[{},[0,0,0,2,3]]}]}],"у":[{"б":[{"е":[{"ђ":[{},[0,0,0,2,3]]}],"и":[{"ј":[{"е":[{"ђ":[{},[0,0,0,2,3]]}]}]}],"ј":[{"е":[{"ђ":[{},[0,0,0,2,3]]}]}]}],"в":[{"е":[{"р":[{},[0,0,0,2,3]]}],"ј":[{"е":[{"р":[{},[0,0,0,2,3]],"т":[{},[0,0,0,2,3]]}]}]}],"г":[{"о":[{"в":[{},[0,0,0,2,3]]}]}],"д":[{"а":[{"р":[{},[0,0,0,2,3]]}]}],"п":[{"и":[{"с":[{},[0,0,0,2,3]]}]}],"с":[{"л":[{"о":[{},[0,0,0,2,3]]}]}]}]}],"т":[{"к":[{"а":[{"х":[{},[0,0,0,3,2]],"м":[{},[0,0,0,3,2]],"т":[{},[0,0,0,3,2]]}]}]}]}],"о":[{"г":[{"н":[{},[0,0,0,3,2]]}],"т":[{"к":[{"и":[{},[0,0,0,3,2]],"а":[{},[0,0,0,3,2]]}],"и":[{"в":[{"а":[{"к":[{"ц":[{},[0,0,0,0,0,2,3]]}]}],"о":[{"т":[{"р":[{},[0,0,0,0,0,2,3]]}],"ф":[{},[0,0,0,0,0,2,3]]}],"р":[{},[0,0,0,0,0,2,3]],"у":[{"с":[{},[0,0,0,0,0,2,3]],"д":[{},[0,0,0,0,0,2,3]]}]}]}]}]}]}]},[0,2]],"љ":[{},[0,2]],"р":[{"а":[{"з":[{"а":[{"г":[{"н":[{},[0,0,0,0,3,2]]}],"т":[{"к":[{"а":[{},[0,0,0,0,3,2]]}]}],"н":[{"а":[{"л":[{},[0,0,2,3]]}]}]}],"г":[{"н":[{},[0,0,0,3,2]],"а":[{"ђ":[{},[0,0,3,4]]}],"р":[{"т":[{},[0,0,3,4]]}]},[0,0,2,3]],"д":[{"н":[{"и":[{},[0,0,0,3,2]]}]},[0,0,2,3]],"б":[{"а":[{"н":[{},[0,0,3,4]],"р":[{},[0,0,3,4]],"у":[{},[0,0,3,4]],"д":[{},[0,0,3,4]],"ш":[{"у":[{"р":[{},[0,0,3,4]]}]}]}],"о":[{"ј":[{},[0,0,3,4]],"р":[{},[0,0,3,4]]}]},[0,0,2,3]],"е":[{"в":[{},[0,0,3,4]]},[0,0,2,3]],"и":[{"ј":[{},[0,0,3,4]],"л":[{},[0,0,3,4]],"н":[{},[0,0,3,4]],"р":[{},[0,0,3,4]],"т":[{},[0,0,3,4]],"з":[{},[0,0,3,4]],"ђ":[{},[0,0,3,4]],"ћ":[{},[0,0,3,4]],"д":[{},[0,0,3,4]]},[0,0,2,3]],"ј":[{},[0,0,2,3]],"л":[{"а":[{"з":[{},[0,0,3,4]],"г":[{},[0,0,3,4]]}],"и":[{"к":[{},[0,0,3,4]],"ч":[{},[0,0,3,4]]}],"о":[{"з":[{},[0,0,3,4]],"ж":[{},[0,0,3,4]],"г":[{},[0,0,3,4]]}]},[0,0,2,3]],"м":[{"е":[{"т":[{},[0,0,3,4]],"ћ":[{},[0,0,3,4]]}],"р":[{"с":[{"к":[{},[0,0,3,4]]}]}]},[0,0,2,3]],"н":[{"а":[{"т":[{},[0,0,3,4]]}]},[0,0,2,3]],"љ":[{},[0,0,2,3]],"р":[{"е":[{"д":[{},[0,0,3,4]]}],"о":[{"к":[{},[0,0,3,4]],"ч":[{},[0,0,3,4]]}]},[0,0,2,3]],"в":[{"а":[{"л":[{},[0,0,3,4]]}],"е":[{"д":[{"е":[{},[0,0,3,4]]}],"с":[{"т":[{},[0,0,3,4]]}]}],"и":[{"г":[{"о":[{},[0,0,3,4]]}],"ј":[{"у":[{},[0,0,3,4]],"а":[{},[0,0,3,4]],"е":[{},[0,0,3,4]]}],"т":[{},[0,0,3,4]],"ћ":[{},[0,0,3,4]]}],"о":[{"ј":[{},[0,0,3,4]],"н":[{},[0,0,3,4]]}],"р":[{"а":[{"т":[{},[0,0,3,4]],"ћ":[{},[0,0,3,4]]}],"т":[{},[0,0,3,4]],"ћ":[{},[0,0,3,4]]}]},[0,0,2,3]],"њ":[{},[0,0,2,3]],"о":[{"б":[{"л":[{},[0,0,2,3]],"р":[{},[0,0,2,3]],"а":[{},[0,0,2,3]]}],"д":[{},[0,0,2,3]],"р":[{"а":[{"т":[{},[0,0,2,3]],"в":[{},[0,0,2,3]]}],"т":[{},[0,0,2,3]],"у":[{},[0,0,2,3]]}],"т":[{},[0,0,2,3]]}],"у":[{"в":[{"е":[{},[0,0,2,3]]}],"д":[{"и":[{},[0,0,2,3]],"а":[{},[0,0,2,3]],"б":[{},[0,0,2,3]]}],"з":[{"и":[{},[0,0,2,3]],"д":[{},[0,0,2,3]],"е":[{},[0,0,2,3]]}],"л":[{"а":[{"р":[{},[0,0,2,3]]}]}],"м":[{"р":[{},[0,0,2,3]]}]}]}],"ж":[{"ђ":[{},[0,0,2,3]]}],"с":[{"ц":[{},[0,0,2,3]],"к":[{"а":[{"к":[{},[0,0,3,4]],"н":[{"д":[{},[0,0,3,4]]}]}],"и":[{"н":[{},[0,0,3,4]]}],"л":[{"а":[{"п":[{},[0,0,3,4]],"њ":[{},[0,0,3,4]],"д":[{},[0,0,3,4]]}],"о":[{"н":[{},[0,0,3,4]],"п":[{"и":[{},[0,0,3,4]],"љ":[{},[0,0,3,4]],"а":[{},[0,0,3,4]]}]}]}],"о":[{"ш":[{},[0,0,3,4]]}],"р":[{"о":[{"п":[{},[0,0,3,4]]}]}]},[0,0,2,3]],"п":[{"а":[{"ј":[{},[0,0,3,4]],"в":[{},[0,0,3,4]]}],"е":[{"т":[{"и":[{},[0,0,3,4]],"о":[{},[0,0,3,4]],"а":[{},[0,0,3,4]],"е":[{},[0,0,3,4]]}]}],"и":[{"к":[{"у":[{},[0,0,3,4]]}],"њ":[{},[0,0,3,4]]}],"л":[{"и":[{"н":[{},[0,0,3,4]],"њ":[{},[0,0,3,4]]}]}],"н":[{},[0,0,3,4]],"о":[{"л":[{"о":[{"ж":[{},[0,0,3,4]]}]}],"н":[{},[0,0,3,4]],"р":[{},[0,0,3,4]]}],"р":[{"а":[{"в":[{},[0,0,3,4]]}],"е":[{"м":[{},[0,0,3,4]]}]}]},[0,0,2,3]],"т":[{"а":[{"ј":[{},[0,0,3,4]],"н":[{},[0,0,3,4]],"т":[{},[0,0,3,4]],"в":[{},[0,0,3,4]]}],"е":[{"њ":[{},[0,0,3,4]]}],"и":[{"л":[{},[0,0,3,4]],"р":[{},[0,0,3,4]],"с":[{},[0,0,3,4]],"т":[{},[0,0,3,4]],"њ":[{},[0,0,3,4]]}],"о":[{"ј":[{},[0,0,3,4]]}],"р":[{"е":[{"л":[{},[0,0,3,4]],"т":[{},[0,0,3,4]]}],"о":[{"ј":[{},[0,0,3,4]]}],"т":[{},[0,0,3,4]]}],"у":[{"п":[{},[0,0,3,4]],"р":[{"ч":[{},[0,0,4,5]]},[0,0,3,4]],"ћ":[{},[0,0,3,4]]}]},[0,0,2,3]],"р":[{"ђ":[{},[0,0,3,4]],"д":[{},[0,0,3,4]],"е":[{},[0,0,3,4]]}]}],"ш":[{"ћ":[{"е":[{"њ":[{},[0,0,3,4]]}]},[0,0,2,3]],"ч":[{"и":[{"ћ":[{},[0,0,3,4]]}]},[0,0,2,3]]}]}]},[0,2]],"с":[{"у":[{"б":[{"а":[{"ш":[{},[0,0,3,4]]},[0,0,2,3]],"л":[{},[0,0,2,3]],"и":[{"н":[{"в":[{},[0,0,2,3]]}]}],"ј":[{"у":[{"н":[{"к":[{},[0,0,2,3]]}]}]}],"о":[{"к":[{"с":[{},[0,0,2,3]]}],"р":[{"д":[{},[0,0,2,3]]}]}],"р":[{"е":[{"п":[{},[0,0,2,3]]}],"о":[{"г":[{},[0,0,2,3]]}]}]}],"п":[{"е":[{"р":[{"и":[{"о":[{"р":[{},[0,0,0,0,3,4]]}]},[0,0,0,0,2,3]],"о":[{},[0,0,0,0,2,3]],"у":[{},[0,0,0,0,2,3]],"а":[{},[0,0,0,0,2,3]],"е":[{},[0,0,0,0,2,3]]}]}]}]}]},[0,2]],"т":[{"р":[{"а":[{"н":[{"с":[{"а":[{},[0,0,0,0,2,3]],"ц":[{},[0,0,0,0,2,3]],"е":[{"п":[{},[0,0,0,0,3,4]]},[0,0,0,0,2,3]],"к":[{"р":[{"и":[{},[0,0,0,0,3,4]]}]},[0,0,0,0,2,3]],"л":[{},[0,0,0,0,2,3]],"м":[{},[0,0,0,0,2,3]],"н":[{},[0,0,0,0,2,3]],"о":[{},[0,0,0,0,2,3]],"п":[{},[0,0,0,0,2,3]],"т":[{},[0,0,0,0,2,3]],"у":[{"м":[{},[0,0,0,0,3,4]],"д":[{},[0,0,0,0,3,4]]},[0,0,0,0,2,3]],"в":[{},[0,0,0,0,2,3]],"њ":[{},[0,0,0,0,2,3]]}]}]}]}]},[0,2]],"в":[{"а":[{"н":[{"е":[{"в":[{"р":[{},[0,0,2,3]]}]}],"у":[{"с":[{"т":[{"а":[{"в":[{},[0,0,2,3]]}]}]}]}]}]}]},[0,2]],"њ":[{},[0,2]],"џ":[{},[0,2]],"з":[{"а":[{"г":[{"н":[{},[0,0,3,2]]}],"т":[{"к":[{"а":[{},[0,0,3,2]]}]}]}]},[0,2]],"ш":[{},[0,2]],"ђ":[{},[0,2]],"ћ":[{},[0,2]],"ч":[{},[0,2]],"ж":[{},[0,2]],"б":[{"е":[{"о":[{},[0,0,4]],"з":[{"ј":[{"а":[{"к":[{},[0,0,3,4]],"ч":[{},[0,0,3,4]]}]},[0,0,2,3]],"л":[{"о":[{"б":[{"н":[{},[0,0,3,4]],"а":[{},[0,0,3,4]]}]}]},[0,0,2,3]],"м":[{},[0,0,2,3]],"н":[{"а":[{"ч":[{"а":[{"ј":[{},[0,0,3,4]]}]}]}]},[0,0,2,3]],"љ":[{},[0,0,2,3]],"р":[{"а":[{"ч":[{"н":[{},[0,0,3,4]],"а":[{},[0,0,3,4]]}]}]},[0,0,2,3]],"в":[{"у":[{"ч":[{"н":[{},[0,0,3,4]],"а":[{},[0,0,3,4]]}]}]},[0,0,2,3]],"њ":[{},[0,0,2,3]],"б":[{"е":[{"д":[{"н":[{},[0,0,3,4]],"а":[{},[0,0,3,4]]}],"л":[{"и":[{},[0,0,3,4]]}]}],"ј":[{"е":[{"д":[{"н":[{},[0,0,3,4]],"а":[{},[0,0,3,4]]}]}]}],"о":[{"л":[{},[0,0,3,4]]}]},[0,0,2,3]],"д":[{},[0,0,2,3]],"г":[{},[0,0,2,3]],"и":[{"с":[{"т":[{"а":[{"н":[{},[0,0,3,4]]}],"е":[{"н":[{},[0,0,3,4]]}]}]}]},[0,0,2,3]],"о":[{},[0,0,2,3]],"у":[{"п":[{},[0,0,3,4]],"б":[{},[0,0,3,4]]},[0,0,2,3]],"а":[{"л":[{"к":[{"о":[{"х":[{"о":[{"л":[{},[0,0,2,3]]}]}]}]}]}],"т":[{"о":[{"м":[{"с":[{"к":[{},[0,0,2,3]]}]}]}]}]}]}],"с":[{"ц":[{},[0,0,2,3]],"к":[{"р":[{"у":[{"п":[{"у":[{"л":[{},[0,0,3,4]]}]}]}]}]},[0,0,2,3]],"п":[{"о":[{"к":[{"о":[{"ј":[{"н":[{},[0,0,3,4]],"а":[{},[0,0,3,4]]}]}]}],"р":[{"н":[{},[0,0,3,4]],"а":[{},[0,0,3,4]]}]}]},[0,0,2,3]],"т":[{"в":[{"а":[{"р":[{},[0,0,3,4]]}]}],"и":[{"д":[{},[0,0,3,4]],"ј":[{"а":[{},[0,0,3,4]]}],"л":[{"у":[{},[0,0,3,4]]}],"љ":[{},[0,0,3,4]]}],"р":[{"а":[{"н":[{"а":[{},[0,0,3,4]]}],"с":[{},[0,0,3,4]]}]}],"с":[{"е":[{"л":[{"е":[{"р":[{},[0,0,0,4]]}]}]}]}]},[0,0,2,3]]}],"ш":[{"ћ":[{},[0,0,2,3]],"ч":[{},[0,0,2,3]]}]}],"и":[{"о":[{},[0,0,4]]}]},[0,2]],"ц":[{},[0,2]],"д":[{"и":[{"с":[{"а":[{"к":[{"о":[{"р":[{},[0,0,2,3]]}]}]}],"ј":[{"у":[{"н":[{"к":[{},[0,0,2,3]]}]}]}],"к":[{"в":[{"а":[{"л":[{},[0,0,2,3]]}]}],"о":[{"н":[{"т":[{},[0,0,2,3]]}],"р":[{"д":[{},[0,0,2,3]]}]}],"р":[{"е":[{},[0,0,2,3]],"и":[{},[0,0,2,3]]}],"у":[{"р":[{},[0,0,2,3]]}]}],"л":[{"о":[{},[0,0,2,3]]}],"о":[{"р":[{"и":[{"ј":[{},[0,0,2,3]]}]}]}],"п":[{"а":[{"р":[{"и":[{"т":[{},[0,0,2,3]]}]}]}],"о":[{"з":[{},[0,0,2,3]],"н":[{},[0,0,2,3]]}],"р":[{"о":[{"п":[{},[0,0,2,3]]}]}]}],"т":[{"о":[{"н":[{},[0,0,2,3]]}],"р":[{"а":[{"к":[{},[0,0,2,3]]}]}]}]}]}]},[0,2]],"ф":[{},[0,2]],"г":[{"е":[{"о":[{},[0,0,4]]}]},[0,2]],"а":[{"е":[{"р":[{"о":[{},[0,4,2]]}]}],"б":[{"а":[{"л":[{"и":[{"ј":[{},[0,2,3]]}]}],"н":[{"а":[{"ц":[{},[0,2,3]]}]}]}],"е":[{"в":[{"а":[{"к":[{},[0,2,3]]}]}],"р":[{"а":[{"ц":[{},[0,2,3]]}],"и":[{"р":[{},[0,2,3]]}]}]}],"и":[{"р":[{"и":[{"т":[{},[0,2,3]]}]}]}],"ј":[{"у":[{},[0,2,3]]}],"л":[{"а":[{},[0,2,3]],"е":[{"г":[{},[0,2,3]],"п":[{},[0,2,3]]}],"о":[{"к":[{},[0,2,3]]}],"у":[{},[0,2,3]]}],"о":[{"р":[{"и":[{"г":[{},[0,2,3]]}]}]}],"р":[{"е":[{"а":[{"к":[{},[0,2,3]]}]}],"о":[{"г":[{},[0,2,3]]}]}],"у":[{"з":[{"у":[{"с":[{},[0,2,3]]}]}]}]}],"д":[{"е":[{"р":[{"а":[{"ц":[{},[0,2,3]]}]}]}],"в":[{"е":[{"р":[{"б":[{},[0,2,3]]}]}]}],"ј":[{},[0,2,3]],"л":[{"а":[{"т":[{},[0,2,3]]}]}],"р":[{"е":[{"н":[{},[0,2,3]]}],"о":[{"г":[{},[0,2,3]]}]}]}],"г":[{"н":[{"о":[{"с":[{},[0,3,2]],"з":[{},[0,3,2]]}]}]}],"н":[{"а":[{"б":[{"а":[{"п":[{},[0,2]],"з":[{},[0,2]],"т":[{},[0,2]]}],"и":[{"о":[{},[0,2]]}],"о":[{"л":[{},[0,2]]}]}],"г":[{"е":[{"н":[{},[0,2]]}],"н":[{"о":[{},[0,2]]}],"о":[{},[0,2,3]],"р":[{"а":[{},[0,2]]}]}],"д":[{"е":[{"м":[{},[0,2]]}],"и":[{"п":[{"л":[{},[0,2]]}]}],"о":[{"з":[{},[0,2]]}]}],"е":[{"р":[{"о":[{},[0,2,3,4,2]]}]}],"к":[{"а":[{"л":[{},[0,2]],"м":[{},[0,2]],"т":[{},[0,2]]}],"е":[{"ф":[{},[0,2]]}],"л":[{"а":[{},[0,2]],"и":[{},[0,2]]}],"о":[{"ј":[{},[0,2]],"л":[{},[0,2]]}],"у":[{"з":[{},[0,2,3]]}],"р":[{"о":[{"н":[{},[0,2]]}],"у":[{},[0,2]]}]}],"л":[{"г":[{},[0,2,3]],"д":[{},[0,2,3]],"е":[{"п":[{},[0,2]]}],"и":[{"з":[{},[0,2]],"с":[{},[0,2]],"т":[{},[0,2]]}],"ф":[{"а":[{},[0,2,3]]}]}],"м":[{"е":[{"р":[{"т":[{},[0,2,3]]}]}],"н":[{"е":[{},[0,2]]}]}],"н":[{"д":[{"р":[{},[0,2,3]]}],"е":[{"о":[{},[0,2]]}],"т":[{},[0,2,3]]}],"п":[{"л":[{"а":[{},[0,2]],"е":[{},[0,2]]}],"н":[{"е":[{},[0,2]],"о":[{},[0,2]]}],"р":[{"о":[{},[0,2]]}],"т":[{"и":[{},[0,2]],"о":[{},[0,2,3]]}]}],"р":[{"т":[{},[0,2]],"х":[{},[0,2,3]]}],"с":[{"а":[{"р":[{},[0,2]]}],"е":[{"и":[{},[0,2]]}],"п":[{"а":[{"з":[{},[0,2]]}]}],"т":[{"а":[{},[0,2]],"и":[{"г":[{},[0,2]]}],"о":[{"м":[{},[0,2]]}]}]}],"т":[{"и":[{"м":[{},[0,2]]}],"о":[{"м":[{},[0,2]],"ц":[{},[0,2]]}],"р":[{"е":[{},[0,2]],"и":[{},[0,2]],"о":[{},[0,2]]}]}],"ф":[{"а":[{"з":[{},[0,2]]}],"и":[{"ј":[{},[0,2,3]],"л":[{"а":[{},[0,2]]}]}],"о":[{"н":[{},[0,2]],"р":[{},[0,2]]}],"р":[{"о":[{"д":[{},[0,2,3]]}]}]}],"х":[{"о":[{"р":[{},[0,2]]}],"р":[{"о":[{},[0,2]]}]}]}],"е":[{"г":[{"е":[{"р":[{},[0,2,3]]}]}],"к":[{"л":[{},[0,2,3]],"у":[{"м":[{},[0,2,3]]}]}],"л":[{"е":[{"к":[{},[0,2,3]]}]}],"н":[{"е":[{"р":[{},[0,2,3]]}]}],"п":[{"и":[{},[0,2,3]]}],"о":[{"р":[{},[0,2]]}],"р":[{"г":[{},[0,2,3]],"и":[{"т":[{},[0,2,3]]}]}],"с":[{"т":[{"е":[{},[0,2,3]]}]}]}],"и":[{"д":[{"р":[{},[0,2,3]]}],"з":[{"о":[{"г":[{},[0,2,3]],"м":[{},[0,2,3]]}],"у":[{"р":[{},[0,2,3]]}]}],"р":[{"и":[{"д":[{},[0,2,3]]}]}]}],"о":[{"в":[{"а":[{"р":[{},[0,2,3]]}]}],"к":[{"с":[{},[0,2,3]]}],"п":[{"и":[{"с":[{},[0,2,3]]}]}],"р":[{"х":[{},[0,2,3]],"г":[{},[0,2,3]]}],"ф":[{"т":[{},[0,2,3]]}]}]}]}],"и":[{"з":[{"а":[{"г":[{"н":[{},[0,0,0,3,2]]}],"т":[{"к":[{},[0,0,0,3,2]]}],"б":[{"а":[{},[0,2,3]]}],"к":[{"а":[{},[0,2,3]]}],"н":[{"а":[{"л":[{},[0,2,3]]}]}]}],"г":[{"н":[{},[0,0,3,2]],"о":[{"м":[{"е":[{"т":[{},[0,3,4]]}]}]}],"р":[{"е":[{"д":[{},[0,3,4]]}],"н":[{},[0,3,4]],"т":[{},[0,3,4]]}]},[0,2,3]],"д":[{"н":[{"о":[{},[0,0,0,2]],"у":[{},[0,0,0,2]],"а":[{},[0,0,0,2]]}],"а":[{"ј":[{},[0,2,3]]}],"р":[{"а":[{"в":[{},[0,3,4]]}]}]},[0,2,3]],"р":[{"к":[{},[0,0,0,2]],"а":[{"е":[{"л":[{},[0,3,4]]}],"и":[{"љ":[{},[0,3,4]]}],"ч":[{"и":[{},[0,3,4]]}]}]},[0,2,3]],"б":[{"и":[{"ј":[{"а":[{},[0,2,3]]}],"в":[{"а":[{},[0,2,3]]}],"ч":[{"к":[{"а":[{"в":[{"а":[{},[0,3,4]]}]}]}]}]}],"а":[{"в":[{},[0,3,4]]}],"л":[{"е":[{"у":[{"ш":[{"а":[{"н":[{},[0,3,4]]}]}]}]}]}],"о":[{"ј":[{"а":[{"к":[{},[0,3,4]]}],"к":[{},[0,3,4]]}]}],"е":[{"з":[{"о":[{"б":[{"р":[{},[0,0,3,0,2,3]]}]}],"у":[{"м":[{},[0,0,3,0,2,3]]}]}]}]},[0,2,3]],"ј":[{"е":[{"ж":[{"љ":[{},[0,3,4]]}]}]},[0,2,3]],"л":[{"о":[{"з":[{},[0,3,4]],"ж":[{},[0,3,4]],"г":[{},[0,3,4]],"п":[{"а":[{"ћ":[{},[0,3,4]]}]}]}]},[0,2,3]],"м":[{},[0,2,3]],"н":[{"и":[{"м":[{},[0,3,4]]}],"о":[{"ј":[{},[0,3,4]]}]},[0,2,3]],"љ":[{},[0,2,3]],"в":[{"е":[{"д":[{"и":[{},[0,2,3]],"н":[{},[0,2,3]],"б":[{},[0,2,3]],"е":[{},[0,2,3]]}]}],"а":[{"л":[{"и":[{},[0,3,4]],"у":[{},[0,3,4]],"а":[{},[0,3,4]],"е":[{},[0,3,4]]}],"љ":[{"и":[{},[0,3,4]]}],"н":[{"е":[{"в":[{"р":[{},[0,0,3,0,2,3]]}]}]}]}],"и":[{"ж":[{"д":[{},[0,3,4]]}],"и":[{"с":[{"к":[{"р":[{},[0,3,4]]}]}]}],"ј":[{"а":[{},[0,3,4]],"е":[{"н":[{},[0,3,4]]}]}],"н":[{},[0,3,4]],"р":[{},[0,3,4]],"њ":[{},[0,3,4]],"т":[{"о":[{"п":[{},[0,3,4]]}]}]}],"ј":[{"е":[{"д":[{},[0,3,4]]}]}],"о":[{"ј":[{"а":[{"ц":[{},[0,3,4]]}],"ц":[{},[0,3,4]]}],"р":[{},[0,3,4]]}]},[0,2,3]],"њ":[{},[0,2,3]],"и":[{"ђ":[{},[0,3,4]],"д":[{},[0,3,4]],"м":[{"и":[{},[0,3,4]]}]},[0,2,3]],"о":[{"а":[{"н":[{"е":[{"м":[{},[0,0,4]]}],"о":[{"м":[{},[0,0,4]]}]}]}],"б":[{"а":[{"т":[{},[0,0,4]]}],"р":[{"о":[{"н":[{},[0,0,4]]}]}]}],"г":[{"а":[{"м":[{},[0,0,4]]}],"е":[{"о":[{},[0,0,4]]}],"л":[{"о":[{"с":[{},[0,0,4]]}]}],"о":[{"н":[{},[0,0,4]]}],"р":[{"а":[{"ф":[{},[0,0,4]]}]}]}],"д":[{"и":[{"м":[{},[0,0,4]],"н":[{},[0,0,4]]}],"о":[{"з":[{},[0,0,4]]}]}],"к":[{"л":[{"и":[{"н":[{},[0,0,4]]}]}],"о":[{"л":[{"о":[{"н":[{},[0,0,4]]}]}]}]}],"л":[{"а":[{"т":[{},[0,3,4]],"ц":[{},[0,3,4]]}],"и":[{"р":[{},[0,3,4]]}],"о":[{"в":[{},[0,3,4]]}],"е":[{"к":[{"с":[{},[0,0,4]]}]}],"у":[{"к":[{"с":[{},[0,0,4]]}]}]}],"м":[{"е":[{"р":[{},[0,0,4]],"т":[{"р":[{},[0,0,4]]}]}],"о":[{"р":[{"ф":[{},[0,0,4]]}]}]}],"н":[{"е":[{"ф":[{},[0,0,4]]}],"о":[{"м":[{},[0,0,4]]}]}],"п":[{"а":[{"т":[{},[0,0,4]]}],"е":[{"р":[{},[0,0,4]]}],"л":[{"е":[{},[0,0,4]]}],"о":[{"л":[{},[0,0,4]]}],"с":[{"е":[{"ф":[{},[0,0,4]]}]}]}],"р":[{"а":[{"х":[{},[0,0,4]]}]}],"с":[{"е":[{"и":[{},[0,0,4]]}],"и":[{"н":[{"т":[{},[0,0,4]]}],"с":[{"т":[{},[0,0,4]]}]}],"к":[{"е":[{"л":[{},[0,0,4]]}],"о":[{"п":[{},[0,0,4]]}]}],"т":[{"а":[{"з":[{},[0,0,4]]}],"е":[{},[0,0,4]]}]}],"т":[{"а":[{"х":[{},[0,0,4]],"л":[{},[0,0,4]]}],"е":[{"р":[{},[0,0,4]]}],"о":[{"н":[{},[0,0,4]],"п":[{},[0,0,4]]}],"р":[{"о":[{},[0,0,4]]}]}],"ф":[{"о":[{"н":[{},[0,0,4]],"т":[{},[0,0,4]]}]}],"х":[{"а":[{"л":[{},[0,0,4]],"з":[{},[0,0,4]]}],"е":[{"л":[{},[0,0,4]]}],"и":[{"ј":[{},[0,0,4]],"м":[{},[0,0,4]],"т":[{},[0,0,4]],"п":[{"с":[{},[0,0,4]]}]}],"о":[{"р":[{},[0,0,4]]}],"р":[{"о":[{},[0,0,4]]}]}]},[0,2,3]],"у":[{"н":[{},[0,3,4]],"п":[{"ч":[{},[0,3,4]]}]},[0,2,3]]}],"с":[{"т":[{"к":[{},[0,0,0,2]],"а":[{"в":[{"и":[{},[0,3,4]],"љ":[{},[0,3,4]]}],"к":[{"н":[{},[0,3,4]]}],"м":[{},[0,3,4]],"р":[{},[0,3,4]],"с":[{},[0,3,4]],"ћ":[{},[0,3,4]]}],"и":[{"н":[{},[0,3,4]],"р":[{},[0,3,4]],"ц":[{},[0,3,4]],"ф":[{"а":[{"н":[{},[0,3,4]]}]}]}],"о":[{"к":[{},[0,3,4]],"р":[{"и":[{},[0,3,4]]}],"ч":[{"н":[{},[0,3,4]],"њ":[{},[0,3,4]],"а":[{},[0,3,4]]}]}],"р":[{"а":[{"в":[{},[0,3,4]],"д":[{},[0,3,4]],"н":[{},[0,3,4]]}],"и":[{"ћ":[{},[0,3,4]],"ж":[{},[0,3,4]],"ц":[{},[0,3,4]]}],"у":[{"г":[{},[0,3,4]]}]}],"у":[{"п":[{},[0,3,4]]}]},[0,2,3]],"ц":[{},[0,2,3]],"к":[{"а":[{"к":[{},[0,3,4]],"т":[{},[0,3,4]],"њ":[{},[0,3,4]],"р":[{"и":[{"о":[{"т":[{},[0,3,4]]}]}]}]}],"в":[{"а":[{"с":[{},[0,3,4]]}],"р":[{"ч":[{},[0,3,4]]}]}],"и":[{"н":[{},[0,3,4]],"т":[{"а":[{},[0,3,4]]}]}],"о":[{"н":[{"с":[{"к":[{},[0,3,4]]}]}],"ч":[{},[0,3,4]]}],"р":[{"а":[{"м":[{},[0,3,4]],"т":[{},[0,3,4]]}],"и":[{"т":[{},[0,3,4]],"ш":[{},[0,3,4]],"ч":[{},[0,3,4]],"ц":[{},[0,3,4]]}],"е":[{"н":[{},[0,3,4]],"њ":[{},[0,3,4]]}],"о":[{"ј":[{},[0,3,4]]}],"с":[{"н":[{},[0,3,4]],"а":[{},[0,3,4]]}]}],"у":[{"п":[{"љ":[{"а":[{},[0,3,4]]}]}]}]},[0,2,3]],"п":[{"а":[{"в":[{},[0,3,4]],"љ":[{"и":[{"в":[{},[0,3,4]]}]}]}],"и":[{"р":[{"а":[{},[0,3,4]]}]}],"л":[{"и":[{"т":[{},[0,3,4]],"ћ":[{},[0,3,4]]}]}],"о":[{"к":[{"о":[{"ј":[{},[0,3,4]]}]}],"л":[{"и":[{"н":[{},[0,3,4]]}]}],"н":[{},[0,3,4]],"р":[{"а":[{"в":[{},[0,3,4]]}]}]}],"р":[{"а":[{"в":[{"и":[{},[0,3,4]],"к":[{},[0,3,4]],"н":[{},[0,3,4]],"љ":[{},[0,3,4]],"а":[{},[0,3,4]]}]}]}],"у":[{"п":[{"ч":[{},[0,3,4]]}],"р":[{},[0,3,4]]}]},[0,2,3]],"л":[{"а":[{"м":[{},[0,3,4]],"б":[{},[0,3,4]]}],"е":[{"ђ":[{},[0,3,4]],"д":[{},[0,3,4]]}],"и":[{"ј":[{"е":[{"ђ":[{},[0,3,4]],"д":[{},[0,3,4]]}]}],"к":[{},[0,3,4]],"н":[{},[0,3,4]]}],"о":[{"в":[{},[0,3,4]]}],"у":[{"ш":[{},[0,3,4]],"ж":[{},[0,3,4]]}]}],"љ":[{"е":[{"ђ":[{},[0,3,4]],"д":[{},[0,3,4]]}]}],"м":[{"е":[{},[0,3,4]],"и":[{"ј":[{"е":[{},[0,3,4]]}]}],"ј":[{"е":[{},[0,3,4]]}]}],"р":[{"е":[{"д":[{},[0,3,4]]}],"к":[{},[0,3,4]]}],"у":[{"к":[{},[0,3,4]],"с":[{},[0,3,4]],"т":[{},[0,3,4]],"ш":[{},[0,3,4]]}]}],"ж":[{"ђ":[{},[0,2,3]]}],"ш":[{"ћ":[{},[0,2,3]],"ч":[{},[0,2,3]]}],"н":[{"а":[{"б":[{"р":[{"у":[{"п":[{},[0,2,3]]}]}]}],"д":[{"е":[{"к":[{},[0,2,3]]}]}],"к":[{"у":[{"р":[{},[0,2,3]]}],"ц":[{"е":[{},[0,2,3]]}]}],"м":[{"о":[{"р":[{},[0,2,3]]}]}],"н":[{"и":[{"ц":[{},[0,2,3]]}]}],"п":[{"л":[{"и":[{"к":[{},[0,2,3]]}]}],"с":[{"т":[{},[0,2,3]]}]}],"р":[{"т":[{},[0,2,3]]}],"у":[{"г":[{"у":[{"р":[{},[0,2,3]]}]}],"р":[{"а":[{},[0,2,3]]}]}],"ф":[{"е":[{"к":[{},[0,2,3]]}]}]}],"е":[{"в":[{"и":[{"д":[{},[0,2,3]]}]}],"г":[{},[0,2,3]],"д":[{},[0,2,3]],"к":[{"в":[{},[0,2,3]],"с":[{},[0,2,3]]}],"л":[{"и":[{"г":[{},[0,2,3]]}]}],"п":[{"ц":[{},[0,2,3]]}],"ф":[{"е":[{"к":[{},[0,2,3]]}]}]}],"о":[{"б":[{"л":[{},[0,2,3]]}],"г":[{"е":[{"н":[{},[0,2]]}]}],"к":[{"о":[{"р":[{},[0,2]]}],"у":[{"п":[{},[0,2,3]]}]}],"п":[{"е":[{"р":[{},[0,2,3]]}],"о":[{"р":[{},[0,2,3]]}],"с":[{"е":[{},[0,2,3]]}]}],"ф":[{"и":[{"ц":[{},[0,2,3]]}]}]}],"у":[{"м":[{"б":[{"р":[{},[0,2,3]]}]}],"н":[{"д":[{"а":[{},[0,2,3]]}],"к":[{},[0,2,3]]}],"т":[{"и":[{"л":[{},[0,2,3]]}]}]}],"т":[{"е":[{"р":[{"и":[{"ј":[{"е":[{},[0,0,0,0,3,4]]}]},[0,0,0,0,2,3]],"о":[{"г":[{"а":[{"т":[{},[0,0,0,0,3,4]]}]}]},[0,0,0,0,2,3]],"у":[{},[0,0,0,0,2,3]],"а":[{},[0,0,0,0,2,3]],"е":[{"г":[{"н":[{},[0,0,0,0,3,4]]}],"с":[{"и":[{},[0,0,0,0,3,4]],"н":[{},[0,0,0,0,3,4]],"о":[{},[0,0,0,0,3,4]],"у":[{},[0,0,0,0,3,4]],"а":[{},[0,0,0,0,3,4]],"е":[{},[0,0,0,0,3,4]]}],"ж":[{"џ":[{},[0,0,0,0,3,4]]}]},[0,0,0,0,2,3]],"ј":[{"е":[{},[0,0,0,0,2,3]]}]}]}]}]}]}],"о":[{"д":[{"а":[{"г":[{"н":[{},[0,0,0,3,2]]}],"д":[{"н":[{},[0,0,0,3,2]]}],"р":[{"г":[{},[0,2,3]]}]}],"г":[{"н":[{},[0,0,3,2]]}],"м":[{"н":[{},[0,0,3,2]]}],"ј":[{"е":[{"л":[{},[0,3,4]],"н":[{},[0,3,4]],"в":[{},[0,3,4]],"ћ":[{},[0,3,4]]}]},[0,2,3]],"л":[{"а":[{"з":[{},[0,3,4]],"ж":[{},[0,3,4]],"г":[{},[0,3,4]],"к":[{"а":[{},[0,3,4]]}]}],"у":[{"к":[{},[0,3,4]],"ч":[{},[0,3,4]]}]},[0,2,3]],"љ":[{},[0,2,3]],"р":[{"а":[{"н":[{"и":[{},[0,3,4]],"о":[{},[0,3,4]],"у":[{},[0,3,4]],"а":[{},[0,3,4]],"е":[{},[0,3,4]]}],"з":[{},[0,3,4]],"ћ":[{},[0,3,4]],"ж":[{},[0,3,4]],"п":[{"и":[{},[0,3,4]],"љ":[{},[0,3,4]],"а":[{},[0,3,4]]}],"ч":[{"и":[{},[0,3,4]]}]}],"в":[{"е":[{"н":[{},[0,3,4]],"њ":[{},[0,3,4]],"ч":[{},[0,3,4]]}]}],"е":[{"м":[{},[0,3,4]],"н":[{},[0,3,4]],"т":[{},[0,3,4]],"ђ":[{},[0,3,4]],"д":[{},[0,3,4]]}],"л":[{},[0,3,4]],"н":[{},[0,3,4]],"п":[{},[0,3,4]],"љ":[{},[0,3,4]],"т":[{},[0,3,4]],"ж":[{},[0,3,4]],"и":[{"н":[{},[0,3,4]],"њ":[{},[0,3,4]],"ш":[{},[0,3,4]],"ч":[{},[0,3,4]],"б":[{},[0,3,4]],"ц":[{},[0,3,4]]}],"о":[{"н":[{},[0,3,4]],"њ":[{},[0,3,4]]}],"у":[{"ж":[{},[0,3,4]],"г":[{},[0,3,4]]}]},[0,2,3]],"в":[{"а":[{"ј":[{},[0,3,4]],"ж":[{},[0,3,4]]}],"е":[{"с":[{"н":[{},[0,3,4]],"т":[{},[0,3,4]],"а":[{},[0,3,4]]}]}],"и":[{"к":[{"а":[{"в":[{},[0,3,4]]}],"н":[{},[0,3,4]]}],"с":[{},[0,3,4]],"ћ":[{},[0,3,4]]}],"о":[{"ј":[{},[0,3,4]]}]},[0,2,3]],"и":[{"г":[{"р":[{},[0,2,3]]}],"з":[{"в":[{},[0,2,3,2,3]],"д":[{},[0,2,3,2,3]]}],"с":[{"к":[{},[0,2,3]],"т":[{"и":[{},[0,2,3]]}]}]}],"о":[{"з":[{"д":[{},[0,2,3]],"г":[{},[0,2,3]]}],"к":[{},[0,2,3]],"н":[{"л":[{},[0,2,3]],"о":[{},[0,2,3]],"у":[{},[0,2,3]],"д":[{},[0,2,3]]}]}],"у":[{"в":[{"и":[{},[0,2,3]],"е":[{},[0,2,3]]}],"з":[{"и":[{},[0,2,3]],"л":[{},[0,2,3]],"д":[{},[0,2,3]],"е":[{},[0,2,3]]}],"к":[{},[0,2,3]],"л":[{},[0,2,3]],"м":[{},[0,2,3]],"ч":[{},[0,2,3]]}]}],"т":[{"к":[{"а":[{"х":[{},[0,3,2]],"м":[{},[0,3,2]],"с":[{"м":[{},[0,3,2]],"т":[{},[0,3,2]]}]}]}]}],"б":[{"ј":[{"е":[{"к":[{},[0,3,4]],"р":[{},[0,3,4]],"с":[{"и":[{},[0,3,4]]}],"т":[{},[0,3,4]],"ш":[{},[0,3,4]]}]},[0,2,3]],"љ":[{"а":[{"н":[{},[0,3,4]]}],"у":[{"т":[{},[0,3,4]],"з":[{},[0,3,4]]}]},[0,2,3]],"р":[{"а":[{"ж":[{"е":[{},[0,3,4]]}],"з":[{"и":[{},[0,3,4]],"н":[{},[0,3,4]],"о":[{},[0,3,4]],"у":[{},[0,3,4]],"а":[{},[0,3,4]],"д":[{},[0,3,4]]}],"м":[{"б":[{},[0,3,4]]}],"н":[{},[0,3,4]],"њ":[{},[0,3,4]],"т":[{},[0,3,4]],"ћ":[{},[0,3,4]],"ш":[{"н":[{},[0,3,4]],"ч":[{},[0,3,4]]}]}],"в":[{},[0,3,4]],"ђ":[{},[0,3,4]],"е":[{"м":[{},[0,3,4]],"с":[{},[0,3,4]],"ђ":[{},[0,3,4]],"ч":[{},[0,3,4]],"ж":[{},[0,3,4]],"ц":[{},[0,3,4]],"д":[{},[0,3,4]],"т":[{"и":[{},[0,3,4]],"н":[{},[0,3,4]]}]}],"и":[{"ј":[{},[0,3,4]],"с":[{},[0,3,4]],"т":[{},[0,3,4]],"в":[{},[0,3,4]],"ч":[{},[0,3,4]],"ц":[{},[0,3,4]]}],"к":[{},[0,3,4]],"л":[{},[0,3,4]],"н":[{},[0,3,4]],"љ":[{},[0,3,4]],"с":[{},[0,3,4]],"т":[{},[0,3,4]],"ш":[{},[0,3,4]],"ч":[{},[0,3,4]],"о":[{"к":[{},[0,3,4]],"н":[{},[0,3,4]],"њ":[{},[0,3,4]],"ћ":[{},[0,3,4]],"ч":[{},[0,3,4]],"в":[{"а":[{},[0,3,4]],"ц":[{},[0,3,4]]}]}],"у":[{"к":[{},[0,3,4]],"н":[{},[0,3,4]],"с":[{},[0,3,4]],"њ":[{},[0,3,4]],"ш":[{},[0,3,4]],"ч":[{},[0,3,4]]}]},[0,2,3]],"е":[{"з":[{"б":[{},[0,0,0,2,3]],"д":[{},[0,0,0,2,3]],"г":[{},[0,0,0,2,3]],"ј":[{},[0,0,0,2,3]],"л":[{},[0,0,0,2,3]],"м":[{},[0,0,0,2,3]],"н":[{"а":[{"н":[{},[0,0,0,3,4]],"њ":[{},[0,0,0,3,4]],"ч":[{},[0,0,0,3,4]]}]},[0,0,0,2,3]],"о":[{},[0,0,0,2,3]],"љ":[{},[0,0,0,2,3]],"р":[{},[0,0,0,2,3]],"у":[{"б":[{},[0,0,0,3,4]]},[0,0,0,2,3]],"в":[{"и":[{"ј":[{},[0,0,0,3,4]]}]},[0,0,0,2,3]]}],"с":[{"ц":[{},[0,0,0,2,3]],"к":[{},[0,0,0,2,3]],"п":[{},[0,0,0,2,3]],"т":[{"а":[{"н":[{},[0,0,0,3,4]]}],"и":[{"ј":[{},[0,0,0,3,4]]}],"р":[{"а":[{"н":[{},[0,0,0,3,4]]}]}]},[0,0,0,2,3]]}],"ш":[{"ћ":[{},[0,0,0,2,3]],"ч":[{},[0,0,0,2,3]]}]}],"и":[{"г":[{"р":[{},[0,2,3]]}],"с":[{"т":[{"и":[{"н":[{},[0,2,3]],"њ":[{},[0,2,3]]}]}]}]}],"л":[{"а":[{"ј":[{},[0,2,3]],"м":[{},[0,2,3]],"к":[{"ш":[{},[0,2,3]]}],"с":[{"к":[{},[0,2,3]]}]}],"е":[{"п":[{},[0,2,3]],"т":[{},[0,2,3]],"ћ":[{},[0,2,3]],"ж":[{},[0,2,3]],"г":[{},[0,2,3]],"д":[{"е":[{"н":[{},[0,2,3]]}]}]}],"и":[{"ј":[{"е":[{"п":[{},[0,2,3]],"т":[{},[0,2,3]],"ж":[{},[0,2,3]],"г":[{},[0,2,3]]}]}],"в":[{},[0,2,3]],"з":[{"а":[{"т":[{},[0,2,3]],"в":[{},[0,2,3]]}],"и":[{},[0,2,3]]}],"с":[{"т":[{},[0,2,3]]}]}],"о":[{"к":[{"а":[{},[0,2,3]]}]}],"у":[{"к":[{},[0,2,3]],"ч":[{},[0,2,3]]}]}],"о":[{"р":[{"у":[{},[0,2,3]]}]}],"у":[{"б":[{"о":[{"ж":[{},[0,2,3]]}]}],"з":[{},[0,2,3]],"ж":[{},[0,2,3]],"д":[{},[0,2,3]],"м":[{"и":[{},[0,2,3]],"ј":[{},[0,2,3]],"р":[{},[0,2,3]],"е":[{},[0,2,3]]}]}]}]}],"у":[{"г":[{"м":[{"и":[{},[0,3,2]]}],"н":[{},[0,3,2]]}],"з":[{"а":[{"т":[{"к":[{"а":[{},[0,0,0,3,2]]}]}]}],"б":[{"о":[{"р":[{},[0,3,4]]}]},[0,2,3]],"д":[{"и":[{"ц":[{},[0,3,4]]}]},[0,2,3]],"г":[{},[0,2,3]],"и":[{"г":[{"р":[{},[0,2,3]]}],"н":[{"а":[{"т":[{},[0,2,3]]}]}],"с":[{"к":[{"р":[{},[0,2,3]]}]}]},[0,2,3]],"ј":[{},[0,2,3]],"л":[{"а":[{"н":[{},[0,3,4]],"т":[{},[0,3,4]]}],"и":[{"м":[{},[0,3,4]],"т":[{},[0,3,4]],"ћ":[{},[0,3,4]],"ц":[{},[0,3,4]]}],"о":[{"в":[{},[0,3,4]]}],"у":[{"д":[{"о":[{"б":[{},[0,3,4]]}]}]}]},[0,2,3]],"м":[{},[0,2,3]],"н":[{"а":[{"к":[{},[0,3,4]],"ч":[{},[0,3,4]]}],"е":[{"в":[{"е":[{},[0,3,4]],"ј":[{"е":[{},[0,3,4]]}]}]}],"и":[{"ч":[{},[0,3,4]],"ц":[{},[0,3,4]]}],"о":[{"ј":[{},[0,3,4]]}]},[0,2,3]],"љ":[{},[0,2,3]],"р":[{"е":[{"т":[{},[0,3,4]],"в":[{},[0,3,4]]}],"и":[{"ј":[{"е":[{"т":[{},[0,3,4]],"в":[{},[0,3,4]]}]}]}],"н":[{},[0,3,4]],"њ":[{},[0,3,4]],"о":[{"к":[{"о":[{},[0,3,4]],"у":[{},[0,3,4]],"а":[{},[0,3,4]]}],"ч":[{},[0,3,4]]}],"у":[{"ј":[{},[0,3,4]]}]},[0,2,3]],"в":[{"а":[{"н":[{},[0,3,4]],"т":[{},[0,3,4]]}],"и":[{"ж":[{},[0,3,4]],"ј":[{"о":[{},[0,3,4]],"у":[{},[0,3,4]],"а":[{},[0,3,4]],"е":[{},[0,3,4]]}]}],"о":[{"ј":[{},[0,3,4]]}]},[0,2,3]],"њ":[{},[0,2,3]],"о":[{"б":[{"е":[{"с":[{"т":[{},[0,2,3]]}]}],"и":[{"ј":[{"е":[{"с":[{"т":[{},[0,2,3]]}]}]}]}]}],"р":[{"а":[{"т":[{},[0,2,3]],"в":[{},[0,2,3]]}]}],"х":[{"о":[{},[0,2,3]]}]}],"у":[{"г":[{"а":[{"р":[{},[0,2,3]]}]}]}]}],"с":[{"ц":[{},[0,2,3]],"к":[{"а":[{"к":[{},[0,3,4]]}],"л":[{"а":[{"ђ":[{},[0,3,4]],"д":[{},[0,3,4]]}]}],"о":[{"м":[{},[0,4,5]],"в":[{},[0,4,5]],"ш":[{},[0,4,5]],"к":[{"о":[{},[0,4,5]]}],"л":[{"у":[{},[0,4,5]],"е":[{},[0,4,5]]}],"п":[{"а":[{},[0,4,5]]}],"р":[{"а":[{},[0,4,5]]}],"с":[{"и":[{},[0,4,5]]}],"т":[{"р":[{},[0,4,5]]}]},[0,3,4]],"у":[{"п":[{},[0,3,4]]}]},[0,2,3]],"п":[{"а":[{"в":[{},[0,3,4]],"л":[{"о":[{},[0,3,4]]}]}],"е":[{"х":[{},[0,3,4]],"л":[{},[0,3,4]],"м":[{},[0,3,4]],"т":[{},[0,3,4]],"в":[{},[0,3,4]],"ш":[{},[0,3,4]],"н":[{"т":[{},[0,3,4]]}]}],"ј":[{"е":[{"х":[{},[0,3,4]],"л":[{},[0,3,4]],"м":[{},[0,3,4]],"т":[{},[0,3,4]],"в":[{},[0,3,4]],"ш":[{},[0,3,4]]}]}],"и":[{"ј":[{"а":[{},[0,3,4]],"е":[{},[0,3,4]],"у":[{"ш":[{},[0,3,4]]}]}],"к":[{"у":[{"ш":[{},[0,3,4]]}]}]}],"о":[{"н":[{},[0,3,4]],"р":[{"и":[{},[0,3,4]],"а":[{},[0,3,4]],"е":[{"н":[{},[0,3,4]],"њ":[{},[0,3,4]],"ч":[{},[0,3,4]]}]}],"с":[{"о":[{"б":[{},[0,3,4]]}]}]}],"р":[{"е":[{"м":[{"и":[{},[0,3,4]],"а":[{},[0,3,4]]}]}]}]},[0,2,3]],"р":[{"к":[{},[0,3,4]],"н":[{},[0,3,4]],"п":[{},[0,3,4]],"љ":[{},[0,3,4]],"т":[{},[0,3,4]],"ђ":[{},[0,3,4]],"ж":[{},[0,3,4]],"а":[{},[0,3,4]],"д":[{},[0,3,4]],"е":[{},[0,3,4]],"и":[{"ј":[{"е":[{"д":[{},[0,3,4]]}]}]}]}],"т":[{"а":[{"л":[{"а":[{"с":[{},[0,2,3]]}]}],"р":[{"а":[{},[0,2,3]]}]}],"в":[{"р":[{"ђ":[{},[0,2,3]],"д":[{},[0,2,3]]}]}],"е":[{"р":[{},[0,2,3]],"ћ":[{},[0,2,3]],"г":[{},[0,2,3]]}],"о":[{"в":[{},[0,2,3]]}],"р":[{"а":[{"ј":[{},[0,2,3]],"л":[{},[0,2,3]]}],"г":[{},[0,2,3]],"е":[{"п":[{},[0,2,3]],"с":[{},[0,2,3]],"б":[{},[0,2,3]]}],"к":[{},[0,2,3]],"н":[{},[0,2,3]],"п":[{},[0,2,3]],"ћ":[{},[0,2,3]],"ч":[{},[0,2,3]]}],"у":[{"м":[{},[0,2,3]],"р":[{},[0,2,3]],"ћ":[{},[0,2,3]]}]}]}],"ш":[{"ћ":[{},[0,2,3]],"ч":[{},[0,2,3]]}]}]}],"о":[{"а":[{},[0,3]],"е":[{},[0,3]],"и":[{},[0,3]],"о":[{},[0,3]],"у":[{},[0,3]]},[2,1]],"у":[{"а":[{},[0,3]],"е":[{},[0,3]],"и":[{},[0,3]],"о":[{},[0,3]],"у":[{},[0,3]]},[2,1]],"а":[{"а":[{},[0,3]],"е":[{},[0,3]],"и":[{},[0,3]],"о":[{},[0,3]],"у":[{},[0,3]]},[2,1]],"е":[{"а":[{},[0,3]],"е":[{},[0,3]],"и":[{},[0,3]],"о":[{},[0,3]],"у":[{},[0,3]]},[2,1]],"и":[{"а":[{},[0,3]],"е":[{},[0,3]],"и":[{},[0,3]],"о":[{},[0,3]],"у":[{},[0,3]]},[2,1]]}';
  var hyphenation = [
    "на-дно",
    "на-тка",
    "на-тка-ти",
    "на-тка-ше",
    "о-дно",
    "о-тка",
    "о-тка-ти",
    "о-тка-ше",
    "по-дно",
    "по-дне",
    "по-тки",
    "по-тку",
    "по-тка",
    "по-тке",
    "у-дно",
    "и-где",
    "и-гдје",
    "сву-где",
    "све-где",
    "сву-гдје",
    "све-гдје",
    "по-не-где",
    "по-не-гдје",
    "и-зби",
    "и-зба",
    "и-збе",
    "и-зби-ци",
    "и-зби-ца",
    "и-зби-це",
    "и-звит",
    "и-зим",
    "изо-ба-ри",
    "изо-ба-ру",
    "изо-ба-ра",
    "изо-ба-ре",
    "и-скок",
    "и-ско-ку",
    "и-ско-ка",
    "и-скон",
    "и-ско-ни",
    "и-ско-ну",
    "и-ско-на",
    "и-скри",
    "и-скру",
    "и-скра",
    "и-скре",
    "и-скрав",
    "и-спод",
    "и-спо-да",
    "и-стри",
    "и-стро",
    "и-стру",
    "и-стра",
    "и-стре",
    "на-ји",
    "на-јо",
    "на-ју",
    "на-ја",
    "на-је",
    "на-јам",
    "на-јест",
    "о-браз",
    "о-брет",
    "о-дви-ка",
    "о-дран",
    "о-дра-ти",
    "пре-двој",
    "ра-зми",
    "ра-змо",
    "ра-зму",
    "ра-зма",
    "ра-зме",
    "ра-зни",
    "ра-зно",
    "ра-зну",
    "ра-зна",
    "ра-зне",
    "ра-склоп",
    "ра-спе-ло",
    "ра-спе-лу",
    "ра-спе-ла",
    "ра-спе-ћу",
    "ра-спе-ћа",
    "ра-спе-ће",
    "ра-сти",
    "ра-сту",
    "ра-ста",
    "ра-сте",
    "ра-стом",
    "ра-стер",
    "ра-шћи",
    "ра-шћо",
    "ра-шћу",
    "ра-шћа",
    "ра-шће",
    "у-зни",
    "у-зно",
    "у-зна",
    "у-зник",
    "у-зрок",
    "у-ски",
    "у-ско",
    "у-ску",
    "у-ска",
    "у-ске",
    "ус-кос",
    "у-спио",
    "у-спео",
    "у-спор",
    "у-шћу",
    "у-шћа",
    "у-шће",
    "ин-те-рес",
    "тран-су",
    "тран-са",
    "тран-сом",
    ""
  ];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
