(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsSk = factory();
  }
})(this, function () {
  var patterns =
    '{"a":[{"í":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{"t":[{"o":[{"r":[{"k":[{},[0,0,0,0,4]],"s":[{},[0,0,0,0,4]]}]}]}]},[0,2,1]],"i":[{},[0,2,1]],"t":[{"r":[{"n":[{},[0,4,2,3]]}]}],"l":[{"k":[{"o":[{"h":[{"o":[{"l":[{},[5]]}]}]}]}]}],"k":[{"c":[{"i":[{"a":[{},[0,0,0,0,3,2]]}]}],"v":[{"á":[{"r":[{"i":[{"u":[{"m":[{},[0,0,0,0,0,0,3,2]]}]}]}]}]}]}]},[0,1]],"á":[{},[0,1]],"ä":[{},[0,1]],"e":[{"á":[{},[0,1,2]],"í":[{},[0,1,2]],"o":[{},[0,1,2]],"ó":[{},[0,1,2]],"u":[{"r":[{"ó":[{"p":[{},[5,2,2]]}]}]},[0,1,2]]},[0,1]],"é":[{},[0,1]],"i":[{"a":[{},[0,2]],"á":[{},[0,2]],"e":[{},[0,2]],"u":[{},[0,2]],"o":[{},[0,1,2]]},[0,1]],"í":[{},[0,1]],"o":[{"u":[{},[0,2]],"a":[{},[0,1,2]],"e":[{},[0,1,2]],"i":[{},[0,1,2]],"o":[{},[0,1,2]],"s":[{"e":[{"m":[{"s":[{"t":[{"o":[{},[5,0,0,0,5,4]]}]}]}]}]}]},[0,1]],"ó":[{},[0,1]],"ô":[{"s":[{"t":[{"k":[{"á":[{"r":[{"s":[{"t":[{"v":[{},[0,0,4,3,2,0,3,4,4]]}]}]}]}]}]}]}]},[0,1]],"u":[{"a":[{},[0,1,2]],"á":[{},[0,1,2]],"i":[{},[0,1,2]],"í":[{},[0,1,2]],"o":[{},[0,1,2]],"u":[{},[0,1,2]],"h":[{"o":[{"l":[{"n":[{"í":[{"k":[{},[5]]}]}]}],"ľ":[{"n":[{},[5]]}]}]}]},[0,1]],"ú":[{},[0,1]],"y":[{"a":[{},[0,1,2]],"e":[{},[0,1,2]],"ó":[{},[0,1,2]],"u":[{},[0,1,2]]},[0,1]],"ý":[{},[0,1]],"c":[{"h":[{"b":[{},[2,2,1]],"c":[{"h":[{},[2,2,1,2]]},[2,2,1]],"č":[{},[2,2,1]],"d":[{"z":[{},[2,2,1,2]],"ž":[{},[2,2,1,2]]},[2,2,1]],"ď":[{},[2,2,1]],"f":[{},[2,2,1]],"g":[{},[2,2,1]],"h":[{},[2,2,1]],"j":[{},[2,2,1]],"k":[{},[2,2,1]],"l":[{"p":[{},[3,2,2,3]],"a":[{"p":[{},[5,6,4]]}],"e":[{"b":[{},[5,6,4]]}]},[2,2,1]],"ľ":[{"p":[{"k":[{},[3,0,4,4,3]]}]},[2,2,1]],"m":[{},[2,2,1]],"n":[{},[2,2,1]],"ň":[{},[2,2,1]],"p":[{},[2,2,1]],"r":[{"b":[{"t":[{},[3,2,2,4,3]]},[3,2,2,3]],"č":[{},[3,2,2,3]],"c":[{"h":[{"l":[{},[3,2,2,4,4,3]],"ľ":[{},[3,2,2,4,4,3]]},[0,2,2,3,4]]}],"l":[{},[3,2,2,3]],"t":[{},[3,2,2,3]],"s":[{"t":[{"n":[{},[3,4,4,4,4,3]]},[3,4,4,4,3]]}],"a":[{"n":[{},[5,6]]}],"á":[{"n":[{},[5,6,4]],"ň":[{},[5,6,4]]}]},[2,2,1]],"s":[{},[2,2,1]],"š":[{},[2,2,1]],"t":[{".":[{},[4,4,0,4]]},[2,2,1]],"ť":[{},[2,2,1]],"v":[{"á":[{"l":[{},[5,6,4]],"t":[{},[5,6,4]]}],"a":[{"t":[{},[5,6,4]]}],"o":[{"s":[{"t":[{},[5,6,4]]}]}]},[2,2,1]],"w":[{},[2,2,1]],"ž":[{},[2,2,1]],".":[{},[8,4]]},[0,2]],"b":[{},[2,1]],"c":[{"h":[{},[2,1,2]]},[2,1]],"č":[{},[2,1]],"d":[{"z":[{},[2,1,2]],"ž":[{},[2,1,2]]},[2,1]],"ď":[{},[2,1]],"f":[{},[2,1]],"g":[{},[2,1]],"j":[{},[2,1]],"k":[{"t":[{},[0,3,2]]},[2,1]],"l":[{},[2,1]],"ľ":[{},[2,1]],"m":[{"u":[{"k":[{},[5,4]]}]},[2,1]],"n":[{"i":[{"e":[{},[5,4]]}]},[2,1]],"ň":[{},[2,1]],"p":[{},[2,1]],"r":[{"č":[{},[3,2,3]],"k":[{"n":[{},[3,4,4,3]]},[3,2,3]]},[2,1]],"s":[{},[2,1]],"š":[{},[2,1]],"t":[{"v":[{},[0,3,2]]},[2,1]],"ť":[{},[2,1]],"v":[{"r":[{"č":[{"k":[{},[3,4,4,4,3]]},[3,4,4,3]],"k":[{},[3,4,4,3]],"l":[{},[3,4,4,3]],"n":[{"k":[{},[3,4,4,4,3]],"g":[{"n":[{},[3,4,4,4,3,4]]}]}]}],"ŕ":[{"k":[{},[3,4,4,3]]}],"a":[{"k":[{},[5,4]]}],"i":[{"č":[{},[5,4]],"k":[{},[5,4]]}]},[2,1]],"w":[{},[2,1]],"x":[{},[2,1]],"z":[{},[2,1]],"ž":[{},[2,1]],"ŕ":[{"č":[{"k":[{},[3,4,4,3]]},[3,2,3]],"k":[{},[3,2,3]]}]}],"d":[{"z":[{"k":[{},[2,2,1]],"n":[{},[2,2,1]],"r":[{},[2,2,1]],"s":[{},[2,2,1]],"ŕ":[{},[2,2,1]],"ľ":[{},[2,2,1]],".":[{},[8,4]]},[0,2]],"ž":[{"š":[{},[2,2,1]],"ľ":[{},[2,2,1]],".":[{},[8,4]]},[0,2]],"b":[{},[2,1]],"c":[{"h":[{"n":[{},[0,3,4,4]]},[2,1,2]]},[2,1]],"č":[{},[2,1]],"d":[{"z":[{},[2,1,2]],"ž":[{},[2,1,2]]},[2,1]],"ď":[{},[2,1]],"f":[{},[2,1]],"g":[{},[2,1]],"h":[{},[2,1]],"j":[{},[2,1]],"k":[{},[2,1]],"l":[{"b":[{"n":[{},[3,4,4,3]]},[3,2,3]],"h":[{},[3,2,3]],"n":[{},[0,2,3]],"ž":[{"n":[{},[0,4,4,3]]},[3,2,3]]},[2,1]],"ľ":[{"ž":[{"k":[{},[0,4,4,3]],"n":[{},[0,4,4,3]]},[3,2,3]]},[2,1]],"m":[{},[2,1]],"n":[{},[2,1]],"ň":[{"o":[{"v":[{},[5,4]]}]},[2,1]],"p":[{},[2,1]],"r":[{"d":[{},[3,2,3]],"g":[{"ľ":[{},[3,4,4,3]],"n":[{},[3,4,4,3]]},[3,2,3]],"l":[{},[0,2,3]],"k":[{},[3,2,3]],"m":[{},[3,2,3]],"n":[{"č":[{},[3,4,4,3]],"k":[{},[3,4,4,3]]},[0,2,3]],"v":[{},[3,2,3]],"z":[{},[3,2,3]],"ž":[{"b":[{},[3,4,4,3]],"k":[{},[3,4,4,3]],"g":[{"r":[{},[3,4,4,3,4]]}]},[3,2,3]],"c":[{"n":[{},[3,4,4,3]]}],"h":[{"n":[{},[3,4,4,3]]}],"s":[{"n":[{},[3,4,4,3]]}],"a":[{"m":[{"a":[{"t":[{},[5,4]]}]}],"ť":[{},[5,4]]}]},[2,1]],"s":[{"v":[{},[0,3,2]],"t":[{"v":[{},[0,3,4,4]]},[0,3,2]],"k":[{},[0,3,4]]},[2,1]],"š":[{},[2,1]],"t":[{},[2,1]],"ť":[{},[2,1]],"v":[{"r":[{},[0,3,2]],"a":[{"n":[{"á":[{"s":[{"ť":[{},[5,4,0,0,0,0,4,5]]}]}]}]}],"i":[{"h":[{},[5,4]],"ž":[{},[5,4]]}],"o":[{"j":[{},[5,4]],"r":[{},[5,4]]}],"e":[{"s":[{"t":[{"o":[{},[5,2,0,5,4]]}]}]}]},[2,1]],"ŕ":[{"ž":[{},[3,2,3]]}],"e":[{"v":[{"ä":[{"ť":[{"s":[{"t":[{"o":[{},[5,0,0,0,0,5,4]]}]}]}]}]}]}]}],"b":[{"b":[{},[2,1]],"c":[{"h":[{},[2,1,2]]},[2,1]],"č":[{},[2,1]],"d":[{"z":[{},[2,1,2]],"ž":[{},[2,1,2]],"ľ":[{"ž":[{"n":[{},[0,3,4,4,3]]}]}]},[2,1]],"ď":[{},[2,1]],"f":[{},[2,1]],"g":[{},[2,1]],"h":[{},[2,1]],"j":[{},[2,1]],"k":[{},[2,1]],"l":[{"b":[{},[0,2,3]],"č":[{"n":[{},[3,2,4,3]]},[3,2,3]],"c":[{"h":[{},[0,2,3,2]]}],"k":[{},[3,2,3]],"ň":[{},[3,2,3]],"š":[{"k":[{},[0,2,4,3]]},[0,2,3]],"n":[{"k":[{},[3,2,4,3]]}],"a":[{"h":[{},[5,4]]}],"e":[{"d":[{"n":[{},[5,4]]}],"s":[{"k":[{},[5,4]]}]}],"o":[{"k":[{},[5,4]]}],"ú":[{"d":[{},[5,4]]}],"y":[{"s":[{"k":[{},[5,4]],"n":[{},[5,4]]}]}]},[2,1]],"ľ":[{"k":[{"n":[{},[3,2,3,2]]},[3,2,3]],"š":[{},[0,2,3]],"č":[{"k":[{},[3,2,4,3]]}]},[2,1]],"m":[{},[2,1]],"n":[{},[2,1]],"ň":[{},[2,1]],"p":[{},[2,1]],"r":[{"b":[{"l":[{},[3,2,4,3]],"t":[{},[3,2,4,3]]},[3,2,3]],"d":[{"c":[{},[3,2,4,3]]},[0,2,3]],"k":[{},[3,2,3]],"l":[{},[3,2,3]],"n":[{"č":[{},[3,4,4,3]],"k":[{"n":[{},[3,4,4,3,4]]},[3,4,4,3]]},[3,2,3]],"ň":[{},[3,2,3]],"v":[{"n":[{},[3,4,4,3]]},[3,2,3]],"z":[{"d":[{},[3,4,4,3]],"l":[{},[3,4,4,3]],"n":[{},[3,4,4,3]]},[0,2,3]],"č":[{"k":[{},[3,2,4,3]]}],"h":[{"l":[{},[3,2,3,2]]}],"m":[{"b":[{},[3,4,4,3]]}],"š":[{"l":[{},[3,4,4,3]]}],"t":[{"l":[{},[3,4,4,3]],"n":[{},[3,4,4,3]]}],"a":[{"ť":[{},[5,4]]}],"á":[{"z":[{"d":[{},[5,4]]}]}],"e":[{"c":[{"h":[{},[5,4,0,0,2]]}]}],"o":[{"n":[{"z":[{},[5,4]]}]}],"u":[{"č":[{},[5,4]]}],"ú":[{"s":[{},[5,4]]}],"ý":[{"z":[{"g":[{},[5,4]]}]}]},[2,1]],"s":[{"c":[{},[0,3,2]],"t":[{"r":[{},[0,3,2,2]],"v":[{},[0,3,4,4]]},[0,3,2]],"k":[{},[0,3,4]],"ť":[{".":[{},[4,4,4]]}]},[2,1]],"š":[{},[2,1]],"t":[{},[2,1]],"ť":[{},[2,1]],"v":[{},[2,1]],"w":[{},[2,1]],"x":[{},[2,1]],"z":[{},[2,1]],"ž":[{},[2,1]],"ŕ":[{"k":[{"n":[{},[3,4,4,3]]},[3,2,3]],"ľ":[{},[3,2,3]],"d":[{"n":[{},[3,2,4,3]]}]},[2,1]],"o":[{"h":[{"v":[{"i":[{"e":[{"a":[{"k":[{},[5,0,0,3,0,4,3,2]]}],"o":[{"d":[{"k":[{},[5,0,0,3,0,4,3,2,3]]}]}]}]}]}],"z":[{},[5,0,0,3,4]]}],"l":[{"e":[{"s":[{"t":[{"n":[{},[5,0,0,0,0,4,5]]}]}]}]}]}]}],"č":[{"b":[{},[2,1]],"c":[{"h":[{},[2,1,2]]},[2,1]],"č":[{},[2,1]],"d":[{"z":[{},[2,1,2]],"ž":[{},[2,1,2]]},[2,1]],"ď":[{},[2,1]],"f":[{},[2,1]],"g":[{},[2,1]],"h":[{},[2,1]],"j":[{},[2,1]],"k":[{},[2,1]],"l":[{"n":[{"k":[{},[3,4,4,3]]},[3,2,3]],"e":[{"n":[{},[5,4]]}],"á":[{"n":[{"k":[{},[5,4]],"o":[{"k":[{},[5,4]]}]}]}],"o":[{"v":[{},[5,4]]}]},[2,1]],"ľ":[{},[2,1]],"m":[{},[2,1]],"n":[{},[2,1]],"ň":[{},[2,1]],"p":[{},[2,1]],"r":[{"č":[{"r":[{},[3,4,3,4]]},[3,2,3]],"p":[{"k":[{},[3,4,4,3]],"n":[{},[3,4,4,3]]},[0,2,3]],"t":[{"n":[{},[3,4,4,3]],"t":[{"n":[{},[3,4,4,4,3]]}]},[3,2,3]],"v":[{},[3,2,3]],"c":[{"h":[{"n":[{},[3,4,4,4,3]]}]}]},[2,1]],"s":[{"t":[{"v":[{},[0,3,4,4]]}]},[2,1]],"š":[{},[2,1]],"t":[{},[2,1]],"ť":[{},[2,1]],"v":[{"r":[{"k":[{"n":[{},[3,4,4,4,3]]},[3,4,4,3]],"l":[{},[3,4,4,3]]}]},[2,1]],"w":[{},[2,1]],"x":[{},[2,1]],"z":[{},[2,1]],"ž":[{},[2,1]],"e":[{"r":[{"s":[{"t":[{"v":[{},[0,0,0,4,3,4]]}]}]}]}],"ŕ":[{"s":[{"t":[{"v":[{},[3,4,4,3,4]]}]}]}],"í":[{"s":[{"l":[{"o":[{"v":[{},[0,0,6,5]]}]}]}]}]}],"ď":[{"b":[{},[2,1]],"c":[{"h":[{},[2,1,2]]},[2,1]],"č":[{},[2,1]],"d":[{"z":[{},[2,1,2]],"ž":[{},[2,1,2]]},[2,1]],"ď":[{},[2,1]],"f":[{},[2,1]],"g":[{},[2,1]],"h":[{},[2,1]],"j":[{},[2,1]],"k":[{},[2,1]],"l":[{},[2,1]],"ľ":[{},[2,1]],"m":[{},[2,1]],"n":[{},[2,1]],"ň":[{},[2,1]],"p":[{},[2,1]],"r":[{},[2,1]],"s":[{"t":[{"v":[{},[0,3,4,4]]}]},[2,1]],"š":[{},[2,1]],"t":[{},[2,1]],"ť":[{},[2,1]],"v":[{},[2,1]],"z":[{},[2,1]],"ž":[{},[2,1]]}],".":[{"a":[{"s":[{"t":[{"r":[{"o":[{},[0,0,4,4,0,3]]}]}],"k":[{"l":[{"e":[{"p":[{},[0,0,3,2]]}]}]}]}],"t":[{"m":[{"o":[{},[0,0,0,0,3]]}]}],"u":[{"t":[{"o":[{},[0,2,1,0,3]]}],"s":[{"t":[{"r":[{"o":[{"s":[{},[0,0,0,0,0,0,5,4]]}]}]}]}]}],"e":[{"r":[{"o":[{"d":[{"r":[{},[0,2,2,0,3,2]]}],"g":[{"r":[{},[0,0,0,0,3,2]]}],"k":[{"l":[{},[0,2,2,0,3,2]]}],"p":[{"l":[{},[0,0,0,0,3,2]]}],"s":[{"k":[{},[0,0,0,0,3,2]],"t":[{},[0,0,0,0,3,2]]}],"t":[{"r":[{},[0,0,0,0,3,2]]}]},[0,2,2]]}]}],"k":[{"c":[{"i":[{"e":[{"s":[{"c":[{"h":[{},[0,0,0,0,0,3,2,2]]}]}]}]}]}]}],"n":[{"e":[{"s":[{"t":[{"e":[{"t":[{"i":[{},[0,0,0,3,2]]}]}],"é":[{"z":[{},[0,0,0,3,2]]}]}]}]}],"t":[{"i":[{"k":[{"l":[{},[0,0,0,0,5,4]],"r":[{},[0,0,0,0,5,4]]}]}]}]}],"p":[{"o":[{"p":[{"l":[{"e":[{},[0,0,0,5,4]]}]}]}],"r":[{"i":[{"o":[{},[0,0,4]],"ó":[{},[0,0,4]]}]}]}],"r":[{"c":[{"i":[{"k":[{},[0,0,0,0,5,4]]}]}],"i":[{"s":[{"t":[{"o":[{"k":[{},[0,0,0,0,0,0,5,4]]}]}]}]}]}]}],"b":[{"a":[{"c":[{"k":[{"h":[{"a":[{"n":[{"d":[{},[0,0,0,2,3]]}]}]}]}]}],"l":[{"n":[{"e":[{"o":[{},[0,0,0,0,0,2,3]]}]}]}]}],"e":[{"l":[{"o":[{"h":[{},[0,0,0,0,5,4]]},[0,0,0,0,5]]}],"z":[{"b":[{},[0,0,0,5,4]],"d":[{},[0,0,0,5,4]],"h":[{},[0,0,0,5,4]],"k":[{},[0,0,0,5,4]],"m":[{},[0,0,0,5,4]],"p":[{},[0,0,0,5,4]],"s":[{},[0,0,0,5,4]],"t":[{},[0,0,0,5,4]],"v":[{},[0,0,0,5,4]],"z":[{},[0,0,0,5,4]]},[0,0,0,5]]}],"i":[{"e":[{"l":[{"o":[{"b":[{},[0,0,0,0,0,0,4]],"h":[{},[0,0,0,0,0,0,4]],"v":[{},[0,0,0,0,0,0,4]]},[0,0,0,0,0,5]]}]}],"o":[{"k":[{},[0,0,0,0,4]],"p":[{},[0,0,0,0,4]],"s":[{},[0,0,0,0,4]]},[0,0,2,5]]}],"l":[{"a":[{"h":[{"o":[{"p":[{},[0,0,0,0,0,0,4]],"s":[{},[0,0,0,0,0,0,4]]},[0,0,0,0,0,5]]}]}],"e":[{"d":[{"o":[{},[0,0,0,0,0,5]]}]}]}],"o":[{"h":[{"a":[{"p":[{},[0,0,0,0,5,4]]}],"o":[{"s":[{},[0,0,0,0,5,4]]}]}],"ž":[{"e":[{"d":[{},[0,0,0,0,5,4]],"c":[{"h":[{},[0,0,0,0,0,2,4]]}]},[0,0,0,0,5]]}]}],"r":[{"a":[{"t":[{"o":[{"v":[{"r":[{},[0,0,0,0,0,5,4]]}]}]}]}]}],"z":[{"d":[{},[0,2,2]]}]}],"c":[{"á":[{"r":[{"o":[{"v":[{"r":[{"a":[{},[0,0,0,0,5,4]]}]}]}]}]}],"e":[{"l":[{"o":[{"d":[{},[0,0,0,0,5,4]],"k":[{},[0,0,0,0,5,4]],"p":[{},[0,0,0,0,5,4]],"s":[{},[0,0,0,0,5,4]],"u":[{},[0,0,0,0,5,4]]}]}],"n":[{"o":[{"t":[{},[0,0,0,0,5,4]]}]}],"s":[{"t":[{"m":[{"a":[{"j":[{},[0,0,0,2,5]]}]}]}]}]}],"i":[{"r":[{"k":[{"e":[{"v":[{"n":[{"o":[{"p":[{},[0,0,0,0,0,0,0,0,5,4]]},[0,0,0,0,0,0,0,0,5]]}]}]}]}]}]}],"t":[{"n":[{},[0,4,4]]}],"u":[{"d":[{"z":[{"o":[{"k":[{},[0,0,0,0,0,5,4]],"o":[{},[0,0,0,0,0,5,4]],"s":[{},[0,0,0,0,0,5,4]],"t":[{},[0,0,0,0,0,5,4]],"v":[{},[0,0,0,0,0,5,4]]}]}]}]}],"y":[{"t":[{"o":[{"p":[{},[0,0,0,0,5,4]]}]}]}],"h":[{"o":[{"r":[{"o":[{"b":[{"o":[{"p":[{},[0,0,0,0,0,0,0,5,4]]}]}]}]}]}]},[0,0,6]],"v":[{},[0,0,6]]}],"č":[{"a":[{"r":[{"o":[{"k":[{},[0,0,0,0,5,4]],"s":[{},[0,0,0,0,5,4]],"v":[{},[0,0,0,0,5,4]],"z":[{},[0,0,0,0,5,4]]}]}]}],"e":[{"r":[{"n":[{"o":[{"b":[{},[0,0,0,0,0,5,4]],"h":[{},[0,0,0,0,0,5,4]],"k":[{},[0,0,0,0,0,5,4]],"o":[{},[0,0,0,0,0,5,4]]}]}],"v":[{"e":[{"n":[{"o":[{"a":[{},[0,0,0,0,0,0,0,5,4]],"b":[{},[0,0,0,0,0,0,0,5,4]],"h":[{},[0,0,0,0,0,0,0,5,4]],"k":[{},[0,0,0,0,0,0,0,5,4]],"o":[{},[0,0,0,0,0,0,0,5,4]],"p":[{},[0,0,0,0,0,0,0,5,4]]}]}]}]}]}]}],"i":[{"e":[{"r":[{"n":[{"o":[{"b":[{},[0,0,0,0,0,0,5,4]],"h":[{},[0,0,0,0,0,0,5,4]],"o":[{},[0,0,0,0,0,0,5,4]]}]}]}]}]}],"o":[{"c":[{"h":[{},[0,0,5,0,4]]}],"s":[{},[0,0,5,4]]}],"u":[{"d":[{"o":[{"t":[{},[0,0,0,0,5,4]]}]}]}]}],"d":[{"a":[{"k":[{"d":[{},[0,0,3,2]]}]}],"e":[{"f":[{},[0,0,5,4]],"g":[{},[0,0,5,4]],"k":[{"l":[{},[0,0,0,4]]}],"s":[{"a":[{"ť":[{},[0,0,0,0,0,5]]}]}],"š":[{"t":[{},[0,0,5,4,2]]}],"z":[{"i":[{},[0,0,0,5,2]],"o":[{},[0,0,0,5,2]]}]}],"i":[{"s":[{"k":[{"d":[{},[0,0,0,2,3,4]]}]}],"v":[{"o":[{"t":[{},[0,0,0,0,5,4]]}]}]}],"l":[{"h":[{"o":[{"h":[{},[0,0,0,0,5,4]],"p":[{},[0,0,0,0,5,4]]}]}]}],"o":[{"b":[{"r":[{"o":[{"d":[{},[0,0,0,0,0,5,4]],"p":[{},[0,0,0,0,0,5,4]],"s":[{},[0,0,0,0,0,5,4]]}]}]}],"č":[{"m":[{},[0,0,5,2]]}],"d":[{},[0,0,5,4]],"f":[{},[0,0,5,4]],"h":[{},[0,0,5,4]],"c":[{"h":[{},[0,0,5,4,4]]}],"i":[{},[0,0,5,4]],"k":[{},[0,0,5,4]],"o":[{},[0,0,5]],"p":[{},[0,0,5,4]],"s":[{},[0,0,5,4]],"š":[{"p":[{},[0,0,5,4]],"t":[{"i":[{"e":[{},[0,0,5,4]]}],"í":[{},[0,0,5,4]]}]}],"t":[{"l":[{},[0,0,5,4]],"m":[{},[0,0,5,4]],"r":[{},[0,0,5,4]],"v":[{},[0,0,5,4]]}],"u":[{},[0,0,5]],"v":[{},[0,0,5,4]],"z":[{},[0,0,5,4]],"ž":[{},[0,0,5,4]]}],"r":[{"e":[{"v":[{"o":[{"p":[{},[0,0,0,0,0,5,4]],"o":[{},[0,0,0,0,0,5]],"v":[{},[0,0,0,0,0,5,4]]}]}]}],"o":[{"b":[{"n":[{"o":[{"z":[{},[0,0,0,0,0,0,5,4]]}]}]}]}],"u":[{"h":[{"o":[{"s":[{},[0,0,0,0,0,5,4]]}]}]}]}],"v":[{"o":[{"j":[{"a":[{"l":[{},[0,0,0,0,5]]}],"č":[{},[0,0,0,0,5,4]],"d":[{},[0,0,0,0,5,4]],"h":[{},[0,0,0,0,5,4]],"i":[{},[0,0,0,0,5,4]],"k":[{},[0,0,0,0,5,4]],"p":[{},[0,0,0,0,5,4]],"s":[{},[0,0,0,0,5,4]],"t":[{},[0,0,0,0,5,4]],"u":[{},[0,0,0,0,5]],"v":[{},[0,0,0,0,5,4]],"z":[{},[0,0,0,0,5,4]]}]}]}]}],"ď":[{"a":[{"t":[{"e":[{"l":[{"i":[{"n":[{"o":[{"t":[{},[0,0,0,0,0,0,0,0,5,4]]}]}]}]}]}]}]}]}],"e":[{"l":[{"e":[{"k":[{"t":[{"r":[{"o":[{},[0,0,0,0,0,0,0,5]]}]}]}]}]}],"x":[{"k":[{},[0,0,5,4]]}]}],"f":[{"o":[{"l":[{"k":[{},[0,0,0,2,5]]}],"t":[{"o":[{},[0,0,0,0,5]]}]}]}],"g":[{"a":[{"l":[{"a":[{"p":[{},[0,0,0,0,5,4]]}]}],"m":[{"a":[{"g":[{},[0,0,0,0,5,4]]}]}]}],"e":[{"o":[{},[0,0,4]]}]}],"h":[{"n":[{"e":[{"d":[{"o":[{"o":[{},[0,0,0,0,0,5]],"u":[{},[0,0,0,0,0,5]]}]}]}]}],"o":[{"l":[{"o":[{"b":[{},[0,0,0,0,5,4]],"h":[{},[0,0,0,0,5,4]],"k":[{},[0,0,0,0,5,4]]}]}],"r":[{"e":[{"z":[{},[0,0,0,0,5,4]]}],"n":[{"o":[{"u":[{},[0,0,0,0,0,5,4]]}]}]}]}],"r":[{"ô":[{"z":[{"o":[{"s":[{"t":[{},[0,0,0,0,0,5,4,4]]}],"v":[{},[0,0,0,0,0,5,4]]}],"y":[{"p":[{},[0,0,0,0,0,5,4]]}]}]}],"u":[{"b":[{"o":[{"s":[{},[0,0,0,0,0,5,4]]}]}]}]}],"y":[{"d":[{"r":[{"o":[{},[0,0,0,0,0,5]]}]}]}]}],"j":[{"a":[{"s":[{"n":[{"o":[{"o":[{},[0,0,0,0,0,5]],"z":[{},[0,0,0,0,0,5,4]]}]}]}]}],"e":[{"d":[{"n":[{"o":[{"h":[{},[0,0,0,0,0,5,4]],"i":[{},[0,0,0,0,0,5,4]],"p":[{},[0,0,0,0,0,5,4]],"s":[{},[0,0,0,0,0,5,4]],"u":[{},[0,0,0,0,0,5,4]],"z":[{},[0,0,0,0,0,5,4]]}]}]}]}],"u":[{"h":[{"o":[{"a":[{},[0,0,0,0,5]],"s":[{},[0,0,0,0,5,4]]}]}],"ž":[{"n":[{"o":[{"s":[{},[0,0,0,0,0,5,4]]}]}]}]}]}],"k":[{"a":[{"t":[{"a":[{"k":[{},[0,0,0,0,5,4]],"s":[{"t":[{},[0,0,0,0,5,4,4]]}]}]}]}],"m":[{"e":[{"ň":[{"o":[{"t":[{},[0,0,0,0,0,5,4]]}]}]}]}],"o":[{"s":[{"o":[{"d":[{},[0,0,0,0,5,4]],"š":[{},[0,0,0,0,5,4]],"u":[{},[0,0,0,0,5]]}]}]}],"r":[{"i":[{"v":[{"o":[{"p":[{},[0,0,0,0,0,5,4]]}]}]}],"u":[{"t":[{"o":[{"v":[{},[0,0,0,0,0,5,4]]}]}]}],"v":[{"i":[{"p":[{},[0,0,0,0,5,4]],"s":[{},[0,0,0,0,5,4]],"t":[{},[0,0,0,0,5,4]]}]}]}],"t":[{"o":[{"v":[{"i":[{"e":[{"a":[{},[0,0,0,0,0,0,5,2]]}]}]}]}]}]}],"l":[{"á":[{"s":[{"k":[{"y":[{"p":[{},[0,0,0,0,0,5,4]]}]}]}]}],"e":[{"s":[{"o":[{"s":[{},[0,0,0,0,0,4]]}]}]}]}],"ľ":[{"s":[{"t":[{},[0,4,4]]}],"u":[{"d":[{"o":[{"v":[{"o":[{"u":[{},[0,0,0,0,0,0,5]]}]}]}]}]}]}],"m":[{"a":[{"k":[{"r":[{"o":[{"k":[{},[0,0,0,0,0,5,4]],"o":[{},[0,0,0,0,0,5,4]],"s":[{},[0,0,0,0,0,5,4]]}]}]}],"l":[{"o":[{"o":[{},[0,0,0,0,5]]}]}]}],"á":[{"l":[{"o":[{"k":[{},[0,0,0,0,5,4]],"v":[{},[0,0,0,0,5,4]]}]}],"r":[{"n":[{"o":[{"t":[{},[0,0,0,0,0,5,4]]}]}]}]}],"e":[{"d":[{"z":[{"i":[{"h":[{},[0,0,0,0,0,5,4]],"i":[{},[0,0,0,0,0,5,4]],"p":[{},[0,0,0,0,0,5,4]],"š":[{},[0,0,0,0,0,5,4]],"t":[{},[0,0,0,0,0,5,4]]}]}]}],"l":[{"o":[{"d":[{},[0,0,0,0,5,4]]}]}],"r":[{"u":[{"ô":[{},[0,0,0,0,5,2]]}]}]}],"i":[{"e":[{"s":[{"t":[{"o":[{"d":[{},[0,0,0,0,0,0,5,4]],"p":[{},[0,0,0,0,0,0,5,4]]}]}]}]}],"k":[{"r":[{"o":[{"e":[{},[0,0,0,0,0,5,4]],"k":[{},[0,0,0,0,0,5,4]],"o":[{},[0,0,0,0,0,5]],"p":[{},[0,0,0,0,0,5,4]]}]}]}],"m":[{"o":[{"š":[{},[0,0,0,0,5,4]],"ú":[{},[0,0,0,0,5]],"v":[{},[0,0,0,0,5,4]]}]}]}],"n":[{"o":[{"h":[{"o":[{"s":[{},[0,0,0,0,0,5,4]],"t":[{},[0,0,0,0,0,5,4]],"u":[{},[0,0,0,0,0,5]],"v":[{},[0,0,0,0,0,5]],"z":[{},[0,0,0,0,0,5]]}]}]}]}],"o":[{"d":[{"r":[{"o":[{"o":[{},[0,0,0,0,0,5]]}]}]}]}],"r":[{"a":[{"k":[{"o":[{"d":[{},[0,0,0,0,0,5,4]]}]}],"v":[{"o":[{"u":[{},[0,0,0,0,0,5]]}]}]}]}],"u":[{"c":[{"h":[{"o":[{"t":[{},[0,0,0,0,0,5,4]]}]}]}]}],"z":[{"d":[{},[0,4,4]]}]}],"n":[{"a":[{"a":[{},[0,0,5,4]],"b":[{},[0,0,5,4]],"c":[{},[0,0,5,4]],"d":[{"h":[{},[0,0,0,5,4]],"n":[{"e":[{"s":[{".":[{},[0,0,5,4]]}]}]}],"p":[{".":[{},[0,0,5,4,4]]},[0,0,0,5,4]],"ŕ":[{".":[{},[0,0,5,4,4]]}],"r":[{"o":[{"b":[{"n":[{"o":[{".":[{},[0,0,5,4]]}]}]}]}]}]}],"h":[{},[0,0,5,4]],"i":[{},[0,0,5,4]],"k":[{},[0,0,5,4]],"m":[{},[0,0,5,4]],"o":[{},[0,0,5,4]],"p":[{},[0,0,5,4]],"s":[{"t":[{},[0,0,5,0,4]]},[0,0,5,4]],"š":[{"k":[{},[0,0,5,0,4]],"s":[{"k":[{},[0,0,6,5]]}]},[0,0,5,4]],"t":[{},[0,0,5,4]],"u":[{},[0,0,5,4]],"ú":[{},[0,0,5,4]],"v":[{"l":[{},[0,0,5,4]],"n":[{"a":[{},[0,0,5,4]]}],"r":[{},[0,0,5,4,4]],"z":[{},[0,0,5,4,4]]}],"z":[{"r":[{},[0,0,5,4]],"v":[{"y":[{"š":[{},[0,0,6,5]]}]},[0,0,5,4]]}],"ž":[{},[0,0,5,4]]}],"á":[{"p":[{},[0,0,5,4]],"r":[{"o":[{"d":[{"n":[{"o":[{"o":[{},[0,0,0,0,0,0,0,5]]}]}]}]}]}],"s":[{"t":[{},[0,0,5,0,4]]},[0,0,5,4]],"u":[{},[0,0,5,4]],"ú":[{},[0,0,5,4]],"v":[{"r":[{},[0,0,5,4,4]]}],"z":[{"v":[{},[0,0,0,5,4]]}]}],"e":[{"a":[{},[0,0,5,4]],"d":[{"o":[{"u":[{"k":[{},[0,0,5,0,3,2]]}]}]}],"e":[{},[0,0,5,4]],"i":[{},[0,0,5,4]],"m":[{},[0,0,5,4]],"n":[{"a":[{"h":[{},[0,0,5,0,5,4]],"i":[{},[0,0,5,0,5,4]],"k":[{},[0,0,5,0,5,4]],"m":[{},[0,0,5,0,5,4]],"p":[{},[0,0,5,0,5,4]],"s":[{},[0,0,5,0,5,4]],"t":[{},[0,0,5,0,5,4]]}]}],"p":[{},[0,0,5,4]],"s":[{"t":[{"o":[{"r":[{},[0,0,6,5]]}]}]},[0,0,5,4]],"š":[{},[0,0,5,4]],"t":[{"t":[{},[0,0,6,5]]},[0,0,5,4]],"u":[{},[0,0,5,2]],"ú":[{},[0,0,5,2]],"v":[{},[0,0,5,4]],"z":[{"d":[{"r":[{},[0,0,5,4,4]],"v":[{},[0,0,5,4,4]]}],"l":[{},[0,0,5,4]],"m":[{},[0,0,5,4]],"n":[{},[0,0,5,4]],"r":[{},[0,0,5,4]],"v":[{},[0,0,5,4]]}]}],"i":[{"e":[{"k":[{},[0,0,0,5,4]]}],"k":[{"t":[{"o":[{"š":[{},[0,0,6,5]]}]}]},[0,0,5,4]]}],"í":[{"z":[{"k":[{"o":[{"k":[{},[0,0,0,0,0,5,4]]}]}]}]}],"o":[{"v":[{"o":[{"u":[{},[0,0,0,0,5,2]],"z":[{},[0,0,0,0,5,2]]}]}]}]}],"o":[{"b":[{"i":[{"d":[{},[0,0,0,5,4]]}],"k":[{},[0,0,5,4]],"o":[{"s":[{},[0,0,0,5,4]],"z":[{},[0,0,0,5,4]]}],"s":[{},[0,0,5,4]],"t":[{},[0,0,5,4]],"z":[{},[0,0,5,4]]}],"d":[{"b":[{},[0,0,5,4]],"c":[{"h":[{},[0,0,5,4,4]]},[0,0,5,4]],"d":[{},[0,0,5,4]],"f":[{},[0,0,5,4]],"h":[{},[0,0,5,4]],"i":[{"ó":[{},[0,0,6,5]]},[0,0,5,4]],"í":[{},[0,0,5,4]],"k":[{},[0,0,5,4]],"o":[{"b":[{},[0,0,0,5,4]],"h":[{},[0,0,0,5,4]],"k":[{},[0,0,0,5,4]],"m":[{"k":[{},[0,0,0,5,4,4]]}],"p":[{},[0,0,0,5,4]],"s":[{},[0,0,0,5,4]]}],"p":[{},[0,0,5,4]],"s":[{},[0,0,5,4]],"š":[{},[0,0,5,4]],"t":[{},[0,0,5,4]],"v":[{},[0,0,5,4]],"z":[{},[0,0,5,4]]}],"h":[{"l":[{},[0,5,4]],"ľ":[{},[0,5,4]],"n":[{"a":[{},[0,5,4]],"ú":[{},[0,5,4]]}],"r":[{},[0,5,4]]}],"c":[{"h":[{},[0,5,4,4]]}],"k":[{"l":[{},[0,5,4]],"ľ":[{},[0,5,4]],"o":[{"l":[{"o":[{"i":[{},[0,0,0,0,0,5]],"s":[{},[0,0,0,0,0,5,4]]}]}]}],"r":[{"a":[{},[0,5,4]],"á":[{},[0,5,4]],"e":[{"s":[{"a":[{"ť":[{},[0,5,4]]}],"á":[{"v":[{"a":[{"ť":[{},[0,5,4]]}]}]}]}]}],"i":[{},[0,5,4]],"í":[{},[0,5,4]],"u":[{},[0,5,4]],"ú":[{},[0,5,4]]}]}],"m":[{"l":[{},[0,5,4]],"n":[{},[0,5,4]],"r":[{},[0,5,4]]}],"p":[{"l":[{"a":[{"n":[{},[0,6,5]]}]}],"r":[{"a":[{"t":[{},[0,6,5]]}]}]},[0,5,4]],"s":[{"l":[{"a":[{"b":[{},[0,5,4]],"d":[{},[0,5,4]],"v":[{},[0,5,4]]}],"á":[{"v":[{},[0,5,4]]}],"e":[{"p":[{},[0,5,4]]}],"o":[{},[0,5,4]]}],"p":[{},[0,5,4,4]],"t":[{"a":[{"r":[{},[0,5,4]],"ť":[{},[0,5,4]],"n":[{},[0,5,4]],"ň":[{},[0,5,4]],"t":[{"n":[{},[0,6,5]],"o":[{"k":[{},[0,5,4]]}],"k":[{},[0,5,4]]}]}],"á":[{"v":[{},[0,5,4]]}],"o":[{},[0,5,6,0,5]],"r":[{"a":[{"p":[{},[0,5,6,4]]}],"o":[{"u":[{},[0,0,0,0,0,5]]}]}]}],"v":[{"e":[{"d":[{},[0,5,4]],"t":[{"l":[{},[0,5,4]]}]}],"i":[{"e":[{"t":[{},[0,5,4]],"ž":[{},[0,5,4]]}],"t":[{},[0,5,4]]}],"o":[{"j":[{},[0,5,4]]}]}]}],"š":[{"k":[{},[0,5,4,4]],"ľ":[{},[0,5,4,4]],"m":[{},[0,5,4,4]],"p":[{},[0,5,4,4]],"v":[{},[0,5,4,4]]}],"t":[{"r":[{"a":[{"s":[{},[0,5,4]],"v":[{},[0,5,4]]}],"á":[{"v":[{},[0,5,4]]}],"e":[{"p":[{},[0,5,4]]}],"i":[{"a":[{},[0,5,4]]}]}]}],"v":[{"d":[{"o":[{"v":[{},[0,5,4]]}]}],"l":[{"á":[{"d":[{},[0,5,4]]}],"a":[{"ž":[{},[0,5,4]]}]}],"p":[{},[0,5,4,4]],"r":[{},[0,5,4]]}],"z":[{"l":[{},[0,5,4,4]],"n":[{},[0,5,4]],"r":[{"e":[{},[0,5,4]]}],"v":[{"l":[{},[0,5,4,4]]}]}]}],"t":[{"v":[{"r":[{"d":[{"o":[{},[0,4,4,4,0,5]]}]},[0,4,4]]}],"r":[{"o":[{"j":[{},[0,0,0,0,5]]}]}],"k":[{},[0,0,6]]}],"p":[{"ä":[{"ť":[{"i":[{"z":[{"b":[{"o":[{},[0,0,0,5]]}]}]}]}]}],"l":[{"n":[{"o":[{"a":[{},[0,0,0,0,5]],"p":[{},[0,0,0,0,5,4]],"š":[{},[0,0,0,0,5,4]],"k":[{"r":[{},[0,0,0,0,5,0,4]]}]}]}],"o":[{"c":[{"h":[{"o":[{"d":[{},[0,0,0,0,0,0,5,4]]}]}]}]}]}],"o":[{"b":[{},[0,0,5,4]],"č":[{},[0,0,5,4]],"d":[{"a":[{"k":[{},[0,0,0,0,5,4]]}],"b":[{"r":[{},[0,0,0,5,4]]}],"h":[{},[0,0,0,5,4]],"c":[{"h":[{},[0,0,0,5,4]]}],"k":[{},[0,0,0,5,4]],"p":[{},[0,0,0,5,4]],"r":[{"á":[{"ž":[{},[0,0,5,4]]}],"e":[{"p":[{},[0,0,5,4]]},[0,0,0,5]],"h":[{},[0,0,5,4]],"i":[{"e":[{},[0,0,5,4]]}],"m":[{},[0,0,5,4]],"v":[{},[0,0,5,4]],"ž":[{},[0,0,5,4,4]]}],"s":[{"k":[{"o":[{"č":[{},[0,0,0,5,4]]}]}]}],"v":[{},[0,0,0,5,4]],"z":[{"e":[{"m":[{},[0,0,0,3]]}],"o":[{"l":[{},[0,0,0,3]]}]}],"ž":[{"a":[{},[0,0,0,3]],"u":[{},[0,0,0,3]]}]}],"h":[{"r":[{"e":[{"b":[{},[0,0,6,5]]}]}]},[0,0,5,4]],"c":[{"h":[{},[0,0,5,4,4]]}],"i":[{},[0,0,5,4]],"k":[{},[0,0,5,4]],"l":[{"d":[{},[0,0,0,5,4]],"i":[{"z":[{},[0,0,0,5,4]]}],"o":[{"a":[{},[0,0,0,0,5]],"b":[{"l":[{"ú":[{},[0,0,0,5,4]]}]},[0,0,0,0,5,4]],"d":[{},[0,0,0,0,5,4]],"h":[{"l":[{},[0,0,0,0,5,4]]}],"i":[{},[0,0,0,0,5]],"k":[{},[0,0,0,0,5,4]],"m":[{},[0,0,0,0,5,4]],"o":[{},[0,0,0,0,5,4]],"p":[{},[0,0,0,0,5,4]],"s":[{},[0,0,0,0,5,4]],"t":[{},[0,0,0,0,5,4]],"u":[{},[0,0,0,0,5,4]],"ú":[{},[0,0,0,0,5,4]],"v":[{},[0,0,0,0,5,4]],"z":[{},[0,0,0,0,5,4]]}],"s":[{"t":[{},[0,0,0,5,4]]}]}],"m":[{"n":[{"í":[{"k":[{},[0,0,6,5]]}]}]},[0,0,5,4]],"o":[{"b":[{"h":[{},[0,0,5,0,4]],"l":[{},[0,0,5,0,4]]}]},[0,0,5,4]],"s":[{"t":[{"s":[{"k":[{"r":[{"i":[{"p":[{},[0,0,6,4,5,4,4]]}]}]}]}],"u":[{"l":[{},[0,0,6,5]]}],"g":[{"r":[{},[0,0,6,0,5,4]]}],"i":[{},[0,0,6,5]]}]},[0,0,5,4]],"š":[{"t":[{"a":[{},[0,0,6,5]],"o":[{"v":[{},[0,0,6,5]]}]}],"v":[{},[0,0,6,5]]},[0,0,5,4]],"t":[{"k":[{"n":[{},[0,0,5,4,4]]}],"ľ":[{},[0,0,5,4]],"r":[{},[0,0,5,4]]},[0,0,5,4]],"r":[{"o":[{"z":[{"p":[{},[0,0,0,0,0,5,4]],"s":[{},[0,0,0,0,0,5,4]],"v":[{},[0,0,0,0,0,5,4]]}]}]}],"u":[{},[0,0,5]],"v":[{"r":[{"a":[{},[0,0,4,5]]}],"y":[{"h":[{},[0,0,0,0,5,4]],"k":[{},[0,0,0,0,5,4]],"p":[{},[0,0,0,0,5,4]],"s":[{},[0,0,0,0,5,4]],"v":[{},[0,0,0,0,5,4]],"z":[{},[0,0,0,0,5,4]]}],"z":[{"b":[{},[0,0,5,4,4]]}]},[0,0,5,4]],"z":[{},[0,0,5,4]]}],"r":[{"a":[{"o":[{},[0,0,0,5,4]],"p":[{},[0,0,0,5,4]],"v":[{"i":[{"c":[{"o":[{"v":[{"o":[{"o":[{},[0,0,0,0,0,0,0,0,0,5]]}]}]}]}]}],"l":[{},[0,0,0,5,4]],"n":[{"u":[{},[0,0,0,5,4]],"ú":[{},[0,0,0,5,4]]}],"o":[{"s":[{},[0,0,0,5,0,5,4]]}]}]}],"á":[{"v":[{"o":[{"p":[{},[0,0,0,5,0,5,4]]}]}]}],"e":[{"b":[{},[0,0,0,5,4]],"c":[{"h":[{},[0,0,0,5,4,4]]},[0,0,0,5,4]],"d":[{"c":[{"h":[{},[0,0,0,0,5,0,4]]},[0,0,0,0,5,4]],"h":[{},[0,0,0,0,5,4]],"i":[{},[0,0,0,0,5]],"k":[{},[0,0,0,0,5,4]],"m":[{},[0,0,0,0,5,4]],"o":[{"h":[{},[0,0,0,0,0,5,4]],"p":[{},[0,0,0,0,5]],"s":[{"t":[{"a":[{"t":[{"n":[{},[0,0,0,0,5]]}]}]}]}]}],"p":[{},[0,0,0,0,5,4]],"r":[{"a":[{"h":[{},[0,0,0,5,4]],"p":[{},[0,0,0,5,4]],"ť":[{},[0,0,0,5,4]],"ž":[{},[0,0,0,5,4]]}],"i":[{},[0,0,0,5,4]],"ž":[{},[0,0,0,5,4]]}],"s":[{},[0,0,0,0,5,4]],"v":[{},[0,0,0,0,5,4]],"z":[{},[0,0,0,0,5,4]]}],"č":[{},[0,0,0,5,4]],"e":[{},[0,0,0,5,2]],"f":[{},[0,0,0,5,2]],"h":[{},[0,0,0,5,4]],"i":[{},[0,0,0,5,4]],"k":[{"v":[{"a":[{"p":[{},[0,0,0,6,5]]}]}]},[0,0,0,5,4]],"m":[{},[0,0,0,5,4]],"o":[{},[0,0,0,5,4]],"p":[{},[0,0,0,5,4]],"s":[{"n":[{},[0,0,0,6,5]]},[0,0,0,5,4]],"š":[{},[0,0,0,5,4]],"t":[{},[0,0,0,5,4]],"v":[{},[0,0,0,5,4]],"z":[{},[0,0,0,5,4]],"ž":[{},[0,0,0,5,4]]}],"i":[{"b":[{},[0,0,0,5,4]],"č":[{},[0,0,0,5,4]],"d":[{},[0,0,0,5,4]],"h":[{},[0,0,0,5,4]],"c":[{"h":[{},[0,0,0,5,4,4]]}],"k":[{},[0,0,0,5,4]],"m":[{},[0,0,0,5,4]],"p":[{},[0,0,0,5,4]],"s":[{"p":[{"ô":[{},[0,0,0,5,4]]},[0,0,0,6,5]]},[0,0,0,5,4]],"š":[{"l":[{"a":[{".":[{},[0,0,0,6,5]]}],"i":[{".":[{},[0,0,0,6,5]]}],"o":[{".":[{},[0,0,0,6,5]]}]}]},[0,0,0,5,4]],"t":[{},[0,0,0,5,4]],"v":[{},[0,0,0,5,4]],"z":[{},[0,0,0,5,4]],"ž":[{},[0,0,0,5,4]]}],"í":[{"k":[{},[0,0,0,5,4]],"s":[{"p":[{},[0,0,0,6,5]]},[0,0,0,5,4]]}]}]}],"r":[{"e":[{"g":[{},[0,0,5,4]],"k":[{"v":[{},[0,0,6,5]]},[0,0,5,4]],"p":[{"n":[{},[0,0,6,5]]},[0,0,5,4]],"š":[{},[0,0,5,4]],"t":[{},[0,0,5,4]]}],"o":[{"z":[{"i":[{},[0,0,4,5,4]],"í":[{},[0,0,6,5,4]],"o":[{"b":[{},[0,0,0,0,5,4]],"d":[{},[0,0,0,0,5,4]],"c":[{"h":[{},[0,0,0,0,5,4,4]]}],"m":[{},[0,0,0,0,5,4]],"p":[{},[0,0,0,0,5,4]],"r":[{},[0,0,0,0,5,4]],"s":[{},[0,0,0,0,5,4]],"š":[{},[0,0,0,0,5,4]],"z":[{},[0,0,0,0,5,4]],"ž":[{},[0,0,0,0,5,4]]}],"u":[{},[0,0,6,5,4]],"v":[{},[0,0,6,5,4]]}]}]}],"š":[{"i":[{"k":[{"m":[{"o":[{"o":[{},[0,0,0,0,0,5]]}]}]}],"r":[{"o":[{"k":[{"o":[{"p":[{},[0,0,0,0,0,0,5,4]]},[0,0,0,0,0,0,5]]}]}]}]}],"t":[{"á":[{"t":[{"o":[{},[0,0,0,0,0,5]]}]}],"v":[{"o":[{"r":[{},[0,0,4,0,0,5]]}]}]},[0,0,6]],"k":[{},[0,0,6]],"p":[{},[0,0,6]]}],"s":[{"u":[{"b":[{"s":[{},[0,0,4,5,4]]}]}],"ú":[{"h":[{},[0,0,5,4]],"k":[{"r":[{},[0,0,5,4]]}],"m":[{"r":[{},[0,0,5,4]]}],"s":[{},[0,0,5,4]],"v":[{},[0,0,5,4]],"z":[{},[0,0,5,4]]}],"p":[{},[0,0,6]],"t":[{},[0,0,6]]}],"v":[{"i":[{"a":[{"c":[{"k":[{},[0,0,0,0,5,4]],"v":[{},[0,0,0,0,5,4]]}]}],"d":[{"e":[{"o":[{},[0,0,0,0,2,5]]}]}]}],"n":[{"ú":[{"t":[{"r":[{"o":[{"s":[{},[0,0,0,0,0,0,5,4]],"š":[{},[0,0,0,0,0,0,5,4]]}]}]}]}]}],"o":[{"p":[{"c":[{"h":[{},[0,0,5,4]]}],"r":[{},[0,0,5,4]]}],"s":[{"p":[{},[0,0,5,4]]}],"t":[{},[0,0,5,4]],"v":[{},[0,0,5,4]]}],"y":[{"b":[{},[0,0,5,4]],"c":[{"h":[{},[0,0,5,4,4]]},[0,0,5,4]],"č":[{},[0,0,5,4]],"d":[{},[0,0,5,4]],"h":[{"ň":[{},[0,0,6,5]],"n":[{"e":[{},[0,0,6,5]]}]},[0,0,5,4]],"k":[{},[0,0,5,4]],"m":[{},[0,0,5,4]],"p":[{},[0,0,5,4]],"s":[{},[0,0,5,4]],"š":[{"š":[{},[0,0,6,5]]},[0,0,5,4]],"t":[{},[0,0,5,4]],"v":[{},[0,0,5,4]],"z":[{},[0,0,5,4]]},[0,0,5]],"ý":[{"c":[{},[0,0,5,4]],"č":[{},[0,0,5,4]],"d":[{},[0,0,5,4]],"h":[{},[0,0,5,4]],"k":[{},[0,0,5,4]],"p":[{},[0,0,5,4]],"s":[{},[0,0,5,4]],"š":[{"k":[{},[0,0,6,5]]}],"t":[{},[0,0,5,4]],"z":[{},[0,0,5,4]]},[0,0,5]],"d":[{},[0,0,6]],"h":[{},[0,0,6]],"k":[{},[0,0,6]],"p":[{},[0,0,6]],"s":[{},[0,0,6]],"š":[{},[0,0,6]],"t":[{},[0,0,6]],"z":[{"h":[{},[0,0,0,6]],"k":[{},[0,0,0,6]],"l":[{},[0,0,0,6]],"p":[{},[0,0,0,6]]},[0,0,6]],"ž":[{},[0,0,6]]}],"z":[{"a":[{"b":[{},[0,0,5,4]],"c":[{"h":[{},[0,0,5,4,4]]},[0,0,5,4]],"č":[{},[0,0,5,4]],"d":[{},[0,0,5,4]],"h":[{},[0,0,5,4]],"k":[{},[0,0,5,4]],"m":[{},[0,0,5,4]],"p":[{},[0,0,5,4]],"r":[{},[0,0,5,4]],"s":[{},[0,0,5,4]],"š":[{},[0,0,5,4]],"t":[{},[0,0,5,4]],"v":[{},[0,0,5,4]],"z":[{},[0,0,5,4]],"ž":[{},[0,0,5,4]]}],"á":[{"b":[{},[0,0,5,4]],"k":[{},[0,0,5,4]],"z":[{},[0,0,5,4]]}],"o":[{"b":[{},[0,0,5,4]],"d":[{"p":[{},[0,0,6,5]],"r":[{},[0,0,5,4]],"v":[{},[0,0,5,4]]}],"h":[{},[0,0,5,4]],"m":[{"l":[{},[0,0,5,4]],"r":[{},[0,0,5,4]]}],"s":[{},[0,0,5,4]],"š":[{},[0,0,5,4]],"t":[{},[0,0,5,4]],"v":[{},[0,0,5,4]],"z":[{},[0,0,5,4]],"ž":[{},[0,0,5,4]]}],"b":[{},[0,0,6]],"d":[{"n":[{},[0,0,6]],"r":[{},[0,0,6]],"v":[{},[0,0,6]]}],"g":[{},[0,0,6]],"h":[{},[0,0,6]],"m":[{},[0,0,6]],"r":[{},[0,0,6]],"v":[{},[0,0,6]]}],"u":[{"h":[{},[0,0,6]],"c":[{"h":[{},[0,0,6,6]]}],"k":[{},[0,0,6]],"m":[{},[0,0,6]],"p":[{},[0,0,6]],"s":[{"c":[{"h":[{},[0,0,0,6,6]]}],"k":[{},[0,0,0,6]],"m":[{},[0,0,0,6]],"t":[{"l":[{},[0,0,0,6]],"r":[{"i":[{"c":[{},[0,0,7,4]]}]},[0,0,0,6]]}]},[0,0,6]],"t":[{},[0,0,6]],"v":[{},[0,0,6]],"z":[{},[0,0,6]]}],"ú":[{"s":[{"c":[{"h":[{},[0,0,0,6]]}],"l":[{},[0,0,0,6]],"m":[{},[0,0,0,6]],"t":[{"a":[{".":[{},[0,0,7]],"m":[{"i":[{".":[{},[0,0,7]]}]}]}],"o":[{"č":[{},[0,0,7]]}],"i":[{},[0,0,7]],"n":[{"y":[{},[0,0,0,7]]}],"r":[{"e":[{"t":[{},[0,0,7]]}]},[0,0,6,6]]}]},[0,0,6]],"š":[{},[0,0,6]]}]}],"f":[{"b":[{},[2,1]],"c":[{"h":[{},[2,1,2]]},[2,1]],"č":[{},[2,1]],"d":[{"z":[{},[2,1,2]],"ž":[{},[2,1,2]]},[2,1]],"ď":[{},[2,1]],"f":[{},[2,1]],"g":[{},[2,1]],"h":[{},[2,1]],"j":[{},[2,1]],"k":[{},[2,1]],"l":[{"i":[{"a":[{"s":[{},[5,4]]}]}]},[2,1]],"ľ":[{"a":[{"k":[{},[5,4]]}]},[2,1]],"m":[{},[2,1]],"n":[{},[2,1]],"ň":[{},[2,1]],"p":[{},[2,1]],"r":[{"č":[{"k":[{},[3,4,4,3]]},[3,2,3]],"f":[{"l":[{},[3,4,4,3]]},[3,2,3]],"k":[{"n":[{},[3,4,4,3]]},[3,2,3]],"m":[{},[3,2,3]],"n":[{"d":[{"ž":[{},[3,4,4,3,4]]},[3,4,4,3]],"g":[{"n":[{},[3,4,4,4,3]]},[3,4,4,3]],"k":[{},[3,4,4,3]]},[3,2,3]],"c":[{"k":[{},[3,4,4,3]],"n":[{},[3,4,4,3]]}],"a":[{"n":[{"c":[{"ú":[{},[5,4]]}]}]}],"e":[{"k":[{"v":[{"e":[{"n":[{},[5,4]]}]}]}]}],"á":[{"z":[{},[5,4]]}]},[2,1]],"s":[{},[2,1]],"š":[{},[2,1]],"t":[{},[2,1]],"ť":[{},[2,1]],"v":[{},[2,1]],"z":[{},[2,1]],"ž":[{},[2,1]],"ŕ":[{"k":[{},[3,2,3]]}]}],"g":[{"b":[{},[2,1]],"c":[{"h":[{},[2,1,2]]},[2,1]],"č":[{},[2,1]],"d":[{"z":[{},[2,1,2]],"ž":[{},[2,1,2]]},[2,1]],"ď":[{},[2,1]],"f":[{},[2,1]],"g":[{},[2,1]],"h":[{},[2,1]],"j":[{},[2,1]],"k":[{},[2,1]],"l":[{"g":[{"n":[{},[3,4,4,3]]},[3,2,3]]},[2,1]],"ľ":[{},[2,1]],"m":[{},[2,1]],"n":[{},[2,1]],"ň":[{},[2,1]],"p":[{},[2,1]],"r":[{"c":[{"k":[{},[3,2,4,3]]},[3,2,3]],"g":[{},[3,2,3]],"a":[{"f":[{},[5,4]],"m":[{},[5,4]]}],"é":[{"č":[{},[5,4]]}],"o":[{"b":[{},[5,4]]}]},[2,1]],"s":[{},[2,1]],"š":[{},[2,1]],"t":[{},[2,1]],"ť":[{},[2,1]],"v":[{"a":[{"r":[{"d":[{"e":[{"j":[{},[5,4]]}]}]}]}]},[2,1]],"z":[{},[2,1]],"ž":[{},[2,1]],"y":[{"m":[{"n":[{"á":[{"z":[{"i":[{"u":[{"m":[{},[0,0,0,0,0,0,0,3]]}]}]}]}]}]}]}]}],"h":[{"b":[{},[2,1]],"c":[{"h":[{},[2,1,2]]},[2,1]],"č":[{},[2,1]],"d":[{"z":[{},[2,1,2]],"ž":[{},[2,1,2]]},[2,1]],"ď":[{},[2,1]],"f":[{},[2,1]],"g":[{},[2,1]],"h":[{},[2,1]],"j":[{},[2,1]],"k":[{},[2,1]],"l":[{"b":[{},[3,2,3]],"t":[{"n":[{},[3,2,3,4]]},[3,2,3]],"a":[{"d":[{},[5,4]],"s":[{},[5,4]],"v":[{},[5,4]]}],"i":[{"a":[{"d":[{},[5,4]]}]}],"u":[{"c":[{"h":[{},[5,4]]}]}]},[2,1]],"ľ":[{"b":[{"k":[{},[3,2,4,3]]},[3,2,3]],"a":[{"d":[{},[5,4]]}]},[2,1]],"m":[{"l":[{},[3,2,2]],"a":[{"t":[{},[5,4]]}],"o":[{"t":[{},[5,4]]}]},[2,1]],"n":[{"a":[{"ť":[{},[5,4]]}],"e":[{"d":[{},[5,4]],"v":[{},[5,4]]}],"i":[{"e":[{"z":[{"d":[{},[5,4]]}]}]}],"o":[{"j":[{},[5,4]]}],"u":[{"t":[{},[5,4]]}],"ú":[{"ť":[{},[5,4]],"t":[{},[5,4]]}]},[2,1]],"ň":[{},[2,1]],"p":[{},[2,1]],"r":[{"b":[{"č":[{},[3,2,4,3]]},[3,2,3]],"č":[{"k":[{},[3,2,4,3]]},[3,2,3]],"d":[{"z":[{},[3,2,3,2]],"l":[{},[0,2,4,3]]},[3,2,3]],"k":[{"ľ":[{},[3,2,4,3]],"n":[{},[3,2,4,3]]},[3,2,3]],"m":[{"o":[{"t":[{},[5,4,3]]}]},[3,2,3]],"n":[{"č":[{},[3,2,4,3]]},[3,2,3]],"ň":[{},[3,2,3]],"t":[{},[3,2,3]],"v":[{},[3,2,3]],"g":[{"ľ":[{},[3,2,4,3]]}],"s":[{"t":[{},[3,2,4,3]],"ť":[{},[3,2,4,3]]}],"a":[{"b":[{},[5,4]],"n":[{},[5,4]],"ť":[{},[5,4]]}],"o":[{"b":[{},[5,4]],"m":[{},[5,4]],"z":[{},[5,4]]}],"u":[{"b":[{},[5,4]]}],"y":[{"z":[{},[5,4]]}]},[2,1]],"s":[{},[2,1]],"š":[{},[2,1]],"t":[{},[2,1]],"ť":[{},[2,1]],"v":[{"i":[{"e":[{"z":[{"d":[{},[5,4]]}]}]}]},[2,1]],"z":[{},[2,1]],"ž":[{},[2,1]],"ŕ":[{"b":[{},[3,2,3]],"k":[{"n":[{},[3,2,4,3]]}],"s":[{"t":[{"k":[{},[0,2,4,3,4]]}]}]}]}],"j":[{"b":[{},[2,1]],"c":[{"h":[{"n":[{},[0,2,2,3]]},[2,1,2]]},[2,1]],"č":[{},[2,1]],"d":[{"z":[{},[2,1,2]],"ž":[{},[2,1,2]]},[2,1]],"ď":[{},[2,1]],"f":[{},[2,1]],"g":[{},[2,1]],"h":[{},[2,1]],"j":[{},[2,1]],"k":[{},[2,1]],"l":[{},[2,1]],"ľ":[{},[2,1]],"m":[{},[2,1]],"n":[{},[2,1]],"ň":[{},[2,1]],"p":[{},[2,1]],"r":[{},[2,1]],"s":[{"t":[{"r":[{},[0,3,4,4]],"v":[{},[0,3,4,4]]},[0,3,2]],"k":[{},[0,3,4]],"ť":[{".":[{},[4,4,4]]}]},[2,1]],"š":[{"l":[{"e":[{},[0,3,2]]}]},[2,1]],"t":[{"m":[{},[0,3,2]],"r":[{},[0,3,2]]},[2,1]],"ť":[{},[2,1]],"v":[{},[2,1]],"w":[{},[2,1]],"x":[{},[2,1]],"z":[{},[2,1]],"ž":[{},[2,1]],"e":[{"d":[{"e":[{"n":[{"á":[{"s":[{"t":[{"k":[{},[5,0,0,0,0,0,0,4,5]]}],"ť":[{},[5,0,0,0,0,0,0,4,5]]}]}]}]}]}]}]}],"k":[{"b":[{},[2,1]],"c":[{"h":[{},[2,1,2]]},[2,1]],"č":[{"n":[{"ý":[{".":[{},[0,4,3]],"m":[{".":[{},[0,4,3]],"i":[{".":[{},[0,4,3]]}]}],"c":[{"h":[{".":[{},[0,4,3]]}]}]}],"é":[{"h":[{"o":[{".":[{},[0,4,3]]}]}],"m":[{"u":[{".":[{},[0,4,3]]}]}],".":[{},[0,4,3]]}],"o":[{"m":[{".":[{},[0,4,3]]}],"u":[{".":[{},[0,4,3]]}]}],"á":[{".":[{},[0,4,3]]}],"e":[{"j":[{".":[{},[0,4,3]]}]}],"ú":[{".":[{},[0,4,3]]}],"í":[{".":[{},[0,4,3]]}]}]},[2,1]],"d":[{"z":[{},[2,1,2]],"ž":[{},[2,1,2]]},[2,1]],"ď":[{},[2,1]],"f":[{},[2,1]],"g":[{},[2,1]],"h":[{},[2,1]],"j":[{},[2,1]],"k":[{},[2,1]],"l":[{"b":[{"č":[{},[3,4,4,3]],"k":[{},[3,4,4,3]]},[3,2,3]],"č":[{},[3,2,3]],"z":[{"k":[{},[3,4,4,3]],"n":[{},[3,4,4,3]]},[3,2,3]],"a":[{"d":[{},[5,4]],"ď":[{},[5,4]],"m":[{},[5,4]]}],"á":[{"s":[{"ť":[{},[5,4]]}]}],"i":[{"a":[{"t":[{},[5,4]],"ť":[{},[5,4]]}],"e":[{"n":[{"t":[{},[0,0,0,3,2]]}]}]}],"e":[{"p":[{},[5,4]],"s":[{},[5,4]]}]},[2,1]],"ľ":[{"b":[{},[3,2,3]],"z":[{},[3,2,3]],"a":[{"k":[{},[5,4]]}],"ú":[{"č":[{},[5,4]]}]},[2,1]],"m":[{},[2,1]],"n":[{},[2,1]],"ň":[{},[2,1]],"p":[{},[2,1]],"r":[{"b":[{},[0,2,3]],"č":[{"m":[{},[3,4,4,3]],"n":[{},[3,4,4,3]]},[3,2,3]],"k":[{"v":[{},[3,4,4,3]]},[3,2,3]],"p":[{"č":[{},[3,4,4,3]]},[3,2,3]],"s":[{"t":[{"n":[{},[3,4,4,4,3]],"ň":[{},[3,4,4,4,3]]},[3,4,4,3]]},[3,2,3]],"t":[{"k":[{},[3,4,4,3]]},[3,2,3]],"v":[{"n":[{},[3,4,4,3]]},[3,2,3]],"m":[{"n":[{},[3,4,4,3]]}],"š":[{"t":[{},[3,4,4,3]]}],"e":[{"s":[{"b":[{},[5,4]],"ť":[{},[5,4]]}]}],"i":[{"t":[{"i":[{"c":[{},[5,4]]}]}]}],"í":[{"d":[{"l":[{},[5,4]]}]}],"ô":[{"c":[{"h":[{},[5,4]]}]}],"u":[{"h":[{},[5,4]]}],"ú":[{"ž":[{},[5,4]]}],"y":[{"t":[{},[5,4]]}],"á":[{"t":[{".":[{},[5,4]]}]}]},[2,1]],"s":[{"ľ":[{},[0,3,2]],"n":[{},[0,2,3]]},[2,1]],"š":[{},[2,1]],"t":[{"r":[{},[0,3,2]],"n":[{"ý":[{".":[{},[0,4,3]],"m":[{".":[{},[0,4,3]],"i":[{".":[{},[0,4,3]]}]}],"c":[{"h":[{".":[{},[0,4,3]]}]}]}],"é":[{"h":[{"o":[{".":[{},[0,4,3]]}]}],"m":[{"u":[{".":[{},[0,4,3]]}]}],".":[{},[0,4,3]]}],"o":[{"m":[{".":[{},[0,4,3]]}],"u":[{".":[{},[0,4,3]]}]}],"á":[{".":[{},[0,4,3]]}],"e":[{"j":[{".":[{},[0,4,3]]}]}],"ú":[{".":[{},[0,4,3]]}],"í":[{".":[{},[0,4,3]]}]}]},[2,1]],"ť":[{},[2,1]],"v":[{"a":[{"l":[{"i":[{"f":[{},[5,4]],"t":[{},[5,4]]}]}],"d":[{"r":[{},[5,4]]}]}],"e":[{"t":[{},[5,4]]}]},[2,1]],"w":[{},[2,1]],"x":[{},[2,1]],"z":[{},[2,1]],"ž":[{},[2,1]],"ŕ":[{"č":[{},[3,2,3]],"d":[{},[3,2,3]],"k":[{},[3,2,3]],"m":[{"n":[{},[3,4,4,3]]},[3,2,3]]}],"o":[{"s":[{"t":[{"r":[{"č":[{},[0,0,4,3,4,3]]}]}]}]}]}],"l":[{"b":[{},[2,1]],"c":[{"h":[{},[2,1,2]]},[2,1]],"č":[{},[2,1]],"d":[{"z":[{},[2,1,2]],"ž":[{},[2,1,2]],"r":[{},[0,3,2]]},[2,1]],"ď":[{},[2,1]],"f":[{},[2,1]],"g":[{},[2,1]],"h":[{},[2,1]],"j":[{},[2,1]],"k":[{},[2,1]],"l":[{},[2,1]],"ľ":[{},[2,1]],"m":[{},[2,1]],"n":[{},[2,1]],"ň":[{},[2,1]],"p":[{"s":[{"k":[{},[0,4,3,4]]}]},[2,1]],"r":[{},[2,1]],"s":[{"k":[{},[0,3,4]]},[2,1]],"š":[{},[2,1]],"t":[{"r":[{},[0,3,2]],"k":[{"a":[{".":[{},[0,2,3,2]],"m":[{"i":[{".":[{},[0,2,3,2,1]]}]}]}],"y":[{".":[{},[0,2,3,2]]}],"e":[{".":[{},[0,2,3,2]]}],"u":[{".":[{},[0,2,3,2]]}],"o":[{"u":[{".":[{},[0,2,3,2]]}]}],"á":[{"m":[{".":[{},[0,2,3,2]]}],"c":[{"h":[{".":[{},[0,2,3,2]]}]}]}]}],"s":[{"k":[{},[0,4,3,4]]}],".":[{},[4]]},[2,1]],"ť":[{},[2,1]],"v":[{},[2,1]],"z":[{},[2,1]],"ž":[{},[2,1]],"e":[{"u":[{"k":[{"é":[{"m":[{"i":[{"a":[{},[0,0,2,3]]}]}]}]}]}]}]}],"ľ":[{"b":[{},[2,1]],"c":[{"h":[{},[2,1,2]]},[2,1]],"č":[{},[2,1]],"d":[{"z":[{},[2,1,2]],"ž":[{},[2,1,2]]},[2,1]],"ď":[{},[2,1]],"f":[{},[2,1]],"g":[{},[2,1]],"h":[{},[2,1]],"j":[{},[2,1]],"k":[{"n":[{},[0,3,2]]},[2,1]],"l":[{},[2,1]],"ľ":[{},[2,1]],"m":[{},[2,1]],"n":[{},[2,1]],"ň":[{},[2,1]],"p":[{},[2,1]],"r":[{},[2,1]],"s":[{"k":[{},[0,3,4]],"t":[{"v":[{},[0,3,4,4]]}]},[2,1]],"š":[{},[2,1]],"t":[{},[2,1]],"ť":[{},[2,1]],"v":[{},[2,1]],"z":[{},[2,1]],"ž":[{},[2,1]]}],"m":[{"b":[{"l":[{},[0,3,2]],"ľ":[{},[0,3,2]],"r":[{},[0,3,2]]},[2,1]],"c":[{"h":[{},[2,1,2]]},[2,1]],"č":[{},[2,1]],"d":[{"z":[{},[2,1,2]],"ž":[{},[2,1,2]]},[2,1]],"ď":[{},[2,1]],"f":[{"l":[{},[0,3,2]],"r":[{},[0,3,2]]},[2,1]],"g":[{},[2,1]],"h":[{},[2,1]],"j":[{},[2,1]],"k":[{"n":[{},[0,3,2]]},[2,1]],"l":[{"č":[{"k":[{},[3,2,4,3]]},[3,2,3]],"k":[{},[3,2,3]],"s":[{"n":[{},[3,2,4,3]]}],"a":[{"d":[{"i":[{"s":[{"t":[{"v":[{},[5,4,0,0,0,0,4,3]]}]}]}]}]}]},[2,1]],"ľ":[{"k":[{"n":[{},[3,2,4,3]],"v":[{},[3,2,4,3]]}]},[2,1]],"m":[{},[2,1]],"n":[{"o":[{"ž":[{},[5,4]]}]},[2,1]],"ň":[{},[2,1]],"p":[{"l":[{},[0,3,2]],"ľ":[{},[0,3,2]],"r":[{"p":[{},[0,3,4,3]],"v":[{},[0,3,4,3]],".":[{},[4,4,4]]},[0,3,2]],"s":[{"k":[{},[4,4,3,4]],".":[{},[4,4,4]]},[0,3,2]]},[2,1]],"r":[{"h":[{},[3,2,3]],"c":[{"h":[{},[0,2,3,4]]}],"k":[{"n":[{},[3,4,4,3]],"v":[{},[3,4,4,3]]},[3,2,3]],"l":[{},[0,2,3]],"š":[{},[0,2,3]],"t":[{},[0,2,3]],"v":[{},[3,2,3]],"z":[{"l":[{},[3,4,4,3]],"k":[{},[3,4,4,3]],"n":[{},[3,4,4,3]]},[3,2,3]],"m":[{"l":[{},[3,4,4,3]]}],"n":[{"č":[{},[3,4,4,3]],"k":[{},[3,4,4,3]]}],"a":[{"v":[{},[5,4]]}],"á":[{"z":[{},[5,4]]}]},[2,1]],"s":[{"t":[{"v":[{},[0,3,4,4]]},[0,3,2]],"k":[{},[4,3,4]]},[2,1]],"š":[{"t":[{".":[{},[4,4,4]]},[0,3,2]]},[2,1]],"t":[{},[2,1]],"ť":[{},[2,1]],"v":[{},[2,1]],"z":[{},[2,1]],"ž":[{},[2,1]],"ŕ":[{"z":[{},[3,2,3]],"š":[{"t":[{},[3,4,4,3]]}],"t":[{"v":[{},[3,4,4,3]]}]}],"a":[{"š":[{"k":[{"r":[{"t":[{"n":[{},[0,0,0,3,4,4,3]]},[0,0,0,3,4,3]]}]}]}]}]}],"n":[{"b":[{},[2,1]],"c":[{"h":[{},[2,1,2]]},[2,1]],"č":[{"n":[{"ý":[{".":[{},[0,4,3]],"m":[{".":[{},[0,4,3]],"i":[{".":[{},[0,4,3]]}]}],"c":[{"h":[{".":[{},[0,4,3]]}]}]}],"é":[{"h":[{"o":[{".":[{},[0,4,3]]}]}],"m":[{"u":[{".":[{},[0,4,3]]}]}],".":[{},[0,4,3]]}],"o":[{"m":[{".":[{},[0,4,3]]}],"u":[{".":[{},[0,4,3]]}]}],"á":[{".":[{},[0,4,3]]}],"e":[{"j":[{".":[{},[0,4,3]]}]}],"ú":[{".":[{},[0,4,3]]}],"í":[{".":[{},[0,4,3]]}]}]},[2,1]],"d":[{"z":[{},[2,1,2]],"ž":[{},[2,1,2]],"ľ":[{"a":[{},[0,3]]}],"r":[{},[0,3,2]],"s":[{"k":[{},[0,4,3,4]]}],"č":[{},[0,2,3]]},[2,1]],"ď":[{},[2,1]],"f":[{"l":[{},[0,3,2]],"r":[{},[0,3,2]]},[2,1]],"g":[{"h":[{},[0,3,2]],"l":[{},[0,3,2]],"ľ":[{},[0,3,2]],"n":[{},[0,2,3]],"r":[{},[0,3,2]],"v":[{},[0,3,2]],"s":[{"t":[{},[0,4,3,4]]}]},[2,1]],"h":[{},[2,1]],"j":[{},[2,1]],"k":[{"c":[{},[0,3,2]],"h":[{},[0,3,2]],"n":[{},[0,3,2]],"r":[{},[0,3,2]],"v":[{},[0,3,2]],"č":[{"n":[{},[0,4,4,3]]}],"t":[{"k":[{},[0,2,2,3]],"s":[{"k":[{},[0,4,4,3,4]]}],".":[{},[4,4,4]]}]},[2,1]],"l":[{},[2,1]],"ľ":[{},[2,1]],"m":[{},[2,1]],"n":[{},[2,1]],"ň":[{},[2,1]],"p":[{},[2,1]],"r":[{},[2,1]],"s":[{"c":[{},[0,3,2]],"k":[{},[0,3,4]],"t":[{"v":[{},[0,3,4,4]]}]},[2,1]],"š":[{"p":[{},[0,3,2]],"t":[{"r":[{},[0,3,4,4]]},[0,3,2]]},[2,1]],"t":[{"g":[{},[0,3,2]],"l":[{"m":[{},[0,3,4,3]]},[0,3,2]],"n":[{"ý":[{".":[{},[0,4,3]],"m":[{".":[{},[0,4,3]],"i":[{".":[{},[0,4,3]]}]}],"c":[{"h":[{".":[{},[0,4,3]]}]}]}],"é":[{"h":[{"o":[{".":[{},[0,4,3]]}]}],"m":[{"u":[{".":[{},[0,4,3]]}]}],".":[{},[0,4,3]]}],"o":[{"m":[{".":[{},[0,4,3]]}],"u":[{".":[{},[0,4,3]]}]}],"á":[{".":[{},[0,4,3]]}],"e":[{"j":[{".":[{},[0,4,3]]}]}],"ú":[{".":[{},[0,4,3]]}],"í":[{".":[{},[0,4,3]]}]},[0,3,2]],"r":[{},[0,3,2]],"k":[{"a":[{".":[{},[0,2,3,2]],"m":[{"i":[{".":[{},[0,2,3,2,1]]}]}]}],"y":[{".":[{},[0,2,3,2]]}],"e":[{".":[{},[0,2,3,2]]}],"u":[{".":[{},[0,2,3,2]]}],"o":[{"u":[{".":[{},[0,2,3,2]]}]}],"á":[{"m":[{".":[{},[0,2,3,2]]}],"c":[{"h":[{".":[{},[0,2,3,2]]}]}]}]}],"s":[{"k":[{},[0,4,3,4]],"t":[{"v":[{},[0,4,3,4,4]]}]}]},[2,1]],"ť":[{},[2,1]],"v":[{},[2,1]],"w":[{},[2,1]],"x":[{},[2,1]],"z":[{},[2,1]],"ž":[{"m":[{},[0,2,3]]},[2,1]],"o":[{"z":[{"d":[{"r":[{},[0,0,0,5,4]]}]}]}],"a":[{"d":[{"ž":[{"g":[{"a":[{},[0,0,5,4,4]],"á":[{},[0,0,5,4,4]]}]}]}],"v":[{"š":[{"t":[{"e":[{"v":[{},[0,0,0,3,4]]}],"í":[{"v":[{},[0,0,0,3,4]]}]}]}]}]}],"á":[{"v":[{"š":[{"t":[{"e":[{"v":[{},[0,0,0,3,4]]}]}]}]}]}]}],"ň":[{"b":[{},[2,1]],"c":[{"h":[{},[2,1,2]]},[2,1]],"č":[{},[2,1]],"d":[{"z":[{},[2,1,2]],"ž":[{},[2,1,2]]},[2,1]],"ď":[{},[2,1]],"f":[{},[2,1]],"g":[{},[2,1]],"h":[{},[2,1]],"j":[{},[2,1]],"k":[{},[2,1]],"l":[{},[2,1]],"ľ":[{},[2,1]],"m":[{},[2,1]],"n":[{},[2,1]],"ň":[{},[2,1]],"p":[{},[2,1]],"r":[{},[2,1]],"s":[{},[2,1]],"š":[{},[2,1]],"t":[{},[2,1]],"ť":[{},[2,1]],"v":[{},[2,1]],"z":[{},[2,1]],"ž":[{},[2,1]]}],"p":[{"b":[{},[2,1]],"c":[{"h":[{},[2,1,2]]},[2,1]],"č":[{},[2,1]],"d":[{"z":[{},[2,1,2]],"ž":[{},[2,1,2]]},[2,1]],"ď":[{},[2,1]],"f":[{},[2,1]],"g":[{},[2,1]],"h":[{},[2,1]],"j":[{},[2,1]],"k":[{},[2,1]],"l":[{"n":[{},[3,2,3]],"ň":[{},[3,2,3]],"z":[{"l":[{},[3,2,4,3]]},[3,2,3]],"á":[{"n":[{},[5,4]]}],"a":[{"s":[{"t":[{"i":[{"k":[{},[5,4]]}]}]}],"t":[{},[5,4]],"v":[{},[5,4]]}],"e":[{"t":[{"a":[{},[5,4]],"i":[{"e":[{},[5,4]]}],"ú":[{},[5,4]]}]}],"i":[{"e":[{"s":[{"ť":[{},[5,4]]}]}]}]},[2,1]],"ľ":[{"ň":[{},[3,2,3]],"z":[{"n":[{},[3,2,4,3]]},[3,2,3]],"ž":[{},[3,2,3]]},[2,1]],"m":[{},[2,1]],"n":[{"e":[{"u":[{"m":[{"a":[{"t":[{},[5,4,0,2]]}]}]}]}]},[2,1]],"ň":[{},[2,1]],"p":[{},[2,1]],"r":[{"č":[{"k":[{},[3,2,4,3]]},[3,2,3]],"d":[{"n":[{},[3,4,4,3]]},[3,2,3]],"s":[{"k":[{},[3,4,4,3]],"t":[{},[5,4,4,3]]},[3,2,3]],"š":[{},[3,2,3]],"t":[{"k":[{},[3,4,4,3]]}],"o":[{"g":[{"r":[{"a":[{"m":[{},[0,0,0,6,5]]}]}]}],"d":[{"u":[{"k":[{},[5,4]]}]}]}],"á":[{"v":[{},[5,4]]}],"i":[{"a":[{"m":[{},[5,4]]}],"r":[{"o":[{"d":[{},[5,4]]}]}],"s":[{"á":[{"m":[{},[5,2]]}]}]}],"v":[{".":[{},[4,4,4]]}]},[2,1]],"s":[{"k":[{},[0,3,4]],"t":[{"v":[{},[0,3,4,4]]}]},[2,1]],"š":[{"ť":[{},[0,3,2]]},[2,1]],"t":[{"r":[{},[0,3,2]],"k":[{"a":[{".":[{},[0,2,3,2]],"m":[{"i":[{".":[{},[0,2,3,2,1]]}]}]}],"y":[{".":[{},[0,2,3,2]]}],"e":[{".":[{},[0,2,3,2]]}],"u":[{".":[{},[0,2,3,2]]}],"o":[{"u":[{".":[{},[0,2,3,2]]}]}],"á":[{"m":[{".":[{},[0,2,3,2]]}],"c":[{"h":[{".":[{},[0,2,3,2]]}]}]}]}],"s":[{"k":[{},[0,4,3,4]]}]},[2,1]],"ť":[{},[2,1]],"v":[{},[2,1]],"w":[{},[2,1]],"x":[{},[2,1]],"z":[{},[2,1]],"ž":[{},[2,1]],"ŕ":[{"c":[{"n":[{},[0,2,4,3]],"h":[{"n":[{},[3,4,4,2,3]]}]},[3,2,3]]}],"ä":[{"ť":[{"s":[{"t":[{"o":[{},[5,0,0,5,4]]}]}]},[5,0,0,5]]}]}],"r":[{"b":[{"n":[{},[0,2,3]]},[2,1]],"c":[{"h":[{},[2,1,2]]},[2,1]],"č":[{},[2,1]],"d":[{"z":[{},[2,1,2]],"ž":[{},[2,1,2]],"n":[{"ý":[{".":[{},[0,4,3]],"m":[{".":[{},[0,4,3]],"i":[{".":[{},[0,4,3]]}]}],"c":[{"h":[{".":[{},[0,4,3]]}]}]}],"é":[{"h":[{"o":[{".":[{},[0,4,3]]}]}],"m":[{"u":[{".":[{},[0,4,3]]}]}],".":[{},[0,4,3]]}],"o":[{"m":[{".":[{},[0,4,3]]}],"u":[{".":[{},[0,4,3]]}]}],"á":[{".":[{},[0,4,3]]}],"e":[{"j":[{".":[{},[0,4,3]]}]}],"ú":[{".":[{},[0,4,3]]}],"í":[{".":[{},[0,4,3]]}]}],".":[{},[4]]},[2,1]],"ď":[{},[2,1]],"f":[{},[2,1]],"g":[{"ľ":[{},[0,3,2]],"r":[{},[0,3,2]],"s":[{},[0,3,2]]},[2,1]],"h":[{},[2,1]],"j":[{},[2,1]],"k":[{"d":[{},[0,3,2]],"n":[{},[0,2,3]],"t":[{},[0,3,2]],"v":[{},[0,3,2]]},[2,1]],"l":[{},[2,1]],"ľ":[{},[2,1]],"m":[{"n":[{"ý":[{".":[{},[0,4,3]],"m":[{".":[{},[0,4,3]],"i":[{".":[{},[0,4,3]]}]}],"c":[{"h":[{".":[{},[0,4,3]]}]}]}],"é":[{"h":[{"o":[{".":[{},[0,4,3]]}]}],"m":[{"u":[{".":[{},[0,4,3]]}]}],".":[{},[0,4,3]]}],"o":[{"m":[{".":[{},[0,4,3]]}],"u":[{".":[{},[0,4,3]]}]}],"á":[{".":[{},[0,4,3]]}],"e":[{"j":[{".":[{},[0,4,3]]}]}],"ú":[{".":[{},[0,4,3]]}],"í":[{".":[{},[0,4,3]]}]}]},[2,1]],"n":[{},[2,1]],"ň":[{},[2,1]],"p":[{"c":[{},[0,3,2]],"č":[{"n":[{},[0,4,4,3]]},[0,3,2]],"r":[{},[0,3,2]],"t":[{".":[{},[0,4,4]]}]},[2,1]],"r":[{},[2,1]],"s":[{"p":[{},[0,3,2]],"k":[{"d":[{},[0,2,3,4]],"t":[{},[0,2,3,4]]},[0,3,4]],"t":[{"v":[{},[0,3,4,4]]}]},[2,1]],"š":[{"č":[{".":[{},[0,4,4]]},[0,3,2]],"l":[{},[0,3,2]],"r":[{},[0,3,2]]},[2,1]],"t":[{"m":[{},[0,2,3]],"n":[{"ý":[{".":[{},[0,4,3]],"m":[{".":[{},[0,4,3]],"i":[{".":[{},[0,4,3]]}]}],"c":[{"h":[{".":[{},[0,4,3]]}]}]}],"é":[{"h":[{"o":[{".":[{},[0,4,3]]}]}],"m":[{"u":[{".":[{},[0,4,3]]}]}],".":[{},[0,4,3]]}],"o":[{"m":[{".":[{},[0,4,3]]}],"u":[{".":[{},[0,4,3]]}]}],"á":[{".":[{},[0,4,3]]}],"e":[{"j":[{".":[{},[0,4,3]]}]}],"ú":[{".":[{},[0,4,3]]}],"í":[{".":[{},[0,4,3]]}]},[0,3,2]],"ň":[{},[0,2,3]],"r":[{},[0,3,2]],"v":[{},[0,3,2]],"s":[{"k":[{},[0,4,3,4]]}],"z":[{".":[{},[0,4,4]]}]},[2,1]],"ť":[{},[2,1]],"v":[{"s":[{"t":[{"v":[{},[0,4,5,4,4]]}]}]},[2,1]],"w":[{},[2,1]],"x":[{},[2,1]],"z":[{"s":[{"k":[{},[0,4,5,4]]}],"š":[{"t":[{},[0,4,3,2,2]]}]},[2,1]],"ž":[{},[2,1]]}],"s":[{"b":[{},[2,1]],"c":[{"h":[{"n":[{},[3,4,4,4]],"o":[{"p":[{"n":[{},[5,4,2]]}]}]},[2,1,2]]},[2,1]],"č":[{},[2,1]],"d":[{"z":[{},[2,1,2]],"ž":[{},[2,1,2]]},[2,1]],"ď":[{},[2,1]],"f":[{"é":[{"r":[{},[5,4]]}]},[2,1]],"g":[{},[2,1]],"h":[{},[2,1]],"j":[{},[2,1]],"k":[{"l":[{"a":[{"d":[{},[5,4,4]]}],"o":[{"n":[{},[5,4,4]]}]},[0,2,3]],"m":[{},[0,2,3]],"n":[{},[0,2,3]],"r":[{"z":[{},[3,4,4,3]],"o":[{"m":[{"n":[{"e":[{},[5,4,4]]}]}],"t":[{},[5,4,4]]}],"ú":[{"c":[{},[5,4,4]]}],"u":[{"t":[{"k":[{},[5,4,4]]}]}],"ý":[{"v":[{},[5,4,4]]}]},[0,3,2]],"v":[{"ú":[{"c":[{},[5,4,4]]}]},[0,3,2]],"o":[{"č":[{},[5,4]],"k":[{},[5,4]],"p":[{},[5,4]],"r":[{},[5,4]]}],"ô":[{"r":[{},[5,4]]}],"ú":[{"s":[{"e":[{"n":[{},[5,4]]}]}]}],"u":[{"t":[{"o":[{"č":[{},[5,4]]}]}]}]},[2,1]],"l":[{"n":[{"k":[{},[3,4,4,3]]},[3,2,3]],"ň":[{},[3,2,3]],"z":[{},[3,2,3]],"a":[{"d":[{"k":[{},[5,4]]}],"v":[{},[5,4]]}],"á":[{"v":[{},[5,4]]}],"e":[{"d":[{},[5,4]],"p":[{},[5,4]]}],"o":[{"v":[{"n":[{},[5,4]],"e":[{},[5,4]],"a":[{},[5,4]],"k":[{},[5,4]]}]}],"u":[{"h":[{},[5,4]]}],"ú":[{"ž":[{},[5,4]]}]},[2,1]],"ľ":[{"u":[{"b":[{},[5,4]]}]},[2,1]],"m":[{"r":[{"c":[{},[3,4,4,3]],"č":[{},[3,4,4,3]],"d":[{},[3,4,4,3]],"k":[{},[3,4,4,3]],"t":[{"k":[{},[3,4,4,4,3]]},[3,4,4,3]],"š":[{"ť":[{},[3,4,4,4,3]]}]}],"a":[{"ž":[{},[5,4]]}],"e":[{"l":[{},[5,4]],"r":[{},[5,4]]}]},[2,1]],"n":[{},[2,1]],"ň":[{},[2,1]],"p":[{"r":[{"c":[{"h":[{},[3,4,4,3,4]]}],"á":[{"v":[{"n":[{},[5,4,4]]},[0,6]]}],"a":[{"v":[{"o":[{"d":[{},[5,4,4]]},[5,4,4]],"e":[{"d":[{},[5,4,4]]}]}]}]},[0,3,2]],"o":[{"l":[{"u":[{"h":[{},[3,4,0,0,0,5,4]],"p":[{},[3,4,0,0,0,5,4]],"v":[{},[3,4,0,0,0,5,4]]},[3,4,0,0,0,5]]}],"r":[{},[5,4]],"t":[{"r":[{"e":[{"b":[{},[5,4]]}]}]}]}],"i":[{"e":[{"v":[{},[5,4]]}]}],"e":[{"v":[{},[5,4]]}]},[2,1]],"r":[{"d":[{"c":[{},[3,4,4,3]]},[3,2,3]],"š":[{},[3,4,3]],"k":[{"n":[{},[3,4,4,3]]}],"s":[{"t":[{},[3,4,4,3]]}],"b":[{"s":[{"k":[{},[5,4,4,3,4]]}]}]},[2,1]],"s":[{},[2,1]],"š":[{},[2,1]],"t":[{"k":[{"a":[{".":[{},[0,2,3,2]],"m":[{"i":[{".":[{},[0,2,3,2,1]]}]}]}],"y":[{".":[{},[0,2,3,2]]}],"e":[{".":[{},[0,2,3,2]]}],"u":[{".":[{},[0,2,3,2]]}],"o":[{"u":[{".":[{},[0,2,3,2]]}]}],"á":[{"m":[{".":[{},[0,2,3,2]]}],"c":[{"h":[{".":[{},[0,2,3,2]]}]}]}]},[0,3,2]],"l":[{"a":[{},[5,4,4]]},[0,2,3]],"m":[{},[0,3,2]],"n":[{"ý":[{".":[{},[0,4,3]],"m":[{".":[{},[0,4,3]],"i":[{".":[{},[0,4,3]]}]}],"c":[{"h":[{".":[{},[0,4,3]]}]}]}],"é":[{"h":[{"o":[{".":[{},[0,4,3]]}]}],"m":[{"u":[{".":[{},[0,4,3]]}]}],".":[{},[0,4,3]]}],"o":[{"m":[{".":[{},[0,4,3]]}],"u":[{".":[{},[0,4,3]]}]}],"á":[{".":[{},[0,4,3]]}],"e":[{"j":[{".":[{},[0,4,3]]}]}],"ú":[{".":[{},[0,4,3]]}],"í":[{".":[{},[0,4,3]]}]},[0,2,3]],"r":[{"b":[{},[0,3,4,3]],"č":[{},[3,4,4,3]],"k":[{},[3,4,4,3]],"v":[{},[0,4,4,3]],"n":[{"k":[{},[0,3,4,4,3]]}],"a":[{"c":[{"h":[{},[5,4,4]]}],"n":[{},[5,4,4]],"š":[{},[5,4,4]],"t":[{},[5,4,2]]}],"á":[{"n":[{},[5,4,4]],"d":[{"a":[{},[5,4,4]]}]}],"e":[{"d":[{},[5,4,2]],"k":[{},[5,4,2]],"l":[{},[5,4,4]],"ľ":[{},[5,4,4]]}],"i":[{"e":[{"l":[{},[5,4,4]],"ľ":[{},[5,4,4]]}],"h":[{},[5,4,4]],"ž":[{},[5,4,4]]}],"o":[{"m":[{},[5,4,4]]}],"ú":[{"h":[{},[5,4,4]]}],"u":[{"n":[{},[5,4,4]],"ž":[{},[5,4,4]]}]},[0,3,2]],"v":[{},[0,3,2]],"ľ":[{"k":[{},[3,4,4,3]]}],"ŕ":[{"h":[{},[3,4,4,3]]}],"a":[{"r":[{"o":[{"s":[{"t":[{},[5,4]]}]}]}],"t":[{"i":[{"c":[{},[5,4]]},[5,4]]}],"v":[{},[5,4]]}],"u":[{"p":[{},[5,4]]}],".":[{},[4]],"o":[{"k":[{"r":[{"á":[{"t":[{".":[{},[5,4,0,5,4]]}]}]}]}]}]},[2,1]],"ť":[{"h":[{},[0,2,3]],"m":[{},[0,2,3]],"p":[{},[0,2,3]],"k":[{"r":[{"á":[{"t":[{},[4,4,5,4]]}]}]}],".":[{},[4]]},[2,1]],"v":[{"e":[{"d":[{},[5,4]]}]},[2,1]],"z":[{},[2,1]],"ž":[{},[2,1]],"ŕ":[{"k":[{},[3,4,3]]}],"e":[{"d":[{"e":[{"m":[{"s":[{"t":[{"o":[{},[5,0,0,0,0,5,4]]}]}]}]}]}]}]}],"š":[{"b":[{},[2,1]],"c":[{"h":[{},[2,1,2]]},[2,1]],"č":[{},[2,1]],"d":[{"z":[{},[2,1,2]],"ž":[{},[2,1,2]]},[2,1]],"ď":[{},[2,1]],"f":[{},[2,1]],"g":[{},[2,1]],"h":[{},[2,1]],"j":[{},[2,1]],"k":[{"l":[{"b":[{"n":[{},[3,4,4,4,3]]},[3,4,4,3]]},[0,3,2]],"r":[{"k":[{},[3,4,4,3]],"t":[{"n":[{},[3,4,4,4,3]]},[3,4,4,3]],"a":[{"b":[{},[5,4,4]]}],"i":[{"e":[{},[5,4,4]]}]},[0,3,2]],"ŕ":[{"k":[{},[3,4,4,3]]}],"v":[{"r":[{"č":[{},[3,4,4,4,3]],"k":[{"n":[{},[3,4,4,4,4,3]]},[3,4,4,4,3]],"n":[{},[3,4,4,4,3]]}],"ŕ":[{"k":[{"n":[{},[3,4,4,4,4,3]]},[3,4,4,4,3]]}]}],"o":[{"l":[{"a":[{},[5,4]]}]}]},[2,1]],"l":[{"i":[{"a":[{"p":[{},[5,4]]}]}]},[2,1]],"ľ":[{"a":[{"h":[{},[5,4]]}]},[2,1]],"m":[{"r":[{"d":[{"k":[{},[3,4,4,4,3]]}],"n":[{"c":[{},[3,4,4,4,3]]}]}]},[2,1]],"n":[{},[2,1]],"ň":[{},[2,1]],"p":[{"l":[{"h":[{"n":[{},[3,4,4,4,3]]},[3,4,4,3]],"i":[{"e":[{"c":[{"h":[{},[5,4,4]]}]}]}]}],"i":[{"n":[{},[5,4]]}],"r":[{"i":[{"n":[{"t":[{},[5,4]]}]}]}]},[2,1]],"r":[{},[2,1]],"s":[{"k":[{},[0,3,4]],"t":[{"v":[{},[0,3,4,4]]}]},[2,1]],"š":[{},[2,1]],"t":[{"r":[{"b":[{},[3,4,4,3]],"n":[{"g":[{},[3,3,4,4,3]]},[0,4,4,3]],"k":[{"n":[{},[3,4,4,4,3]]}],"u":[{"k":[{"t":[{"ú":[{"r":[{},[5,4,4]]}]}]}]}]},[0,3,2]],"v":[{"r":[{"t":[{},[3,4,4,4,3]],"ť":[{"k":[{},[5,4,4,4,4,5,4]],"l":[{},[5,4,4,4,4,5,4]],"r":[{},[5,4,4,4,4,5,4]],"s":[{},[5,4,4,4,4,5,4]]},[3,4,4,4,3]]}],"e":[{"r":[{"a":[{},[5,4,4]]}]}],"o":[{"r":[{"e":[{"c":[{},[5,4,4]]}]}]}]},[3,4,4]],"y":[{"r":[{"i":[{"s":[{"t":[{"o":[{},[5,4,0,0,0,5,4]]}]}]}]}],"l":[{"i":[{},[5,4]]}]}],"a":[{"r":[{"t":[{},[5,4]]}]}],"á":[{"t":[{},[5,4]]}],"e":[{"p":[{},[5,4]]}],"í":[{"t":[{},[5,4]]}],"u":[{"d":[{"e":[{},[5,4]],"o":[{},[5,4]]}]}],"i":[{"e":[{"p":[{},[5,0,0,0,0,4]]}]}]},[2,1]],"ť":[{"a":[{"s":[{"t":[{},[5,4]]}]}]},[2,1]],"v":[{},[2,1]],"w":[{},[2,1]],"x":[{},[2,1]],"z":[{},[2,1]],"ž":[{},[2,1]],"e":[{"s":[{"ť":[{"s":[{"t":[{"o":[{},[5,0,0,4,5,4]]}]}]},[5,0,0,4,5]]}]}]}],"t":[{"b":[{},[2,1]],"c":[{"h":[{},[2,1,2]]},[2,1]],"č":[{},[2,1]],"d":[{"z":[{},[2,1,2]],"ž":[{},[2,1,2]]},[2,1]],"ď":[{},[2,1]],"f":[{},[2,1]],"g":[{},[2,1]],"h":[{"l":[{},[0,3,2]]},[2,1]],"j":[{},[2,1]],"k":[{"l":[{},[0,3,2]],"n":[{},[0,3,2]]},[2,1]],"l":[{"č":[{},[3,2,3]],"k":[{},[3,2,3]],"a":[{"č":[{},[5,4]],"k":[{},[5,4]]}]},[2,1]],"ľ":[{"c":[{"ť":[{".":[{},[5,4,4,4]]},[3,2,4,3]]}]},[2,1]],"m":[{},[2,1]],"n":[{},[2,1]],"ň":[{},[2,1]],"p":[{},[2,1]],"r":[{"č":[{"k":[{},[0,2,4,3]]},[3,4,3]],"h":[{"l":[{},[3,2,4,3]],"n":[{},[3,2,4,3]]},[3,4,3]],"l":[{},[3,2,3]],"k":[{"n":[{},[3,2,4,3]],"v":[{},[3,2,4,3]]},[3,2,3]],"m":[{"n":[{},[3,2,4,3]]},[3,2,3]],"n":[{},[3,2,3]],"p":[{},[3,4,3]],"v":[{"a":[{"j":[{},[5,4,4]],"l":[{},[5,4,4]],"n":[{},[5,4,4]]}]},[3,2,3]],"b":[{"l":[{},[3,2,4,3]]}],"d":[{"l":[{},[3,2,4,3]]}],"ž":[{"k":[{},[3,2,4,3]],"n":[{},[3,2,4,3]]}],"i":[{"s":[{"t":[{"o":[{},[5,2,0,5,4]]}]}],"e":[{"d":[{},[5,4]]}],"u":[{"m":[{"f":[{},[0,2,0,3,2]]}]}]}],"a":[{"n":[{"s":[{},[5,4,0,0,4,5]]}],"s":[{},[5,4]]}],"e":[{"s":[{"k":[{},[5,4]]}],"t":[{"i":[{"n":[{},[5,4]]}]}]}],"u":[{"b":[{},[5,4]]}]},[2,1]],"s":[{"k":[{},[0,3,4]],"t":[{"v":[{},[0,3,4,4]]}]},[2,1]],"š":[{},[2,1]],"t":[{},[2,1]],"ť":[{},[2,1]],"v":[{"r":[{"d":[{"z":[{},[3,2,4,3,4]],"n":[{},[3,4,4,4,3]]},[3,2,4,3]]}],"ŕ":[{"d":[{"z":[{},[3,2,4,3,4]]}]}]},[2,1]],"w":[{},[2,1]],"x":[{},[2,1]],"z":[{},[2,1]],"ž":[{},[2,1]],"ŕ":[{"n":[{},[3,2,3]],"ň":[{},[3,2,3]],"ž":[{},[3,2,3]],"p":[{"n":[{},[3,4,4,3]]}]}]}],"ť":[{"b":[{},[2,1]],"c":[{"h":[{},[2,1,2]]},[2,1]],"č":[{},[2,1]],"d":[{"z":[{},[2,1,2]],"ž":[{},[2,1,2]]},[2,1]],"ď":[{},[2,1]],"f":[{},[2,1]],"g":[{},[2,1]],"h":[{},[2,1]],"j":[{},[2,1]],"k":[{},[2,1]],"l":[{},[2,1]],"ľ":[{},[2,1]],"m":[{},[2,1]],"n":[{},[2,1]],"ň":[{},[2,1]],"p":[{},[2,1]],"r":[{},[2,1]],"s":[{},[2,1]],"š":[{},[2,1]],"t":[{},[2,1]],"ť":[{},[2,1]],"v":[{},[2,1]],"w":[{},[2,1]],"x":[{},[2,1]],"z":[{},[2,1]],"ž":[{},[2,1]]}],"v":[{"b":[{},[2,1]],"c":[{"h":[{},[2,1,2]]},[2,1]],"č":[{"e":[{"r":[{"a":[{},[5,4]]}]}]},[2,1]],"d":[{"z":[{},[2,1,2]],"ž":[{},[2,1,2]]},[2,1]],"ď":[{},[2,1]],"f":[{},[2,1]],"g":[{},[2,1]],"h":[{},[2,1]],"j":[{},[2,1]],"k":[{},[2,1]],"l":[{"č":[{},[3,2,3]],"h":[{"č":[{},[3,2,4,3]],"k":[{},[3,2,4,3]],"n":[{},[3,2,4,3]]},[3,2,3]],"k":[{},[3,2,3]],"n":[{"k":[{},[3,2,4,3]],"n":[{},[3,2,4,3]]},[3,2,3]],"á":[{"d":[{},[5,4]]}],"a":[{"s":[{},[5,4]]}]},[2,1]],"ľ":[{"č":[{},[3,2,3]]},[2,1]],"m":[{},[2,1]],"n":[{},[2,1]],"ň":[{},[2,1]],"p":[{},[2,1]],"r":[{"h":[{"n":[{},[3,4,4,3]]},[3,2,3]],"c":[{"h":[{},[3,2,3,2]]}],"l":[{},[3,2,3]],"z":[{"g":[{"n":[{},[3,4,4,3,4]]},[3,4,4,3]],"n":[{},[3,4,4,3]]},[3,2,3]],"k":[{"n":[{},[3,4,4,3]]}],"ž":[{"l":[{},[3,4,4,3]]}],"s":[{"t":[{"v":[{},[3,4,4,3,4]]}]}],"á":[{"s":[{},[5,4]],"t":[{},[5,4]]}],"a":[{"v":[{},[5,4]],"t":[{},[5,4]]}]},[2,1]],"s":[{"k":[{},[0,3,4]],"t":[{"v":[{},[0,3,4,4]]}]},[2,1]],"š":[{"i":[{"m":[{"n":[{},[5,4]]}]}]},[2,1]],"t":[{"á":[{"k":[{},[5,4]]}],"i":[{"p":[{},[5,4]]}]},[2,1]],"ť":[{},[2,1]],"v":[{},[2,1]],"w":[{},[2,1]],"x":[{},[2,1]],"z":[{"d":[{"u":[{},[5,4,4]]},[3,4,4]],"h":[{},[3,4,4]],"n":[{},[3,4,4]],"ť":[{"a":[{"h":[{},[5,4,4]],"ž":[{},[5,4,4]]}]},[3,3,2]]},[2,1]],"ž":[{},[2,1]],"ŕ":[{"š":[{},[3,2,3]],"t":[{},[3,2,3]],"z":[{"g":[{},[3,4,4,3]]},[3,2,3]]}],"i":[{"a":[{"c":[{"h":[{},[5,0,0,0,5,4]]}]}]}],"y":[{"s":[{"t":[{"r":[{"á":[{"j":[{"a":[{},[5,0,5,4,4]]}]}]}]}]}]}]}],"z":[{"b":[{},[2,1]],"c":[{"h":[{},[2,1,2]]},[2,1]],"č":[{},[2,1]],"d":[{"z":[{},[2,1,2]],"ž":[{},[2,1,2]],"n":[{"y":[{".":[{},[0,4,3]],"m":[{".":[{},[0,4,3]],"i":[{".":[{},[0,4,3]]}]}],"c":[{"h":[{".":[{},[0,4,3]]}]}]}],"e":[{"h":[{"o":[{".":[{},[0,4,3]]}]}],"m":[{"u":[{".":[{},[0,4,3]]}]}],".":[{},[0,4,3]],"j":[{".":[{},[0,4,3]]}]}],"o":[{"m":[{".":[{},[0,4,3]]}],"u":[{".":[{},[0,4,3]]}]}],"a":[{".":[{},[0,4,3]]}],"u":[{".":[{},[0,4,3]]}],"i":[{".":[{},[0,4,3]]}],"ý":[{".":[{},[0,4,3]],"m":[{".":[{},[0,4,3]],"i":[{".":[{},[0,4,3]]}]}],"c":[{"h":[{".":[{},[0,4,3]]}]}]}],"é":[{"h":[{"o":[{".":[{},[0,4,3]]}]}],"m":[{"u":[{".":[{},[0,4,3]]}]}],".":[{},[0,4,3]]}],"á":[{".":[{},[0,4,3]]}],"ú":[{".":[{},[0,4,3]]}],"í":[{".":[{},[0,4,3]]}]},[0,3,2]],"r":[{},[3,4,4]],"v":[{},[3,4,4]]},[2,1]],"ď":[{},[2,1]],"f":[{},[2,1]],"g":[{"n":[{},[0,3,2]]},[2,1]],"h":[{"r":[{},[3,4,4]],"ŕ":[{"ň":[{},[3,4,4,3]]}]},[2,1]],"j":[{},[2,1]],"k":[{},[2,1]],"l":[{"o":[{"m":[{},[5,4]]}],"u":[{"č":[{},[5,4]]}]},[2,1]],"ľ":[{},[2,1]],"m":[{"y":[{"s":[{"e":[{"l":[{},[5,4]]}],"l":[{},[5,4]]}]}]},[2,1]],"n":[{"a":[{"k":[{},[5,4]]}],"á":[{"m":[{},[5,4]],"š":[{"a":[{},[5,4]]}]}]},[2,1]],"ň":[{},[2,1]],"p":[{},[2,1]],"r":[{"k":[{},[3,2,3]],"n":[{"n":[{},[3,4,4,3]]},[3,2,3]],"a":[{"k":[{},[5,4]]}]},[2,1]],"s":[{"k":[{},[0,3,4]]},[2,1]],"š":[{"t":[{},[0,3,2,2]]},[2,1]],"t":[{},[2,1]],"ť":[{},[2,1]],"v":[{"l":[{},[3,4,4]],"ä":[{"z":[{},[5,4]]}],"e":[{"s":[{"t":[{},[5,4]],"ť":[{},[5,0,4]]}]}],"o":[{"d":[{},[5,4]]}],"u":[{"k":[{},[5,4]],"č":[{},[5,4]]}]},[2,1]],"z":[{},[2,1]],"ž":[{},[2,1]]}],"ž":[{"b":[{},[2,1]],"c":[{"h":[{},[2,1,2]]},[2,1]],"č":[{},[2,1]],"d":[{"z":[{},[2,1,2]],"ž":[{},[2,1,2]],"n":[{},[0,2,3]]},[2,1]],"ď":[{},[2,1]],"f":[{},[2,1]],"g":[{},[2,1]],"h":[{},[2,1]],"j":[{},[2,1]],"k":[{},[2,1]],"l":[{"č":[{"n":[{},[3,4,4,3]]},[3,2,3]],"t":[{"n":[{},[3,4,4,3]]},[3,2,3]]},[2,1]],"ľ":[{"t":[{},[3,2]]},[2,1]],"m":[{},[2,1]],"n":[{},[2,1]],"ň":[{},[2,1]],"p":[{},[2,1]],"r":[{"ď":[{},[3,2,3]],"d":[{"k":[{},[3,4,4,3]]}],"á":[{"č":[{},[5,4]]}],"a":[{"n":[{"e":[{},[5,4]]}]}],"e":[{"b":[{},[5,4]]}],"ú":[{"t":[{},[5,4]]}]},[2,1]],"s":[{"t":[{"v":[{},[0,3,4,4]]},[0,3,2]],"k":[{},[0,3,4]]},[2,1]],"š":[{},[2,1]],"t":[{},[2,1]],"ť":[{},[2,1]],"v":[{},[2,1]],"z":[{},[2,1]],"ž":[{},[2,1]]}],"x":[{"t":[{"r":[{},[0,3,2]]},[2,1]],"n":[{},[2,1]],"p":[{"l":[{},[0,3,2]],"r":[{},[0,3,2]]}]}],"ŕ":[{"b":[{},[2,1]],"d":[{"z":[{},[2,1,2]],"ž":[{},[2,1,2]]}]}]}';
  var hyphenation = [
    "dosť",
    "me-tó-da",
    "me-tó-dy",
    "ne-do-stat-ka-mi",
    "sep-tem-bra",
    ""
  ];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
