(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsSrCyrl = factory();
  }
})(this, function () {
  var patterns =
    '{".":[{"ђ":[{},[0,2]],"ћ":[{},[0,2]],"ч":[{},[0,2]],"ш":[{},[0,2]],"ж":[{},[0,2]],"а":[{"б":[{"а":[{"л":[{"и":[{"ј":[{},[0,2,3]]}]}],"н":[{"а":[{"ц":[{},[0,2,3]]}]}]}],"е":[{"р":[{"а":[{"ц":[{},[0,2,3]]}],"и":[{"р":[{},[0,2,3]]}]}],"в":[{"а":[{"к":[{},[0,2,3]]}]}]}],"и":[{"р":[{"и":[{"т":[{},[0,2,3]]}]}]}],"ј":[{"у":[{},[0,2,3]]}],"л":[{"а":[{},[0,2,3]],"е":[{"г":[{},[0,2,3]],"п":[{},[0,2,3]]}],"о":[{"к":[{},[0,2,3]]}],"у":[{},[0,2,3]]}],"о":[{"р":[{"и":[{"г":[{},[0,2,3]]}]}]}],"р":[{"е":[{"а":[{"к":[{},[0,2,3]]}]}],"о":[{"г":[{},[0,2,3]]}]}],"у":[{"з":[{"у":[{"с":[{},[0,2,3]]}]}]}]}],"д":[{"е":[{"р":[{"а":[{"ц":[{},[0,2,3]]}]}]}],"ј":[{},[0,2,3]],"л":[{"а":[{"т":[{},[0,2,3]]}]}],"р":[{"е":[{"н":[{},[0,2,3]]}],"о":[{"г":[{},[0,2,3]]}]}],"в":[{"е":[{"р":[{"б":[{},[0,2,3]]}]}]}]}],"н":[{"а":[{"е":[{"р":[{"о":[{},[0,2,3,4,2]]}]}],"ф":[{"и":[{"ј":[{},[0,2,3]],"л":[{"а":[{},[0,2]]}]}],"р":[{"о":[{"д":[{},[0,2,3]]}]}],"а":[{"з":[{},[0,2]]}],"о":[{"н":[{},[0,2]],"р":[{},[0,2]]}]}],"г":[{"о":[{},[0,2,3]],"е":[{"н":[{},[0,2]]}],"н":[{"о":[{},[0,2]]}],"р":[{"а":[{},[0,2]]}]}],"к":[{"у":[{"з":[{},[0,2,3]]}],"а":[{"л":[{},[0,2]],"м":[{},[0,2]],"т":[{},[0,2]]}],"е":[{"ф":[{},[0,2]]}],"л":[{"а":[{},[0,2]],"и":[{},[0,2]]}],"о":[{"ј":[{},[0,2]],"л":[{},[0,2]]}],"р":[{"о":[{"н":[{},[0,2]]}],"у":[{},[0,2]]}]}],"л":[{"д":[{},[0,2,3]],"ф":[{"а":[{},[0,2,3]]}],"г":[{},[0,2,3]],"е":[{"п":[{},[0,2]]}],"и":[{"с":[{},[0,2]],"т":[{},[0,2]],"з":[{},[0,2]]}]}],"м":[{"е":[{"р":[{"т":[{},[0,2,3]]}]}],"н":[{"е":[{},[0,2]]}]}],"н":[{"д":[{"р":[{},[0,2,3]]}],"т":[{},[0,2,3]],"е":[{"о":[{},[0,2]]}]}],"п":[{"т":[{"о":[{},[0,2,3]],"и":[{},[0,2]]}],"л":[{"а":[{},[0,2]],"е":[{},[0,2]]}],"н":[{"е":[{},[0,2]],"о":[{},[0,2]]}],"р":[{"о":[{},[0,2]]}]}],"р":[{"х":[{},[0,2,3]],"т":[{},[0,2]]}],"б":[{"а":[{"п":[{},[0,2]],"т":[{},[0,2]],"з":[{},[0,2]]}],"и":[{"о":[{},[0,2]]}],"о":[{"л":[{},[0,2]]}]}],"д":[{"е":[{"м":[{},[0,2]]}],"и":[{"п":[{"л":[{},[0,2]]}]}],"о":[{"з":[{},[0,2]]}]}],"х":[{"о":[{"р":[{},[0,2]]}],"р":[{"о":[{},[0,2]]}]}],"с":[{"а":[{"р":[{},[0,2]]}],"е":[{"и":[{},[0,2]]}],"п":[{"а":[{"з":[{},[0,2]]}]}],"т":[{"а":[{},[0,2]],"и":[{"г":[{},[0,2]]}],"о":[{"м":[{},[0,2]]}]}]}],"т":[{"и":[{"м":[{},[0,2]]}],"о":[{"ц":[{},[0,2]],"м":[{},[0,2]]}],"р":[{"е":[{},[0,2]],"и":[{},[0,2]],"о":[{},[0,2]]}]}]}],"е":[{"г":[{"е":[{"р":[{},[0,2,3]]}]}],"к":[{"л":[{},[0,2,3]],"у":[{"м":[{},[0,2,3]]}]}],"л":[{"е":[{"к":[{},[0,2,3]]}]}],"н":[{"е":[{"р":[{},[0,2,3]]}]}],"п":[{"и":[{},[0,2,3]]}],"р":[{"г":[{},[0,2,3]],"и":[{"т":[{},[0,2,3]]}]}],"с":[{"т":[{"е":[{},[0,2,3]]}]}],"о":[{"р":[{},[0,2]]}]}],"и":[{"д":[{"р":[{},[0,2,3]]}],"р":[{"и":[{"д":[{},[0,2,3]]}]}],"з":[{"о":[{"г":[{},[0,2,3]],"м":[{},[0,2,3]]}],"у":[{"р":[{},[0,2,3]]}]}]}],"ј":[{"о":[{"н":[{},[0,2,3]]}]}],"о":[{"ф":[{"т":[{},[0,2,3]]}],"к":[{"с":[{},[0,2,3]]}],"п":[{"и":[{"с":[{},[0,2,3]]}]}],"р":[{"г":[{},[0,2,3]],"х":[{},[0,2,3]]}],"в":[{"а":[{"р":[{},[0,2,3]]}]}]}]}],"г":[{"н":[{"о":[{"с":[{},[0,3,2]],"з":[{},[0,3,2]]}]}]}],"е":[{"р":[{"о":[{},[0,4,2]]}]}]}],"б":[{"е":[{"ш":[{"ћ":[{},[0,0,2,3]],"ч":[{},[0,0,2,3]]}],"с":[{"ц":[{},[0,0,2,3]],"к":[{"р":[{"у":[{"п":[{"у":[{"л":[{},[0,0,3,4]]}]}]}]}]},[0,0,2,3]],"п":[{"о":[{"к":[{"о":[{"ј":[{"а":[{},[0,0,3,4]],"н":[{},[0,0,3,4]]}]}]}],"р":[{"а":[{},[0,0,3,4]],"н":[{},[0,0,3,4]]}]}]},[0,0,2,3]],"т":[{"и":[{"д":[{},[0,0,3,4]],"ј":[{"а":[{},[0,0,3,4]]}],"љ":[{},[0,0,3,4]],"л":[{"у":[{},[0,0,3,4]]}]}],"р":[{"а":[{"н":[{"а":[{},[0,0,3,4]]}],"с":[{},[0,0,3,4]]}]}],"в":[{"а":[{"р":[{},[0,0,3,4]]}]}],"с":[{"е":[{"л":[{"е":[{"р":[{},[0,0,0,4]]}]}]}]}]},[0,0,2,3]]}],"з":[{"а":[{"л":[{"к":[{"о":[{"х":[{"о":[{"л":[{},[0,0,2,3]]}]}]}]}]}],"т":[{"о":[{"м":[{"с":[{"к":[{},[0,0,2,3]]}]}]}]}]}],"б":[{"е":[{"д":[{"а":[{},[0,0,3,4]],"н":[{},[0,0,3,4]]}],"л":[{"и":[{},[0,0,3,4]]}]}],"ј":[{"е":[{"д":[{"а":[{},[0,0,3,4]],"н":[{},[0,0,3,4]]}]}]}],"о":[{"л":[{},[0,0,3,4]]}]},[0,0,2,3]],"д":[{},[0,0,2,3]],"г":[{},[0,0,2,3]],"и":[{"с":[{"т":[{"а":[{"н":[{},[0,0,3,4]]}],"е":[{"н":[{},[0,0,3,4]]}]}]}]},[0,0,2,3]],"л":[{"о":[{"б":[{"а":[{},[0,0,3,4]],"н":[{},[0,0,3,4]]}]}]},[0,0,2,3]],"љ":[{},[0,0,2,3]],"м":[{},[0,0,2,3]],"н":[{"а":[{"ч":[{"а":[{"ј":[{},[0,0,3,4]]}]}]}]},[0,0,2,3]],"њ":[{},[0,0,2,3]],"о":[{},[0,0,2,3]],"р":[{"а":[{"ч":[{"а":[{},[0,0,3,4]],"н":[{},[0,0,3,4]]}]}]},[0,0,2,3]],"у":[{"б":[{},[0,0,3,4]],"п":[{},[0,0,3,4]]},[0,0,2,3]],"в":[{"у":[{"ч":[{"а":[{},[0,0,3,4]],"н":[{},[0,0,3,4]]}]}]},[0,0,2,3]],"ј":[{"а":[{"ч":[{},[0,0,3,4]],"к":[{},[0,0,3,4]]}]}]}],"о":[{},[0,0,4]]}],"и":[{"о":[{},[0,0,4]]}]},[0,2]],"ц":[{},[0,2]],"д":[{"и":[{"с":[{"а":[{"к":[{"о":[{"р":[{},[0,0,2,3]]}]}]}],"ј":[{"у":[{"н":[{"к":[{},[0,0,2,3]]}]}]}],"к":[{"о":[{"н":[{"т":[{},[0,0,2,3]]}],"р":[{"д":[{},[0,0,2,3]]}]}],"р":[{"е":[{},[0,0,2,3]],"и":[{},[0,0,2,3]]}],"у":[{"р":[{},[0,0,2,3]]}],"в":[{"а":[{"л":[{},[0,0,2,3]]}]}]}],"л":[{"о":[{},[0,0,2,3]]}],"о":[{"р":[{"и":[{"ј":[{},[0,0,2,3]]}]}]}],"п":[{"а":[{"р":[{"и":[{"т":[{},[0,0,2,3]]}]}]}],"о":[{"н":[{},[0,0,2,3]],"з":[{},[0,0,2,3]]}],"р":[{"о":[{"п":[{},[0,0,2,3]]}]}]}],"т":[{"о":[{"н":[{},[0,0,2,3]]}],"р":[{"а":[{"к":[{},[0,0,2,3]]}]}]}]}]}]},[0,2]],"џ":[{},[0,2]],"ф":[{},[0,2]],"г":[{"е":[{"о":[{},[0,0,4]]}]},[0,2]],"х":[{},[0,2]],"и":[{"ш":[{"ћ":[{},[0,2,3]],"ч":[{},[0,2,3]]}],"ж":[{"ђ":[{},[0,2,3]]}],"н":[{"а":[{"б":[{"р":[{"у":[{"п":[{},[0,2,3]]}]}]}],"д":[{"е":[{"к":[{},[0,2,3]]}]}],"ф":[{"е":[{"к":[{},[0,2,3]]}]}],"к":[{"ц":[{"е":[{},[0,2,3]]}],"у":[{"р":[{},[0,2,3]]}]}],"м":[{"о":[{"р":[{},[0,2,3]]}]}],"н":[{"и":[{"ц":[{},[0,2,3]]}]}],"п":[{"л":[{"и":[{"к":[{},[0,2,3]]}]}],"с":[{"т":[{},[0,2,3]]}]}],"р":[{"т":[{},[0,2,3]]}],"у":[{"г":[{"у":[{"р":[{},[0,2,3]]}]}],"р":[{"а":[{},[0,2,3]]}]}]}],"е":[{"д":[{},[0,2,3]],"ф":[{"е":[{"к":[{},[0,2,3]]}]}],"г":[{},[0,2,3]],"к":[{"с":[{},[0,2,3]],"в":[{},[0,2,3]]}],"л":[{"и":[{"г":[{},[0,2,3]]}]}],"п":[{"ц":[{},[0,2,3]]}],"в":[{"и":[{"д":[{},[0,2,3]]}]}]}],"ј":[{"е":[{"к":[{},[0,2,3]]}],"у":[{"р":[{},[0,2,3]],"с":[{"т":[{},[0,2,3]]}]}]}],"о":[{"б":[{"л":[{},[0,2,3]]}],"ф":[{"и":[{"ц":[{},[0,2,3]]}]}],"к":[{"у":[{"п":[{},[0,2,3]]}],"о":[{"р":[{},[0,2]]}]}],"п":[{"е":[{"р":[{},[0,2,3]]}],"о":[{"р":[{},[0,2,3]]}],"с":[{"е":[{},[0,2,3]]}]}],"г":[{"е":[{"н":[{},[0,2]]}]}]}],"у":[{"м":[{"б":[{"р":[{},[0,2,3]]}]}],"н":[{"д":[{"а":[{},[0,2,3]]}],"к":[{},[0,2,3]]}],"т":[{"и":[{"л":[{},[0,2,3]]}]}]}],"т":[{"е":[{"р":[{"а":[{},[0,0,0,0,2,3]],"е":[{"ж":[{"џ":[{},[0,0,0,0,3,4]]}],"г":[{"н":[{},[0,0,0,0,3,4]]}],"с":[{"а":[{},[0,0,0,0,3,4]],"е":[{},[0,0,0,0,3,4]],"и":[{},[0,0,0,0,3,4]],"н":[{},[0,0,0,0,3,4]],"о":[{},[0,0,0,0,3,4]],"у":[{},[0,0,0,0,3,4]]}]},[0,0,0,0,2,3]],"и":[{"ј":[{"е":[{},[0,0,0,0,3,4]]}]},[0,0,0,0,2,3]],"ј":[{"е":[{},[0,0,0,0,2,3]]}],"о":[{"г":[{"а":[{"т":[{},[0,0,0,0,3,4]]}]}]},[0,0,0,0,2,3]],"у":[{},[0,0,0,0,2,3]]}]}]}]}],"с":[{"ц":[{},[0,2,3]],"к":[{"а":[{"к":[{},[0,3,4]],"р":[{"и":[{"о":[{"т":[{},[0,3,4]]}]}]}],"т":[{},[0,3,4]]}],"и":[{"н":[{},[0,3,4]],"т":[{"а":[{},[0,3,4]]}]}],"о":[{"ч":[{},[0,3,4]],"н":[{"с":[{"к":[{},[0,3,4]]}]}]}],"р":[{"а":[{"м":[{},[0,3,4]],"т":[{},[0,3,4]]}],"е":[{"н":[{},[0,3,4]],"њ":[{},[0,3,4]]}],"и":[{"ч":[{},[0,3,4]],"ш":[{},[0,3,4]],"ц":[{},[0,3,4]],"т":[{},[0,3,4]]}],"о":[{"ј":[{},[0,3,4]]}],"с":[{"а":[{},[0,3,4]],"н":[{},[0,3,4]]}]}],"у":[{"п":[{"љ":[{"а":[{},[0,3,4]]}]}]}],"в":[{"а":[{"с":[{},[0,3,4]]}],"р":[{"ч":[{},[0,3,4]]}]}]},[0,2,3]],"п":[{"а":[{"љ":[{"и":[{"в":[{},[0,3,4]]}]}],"в":[{},[0,3,4]]}],"и":[{"р":[{"а":[{},[0,3,4]]}]}],"л":[{"и":[{"ћ":[{},[0,3,4]],"т":[{},[0,3,4]]}]}],"о":[{"к":[{"о":[{"ј":[{},[0,3,4]]}]}],"л":[{"и":[{"н":[{},[0,3,4]]}]}],"н":[{},[0,3,4]],"р":[{"а":[{"в":[{},[0,3,4]]}]}]}],"р":[{"а":[{"в":[{"а":[{},[0,3,4]],"и":[{},[0,3,4]],"к":[{},[0,3,4]],"љ":[{},[0,3,4]],"н":[{},[0,3,4]]}]}]}],"у":[{"п":[{"ч":[{},[0,3,4]]}],"р":[{},[0,3,4]]}]},[0,2,3]],"т":[{"а":[{"ћ":[{},[0,3,4]],"к":[{"н":[{},[0,3,4]]}],"м":[{},[0,3,4]],"р":[{},[0,3,4]],"с":[{},[0,3,4]],"в":[{"и":[{},[0,3,4]],"љ":[{},[0,3,4]]}]}],"и":[{"ц":[{},[0,3,4]],"ф":[{"а":[{"н":[{},[0,3,4]]}]}],"н":[{},[0,3,4]],"р":[{},[0,3,4]]}],"о":[{"ч":[{"а":[{},[0,3,4]],"н":[{},[0,3,4]],"њ":[{},[0,3,4]]}],"к":[{},[0,3,4]],"р":[{"и":[{},[0,3,4]]}]}],"р":[{"а":[{"д":[{},[0,3,4]],"н":[{},[0,3,4]],"в":[{},[0,3,4]]}],"и":[{"ћ":[{},[0,3,4]],"ж":[{},[0,3,4]],"ц":[{},[0,3,4]]}],"у":[{"г":[{},[0,3,4]]}]}],"у":[{"п":[{},[0,3,4]]}],"к":[{},[0,0,0,2]]},[0,2,3]],"л":[{"а":[{"б":[{},[0,3,4]],"м":[{},[0,3,4]]}],"е":[{"ђ":[{},[0,3,4]],"д":[{},[0,3,4]]}],"и":[{"ј":[{"е":[{"ђ":[{},[0,3,4]],"д":[{},[0,3,4]]}]}],"к":[{},[0,3,4]],"н":[{},[0,3,4]]}],"о":[{"в":[{},[0,3,4]]}],"у":[{"ш":[{},[0,3,4]],"ж":[{},[0,3,4]]}]}],"љ":[{"е":[{"ђ":[{},[0,3,4]],"д":[{},[0,3,4]]}]}],"м":[{"е":[{},[0,3,4]],"и":[{"ј":[{"е":[{},[0,3,4]]}]}],"ј":[{"е":[{},[0,3,4]]}]}],"р":[{"е":[{"д":[{},[0,3,4]]}],"к":[{},[0,3,4]]}],"у":[{"ш":[{},[0,3,4]],"к":[{},[0,3,4]],"с":[{},[0,3,4]],"т":[{},[0,3,4]]}]}],"з":[{"а":[{"б":[{"а":[{},[0,2,3]]}],"к":[{"а":[{},[0,2,3]]}],"н":[{"а":[{"л":[{},[0,2,3]]}]}],"г":[{"н":[{},[0,0,0,3,2]]}],"т":[{"к":[{},[0,0,0,3,2]]}]}],"б":[{"и":[{"ј":[{"а":[{},[0,2,3]]}],"в":[{"а":[{},[0,2,3]]}],"ч":[{"к":[{"а":[{"в":[{"а":[{},[0,3,4]]}]}]}]}]}],"а":[{"в":[{},[0,3,4]]}],"л":[{"е":[{"у":[{"ш":[{"а":[{"н":[{},[0,3,4]]}]}]}]}]}],"о":[{"ј":[{"а":[{"к":[{},[0,3,4]]}],"к":[{},[0,3,4]]}]}],"е":[{"з":[{"о":[{"б":[{"р":[{},[0,0,3,0,2,3]]}]}],"у":[{"м":[{},[0,0,3,0,2,3]]}]}]}]},[0,2,3]],"д":[{"а":[{"ј":[{},[0,2,3]]}],"р":[{"а":[{"в":[{},[0,3,4]]}]}],"н":[{"а":[{},[0,0,0,2]],"о":[{},[0,0,0,2]],"у":[{},[0,0,0,2]]}]},[0,2,3]],"г":[{"о":[{"м":[{"е":[{"т":[{},[0,3,4]]}]}]}],"р":[{"е":[{"д":[{},[0,3,4]]}],"н":[{},[0,3,4]],"т":[{},[0,3,4]]}],"н":[{},[0,0,3,2]]},[0,2,3]],"и":[{"ђ":[{},[0,3,4]],"д":[{},[0,3,4]],"м":[{"и":[{},[0,3,4]]}]},[0,2,3]],"л":[{"о":[{"ж":[{},[0,3,4]],"г":[{},[0,3,4]],"п":[{"а":[{"ћ":[{},[0,3,4]]}]}],"з":[{},[0,3,4]]}]},[0,2,3]],"љ":[{},[0,2,3]],"м":[{},[0,2,3]],"н":[{"и":[{"м":[{},[0,3,4]]}],"о":[{"ј":[{},[0,3,4]]}]},[0,2,3]],"њ":[{},[0,2,3]],"о":[{"л":[{"а":[{"ц":[{},[0,3,4]],"т":[{},[0,3,4]]}],"и":[{"р":[{},[0,3,4]]}],"о":[{"в":[{},[0,3,4]]}],"е":[{"к":[{"с":[{},[0,0,4]]}]}],"у":[{"к":[{"с":[{},[0,0,4]]}]}]}],"а":[{"н":[{"е":[{"м":[{},[0,0,4]]}],"о":[{"м":[{},[0,0,4]]}]}]}],"б":[{"а":[{"т":[{},[0,0,4]]}],"р":[{"о":[{"н":[{},[0,0,4]]}]}]}],"д":[{"и":[{"м":[{},[0,0,4]],"н":[{},[0,0,4]]}],"о":[{"з":[{},[0,0,4]]}]}],"ф":[{"о":[{"н":[{},[0,0,4]],"т":[{},[0,0,4]]}]}],"г":[{"а":[{"м":[{},[0,0,4]]}],"е":[{"о":[{},[0,0,4]]}],"л":[{"о":[{"с":[{},[0,0,4]]}]}],"о":[{"н":[{},[0,0,4]]}],"р":[{"а":[{"ф":[{},[0,0,4]]}]}]}],"х":[{"а":[{"л":[{},[0,0,4]],"з":[{},[0,0,4]]}],"е":[{"л":[{},[0,0,4]]}],"и":[{"ј":[{},[0,0,4]],"м":[{},[0,0,4]],"п":[{"с":[{},[0,0,4]]}],"т":[{},[0,0,4]]}],"о":[{"р":[{},[0,0,4]]}],"р":[{"о":[{},[0,0,4]]}]}],"к":[{"л":[{"и":[{"н":[{},[0,0,4]]}]}],"о":[{"л":[{"о":[{"н":[{},[0,0,4]]}]}]}]}],"м":[{"е":[{"р":[{},[0,0,4]],"т":[{"р":[{},[0,0,4]]}]}],"о":[{"р":[{"ф":[{},[0,0,4]]}]}]}],"н":[{"е":[{"ф":[{},[0,0,4]]}],"о":[{"м":[{},[0,0,4]]}]}],"п":[{"а":[{"т":[{},[0,0,4]]}],"е":[{"р":[{},[0,0,4]]}],"л":[{"е":[{},[0,0,4]]}],"о":[{"л":[{},[0,0,4]]}],"с":[{"е":[{"ф":[{},[0,0,4]]}]}]}],"р":[{"а":[{"х":[{},[0,0,4]]}]}],"с":[{"е":[{"и":[{},[0,0,4]]}],"и":[{"н":[{"т":[{},[0,0,4]]}],"с":[{"т":[{},[0,0,4]]}]}],"к":[{"е":[{"л":[{},[0,0,4]]}],"о":[{"п":[{},[0,0,4]]}]}],"т":[{"а":[{"з":[{},[0,0,4]]}],"е":[{},[0,0,4]]}]}],"т":[{"а":[{"х":[{},[0,0,4]],"л":[{},[0,0,4]]}],"е":[{"р":[{},[0,0,4]]}],"о":[{"н":[{},[0,0,4]],"п":[{},[0,0,4]]}],"р":[{"о":[{},[0,0,4]]}]}]},[0,2,3]],"р":[{"а":[{"ч":[{"и":[{},[0,3,4]]}],"е":[{"л":[{},[0,3,4]]}],"и":[{"љ":[{},[0,3,4]]}]}],"к":[{},[0,0,0,2]]},[0,2,3]],"у":[{"н":[{},[0,3,4]],"п":[{"ч":[{},[0,3,4]]}]},[0,2,3]],"в":[{"е":[{"д":[{"б":[{},[0,2,3]],"е":[{},[0,2,3]],"и":[{},[0,2,3]],"н":[{},[0,2,3]]}]}],"а":[{"л":[{"а":[{},[0,3,4]],"е":[{},[0,3,4]],"и":[{},[0,3,4]],"у":[{},[0,3,4]]}],"љ":[{"и":[{},[0,3,4]]}],"н":[{"е":[{"в":[{"р":[{},[0,0,3,0,2,3]]}]}]}]}],"и":[{"ж":[{"д":[{},[0,3,4]]}],"и":[{"с":[{"к":[{"р":[{},[0,3,4]]}]}]}],"ј":[{"а":[{},[0,3,4]],"е":[{"н":[{},[0,3,4]]}]}],"н":[{},[0,3,4]],"њ":[{},[0,3,4]],"р":[{},[0,3,4]],"т":[{"о":[{"п":[{},[0,3,4]]}]}]}],"ј":[{"е":[{"д":[{},[0,3,4]]}]}],"о":[{"ј":[{"а":[{"ц":[{},[0,3,4]]}],"ц":[{},[0,3,4]]}],"р":[{},[0,3,4]]}]},[0,2,3]],"ј":[{"е":[{"ж":[{"љ":[{},[0,3,4]]}]}]}]}]}],"ј":[{"у":[{"р":[{"и":[{"с":[{"к":[{},[0,0,0,0,2,3]],"п":[{},[0,0,0,0,2,3]]}]}]}]}]}],"к":[{},[0,2]],"љ":[{},[0,2]],"м":[{},[0,2]],"н":[{"а":[{"д":[{"ж":[{"а":[{"њ":[{},[0,0,2,3]]}],"д":[{"р":[{},[0,0,2,3]]}],"е":[{},[0,0,2,3]],"и":[{"р":[{},[0,0,2,3]],"в":[{},[0,0,2,3]]}],"њ":[{},[0,0,2,3]],"у":[{"п":[{},[0,0,2,3]]}]}],"и":[{"г":[{"р":[{},[0,0,2,3]]}],"н":[{"ж":[{},[0,0,2,3]],"а":[{},[0,0,2,3]]}],"с":[{"к":[{},[0,0,2,3]]}]}],"ј":[{"а":[{"ч":[{},[0,0,2,3]],"х":[{},[0,0,2,3]]}],"е":[{"ч":[{},[0,0,2,3]],"к":[{},[0,0,2,3]],"з":[{},[0,0,2,3]]}],"у":[{"н":[{},[0,0,2,3]]}]}],"л":[{"а":[{"н":[{},[0,0,3,4]]}],"е":[{"ш":[{},[0,0,3,4]],"ж":[{},[0,0,3,4]]}]},[0,0,2,3]],"љ":[{},[0,0,2,3]],"о":[{"ч":[{},[0,0,2,3]],"ф":[{"и":[{},[0,0,2,3]]}],"р":[{"а":[{},[0,0,2,3]]}],"с":[{"е":[{},[0,0,2,3]],"ј":[{"е":[{},[0,0,2,3]]}],"о":[{},[0,0,2,3]]}]}],"р":[{"а":[{"ч":[{},[0,0,2,3]],"ш":[{"ћ":[{},[0,0,2,3]]}],"н":[{},[0,0,2,3]],"с":[{"т":[{},[0,0,2,3]]}]}],"е":[{"а":[{"л":[{},[0,0,2,3]]}],"п":[{},[0,0,2,3]]}],"у":[{"ч":[{},[0,0,2,3]],"г":[{},[0,0,2,3]],"к":[{},[0,0,2,3]]}]}],"у":[{"ч":[{},[0,0,2,3]],"д":[{"а":[{"р":[{},[0,0,2,3]]}]}],"м":[{},[0,0,2,3]]}],"в":[{"а":[{"л":[{},[0,0,3,4]]}],"е":[{"с":[{"и":[{},[0,0,3,4]],"т":[{},[0,0,3,4]]}]}],"и":[{"ј":[{},[0,0,3,4]],"т":[{},[0,0,3,4]]}],"л":[{"а":[{},[0,0,3,4]]}],"о":[{"ј":[{"е":[{},[0,0,3,4]]}],"р":[{},[0,0,3,4]]}]},[0,0,2,3]],"н":[{"е":[{"в":[{},[0,0,3,2]]}],"и":[{"ч":[{},[0,0,3,2]],"ц":[{},[0,0,3,2]]}]}]}],"ј":[{"а":[{"ш":[{},[0,0,3,4]],"ж":[{"и":[{},[0,0,3,4]]}],"д":[{"а":[{},[0,0,3,4]],"е":[{},[0,0,3,4]],"и":[{},[0,0,3,4]]}],"х":[{},[0,0,3,4]],"к":[{"а":[{},[0,0,3,4]],"о":[{},[0,0,3,4]]}],"л":[{"о":[{},[0,0,3,4]]}],"м":[{"и":[{},[0,0,3,4]],"л":[{},[0,0,3,4]],"н":[{},[0,0,3,4]]}],"р":[{"ц":[{},[0,0,3,4]],"и":[{},[0,0,3,4]],"м":[{},[0,0,3,4]]}],"т":[{"и":[{},[0,0,3,4]]}],"у":[{"к":[{},[0,0,3,4]]}],"в":[{"а":[{},[0,0,3,4]],"е":[{},[0,0,3,4]],"и":[{},[0,0,3,4]],"љ":[{},[0,0,3,4]]}],"з":[{"и":[{},[0,0,3,4]]}]},[0,0,2,3]],"е":[{"ж":[{"е":[{},[0,0,3,4]],"и":[{},[0,0,3,4]],"у":[{},[0,0,3,4]]}],"ц":[{},[0,0,3,4]],"д":[{"а":[{},[0,0,3,4]],"и":[{},[0,0,3,4]],"н":[{},[0,0,3,4]],"р":[{},[0,0,3,4]]}],"с":[{"т":[{"и":[{},[0,0,3,4]]}]}],"т":[{"к":[{},[0,0,3,4]]}],"з":[{"д":[{},[0,0,3,4]],"н":[{},[0,0,3,4]]}]},[0,0,2,3]],"и":[{},[0,0,2,3]],"о":[{},[0,0,2,3]],"у":[{"р":[{"е":[{"н":[{},[0,0,3,4]]}],"и":[{},[0,0,3,4]]}]},[0,0,2,3]]}],"т":[{"к":[{"а":[{"х":[{},[0,0,3,2]],"м":[{},[0,0,3,2]],"с":[{"м":[{},[0,0,3,2]],"т":[{},[0,0,3,2]]}]}]}]}],"г":[{"н":[{},[0,0,0,2]],"њ":[{},[0,0,0,2]]}]}],"у":[{"с":[{"п":[{"о":[{"с":[{},[0,0,2,3]]}],"р":[{"о":[{},[0,0,2,3]]}]}]}],"з":[{"б":[{"е":[{"л":[{},[0,0,2,3]]}],"и":[{"љ":[{},[0,0,2,3]]}]}],"љ":[{"у":[{"б":[{},[0,0,2,3]]}]}],"р":[{"е":[{},[0,0,2,3]],"ј":[{"е":[{},[0,0,2,3]]}]}],"у":[{"ж":[{},[0,0,2,3]]}]}]}]},[0,2]],"о":[{"б":[{"и":[{"г":[{"р":[{},[0,2,3]]}],"с":[{"т":[{"и":[{"н":[{},[0,2,3]],"њ":[{},[0,2,3]]}]}]}]}],"ј":[{"е":[{"ш":[{},[0,3,4]],"к":[{},[0,3,4]],"р":[{},[0,3,4]],"с":[{"и":[{},[0,3,4]]}],"т":[{},[0,3,4]]}]},[0,2,3]],"л":[{"а":[{"ј":[{},[0,2,3]],"к":[{"ш":[{},[0,2,3]]}],"м":[{},[0,2,3]],"с":[{"к":[{},[0,2,3]]}]}],"е":[{"ћ":[{},[0,2,3]],"ж":[{},[0,2,3]],"д":[{"е":[{"н":[{},[0,2,3]]}]}],"г":[{},[0,2,3]],"п":[{},[0,2,3]],"т":[{},[0,2,3]]}],"и":[{"ј":[{"е":[{"ж":[{},[0,2,3]],"г":[{},[0,2,3]],"п":[{},[0,2,3]],"т":[{},[0,2,3]]}]}],"с":[{"т":[{},[0,2,3]]}],"в":[{},[0,2,3]],"з":[{"а":[{"т":[{},[0,2,3]],"в":[{},[0,2,3]]}],"и":[{},[0,2,3]]}]}],"о":[{"к":[{"а":[{},[0,2,3]]}]}],"у":[{"ч":[{},[0,2,3]],"к":[{},[0,2,3]]}]}],"љ":[{"а":[{"н":[{},[0,3,4]]}],"у":[{"т":[{},[0,3,4]],"з":[{},[0,3,4]]}]},[0,2,3]],"о":[{"р":[{"у":[{},[0,2,3]]}]}],"р":[{"ђ":[{},[0,3,4]],"ч":[{},[0,3,4]],"ш":[{},[0,3,4]],"а":[{"ћ":[{},[0,3,4]],"ш":[{"ч":[{},[0,3,4]],"н":[{},[0,3,4]]}],"ж":[{"е":[{},[0,3,4]]}],"м":[{"б":[{},[0,3,4]]}],"н":[{},[0,3,4]],"њ":[{},[0,3,4]],"т":[{},[0,3,4]],"з":[{"а":[{},[0,3,4]],"д":[{},[0,3,4]],"и":[{},[0,3,4]],"н":[{},[0,3,4]],"о":[{},[0,3,4]],"у":[{},[0,3,4]]}]}],"е":[{"ђ":[{},[0,3,4]],"ч":[{},[0,3,4]],"ж":[{},[0,3,4]],"ц":[{},[0,3,4]],"д":[{},[0,3,4]],"м":[{},[0,3,4]],"с":[{},[0,3,4]],"т":[{"и":[{},[0,3,4]],"н":[{},[0,3,4]]}]}],"и":[{"ч":[{},[0,3,4]],"ц":[{},[0,3,4]],"ј":[{},[0,3,4]],"с":[{},[0,3,4]],"т":[{},[0,3,4]],"в":[{},[0,3,4]]}],"к":[{},[0,3,4]],"л":[{},[0,3,4]],"љ":[{},[0,3,4]],"н":[{},[0,3,4]],"о":[{"ћ":[{},[0,3,4]],"ч":[{},[0,3,4]],"к":[{},[0,3,4]],"н":[{},[0,3,4]],"в":[{"а":[{},[0,3,4]],"ц":[{},[0,3,4]]}]}],"с":[{},[0,3,4]],"у":[{"ч":[{},[0,3,4]],"ш":[{},[0,3,4]],"к":[{},[0,3,4]],"н":[{},[0,3,4]],"с":[{},[0,3,4]]}]},[0,2,3]],"у":[{"ж":[{},[0,2,3]],"б":[{"о":[{"ж":[{},[0,2,3]]}]}],"д":[{},[0,2,3]],"м":[{"е":[{},[0,2,3]],"и":[{},[0,2,3]],"р":[{},[0,2,3]]}],"з":[{},[0,2,3]]}],"е":[{"ш":[{"ћ":[{},[0,0,0,2,3]],"ч":[{},[0,0,0,2,3]]}],"с":[{"ц":[{},[0,0,0,2,3]],"к":[{},[0,0,0,2,3]],"п":[{},[0,0,0,2,3]],"т":[{"а":[{"н":[{},[0,0,0,3,4]]}],"и":[{"ј":[{},[0,0,0,3,4]]}],"р":[{"а":[{"н":[{},[0,0,0,3,4]]}]}]},[0,0,0,2,3]]}],"з":[{"б":[{},[0,0,0,2,3]],"д":[{},[0,0,0,2,3]],"г":[{},[0,0,0,2,3]],"ј":[{},[0,0,0,2,3]],"л":[{},[0,0,0,2,3]],"љ":[{},[0,0,0,2,3]],"м":[{},[0,0,0,2,3]],"н":[{"а":[{"ч":[{},[0,0,0,3,4]],"н":[{},[0,0,0,3,4]],"њ":[{},[0,0,0,3,4]]}]},[0,0,0,2,3]],"о":[{},[0,0,0,2,3]],"р":[{},[0,0,0,2,3]],"у":[{"б":[{},[0,0,0,3,4]]},[0,0,0,2,3]],"в":[{"и":[{"ј":[{},[0,0,0,3,4]]}]},[0,0,0,2,3]]}]}]}],"д":[{"ж":[{"а":[{"л":[{},[0,2,3]],"љ":[{},[0,2,3]]}],"е":[{},[0,2,3]],"и":[{},[0,2,3]],"в":[{},[0,2,3]]}],"а":[{"р":[{"г":[{},[0,2,3]]}],"д":[{"н":[{},[0,0,0,3,2]]}],"г":[{"н":[{},[0,0,0,3,2]]}]}],"и":[{"з":[{"д":[{},[0,2,3,2,3]],"в":[{},[0,2,3,2,3]]}],"г":[{"р":[{},[0,2,3]]}],"с":[{"к":[{},[0,2,3]],"т":[{"и":[{},[0,2,3]]}]}]}],"ј":[{"е":[{"ћ":[{},[0,3,4]],"н":[{},[0,3,4]],"в":[{},[0,3,4]]}]},[0,2,3]],"л":[{"а":[{"ж":[{},[0,3,4]],"г":[{},[0,3,4]],"к":[{"а":[{},[0,3,4]]}],"з":[{},[0,3,4]]}],"у":[{"ч":[{},[0,3,4]],"к":[{},[0,3,4]]}]},[0,2,3]],"љ":[{},[0,2,3]],"о":[{"к":[{},[0,2,3]],"н":[{"д":[{},[0,2,3]],"л":[{},[0,2,3]],"о":[{},[0,2,3]],"у":[{},[0,2,3]]}],"з":[{"д":[{},[0,2,3]],"г":[{},[0,2,3]]}]}],"р":[{"ж":[{},[0,3,4]],"а":[{"ћ":[{},[0,3,4]],"ч":[{"и":[{},[0,3,4]]}],"ж":[{},[0,3,4]],"н":[{"а":[{},[0,3,4]],"е":[{},[0,3,4]],"и":[{},[0,3,4]],"о":[{},[0,3,4]],"у":[{},[0,3,4]]}],"п":[{"а":[{},[0,3,4]],"и":[{},[0,3,4]],"љ":[{},[0,3,4]]}],"з":[{},[0,3,4]]}],"е":[{"ђ":[{},[0,3,4]],"д":[{},[0,3,4]],"м":[{},[0,3,4]],"н":[{},[0,3,4]]}],"и":[{"ч":[{},[0,3,4]],"ш":[{},[0,3,4]],"б":[{},[0,3,4]],"ц":[{},[0,3,4]],"н":[{},[0,3,4]],"њ":[{},[0,3,4]]}],"л":[{},[0,3,4]],"љ":[{},[0,3,4]],"н":[{},[0,3,4]],"о":[{"н":[{},[0,3,4]],"њ":[{},[0,3,4]]}],"п":[{},[0,3,4]],"т":[{},[0,3,4]],"у":[{"ж":[{},[0,3,4]],"г":[{},[0,3,4]]}],"в":[{"е":[{"ч":[{},[0,3,4]],"н":[{},[0,3,4]],"њ":[{},[0,3,4]]}]}]},[0,2,3]],"у":[{"ч":[{},[0,2,3]],"к":[{},[0,2,3]],"л":[{},[0,2,3]],"м":[{},[0,2,3]],"в":[{"е":[{},[0,2,3]],"и":[{},[0,2,3]]}],"з":[{"д":[{},[0,2,3]],"е":[{},[0,2,3]],"и":[{},[0,2,3]],"л":[{},[0,2,3]]}]}],"в":[{"а":[{"ж":[{},[0,3,4]],"ј":[{},[0,3,4]]}],"е":[{"с":[{"а":[{},[0,3,4]],"н":[{},[0,3,4]],"т":[{},[0,3,4]]}]}],"и":[{"ћ":[{},[0,3,4]],"к":[{"а":[{"в":[{},[0,3,4]]}],"н":[{},[0,3,4]]}],"с":[{},[0,3,4]]}],"о":[{"ј":[{},[0,3,4]]}]},[0,2,3]],"г":[{"н":[{},[0,0,3,2]]}],"м":[{"н":[{},[0,0,3,2]]}]}],"т":[{"к":[{"а":[{"х":[{},[0,3,2]],"м":[{},[0,3,2]],"с":[{"м":[{},[0,3,2]],"т":[{},[0,3,2]]}]}]}]}]}],"п":[{"о":[{"д":[{"а":[{"д":[{"м":[{},[0,0,2,3]]}]}],"и":[{"г":[{"р":[{},[0,0,2,3]]}],"з":[{"в":[{},[0,0,2,3]]}]}],"ј":[{"е":[{"ч":[{},[0,0,3,4]],"н":[{},[0,0,3,4]]}]},[0,0,2,3]],"л":[{"а":[{"к":[{"а":[{"т":[{},[0,0,2,3]]}],"т":[{},[0,0,2,3]]}]}],"е":[{"ћ":[{},[0,0,2,3]],"ж":[{},[0,0,2,3]],"г":[{},[0,0,2,3]],"п":[{},[0,0,2,3]],"т":[{},[0,0,2,3]]}],"и":[{"ј":[{"е":[{"ћ":[{},[0,0,2,3]],"ж":[{},[0,0,2,3]],"г":[{},[0,0,2,3]],"п":[{},[0,0,2,3]],"т":[{},[0,0,2,3]]}]}],"с":[{"т":[{},[0,0,2,3]]}],"з":[{},[0,0,2,3]]}],"о":[{"к":[{},[0,0,2,3]],"м":[{},[0,0,2,3]]}],"у":[{"ч":[{},[0,0,2,3]],"ж":[{},[0,0,2,3]],"п":[{},[0,0,2,3]]}]}],"љ":[{"у":[{"т":[{},[0,0,2,3]]}]}],"о":[{"ч":[{},[0,0,2,3]],"ш":[{},[0,0,2,3]],"ф":[{},[0,0,2,3]],"к":[{"н":[{},[0,0,2,3]]}]}],"р":[{"а":[{"з":[{"д":[{},[0,0,2,3,0,2,3]],"р":[{},[0,0,2,3]],"у":[{},[0,0,2,3]]}],"д":[{},[0,0,2,3]],"м":[{},[0,0,2,3]],"н":[{},[0,0,2,3]],"њ":[{},[0,0,2,3]],"с":[{},[0,0,2,3]],"в":[{"н":[{},[0,0,2,3]],"њ":[{},[0,0,2,3]]}]}],"е":[{"п":[{},[0,0,2,3]],"с":[{},[0,0,2,3]],"з":[{},[0,0,2,3]]}],"и":[{"к":[{},[0,0,2,3]],"т":[{},[0,0,2,3]]}],"о":[{"ж":[{},[0,0,2,3]],"н":[{},[0,0,2,3]],"в":[{},[0,0,2,3]]}],"у":[{"ч":[{"а":[{},[0,0,2,3]],"и":[{},[0,0,2,3]],"н":[{},[0,0,2,3]]}],"б":[{},[0,0,2,3]],"к":[{},[0,0,2,3]]}]}],"у":[{"п":[{"л":[{"а":[{},[0,0,2,3]]}]}],"с":[{"м":[{},[0,0,2,3]],"н":[{},[0,0,2,3]]}]}],"в":[{"а":[{"р":[{"и":[{"ј":[{},[0,0,2,3]]}]}]}],"е":[{"ч":[{},[0,0,2,3]],"ж":[{},[0,0,2,3]],"з":[{},[0,0,2,3]]}],"и":[{"к":[{},[0,0,2,3]],"л":[{},[0,0,2,3]],"р":[{},[0,0,2,3]]}],"л":[{"а":[{"ш":[{},[0,0,2,3]],"с":[{},[0,0,2,3]]}]}],"о":[{"ђ":[{},[0,0,2,3]],"ж":[{},[0,0,2,3]],"д":[{},[0,0,2,3]],"з":[{},[0,0,2,3]]}],"р":[{"ћ":[{},[0,0,2,3]],"ж":[{},[0,0,2,3]],"а":[{"ћ":[{},[0,0,2,3]],"т":[{},[0,0,2,3]]}],"г":[{},[0,0,2,3]],"и":[{"с":[{},[0,0,2,3]]}],"с":[{},[0,0,2,3]]}],"у":[{"ћ":[{},[0,0,2,3]]}]}],"н":[{"е":[{"в":[{},[0,0,3,2]]}]}]}],"с":[{"т":[{"е":[{"г":[{"з":[{},[0,0,2,0,3]]}]}],"и":[{"н":[{"д":[{"у":[{},[0,0,2,0,3]]}]}]}],"л":[{"и":[{"м":[{},[0,0,2,0,3]]}]}],"о":[{"н":[{"к":[{},[0,0,2,0,3]]}],"п":[{"е":[{"р":[{},[0,0,2,0,3]]}]}]}]}]}],"г":[{"н":[{},[0,0,3,2]]}],"м":[{"н":[{},[0,0,3,2]],"њ":[{},[0,0,3,2]]}],"р":[{"ђ":[{},[0,0,3,2]]}],"т":[{"к":[{"а":[{"х":[{},[0,0,3,2]],"м":[{},[0,0,3,2]],"т":[{},[0,0,3,2]],"в":[{},[0,0,3,2]]}]}]}]}],"р":[{"е":[{"д":[{"ж":[{"е":[{},[0,0,0,2,3]],"и":[{},[0,0,0,2,3]]}],"и":[{"д":[{},[0,0,0,2,3]],"г":[{"р":[{},[0,0,0,2,3]]}],"с":[{"п":[{"и":[{},[0,0,0,2,3]]}],"т":[{"о":[{},[0,0,0,2,3]],"р":[{},[0,0,0,2,3]]}]}],"з":[{"б":[{},[0,0,0,2,3]]}]}],"ј":[{"е":[{"н":[{},[0,0,0,3,4]]}]},[0,0,0,2,3]],"о":[{"б":[{"ј":[{},[0,0,0,2,3]]}],"д":[{"р":[{"е":[{},[0,0,0,2,3]]}]}],"к":[{"у":[{"с":[{},[0,0,0,2,3]]}]}],"с":[{"е":[{},[0,0,0,2,3]],"ј":[{"е":[{},[0,0,0,2,3]]}],"в":[{},[0,0,0,2,3]]}]}],"р":[{"а":[{"ч":[{},[0,0,0,2,3]],"д":[{},[0,0,0,2,3]],"т":[{},[0,0,0,2,3]]}],"у":[{"ч":[{},[0,0,0,2,3]]}]}],"у":[{"б":[{"е":[{"ђ":[{},[0,0,0,2,3]]}],"и":[{"ј":[{"е":[{"ђ":[{},[0,0,0,2,3]]}]}]}],"ј":[{"е":[{"ђ":[{},[0,0,0,2,3]]}]}]}],"д":[{"а":[{"р":[{},[0,0,0,2,3]]}]}],"г":[{"о":[{"в":[{},[0,0,0,2,3]]}]}],"п":[{"и":[{"с":[{},[0,0,0,2,3]]}]}],"с":[{"л":[{"о":[{},[0,0,0,2,3]]}]}],"в":[{"е":[{"р":[{},[0,0,0,2,3]]}],"ј":[{"е":[{"р":[{},[0,0,0,2,3]],"т":[{},[0,0,0,2,3]]}]}]}]}],"в":[{"а":[{"ј":[{},[0,0,0,3,4]],"р":[{},[0,0,0,3,4]]}],"е":[{"с":[{"т":[{},[0,0,0,3,4]]}]}],"о":[{"ј":[{"а":[{},[0,0,0,3,4]],"е":[{},[0,0,0,3,4]],"и":[{},[0,0,0,3,4]]}],"р":[{},[0,0,0,3,4]],"с":[{},[0,0,0,3,4]]}]},[0,0,0,2,3]],"м":[{"н":[{},[0,0,0,0,3,2]],"њ":[{},[0,0,0,0,3,2]]}]}],"т":[{"к":[{"а":[{"х":[{},[0,0,0,3,2]],"м":[{},[0,0,0,3,2]],"т":[{},[0,0,0,3,2]]}]}]}]}],"о":[{"г":[{"н":[{},[0,0,0,3,2]]}],"т":[{"к":[{"а":[{},[0,0,0,3,2]],"и":[{},[0,0,0,3,2]]}],"и":[{"в":[{"а":[{"к":[{"ц":[{},[0,0,0,0,0,2,3]]}]}],"о":[{"ф":[{},[0,0,0,0,0,2,3]],"т":[{"р":[{},[0,0,0,0,0,2,3]]}]}],"р":[{},[0,0,0,0,0,2,3]],"у":[{"д":[{},[0,0,0,0,0,2,3]],"с":[{},[0,0,0,0,0,2,3]]}]}]}]}]}]}]}],"р":[{"а":[{"ш":[{"ћ":[{"е":[{"њ":[{},[0,0,3,4]]}]},[0,0,2,3]],"ч":[{"и":[{"ћ":[{},[0,0,3,4]]}]},[0,0,2,3]]}],"ж":[{"ђ":[{},[0,0,2,3]]}],"с":[{"ц":[{},[0,0,2,3]],"к":[{"а":[{"к":[{},[0,0,3,4]],"н":[{"д":[{},[0,0,3,4]]}]}],"и":[{"н":[{},[0,0,3,4]]}],"л":[{"а":[{"д":[{},[0,0,3,4]],"њ":[{},[0,0,3,4]],"п":[{},[0,0,3,4]]}],"о":[{"н":[{},[0,0,3,4]],"п":[{"а":[{},[0,0,3,4]],"и":[{},[0,0,3,4]],"љ":[{},[0,0,3,4]]}]}]}],"о":[{"ш":[{},[0,0,3,4]]}],"р":[{"о":[{"п":[{},[0,0,3,4]]}]}]},[0,0,2,3]],"п":[{"а":[{"ј":[{},[0,0,3,4]],"в":[{},[0,0,3,4]]}],"е":[{"т":[{"а":[{},[0,0,3,4]],"е":[{},[0,0,3,4]],"и":[{},[0,0,3,4]],"о":[{},[0,0,3,4]]}]}],"и":[{"к":[{"у":[{},[0,0,3,4]]}],"њ":[{},[0,0,3,4]]}],"л":[{"и":[{"н":[{},[0,0,3,4]],"њ":[{},[0,0,3,4]]}]}],"н":[{},[0,0,3,4]],"о":[{"л":[{"о":[{"ж":[{},[0,0,3,4]]}]}],"н":[{},[0,0,3,4]],"р":[{},[0,0,3,4]]}],"р":[{"а":[{"в":[{},[0,0,3,4]]}],"е":[{"м":[{},[0,0,3,4]]}]}]},[0,0,2,3]],"т":[{"а":[{"ј":[{},[0,0,3,4]],"н":[{},[0,0,3,4]],"т":[{},[0,0,3,4]],"в":[{},[0,0,3,4]]}],"е":[{"њ":[{},[0,0,3,4]]}],"и":[{"л":[{},[0,0,3,4]],"њ":[{},[0,0,3,4]],"р":[{},[0,0,3,4]],"с":[{},[0,0,3,4]],"т":[{},[0,0,3,4]]}],"о":[{"ј":[{},[0,0,3,4]]}],"р":[{"е":[{"л":[{},[0,0,3,4]],"т":[{},[0,0,3,4]]}],"о":[{"ј":[{},[0,0,3,4]]}],"т":[{},[0,0,3,4]]}],"у":[{"ћ":[{},[0,0,3,4]],"п":[{},[0,0,3,4]],"р":[{"ч":[{},[0,0,4,5]]},[0,0,3,4]]}]},[0,0,2,3]],"р":[{"ђ":[{},[0,0,3,4]],"д":[{},[0,0,3,4]],"е":[{},[0,0,3,4]]}]}],"з":[{"а":[{"н":[{"а":[{"л":[{},[0,0,2,3]]}]}],"г":[{"н":[{},[0,0,0,0,3,2]]}],"т":[{"к":[{"а":[{},[0,0,0,0,3,2]]}]}]}],"б":[{"а":[{"ш":[{"у":[{"р":[{},[0,0,3,4]]}]}],"д":[{},[0,0,3,4]],"н":[{},[0,0,3,4]],"р":[{},[0,0,3,4]],"у":[{},[0,0,3,4]]}],"о":[{"ј":[{},[0,0,3,4]],"р":[{},[0,0,3,4]]}]},[0,0,2,3]],"д":[{"н":[{"и":[{},[0,0,0,3,2]]}]},[0,0,2,3]],"е":[{"в":[{},[0,0,3,4]]},[0,0,2,3]],"г":[{"а":[{"ђ":[{},[0,0,3,4]]}],"р":[{"т":[{},[0,0,3,4]]}],"н":[{},[0,0,0,3,2]]},[0,0,2,3]],"и":[{"ђ":[{},[0,0,3,4]],"ћ":[{},[0,0,3,4]],"д":[{},[0,0,3,4]],"ј":[{},[0,0,3,4]],"н":[{},[0,0,3,4]],"р":[{},[0,0,3,4]],"з":[{},[0,0,3,4]]},[0,0,2,3]],"л":[{"а":[{"г":[{},[0,0,3,4]],"з":[{},[0,0,3,4]]}],"и":[{"ч":[{},[0,0,3,4]],"к":[{},[0,0,3,4]]}],"о":[{"ж":[{},[0,0,3,4]],"г":[{},[0,0,3,4]],"з":[{},[0,0,3,4]]}]},[0,0,2,3]],"љ":[{},[0,0,2,3]],"м":[{"е":[{"ћ":[{},[0,0,3,4]],"т":[{},[0,0,3,4]]}],"р":[{"с":[{"к":[{},[0,0,3,4]]}]}]},[0,0,2,3]],"н":[{"а":[{"т":[{},[0,0,3,4]]}]},[0,0,2,3]],"њ":[{},[0,0,2,3]],"о":[{"б":[{"а":[{},[0,0,2,3]],"л":[{},[0,0,2,3]],"р":[{},[0,0,2,3]]}],"д":[{},[0,0,2,3]],"р":[{"а":[{"т":[{},[0,0,2,3]],"в":[{},[0,0,2,3]]}],"т":[{},[0,0,2,3]],"у":[{},[0,0,2,3]]}],"т":[{},[0,0,2,3]]}],"р":[{"е":[{"д":[{},[0,0,3,4]]}],"о":[{"ч":[{},[0,0,3,4]],"к":[{},[0,0,3,4]]}]},[0,0,2,3]],"у":[{"д":[{"а":[{},[0,0,2,3]],"б":[{},[0,0,2,3]],"и":[{},[0,0,2,3]]}],"л":[{"а":[{"р":[{},[0,0,2,3]]}]}],"м":[{"р":[{},[0,0,2,3]]}],"в":[{"е":[{},[0,0,2,3]]}],"з":[{"д":[{},[0,0,2,3]],"е":[{},[0,0,2,3]],"и":[{},[0,0,2,3]]}]}],"в":[{"а":[{"л":[{},[0,0,3,4]]}],"е":[{"д":[{"е":[{},[0,0,3,4]]}],"с":[{"т":[{},[0,0,3,4]]}]}],"и":[{"ћ":[{},[0,0,3,4]],"г":[{"о":[{},[0,0,3,4]]}],"ј":[{"а":[{},[0,0,3,4]],"е":[{},[0,0,3,4]],"у":[{},[0,0,3,4]]}],"т":[{},[0,0,3,4]]}],"о":[{"ј":[{},[0,0,3,4]],"н":[{},[0,0,3,4]]}],"р":[{"ћ":[{},[0,0,3,4]],"а":[{"ћ":[{},[0,0,3,4]],"т":[{},[0,0,3,4]]}],"т":[{},[0,0,3,4]]}]},[0,0,2,3]]}]}]},[0,2]],"с":[{"у":[{"б":[{"а":[{"ш":[{},[0,0,3,4]]},[0,0,2,3]],"и":[{"н":[{"в":[{},[0,0,2,3]]}]}],"ј":[{"у":[{"н":[{"к":[{},[0,0,2,3]]}]}]}],"л":[{},[0,0,2,3]],"о":[{"к":[{"с":[{},[0,0,2,3]]}],"р":[{"д":[{},[0,0,2,3]]}]}],"р":[{"е":[{"п":[{},[0,0,2,3]]}],"о":[{"г":[{},[0,0,2,3]]}]}]}],"п":[{"е":[{"р":[{"а":[{},[0,0,0,0,2,3]],"е":[{},[0,0,0,0,2,3]],"и":[{"о":[{"р":[{},[0,0,0,0,3,4]]}]},[0,0,0,0,2,3]],"о":[{},[0,0,0,0,2,3]],"у":[{},[0,0,0,0,2,3]]}]}]}]}]},[0,2]],"т":[{"р":[{"а":[{"н":[{"с":[{"а":[{},[0,0,0,0,2,3]],"ц":[{},[0,0,0,0,2,3]],"е":[{"п":[{},[0,0,0,0,3,4]]},[0,0,0,0,2,3]],"к":[{"р":[{"и":[{},[0,0,0,0,3,4]]}]},[0,0,0,0,2,3]],"л":[{},[0,0,0,0,2,3]],"м":[{},[0,0,0,0,2,3]],"н":[{},[0,0,0,0,2,3]],"о":[{},[0,0,0,0,2,3]],"п":[{},[0,0,0,0,2,3]],"т":[{},[0,0,0,0,2,3]],"у":[{"д":[{},[0,0,0,0,3,4]],"м":[{},[0,0,0,0,3,4]]},[0,0,0,0,2,3]],"в":[{},[0,0,0,0,2,3]]}]}]}]}]}],"у":[{"ш":[{"ћ":[{},[0,2,3]],"ч":[{},[0,2,3]]}],"с":[{"ц":[{},[0,2,3]],"к":[{"а":[{"к":[{},[0,3,4]]}],"л":[{"а":[{"ђ":[{},[0,3,4]],"д":[{},[0,3,4]]}]}],"о":[{"ш":[{},[0,4,5]],"к":[{"о":[{},[0,4,5]]}],"л":[{"е":[{},[0,4,5]],"у":[{},[0,4,5]]}],"м":[{},[0,4,5]],"п":[{"а":[{},[0,4,5]]}],"р":[{"а":[{},[0,4,5]]}],"с":[{"и":[{},[0,4,5]]}],"т":[{"р":[{},[0,4,5]]}],"в":[{},[0,4,5]]},[0,3,4]],"у":[{"п":[{},[0,3,4]]}]},[0,2,3]],"п":[{"а":[{"л":[{"о":[{},[0,3,4]]}],"в":[{},[0,3,4]]}],"е":[{"ш":[{},[0,3,4]],"х":[{},[0,3,4]],"л":[{},[0,3,4]],"м":[{},[0,3,4]],"н":[{"т":[{},[0,3,4]]}],"т":[{},[0,3,4]],"в":[{},[0,3,4]]}],"и":[{"ј":[{"а":[{},[0,3,4]],"е":[{},[0,3,4]],"у":[{"ш":[{},[0,3,4]]}]}],"к":[{"у":[{"ш":[{},[0,3,4]]}]}]}],"ј":[{"е":[{"ш":[{},[0,3,4]],"х":[{},[0,3,4]],"л":[{},[0,3,4]],"м":[{},[0,3,4]],"т":[{},[0,3,4]],"в":[{},[0,3,4]]}]}],"о":[{"н":[{},[0,3,4]],"р":[{"а":[{},[0,3,4]],"е":[{"ч":[{},[0,3,4]],"н":[{},[0,3,4]],"њ":[{},[0,3,4]]}],"и":[{},[0,3,4]]}],"с":[{"о":[{"б":[{},[0,3,4]]}]}]}],"р":[{"е":[{"м":[{"а":[{},[0,3,4]],"и":[{},[0,3,4]]}]}]}]},[0,2,3]],"т":[{"а":[{"л":[{"а":[{"с":[{},[0,2,3]]}]}],"р":[{"а":[{},[0,2,3]]}]}],"е":[{"ћ":[{},[0,2,3]],"г":[{},[0,2,3]],"р":[{},[0,2,3]]}],"о":[{"в":[{},[0,2,3]]}],"р":[{"ћ":[{},[0,2,3]],"ч":[{},[0,2,3]],"а":[{"ј":[{},[0,2,3]],"л":[{},[0,2,3]]}],"е":[{"б":[{},[0,2,3]],"п":[{},[0,2,3]],"с":[{},[0,2,3]]}],"г":[{},[0,2,3]],"к":[{},[0,2,3]],"н":[{},[0,2,3]],"п":[{},[0,2,3]]}],"у":[{"ћ":[{},[0,2,3]],"м":[{},[0,2,3]],"р":[{},[0,2,3]]}],"в":[{"р":[{"ђ":[{},[0,2,3]],"д":[{},[0,2,3]]}]}]}],"р":[{"ђ":[{},[0,3,4]],"ж":[{},[0,3,4]],"а":[{},[0,3,4]],"д":[{},[0,3,4]],"е":[{},[0,3,4]],"и":[{"ј":[{"е":[{"д":[{},[0,3,4]]}]}]}],"к":[{},[0,3,4]],"љ":[{},[0,3,4]],"н":[{},[0,3,4]],"п":[{},[0,3,4]]}]}],"з":[{"б":[{"о":[{"р":[{},[0,3,4]]}]},[0,2,3]],"д":[{"и":[{"ц":[{},[0,3,4]]}]},[0,2,3]],"г":[{},[0,2,3]],"и":[{"г":[{"р":[{},[0,2,3]]}],"н":[{"а":[{"т":[{},[0,2,3]]}]}],"с":[{"к":[{"р":[{},[0,2,3]]}]}]},[0,2,3]],"л":[{"а":[{"н":[{},[0,3,4]],"т":[{},[0,3,4]]}],"и":[{"ћ":[{},[0,3,4]],"ц":[{},[0,3,4]],"м":[{},[0,3,4]],"т":[{},[0,3,4]]}],"о":[{"в":[{},[0,3,4]]}],"у":[{"д":[{"о":[{"б":[{},[0,3,4]]}]}]}]},[0,2,3]],"љ":[{},[0,2,3]],"м":[{},[0,2,3]],"н":[{"а":[{"ч":[{},[0,3,4]],"к":[{},[0,3,4]]}],"е":[{"в":[{"е":[{},[0,3,4]],"ј":[{"е":[{},[0,3,4]]}]}]}],"и":[{"ч":[{},[0,3,4]],"ц":[{},[0,3,4]]}],"о":[{"ј":[{},[0,3,4]]}]},[0,2,3]],"њ":[{},[0,2,3]],"о":[{"б":[{"е":[{"с":[{"т":[{},[0,2,3]]}]}],"и":[{"ј":[{"е":[{"с":[{"т":[{},[0,2,3]]}]}]}]}]}],"х":[{"о":[{},[0,2,3]]}],"р":[{"а":[{"т":[{},[0,2,3]],"в":[{},[0,2,3]]}]}]}],"р":[{"е":[{"т":[{},[0,3,4]],"в":[{},[0,3,4]]}],"и":[{"ј":[{"е":[{"т":[{},[0,3,4]],"в":[{},[0,3,4]]}]}]}],"н":[{},[0,3,4]],"њ":[{},[0,3,4]],"о":[{"ч":[{},[0,3,4]],"к":[{"а":[{},[0,3,4]],"о":[{},[0,3,4]],"у":[{},[0,3,4]]}]}],"у":[{"ј":[{},[0,3,4]]}]},[0,2,3]],"у":[{"г":[{"а":[{"р":[{},[0,2,3]]}]}]}],"в":[{"а":[{"н":[{},[0,3,4]],"т":[{},[0,3,4]]}],"и":[{"ж":[{},[0,3,4]],"ј":[{"а":[{},[0,3,4]],"е":[{},[0,3,4]],"о":[{},[0,3,4]],"у":[{},[0,3,4]]}]}],"о":[{"ј":[{},[0,3,4]]}]},[0,2,3]],"а":[{"т":[{"к":[{"а":[{},[0,0,0,3,2]]}]}]}]}],"г":[{"м":[{"и":[{},[0,3,2]]}],"н":[{},[0,3,2]]}]}],"в":[{"а":[{"н":[{"е":[{"в":[{"р":[{},[0,0,2,3]]}]}],"у":[{"с":[{"т":[{"а":[{"в":[{},[0,0,2,3]]}]}]}]}]}]}]}],"з":[{"а":[{"г":[{"н":[{},[0,0,3,2]]}],"т":[{"к":[{"а":[{},[0,0,3,2]]}]}]}]},[0,2]]}],"ђ":[{"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]],"ш":[{},[2,1]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"џ":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"к":[{},[2,1]],"љ":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"р":[{},[2,1]],"с":[{},[2,1]],"з":[{},[2,1]]}],"ћ":[{"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]],"ш":[{},[2,1]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"џ":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"к":[{},[2,1]],"љ":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"р":[{},[2,1]],"с":[{},[2,1]],"з":[{},[2,1]]}],"ч":[{"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]],"ш":[{},[2,1]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"џ":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"ј":[{},[2,1]],"к":[{},[2,1]],"љ":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"р":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"з":[{},[2,1]],"в":[{"ј":[{},[2,3]],"л":[{},[2,3]],"љ":[{},[2,3]],".":[{},[2]]},[0,2]],"л":[{"а":[{"н":[{},[3,2]],"њ":[{},[3,2]]}]}]}],"ш":[{"ђ":[{},[2,1]],"ш":[{},[2,1]],"ж":[{},[2,1]],"б":[{},[2,1]],"д":[{},[2,1]],"џ":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"ј":[{},[2,1]],"р":[{},[2,1]],"с":[{},[2,1]],"з":[{},[2,1]],"ч":[{"в":[{},[2,3]],".":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ш":[{},[2]],"ж":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"џ":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"ј":[{},[2]],"к":[{},[2]],"љ":[{},[2]],"м":[{},[2]],"н":[{},[2]],"р":[{},[2]],"с":[{},[2]],"т":[{},[2]],"з":[{},[2]]},[0,2]],"ц":[{"ј":[{},[2,3]],"в":[{},[2,3]],".":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ш":[{},[2]],"ж":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"џ":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"љ":[{},[2]],"м":[{},[2]],"н":[{},[2]],"р":[{},[2]],"с":[{},[2]],"т":[{},[2]],"з":[{},[2]]}],"м":[{"ј":[{},[2,3]],"л":[{},[2,3]],"љ":[{},[2,3]],".":[{},[2]],"ђ":[{},[2]],"ч":[{},[2]],"ш":[{},[2]],"ж":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"џ":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"с":[{},[2]],"т":[{},[2]],"з":[{},[2]]},[0,2]],"п":[{"ј":[{},[2,3]],"л":[{},[2,3]],"љ":[{},[2,3]],".":[{},[2]],"ђ":[{},[2]],"ч":[{},[2]],"ш":[{},[2]],"ж":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"џ":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"с":[{},[2]],"т":[{},[2]],"з":[{},[2]]},[0,2]],"т":[{"ј":[{},[2,3]],"л":[{},[2,3]],"љ":[{},[2,3]],".":[{},[2]],"ђ":[{},[2]],"ч":[{},[2]],"ш":[{},[2]],"ж":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"џ":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"с":[{},[2]],"т":[{},[2]],"з":[{},[2]]},[0,2]],"в":[{"л":[{},[2,3]],"љ":[{},[2,3]],".":[{},[2]],"ђ":[{},[2]],"ч":[{},[2]],"ш":[{},[2]],"ж":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"џ":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"с":[{},[2]],"т":[{},[2]],"з":[{},[2]]},[0,2]],"ћ":[{".":[{},[2]]}],"к":[{".":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ш":[{},[2]],"ж":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"џ":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"с":[{},[2]],"т":[{},[2]],"з":[{},[2]]}],"љ":[{".":[{},[2]]},[0,2]],"н":[{".":[{},[2]]},[0,2]],"л":[{},[0,2]]}],"ж":[{"ћ":[{},[2,1]],"ч":[{},[2,1]],"ш":[{},[2,1]],"ж":[{},[2,1]],"ц":[{},[2,1]],"џ":[{},[2,1]],"ф":[{},[2,1]],"х":[{},[2,1]],"ј":[{},[2,1]],"к":[{},[2,1]],"р":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"з":[{},[2,1]],"б":[{"ј":[{},[2,3]],"л":[{},[2,3]],"љ":[{},[2,3]],"р":[{},[2,3]],".":[{},[2]],"ђ":[{},[2]],"ч":[{},[2]],"ш":[{},[2]],"ж":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"џ":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"с":[{},[2]],"т":[{},[2]],"з":[{},[2]]},[0,2]],"д":[{"ј":[{},[2,3]],"л":[{},[2,3]],"љ":[{},[2,3]],"в":[{},[2,3]],".":[{},[2]],"ч":[{},[2]],"ш":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"џ":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"с":[{},[2]],"т":[{},[2]],"з":[{},[2]]},[0,2]],"г":[{"ј":[{},[2,3]],"л":[{},[2,3]],"љ":[{},[2,3]],"р":[{},[2,3]],"в":[{},[2,3]],".":[{},[2]],"ч":[{},[2]],"ш":[{},[2]],"ж":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"џ":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"с":[{},[2]],"т":[{},[2]],"з":[{},[2]]},[0,2]],"м":[{"ј":[{},[2,3]],"л":[{},[2,3]],"љ":[{},[2,3]],"р":[{},[2,3]],".":[{},[2]],"ђ":[{},[2]],"ч":[{},[2]],"ш":[{},[2]],"ж":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"џ":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"с":[{},[2]],"т":[{},[2]],"з":[{},[2]]},[0,2]],"в":[{"л":[{},[2,3]],"љ":[{},[2,3]],"ђ":[{},[2]],"ч":[{},[2]],"ш":[{},[2]],"ж":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"џ":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"с":[{},[2]],"т":[{},[2]],"з":[{},[2]]},[0,2]],"ђ":[{".":[{},[2]]},[0,2]],"л":[{".":[{},[2]]},[0,2]],"љ":[{".":[{},[2]]},[0,2]],"н":[{".":[{},[2]]},[0,2]],"њ":[{".":[{},[2]]}]}],"а":[{"а":[{},[0,3]],"е":[{},[0,3]],"и":[{},[0,3]],"о":[{},[0,3]],"у":[{},[0,3]]},[2,1]],"б":[{"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]],"ш":[{},[2,1]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{"е":[{"њ":[{},[3,2]],"т":[{},[3,2]]}],"ј":[{"е":[{"њ":[{},[3,2]],"т":[{},[3,2]]}]}]},[2,1]],"џ":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"к":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"з":[{},[2,1]],"ј":[{".":[{},[2]]},[0,2]],"л":[{".":[{},[2]]},[0,2]],"љ":[{".":[{},[2]]},[0,2]],"р":[{".":[{},[2]]},[0,2]]}],"ц":[{"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]],"ш":[{},[2,1]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"џ":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"к":[{},[2,1]],"љ":[{},[2,1]],"м":[{"а":[{"ч":[{},[3,2]],"к":[{},[3,2]]}],"и":[{"з":[{},[3,2]]}],"о":[{"к":[{},[3,2]]}]},[2,1]],"н":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"з":[{},[2,1]],"в":[{"л":[{},[2,3]],"љ":[{},[2,3]],".":[{},[2]]},[0,2]],"ј":[{".":[{},[2]]},[0,2]],"р":[{".":[{},[2]]},[0,2]]}],"д":[{"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]],"ш":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"џ":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"к":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"з":[{},[2,1]],"в":[{"л":[{},[2,3]],"љ":[{},[2,3]],"р":[{},[2,3]],".":[{},[2]]},[0,2]],"ј":[{".":[{},[2]]},[0,2]],"л":[{".":[{},[2]]},[0,2]],"љ":[{".":[{},[2]]},[0,2]],"р":[{".":[{},[2]]},[0,2]],"ж":[{},[0,2]]}],"џ":[{"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]],"ш":[{},[2,1]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"џ":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"ј":[{},[2,1]],"к":[{},[2,1]],"љ":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"р":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"з":[{},[2,1]],".":[{},[2]]}],"е":[{"а":[{},[0,3]],"е":[{},[0,3]],"и":[{},[0,3]],"о":[{},[0,3]],"у":[{},[0,3]]},[2,1]],"ф":[{"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]],"ш":[{},[2,1]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"џ":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"к":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"з":[{},[2,1]],"ј":[{".":[{},[2]]},[0,2]],"л":[{".":[{},[2]]},[0,2]],"љ":[{".":[{},[2]]},[0,2]],"р":[{".":[{},[2]]},[0,2]]}],"г":[{"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]],"ш":[{},[2,1]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{"е":[{"г":[{"о":[{"д":[{".":[{},[3,2]]}]}]}],"к":[{"а":[{"д":[{},[3,2]],"к":[{},[3,2]]}]}]}],"ј":[{"е":[{"г":[{"о":[{"д":[{".":[{},[3,2]]}]}]}],"к":[{"а":[{"д":[{},[3,2]],"к":[{},[3,2]]}]}]}]}]},[2,1]],"џ":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"к":[{},[2,1]],"м":[{"и":[{"л":[{},[3,2]],"љ":[{},[3,2]],"з":[{},[3,2]]}]},[2,1]],"н":[{"а":[{"ј":[{},[3,2]]}],"е":[{"ж":[{"ђ":[{},[3,2]]}],"в":[{},[3,2]],"з":[{"д":[{},[3,2]]}]}],"и":[{"ј":[{"е":[{"ж":[{"ђ":[{},[3,2]]}],"з":[{"д":[{},[3,2]]}]}]}]}],"о":[{"ј":[{},[3,2]],"с":[{},[3,2]],"з":[{},[3,2]]}]},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"з":[{},[2,1]],"в":[{"ј":[{},[2,3]],"л":[{},[2,3]],"љ":[{},[2,3]],"р":[{},[2,3]],".":[{},[2]]},[0,2]],"ј":[{".":[{},[2]]}],"л":[{".":[{},[2]]},[0,2]],"љ":[{".":[{},[2]]},[0,2]],"р":[{".":[{},[2]]},[0,2]],"њ":[{"а":[{"в":[{},[3,2]]}],"е":[{"ч":[{},[3,2]],"с":[{},[3,2]],"т":[{},[3,2]],"в":[{},[3,2]]}],"и":[{"л":[{},[3,2]],"љ":[{},[3,2]],"о":[{},[3,2]],"т":[{},[3,2]]}],"у":[{"р":[{},[3,2]]}]}]}],"х":[{"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]],"ш":[{},[2,1]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"џ":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"к":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"с":[{},[2,1]],"т":[{"е":[{"л":[{},[3,2]],"њ":[{},[3,2]],"т":[{"и":[{},[3,2]]}],"в":[{},[3,2]]}],"ј":[{"е":[{"л":[{},[3,2]],"њ":[{},[3,2]],"т":[{"и":[{},[3,2]]}],"в":[{},[3,2]]}]}]},[2,1]],"з":[{},[2,1]],"в":[{"ј":[{},[2,3]],"л":[{},[2,3]],"љ":[{},[2,3]],"р":[{},[2,3]],".":[{},[2]],"ђ":[{},[2]],"ч":[{},[2]],"ш":[{},[2]],"ж":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"џ":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"с":[{},[2]],"т":[{},[2]],"з":[{},[2]]},[0,2]],"ј":[{".":[{},[2]]}],"л":[{".":[{},[2]]},[0,2]],"љ":[{".":[{},[2]]},[0,2]],"р":[{".":[{},[2]]},[0,2]]}],"и":[{"а":[{},[0,3]],"е":[{},[0,3]],"и":[{},[0,3]],"о":[{},[0,3]],"у":[{},[0,3]]},[2,1]],"ј":[{"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]],"ш":[{},[2,1]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"џ":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"ј":[{},[2,1]],"к":[{},[2,1]],"љ":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"р":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"з":[{},[2,1]]}],"к":[{"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]],"ш":[{},[2,1]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"џ":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"к":[{},[2,1]],"м":[{},[2,1]],"н":[{"е":[{"ж":[{},[3,2]],"з":[{},[3,2]]}]},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"з":[{},[2,1]],"в":[{"ј":[{},[2,3]],"л":[{},[2,3]],"љ":[{},[2,3]],".":[{},[2]]},[0,2]],"ј":[{".":[{},[2]]}],"л":[{".":[{},[2]]},[0,2]],"љ":[{".":[{},[2]]},[0,2]],"р":[{".":[{},[2]]},[0,2]],"њ":[{"и":[{"ж":[{},[3,2]],"г":[{},[3,2]]}]}]}],"љ":[{"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]],"ш":[{},[2,1]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"џ":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"ј":[{},[2,1]],"к":[{},[2,1]],"љ":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"р":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"з":[{},[2,1]]}],"м":[{"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]],"ш":[{},[2,1]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"џ":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"к":[{},[2,1]],"м":[{},[2,1]],"н":[{"а":[{"ж":[{},[3,2]]}],"о":[{"ж":[{},[3,2]],"г":[{},[3,2]]}]},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"з":[{},[2,1]],"ј":[{".":[{},[2]]}],"л":[{".":[{},[2]]},[0,2]],"љ":[{".":[{},[2]]},[0,2]],"р":[{".":[{},[2]]},[0,2]]}],"н":[{"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]],"ш":[{},[2,1]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"џ":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"к":[{},[2,1]],"љ":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"р":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"з":[{},[2,1]],"е":[{"г":[{"д":[{"е":[{".":[{},[0,0,3,2]]}],"ј":[{"е":[{".":[{},[0,0,3,2]]}]}]}]}]}],"и":[{"г":[{"д":[{"е":[{".":[{},[0,0,3,2]]}],"ј":[{"е":[{".":[{},[0,0,3,2]]}]}]}]}]}]}],"о":[{"а":[{},[0,3]],"е":[{},[0,3]],"и":[{},[0,3]],"о":[{},[0,3]],"у":[{},[0,3]]},[2,1]],"п":[{"ј":[{".":[{},[2]]},[0,2]],"л":[{".":[{},[2]]},[0,2]],"љ":[{".":[{},[2]]},[0,2]],"р":[{".":[{},[2]]},[0,2]],"с":[{"и":[{"ч":[{},[3,2]],"к":[{},[3,2]]}],"о":[{"в":[{},[3,2]]}],"у":[{"ј":[{},[3,2]]}]}]}],"р":[{"ђ":[{"а":[{},[3,2]]},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]],"ш":[{},[2,1]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"џ":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"ј":[{"е":[{".":[{},[4,3]],"м":[{},[4,3]]}]},[2,1]],"к":[{},[2,1]],"љ":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"р":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"з":[{},[2,1]]}],"с":[{"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]],"ш":[{},[2,1]],"ж":[{},[2,1]],"б":[{},[2,1]],"д":[{},[2,1]],"џ":[{},[2,1]],"ф":[{"е":[{"р":[{},[3,2]]}]},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"с":[{},[2,1]],"з":[{},[2,1]],"к":[{"ј":[{},[2,3]],"љ":[{},[2,3]],".":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ш":[{},[2]],"ж":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"џ":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"с":[{},[2]],"т":[{},[2]],"з":[{},[2]]},[0,2]],"т":[{"л":[{},[2,3]],".":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ш":[{},[2]],"ж":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"џ":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"т":[{},[2]],"з":[{},[2]]}],"в":[{"љ":[{},[2,3]],".":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ш":[{},[2]],"ж":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"џ":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"т":[{},[2]],"в":[{},[2]],"з":[{},[2]]},[0,2]],"ц":[{".":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ш":[{},[2]],"ж":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"џ":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"љ":[{},[2]],"м":[{},[2]],"н":[{},[2]],"р":[{},[2]],"с":[{},[2]],"т":[{},[2]],"з":[{},[2]]},[0,2]],"ј":[{".":[{},[2]]}],"л":[{".":[{},[2]]},[0,2]],"љ":[{".":[{},[2]]},[0,2]],"м":[{".":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ш":[{},[2]],"ж":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"џ":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"с":[{},[2]],"т":[{},[2]],"з":[{},[2]]},[0,2]],"н":[{".":[{},[2]]},[0,2]],"њ":[{".":[{},[2]]}],"п":[{".":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ш":[{},[2]],"ж":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"џ":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"т":[{},[2]],"в":[{},[2]],"з":[{},[2]]},[0,2]],"р":[{".":[{},[2]]},[0,2]]}],"т":[{"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]],"ш":[{},[2,1]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"џ":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"к":[{},[2,1]],"м":[{"а":[{"с":[{"т":[{},[3,2]]}]}],"у":[{"л":[{},[3,2]],"љ":[{},[3,2]],"о":[{},[3,2]],"р":[{},[3,2]]}]},[2,1]],"н":[{},[2,1]],"п":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"з":[{},[2,1]],"в":[{"ј":[{},[2,3]],"л":[{},[2,3]],"љ":[{},[2,3]],".":[{},[2]]},[0,2]],"ј":[{".":[{},[2]]},[0,2]],"л":[{".":[{},[2]]},[0,2]],"љ":[{".":[{},[2]]}],"р":[{".":[{},[2]]}]}],"у":[{"а":[{},[0,3]],"е":[{},[0,3]],"и":[{},[0,3]],"о":[{},[0,3]],"у":[{},[0,3]]},[2,1]],"в":[{"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]],"ш":[{},[2,1]],"ж":[{},[2,1]],"б":[{},[2,1]],"ц":[{},[2,1]],"д":[{},[2,1]],"џ":[{},[2,1]],"ф":[{},[2,1]],"г":[{},[2,1]],"х":[{},[2,1]],"к":[{},[2,1]],"м":[{},[2,1]],"н":[{},[2,1]],"п":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"в":[{},[2,1]],"з":[{},[2,1]],"ј":[{".":[{},[2]]}],"л":[{".":[{},[2]]},[0,2]],"љ":[{".":[{},[2]]},[0,2]],"р":[{".":[{},[2]]},[0,2]]}],"з":[{"ђ":[{},[2,1]],"ћ":[{},[2,1]],"ч":[{},[2,1]],"ш":[{},[2,1]],"ж":[{},[2,1]],"ц":[{},[2,1]],"џ":[{},[2,1]],"ф":[{},[2,1]],"х":[{},[2,1]],"к":[{},[2,1]],"п":[{},[2,1]],"с":[{},[2,1]],"з":[{},[2,1]],"б":[{"љ":[{},[2,3]],".":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ш":[{},[2]],"ж":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"џ":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"в":[{},[2]],"з":[{},[2]]},[0,2]],"д":[{"л":[{},[2,3]],"љ":[{},[2,3]],"в":[{},[2,3]],".":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ш":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"џ":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"з":[{},[2]]},[0,2]],"г":[{"ј":[{},[2,3]],"љ":[{},[2,3]],".":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ж":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"џ":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"з":[{},[2]]},[0,2]],"м":[{"л":[{},[2,3]],"р":[{},[2,3]],".":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ш":[{},[2]],"ж":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"џ":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"в":[{},[2]],"з":[{},[2]]},[0,2]],"в":[{"л":[{},[2,3]],"љ":[{},[2,3]],".":[{},[2]],"ђ":[{},[2]],"ћ":[{},[2]],"ч":[{},[2]],"ш":[{},[2]],"ж":[{},[2]],"б":[{},[2]],"ц":[{},[2]],"д":[{},[2]],"џ":[{},[2]],"ф":[{},[2]],"г":[{},[2]],"х":[{},[2]],"к":[{},[2]],"м":[{},[2]],"н":[{},[2]],"п":[{},[2]],"с":[{},[2]],"в":[{},[2]],"з":[{},[2]]},[0,2]],"ј":[{".":[{},[2]]},[0,2]],"л":[{".":[{},[2]]},[0,2]],"љ":[{".":[{},[2]]},[0,2]],"н":[{".":[{},[2]]},[0,2]],"њ":[{".":[{},[2]]}],"р":[{".":[{},[2]]},[0,2]]}],"л":[{"ј":[{},[0,2]]}]}';
  var hyphenation = [
    "на-дно",
    "на-тка",
    "на-тка-ти",
    "на-тка-ше",
    "о-дно",
    "о-тка",
    "о-тка-ти",
    "о-тка-ше",
    "по-дно",
    "по-дне",
    "по-тку",
    "по-тки",
    "по-тке",
    "по-тка",
    "у-дно",
    "и-где",
    "и-гдје",
    "сву-где",
    "све-где",
    "сву-гдје",
    "све-гдје",
    "по-не-где",
    "по-не-гдје",
    "и-зби",
    "и-збе",
    "и-зба",
    "и-зби-ци",
    "и-зби-це",
    "и-зби-ца",
    "и-звит",
    "и-зим",
    "изо-ба-ру",
    "изо-ба-ри",
    "изо-ба-ре",
    "изо-ба-ра",
    "и-скок",
    "и-ско-ку",
    "и-ско-ка",
    "и-скон",
    "и-ско-ну",
    "и-ско-ни",
    "и-ско-на",
    "и-скру",
    "и-скре",
    "и-скри",
    "и-скра",
    "и-скрав",
    "и-спод",
    "и-спо-да",
    "и-стру",
    "и-стри",
    "и-стро",
    "и-стре",
    "и-стра",
    "на-ју",
    "на-ји",
    "на-јо",
    "на-је",
    "на-ја",
    "на-јам",
    "на-јест",
    "о-браз",
    "о-брет",
    "о-дви-ка",
    "о-дран",
    "о-дра-ти",
    "пре-двој",
    "ра-зму",
    "ра-зми",
    "ра-змо",
    "ра-зме",
    "ра-зма",
    "ра-зну",
    "ра-зни",
    "ра-зно",
    "ра-зне",
    "ра-зна",
    "ра-склоп",
    "ра-спе-лу",
    "ра-спе-ло",
    "ра-спе-ла",
    "ра-спе-ћа",
    "ра-спе-ћу",
    "ра-спе-ће",
    "ра-сту",
    "ра-сти",
    "ра-сте",
    "ра-ста",
    "ра-стом",
    "ра-стер",
    "ра-шћу",
    "ра-шћи",
    "ра-шћо",
    "ра-шће",
    "ра-шћа",
    "у-зно",
    "у-зна",
    "у-зни",
    "у-зник",
    "у-зрок",
    "у-ску",
    "у-ски",
    "у-ско",
    "у-ске",
    "у-ска",
    "ус-кос",
    "у-спио",
    "у-спео",
    "у-спор",
    "у-шћу",
    "у-шће",
    "у-шћа",
    "ин-те-рес",
    "тран-су",
    "тран-са",
    "тран-сом",
    "те-ле-ви-зор",
    "те-ле-ви-зо-ру",
    "те-ле-ви-зо-ром",
    "те-ле-ви-зо-ра",
    "те-ле-ви-зо-ри",
    "при-ти-сак",
    "при-ти-с-ком",
    "при-ти-с-ку",
    "при-ти-с-ка",
    "по-ја-ви-ће",
    "на-пу-шта",
    "про-гра-ми-ра-ње",
    "сни-ма-ња",
    "сни-ма-ње",
    ""
  ];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
