(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsSv = factory();
  }
})(this, function () {
  var patterns =
    '{".":[{"a":[{"b":[{"i":[{},[0,0,5]],"o":[{"l":[{},[0,0,5]]}],"r":[{},[0,0,3]]},[0,4]],"c":[{},[0,0,3]],"d":[{"r":[{},[0,3]],"s":[{},[0,0,3]]},[0,4]],"g":[{"r":[{"a":[{},[0,5,4]],"e":[{},[0,5]]}]}],"k":[{"l":[{},[0,5]]}],"l":[{"e":[{},[0,5]],"p":[{"r":[{},[0,0,4]]}],"u":[{},[0,3]]}],"m":[{"b":[{"r":[{},[0,0,4]]}],"p":[{"l":[{},[0,0,0,3]]}],"u":[{},[0,5]]}],"n":[{"d":[{"r":[{"a":[{"r":[{},[0,0,0,4]]}]}]}],"e":[{"s":[{},[0,2,5]]}],"g":[{"e":[{"r":[{},[0,0,0,4]]}],"o":[{},[0,0,5]]}],"s":[{},[0,0,5]]}],"p":[{"p":[{},[0,0,1]]}],"s":[{"k":[{"e":[{"t":[{},[0,3]]}]},[0,0,2]],"t":[{"e":[{"n":[{},[0,5]]}],"i":[{},[0,3]]},[0,0,4]]}],"t":[{"a":[{},[0,5]],"t":[{},[0,0,3]]}],"u":[{"s":[{"t":[{},[0,0,3]]}]}],"v":[{"a":[{"l":[{},[0,4]]}],"s":[{},[0,0,3,4]]}]}],"b":[{"a":[{"k":[{"s":[{},[0,0,0,5]]}]}],"e":[{"n":[{"s":[{},[0,0,0,5]]}]}],"i":[{"l":[{"d":[{"s":[{},[0,0,0,0,3]]}]}]}],"o":[{"k":[{},[0,0,2]],"r":[{"t":[{},[0,0,0,0,1]]}]}]},[0,4]],"c":[{"i":[{"s":[{},[0,0,0,4]]}],"y":[{"k":[{"l":[{"o":[{"p":[{},[0,0,5]]}]}]}]}]}],"d":[{"ä":[{"r":[{},[0,0,0,3]]}]},[0,4]],"e":[{"k":[{"v":[{},[0,0,1]]}],"l":[{"a":[{},[0,3,4]],"i":[{"n":[{},[0,2,5]]}]}],"n":[{"s":[{"t":[{},[0,0,5]]}],"ä":[{},[0,4]]}],"r":[{"i":[{},[0,2,3]]}],"s":[{"k":[{"a":[{"d":[{},[0,5]],"l":[{},[0,0,3]],"p":[{},[0,0,5]]}]}],"t":[{"r":[{"a":[{"d":[{},[0,5]]}]}]},[0,0,4]]},[0,2]],"t":[{"r":[{},[0,3]]}],"v":[{"a":[{"n":[{},[0,0,0,0,5]]}]}],"x":[{},[0,0,3]]}],"f":[{"e":[{"b":[{"r":[{},[0,0,0,3]]}]}],"r":[{"a":[{"m":[{},[0,0,0,0,3]]}],"e":[{"s":[{},[0,0,0,0,5]]}]}],"å":[{"g":[{"e":[{"l":[{},[0,0,0,0,0,3]]}]}]}],"ö":[{"r":[{"a":[{},[0,0,0,1]],"e":[{"n":[{},[0,0,0,1]]}]}]}]},[0,4]],"g":[{"u":[{"l":[{"ä":[{},[0,0,4]]}],"s":[{},[0,0,0,3]]}]},[0,2]],"h":[{"e":[{"m":[{},[0,0,2]]}],"u":[{"s":[{"a":[{},[0,0,5]]}]}]}],"i":[{"b":[{},[0,0,4]],"k":[{},[0,0,4]],"m":[{"p":[{},[0,0,3]]}],"n":[{"a":[{},[0,4]],"d":[{},[0,0,3]],"g":[{"e":[{"r":[{},[0,0,4]]}]}],"k":[{},[0,0,0,2]],"s":[{},[0,0,3,2]],"t":[{},[0,0,3]]},[0,2,1]],"s":[{"k":[{"a":[{},[0,0,5]]}],"o":[{},[0,3]]}]}],"k":[{"a":[{"n":[{"s":[{"k":[{},[0,0,0,0,4]]}]}]}],"o":[{"l":[{"i":[{},[0,0,5]]}],"r":[{"t":[{"s":[{},[0,0,0,0,5]]}]}]}],"r":[{"i":[{"n":[{"g":[{"s":[{},[0,0,0,0,0,0,2]]},[0,0,0,0,0,3]]}]}]}],"ö":[{"p":[{"s":[{},[0,0,0,5]]}]}]},[0,4]],"l":[{"a":[{"k":[{"r":[{},[0,0,0,5]]}]}],"e":[{"k":[{"t":[{"r":[{},[0,0,0,5]]}]}]}],"u":[{"s":[{"t":[{},[0,0,2]]}]}]},[0,2]],"m":[{"a":[{"s":[{"k":[{"e":[{"r":[{"i":[{},[0,0,5]]}]},[0,0,0,2]]}]}]}],"e":[{"r":[{"e":[{},[0,0,4]]}]}],"i":[{"n":[{"i":[{"s":[{},[0,0,0,0,0,4]]}]}]}],"j":[{"ö":[{"l":[{"k":[{"s":[{},[0,0,0,0,0,5]]}]}]}]}],"o":[{"n":[{"s":[{},[0,0,0,2]]}]}],"å":[{"n":[{"s":[{},[0,0,0,3]]}],"s":[{"t":[{},[0,0,4]]}]}],"ä":[{"n":[{"s":[{"k":[{"o":[{},[0,0,0,5]]}]}]}]}],"ö":[{"r":[{"k":[{"r":[{},[0,0,0,0,5]]}]}]}]},[0,2]],"n":[{"e":[{"r":[{},[0,0,0,1]]}],"o":[{"n":[{},[0,0,4]]}],"ö":[{"d":[{"r":[{},[0,0,0,5]]}]}]},[0,4]],"o":[{"c":[{"k":[{"u":[{},[0,0,1]]}]}],"k":[{"t":[{},[0,0,3]],"v":[{},[0,3]]}],"m":[{"a":[{},[0,2]],"o":[{},[0,2]],"s":[{},[0,0,3,4]],"u":[{},[0,3]]}],"n":[{"k":[{},[0,0,4]]}],"o":[{},[0,3]],"r":[{"d":[{"s":[{},[0,0,0,3]]}]}],"s":[{"c":[{},[0,5]],"k":[{},[0,1,4]],"l":[{},[0,3]],"t":[{"r":[{"a":[{},[0,3]]}]}],"v":[{},[0,3]]}],"t":[{"r":[{},[0,3]]}],"u":[{},[0,1]]}],"p":[{"a":[{"p":[{"p":[{"s":[{},[0,0,0,0,5]]}]}],"s":[{"t":[{"e":[{},[0,0,3]],"i":[{},[0,0,5]]}]}]}],"i":[{"s":[{"t":[{"i":[{},[0,0,5]]}]}]}],"r":[{"e":[{"s":[{"s":[{},[0,0,0,0,2]]}]}]}],"u":[{"b":[{"l":[{"i":[{"k":[{"a":[{},[0,0,0,3]]}]}]}]}]}]},[0,4]],"r":[{"e":[{"g":[{"r":[{},[0,0,4]]}],"s":[{"t":[{"e":[{},[0,0,2]]}]}]}],"u":[{"n":[{"s":[{},[0,0,0,0,4]]}]}],"y":[{"m":[{"d":[{},[0,0,0,2]]}]}],"ö":[{"v":[{"e":[{},[0,0,0,0,5]]}]}]},[0,2]],"s":[{"a":[{"k":[{},[0,0,2]]}],"e":[{"g":[{"r":[{},[0,0,0,3]]}]}],"i":[{"o":[{},[0,0,5]]}],"j":[{"ö":[{},[0,0,0,1]]}],"k":[{"o":[{"t":[{"t":[{"s":[{},[0,0,0,0,0,3]]}]}]}]},[0,0,4]],"l":[{"u":[{"t":[{"s":[{},[0,0,0,0,3]]}]}]}],"t":[{"a":[{"m":[{},[0,0,0,2]]}],"e":[{"n":[{"s":[{},[0,0,0,0,3]]}]}],"r":[{"i":[{"n":[{"g":[{},[0,0,0,0,0,0,4]]}]}]}]},[0,0,4]],"u":[{"p":[{"p":[{},[0,0,0,3]]}]}]},[0,4]],"t":[{"a":[{"b":[{"l":[{},[0,0,3]]}],"k":[{"l":[{},[0,0,0,5]]},[0,0,4]]}],"e":[{"s":[{"t":[{"a":[{},[0,0,0,3]]}]}]}],"i":[{"g":[{"r":[{},[0,0,0,3]]}],"l":[{"l":[{},[0,0,0,4]]}],"o":[{},[0,0,3]]}],"o":[{"p":[{"p":[{"s":[{},[0,0,0,0,5]]}]}]}],"r":[{"e":[{"d":[{"s":[{},[0,0,0,0,2]]}],"s":[{},[0,0,0,3]]}],"ä":[{"k":[{},[0,0,0,5]]}]}]},[0,4]],"u":[{"k":[{},[0,3]],"l":[{"t":[{"r":[{},[0,0,0,5]]}]}],"n":[{"g":[{"e":[{},[0,0,0,2]]}]}],"p":[{},[0,0,2]],"r":[{"a":[{},[0,4]],"s":[{},[0,0,3]]}],"t":[{"a":[{},[0,4]],"r":[{"e":[{"r":[{},[0,5]]}]}],"s":[{},[0,0,5]]},[0,2,1]]}],"v":[{"a":[{"r":[{"t":[{},[0,0,0,4]]}],"t":[{"t":[{"e":[{"n":[{},[0,0,0,0,0,0,3]]}]}]}]}],"e":[{"d":[{"s":[{},[0,0,0,5]]}]}],"ä":[{"g":[{"s":[{},[0,0,0,3]]},[0,0,2]]}]},[0,2]],"x":[{},[0,2]],"y":[{"a":[{},[0,2]],"e":[{},[0,4]]}],"å":[{"n":[{"g":[{},[0,0,0,3]]}],"r":[{"s":[{},[0,0,4,5]]}],"s":[{"t":[{},[0,3]]}],"t":[{"e":[{"r":[{},[0,0,0,0,1]]}]}]}],"ä":[{"r":[{"o":[{},[0,3]]}]}],"ö":[{"r":[{"o":[{},[0,3]]}]}]}],"a":[{"b":[{"b":[{"u":[{},[0,0,4]]}],"e":[{"l":[{"s":[{},[0,0,0,0,4]]}],"s":[{},[0,0,0,2]]},[0,5]],"l":[{"a":[{},[0,0,3]]},[0,0,1]],"o":[{"r":[{"t":[{},[0,0,3]]}]}],"r":[{"i":[{"c":[{},[0,0,5]],"o":[{},[0,0,3]]}]}],"s":[{"c":[{},[0,0,4]],"k":[{},[0,0,4]]}],"u":[{},[0,5]]},[0,2]],"c":[{"k":[{"e":[{"s":[{},[0,0,4]]}],"i":[{"s":[{},[0,0,4]]}],"s":[{"k":[{},[0,0,0,3]]}],"u":[{"p":[{},[0,0,0,3,4]]}]}]}],"d":[{"a":[{"g":[{},[0,5]]}],"e":[{"k":[{},[0,5]],"l":[{},[0,5]],"p":[{},[0,0,5]]}],"j":[{},[0,0,3]],"o":[{"p":[{},[0,0,3]]}],"r":[{"a":[{"n":[{},[0,5]]}],"e":[{"s":[{},[1]]},[0,3]],"i":[{"l":[{},[0,0,3]]}],"u":[{},[0,0,3]]}],"s":[{},[0,0,2]]}],"e":[{"d":[{},[0,5]]}],"f":[{"f":[{"o":[{},[0,0,4]],"ä":[{},[3]]}],"r":[{"i":[{},[1,0,3]]}],"t":[{"o":[{"r":[{},[0,0,4]]}]}]}],"g":[{"a":[{"r":[{"a":[{},[0,0,0,4]]}]},[0,1]],"e":[{".":[{},[0,2]]},[0,1]],"g":[{"r":[{},[0,0,1]]}],"l":[{},[0,0,1]],"o":[{"r":[{"d":[{},[0,0,5]]}]}],"r":[{"o":[{},[0,0,3]]}],"u":[{"r":[{},[0,4]]}]}],"h":[{"j":[{},[0,4]]}],"i":[{"b":[{},[0,0,0,4]],"v":[{},[0,3]]}],"j":[{},[0,1]],"k":[{"a":[{"r":[{"t":[{},[0,4]]}]},[0,3]],"e":[{},[0,5]],"i":[{},[0,1]],"n":[{},[0,0,3]],"o":[{},[0,1]],"r":[{"a":[{"m":[{},[0,0,5]]}],"i":[{"s":[{},[0,0,0,0,5]]}],"o":[{"b":[{},[0,0,3]]}]}],"s":[{"t":[{"a":[{},[0,0,4]]}]}],"t":[{"i":[{"g":[{},[1]]}],"r":[{"i":[{},[0,0,3]]}]}],"u":[{},[0,1]],"v":[{"a":[{"r":[{"i":[{},[0,5]]}]}],"e":[{},[0,0,3]]}],"å":[{"r":[{},[0,5]],"t":[{},[0,0,5]]}],"ö":[{},[4]]}],"l":[{"a":[{"d":[{"m":[{},[0,0,5]]}]},[0,1]],"i":[{"b":[{"r":[{},[0,0,0,2]]}],"n":[{".":[{},[0,5]],"e":[{},[0,3]],"s":[{},[0,0,3]]},[0,2]],"s":[{"t":[{"i":[{"k":[{},[0,0,0,5]]}]}]}]}],"j":[{},[0,4]],"k":[{"a":[{"k":[{},[0,0,0,3]]}],"v":[{},[0,0,2]],"ä":[{},[0,0,4]]}],"l":[{"s":[{"t":[{},[0,0,0,3]]}],"å":[{},[0,0,3]]}],"m":[{"s":[{"k":[{},[0,0,0,0,4]]}]}],"o":[{"r":[{"t":[{},[0,0,5]]}]},[0,1]],"s":[{"p":[{"a":[{},[0,0,0,5]]}]}],"t":[{"r":[{},[0,0,3]],"u":[{},[0,0,4]],"ä":[{},[0,0,4]]}],"u":[{"s":[{},[0,0,0,5]]},[0,1]],"v":[{"s":[{},[0,0,0,3]]}],"y":[{},[0,1]]}],"m":[{"a":[{"f":[{},[0,4]]}],"i":[{},[0,0,4]],"p":[{"r":[{},[0,0,4]]}],"s":[{},[0,0,1]],"å":[{"t":[{},[0,0,3]]}],"ö":[{},[0,3]]}],"n":[{"a":[{"b":[{"o":[{},[0,0,0,4]]}],"l":[{"f":[{},[0,0,3]]}],"r":[{"k":[{},[0,0,3]]}]}],"c":[{"i":[{},[0,0,0,0,5]]},[0,0,3]],"d":[{"a":[{"k":[{},[0,0,5]]}],"e":[{"l":[{"s":[{},[0,0,0,0,0,2]]}]}],"u":[{"n":[{},[0,0,4]]}],"ä":[{"n":[{},[0,0,4]]}]}],"e":[{"f":[{},[0,4]]}],"g":[{"e":[{"s":[{},[0,0,0,4]]}],"i":[{},[0,0,3]],"r":[{},[0,0,1]]}],"i":[{"u":[{},[0,0,0,0,4]]}],"k":[{"r":[{},[0,0,0,3]]}],"o":[{"i":[{},[0,0,0,2]],"k":[{},[0,4]],"p":[{},[0,4]]}],"s":[{"c":[{"e":[{},[0,0,5]]}],"i":[{"s":[{"t":[{},[0,0,0,0,0,3]]}]}],"j":[{},[0,0,4]],"k":[{"u":[{},[0,0,0,5]]}],"l":[{"i":[{},[0,0,0,3]]}],"p":[{"a":[{"r":[{},[0,0,0,3]]}]}],"t":[{"o":[{},[0,0,4]],"y":[{},[0,0,4]]},[0,0,1]],"v":[{"a":[{"r":[{},[1]]}]}]}],"t":[{"j":[{},[0,0,4]],"r":[{"e":[{},[0,0,4]]}]}],"u":[{},[0,1]],"y":[{},[0,5]],"ö":[{},[0,3]]}],"o":[{},[0,1]],"p":[{"e":[{".":[{},[0,2]],"n":[{},[0,0,0,4,3]]},[0,1]],"i":[{},[0,1]],"l":[{"a":[{"n":[{},[0,0,4]]}]}],"o":[{"s":[{"t":[{"r":[{},[0,0,0,3]]}]}]}],"p":[{"a":[{"r":[{"a":[{},[1]]}]}],"s":[{"k":[{},[0,0,0,0,4]]}]}],"r":[{"i":[{"c":[{},[0,0,3]],"f":[{},[0,0,3]],"s":[{},[0,5]]}]}],"s":[{"e":[{},[0,0,3]],"l":[{},[0,0,0,5]],"p":[{},[0,0,0,3]]},[0,0,2]],"u":[{"s":[{},[0,0,0,5]]}],"y":[{},[0,5]],"ä":[{},[0,5]]}],"r":[{"a":[{"n":[{"n":[{},[0,4]]}],"r":[{"v":[{},[0,4]]}]},[2]],"b":[{"i":[{},[4]],"o":[{},[2]],"r":[{},[4]]},[1]],"d":[{"r":[{},[0,0,3]],"s":[{"t":[{},[0,0,0,5]]}]}],"e":[{"n":[{"d":[{},[0,4]]}]}],"g":[{"s":[{"i":[{},[0,0,0,5]]}]}],"h":[{},[2]],"i":[{"g":[{"e":[{"n":[{},[0,4]]}]}]},[0,1]],"k":[{"a":[{},[0,0,3]],"l":[{"a":[{"n":[{},[0,0,0,3]]}]}],"r":[{},[0,0,5]]}],"l":[{},[4]],"n":[{".":[{},[4]],"a":[{"l":[{},[0,0,4]]}]}],"o":[{"b":[{},[0,2]]},[0,1]],"p":[{},[4]],"s":[{"a":[{},[0,0,2]],"k":[{"a":[{"l":[{},[0,0,5]]}],"l":[{},[0,0,0,0,5]]}],"v":[{},[0,0,2]]}],"t":[{"r":[{"o":[{},[0,0,4]]}],"s":[{"p":[{},[0,0,0,0,5]]}],"u":[{"r":[{},[0,0,4]]}]}],"u":[{"r":[{},[0,4]],"s":[{},[0,5]]},[4]],"v":[{"ä":[{"g":[{},[0,0,4]]}]}],"y":[{},[0,3]],"ä":[{},[0,3]]}],"s":[{"a":[{},[2]],"b":[{"e":[{},[0,0,0,0,4]]}],"c":[{},[0,1]],"h":[{},[0,0,2]],"i":[{"s":[{"t":[{},[0,0,0,0,5]]}]}],"k":[{"i":[{"s":[{},[0,0,3]]}],"o":[{},[0,2]],"r":[{},[0,4]],"u":[{},[0,0,3]]}],"l":[{},[0,0,5]],"p":[{"a":[{},[0,0,3]],"i":[{"g":[{},[0,0,3]]}]}],"s":[{"k":[{},[0,0,2]],"o":[{"p":[{},[0,0,2,5]]}],"p":[{},[0,0,2]],"t":[{},[0,0,2]],"u":[{"p":[{},[0,0,0,5]]}]}],"t":[{"a":[{"r":[{"d":[{},[0,5]]}]},[0,0,3]],"e":[{"r":[{},[0,0,5]]}],"i":[{"k":[{"e":[{"r":[{},[0,0,5]]}]}],"o":[{},[0,0,0,0,5]]}],"o":[{},[0,0,3]],"r":[{"a":[{"k":[{},[0,0,0,5]],"l":[{},[0,5]]}],"o":[{"l":[{},[0,0,0,3]]}]},[0,0,4]],"ö":[{"r":[{},[0,0,5]]}]}],"u":[{"l":[{},[0,4]],"n":[{"d":[{},[0,4]]}],"t":[{},[0,0,2]]},[0,3]],"v":[{},[0,0,3]],"y":[{},[0,1]],"å":[{},[0,2,5]],"ö":[{},[0,2]]}],"t":[{"a":[{"r":[{"a":[{},[0,0,0,5]]}]}],"e":[{},[0,5]],"i":[{"ö":[{},[0,0,0,5]]}],"j":[{},[0,4]],"r":[{"a":[{"l":[{},[0,3]],"r":[{},[4]]}],"e":[{},[0,4,3]],"i":[{"a":[{},[0,0,3]],"c":[{},[0,3]],"e":[{},[0,0,3]],"k":[{},[0,5]],"s":[{},[0,3]]}],"o":[{".":[{},[0,4]]},[0,3,4]]},[0,2]],"s":[{"k":[{"a":[{},[0,0,4]]}]}],"t":[{"a":[{"c":[{},[1]],"k":[{},[0,0,2]]}],"j":[{},[0,0,4]],"o":[{"s":[{},[0,0,4]]}],"s":[{},[0,0,0,3]]}],"u":[{"n":[{"g":[{},[0,4]]}]}]},[0,1]],"u":[{"b":[{},[0,0,5]],"t":[{"a":[{},[0,0,2,5]],"o":[{"m":[{},[3]]}],"s":[{},[0,0,0,5]]}]},[2]],"v":[{"a":[{"r":[{"t":[{},[0,4]]}]},[2,1]],"g":[{},[1]],"i":[{},[2,1]],"r":[{},[0,0,3]],"ä":[{},[4,3]]}],"å":[{},[0,5]]}],"b":[{"a":[{"d":[{"i":[{},[0,0,4]],"o":[{},[0,0,4]],"s":[{},[0,0,0,3,4]]}],"k":[{"l":[{},[0,0,0,5]],"o":[{},[0,0,4]],"u":[{},[0,0,4]]}],"n":[{"k":[{"l":[{},[0,0,0,0,5]]}]}],"s":[{"t":[{"a":[{},[0,0,0,4]],"u":[{},[0,0,5]]}]}]},[3]],"b":[{"a":[{"k":[{},[0,4]],"t":[{"t":[{},[0,4]]}]}],"b":[{},[0,0,0,4]],"l":[{"e":[{"r":[{},[0,0,4]]}]},[0,0,3]],"r":[{},[0,4,3]],"s":[{"o":[{},[0,0,4]]}]},[4]],"d":[{},[4,3]],"e":[{"d":[{"r":[{},[0,0,3,4]]}],"e":[{},[0,0,5]],"k":[{},[0,0,1]],"l":[{"d":[{},[4]],"u":[{},[0,0,5]],"y":[{},[0,0,3]],"å":[{},[0,0,3]],"ö":[{},[0,0,5]]}],"n":[{"g":[{},[0,0,0,0,4]],"å":[{},[0,0,3]]}],"r":[{"ö":[{},[0,0,1]]}],"s":[{"l":[{},[0,0,3]],"s":[{},[0,0,0,5]],"t":[{"a":[{},[0,0,4]],"e":[{},[0,0,4]]}],"u":[{},[0,0,5]]},[0,0,1]],"t":[{"r":[{},[0,0,3]],"v":[{},[0,0,3]]}],"u":[{},[0,0,3]],"x":[{},[4]]},[3]],"f":[{},[2,3]],"h":[{},[2,5]],"i":[{"d":[{},[0,0,3,4]],"n":[{"v":[{},[4]]}],"s":[{"k":[{"o":[{},[0,0,0,3]],"v":[{},[0,0,5]]}]}]},[3]],"j":[{"e":[{},[0,3]]}],"k":[{},[0,3]],"l":[{"a":[{"r":[{},[0,5]],"t":[{},[0,5]]}],"e":[{"m":[{"o":[{},[0,0,0,4]]}],"n":[{},[0,5]],"r":[{"a":[{},[5]]}],"s":[{},[3]]}],"i":[{"d":[{},[5]],"k":[{"r":[{},[3]],"s":[{},[3]]}]}]}],"m":[{},[4,3]],"n":[{},[2,3]],"o":[{"g":[{"r":[{},[0,0,4]]}],"k":[{"l":[{},[0,0,2]]}],"m":[{"u":[{},[0,0,1]]}],"n":[{},[5]],"r":[{"s":[{"t":[{"e":[{},[0,0,0,0,5]]}]}],"t":[{"i":[{},[0,0,0,4]],"r":[{},[0,0,0,0,3]],"s":[{"l":[{},[0,0,0,0,3]]},[0,0,0,0,0,2]]}]}],"s":[{"c":[{},[0,0,4]]},[0,0,1]],"y":[{},[0,0,0,5]]},[3]],"p":[{},[4,3]],"r":[{"a":[{"f":[{},[2,5]],"r":[{},[4]],"t":[{"i":[{},[2,5]]}]}],"i":[{"k":[{".":[{},[3]],"a":[{},[0,3]],"e":[{},[3]],"s":[{},[3]],"ö":[{},[0,5]]}]}],"u":[{"s":[{"t":[{},[0,0,0,4]]}]}],"y":[{},[3]],"ö":[{},[3]]}],"s":[{"c":[{"e":[{},[0,5]],"h":[{},[0,0,3]]}],"l":[{"a":[{"n":[{},[0,4]]}]}],"o":[{"f":[{},[0,4]]}],"p":[{},[0,4]],"t":[{"j":[{},[0,4]]},[0,0,0,4]]},[4,3]],"t":[{},[4,3]],"u":[{"n":[{"d":[{"s":[{},[0,0,0,0,4]]}]}],"s":[{"s":[{"t":[{},[0,0,0,2]]}]}]},[3]],"v":[{},[0,3]],"y":[{"r":[{},[0,0,5]]},[3]],"å":[{"n":[{"g":[{},[0,0,0,0,3]]}],"t":[{"s":[{},[0,0,0,2]]}]},[3]],"ä":[{},[3]],"ö":[{"r":[{"s":[{},[0,0,0,2]]}]},[3]]},[1,2]],"c":[{"a":[{"p":[{},[5]]}],"c":[{},[0,3]],"e":[{"n":[{"s":[{"t":[{},[0,0,0,0,3]]}],"t":[{"r":[{},[3]]}]}],"u":[{"s":[{},[0,0,0,4]]}]},[1,4]],"h":[{".":[{},[4]],"a":[{"u":[{},[3]]}],"e":[{"f":[{},[3]]}],"o":[{"c":[{},[5]]}],"t":[{},[4]],"ä":[{"s":[{},[0,0,0,0,3]]}],"ö":[{"r":[{},[0,0,0,0,4]]}]}],"i":[{"l":[{"u":[{},[0,0,4]]}],"m":[{},[0,0,0,2]],"p":[{"p":[{},[0,0,0,0,4]]}]},[1]],"k":[{"a":[{},[0,3]],"e":[{},[0,3]],"i":[{},[0,3]],"j":[{},[0,0,5]],"l":[{"i":[{"s":[{},[0,0,5]]}]},[0,0,1]],"n":[{},[0,0,3]],"o":[{"r":[{"d":[{"n":[{},[0,4]]}],"g":[{},[0,0,3]],"t":[{},[0,4]]}]},[0,3]],"r":[{"e":[{},[0,0,4]]},[0,0,3]],"s":[{"l":[{"a":[{},[0,0,3]]}]}],"u":[{"s":[{},[0,0,0,0,2]]}],"v":[{"a":[{},[0,0,3]],"e":[{},[0,0,3]],"ä":[{},[0,0,3]]}],"ä":[{},[0,0,5]],"ö":[{},[0,0,3]]},[4]],"l":[{"e":[{"a":[{},[0,0,0,2]]}]}],"o":[{"a":[{},[0,0,2]],"m":[{},[0,0,4]]}],"r":[{"o":[{"s":[{},[0,0,0,0,2]]}]},[4]],"s":[{},[4]],"y":[{},[1]]},[0,2]],"d":[{"a":[{".":[{},[5]],"d":[{"r":[{},[4]]}],"g":[{"s":[{},[0,0,0,0,3]]}],"k":[{"o":[{},[5]]},[2]],"l":[{"i":[{},[0,0,3]]}],"m":[{"å":[{},[0,0,3]]},[5]],"n":[{"d":[{".":[{},[4]]}]}],"p":[{},[4,1]],"r":[{"b":[{},[4]],"t":[{},[4]]}],"t":[{"r":[{},[0,0,4]],"t":[{},[0,0,0,5]]}],"x":[{},[4]]},[3]],"b":[{},[2]],"c":[{"e":[{"n":[{},[0,0,0,0,3]]}]},[4]],"d":[{"d":[{},[0,0,0,4]],"i":[{"s":[{},[0,0,0,4]]}],"j":[{},[0,3]],"o":[{"s":[{},[0,4]]}],"r":[{"a":[{},[0,0,3]],"e":[{},[0,0,3]],"i":[{},[0,0,3]],"ä":[{},[0,3]]}],"s":[{"v":[{},[0,0,0,3]]},[0,0,2]]},[2]],"e":[{"k":[{"o":[{},[4]]},[0,0,1,4]],"l":[{"d":[{},[4]],"s":[{"a":[{},[0,0,0,2]],"t":[{"i":[{},[0,0,0,0,5]]}]}],"u":[{"t":[{},[0,0,5]]}]}],"n":[{"t":[{"i":[{"ö":[{},[0,0,0,0,0,5]]}],"o":[{},[0,0,0,2]]}]},[0,4]],"p":[{"r":[{},[0,0,3]]}],"r":[{"k":[{},[0,0,0,1]],"o":[{"l":[{},[0,0,5]]},[0,0,2]],"s":[{"t":[{"i":[{},[0,0,0,5]]}]}],"u":[{},[0,0,4]]},[5]],"s":[{"e":[{},[0,0,3]],"p":[{},[0,0,3]],"t":[{"i":[{},[0,0,0,3]]}]},[0,0,2]],"t":[{"r":[{},[0,0,3]]},[0,4]],"x":[{},[4]]},[3,2]],"f":[{"ö":[{"r":[{"a":[{},[0,0,0,3]]}]}]},[2,1]],"g":[{"l":[{},[0,3]]},[2,1]],"h":[{},[2,5]],"i":[{"a":[{"s":[{},[0,0,0,0,4]]}],"e":[{"l":[{},[0,0,5]]}],"g":[{"r":[{},[0,0,2]]}],"k":[{"a":[{},[0,0,3]],"u":[{},[0,0,5]]}],"n":[{"f":[{},[4]],"g":[{"o":[{},[0,0,0,3,4]]}],"r":[{},[4]],"s":[{"p":[{},[2]]},[4]],"t":[{},[4]]}],"o":[{"d":[{},[0,0,4]]},[0,0,1]],"s":[{"c":[{},[0,0,3]],"j":[{},[0,0,4]],"k":[{"o":[{},[0,0,0,3]],"r":[{},[0,0,0,1]]}],"p":[{},[0,0,0,1]],"t":[{"o":[{},[0,0,0,5]],"r":[{"a":[{},[0,0,0,3]]}]}]}],"t":[{"r":[{"e":[{},[0,0,4]]}]}]},[3]],"j":[{"o":[{"r":[{},[0,3]]}],"u":[{"p":[{"p":[{},[0,0,0,0,5]]}],"r":[{},[3]]}]},[2]],"k":[{},[2,3,2]],"l":[{},[4,5]],"m":[{},[2,1]],"n":[{},[2,1]],"o":[{"l":[{"o":[{},[0,0,5]]},[0,2]],"m":[{"r":[{},[4]],"s":[{"k":[{},[0,0,0,2]]}]}],"n":[{},[5]],"p":[{"a":[{"k":[{},[0,0,4]]}]}],"r":[{"d":[{},[4,5]],"i":[{},[4]],"t":[{},[4]]}],"s":[{"t":[{},[0,5]]}],"y":[{},[0,0,3]]},[3]],"p":[{},[2,1]],"r":[{"a":[{"d":[{},[0,3]],"g":[{},[3,4]],"n":[{"d":[{},[0,3]]}],"r":[{"b":[{},[0,5]]}],"s":[{"s":[{"e":[{"r":[{"a":[{},[0,5]]}]}]}]}],"t":[{"u":[{},[0,5]]}]}],"e":[{"j":[{},[3]],"n":[{},[0,3]],"s":[{},[5]],"t":[{},[0,3]]}],"i":[{"c":[{},[0,4]],"f":[{},[3]],"g":[{},[0,3]],"k":[{},[4,5]],"n":[{},[0,3]],"v":[{},[3,4]]}],"o":[{"c":[{},[0,5]],"p":[{"p":[{},[3]]}],"r":[{},[0,3]],"t":[{"t":[{"s":[{},[0,0,0,0,0,0,3]]}]},[4]]}],"ä":[{"k":[{"n":[{},[0,3]],"t":[{},[3]]}],"n":[{},[5]],"t":[{},[0,3]]}],"ö":[{"d":[{},[0,5]]}]},[2,2,2]],"s":[{"a":[{"n":[{},[0,2,1]]}],"e":[{"n":[{"h":[{},[0,0,5]]}]},[0,2]],"f":[{},[0,4]],"i":[{"n":[{"s":[{},[0,0,3]]}]},[0,2]],"j":[{},[0,2]],"k":[{"e":[{"f":[{},[0,3]],"n":[{},[0,0,4]]}],"i":[{},[0,3]],"l":[{},[0,0,3]],"n":[{},[0,0,5]]},[0,0,0,2]],"l":[{"o":[{"t":[{},[0,0,4]]}]},[0,0,1]],"m":[{"o":[{},[0,0,4]],"å":[{},[0,4]]}],"n":[{"å":[{},[0,0,5]]}],"o":[{},[0,2]],"p":[{"l":[{},[0,0,3]]}],"s":[{},[0,0,3,4]],"t":[{"a":[{"l":[{},[0,0,3]],"t":[{},[0,5]]}],"e":[{"a":[{},[0,0,0,0,4]]},[0,0,4]],"i":[{"g":[{},[0,5]],"n":[{},[0,0,3]]}],"r":[{"o":[{},[0,0,5]]}]}],"u":[{},[0,2]],"v":[{},[0,0,1]],"ö":[{},[0,2]]},[4]],"t":[{},[2,3]],"u":[{"b":[{"b":[{"l":[{"e":[{},[0,0,0,3]]}]}]}],"p":[{},[4]],"s":[{"c":[{},[0,0,2]],"t":[{"e":[{},[0,0,4]]}],"ö":[{},[0,0,5]]},[0,0,1]],"t":[{},[4]],"v":[{"u":[{},[0,0,4]]}]},[3]],"v":[{"r":[{},[0,3]]},[2,1]],"w":[{},[2,3]],"y":[{"k":[{"a":[{"n":[{},[0,0,4]]}]}],"r":[{"o":[{},[0,0,4]]}]},[3]],"z":[{},[4]],"å":[{"g":[{},[5]],"s":[{},[2]],"t":[{},[4]]}],"ä":[{"g":[{},[4]],"r":[{},[0,0,2]]}],"ö":[{"d":[{"s":[{},[0,0,0,0,1]]}],"g":[{},[4]],"p":[{},[4]],"s":[{"t":[{},[0,5]]}]},[3]],"é":[{},[0,0,4]]},[1]],"e":[{"a":[{"k":[{"e":[{},[0,2]]}],"m":[{},[0,4]]},[0,1]],"b":[{"r":[{"i":[{"l":[{},[0,0,3]]}]},[0,2]]},[4]],"c":[{"h":[{"i":[{"f":[{"f":[{},[0,0,0,0,0,0,5]]}]}]},[0,3]],"i":[{"s":[{},[0,0,0,0,4]]}],"o":[{},[0,3]]},[4]],"d":[{"a":[{"n":[{"s":[{},[0,4]]}]}],"d":[{"r":[{},[0,0,0,4]]}],"i":[{"u":[{},[0,0,0,4]]}],"j":[{},[0,0,3]],"r":[{"a":[{"l":[{},[0,5]]}]}],"s":[{"k":[{"o":[{},[0,0,2]]},[0,0,1]],"l":[{},[0,0,3,2]],"o":[{},[0,0,0,0,4]]}],"å":[{},[0,3]]},[0,2]],"e":[{"d":[{},[0,2]],"i":[{},[0,4]],"k":[{},[0,0,2,5]],"n":[{".":[{},[0,4]],"e":[{},[0,4]]}]},[0,1]],"f":[{"s":[{},[0,0,4]],"t":[{"e":[{},[3]]}]},[0,1]],"g":[{"a":[{},[0,3]],"e":[{"l":[{},[0,0,0,2]]},[0,3]],"l":[{"e":[{"r":[{"a":[{},[0,3]],"i":[{},[0,5]]},[0,0,2]]}]},[0,0,1]],"r":[{"a":[{"n":[{},[0,4]],"t":[{},[0,0,5]]}],"i":[{"n":[{},[0,0,3]]}],"u":[{},[0,5]]}],"s":[{},[0,0,0,3]],"å":[{},[0,5]]},[0,1]],"i":[{"g":[{"n":[{},[0,0,5]]},[0,0,0,2]],"k":[{},[0,3]],"n":[{},[0,1]],"s":[{"h":[{},[0,0,5]],"k":[{},[0,1]]}]}],"j":[{"o":[{},[0,1]],"u":[{},[0,3]],"ä":[{},[0,3]],"ö":[{},[0,5]]}],"k":[{"a":[{},[0,3]],"i":[{},[0,1]],"l":[{"a":[{"t":[{},[0,0,3]]}],"e":[{},[0,0,4]]},[0,1]],"n":[{},[0,0,3]],"o":[{"r":[{"d":[{"s":[{},[0,0,0,0,0,5]]}],"r":[{},[0,0,3]]}]},[0,1]],"r":[{"e":[{"t":[{".":[{},[0,0,4]]}]}],"o":[{},[0,0,5]]}],"u":[{},[0,1]],"v":[{"e":[{},[0,1]],"i":[{"s":[{},[0,0,5]]}]}],"y":[{},[0,1]],"ä":[{},[0,1]]}],"l":[{"a":[{"k":[{"t":[{},[0,0,1]]}],"r":[{"b":[{},[0,0,4]]}]},[0,1]],"d":[{".":[{},[3]]}],"e":[{"b":[{"r":[{},[0,0,0,0,3]]}],"k":[{"t":[{"r":[{"i":[{},[0,0,0,0,0,3]]}]}]}]}],"f":[{"r":[{"a":[{},[0,0,4]]}]}],"i":[{"k":[{"u":[{},[0,0,0,5]]}]}],"k":[{},[0,0,3,4]],"l":[{"i":[{},[0,0,3]],"s":[{},[0,0,0,3]],"ä":[{},[0,0,3]]}],"o":[{"b":[{},[0,4]]},[0,1]],"p":[{},[0,0,3]],"s":[{"i":[{},[0,0,2]]}],"u":[{"g":[{},[0,0,5]],"v":[{},[0,5]]}],"ä":[{},[2,1]]}],"m":[{"a":[{"t":[{},[0,5]]}],"i":[{"s":[{},[0,5]]}],"o":[{"n":[{"s":[{},[0,0,0,0,1]]}],"r":[{"t":[{},[0,0,5]]}]}],"p":[{"l":[{"e":[{},[0,0,0,5]]}]}]},[0,1]],"n":[{"a":[{"r":[{"t":[{},[0,0,5]]}],"v":[{},[0,2]]}],"c":[{"e":[{},[0,0,4]]}],"e":[{"d":[{},[0,4]],"k":[{},[0,4]],"r":[{"ö":[{},[0,0,0,3]]}]}],"j":[{},[2]],"k":[{"l":[{"o":[{},[0,0,5]]}],"n":[{},[0,0,3]],"r":[{},[0,0,5]],"ä":[{},[0,0,5]]}],"n":[{"i":[{"n":[{"g":[{"s":[{},[0,0,0,0,0,0,0,2]]},[0,0,0,0,0,0,5]]}]}]}],"o":[{"m":[{},[0,0,0,2]]}],"s":[{"i":[{},[0,0,3]],"k":[{"e":[{},[0,0,0,5]]}],"m":[{},[0,0,0,2]],"p":[{},[0,0,2]],"t":[{"e":[{},[0,0,0,4]]}],"v":[{"i":[{"n":[{},[0,0,0,4]]}]}],"å":[{},[0,0,4]]}],"t":[{"h":[{"a":[{},[0,0,0,4]]}],"r":[{"a":[{"t":[{".":[{},[0,0,0,4]],"i":[{},[0,0,0,3]]}]}],"i":[{},[0,0,0,3]],"u":[{},[0,0,0,5]]},[0,0,2,1]]}],"u":[{"s":[{},[0,5]]}],"y":[{},[2]],"ä":[{},[2,1]]}],"o":[{"g":[{},[0,2]],"i":[{},[0,0,4]],"r":[{},[0,5]]},[0,1]],"p":[{"e":[{},[0,1]],"i":[{},[0,1]],"l":[{"a":[{},[0,3]],"e":[{},[0,0,5]]}],"p":[{"s":[{"t":[{},[0,0,0,0,5]]},[0,0,0,2,3]]}],"r":[{},[0,1]],"s":[{},[0,0,3]],"t":[{"r":[{},[0,0,4]]}],"u":[{"b":[{},[0,0,0,3]]}],"å":[{},[0,3]]},[2]],"r":[{"a":[{"k":[{},[0,0,1]],"s":[{},[4]]}],"d":[{},[0,0,3,4]],"g":[{"l":[{},[0,0,0,4]],"u":[{},[0,0,4]],"å":[{"s":[{},[0,0,4]]}]}],"i":[{"b":[{},[0,5]],"n":[{"f":[{},[0,4]],"g":[{"s":[{},[0,0,0,0,0,0,3]]}]}],"s":[{"t":[{"i":[{"k":[{},[0,0,0,5]]}]}]}]},[0,1]],"k":[{"l":[{"i":[{"n":[{},[0,0,0,4]]}]}]}],"l":[{"ä":[{},[0,0,0,0,4]]}],"n":[{"a":[{},[0,0,5]]}],"o":[{"b":[{},[0,3]],"m":[{},[0,2]]},[0,1]],"p":[{},[0,0,0,4]],"r":[{"a":[{},[0,0,3]]}],"s":[{"c":[{},[0,0,5]],"k":[{"e":[{"n":[{},[0,0,0,4]]}]}],"l":[{"e":[{},[0,0,0,4]]},[0,0,3]],"t":[{"a":[{},[0,0,4]],"e":[{},[0,0,2]],"r":[{},[0,0,3]]}],"v":[{},[0,0,3]]}],"u":[{"m":[{},[0,5]]},[0,1]],"y":[{},[0,3]],"å":[{"d":[{},[0,5]]}],"ä":[{},[0,1]]}],"s":[{"a":[{"l":[{"l":[{},[0,0,5]]},[0,2]],"r":[{"m":[{},[0,0,3]]}]}],"c":[{},[0,1]],"e":[{},[2]],"h":[{"i":[{},[0,0,4]]}],"i":[{"u":[{},[0,0,0,4]]}],"k":[{"a":[{"n":[{},[0,4]],"r":[{},[0,0,5]]}],"e":[{"n":[{},[0,4,3]],"r":[{},[0,0,3]]}],"u":[{"l":[{},[0,0,5]]}]},[0,0,2]],"l":[{"a":[{"g":[{},[0,5]]}]},[0,1]],"m":[{"i":[{},[0,0,2]]}],"p":[{"l":[{},[0,0,3]]},[0,1]],"s":[{"k":[{},[0,0,2]],"l":[{"ä":[{},[0,0,0,5]]}],"t":[{},[0,0,2]]}],"t":[{"a":[{"l":[{},[0,3]]}],"e":[{"n":[{".":[{},[0,0,5]]}]}],"i":[{"g":[{"e":[{},[0,0,0,0,2]]}],"n":[{},[0,0,3]]}],"o":[{"r":[{".":[{},[0,0,5]]}]}],"r":[{"e":[{"r":[{},[0,0,0,5]]}],"u":[{},[0,3]],"ö":[{},[0,0,0,4]]},[0,0,4]],"å":[{},[0,3]]}],"u":[{},[0,0,2]],"y":[{},[0,1]]}],"t":[{"a":[{"b":[{},[0,0,0,3]]}],"i":[{"ö":[{},[0,0,0,3]]},[0,5]],"o":[{},[0,1]],"r":[{"i":[{".":[{},[0,5]],"s":[{},[0,0,3]]}],"ä":[{},[0,5]]}],"s":[{"a":[{"d":[{},[0,0,0,2]]}],"k":[{"r":[{},[0,0,0,3]]}],"l":[{},[0,0,0,1]],"m":[{},[0,0,0,3]],"p":[{"a":[{},[0,0,0,5]]}],"v":[{},[0,0,4]]},[0,0,2]],"t":[{"r":[{},[0,0,0,3]]}],"u":[{"r":[{"i":[{},[0,0,0,4]]}]},[0,1]],"v":[{"a":[{},[0,0,4]],"u":[{},[0,0,5]]}],"y":[{},[0,1]],"z":[{},[2]],"ä":[{"c":[{},[0,0,0,0,4]]},[0,1]]}],"u":[{"k":[{},[0,0,0,4]],"m":[{".":[{},[0,5]]}],"p":[{},[0,5,0,4]],"r":[{},[4]],"s":[{"e":[{".":[{},[0,0,4]]}]}],"t":[{"r":[{"o":[{},[0,0,5]]}]}]}],"v":[{"a":[{"r":[{"m":[{},[0,4]]}]}],"j":[{},[0,4]],"r":[{},[0,0,3]]},[0,1]],"x":[{"p":[{},[3]],"t":[{"r":[{},[0,0,0,4]]}]}],"ä":[{},[4]]}],"f":[{"a":[{"c":[{"k":[{"e":[{},[0,0,0,5]]}]},[0,0,0,4]],"n":[{"s":[{},[4]]}],"r":[{"b":[{},[4]]}],"s":[{"h":[{},[0,0,3]],"t":[{},[0,0,4]]}],"t":[{"ö":[{},[0,0,4]]}],"v":[{},[4]]},[3]],"b":[{},[4,3]],"d":[{},[0,3]],"e":[{"f":[{},[4]],"l":[{},[0,0,2]],"s":[{"t":[{"a":[{},[0,0,0,5]],"o":[{},[0,0,3]]}]}],"x":[{},[4]]},[3]],"f":[{"f":[{},[0,0,0,4]],"l":[{},[0,0,3]],"n":[{},[0,0,3]],"o":[{},[0,3]],"r":[{},[0,0,3]],"s":[{},[0,0,0,4]],"ä":[{},[0,3]],"ö":[{"r":[{"e":[{},[0,0,0,5]]}]}]},[2,1]],"g":[{},[0,3,2]],"h":[{},[0,5]],"i":[{"b":[{"r":[{"i":[{"g":[{},[0,0,0,5]]}]},[0,0,2]]}],"l":[{"i":[{},[0,0,3]]}],"n":[{"s":[{"m":[{},[0,0,0,5]]}]}],"s":[{"k":[{"a":[{"l":[{},[0,0,3]]}],"r":[{},[0,0,0,0,3]]}]}],"t":[{"i":[{},[0,0,2]]}]},[3]],"k":[{},[2,3]],"l":[{"o":[{"d":[{"a":[{},[0,0,0,4]]}]}]},[1]],"m":[{"a":[{},[0,0,0,4]]},[4,3]],"o":[{"f":[{},[4]],"l":[{"k":[{},[0,0,0,0,1]]},[0,0,0,2]],"m":[{},[2,5]],"n":[{"a":[{},[0,0,2]]}],"r":[{"m":[{"o":[{},[0,0,0,4]]}]}],"s":[{"t":[{"r":[{},[0,0,0,0,3]]}]}]},[1]],"p":[{},[4,3]],"r":[{"a":[{"m":[{"p":[{},[0,0,0,0,5]]},[0,0,0,2]]}],"e":[{"r":[{"i":[{},[5]]},[0,4]],"s":[{},[0,0,0,4]]}],"i":[{".":[{},[0,4]],"s":[{"p":[{},[0,0,0,5]]}],"t":[{},[5]]}],"o":[{"s":[{"t":[{"a":[{},[0,0,0,0,5]]}]}]}],"u":[{"s":[{"t":[{"r":[{},[0,0,0,5]]}]}]}],"å":[{"n":[{},[0,0,0,0,5]]}]}],"s":[{"k":[{},[0,0,2]],"l":[{},[0,4]],"m":[{},[0,4]],"n":[{},[0,4]],"p":[{},[0,4]],"t":[{},[0,4]],"v":[{},[0,4]]},[2,3]],"t":[{"a":[{"f":[{},[0,4]],"k":[{},[0,4]],"p":[{},[0,4]],"r":[{"m":[{},[0,4]]}]},[0,3]],"e":[{"r":[{},[0,0,0,4]],"x":[{},[0,4]]}],"i":[{"n":[{},[0,4]]},[0,3]],"o":[{},[0,3]],"r":[{},[0,4,3]],"s":[{"a":[{},[0,0,2]],"e":[{"t":[{},[0,0,4]]}],"i":[{},[0,0,2,5]],"j":[{},[0,0,4]],"t":[{},[0,0,0,4]],"v":[{"ä":[{},[0,0,0,5]]}]}],"t":[{},[0,0,5]],"v":[{},[0,0,1]]},[2]],"u":[{"r":[{"s":[{"t":[{"e":[{},[0,0,0,0,5]]}]}],"u":[{},[0,0,5]]}],"t":[{"u":[{},[0,0,3]]}]},[3]],"v":[{},[4]],"y":[{"m":[{"a":[{},[0,0,4]]}]},[5]],"å":[{"t":[{"ö":[{},[0,0,3]]}]}],"ä":[{"s":[{"t":[{"i":[{},[0,0,0,5]]}]}]},[1]],"ö":[{"r":[{"a":[{},[0,0,2]],"e":[{"n":[{},[0,0,2]]}],"i":[{},[0,0,2]],"k":[{},[0,0,0,3]],"s":[{"m":[{},[0,0,0,3]],"u":[{},[0,0,0,3]]}],"t":[{},[0,0,0,0,4]],"ö":[{},[0,0,0,1]]}]},[3]]},[0,2]],"g":[{"a":[{"b":[{"r":[{},[0,0,5]]}],"g":[{},[3,2]],"k":[{"t":[{},[4]]}],"l":[{"l":[{"s":[{},[0,0,0,0,3]]}],"ä":[{},[0,0,5]]},[3,2]],"n":[{"o":[{},[0,0,4]]}],"r":[{"b":[{},[2]],"m":[{},[4]],"o":[{},[0,0,2]],"t":[{},[4]]}],"s":[{"t":[{},[0,0,4]],"u":[{},[0,0,4]]}],"t":[{"i":[{},[5,2]]}],"u":[{"s":[{},[0,0,0,0,4]]}],"v":[{"s":[{"n":[{},[0,5]]}]},[0,4]],"x":[{},[4]]}],"b":[{},[2]],"d":[{"r":[{},[0,3,4]]},[2]],"e":[{"a":[{},[0,0,2]],"b":[{},[0,0,5,4]],"f":[{},[2]],"j":[{},[2,0,4]],"l":[{"i":[{"s":[{},[3]]},[0,2]],"s":[{"t":[{},[0,0,0,5]]}],"y":[{},[0,0,0,5]],"ä":[{"n":[{},[0,0,0,5]]},[3]]}],"m":[{},[0,4]],"n":[{"a":[{"p":[{},[0,0,4]]}],"g":[{},[0,0,0,5]],"i":[{},[3,2]],"j":[{},[3]],"m":[{},[4]],"o":[{"m":[{},[0,0,0,0,0,5]]}],"s":[{"a":[{},[0,0,0,4]],"e":[{},[0,4]]}],"t":[{},[1,2]],"v":[{},[4]],"y":[{},[0,0,5]],"ä":[{},[3]]}],"o":[{},[0,0,2]],"r":[{"a":[{"r":[{"b":[{},[4]]}]},[1,2]],"i":[{},[3,2]],"s":[{"n":[{},[0,0,0,0,5]]}]}],"s":[{"e":[{},[5]]}],"t":[{"o":[{},[0,0,4]],"s":[{},[0,0,0,5]],"t":[{},[5,2]]}]}],"f":[{},[2,1]],"g":[{"a":[{"p":[{},[0,4]]},[0,1]],"e":[{},[0,1]],"g":[{},[0,0,5]],"l":[{},[0,0,1]],"o":[{"s":[{},[0,4]]}],"s":[{"l":[{"a":[{},[0,0,0,4]]}],"m":[{},[0,0,0,4]],"t":[{},[0,0,3,4]],"v":[{},[0,0,3,4]]}],"u":[{},[0,4]]},[2]],"h":[{"t":[{"e":[{},[0,0,4]]}]},[2]],"i":[{"o":[{},[0,0,1]],"s":[{"n":[{},[0,0,5]],"t":[{"e":[{},[0,0,4]],"r":[{"a":[{"l":[{},[0,0,5]],"t":[{},[0,0,5,0,4]]}]},[0,0,0,4]]}]}],"v":[{},[3]],"ö":[{},[0,0,2]]},[1,2]],"j":[{"o":[{"r":[{},[3]]},[0,2]],"ä":[{},[0,3]]}],"k":[{},[2,3,2]],"l":[{"a":[{"n":[{"s":[{},[0,4]]}],"r":[{},[0,1]],"s":[{"e":[{},[5]],"k":[{},[0,0,0,0,5]],"ö":[{},[5]]},[0,2]]}],"i":[{"d":[{},[0,4]]}],"j":[{},[4]],"ö":[{"g":[{},[0,4]],"m":[{},[5]]}]},[2]],"m":[{},[2,1]],"n":[{"a":[{"g":[{},[0,4]]}],"o":[{},[0,2]]},[2,1]],"o":[{".":[{},[3]],"l":[{},[3]],"n":[{"s":[{},[0,0,0,3,4]],"t":[{},[4]]}],"r":[{"d":[{},[2]],"m":[{},[4]],"t":[{},[4]]}],"s":[{"l":[{},[0,0,3]]}]},[1,2]],"p":[{},[2,1]],"r":[{"a":[{"f":[{},[3]],"l":[{},[5]],"m":[{},[0,0,0,2,5]],"n":[{"s":[{},[5]]}],"s":[{},[4]]}],"e":[{"c":[{},[5]],"t":[{"t":[{},[5]]}]}],"i":[{"g":[{},[0,3]],"k":[{},[4,5]],"p":[{},[5]],"s":[{},[3]]}],"o":[{"i":[{},[0,5]],"v":[{},[0,0,0,2]]}],"u":[{"m":[{},[4]],"s":[{"t":[{},[0,0,0,0,5]]}]}],"å":[{".":[{},[5]]},[0,4]],"ä":[{"n":[{"s":[{},[5]]},[0,0,0,4]]}]},[0,2,4]],"s":[{"a":[{"n":[{},[0,0,1]],"t":[{"t":[{},[0,5]]}]}],"e":[{"l":[{},[0,3]]}],"f":[{},[0,4]],"i":[{"d":[{},[0,0,0,4]]}],"j":[{"u":[{},[0,3]]}],"k":[{"a":[{"f":[{},[0,5]]}],"i":[{},[0,0,4]],"n":[{},[0,0,3]],"o":[{"t":[{},[0,0,4]]}],"y":[{},[0,3]]}],"l":[{},[0,0,1]],"m":[{"e":[{},[0,4]]},[0,0,1]],"n":[{"i":[{},[0,0,4]],"ö":[{},[0,0,4]]},[0,0,3]],"o":[{"r":[{},[0,0,1]]}],"p":[{"l":[{},[0,0,3]],"o":[{"r":[{},[0,0,4]]},[0,0,3]],"r":[{"e":[{},[0,0,5]]}],"u":[{},[0,0,3]]}],"s":[{},[0,0,3]],"t":[{"a":[{"k":[{},[0,0,3]],"l":[{},[0,0,3]],"r":[{"k":[{},[0,3]]}]}],"e":[{"n":[{},[0,0,4]]}],"i":[{"f":[{},[0,3]],"l":[{"l":[{},[0,0,3]]}]}],"j":[{},[0,0,3]],"o":[{"l":[{},[0,3]]}],"r":[{"a":[{},[0,0,3]],"e":[{},[0,0,0,4]]}],"ä":[{"m":[{},[0,3]]}]}],"u":[{"g":[{},[0,4]]}],"v":[{"e":[{},[0,4,3]],"i":[{},[0,0,3]],"å":[{},[0,0,3]]},[0,0,1]],"y":[{"t":[{},[0,0,3]]}],"ä":[{},[0,0,1]]},[2,2]],"t":[{"r":[{},[0,3]]},[2,1]],"u":[{"g":[{},[4]],"l":[{"d":[{"a":[{},[0,0,0,4]]},[0,0,0,0,3]],"ä":[{},[4]]}],"m":[{"a":[{},[0,0,2]]}],"p":[{},[4]],"r":[{"u":[{},[0,0,5]]}],"s":[{"k":[{},[0,0,0,4]]}],"t":[{"b":[{},[0,3]]},[2]]},[1,2]],"v":[{},[2,1]],"w":[{},[4]],"y":[{"t":[{"t":[{"j":[{},[0,0,0,0,3]]}]}]},[3]],"å":[{"r":[{"d":[{"s":[{},[0,0,0,0,0,5]]}],"i":[{},[2,5]]}]},[1,2]],"ä":[{"l":[{},[0,4]],"r":[{},[0,2]],"s":[{},[0,0,4]]}],"ö":[{"g":[{},[4]],"r":[{"o":[{},[0,0,5]],"t":[{},[2,5]]}]},[1,2]]}],"h":[{"a":[{"b":[{"l":[{},[0,0,3]]}],"g":[{"e":[{},[0,0,5]]}],"l":[{"i":[{},[0,0,4]],"s":[{"o":[{},[0,0,0,4]]}],"v":[{"å":[{},[0,0,0,0,3]]}]}],"m":[{"s":[{"t":[{},[0,0,0,4]]}]}],"n":[{"d":[{"e":[{"l":[{"s":[{},[0,0,0,0,0,0,0,3]]}]}],"s":[{"l":[{},[0,0,0,0,0,4]]}]}],"g":[{"a":[{},[0,0,0,5,2]]}]}],"r":[{"a":[{},[0,0,5]]}],"s":[{"c":[{},[0,0,4]],"p":[{"l":[{},[0,0,0,0,5]]},[0,0,4]],"t":[{},[0,0,0,3]]}],"v":[{"s":[{},[0,0,0,0,3]]},[0,0,0,2]]}],"c":[{},[0,5]],"d":[{},[4]],"e":[{"a":[{"t":[{},[0,0,4]]}],"f":[{"r":[{},[0,0,4]]}],"l":[{"ä":[{},[0,0,4]]}],"t":[{"s":[{"t":[{},[0,0,0,0,3]],"v":[{},[0,0,0,0,3]]},[0,0,0,0,1]]}]}],"g":[{},[0,3]],"i":[{"r":[{},[4]],"s":[{"s":[{"k":[{},[0,0,0,2]]}]}],"t":[{},[0,0,4]]},[0,2]],"j":[{"ä":[{"l":[{"s":[{},[0,0,0,0,3]]}]}]}],"k":[{},[0,1]],"l":[{"e":[{},[0,4]]},[2]],"m":[{},[2]],"n":[{"a":[{},[0,2]],"i":[{"t":[{},[0,2]]}]},[4]],"o":[{"n":[{"u":[{},[0,0,5]]}],"p":[{"p":[{"l":[{"o":[{},[0,0,0,5]]}]}],"s":[{},[0,0,0,3]]}],"s":[{"p":[{},[0,0,0,3]],"t":[{"i":[{},[0,0,0,5]]}]}],"w":[{},[4]]}],"p":[{},[0,3]],"r":[{"u":[{},[0,5]]}],"s":[{},[0,1]],"t":[{},[2]],"u":[{"s":[{"t":[{"r":[{},[0,0,0,0,5]]}]},[0,0,2]]}],"y":[{"g":[{"r":[{},[0,0,0,5]]}],"s":[{"t":[{"a":[{},[0,0,0,5]],"e":[{"r":[{},[0,0,3]]}]},[0,0,0,4]]}]}],"å":[{"r":[{"d":[{"s":[{},[0,0,0,0,5,4]]}]}]}],"ä":[{"l":[{"l":[{"s":[{},[0,0,0,0,0,1]]},[0,0,0,0,2]],"s":[{"o":[{},[0,0,0,0,0,3]]}]}],"r":[{"i":[{},[0,0,4]]}],"s":[{},[0,0,4]],"v":[{"a":[{"r":[{},[0,0,4]]}]}]}],"ö":[{"g":[{"e":[{"n":[{},[0,0,5]]}],"r":[{},[0,0,0,5]]},[0,0,2]],"r":[{"n":[{"s":[{},[0,0,0,0,5]]}]}],"s":[{"t":[{"r":[{},[0,0,0,0,5]]}]},[0,0,4]]},[0,2]]},[1]],"i":[{"a":[{"f":[{"r":[{},[0,0,3]]}],"g":[{},[0,0,3]],"l":[{"u":[{},[0,0,4]]}],"s":[{"k":[{},[0,0,4]]}],"t":[{"r":[{},[0,0,3]]}]},[0,1]],"b":[{"l":[{},[0,2,3]],"r":[{"i":[{"l":[{},[0,5]]}]}]}],"c":[{"a":[{},[0,3]],"e":[{".":[{},[0,4]]}],"h":[{"a":[{},[0,5]]}],"k":[{"o":[{"r":[{"d":[{},[0,0,4]]}]}],"u":[{},[0,0,0,3,4]]}],"o":[{},[0,5]]}],"d":[{"e":[{"n":[{"s":[{},[0,0,0,0,3]]}]}],"g":[{"e":[{},[0,0,4]]}],"o":[{"m":[{},[0,4]]}],"r":[{"o":[{},[0,0,3]]},[0,0,1]],"s":[{"v":[{},[0,0,0,3]]},[0,0,2]],"u":[{"n":[{},[0,4]]}],"å":[{},[0,3]],"ö":[{},[0,4]]},[0,2]],"e":[{},[2,1]],"f":[{"e":[{"s":[{},[0,0,0,0,4]]}],"n":[{},[0,5]],"r":[{"å":[{"n":[{},[3]]}]},[0,1]]}],"g":[{"a":[{"n":[{},[4]]}],"e":[{"b":[{},[0,2]],"j":[{},[0,0,5]]}],"l":[{},[0,0,1]],"n":[{"o":[{},[0,0,3]]}]},[0,1]],"i":[{},[0,3]],"k":[{"a":[{"r":[{"t":[{},[0,4]]}]}],"i":[{},[0,1]],"l":[{"o":[{},[0,3]],"ä":[{"n":[{},[0,0,5]]}]}],"n":[{},[0,0,3]],"o":[{},[0,1]],"r":[{"e":[{},[0,0,3]],"o":[{"b":[{},[0,5]],"f":[{},[0,0,5]],"s":[{},[0,0,5]]}]}],"s":[{"h":[{},[0,0,5,2]],"k":[{"o":[{"r":[{},[0,0,5]]}]}]}],"u":[{"l":[{},[0,3]],"m":[{},[0,3]],"t":[{},[0,0,5,4]]}],"v":[{},[0,0,1]],"y":[{},[0,3]],"å":[{},[0,3]],"ö":[{},[0,3]]}],"l":[{"a":[{},[0,1]],"d":[{"a":[{"n":[{},[0,0,4]]}]}],"i":[{"n":[{},[0,2]]}],"j":[{"ö":[{},[0,0,1]]}],"k":[{},[0,0,5]],"l":[{"a":[{"k":[{},[0,0,5]]}],"i":[{"k":[{},[0,0,4]]}],"s":[{},[0,0,0,3,2]],"u":[{},[3]],"ä":[{"r":[{},[0,0,5]]}]}],"m":[{"i":[{"n":[{},[0,0,2]]}]}],"o":[{},[0,1]],"t":[{"j":[{},[0,0,2]]}],"u":[{"f":[{"t":[{"s":[{},[0,0,0,0,0,0,5]]}]}],"p":[{},[0,4]]},[0,3]],"ä":[{},[0,5]]}],"m":[{"b":[{"r":[{},[0,0,2,3]]}],"s":[{"m":[{},[0,0,5]],"o":[{},[0,0,4]]}],"u":[{},[0,1]],"å":[{},[0,5]],"ä":[{},[0,3]],"ö":[{},[0,5]]}],"n":[{"a":[{"u":[{},[0,4]]}],"d":[{"s":[{"k":[{"ä":[{},[0,0,0,5]]}],"t":[{"i":[{},[0,0,0,5]]}]}],"u":[{},[1]]}],"g":[{"a":[{},[0,0,4]],"e":[{".":[{},[0,0,4]],"s":[{".":[{},[0,0,0,4]]}]}],"i":[{"s":[{},[0,0,0,5]]}],"l":[{"a":[{"s":[{},[0,0,5]]}]}],"s":[{"t":[{"e":[{},[0,0,0,0,5]]}]}]}],"i":[{"f":[{},[0,4]]},[0,3]],"j":[{},[0,0,5]],"k":[{"v":[{"e":[{},[0,0,5]]}]}],"n":[{"e":[{"h":[{},[1]]}]}],"r":[{"e":[{},[5]],"i":[{},[1]],"ä":[{},[3]]}],"s":[{"e":[{"m":[{},[0,0,4]]}],"k":[{"r":[{"ä":[{},[0,0,3]]}]}],"l":[{},[0,0,3]],"m":[{},[0,0,0,4]],"n":[{},[0,0,3]],"p":[{"e":[{"l":[{"n":[{},[5]]}]},[1]],"r":[{},[0,0,5]]}],"t":[{"i":[{"n":[{"k":[{},[3]]}]}],"r":[{"u":[{},[3]]}],"å":[{},[0,0,4]]}]}],"t":[{"e":[{},[0,0,5]],"r":[{"a":[{},[0,0,4]]},[1]],"s":[{},[0,0,0,3]]}],"u":[{"n":[{},[0,4]]},[0,1]],"y":[{"m":[{},[0,0,3]]}],"ä":[{},[0,1]]}],"o":[{"c":[{},[0,5]],"g":[{},[0,1]],"k":[{"r":[{},[0,0,4]]},[0,3]],"l":[{"i":[{},[0,0,5]]},[0,1]],"m":[{},[0,5]],"n":[{"o":[{},[0,3]],"s":[{},[0,0,0,0,3]]},[0,0,0,2]],"p":[{},[0,1]],"r":[{},[0,1]],"s":[{},[0,1]],"t":[{},[0,1]]}],"p":[{"e":[{},[0,1]],"i":[{},[0,1]],"o":[{"s":[{},[0,0,0,0,4]]}],"p":[{"i":[{},[0,0,5]]}]}],"r":[{"a":[{},[0,3]],"e":[{"s":[{},[0,4]]}],"i":[{},[0,1]],"k":[{"l":[{},[0,0,0,5]]}],"o":[{"p":[{},[0,0,0,3]]},[0,1]],"u":[{},[0,1]]}],"s":[{"c":[{"e":[{},[0,5]]}],"e":[{"l":[{},[0,0,0,0,4]]}],"h":[{},[0,0,2]],"k":[{"e":[{"p":[{},[0,0,5]]}],"n":[{"a":[{},[0,0,0,5]]}],"o":[{"p":[{"a":[{},[0,0,3]]}]}],"u":[{"n":[{},[0,0,4]]},[0,0,3]],"y":[{},[0,0,3]]},[0,2]],"l":[{"a":[{"m":[{},[0,5]]}],"ä":[{"n":[{},[0,0,3]]}]}],"m":[{},[0,0,3]],"n":[{},[0,0,3]],"p":[{"r":[{"i":[{},[0,0,4]]}]},[0,2,3]],"s":[{"a":[{},[0,0,3]],"e":[{},[0,0,3]],"n":[{},[0,0,0,5]],"t":[{"r":[{},[0,0,4,3]],"ä":[{},[0,0,0,3]]}]}],"t":[{"a":[{"l":[{},[0,1]],"n":[{"s":[{},[0,1]]}],"t":[{"t":[{},[0,0,0,5]]}]}],"e":[{"n":[{".":[{},[0,0,5]],"t":[{},[0,1]]}],"s":[{},[0,0,4]]}],"i":[{"g":[{},[0,0,3]],"n":[{"g":[{},[0,0,5]]}]}],"o":[{"r":[{".":[{},[0,0,5]],"e":[{},[0,0,5]]}]}],"r":[{"o":[{},[0,0,0,5]]}],"å":[{},[0,0,0,0,4]]}],"v":[{},[0,0,5]],"y":[{},[0,3]],"å":[{},[0,4]]}],"t":[{"c":[{},[0,0,5]],"e":[{"i":[{},[0,4]],"x":[{},[0,4]]}],"j":[{},[0,4]],"r":[{"a":[{"n":[{},[0,0,5]]}],"i":[{"n":[{},[0,5]],"s":[{},[0,3]]}]}],"t":[{"o":[{"p":[{},[0,0,2,5]]}],"r":[{},[0,0,4,3]],"u":[{},[0,0,4]]}],"å":[{},[0,2,5]]},[0,1]],"u":[{},[4,1]],"v":[{"a":[{"k":[{},[0,2]]},[0,1]],"i":[{"n":[{},[0,4]]},[0,1]],"r":[{},[0,0,3]],"s":[{},[0,0,2]],"å":[{},[0,1]]}],"x":[{"t":[{"u":[{},[0,0,5]]},[0,0,2]]}],"ö":[{},[0,1]]}],"j":[{"a":[{"k":[{"t":[{".":[{},[3]]}]}],"r":[{"b":[{},[4]]}],"s":[{"p":[{},[0,0,0,5]]}]},[1]],"b":[{},[2]],"d":[{"r":[{},[0,0,3]],"s":[{"t":[{"y":[{},[0,0,4]]}]}],"u":[{},[0,4]]},[2]],"e":[{"a":[{},[0,0,2]],"f":[{},[5]],"s":[{"t":[{"a":[{},[0,0,5]]}]}]},[1]],"f":[{},[2,1]],"g":[{},[4,3]],"h":[{},[4]],"i":[{"n":[{},[4]]},[1]],"k":[{"l":[{},[0,4]],"o":[{},[0,3]],"v":[{},[0,0,3]]},[4]],"l":[{},[2,1]],"m":[{},[2]],"n":[{},[2,1]],"o":[{"b":[{},[3]],"k":[{"r":[{},[0,0,4]]}],"l":[{"j":[{},[4]],"ö":[{},[0,0,5]]}],"r":[{"d":[{"i":[{"n":[{},[0,0,0,4]]}],"s":[{},[0,0,0,0,3,4]]}]}],"u":[{},[3]]},[0,2]],"p":[{"l":[{},[0,5]]},[4]],"r":[{},[2,3]],"s":[{"a":[{},[0,5]],"k":[{},[0,4]],"m":[{"e":[{},[0,0,4]]}],"t":[{"e":[{},[0,0,4]]}]},[2,1]],"t":[{"s":[{},[0,0,0,4]]},[2]],"u":[{"k":[{"o":[{"s":[{},[0,0,4]]}],"s":[{},[0,0,0,3]]}],"l":[{"k":[{},[0,0,0,3]]}],"r":[{},[4]],"s":[{"k":[{"r":[{},[0,0,0,5]]}],"s":[{},[0,0,0,0,4]],"t":[{"a":[{},[0,0,0,5]]},[0,0,0,4]]}],"t":[{"s":[{"t":[{"a":[{},[0,0,0,4]]}]}]}]},[2,2]],"ä":[{"l":[{"o":[{},[0,0,5]],"p":[{"r":[{},[0,0,0,4,5]]}],"s":[{"a":[{},[0,0,0,4]]}]}],"r":[{"n":[{"s":[{"k":[{},[0,0,0,0,3]]}]}],"s":[{},[0,0,0,5]]}]}],"ö":[{"r":[{"s":[{},[0,0,0,2]]}],"s":[{"t":[{},[0,0,0,4]]}]}],"é":[{},[5]]}],"k":[{"a":[{".":[{},[3]],"d":[{".":[{},[3]],"e":[{".":[{},[3]]}],"r":[{},[0,0,4]]}],"f":[{"ä":[{},[5]]},[2]],"i":[{},[0,0,3]],"j":[{"u":[{},[0,0,5]]}],"k":[{"t":[{"i":[{},[0,3]]}]},[2]],"l":[{"f":[{},[4]],"g":[{},[4]],"l":[{"o":[{},[0,0,0,4]],"s":[{},[0,0,0,0,3]]}]}],"m":[{"p":[{},[3]],"r":[{},[3]]}],"n":[{".":[{},[3]],"d":[{".":[{},[4]]}],"o":[{},[5]]}],"p":[{"i":[{},[3]],"l":[{"a":[{},[0,0,5]]}],"p":[{"r":[{},[0,0,0,4]]}],"s":[{"t":[{},[0,0,0,0,5]]}],"t":[{"e":[{"n":[{},[5]]}]}]},[2]],"r":[{".":[{},[3]],"a":[{},[0,0,3]],"b":[{"e":[{"t":[{},[0,5]]}]},[4]],"i":[{},[0,0,5]],"k":[{},[4]],"n":[{"a":[{},[3]]}],"p":[{"s":[{},[0,0,0,0,5]]},[4]],"t":[{".":[{},[4]],"e":[{},[4]]}],"v":[{},[4]]}],"s":[{"k":[{},[0,0,4]],"t":[{"i":[{},[0,0,0,3]]}]},[3]],"t":[{".":[{},[3]],"s":[{".":[{},[3]]}]}],"u":[{},[4]]},[1,2]],"b":[{},[2]],"c":[{},[4]],"d":[{"o":[{"m":[{},[0,0,0,0,4]]}]},[2,3,4]],"e":[{".":[{},[3]],"d":[{".":[{},[2]],"a":[{},[2]],"r":[{},[0,0,3]],"s":[{},[0,0,0,4]]}],"e":[{"r":[{},[0,0,4]]}],"f":[{"u":[{},[2]]}],"l":[{"d":[{},[4]],"s":[{},[0,0,0,0,4]]}],"n":[{"s":[{"e":[{},[4]]}],"å":[{},[0,0,5]]}],"p":[{},[2]],"r":[{"n":[{},[3]]}],"s":[{"s":[{},[0,0,0,3]]},[0,0,2]],"x":[{},[4]]},[1,2]],"f":[{"ö":[{"r":[{"i":[{},[0,0,0,3]]}]},[0,0,0,2]]},[2,1]],"g":[{},[2,5,4]],"h":[{},[2,0,4]],"i":[{"d":[{"s":[{},[0,0,0,3]]}],"f":[{},[4]],"g":[{},[1]],"k":[{"s":[{},[0,0,0,4]]}],"l":[{"t":[{},[0,0,0,0,4]]}],"m":[{"å":[{},[5]]}],"n":[{"g":[{"r":[{},[0,0,0,0,3]]}],"n":[{"e":[{},[4]]}],"s":[{},[4]],"t":[{},[2]],"u":[{},[0,0,4]]}],"t":[{"r":[{},[0,0,4]]}],"v":[{"s":[{},[0,0,0,3]]}]}],"j":[{"o":[{"l":[{},[5]]}],"ä":[{},[0,3]]},[4]],"k":[{},[2,3]],"l":[{"a":[{"g":[{},[1]],"m":[{"a":[{},[0,2]],"i":[{},[0,0,0,4]]}],"n":[{"g":[{".":[{},[3]]}]}],"s":[{"s":[{},[3]]}],"t":[{},[2]],"v":[{},[5]]}],"e":[{"j":[{},[0,2]]},[2]],"i":[{"g":[{},[2]],"m":[{},[0,2]],"p":[{},[3]],"s":[{"t":[{"r":[{},[5,0,0,0,0,3]]}]},[0,2]]}],"o":[{"c":[{"k":[{".":[{},[0,5]],"a":[{},[5]]}]}],"s":[{},[3]]}],"u":[{"b":[{},[1]],"k":[{},[4]]}],"ä":[{"d":[{},[1]],"g":[{},[2,3]]}]},[0,0,2]],"m":[{},[2,1]],"n":[{"a":[{"l":[{},[0,4]],"p":[{},[3,4]]}],"i":[{"p":[{},[5]],"v":[{},[3,4]]}],"u":[{},[3,4]],"y":[{"k":[{},[0,5]]},[0,4]]},[2,2]],"o":[{"c":[{},[4]],"d":[{"e":[{},[0,0,5]],"l":[{},[0,5]]}],"g":[{"n":[{},[0,0,0,3]],"r":[{},[0,0,4]],"s":[{},[0,0,0,4,3]]}],"l":[{"a":[{},[4]],"i":[{"n":[{},[0,0,2]]}],"j":[{},[4]],"t":[{"r":[{},[0,0,0,5]]}],"v":[{".":[{},[5]]}]}],"m":[{"m":[{},[3]],"p":[{},[5]],"r":[{},[2,3]],"s":[{},[0,0,0,4]]},[1]],"n":[{"f":[{},[3]],"s":[{"t":[{},[3]]}],"t":[{},[3]],"u":[{},[0,0,3]]},[1]],"r":[{"g":[{},[3]],"i":[{},[0,0,3]],"r":[{"e":[{"s":[{},[3]]}]},[2]],"t":[{"e":[{"r":[{"a":[{},[5]]}]}]}]},[1]],"s":[{"k":[{},[0,0,5,4]],"l":[{},[0,0,3]],"t":[{"r":[{},[0,0,4]]},[3]]}],"u":[{},[4,3]]},[0,2]],"p":[{},[2,1]],"r":[{"a":[{"f":[{},[3]],"g":[{"e":[{},[5,0,0,3]]}],"n":[{"g":[{},[4]]}]}],"e":[{"r":[{"a":[{},[5]]}],"t":[{"e":[{"n":[{},[0,4]]}]}]}],"i":[{"d":[{"s":[{},[0,0,0,0,5,2]]}],"g":[{"s":[{},[0,0,0,0,0,3]]},[1]],"n":[{"g":[{"s":[{"k":[{},[0,0,0,0,0,0,2]]}]}]}],"v":[{},[4]]}],"o":[{"p":[{"p":[{"s":[{},[0,0,0,0,0,0,5]]},[3]]}]}],"u":[{"s":[{"t":[{"a":[{"d":[{},[0,0,0,5]]}]}]}]}],"y":[{"g":[{},[0,3]]}],"å":[{"k":[{"s":[{},[0,0,0,0,5]]}],"p":[{"a":[{},[0,0,0,4]]}]}],"ä":[{"d":[{"d":[{".":[{},[0,5]]}]}],"k":[{"l":[{},[0,0,0,0,5]]}],"l":[{},[4]],"t":[{},[0,3]]}]},[0,2,4]],"s":[{"a":[{"k":[{"s":[{},[0,0,0,0,0,5]]}],"s":[{},[0,2,5]]}],"c":[{"h":[{},[0,0,3]]}],"e":[{"r":[{},[0,4]]}],"k":[{"l":[{},[0,0,3]],"r":[{"a":[{},[0,0,5]]}],"v":[{},[0,0,5]],"ä":[{},[0,3]],"ö":[{},[0,3]]},[0,0,2,4]],"l":[{"a":[{"g":[{".":[{},[0,5]]}]}],"i":[{},[0,0,2]],"y":[{},[0,5]]}],"o":[{},[0,2]],"p":[{"l":[{},[0,0,3]]}],"t":[{"a":[{"v":[{"s":[{},[0,0,0,0,0,0,3]]}]}],"i":[{"d":[{},[0,0,5]]}]},[0,1,4]],"u":[{},[0,2]]},[2]],"t":[{"e":[{"x":[{},[0,4]]}],"i":[{"g":[{"e":[{},[0,0,0,5]]}],"n":[{"n":[{},[0,4]],"s":[{},[0,2]]}]}],"o":[{"d":[{},[0,2]],"m":[{},[0,2]]}],"r":[{"e":[{},[0,0,3]],"i":[{"n":[{},[0,0,3]]}],"o":[{"d":[{},[0,5]],"g":[{},[0,0,5]],"l":[{},[0,0,3]]}],"ä":[{"t":[{},[0,0,5]]}]},[0,2]],"s":[{"t":[{},[0,0,2]]}],"t":[{},[0,0,5,4]],"u":[{"g":[{},[0,4]],"t":[{},[0,2]]}],"ä":[{"l":[{},[0,4]]}]},[4,1]],"u":[{"g":[{"n":[{},[0,5]]},[4]],"l":[{"a":[{},[0,0,5]],"d":[{},[4]],"ö":[{},[3]]}],"m":[{"p":[{"l":[{},[0,0,0,5]]}]}],"n":[{"g":[{"s":[{},[0,0,0,0,0,5]]}],"n":[{},[5]]}],"p":[{"e":[{"n":[{},[0,0,4]]}]}],"r":[{"o":[{},[0,0,4]],"s":[{},[3]]}],"s":[{"t":[{"a":[{},[0,0,0,0,3]]}]},[3]]}],"v":[{"a":[{"l":[{"i":[{},[3]]}],"r":[{"e":[{},[0,5]],"n":[{},[3]],"s":[{},[0,0,0,0,3]],"t":[{},[3]]}],"t":[{"o":[{},[0,4]]}]}],"e":[{"n":[{"t":[{"e":[{},[2]]}]}]},[0,2]],"i":[{"n":[{"n":[{},[1]]}],"r":[{"e":[{},[5]]}]}],"o":[{},[0,4]],"å":[{},[0,1]],"ä":[{"l":[{"l":[{},[3]]}],"r":[{},[0,1]]}]},[0,0,4]],"y":[{"d":[{"d":[{"s":[{},[0,0,0,0,0,3]]}]}],"l":[{"i":[{"n":[{},[0,0,4]]}]}],"r":[{"k":[{},[3]]}]}],"ä":[{"l":[{"m":[{},[0,0,0,4]]}],"m":[{"p":[{},[5]]}],"n":[{"n":[{},[5]],"s":[{},[3]]}],"r":[{"l":[{},[3]]}]}],"ö":[{"g":[{},[4]],"k":[{"s":[{"t":[{},[0,0,0,0,5]]}]}],"p":[{".":[{},[5]]}],"r":[{"l":[{},[0,0,0,4]],"s":[{"l":[{},[0,0,0,4]]}]}]}]}],"l":[{"a":[{".":[{},[3]],"d":[{"e":[{".":[{},[1]]}],"m":[{},[2]],"r":[{},[4]]}],"f":[{},[2]],"g":[{"d":[{".":[{},[3]]}],"i":[{"n":[{},[0,0,4]]}],"m":[{},[5]],"r":[{},[0,0,0,3]]}],"k":[{"a":[{"n":[{".":[{},[5]]}]}],"i":[{},[5]],"t":[{"i":[{"s":[{},[3]]}]}]},[2]],"l":[{"o":[{},[0,0,5]]}],"n":[{"d":[{"e":[{".":[{},[3]]}],"i":[{},[0,0,0,4]]}]}],"p":[{"p":[{"a":[{"r":[{"a":[{},[2]]}]}]}]}],"r":[{"b":[{},[2]],"n":[{},[1]],"s":[{},[0,0,0,5]],"t":[{},[4]]}],"s":[{"h":[{},[0,0,0,3]],"k":[{},[4]],"t":[{"e":[{".":[{},[5]]}]},[0,0,4]]}],"t":[{".":[{},[1]],"r":[{},[0,0,5]],"t":[{"i":[{"s":[{},[0,0,0,4]]}]}]}],"u":[{},[2]],"v":[{"u":[{},[0,0,5]]},[2]]}],"b":[{},[2,0,4]],"c":[{},[4,1]],"d":[{"e":[{"r":[{"s":[{},[0,0,0,0,4]]}]}],"j":[{},[0,3]],"r":[{"a":[{},[0,0,3]],"y":[{},[0,5]]}],"s":[{"a":[{"n":[{},[0,0,0,4]]}]}]},[2,2]],"e":[{".":[{},[3]],"g":[{"e":[{".":[{},[0,0,4]]}]}],"i":[{"g":[{},[0,0,5]]}],"k":[{"l":[{},[0,0,2]],"v":[{},[0,0,4]]}],"m":[{"s":[{"ö":[{},[0,0,0,4]]}]}],"n":[{"l":[{},[2,5]]}],"r":[{".":[{},[3]],"k":[{},[0,0,0,5]],"n":[{},[3]],"s":[{"t":[{"e":[{},[0,0,0,3]]}]}]}],"s":[{"l":[{},[0,0,5,2]]}],"t":[{"å":[{},[0,0,5]]}],"u":[{"m":[{},[0,0,3]]}],"v":[{"u":[{},[0,0,4]]}],"x":[{},[2]]},[1]],"f":[{},[2,1]],"g":[{"j":[{},[0,2]],"l":[{},[0,3,2]],"s":[{"t":[{},[0,0,5]]},[0,0,0,4]]},[2,1]],"h":[{},[2]],"i":[{"c":[{"h":[{},[0,0,5]]}],"f":[{},[3]],"g":[{"o":[{},[0,0,4]],"s":[{},[0,0,0,3]]},[3]],"k":[{"l":[{"i":[{},[0,0,5]]},[0,0,0,2]],"s":[{},[0,0,0,3]]}],"m":[{"e":[{"r":[{},[5]]}]}],"n":[{"d":[{},[2]],"g":[{"a":[{".":[{},[2]]}],"o":[{},[0,0,0,0,5]],"r":[{},[4]],"s":[{"t":[{},[0,0,0,0,0,5]]}]}],"i":[{},[2]],"j":[{},[5]],"t":[{},[2]]}],"o":[{},[0,0,1]],"p":[{},[2]],"s":[{"c":[{},[0,0,0,3]],"t":[{"a":[{},[0,0,4]],"r":[{"ö":[{},[0,0,3]]}]}]}],"v":[{"o":[{},[0,0,4]],"s":[{},[0,0,0,0,1]]}]},[1]],"j":[{"a":[{"k":[{},[0,2]]}],"o":[{},[4,1]],"u":[{},[1]],"å":[{},[0,5]],"ä":[{},[0,1]],"ö":[{"r":[{},[0,3]]}]}],"k":[{"e":[{},[0,3]],"j":[{"u":[{},[0,5]]}],"l":[{"a":[{"g":[{},[0,0,5]]}],"ä":[{},[0,5]]},[0,2]],"r":[{"a":[{},[0,3,4]]},[0,2]],"t":[{},[0,0,3]]},[2,1]],"l":[{"a":[{},[0,1]],"d":[{"r":[{},[0,0,3]]},[0,0,0,4]],"e":[{"b":[{},[0,0,0,5]]}],"k":[{},[0,0,3]],"l":[{},[0,0,1]],"o":[{"k":[{"v":[{},[0,0,0,0,5]]}]},[0,1]],"p":[{},[0,0,3]],"s":[{"a":[{"n":[{},[0,0,4]]}],"e":[{},[0,0,2]],"k":[{"a":[{},[0,0,3]]}],"o":[{},[0,0,2]],"v":[{"a":[{},[0,0,4]]}]}],"t":[{"i":[{"g":[{},[0,0,4]]}],"r":[{},[0,0,3]]}],"u":[{"n":[{},[0,0,5]],"s":[{"t":[{"r":[{"a":[{},[0,0,0,0,0,3]]}]}]}]},[0,1]],"v":[{},[0,0,5]],"y":[{},[0,5]],"ä":[{"g":[{"g":[{"s":[{},[0,0,0,0,0,0,5]]}]}]}],"ö":[{"d":[{},[0,5]],"r":[{"t":[{},[0,0,5]]},[0,0,0,0,4]]}]}],"m":[{"o":[{"l":[{},[0,4]]}],"s":[{"t":[{},[0,0,3]]}]},[4,1]],"n":[{},[0,1]],"o":[{"a":[{"f":[{},[0,0,2]]}],"c":[{"k":[{"u":[{},[0,0,0,4]]}]}],"d":[{"l":[{},[4]],"o":[{},[0,0,4]],"s":[{"t":[{},[0,0,0,3]]}]}],"g":[{"e":[{".":[{},[0,0,2]]}]}],"l":[{"j":[{},[2]]}],"m":[{},[2]],"r":[{"d":[{},[4]],"g":[{},[2]],"s":[{},[0,0,0,4]]}],"v":[{"o":[{},[0,0,4]]}]}],"p":[{"a":[{"k":[{},[0,4]]}],"e":[{},[0,1]],"i":[{},[0,1]],"l":[{"a":[{},[0,5]],"ö":[{},[0,0,5]]}],"s":[{"t":[{},[0,0,4]]}]}],"r":[{},[4,3]],"s":[{"c":[{},[0,2]],"j":[{"o":[{},[0,4]],"ä":[{},[0,4]]}],"k":[{"e":[{"n":[{"s":[{"v":[{},[0,4]]}]}]}],"i":[{},[0,3]],"n":[{},[0,0,0,3]],"o":[{"t":[{},[0,5]]}],"r":[{"ä":[{},[0,3]]}],"y":[{},[0,3]],"å":[{"p":[{},[0,0,0,0,4]]},[0,3]],"ä":[{},[0,3]]},[0,2]],"l":[{"u":[{},[0,3]]}],"m":[{"o":[{},[0,0,4]]},[0,4]],"n":[{"y":[{"t":[{},[0,0,5]]}]}],"p":[{"e":[{},[0,3]],"l":[{},[0,0,3]],"o":[{"l":[{},[0,0,3]]}]},[0,2]],"s":[{},[0,0,5]],"t":[{"a":[{"k":[{},[0,4]]},[0,3]],"e":[{"r":[{},[0,0,5]]},[0,0,4]],"o":[{},[0,3]],"y":[{"g":[{},[0,4]]},[0,3]],"å":[{},[0,3]],"ä":[{},[0,3]],"ö":[{},[0,5]]},[0,2]],"u":[{"r":[{},[0,5]]},[0,2]],"v":[{"i":[{"d":[{},[0,0,5]]},[0,4]]},[0,2]],"å":[{},[0,4]]},[2,1]],"t":[{"a":[{"t":[{"u":[{},[0,0,0,2]]}]}],"e":[{"f":[{},[0,4]]}],"i":[{"f":[{},[0,4]],"h":[{},[0,4]]}],"o":[{"s":[{},[0,4]]}],"r":[{"a":[{"t":[{"i":[{},[0,0,5]]}]}],"e":[{"t":[{},[0,4]]}],"ö":[{},[0,4]]}],"s":[{"k":[{},[0,0,5]]}],"u":[{},[0,0,0,4]]},[4,1]],"u":[{"i":[{},[0,0,5]],"k":[{"t":[{"o":[{},[0,0,0,4]]}]}],"l":[{"l":[{".":[{},[4]]}]}],"n":[{"g":[{},[0,0,0,0,3]]},[2]],"p":[{"p":[{},[2]],"u":[{},[0,0,4]]}],"s":[{"s":[{"p":[{},[0,0,0,2,5]]}],"t":[{".":[{},[5]]}]}],"t":[{"b":[{},[4]],"s":[{},[4]]}]}],"v":[{"a":[{"r":[{"m":[{},[0,4]]}]},[0,1]],"e":[{"r":[{"s":[{},[0,0,0,0,0,4]]}]}],"i":[{},[0,1]],"o":[{"s":[{},[0,4]]}],"r":[{"i":[{},[0,0,3]]}],"s":[{"p":[{},[0,0,3]]}],"ä":[{"v":[{},[0,0,0,0,4]]},[0,1]]},[2]],"y":[{"c":[{"k":[{"s":[{"t":[{},[0,0,0,0,0,5]]}]}]}],"g":[{"a":[{"t":[{},[0,0,4]]}],"r":[{},[0,0,0,3]],"s":[{},[0,0,0,3,2]]}],"s":[{"t":[{"e":[{},[3]],"n":[{},[5]],"r":[{},[0,0,4]]}]}]}],"å":[{".":[{},[2]],"g":[{"s":[{},[0,0,0,3]]}],"n":[{"g":[{"s":[{},[0,0,0,0,3]]},[1]]}],"s":[{"k":[{},[0,0,4]],"t":[{"e":[{},[0,0,0,5]],"å":[{},[0,0,4]]}]}]}],"ä":[{"c":[{},[4]],"g":[{"r":[{},[0,0,0,5]]}],"n":[{"d":[{"s":[{},[1]]}],"g":[{"d":[{"e":[{"r":[{},[5]]}]}]}]}],"s":[{"a":[{"n":[{},[0,0,4]]}],"p":[{},[0,0,4]]}],"t":[{"t":[{"s":[{},[0,0,0,0,3]]}]}]}],"ö":[{"l":[{},[4]],"m":[{},[4]],"n":[{},[3]],"r":[{"e":[{"r":[{},[3]]}]}],"s":[{},[1]],"v":[{"ä":[{},[0,0,4]]}]}],"é":[{},[3]]}],"m":[{"a":[{"f":[{"r":[{},[0,0,5]]}],"g":[{"n":[{},[0,0,0,5]],"s":[{},[0,0,0,5]]}],"j":[{"u":[{},[0,0,5]]}],"k":[{"r":[{},[0,0,0,3]]}],"l":[{"i":[{},[0,0,3]]}],"n":[{"d":[{},[0,0,0,0,4]],"g":[{"a":[{},[0,0,0,0,2]],"o":[{},[0,0,0,5,4]]}],"i":[{"k":[{},[0,0,0,0,1]]},[0,0,5]]}],"r":[{"i":[{},[5,0,3]]}],"s":[{"h":[{},[0,0,0,0,5]],"k":[{"o":[{},[0,0,0,3]],"r":[{"o":[{},[0,0,0,0,3]]}],"ö":[{},[0,0,5]]}],"t":[{"i":[{},[0,0,0,3]]}],"v":[{},[0,0,0,4]]}]},[1]],"b":[{"s":[{"k":[{},[0,0,4]]}]},[2]],"c":[{},[2]],"d":[{"a":[{"t":[{},[0,4]]}],"i":[{},[0,4]],"o":[{},[0,4]],"r":[{},[0,3,4]]},[2]],"e":[{"d":[{"s":[{},[2]],"u":[{},[0,0,4]]}],"k":[{"l":[{},[0,0,4]],"o":[{},[0,0,4]]}],"l":[{"d":[{},[4]],"o":[{},[0,0,0,0,5]],"u":[{},[0,0,5]]}],"n":[{"k":[{},[0,0,0,5]],"u":[{},[0,0,5]],"y":[{},[0,0,5]]}],"r":[{"s":[{"k":[{"o":[{},[0,0,0,2]]}]}]}],"s":[{"o":[{},[0,0,4]],"t":[{"i":[{},[0,0,3]]},[0,0,0,4]]}],"t":[{"a":[{},[2]],"r":[{"i":[{"n":[{},[0,0,5]]}],"o":[{},[0,0,0,3]]}]}],"u":[{},[0,0,0,4]],"x":[{},[2]]},[1]],"f":[{"e":[{"s":[{},[0,4]]}],"n":[{},[0,4]]},[2,1]],"g":[{},[2,1,4]],"h":[{},[2]],"i":[{"d":[{"s":[{},[0,0,0,3]]}],"l":[{"u":[{},[0,0,4]]}],"n":[{"d":[{},[2]],"g":[{"o":[{},[0,0,0,0,4]]}],"k":[{"r":[{},[0,0,0,4]]},[4]],"v":[{},[4]],"ö":[{},[0,0,3]]}],"s":[{"f":[{},[0,0,5]],"p":[{},[0,0,4]],"s":[{"t":[{},[0,0,0,0,3]]}]},[0,0,0,2]],"t":[{"e":[{".":[{},[0,0,4]]}],"r":[{},[0,0,4]],"t":[{"s":[{},[0,0,0,0,3]]}]}]},[1]],"k":[{},[2,1]],"l":[{},[2,3]],"m":[{"e":[{"d":[{},[0,0,0,5]]}],"s":[{},[0,0,3,4]],"u":[{"l":[{},[0,4]]}]},[2,1,2]],"n":[{"a":[{"m":[{},[0,2]],"s":[{"t":[{},[0,0,0,0,3]]}],"v":[{},[0,4]]}],"d":[{"r":[{},[0,0,5]]}],"g":[{},[0,0,3,4]],"s":[{"t":[{},[0,0,5]]}],"t":[{"u":[{},[0,0,5]]}],"å":[{},[0,2,3]]},[2,1]],"o":[{"d":[{},[0,4]],"i":[{},[0,0,4]],"m":[{"r":[{},[2]]}],"n":[{"a":[{},[0,0,3]]}],"s":[{"k":[{},[0,0,0,3]]}],"t":[{"a":[{},[0,0,2]],"i":[{"n":[{},[0,0,4]]}],"u":[{},[0,0,4]],"v":[{},[0,0,0,3]]}]},[1]],"p":[{"a":[{"k":[{},[0,2]],"r":[{"t":[{},[0,4]]}]}],"l":[{"a":[{"d":[{},[0,0,3]],"n":[{"e":[{},[0,5]]}],"t":[{},[0,0,3]]}],"i":[{"n":[{},[0,0,3]]}]},[0,2]],"o":[{"s":[{},[0,0,0,0,4]]}],"p":[{},[0,0,5,4]],"s":[{"k":[{},[0,0,0,4]],"p":[{},[0,0,5]]}],"å":[{},[0,4]]},[2,1]],"r":[{},[2,1]],"s":[{"a":[{"l":[{},[0,4]]}],"k":[{"e":[{},[0,4]]}],"l":[{"a":[{"g":[{},[0,3]]}],"ä":[{},[0,0,3]]}],"m":[{},[0,0,2]],"t":[{"e":[{},[0,0,0,0,2]],"o":[{},[0,1]],"r":[{"i":[{"n":[{},[0,0,0,3]]}]},[0,2]]}],"ä":[{"p":[{},[0,0,5]]}]},[4]],"t":[{},[2,1]],"u":[{"d":[{},[4]],"l":[{"l":[{"s":[{},[0,0,0,0,0,3]]}],"t":[{"r":[{},[0,0,0,0,5]]}]}],"m":[{},[5]],"n":[{"g":[{},[4,0,0,3,4]],"k":[{"o":[{},[0,0,0,4]]}]}],"r":[{},[3]],"s":[{"i":[{},[3]],"t":[{"a":[{},[0,0,3]]}]}],"t":[{"s":[{"l":[{},[0,0,0,4]]}]}]}],"v":[{},[2,3]],"y":[{"n":[{},[1]],"s":[{"t":[{"e":[{},[0,0,0,4]]}]}]}],"å":[{"g":[{},[0,0,0,4]],"l":[{".":[{},[1]],"e":[{"t":[{".":[{},[5]]}]}]}],"n":[{".":[{},[5]]}],"r":[{},[4]],"s":[{},[0,0,1]]}],"ä":[{"g":[{},[4]],"k":[{},[0,0,0,3]],"n":[{"s":[{},[0,0,0,0,4]]},[1]],"r":[{"k":[{},[3]]}],"s":[{"t":[{"a":[{},[0,0,0,5]]}]},[1]],"t":[{},[1]]}],"ö":[{"b":[{"l":[{},[0,0,4]]}],"g":[{"e":[{"n":[{".":[{},[0,0,4]]}]}]}],"j":[{},[3]],"r":[{"k":[{"l":[{},[0,0,0,4]]}]}],"s":[{},[3]],"v":[{},[4]]}]}],"n":[{"a":[{".":[{},[3]],"d":[{"s":[{},[0,0,0,0,3]]},[3]],"f":[{},[2]],"g":[{"r":[{},[0,0,5]]}],"k":[{"o":[{},[3]],"r":[{"o":[{},[0,0,3]]},[3]],"t":[{},[0,1]]},[2]],"l":[{"f":[{"l":[{},[5]]},[2]],"g":[{},[4]],"s":[{},[0,0,0,3]],"u":[{},[0,0,2]]}],"m":[{"b":[{},[0,5]],"n":[{},[5]]}],"n":[{"d":[{".":[{},[4]]}],"v":[{},[4]]}],"r":[{"a":[{"p":[{},[0,0,4]]}],"b":[{},[2]],"k":[{},[2]],"m":[{},[4]],"t":[{},[2]]}],"s":[{"t":[{"r":[{},[0,0,0,0,3]]}]}]},[1]],"b":[{},[2,0,4]],"c":[{"h":[{"a":[{},[0,3]],"e":[{},[0,3]],"i":[{},[0,3]]},[0,2]],"i":[{"s":[{},[0,0,0,0,4]]}],"y":[{"k":[{"l":[{},[0,0,0,0,3]]}]}]},[2,1]],"d":[{"a":[{"k":[{},[0,4]],"v":[{},[0,4]]}],"d":[{},[0,0,3,4]],"e":[{"s":[{},[0,0,0,3]]},[0,5]],"i":[{"l":[{},[0,4]]}],"r":[{"a":[{"k":[{},[0,0,5]],"s":[{},[0,0,5]],"t":[{},[0,0,3]]}],"i":[{"l":[{},[0,5]]},[0,0,3]],"o":[{"p":[{},[0,3]],"s":[{},[0,0,5]]}]}],"s":[{"k":[{"a":[{"l":[{},[0,0,5]]}]}],"n":[{},[0,0,3]],"o":[{"r":[{},[0,0,0,3]]}],"v":[{"ä":[{},[0,0,0,5]]}]}],"å":[{"s":[{},[0,0,5]]}]},[2]],"e":[{".":[{},[3]],"d":[{"i":[{},[0,0,4]],"l":[{},[5]],"r":[{},[0,0,4,3]],"s":[{},[0,0,0,3]],"ö":[{},[0,0,4]]}],"g":[{"r":[{"e":[{"s":[{},[0,0,5]]}]},[0,0,2]]}],"k":[{".":[{},[4]]}],"l":[{"y":[{},[0,0,5]]}],"n":[{"l":[{},[4]]}],"r":[{"s":[{"m":[{},[0,0,0,5]]}]}],"s":[{"s":[{},[0,0,0,3,4]],"t":[{"a":[{},[0,0,4]],"i":[{},[0,0,5,4]]}]}],"t":[{"r":[{"e":[{},[0,0,3]]}]}],"u":[{"t":[{},[0,0,1]]}],"x":[{},[2]]},[1]],"f":[{"a":[{"l":[{"l":[{"s":[{},[0,0,0,0,0,0,5]]}]}]}],"i":[{"s":[{},[0,0,0,0,3]]}]},[2,1,4]],"g":[{"a":[{"r":[{},[0,4]]}],"e":[{"n":[{".":[{},[0,4]],"d":[{},[0,4]],"s":[{},[0,4]],"t":[{"i":[{},[0,4]]}]}],"r":[{"m":[{},[0,4]]}],"t":[{},[0,4]]}],"i":[{"g":[{},[0,0,3]],"s":[{},[0,0,0,4]]},[0,2]],"l":[{"y":[{},[0,0,4]]}],"o":[{"m":[{},[0,0,5]],"r":[{},[0,0,3]]},[0,2]],"r":[{"a":[{"d":[{},[0,0,3]]}],"ö":[{},[0,4]]}],"s":[{"e":[{"r":[{},[0,0,4]]}],"k":[{},[0,0,0,1]],"p":[{"a":[{},[0,0,0,3]]}],"t":[{"i":[{"m":[{},[0,0,0,5]]}]}],"v":[{"a":[{"l":[{},[0,0,0,3]]}]}]}],"ö":[{"d":[{},[0,4]]}]},[2,0,1]],"h":[{},[2]],"i":[{"d":[{},[4]],"e":[{"c":[{},[0,0,5]]}],"k":[{"i":[{},[0,0,4]]}],"l":[{"i":[{},[0,0,5]]}],"n":[{"g":[{"s":[{"k":[{},[0,0,0,0,0,3]],"v":[{},[0,0,0,0,0,5]]},[0,0,0,0,0,1]]}]},[3]],"o":[{},[0,0,1]],"p":[{"p":[{"r":[{},[0,0,0,4]]}]},[4]],"s":[{"t":[{"e":[{"r":[{"i":[{},[0,0,5]]}]}],"r":[{"a":[{},[0,0,0,0,3]]}]}]}],"t":[{"r":[{},[0,0,3,4]]}],"v":[{"s":[{"k":[{},[0,0,0,5]],"t":[{},[0,0,0,5]]}]}]},[1,2]],"j":[{"a":[{"r":[{},[0,4]]}],"u":[{"n":[{},[0,3]],"s":[{},[0,0,0,4]]}],"ä":[{},[0,3]]},[2,1]],"k":[{"a":[{"r":[{"t":[{},[0,4]]}]}],"i":[{"s":[{".":[{},[0,4]]}]},[0,1]],"n":[{"y":[{},[0,3]]}],"o":[{},[0,1]],"r":[{"a":[{"f":[{"t":[{"s":[{},[0,0,0,0,0,0,0,5]]}]}]}],"i":[{},[0,0,3]],"o":[{},[0,1]],"u":[{"s":[{},[0,0,0,0,0,4]]}]}],"s":[{"l":[{},[0,0,5]],"p":[{},[0,0,3]]}],"t":[{"i":[{"n":[{},[0,0,4]]}]}],"u":[{},[0,1]],"ö":[{},[0,1]]},[2]],"l":[{},[2,1]],"m":[{},[2,1]],"n":[{"d":[{},[0,0,3]],"e":[{},[0,3]],"i":[{"s":[{},[0,0,0,0,4]]}],"k":[{},[0,0,3]],"s":[{"t":[{},[0,0,3,4]]}]},[2,1]],"o":[{"d":[{"l":[{},[2]]}],"k":[{"l":[{},[0,0,4]]}],"l":[{"j":[{},[2]]}],"m":[{"r":[{},[2]],"s":[{},[0,0,0,3,4]]}],"r":[{"d":[{},[2]],"g":[{},[2]]}],"s":[{"a":[{},[0,0,5]],"c":[{},[0,0,5]]}],"t":[{"u":[{},[0,0,4]]}]},[1]],"p":[{},[2,1]],"r":[{},[2,1]],"s":[{"i":[{"n":[{"t":[{},[0,4]]}],"s":[{".":[{},[0,4]],"e":[{},[0,4]]}]},[0,0,2]],"k":[{"a":[{"n":[{},[0,0,3]]}],"i":[{},[0,1]],"o":[{"r":[{},[0,0,3]]}]},[0,0,2]],"l":[{"a":[{"g":[{"s":[{},[0,0,0,0,0,0,5]]}],"s":[{},[0,0,5]]}]}],"m":[{"i":[{"t":[{},[0,0,5]]}]}],"o":[{"c":[{},[0,4]]}],"p":[{"i":[{},[0,1]],"l":[{},[0,0,3]],"o":[{},[0,0,3]]}],"s":[{},[0,0,3,4]],"t":[{"a":[{"n":[{"s":[{},[0,3]]}],"p":[{},[0,3]]}],"e":[{"l":[{},[0,0,4]]}],"i":[{"f":[{},[0,3]],"g":[{},[0,0,3]]}],"r":[{"a":[{},[0,0,4]],"i":[{"k":[{},[0,2]]}]}],"u":[{"p":[{},[0,0,0,5]]}],"v":[{"i":[{"l":[{},[0,0,0,5]]}]}],"y":[{},[0,3,4]]}],"v":[{"a":[{},[0,1]],"i":[{},[0,0,3]],"ä":[{"r":[{},[0,0,3]]}]}]},[4]],"t":[{"a":[{"r":[{"k":[{},[0,4]]}]}],"e":[{"r":[{"s":[{},[0,0,0,0,5,4]]}]}],"i":[{"n":[{"f":[{},[0,4]]}]}],"o":[{"m":[{"b":[{},[0,2,5]]}]}],"r":[{"a":[{"d":[{},[0,0,3]],"h":[{},[0,3]],"k":[{},[0,3]],"l":[{"a":[{},[0,5]],"i":[{},[0,0,3]]}],"m":[{},[0,5]]}],"e":[{"p":[{},[0,0,3]],"r":[{},[0,3]]}],"i":[{"a":[{},[0,0,3]],"n":[{},[0,0,3]],"s":[{},[0,0,3]]}],"o":[{"p":[{"i":[{"n":[{},[0,4]]}]}],"r":[{},[0,4]]}],"ö":[{},[0,4]]}],"s":[{"c":[{},[0,0,0,3]],"e":[{},[0,0,4]],"k":[{"o":[{"r":[{},[0,0,0,5]]}]}],"t":[{"r":[{},[0,0,4]]}]}],"u":[{"t":[{},[0,4]]}],"v":[{"å":[{},[0,3]]}]},[2,1]],"u":[{"f":[{"t":[{"s":[{},[0,0,0,0,0,4]]}]}],"g":[{"n":[{},[0,5]]},[4]],"i":[{},[3]],"m":[{"s":[{},[0,0,0,0,5]]},[3]],"p":[{"p":[{},[0,3]]},[2]],"t":[{"b":[{},[2]]}]}],"v":[{},[2,1]],"y":[{"g":[{"r":[{},[0,0,5]]}]}],"z":[{},[0,5]],"å":[{"r":[{},[4]]}],"ä":[{".":[{},[4]],"c":[{},[4]],"m":[{},[3]],"t":[{},[3]]}],"ö":[{"g":[{},[4,0,0,4]],"j":[{"a":[{},[0,0,2]]},[3]],"k":[{"r":[{},[0,0,5]]}],"l":[{},[4]],"s":[{"k":[{"e":[{},[0,0,0,5]]}]},[0,0,0,4]]}]}],"o":[{"a":[{"r":[{"d":[{},[0,2]]}]},[0,1]],"b":[{"j":[{},[5,4]],"l":[{"i":[{},[0,4]]}],"y":[{},[0,0,0,4]]},[0,2]],"c":[{"k":[{"r":[{},[0,0,4,5]],"s":[{"k":[{},[0,0,0,3]]}],"u":[{},[0,0,3]]}]}],"d":[{"e":[{"k":[{},[0,0,0,4]]}],"i":[{"a":[{},[0,0,0,4]]}],"l":[{"i":[{},[1]]}],"r":[{"a":[{"l":[{},[0,5]]}],"o":[{},[0,3]]}],"s":[{"k":[{},[0,0,0,4]],"t":[{"i":[{},[0,0,0,4]],"u":[{},[0,0,5]]},[0,0,2]]}],"ä":[{},[0,3]]},[0,2]],"e":[{},[0,1]],"f":[{"f":[{"s":[{"t":[{},[0,0,0,0,5]]}]}],"l":[{},[0,4]],"r":[{},[0,3]],"ö":[{"r":[{"m":[{"å":[{},[0,0,0,0,0,0,4]]}]}]}]}],"g":[{"a":[{"v":[{},[0,4]]}],"g":[{"r":[{},[0,0,3]]}],"j":[{},[0,4]],"l":[{"o":[{},[0,5]],"y":[{},[0,5]]}],"n":[{"o":[{"s":[{"t":[{},[0,0,0,0,5]]},[0,0,0,0,0,4]]}]}],"r":[{"i":[{},[0,4]],"ö":[{},[0,4]]}],"s":[{"e":[{},[0,0,3]],"t":[{},[0,0,4,3]]}],"ä":[{},[0,4]]},[0,1]],"i":[{"l":[{},[0,4]]},[0,1]],"j":[{},[0,1]],"k":[{"l":[{"i":[{},[0,4]]}],"n":[{},[0,0,3]],"s":[{"l":[{},[0,0,3]],"u":[{},[0,0,4]]}],"v":[{},[0,2]]},[0,1]],"l":[{"a":[{"k":[{},[0,5]],"u":[{},[0,0,5]]},[0,1]],"f":[{"ö":[{},[0,0,0,0,4]]}],"j":[{},[1]],"k":[{"a":[{},[0,0,3]],"r":[{},[0,0,0,3]],"u":[{},[0,0,4]],"ä":[{},[0,0,4]]}],"l":[{"s":[{"i":[{},[0,0,0,4]],"l":[{"ä":[{},[0,0,0,5]]}]}],"ä":[{},[0,0,3]]}],"m":[{"s":[{},[0,0,0,4]]}],"n":[{"s":[{},[0,0,0,3]]}],"o":[{"k":[{"v":[{},[0,0,0,5]]}]},[0,1]],"s":[{"a":[{},[0,0,4]]}],"t":[{"å":[{},[0,0,4]]}],"u":[{"g":[{},[0,4]],"r":[{},[0,4]]},[0,1]],"y":[{},[0,1]],"å":[{"r":[{},[0,0,5]]}],"ä":[{},[0,1]]}],"m":[{"b":[{"r":[{"ä":[{},[0,0,4]]}]}],"e":[{"n":[{},[0,3]]}],"o":[{"r":[{"d":[{},[0,4]]}]}],"p":[{"a":[{},[0,0,5]],"l":[{},[0,0,3]]}],"r":[{"a":[{},[4]]},[1]],"s":[{"k":[{},[0,0,1]],"t":[{"e":[{},[0,0,4]]}],"ä":[{"t":[{},[3]]}]}],"t":[{"r":[{},[0,0,4]],"v":[{},[0,0,3]]}]}],"n":[{"c":[{},[0,0,3]],"g":[{"i":[{},[0,0,5]],"r":[{},[0,0,1]],"s":[{"l":[{},[0,0,0,0,4]]}]}],"i":[{"n":[{"s":[{},[0,4]]}]}],"j":[{},[0,0,3]],"k":[{},[0,0,1,4]],"s":[{"c":[{},[0,0,0,3]],"i":[{"s":[{},[0,0,0,0,3]]}],"m":[{},[0,0,0,3]],"t":[{"e":[{"l":[{},[0,0,5]],"r":[{},[0,0,0,4]]}]}]}],"t":[{"r":[{"a":[{"s":[{},[0,0,3]]}],"e":[{},[0,0,4]]}],"s":[{},[0,0,0,4]]}],"y":[{},[0,1]],"å":[{},[0,0,5]],"ä":[{},[0,1]],"ö":[{},[0,3]]}],"o":[{"d":[{},[0,0,4]],"m":[{"s":[{},[0,0,0,5]]}],"r":[{},[0,3]]}],"p":[{"e":[{},[0,1]],"i":[{},[0,1]],"l":[{"i":[{"n":[{"e":[{},[0,5]]}]}]}],"p":[{"l":[{"e":[{},[0,0,0,3]]},[0,0,4]],"r":[{},[0,0,4]],"u":[{},[0,0,4]]}],"r":[{"i":[{},[0,3]]}],"s":[{"t":[{},[0,0,4]]}],"å":[{},[0,3]]}],"q":[{},[0,5]],"r":[{"a":[{"k":[{},[0,3]],"n":[{"g":[{},[0,0,0,0,3,4]]}],"p":[{},[0,2]]},[4]],"d":[{"n":[{},[1]],"ä":[{},[0,0,4,5]]}],"e":[{"h":[{},[0,4]]}],"g":[{"a":[{"n":[{"i":[{},[5]]}]},[1]],"r":[{},[0,0,4]],"å":[{},[0,0,4]]}],"i":[{"e":[{"n":[{"t":[{},[3]]}]}]},[0,1]],"k":[{},[4]],"m":[{"ö":[{},[0,0,4]]}],"n":[{"u":[{},[0,0,4]],"ä":[{},[0,0,4]]}],"o":[{},[0,1]],"p":[{"l":[{},[0,0,4]],"r":[{},[0,0,5]]}],"s":[{"p":[{"a":[{},[0,0,4]]}],"t":[{"i":[{"g":[{},[0,0,0,5]]}]}]}],"t":[{"e":[{},[0,0,5]],"r":[{"e":[{},[0,0,0,3]],"o":[{},[0,0,0,3]]},[0,0,2]]}],"u":[{},[0,1]],"y":[{},[0,3]],"ä":[{},[0,1]],"ö":[{},[0,1]]}],"s":[{"f":[{"ä":[{},[0,3,2]]}],"k":[{"l":[{},[0,0,0,4]],"o":[{"p":[{},[0,1]]}]}],"o":[{"m":[{},[0,3]]}],"p":[{"i":[{"g":[{},[0,0,5]]}]}],"s":[{"k":[{},[0,0,4]],"t":[{},[0,0,4,4]]}],"t":[{"i":[{"g":[{},[0,0,3]],"k":[{"e":[{"r":[{},[0,0,5]]}]}],"l":[{"l":[{},[0,5]]}]}],"r":[{"o":[{"n":[{},[0,0,0,5]]}],"ö":[{},[0,0,0,5]]},[0,0,4]],"u":[{"l":[{},[0,0,3]]}]}]}],"t":[{"a":[{"l":[{"a":[{"n":[{},[0,0,0,2]]}]}]}],"i":[{".":[{},[4]],"e":[{},[4]],"n":[{},[4]]}],"o":[{},[0,1]],"r":[{"o":[{},[0,5]],"u":[{"n":[{},[0,0,5]]}]}],"s":[{"v":[{},[0,0,3]]}],"t":[{"i":[{},[0,0,5]],"r":[{"ä":[{},[0,0,4]]}],"s":[{},[0,0,0,2]]}],"u":[{"n":[{},[0,5]]},[0,1]],"v":[{"i":[{"n":[{},[0,0,0,0,0,4]]}]}],"y":[{},[0,1]],"å":[{},[0,5]],"ä":[{},[0,3]]}],"u":[{"n":[{},[0,0,0,4]],"p":[{},[0,0,0,4]],"r":[{"ö":[{},[0,0,3]]},[4]],"s":[{},[0,0,4]],"t":[{"t":[{},[0,3,0,3]]}]}],"v":[{"a":[{"n":[{},[0,0,0,4]]},[0,1]],"i":[{},[0,1]],"r":[{},[0,0,3]],"s":[{"i":[{},[0,0,4]],"l":[{},[0,0,3]],"m":[{"e":[{},[0,0,0,4]]}]}],"ä":[{},[0,1]]}],"w":[{"e":[{},[0,3]]}],"x":[{},[0,0,5]],"y":[{},[0,0,2]],"å":[{},[0,3]],"ä":[{"n":[{},[0,3]]}],"ö":[{},[0,3]]}],"p":[{"a":[{"f":[{},[4]],"g":[{},[0,0,0,4]],"k":[{"i":[{"s":[{},[0,0,0,0,0,4]]},[0,0,0,0,3]]}],"l":[{"a":[{},[0,0,5]],"s":[{},[0,0,0,0,5]],"ä":[{},[0,0,5]]}],"n":[{"d":[{".":[{},[4]]}],"t":[{"r":[{},[0,0,0,4]]}]}],"p":[{},[3]],"r":[{"b":[{},[2]],"m":[{},[4]],"s":[{},[0,0,0,3]]}],"s":[{"k":[{"i":[{},[0,0,5]]},[2]],"t":[{},[0,0,2]]}],"t":[{"r":[{},[3]]}],"u":[{},[0,0,3]]},[1]],"b":[{},[2,0,4]],"c":[{},[2]],"d":[{},[2,3,4]],"e":[{"k":[{"t":[{"r":[{"i":[{},[0,0,0,5]],"o":[{},[0,0,0,0,3]]}]}]}],"l":[{"d":[{},[4]],"s":[{"i":[{},[0,0,0,3,4]]}]}],"m":[{},[4]],"n":[{"g":[{},[5]],"n":[{},[3]],"t":[{"r":[{},[0,0,0,0,5]]}]}],"r":[{"b":[{"l":[{},[0,0,0,4]]}],"i":[{"o":[{},[3]]}],"s":[{"l":[{},[0,0,0,4]]},[3]]}],"t":[{"r":[{"o":[{},[0,0,5]]}]}],"x":[{},[4]]}],"f":[{},[2,1]],"g":[{},[4,3]],"h":[{},[2]],"i":[{"e":[{"l":[{},[0,0,4]]}],"g":[{},[1]],"o":[{},[0,0,1]],"p":[{},[3]],"s":[{"o":[{},[0,0,5]],"t":[{"a":[{},[0,0,5]],"o":[{},[0,0,5]]}]}]}],"j":[{"ä":[{"s":[{},[3]]}]},[0,2]],"k":[{},[4,3,2]],"l":[{"a":[{"c":[{},[0,4]],"n":[{".":[{},[5]],"e":[{},[0,4]]}],"r":[{"n":[{},[0,3]]}]}],"e":[{"v":[{},[0,3]],"x":[{},[3]]}],"i":[{"c":[{},[3]],"k":[{},[1]],"t":[{},[4]]}],"j":[{},[0,3]],"o":[{"m":[{},[1]],"p":[{},[0,3]]}]},[0,2]],"m":[{},[2,1]],"n":[{"i":[{},[0,3]]},[4,1]],"o":[{"a":[{},[5]],"c":[{},[2]],"f":[{},[2]],"i":[{},[0,0,2]],"l":[{"i":[{"t":[{},[3]]}],"j":[{},[4]],"y":[{},[0,0,0,0,3]]}],"r":[{"g":[{},[2]]}],"s":[{"t":[{"e":[{"r":[{},[0,0,0,4]]}]}]},[3]],"v":[{"ä":[{},[0,0,4]]},[4]]},[1]],"p":[{"a":[{"r":[{"t":[{},[0,4]]}],"s":[{"k":[{},[0,0,5]]}],"x":[{},[0,4]]}],"e":[{},[0,3]],"i":[{"n":[{"s":[{},[0,4]]}]},[0,1]],"j":[{},[0,0,3]],"l":[{"a":[{},[0,0,3]],"i":[{"n":[{},[0,0,3]],"s":[{},[0,0,5]]}],"u":[{},[0,0,5]],"y":[{},[0,0,3]],"å":[{"n":[{},[0,0,3]],"t":[{},[0,0,3]]}],"ä":[{},[0,0,3]],"ö":[{},[0,0,3]]},[0,0,1]],"o":[{"c":[{},[0,0,5]],"f":[{},[0,0,3]]}],"p":[{},[0,0,3,4]],"r":[{"a":[{},[0,0,3]],"i":[{},[0,0,3]],"u":[{},[0,0,3]],"y":[{},[0,0,3]],"ä":[{},[0,0,3]]},[0,0,1]],"t":[{"r":[{},[0,0,3]]}],"u":[{},[0,2]],"y":[{},[0,5]],"å":[{},[0,0,3]]},[2]],"r":[{"a":[{"x":[{},[5]]},[2]],"e":[{"s":[{"t":[{"a":[{},[0,0,0,3]],"o":[{},[0,0,0,0,5]]},[0,0,0,0,4]]},[1]]}],"i":[{"g":[{},[0,3]],"k":[{},[0,3]],"l":[{},[5]],"n":[{"c":[{},[3]],"g":[{},[0,0,0,0,0,3]]}],"o":[{"l":[{},[0,5]]}]}],"o":[{"g":[{},[0,0,0,3]],"r":[{},[0,3]]},[3]],"å":[{},[4]],"ä":[{"s":[{},[3]]}],"ö":[{"v":[{},[3]]}]},[0,2,2]],"s":[{"a":[{"l":[{"m":[{},[3]]},[0,2]]}],"h":[{"o":[{},[0,5,2]]}],"k":[{"e":[{"n":[{},[0,0,4]]}]}],"l":[{"i":[{},[0,0,2]]}],"n":[{"a":[{},[0,3]]}],"o":[{"d":[{},[0,3]]},[4]],"t":[{"a":[{"k":[{},[0,4]]}],"ä":[{"v":[{},[0,4]]}]},[0,1,4]],"ö":[{},[0,2]]},[2]],"t":[{"r":[{"i":[{},[0,3]]}]},[2,1]],"u":[{"g":[{},[4]],"l":[{"l":[{"o":[{"v":[{},[0,0,0,2,5]]}]}],"t":[{"r":[{},[0,0,0,5]]}]}],"n":[{"g":[{},[5]],"k":[{},[3]]}],"s":[{"t":[{},[0,0,0,3]]}]},[1]],"v":[{},[2,1]],"å":[{"d":[{"r":[{},[0,0,3]]}]}],"ä":[{"l":[{},[3]],"r":[{"o":[{},[0,0,5]]}]}],"ö":[{"r":[{},[4]]}],"é":[{},[3]]}],"q":[{"u":[{"e":[{},[3]]},[0,0,4]]}],"r":[{"a":[{".":[{},[3]],"c":[{"i":[{"t":[{},[0,0,0,0,4]]}]}],"d":[{"e":[{".":[{},[3]]}],"r":[{},[4]],"u":[{},[0,0,4]]}],"e":[{},[5,0,1]],"f":[{"f":[{"ä":[{},[2]]}],"r":[{},[0,0,3]]}],"i":[{"s":[{},[0,0,5]]}],"k":[{},[2]],"l":[{"o":[{},[0,0,2]]}],"n":[{"d":[{"e":[{".":[{},[3]]},[0,4]],"r":[{},[4,0,0,4,3]],"s":[{},[0,0,0,0,3]]}],"s":[{"v":[{},[2]]}]}],"p":[{"l":[{},[0,0,3]]}],"r":[{".":[{},[0,4]],"b":[{},[4]],"e":[{},[0,4]],"g":[{},[4]],"k":[{},[0,4]],"m":[{},[4]],"n":[{},[0,4]],"s":[{},[0,4]],"t":[{"a":[{},[0,3]]},[4]],"ö":[{},[0,0,5]]},[3]],"s":[{"h":[{},[0,0,0,3]],"t":[{"e":[{".":[{},[3]]}]},[0,0,2]]},[0,4]],"t":[{"i":[{"v":[{},[3]]}],"r":[{"i":[{},[0,0,3]]}]}],"v":[{},[2]],"y":[{"o":[{},[0,0,5]]}]},[1]],"b":[{},[2]],"c":[{},[2,1]],"d":[{"a":[{"f":[{},[0,4]],"g":[{"r":[{},[0,0,0,5]]}]}],"j":[{},[0,3]],"o":[{"s":[{},[0,4]]}],"r":[{"a":[{"n":[{},[0,0,3]],"t":[{},[0,0,3]]}]}],"u":[{"l":[{},[0,4]]}],"å":[{},[0,3]],"ä":[{},[0,3]],"ö":[{"s":[{},[0,4]]}]},[2,2]],"e":[{".":[{},[3]],"a":[{"u":[{"s":[{},[4]]}]}],"b":[{},[0,0,3]],"c":[{"o":[{},[5]]},[4]],"d":[{"r":[{},[0,0,3,4]],"u":[{},[0,0,5]]}],"f":[{"t":[{},[4]]}],"g":[{"g":[{},[4]],"n":[{".":[{},[3]]}]}],"k":[{"r":[{},[0,0,1]],"t":[{"r":[{"i":[{},[0,0,0,5]]}]}]}],"l":[{"d":[{},[4]],"u":[{},[0,0,3]]}],"m":[{"p":[{},[0,0,0,5]],"s":[{},[3]]}],"n":[{".":[{},[0,4]],"i":[{},[2]],"k":[{},[2]],"l":[{},[2]],"ö":[{},[0,0,3]]}],"o":[{},[0,0,3]],"r":[{".":[{},[3]],"n":[{},[3]]}],"s":[{"o":[{},[3]],"s":[{"k":[{},[0,0,0,0,5]]}],"t":[{"i":[{},[0,0,1]]}]}],"t":[{".":[{},[3]],"e":[{"t":[{},[4]]}],"r":[{"o":[{},[0,0,0,3]]}],"y":[{},[4]],"å":[{},[0,0,5]]}],"v":[{"i":[{"g":[{},[2]]}]}],"x":[{},[4]]},[1]],"f":[{"ö":[{"r":[{"i":[{},[0,0,0,3]]}]}]},[2,1]],"g":[{"g":[{},[0,0,3,2]],"s":[{"t":[{"o":[{"p":[{},[0,0,0,5]]}]}]}]},[2,1]],"h":[{"a":[{"n":[{"d":[{"s":[{},[0,0,0,0,0,0,5]]}]}]}]},[2]],"i":[{"a":[{"l":[{},[3]]}],"b":[{},[4]],"f":[{"i":[{},[3]],"r":[{"å":[{},[0,3]]},[2]],"u":[{},[3]]}],"g":[{"t":[{},[3]]}],"k":[{"s":[{},[0,0,0,2]],"t":[{"n":[{},[3]]}]}],"m":[{"o":[{},[0,0,4]]}],"n":[{"d":[{"s":[{},[0,0,0,0,3]]},[2]],"g":[{"e":[{"n":[{".":[{},[5]]}]}],"r":[{},[0,0,0,0,3]]}],"r":[{},[2]],"s":[{},[2]],"t":[{},[2]]}],"o":[{"t":[{},[3]]},[0,0,1]],"p":[{"l":[{"e":[{},[0,0,5]]}]}],"s":[{"t":[{"ä":[{},[0,0,2]]}]}],"t":[{"u":[{"t":[{},[0,0,4]]}]}],"v":[{"i":[{"s":[{},[0,0,4]]}],"s":[{},[0,0,0,3]]}]}],"j":[{"i":[{"s":[{},[0,4]]}],"o":[{},[0,3]],"u":[{},[0,5]],"ö":[{},[0,5]]},[4]],"k":[{"a":[{"k":[{"t":[{},[0,0,3]]}]}],"e":[{"k":[{},[0,4]],"s":[{},[0,0,0,0,3]]}],"i":[{},[0,1]],"l":[{"a":[{"s":[{},[0,3]]}],"e":[{},[0,0,2]],"ö":[{},[0,4]]}],"n":[{"e":[{},[0,0,4]]},[0,0,3]],"o":[{"d":[{},[0,4]]},[0,1]],"t":[{"r":[{},[0,0,3]]}],"u":[{"p":[{},[0,4]]},[0,1]],"ä":[{},[0,1]],"ö":[{"r":[{},[0,5]]}]},[2]],"l":[{"a":[{"k":[{"a":[{},[0,5]]}],"v":[{},[0,5]]}],"d":[{"s":[{},[0,0,0,0,3]]},[0,0,0,2]],"s":[{"p":[{},[0,0,5]]}]},[2,1]],"m":[{"a":[{"r":[{"b":[{},[0,4]]}]}],"i":[{"l":[{},[0,4]]}],"s":[{"j":[{},[0,0,2,5]]}],"t":[{"r":[{},[0,0,5]]}]},[2,1]],"n":[{"a":[{"l":[{},[0,0,0,0,4]]}],"g":[{},[0,0,3,4]],"k":[{},[0,0,1]],"o":[{"m":[{},[0,2]]}],"s":[{"k":[{},[0,0,0,4]],"t":[{},[0,0,0,4]]}],"t":[{},[0,0,3]]},[2,1]],"o":[{"b":[{},[0,0,3]],"g":[{"r":[{"o":[{},[0,0,4]]}]}],"k":[{"r":[{},[0,0,2]]}],"l":[{"j":[{},[2]],"l":[{"i":[{},[0,0,0,4]]}]}],"m":[{"a":[{"n":[{},[5]]},[0,0,0,4]]}],"n":[{"a":[{"u":[{},[5]]}],"d":[{".":[{},[5]]}],"v":[{},[0,0,0,4]]}],"p":[{"l":[{},[0,0,3]],"p":[{"s":[{},[0,0,0,0,2]]}]}],"r":[{"a":[{},[0,0,4]],"d":[{},[2]],"g":[{},[2]],"i":[{"e":[{},[2]]}],"n":[{},[3]]}],"s":[{"i":[{"n":[{},[0,0,4]]}],"n":[{},[0,0,4]],"v":[{},[0,0,0,3]]}],"t":[{"e":[{},[0,0,5]]}]}],"p":[{"l":[{"ö":[{},[0,4]]}],"ö":[{},[0,4]]},[2,1]],"r":[{"a":[{"n":[{},[0,0,0,4]]}],"d":[{},[0,0,0,4]],"e":[{"l":[{"i":[{"g":[{"i":[{},[0,0,0,0,0,0,0,5]]}]}]}],"s":[{},[0,0,0,0,4]]}],"i":[{"b":[{},[0,5]]}],"k":[{},[0,0,5,4]],"o":[{"b":[{},[0,4]],"m":[{},[0,4]]}],"s":[{"k":[{},[0,0,0,2]]},[0,0,1]],"u":[{"r":[{},[0,4]]}]},[4,1]],"s":[{"e":[{"l":[{"d":[{},[0,4]]}],"x":[{},[0,4]]}],"i":[{"n":[{},[0,2]]}],"k":[{"i":[{"d":[{},[0,4]]},[0,1]],"n":[{"a":[{},[0,0,0,3]]}],"o":[{"l":[{"l":[{},[0,0,5]]}],"s":[{},[0,0,4]],"t":[{"t":[{"s":[{},[0,0,0,0,0,0,0,3]]}]}]}],"u":[{},[0,2]],"ö":[{},[0,3]]}],"l":[{"a":[{"g":[{"s":[{"v":[{},[0,0,0,0,0,0,4]]}]}]}],"e":[{},[0,4]],"o":[{},[0,4]],"ö":[{},[0,4,5]]}],"m":[{"o":[{},[0,0,4]]}],"n":[{"a":[{"t":[{},[0,0,5]]}],"ä":[{},[0,0,5]]}],"p":[{"l":[{},[0,2]],"o":[{},[0,2]]},[0,1]],"s":[{},[0,0,3,4]],"t":[{"a":[{"k":[{},[0,0,5]]}],"e":[{"k":[{},[0,5]],"n":[{"d":[{},[0,0,5]],"i":[{},[0,5]]}]},[0,0,4]],"i":[{"l":[{"l":[{},[0,0,5]]}]}],"o":[{"n":[{},[0,4]]},[0,1]],"r":[{"ö":[{},[0,3]]},[0,0,0,4]],"u":[{},[0,3]]}],"v":[{"a":[{"g":[{},[0,0,4]]}],"ä":[{},[0,2]]},[0,1]],"y":[{},[0,1]]},[2]],"t":[{"a":[{"f":[{},[0,2]],"k":[{"t":[{"i":[{},[0,2]]}]}],"n":[{},[0,0,4]]}],"i":[{"n":[{"s":[{},[0,4]]}]}],"o":[{"m":[{},[0,4]]}],"r":[{"i":[{"t":[{},[0,5]]}],"ä":[{},[0,3]]}],"t":[{},[0,0,3]],"u":[{"t":[{},[0,4]]}]},[2,1]],"u":[{"b":[{"b":[{"l":[{},[0,0,0,0,5]]}],"r":[{},[0,0,3]]}],"d":[{"a":[{"n":[{},[0,0,4]]}]}],"k":[{"s":[{"v":[{},[0,0,0,0,3]]},[0,0,0,0,1]]}],"l":[{"l":[{"e":[{"r":[{"a":[{},[5]]}]}]}]}],"m":[{".":[{},[3]]}],"n":[{"n":[{"s":[{},[0,0,0,0,0,5]]},[0,0,0,0,2]]}],"p":[{"p":[{},[4]]}],"s":[{"h":[{"a":[{},[0,0,5]]},[0,0,0,2]]}],"t":[{"i":[{"g":[{},[5]]}],"r":[{"a":[{},[0,0,0,4]]}]},[2]],"v":[{"i":[{},[0,0,4]]}],"ö":[{},[5]]}],"v":[{"s":[{"j":[{},[0,0,4]],"k":[{"ä":[{},[0,0,2,5]]}]}]},[2,1]],"w":[{},[0,3]],"y":[{"d":[{"d":[{"s":[{},[0,0,0,0,5]]}]}],"o":[{},[0,0,5]]}],"å":[{"g":[{"e":[{"l":[{},[0,0,0,0,5]]}]}],"l":[{},[4]],"n":[{"g":[{"s":[{},[0,0,0,0,3]]}]}],"r":[{"a":[{},[0,0,5]]}],"s":[{"t":[{},[0,0,3]]}]}],"ä":[{"c":[{"k":[{"s":[{},[0,0,0,0,5]]}]}],"k":[{"t":[{},[4]]}],"m":[{},[4]],"n":[{"g":[{"s":[{},[0,0,0,0,3]]}],"s":[{"t":[{},[0,0,0,0,5]]}]}],"s":[{"a":[{"n":[{},[0,0,4]]}],"s":[{},[0,0,0,3]],"t":[{"i":[{},[0,0,5]]}]},[4]],"v":[{"s":[{},[0,0,0,5]]}]}],"ö":[{"d":[{"e":[{"l":[{},[0,0,0,5]]}],"r":[{},[0,0,0,5]],"s":[{},[0,0,0,3]]}],"g":[{},[2]],"i":[{},[0,3]],"k":[{"s":[{},[0,0,0,3]]}],"n":[{"s":[{"t":[{},[0,0,0,0,4]]}]}],"p":[{},[4]],"r":[{"s":[{},[0,0,0,4]]},[3]],"s":[{"t":[{"r":[{},[0,0,0,0,3]]},[0,0,4]]}],"v":[{"r":[{},[0,1]]}]}]}],"s":[{"a":[{".":[{},[3]],"d":[{".":[{},[3]],"e":[{},[3]],"j":[{},[4]],"r":[{},[2,0,3]],"s":[{},[0,0,0,5]]}],"f":[{},[2]],"i":[{},[0,0,3]],"k":[{"r":[{"i":[{},[0,0,0,5]]}],"t":[{},[2,1]]}],"l":[{"o":[{},[0,0,5]]}],"m":[{"a":[{},[0,0,2]],"m":[{"a":[{"n":[{},[0,0,0,0,0,0,3]]}]}],"o":[{"r":[{},[0,0,2]]}]},[3,2]],"n":[{"d":[{"s":[{},[0,0,0,0,3]]}],"g":[{},[4]],"l":[{"ä":[{},[0,3]]},[2]],"s":[{"l":[{"a":[{},[0,0,0,3]]}]}]}],"p":[{},[2]],"r":[{".":[{},[3,4]],"b":[{},[2]],"m":[{".":[{},[0,5]]},[2]],"n":[{},[3]],"t":[{},[2]],"v":[{},[4]]}],"s":[{"s":[{},[4]]}],"t":[{".":[{},[5]],"u":[{},[0,0,4]]}],"u":[{"k":[{},[0,3]]},[2]],"v":[{},[2,1]]},[1]],"b":[{},[4]],"c":[{"h":[{".":[{},[2]],"a":[{"u":[{},[2]]},[1]],"b":[{},[4]],"e":[{"n":[{},[1]],"r":[{},[1]],"t":[{},[1]]}],"i":[{},[1]],"k":[{},[4]],"m":[{},[4]],"p":[{},[4]],"y":[{},[3]],"ö":[{},[3]]}],"i":[{"p":[{},[0,0,0,3]]}]},[0,2]],"d":[{},[4,3]],"e":[{"a":[{"t":[{".":[{},[0,0,4]]}]}],"g":[{"g":[{},[2,3]],"l":[{},[3]],"r":[{"a":[{},[0,0,0,3]]}]},[0,0,2]],"k":[{"l":[{"e":[{},[0,0,0,5]]}],"r":[{},[0,0,0,3]],"t":[{"r":[{},[0,0,0,5]]}]}],"l":[{".":[{},[3]],"y":[{},[0,0,5]]}],"m":[{},[0,0,0,2]],"n":[{".":[{},[3]]}],"r":[{"s":[{"ä":[{},[0,5]]}]}],"t":[{".":[{},[3]]}],"x":[{"p":[{},[2]]}]},[1]],"f":[{"ä":[{"r":[{".":[{},[0,4]]}]}],"ö":[{},[0,0,0,2]]},[2,1]],"g":[{},[4,3,2]],"h":[{"a":[{"w":[{},[5,2]]}],"i":[{"s":[{},[0,0,0,1]]}],"ö":[{},[0,5]]},[2]],"i":[{"d":[{"s":[{},[0,0,0,5]]}],"e":[{"r":[{"i":[{},[0,0,4]]}],"s":[{"k":[{},[0,0,4]]}],"t":[{"t":[{},[0,0,2]]}]},[5]],"g":[{},[3,2]],"k":[{"t":[{"s":[{},[0,0,0,0,0,3]]}]},[3]],"l":[{"l":[{".":[{},[5]]}],"v":[{"e":[{"r":[{},[0,0,0,0,0,0,3]]}],"r":[{},[0,0,0,0,3]]}]}],"n":[{"d":[{},[2,1]],"f":[{},[2,1]],"n":[{"e":[{"s":[{},[0,0,0,0,0,2,3]]}],"i":[{},[3]]}],"r":[{},[4]],"s":[{"t":[{},[0,1]]},[2,0,0,1]],"t":[{".":[{},[5]],"r":[{},[2]]}]}],"o":[{},[3]],"s":[{"t":[{},[0,0,0,4]]}],"u":[{},[0,0,0,4]]},[1]],"j":[{"a":[{"k":[{"t":[{},[0,3]]},[2]]}],"n":[{},[4]],"t":[{},[4]],"u":[{"k":[{},[5]],"r":[{},[4]]},[0,4]],"ä":[{"l":[{"s":[{},[0,0,0,0,0,3]]}]}],"ö":[{},[3]]},[1,2]],"k":[{".":[{},[4]],"a":[{".":[{},[2]],"d":[{"a":[{},[3,2]],"o":[{},[0,2]]}],"f":[{"f":[{"n":[{},[3]]}],"t":[{},[1]]}],"g":[{},[0,4]],"l":[{".":[{},[3]]},[0,2]],"p":[{".":[{},[5]],"e":[{"t":[{},[5]]}],"i":[{},[4]],"s":[{},[0,0,0,0,0,1]]},[1]],"r":[{"a":[{},[0,4]],"v":[{},[5]]},[4]],"s":[{},[4]],"t":[{},[0,2]],"v":[{},[0,4]]}],"e":[{".":[{},[4]],"d":[{".":[{},[3]]}],"n":[{"e":[{},[0,4]]}],"p":[{"p":[{},[3]]}]}],"h":[{},[4]],"i":[{"f":[{},[3]],"n":[{},[5]],"s":[{".":[{},[4]]}],"v":[{},[5]]},[0,0,4]],"j":[{"o":[{"r":[{},[5]]}],"u":[{},[3]]}],"l":[{"a":[{"p":[{},[0,0,5]],"s":[{},[0,3]]}]},[4]],"n":[{},[4]],"o":[{".":[{},[3,4]],"g":[{"s":[{"g":[{},[4]]}]},[1,4]],"l":[{"a":[{},[3]],"o":[{},[0,4]]},[1]],"r":[{"p":[{},[0,4]],"s":[{"t":[{},[0,0,0,0,1]]}]}],"t":[{},[1]]}],"r":[{"a":[{"n":[{".":[{},[0,5]]}],"t":[{},[3]]}],"e":[{"t":[{},[0,0,4]],"v":[{},[3]]}],"i":[{"f":[{},[3]],"g":[{},[0,3]],"n":[{},[5]],"p":[{},[3]],"s":[{},[0,5]],"v":[{},[3]]},[1]],"o":[{"n":[{},[0,5]]}],"u":[{"b":[{},[5]],"v":[{},[3]]},[0,4]],"ä":[{"c":[{},[5]]}]}],"s":[{},[0,0,3]],"t":[{},[2]],"u":[{"l":[{"p":[{},[3]]}],"p":[{},[0,3]]}],"v":[{"e":[{},[0,4]]},[2]],"y":[{"n":[{},[0,4]],"r":[{"k":[{},[2]]}]},[1,2]],"å":[{"l":[{},[0,4]],"p":[{".":[{},[5]]}],"r":[{},[4]]},[1]],"ä":[{"n":[{"k":[{},[5]]}],"r":[{"v":[{},[3]]}]}]}],"l":[{"a":[{".":[{},[4]],"d":[{".":[{},[0,5]]}],"n":[{"d":[{},[0,3]],"g":[{},[3,2]],"t":[{},[0,4]]}],"r":[{".":[{},[0,3]]}],"s":[{},[4]],"t":[{},[0,1]]}],"e":[{"v":[{".":[{},[3]]},[0,2]]}],"i":[{"c":[{},[0,4]],"n":[{"s":[{},[0,0,0,0,0,3]]}],"s":[{},[4]],"t":[{},[0,2]]}],"o":[{"r":[{},[0,5]],"t":[{"t":[{"s":[{},[0,0,0,0,0,0,3]]}]}]}],"u":[{"c":[{},[0,3]],"f":[{},[0,3]],"s":[{"t":[{},[0,3]]},[4]],"t":[{"o":[{},[0,0,0,4]]},[3]]},[0,2]],"å":[{".":[{},[3]],"r":[{},[5,4]]}],"ä":[{"k":[{},[0,4]],"m":[{},[0,5]],"n":[{"n":[{},[0,5]]}],"p":[{},[3,4]],"r":[{},[4,3]],"t":[{},[0,2]]}],"ö":[{"j":[{},[3,2]]}]},[2,0,2]],"m":[{"a":[{"k":[{".":[{},[3]],"t":[{},[0,3]]},[0,2]],"l":[{},[0,2]]}],"e":[{"t":[{".":[{},[0,2]]}]}],"i":[{"d":[{},[0,2]],"t":[{"t":[{"a":[{},[3]]}]},[0,2]]}],"j":[{},[0,3]],"u":[{"g":[{},[5]]}],"y":[{"g":[{},[5]]}],"å":[{"g":[{},[0,0,0,5]],"k":[{},[0,0,0,3]],"s":[{},[0,0,0,3]]}],"ä":[{"d":[{},[3]],"l":[{},[3]],"s":[{},[4]]}],"ö":[{"r":[{},[3]]}]},[2]],"n":[{"a":[{"b":[{},[3]],"c":[{},[3,4]],"m":[{},[0,3]],"r":[{"e":[{},[0,5]]}],"s":[{"t":[{},[0,3]]}]}],"e":[{"r":[{},[0,5]]}],"i":[{"b":[{},[3]],"l":[{},[3]],"t":[{"t":[{},[1]]},[3]],"v":[{},[0,3]]}],"u":[{"t":[{},[3]]}],"å":[{"r":[{},[5]]},[0,4]],"ä":[{"c":[{},[5]],"r":[{},[0,4]]}],"ö":[{".":[{},[3]],"g":[{},[0,0,0,5]],"r":[{},[3]],"s":[{},[0,0,0,3]]}]},[2,2,4]],"o":[{"c":[{"k":[{},[5]]},[3]],"d":[{},[2]],"i":[{},[5]],"l":[{"j":[{},[2]],"s":[{},[0,0,0,3,2]]}],"m":[{"m":[{},[5]]},[2]],"n":[{"s":[{"t":[{},[0,0,0,4]]}]},[3]],"p":[{"r":[{"a":[{},[0,0,5]]}],"u":[{},[0,0,4]]}],"r":[{".":[{},[3]],"d":[{".":[{},[0,5]]},[2]],"g":[{},[2]],"n":[{},[3]]}],"t":[{"t":[{},[4]]},[3]]},[1]],"p":[{"a":[{"n":[{"n":[{".":[{},[5]]}]}],"r":[{"k":[{},[0,4]],"v":[{},[5]]}],"s":[{"s":[{},[0,3]]},[4]],"t":[{"r":[{},[0,0,0,5]]}]}],"e":[{"d":[{},[4]],"k":[{},[3,4]],"l":[{"s":[{"l":[{},[4]]}]},[3,4]],"n":[{},[2]],"r":[{},[2]],"t":[{"s":[{},[5]]}]},[1]],"i":[{"l":[{"l":[{},[3]]}],"r":[{},[3]]}],"l":[{"a":[{"n":[{},[0,3]],"t":[{"s":[{},[0,3]]}]},[0,1]],"i":[{"n":[{},[0,4]],"t":[{},[5]]},[0,0,0,0,4]],"ä":[{},[0,5]]},[4]],"r":[{"e":[{"s":[{},[0,3]]},[4]],"i":[{"s":[{},[4,3]],"t":[{},[3]]}],"o":[{},[2]],"y":[{},[0,3]],"å":[{},[3]],"ä":[{"n":[{},[5]]}]}],"s":[{},[0,3]],"å":[{"n":[{},[3]],"r":[{},[3]]},[1,4]],"ä":[{"n":[{},[5]]}],"ö":[{},[3]]},[0,2,2]],"r":[{},[4,1]],"s":[{"a":[{"d":[{},[0,5]]}],"e":[{"l":[{"i":[{"n":[{},[0,0,0,4]]}]}]}],"i":[{"l":[{},[0,5]]}],"k":[{"l":[{},[0,0,5]],"u":[{"n":[{},[0,0,3]]}]},[0,0,2]],"l":[{"a":[{"g":[{".":[{},[0,0,2]]}]}],"ä":[{},[0,0,2]],"ö":[{},[0,0,2]]},[0,0,1]],"n":[{"a":[{},[0,0,3]]}],"s":[{},[0,0,0,4]],"u":[{"n":[{"n":[{},[0,0,3]]}]}],"v":[{"i":[{},[0,0,3]]},[0,2]]},[4,1]],"t":[{".":[{},[2]],"a":[{".":[{},[4]],"c":[{},[5]],"d":[{"i":[{},[3]]}],"f":[{},[0,4]],"l":[{"g":[{"i":[{"s":[{},[5]]}]}],"l":[{"a":[{},[3]],"i":[{},[2]]}]}],"m":[{".":[{},[5]],"m":[{},[5]]}],"n":[{"t":[{},[1]]}],"r":[{"k":[{".":[{},[5]]}],"t":[{"a":[{"d":[{},[5]]}]}]}],"t":[{"e":[{},[1]],"l":[{},[3]]}],"u":[{},[1]]}],"c":[{},[0,0,3]],"e":[{".":[{},[2,5]],"a":[{},[4]],"g":[{".":[{},[5]]}],"k":[{".":[{},[0,4]],"n":[{},[2]],"t":[{},[5]]}],"l":[{"l":[{},[0,4]]}],"m":[{".":[{},[3]],"e":[{},[3]]}],"n":[{"a":[{"r":[{},[5]]}],"e":[{},[3,4]],"s":[{"e":[{},[3]],"m":[{},[5]]}]}],"r":[{"a":[{},[1]],"i":[{"n":[{"g":[{},[1]]}],"u":[{},[0,4]]}],"n":[{"e":[{},[3]]}]}],"t":[{"i":[{"s":[{},[5]]}]}]}],"i":[{"a":[{},[2]],"b":[{},[2]],"c":[{"k":[{},[3]]}],"d":[{},[2]],"k":[{"e":[{"n":[{},[0,4]]}]}],"l":[{".":[{},[3]]},[2]],"n":[{"k":[{},[3]]}],"s":[{"c":[{},[3]]}],"t":[{},[1]]}],"j":[{"u":[{},[0,5]],"ä":[{"l":[{},[3]],"r":[{},[3]]}]},[2]],"m":[{},[2]],"o":[{"c":[{},[5]],"l":[{"k":[{},[4]]},[1]],"m":[{},[4]],"r":[{"i":[{"e":[{"u":[{},[0,0,0,0,0,4]]}],"s":[{},[5]]}],"s":[{},[0,0,0,0,3]]}]}],"r":[{"a":[{"f":[{"f":[{},[3]]}],"t":[{"i":[{"v":[{},[4]]}],"o":[{},[3]]}]}],"e":[{"c":[{},[3]],"j":[{},[3]],"n":[{},[0,0,3]],"r":[{},[1]]}],"i":[{"a":[{},[2]],"d":[{"e":[{},[5]]},[1]],"e":[{"l":[{},[2]]}],"f":[{},[0,0,4]],"k":[{"t":[{},[1]]}],"s":[{"k":[{},[0,0,5]]}]}],"u":[{"k":[{},[3]],"m":[{"m":[{},[2]]}]},[1]],"y":[{"c":[{},[0,3]],"k":[{},[5]]}],"å":[{"k":[{},[5]],"l":[{},[3]]}],"ä":[{"c":[{},[3]],"d":[{},[4]],"n":[{"g":[{},[3]]}],"v":[{},[5]]}],"ö":[{"m":[{},[3]]}]}],"s":[{},[2,0,3,4]],"t":[{},[0,0,3]],"v":[{"i":[{"s":[{},[0,3]]}]},[4]],"y":[{"p":[{},[2]]},[1]],"å":[{"g":[{},[4]],"l":[{},[5]]},[1]],"ä":[{"l":[{},[3]]},[1]],"ö":[{},[1]]},[0,2]],"u":[{"b":[{},[0,0,4]],"g":[{},[3]],"i":[{},[0,0,3]],"m":[{},[3]],"n":[{".":[{},[5]],"d":[{"e":[{"r":[{},[0,1]]}]}],"e":[{},[5]],"g":[{},[0,5]]},[2]],"p":[{"a":[{},[5]],"u":[{},[0,0,2]]},[2]],"s":[{},[5]],"t":[{"o":[{},[0,0,4]],"r":[{},[0,0,4]]},[2,1]]},[1]],"v":[{"a":[{"g":[{".":[{},[5]],"n":[{},[0,3]]}],"k":[{},[4,3]],"m":[{},[5]],"p":[{},[4]],"r":[{"s":[{},[0,0,0,0,0,3]],"t":[{},[3]]}],"s":[{},[4]],"t":[{},[0,3]]}],"e":[{"c":[{},[4]],"n":[{},[3]],"p":[{},[5]],"r":[{},[4,3]],"s":[{},[0,5]]}],"i":[{"l":[{},[4,3]],"n":[{"e":[{},[0,4]]}],"s":[{},[4]],"t":[{"t":[{},[0,5]]}]}],"å":[{"d":[{},[0,5]],"r":[{"i":[{},[3]]}]}],"ä":[{"n":[{"g":[{},[3]]}],"r":[{"m":[{".":[{},[5]]}]}],"s":[{},[0,3]],"t":[{},[0,3]]}]},[0,2,2]],"y":[{"k":[{},[4]],"l":[{},[5]],"n":[{"k":[{},[0,0,0,3]]},[3]],"r":[{"k":[{},[0,3]]}],"s":[{"t":[{"e":[{"r":[{},[0,0,0,5]]}]},[0,0,0,4]]},[3]],"t":[{"h":[{},[0,0,5]]},[0,0,0,2]]}],"å":[{"g":[{},[5]],"k":[{},[4]],"l":[{"d":[{"e":[{},[2]]}]}],"n":[{"g":[{},[0,0,0,0,3]]}]},[1]],"ä":[{"d":[{},[0,4]],"g":[{"g":[{},[2,5]]}],"l":[{},[0,4]],"p":[{},[2]],"s":[{},[5]],"t":[{"a":[{},[4]]},[3]]},[1]],"ö":[{"d":[{},[4]],"g":[{"a":[{},[0,5]]},[2]],"k":[{"o":[{},[0,0,4]]}],"l":[{},[4]],"p":[{},[4]],"r":[{"s":[{},[0,0,0,2]],"t":[{},[2,3]]}]},[1]]}],"t":[{"a":[{".":[{},[3]],"c":[{"h":[{},[0,0,1]]}],"d":[{"e":[{".":[{},[3]]}],"i":[{},[4]],"s":[{},[4,0,0,0,5]]}],"f":[{"f":[{},[2]]}],"g":[{"a":[{},[3]]}],"k":[{".":[{},[5]],"r":[{"e":[{},[0,0,5]]}],"t":[{"i":[{"g":[{},[2]]}],"o":[{},[0,0,0,4]]}]}],"l":[{"f":[{},[4]],"l":[{"i":[{"s":[{"e":[{},[5]]}]}],"s":[{},[0,0,0,0,5]]}],"v":[{},[4]]}],"m":[{"e":[{},[3]],"i":[{},[3]]}],"n":[{".":[{},[3]],"a":[{"b":[{},[0,0,4]]}],"d":[{"e":[{".":[{},[3]]}]}],"f":[{"a":[{},[2,3]]}],"l":[{},[4]]}],"p":[{"l":[{},[0,4,0,3]],"p":[{"a":[{"r":[{},[2]]}]}]}],"r":[{".":[{},[3]],"b":[{},[4]],"m":[{"i":[{},[0,0,0,4]]}],"n":[{},[3]],"s":[{},[0,0,0,0,4]],"t":[{"a":[{"v":[{"l":[{},[5]]}]}]},[4]],"v":[{},[4]]}],"s":[{"k":[{},[4]],"t":[{"r":[{},[0,0,1]]},[3]]}],"t":[{"a":[{"n":[{},[0,0,4]]}],"s":[{},[0,0,0,0,3]],"t":[{},[2]]},[0,0,0,2]],"v":[{"e":[{},[4]],"l":[{"a":[{".":[{},[5]],"n":[{},[3]]}],"o":[{},[3]]}],"s":[{},[0,0,0,2]]},[2]],"x":[{},[3]]},[1]],"b":[{},[2,0,4]],"c":[{"h":[{"a":[{},[0,3]],"e":[{},[0,3]]}]},[2]],"d":[{},[2,3,4]],"e":[{"a":[{"s":[{},[0,0,4]]}],"b":[{},[0,0,3,4]],"c":[{},[5]],"g":[{"r":[{"e":[{},[0,0,3]]},[0,0,2,1]]},[4]],"i":[{"n":[{"t":[{},[0,0,4]]}]},[0,0,3]],"j":[{"s":[{},[0,0,0,2]]},[4]],"k":[{"l":[{},[0,0,4]],"n":[{"i":[{"k":[{},[5]],"s":[{},[5]]}]}]}],"l":[{"d":[{},[4]],"ö":[{},[5,0,5]]}],"m":[{"a":[{},[5]],"o":[{},[4]],"u":[{},[0,0,4]]}],"n":[{"g":[{},[0,0,0,3,4]],"s":[{"i":[{},[5]]}],"t":[{"r":[{},[0,0,0,3]]}],"ä":[{},[0,0,4]],"ö":[{"r":[{},[0,0,5]]}]}],"r":[{".":[{},[5]],"i":[{"ö":[{},[5]]}],"k":[{},[0,0,0,3,4]],"m":[{},[5]],"n":[{"a":[{},[5]]}],"s":[{},[5]],"t":[{},[0,0,0,3]],"u":[{},[0,0,4]]}],"s":[{".":[{},[5]],"t":[{"e":[{},[0,0,0,4]],"i":[{"k":[{},[0,0,5]]}],"u":[{},[0,0,5]]},[5]]}],"t":[{"i":[{"k":[{},[5]]}],"s":[{},[0,0,0,0,3]]}],"x":[{"a":[{},[4]],"p":[{},[2]]}]},[3,2]],"f":[{},[2,1,4]],"g":[{},[2,3,4]],"h":[{"e":[{"n":[{},[0,4]]}]},[2]],"i":[{"a":[{"l":[{},[3]]}],"b":[{},[5]],"c":[{"i":[{},[5]]}],"d":[{"e":[{},[5]],"u":[{},[0,0,4]],"ö":[{},[4]]},[3]],"e":[{"d":[{},[0,0,4]]}],"f":[{"t":[{"s":[{},[0,0,0,0,0,5]]}]}],"g":[{"e":[{"l":[{},[0,0,2]]}],"h":[{},[3]],"o":[{},[0,0,4]],"r":[{},[0,0,2]],"t":[{},[3]]}],"k":[{"l":[{},[0,0,0,3]],"s":[{},[3]],"u":[{"l":[{},[5]]}]}],"l":[{"j":[{},[5]],"l":[{"s":[{"t":[{},[3]]}],"v":[{},[3]],"ä":[{},[3]]}]},[0,2]],"m":[{"e":[{},[5]]}],"n":[{"d":[{},[2]],"r":[{},[2]],"t":[{},[2]]}],"o":[{"d":[{},[0,0,4]],"n":[{},[3]],"s":[{},[0,0,2]]}],"s":[{"c":[{},[4]],"k":[{},[5]]},[3]],"v":[{"a":[{"n":[{},[0,0,4]]},[3]],"i":[{"t":[{"e":[{},[5]]}]}]}],"ö":[{},[0,0,2]]},[1]],"j":[{"e":[{},[4]],"o":[{"b":[{},[4]],"u":[{},[2]]}],"ä":[{"l":[{},[4]],"m":[{},[4]],"n":[{},[3]]}]},[0,2]],"k":[{},[2,3,2]],"l":[{},[2,3]],"m":[{},[2,1]],"n":[{"e":[{"r":[{},[0,0,0,4]]}]},[2,5,4]],"o":[{"d":[{"l":[{},[4]]}],"k":[{},[3]],"l":[{".":[{},[4]],"j":[{},[4]]}],"m":[{"r":[{},[2]],"s":[{},[4]]}],"p":[{},[0,2]],"r":[{"a":[{"p":[{},[5]]}],"d":[{".":[{},[0,5]]}],"i":[{"e":[{"t":[{"t":[{},[5]]}]}]}],"m":[{"s":[{},[0,0,0,0,3]]},[4]],"n":[{},[3]],"s":[{"t":[{},[0,0,0,1]]}],"t":[{".":[{},[4]]}]}],"s":[{"k":[{},[0,0,0,4]],"t":[{".":[{},[0,5]]}]}],"v":[{},[0,4]]}],"p":[{},[2,1]],"r":[{"a":[{"f":[{"i":[{},[3]]},[0,4]],"l":[{".":[{},[3,4]],"a":[{},[0,4]],"e":[{},[3,4]],"o":[{},[5]],"s":[{},[3]],"t":[{},[0,4]]}],"n":[{"s":[{"a":[{},[0,0,0,0,2,5]]},[3]]}],"r":[{},[4]],"s":[{".":[{},[0,3]]}],"t":[{".":[{},[0,3]],"o":[{},[0,4]]}]},[2]],"e":[{"g":[{},[4]],"n":[{},[4]],"r":[{".":[{},[4]],"n":[{},[4]]}],"t":[{"s":[{".":[{},[0,3]]}]}]}],"i":[{"b":[{"u":[{},[3]]}],"c":[{"k":[{},[5]]}],"d":[{"s":[{},[0,0,0,0,0,3]]}],"e":[{"l":[{},[0,5]]}],"n":[{"g":[{".":[{},[0,3]]},[0,1]]}]},[2]],"o":[{"c":[{"k":[{},[0,3]]},[2]],"g":[{},[0,4]],"n":[{"i":[{"k":[{},[0,5]]}],"o":[{},[0,3]]}],"p":[{"i":[{".":[{},[4]]}]}],"s":[{"s":[{},[5]]}],"t":[{"n":[{},[5]]}]}],"u":[{"m":[{"p":[{},[0,4]]}],"p":[{"p":[{},[3]]},[0,4]],"s":[{"t":[{"a":[{},[0,0,0,0,5]]}]}]}],"y":[{"c":[{"k":[{".":[{},[5]]}]},[1]],"g":[{"g":[{"h":[{},[5]]}]}]}],"å":[{"k":[{},[4]]}],"ä":[{".":[{},[5]],"d":[{"s":[{},[0,0,0,0,0,4]]},[3]],"f":[{},[3]],"g":[{},[3]],"k":[{"n":[{},[0,3]]},[4]],"n":[{"i":[{},[5]]},[0,4]]}],"ö":[{"j":[{"a":[{},[5]]}],"t":[{},[0,4]]}],"é":[{},[5]]},[0,2,4]],"s":[{"a":[{"n":[{"d":[{},[0,5,4]]}],"r":[{"t":[{},[0,0,5]]}],"t":[{},[0,3,4]]}],"e":[{"g":[{},[0,4]],"n":[{},[0,0,4]],"x":[{},[0,4]]},[0,3]],"k":[{"a":[{"l":[{"l":[{},[0,5]]}],"t":[{"t":[{},[0,3]]}]}],"i":[{},[0,1]],"l":[{},[0,0,3]],"o":[{"t":[{"t":[{"s":[{},[0,0,0,0,0,0,0,5]]}]}]}]},[0,0,2]],"l":[{"o":[{"t":[{},[0,5]]}],"ä":[{"k":[{},[0,0,5]]}]}],"n":[{"ä":[{},[0,0,3]],"ö":[{},[0,3]]}],"o":[{"r":[{"d":[{},[0,0,3]]}]},[0,2]],"p":[{"l":[{},[0,0,3]]}],"s":[{},[0,0,0,4]],"t":[{"e":[{"r":[{},[0,0,5]]},[0,0,4]],"i":[{"l":[{"l":[{"f":[{},[0,0,5]]}]}]}],"j":[{},[0,0,3]],"o":[{"l":[{},[0,3]],"n":[{},[0,4]]}],"r":[{"a":[{},[0,2]],"y":[{},[0,4]]}],"u":[{"r":[{},[0,4]]}],"y":[{"r":[{},[0,5]]}]},[0,1]],"u":[{"d":[{},[0,3]]},[0,2]],"y":[{},[0,5]]},[2]],"t":[{"a":[{"c":[{},[0,3]],"u":[{},[0,4]]}],"e":[{"d":[{},[0,4]],"g":[{},[0,0,0,5,4]],"m":[{},[0,4]],"n":[{},[0,0,0,2]],"s":[{},[0,0,0,0,4]],"x":[{},[0,4]]}],"i":[{"n":[{"s":[{},[0,4]]}],"p":[{},[0,4]]}],"j":[{"a":[{},[0,0,3]]}],"o":[{},[0,1]],"r":[{"a":[{"d":[{},[0,0,3]],"n":[{"d":[{},[0,0,3]]}],"t":[{},[0,0,3]]}],"e":[{},[0,0,3]],"i":[{},[0,0,3]],"y":[{},[0,0,4]]}],"s":[{"e":[{},[0,0,4]],"i":[{},[0,0,2]],"t":[{"a":[{},[0,0,4]]}]}],"u":[{"g":[{},[0,4]]},[0,3]],"v":[{"å":[{},[0,0,4]]},[0,0,1]],"y":[{},[0,3]],"ä":[{},[0,3]],"ö":[{"r":[{},[0,3]]}]},[2]],"u":[{"g":[{"n":[{},[4,5]]}],"n":[{"d":[{},[2]],"g":[{"a":[{},[3]],"s":[{},[0,0,0,0,3]]}],"n":[{},[5]]}],"p":[{"p":[{},[2]]}],"r":[{"e":[{},[0,0,5]]}],"t":[{"b":[{},[2]],"v":[{},[0,3]],"ö":[{},[0,3]]}],"v":[{"u":[{},[0,0,4]]}],"ö":[{},[5]]}],"v":[{"a":[{},[0,1]],"e":[{},[4]],"i":[{"g":[{},[0,3]],"n":[{"g":[{},[3]]}],"t":[{},[0,3]],"v":[{},[3]]}],"å":[{"g":[{},[0,3]],"n":[{},[3]]}],"ä":[{"n":[{},[0,3]],"r":[{"s":[{},[0,0,0,0,3]]}],"t":[{"t":[{},[3]]}]}]},[2]],"y":[{"d":[{"a":[{},[0,0,5]]}],"g":[{".":[{},[5]]}],"n":[{"g":[{"d":[{},[3]]}]}],"p":[{"i":[{},[0,0,3]]},[3]],"s":[{},[5]]}],"z":[{},[2]],"å":[{"g":[{},[3]],"s":[{},[0,0,0,4]],"t":[{},[4]]}],"ä":[{"c":[{"k":[{"o":[{},[0,0,0,4]]}]}],"g":[{},[4,5]],"m":[{},[4]],"r":[{"m":[{},[4]]}],"v":[{"l":[{},[3]]}]}],"ö":[{"d":[{"e":[{},[0,0,5]]},[4,0,4]],"g":[{},[4]],"p":[{"i":[{},[0,0,4]]},[4]],"r":[{"e":[{"r":[{},[3]]}],"s":[{"t":[{},[0,0,0,0,3]]}]}],"v":[{"a":[{"s":[{},[0,0,4]]}]}]}],"é":[{},[5]]}],"u":[{"a":[{},[0,1]],"b":[{"a":[{"l":[{},[0,0,5]]}],"b":[{"l":[{"e":[{},[0,0,0,4]]}]}],"l":[{"i":[{"c":[{},[0,0,3]]}]}],"o":[{},[0,4]]},[0,2]],"c":[{"h":[{"a":[{},[0,3]]}],"l":[{},[0,5]]}],"d":[{"a":[{"k":[{},[0,4]]}],"e":[{},[0,5]],"r":[{"e":[{"t":[{},[0,0,4]]}]},[0,0,3]],"s":[{"a":[{},[0,0,0,4]]}],"u":[{},[0,4]],"y":[{},[0,4]]},[0,2]],"e":[{"s":[{},[0,2]]},[0,1]],"f":[{"f":[{"ä":[{},[0,0,4]]}],"t":[{"a":[{"n":[{},[0,0,4]]}],"o":[{},[0,0,4]]}]}],"g":[{"a":[{},[4,1]],"e":[{},[0,1]],"g":[{"s":[{},[0,0,0,3]]}],"n":[{"s":[{},[0,0,0,0,5]]},[0,0,0,4]],"s":[{},[0,0,3,4]]}],"i":[{"e":[{},[0,5]],"n":[{},[0,1]],"s":[{},[0,3]],"t":[{"e":[{"t":[{},[0,3]]}]}]}],"j":[{},[0,3]],"k":[{"e":[{"b":[{},[0,2]]}],"i":[{},[0,5]],"l":[{"a":[{},[0,0,5]]},[0,4]],"n":[{},[0,0,3]],"o":[{"s":[{},[0,0,0,0,4]]},[0,1]],"s":[{"k":[{"o":[{},[0,0,0,5]]}]},[0,0,2]],"t":[{"r":[{"i":[{"s":[{},[0,0,3]]}]}],"s":[{},[0,0,0,5]],"ä":[{},[0,0,4]]}],"u":[{},[0,3]],"v":[{},[0,0,3]]}],"l":[{"a":[{},[0,1]],"d":[{"i":[{},[0,0,4]],"s":[{"m":[{},[0,0,0,0,2]]}],"u":[{},[0,0,4]],"ö":[{},[0,0,4]]}],"l":[{"s":[{"t":[{"e":[{},[0,0,0,3]]}]}],"ä":[{"n":[{},[0,0,0,3]]}]}],"o":[{},[0,1]],"s":[{"t":[{"i":[{},[0,0,0,5]]}]}],"t":[{"r":[{},[0,0,2]]}],"u":[{},[0,3]],"ä":[{},[0,1]],"ö":[{},[0,1]]}],"m":[{"f":[{"ä":[{},[0,0,4]]}],"s":[{"o":[{},[0,0,4]],"t":[{},[0,0,0,4]]}],"u":[{},[0,1]],"ö":[{"r":[{},[0,3]]}]}],"n":[{"d":[{"e":[{"r":[{"l":[{},[5]],"s":[{"ö":[{},[1]]}],"v":[{},[1]]}]}],"o":[{"m":[{},[0,0,4]]}],"r":[{},[0,0,0,3]],"å":[{},[0,0,4]]}],"g":[{"e":[{"f":[{},[0,0,5,2]],"r":[{"s":[{"k":[{},[0,0,3]]}]}]}],"i":[{"t":[{},[0,0,0,5]]}],"r":[{},[0,0,0,3]],"s":[{"p":[{},[0,0,0,0,4]]}]}],"i":[{"f":[{},[3]]}],"k":[{"l":[{},[0,0,0,3]],"n":[{},[0,0,0,3]],"r":[{},[0,0,4]]}],"s":[{"k":[{},[0,0,1]]}],"t":[{"r":[{"a":[{"t":[{"i":[{},[0,0,5]]}]}]},[0,0,4]]}],"u":[{},[0,5]]}],"o":[{},[0,1]],"p":[{"e":[{"r":[{"n":[{},[0,4]]}]},[0,1]],"i":[{},[0,1]],"l":[{"e":[{"t":[{},[0,3]]}],"i":[{"k":[{},[0,0,3]]}]},[0,2]],"p":[{"f":[{"a":[{},[3]]}],"g":[{},[1]],"i":[{"n":[{},[0,0,4]]}],"l":[{"a":[{},[1]],"ä":[{},[5]]}],"r":[{},[0,0,4,3]],"s":[{"p":[{},[0,0,0,5]]},[0,0,0,3]]}],"u":[{"t":[{},[0,0,5]]}]}],"r":[{"a":[{"k":[{},[0,0,5]],"r":[{"v":[{},[0,0,5]]}]}],"e":[{},[0,3]],"i":[{},[0,1]],"o":[{"b":[{},[0,4]],"m":[{},[0,4]]},[0,1]],"s":[{"t":[{"i":[{"n":[{},[0,0,0,5]]}],"ä":[{},[0,0,4]]}]}],"y":[{},[0,5]]}],"s":[{"a":[{"k":[{},[0,2]],"n":[{"l":[{},[0,0,5]]}]}],"c":[{"h":[{"a":[{},[0,3]]}]}],"e":[{"n":[{},[0,0,0,0,3]]},[0,3]],"k":[{"a":[{},[0,0,3]],"l":[{"a":[{},[0,0,4]]}],"r":[{},[0,0,4]],"y":[{},[0,5]],"å":[{},[0,0,4]]},[0,2,1]],"l":[{"ä":[{},[0,0,5]]}],"n":[{},[0,0,3]],"p":[{"e":[{"n":[{},[0,0,3]]}]},[0,2]],"t":[{"a":[{"t":[{},[0,0,5]]}],"i":[{"g":[{},[0,0,3]],"k":[{},[0,3]],"n":[{},[0,0,5]]}],"r":[{"o":[{},[0,0,0,5]]}],"å":[{},[0,4]],"ä":[{},[0,4]]}],"v":[{},[0,0,3]],"å":[{},[0,4]],"ä":[{},[0,4]],"ö":[{},[0,2]]}],"t":[{"a":[{"k":[{},[0,4]]}],"b":[{},[1]],"e":[{"f":[{},[0,4]],"s":[{},[0,0,0,3]]}],"i":[{"k":[{},[0,0,0,0,2]],"l":[{},[0,5]],"ö":[{},[0,0,0,3]]}],"j":[{"ä":[{"m":[{},[3]]}]},[0,0,3]],"l":[{"a":[{"n":[{"d":[{"s":[{},[0,0,0,0,0,0,0,3]]}]}]}]}],"o":[{"p":[{},[0,3]],"s":[{},[0,0,0,5]]},[0,1]],"r":[{"e":[{"r":[{},[0,0,4]]}],"o":[{"p":[{},[0,0,5]]},[0,0,4]],"u":[{},[1]]},[0,0,3]],"s":[{"i":[{"d":[{},[2]]}],"l":[{"ä":[{},[3]]},[0,0,3]]}],"t":[{"j":[{},[0,0,0,4]]},[2]],"v":[{"e":[{"c":[{},[3]]}]},[0,0,1]],"y":[{},[0,5]],"ö":[{"v":[{},[0,0,3]]}]}],"u":[{},[0,5]],"v":[{"a":[{"k":[{},[0,2]]}],"j":[{},[0,4]],"ä":[{},[0,4]]},[2,1]],"å":[{},[0,5]],"ö":[{},[0,3]]}],"v":[{"a":[{"d":[{"r":[{"o":[{},[0,0,5]]}]}],"g":[{"n":[{},[1]]}],"k":[{"t":[{"i":[{},[2,1]]}]}],"l":[{"k":[{},[0,0,0,3]],"l":[{"i":[{},[0,0,0,4]]}],"s":[{"t":[{},[0,0,0,4]]}],"v":[{},[5]]}],"m":[{"a":[{},[5]]}],"n":[{"d":[{".":[{},[4]]}],"p":[{},[4]],"s":[{"t":[{},[0,0,0,4]]}],"t":[{"r":[{},[0,0,0,5]]}]}],"p":[{},[5]],"r":[{"b":[{},[2]],"e":[{"s":[{},[0,0,4]]}],"i":[{".":[{},[0,0,4]]}],"k":[{},[4]],"s":[{},[0,0,0,2]],"t":[{"r":[{},[0,0,0,0,5]]}],"u":[{},[0,0,1]]}],"s":[{"t":[{"i":[{},[0,0,0,5]]}]}],"t":[{"t":[{"n":[{},[5]]}]}],"u":[{},[4]],"v":[{"i":[{},[5]]},[4]]}],"b":[{},[2,0,4]],"c":[{},[2,1]],"d":[{},[2,3,4]],"e":[{"c":[{},[5]],"k":[{"e":[{},[0,0,3]]},[0,0,2]],"l":[{"d":[{},[4]]}],"n":[{"s":[{"k":[{"ä":[{},[0,0,0,0,0,3]]}]}],"t":[{"e":[{"r":[{"a":[{},[5]]}]}]}],"y":[{},[0,0,3]],"ö":[{},[0,0,5]]}],"p":[{},[4]],"r":[{"g":[{},[0,0,0,5]],"k":[{},[3]]}],"s":[{"p":[{},[0,0,2,5]],"t":[{},[0,0,1]]},[0,0,0,4]],"t":[{"a":[{},[3]],"e":[{},[3]],"s":[{"a":[{},[0,0,0,5]]}],"t":[{"s":[{},[0,0,0,0,5]]}]}]},[1]],"f":[{},[2,1]],"g":[{},[2,1]],"h":[{},[2]],"i":[{"c":[{},[0,0,4]],"d":[{"s":[{},[0,0,0,3]]}],"l":[{"d":[{"s":[{},[0,0,0,0,3]]}],"t":[{},[0,0,0,4]]}],"n":[{"d":[{".":[{},[3]]}],"g":[{"s":[{},[0,0,0,0,3,4]]}],"k":[{"l":[{},[3]]}],"o":[{},[0,0,2]],"s":[{"t":[{".":[{},[5]],"e":[{},[5]]}]}],"y":[{},[0,0,5]]}],"s":[{".":[{},[3]],"a":[{},[0,0,5]],"h":[{},[0,0,0,5]],"k":[{"o":[{},[0,0,0,5]]}],"t":[{"a":[{},[0,0,0,3]]},[0,0,4]]}],"t":[{"r":[{},[0,0,2]]}],"v":[{"a":[{"r":[{},[0,0,4]]}]}]},[0,4]],"j":[{"o":[{},[4]]}],"k":[{},[2,3,2]],"l":[{},[2,1]],"m":[{"ö":[{"r":[{"k":[{},[0,0,0,0,0,4]]}]}]},[2,1]],"n":[{},[2,1,4]],"o":[{"k":[{".":[{},[4]]}],"m":[{},[2]],"r":[{"d":[{},[4]],"g":[{},[2]]}],"s":[{},[0,0,0,4]]},[1]],"p":[{},[2,1]],"r":[{"a":[{"k":[{},[5]]}],"e":[{"r":[{"a":[{},[3]]}]}],"u":[{},[0,3]]},[2,2]],"s":[{"c":[{},[0,4]],"k":[{"r":[{"i":[{},[0,2]]}]},[0,1,2]],"m":[{"i":[{},[0,0,4]]}],"n":[{"i":[{},[0,3]]}],"o":[{},[0,2]],"t":[{"e":[{},[0,0,4]],"r":[{"å":[{},[0,0,5]]}],"y":[{"c":[{},[0,5]]}]},[0,1]],"v":[{"å":[{},[0,0,3]]}],"ö":[{},[0,2]]},[2]],"t":[{},[2,1]],"u":[{"d":[{},[0,0,4,1]],"n":[{"d":[{},[0,1]]}],"p":[{},[4,5]],"t":[{},[4]]}],"v":[{},[2,1]],"y":[{},[3]],"å":[{"l":[{"d":[{},[5]]}],"n":[{"g":[{"s":[{},[0,0,0,0,0,3]]}]}],"r":[{"d":[{},[3]],"i":[{},[4]],"u":[{},[0,0,3]]}]}],"ä":[{"g":[{"g":[{"s":[{},[0,0,0,0,5]]}]},[3]],"l":[{"l":[{"s":[{},[0,0,0,0,4,3]]}]},[0,0,4]],"n":[{"l":[{},[3]]}],"r":[{"d":[{"e":[{},[3]]}],"i":[{"l":[{},[0,0,4]]}],"j":[{},[4]],"k":[{},[5]],"l":[{"d":[{},[3]]}]}],"t":[{},[2]],"x":[{},[3]]}],"ö":[{"g":[{},[4]],"p":[{},[4]],"r":[{},[3]]}]}],"w":[{"a":[{},[1]],"e":[{},[0,0,2]],"h":[{"i":[{},[0,0,0,2]]},[0,2]],"i":[{"e":[{},[0,0,2]]}],"n":[{"a":[{},[0,4]]}]}],"x":[{"a":[{"n":[{"d":[{},[0,0,0,5,4]]}]}],"e":[{"m":[{"p":[{"l":[{"a":[{},[0,0,0,3]]}]}]}]}],"i":[{"s":[{},[0,0,0,4]]}],"k":[{},[0,0,2]],"l":[{"i":[{},[0,0,0,4]]}],"s":[{},[0,0,4]],"t":[{"i":[{},[0,0,0,2]],"å":[{},[0,4]]}]},[0,1]],"y":[{"a":[{},[0,1]],"b":[{"r":[{"i":[{"s":[{},[0,4]]}]}],"s":[{},[0,0,4]]}],"d":[{"a":[{"n":[{},[0,5]]},[0,4]],"o":[{},[0,4]],"r":[{},[0,0,3]],"s":[{},[0,0,0,4]],"u":[{},[0,4]],"ö":[{},[0,4]]},[0,2]],"e":[{},[0,1]],"g":[{"a":[{},[0,1]],"e":[{},[0,1]],"g":[{"r":[{},[0,0,0,3]],"å":[{},[0,0,4]]}],"s":[{"p":[{},[0,0,0,4]]}]}],"i":[{},[0,1]],"k":[{"i":[{},[0,1]],"l":[{"i":[{"s":[{"t":[{},[0,5]]}]}],"o":[{"n":[{},[0,0,5]]}]}],"n":[{},[0,0,3]],"o":[{},[0,1]]}],"l":[{"a":[{},[0,1]],"g":[{"j":[{},[0,0,4]]}],"i":[{},[0,3]],"k":[{},[0,0,5]],"l":[{"ä":[{},[0,0,5]]}],"o":[{},[0,1]],"t":[{"r":[{},[0,0,4]]}]}],"m":[{"f":[{"l":[{},[0,0,2]],"o":[{"r":[{},[0,0,4]]}]}],"å":[{},[0,3]]}],"n":[{"g":[{"r":[{},[0,0,0,3]]}],"k":[{"l":[{},[0,0,0,5]]}],"s":[{"a":[{},[0,0,4]],"t":[{},[0,0,0,4]]}]}],"o":[{"r":[{},[0,3]],"u":[{},[0,5]]}],"p":[{"e":[{},[0,1]],"o":[{},[0,5]],"r":[{"i":[{},[0,0,3]]}]}],"r":[{"e":[{"s":[{},[0,0,0,4]]}],"i":[{},[0,1]],"k":[{"u":[{},[0,0,4]],"v":[{},[0,0,0,5]]}],"o":[{},[0,1]],"s":[{"k":[{},[0,0,0,4]],"t":[{},[0,0,5]]}],"t":[{"u":[{},[0,0,5]]}],"å":[{},[0,1,0,3]]}],"s":[{"c":[{"h":[{"o":[{},[0,5]]}]}],"s":[{"t":[{},[0,0,2]]}],"t":[{"a":[{},[0,0,3]],"i":[{"k":[{".":[{},[0,0,4]]}]},[0,0,3]],"r":[{"a":[{},[0,0,0,3]]}]}]}],"t":[{"a":[{"k":[{},[0,2]]}],"e":[{".":[{},[0,4]],"a":[{},[0,4]]}],"o":[{},[0,1]],"t":[{"r":[{},[0,0,0,3]]}],"v":[{},[0,0,5]]}],"v":[{"a":[{},[0,3]],"i":[{},[0,3]],"ä":[{},[0,3]]}],"w":[{},[0,5]],"å":[{},[0,5]]},[2]],"z":[{"a":[{},[1]],"e":[{"r":[{"o":[{},[0,0,4]]}]},[1]],"i":[{},[1]],"o":[{"n":[{"a":[{"l":[{},[0,0,4]]}]}]},[1]],"p":[{},[4]],"s":[{},[0,5]],"u":[{},[3]],"z":[{"i":[{"n":[{},[0,4]]}]}]}],"å":[{"a":[{},[0,1]],"d":[{"j":[{},[0,3]],"s":[{"l":[{},[0,0,0,4]]}]}],"e":[{},[0,1]],"f":[{},[0,1]],"g":[{"a":[{},[0,1]],"e":[{"l":[{},[0,0,0,2]]},[0,1]],"l":[{},[0,0,3]],"s":[{"k":[{},[0,0,3,4]],"t":[{},[0,0,3]]}],"å":[{},[0,0,0,4]]}],"i":[{},[0,3]],"k":[{"i":[{},[0,1]],"l":[{"a":[{"g":[{},[5]]}]}],"s":[{"t":[{"r":[{"ä":[{},[0,0,4]]}]}]}]}],"l":[{"a":[{},[0,1]],"d":[{"e":[{"r":[{},[1]]}]}],"i":[{"n":[{},[0,2]]}],"k":[{},[0,0,3]],"l":[{"s":[{"p":[{},[0,0,0,4]]}]}],"s":[{"e":[{},[0,0,2,5]],"t":[{},[0,0,3]]}],"ä":[{},[0,1]]}],"m":[{"a":[{"n":[{"s":[{},[0,0,0,0,4]]}]}]},[0,1]],"n":[{"d":[{"r":[{},[0,0,0,4]],"u":[{},[0,0,4]]}],"s":[{"t":[{},[0,0,0,4]],"v":[{},[0,0,0,4]]}]}],"o":[{},[0,3]],"p":[{"l":[{"a":[{},[0,5]]},[0,2]],"ö":[{},[0,4]]},[0,1]],"r":[{"d":[{"o":[{},[0,0,4]],"r":[{"a":[{},[0,0,0,4]]}],"s":[{"t":[{},[0,0,0,4,3]]},[0,0,0,2]]}],"e":[{"l":[{},[0,4]]}],"i":[{},[0,1]],"o":[{"r":[{},[0,5]]}],"s":[{"a":[{"v":[{},[5]]}],"l":[{"i":[{},[0,0,5,2]]}],"v":[{},[0,0,2]]}],"ö":[{},[0,0,5]]}],"s":[{"k":[{"e":[{},[0,0,4]]}],"n":[{},[0,0,3]],"s":[{"k":[{"r":[{},[0,0,4]]}]},[0,0,0,4]],"t":[{},[0,0,4]]}],"t":[{"e":[{},[0,0,0,2]],"r":[{"i":[{},[0,0,3]],"å":[{},[0,3]]}],"s":[{"j":[{},[0,0,2]]}],"t":[{"s":[{},[0,0,0,5]]}]}],"v":[{},[0,1]]}],"ä":[{"a":[{},[0,1]],"b":[{},[0,2]],"c":[{"k":[{"v":[{},[0,0,0,5]]}]},[2]],"d":[{"d":[{"s":[{},[0,0,0,3]],"u":[{},[0,0,4]]}],"e":[{"s":[{},[0,0,0,4]]}],"r":[{},[0,0,3]],"s":[{"e":[{},[0,0,5]],"t":[{},[0,0,3]]}]},[0,2]],"e":[{},[0,3]],"g":[{"a":[{},[0,1]],"e":[{},[0,1]],"g":[{"o":[{},[0,0,4]]}],"l":[{},[0,0,1]],"r":[{"e":[{},[0,0,4]]},[0,0,3]],"s":[{"e":[{},[0,0,3]]}]}],"i":[{},[0,3]],"j":[{"o":[{},[0,5]]}],"k":[{"i":[{},[0,1]],"n":[{},[0,0,3]],"r":[{},[0,0,3]]},[4]],"l":[{"a":[{},[0,1]],"p":[{"a":[{"p":[{},[0,0,4]]}]}],"s":[{"e":[{"g":[{},[0,0,4]]}],"k":[{"o":[{"g":[{},[0,0,0,5]]}]}],"l":[{"u":[{},[0,0,4]]}]}],"t":[{"r":[{},[0,0,2,3]],"u":[{},[0,0,2]]}],"v":[{"i":[{"n":[{},[0,0,4]]}]}]}],"m":[{"p":[{"l":[{},[0,0,0,3]]}]}],"n":[{"d":[{"l":[{"i":[{"g":[{"h":[{},[4]]}]}]}],"r":[{},[0,0,0,3]],"s":[{"t":[{},[0,0,0,1]]}]}],"g":[{"r":[{},[0,0,0,5]]}],"n":[{"i":[{"s":[{},[0,0,0,0,3]]}],"s":[{},[0,0,0,3]]}],"o":[{},[0,4]],"s":[{"l":[{},[0,0,0,1]],"t":[{"e":[{},[0,0,0,5]]},[0,0,4]],"v":[{},[0,0,4]]}],"t":[{"r":[{},[0,0,2,3]]}]}],"p":[{"e":[{},[0,3]],"p":[{"l":[{},[0,0,0,3]]}],"r":[{},[0,4]],"s":[{"t":[{},[0,0,4]]}]}],"r":[{"a":[{"p":[{},[0,4]]}],"b":[{"r":[{"e":[{},[0,0,2]]}]}],"g":[{"l":[{},[0,0,0,5]],"r":[{},[0,0,4]]}],"i":[{"b":[{},[0,0,0,0,4]]},[0,1]],"k":[{"ä":[{},[0,0,4]]}],"n":[{"i":[{"s":[{},[0,0,4]]}],"s":[{"t":[{},[0,0,0,3]]}],"å":[{},[0,0,2]],"ö":[{},[0,0,4]]}],"o":[{"b":[{},[0,0,5]],"l":[{},[0,5]],"p":[{},[0,3]],"r":[{},[0,5]],"s":[{},[0,5]]}],"s":[{"i":[{},[0,0,2]],"k":[{"o":[{},[0,0,4]]}],"o":[{},[0,0,2]],"p":[{},[0,0,4]],"v":[{},[0,0,2]]}],"t":[{"a":[{"n":[{"d":[{},[0,0,4]]}]}],"r":[{},[0,0,2]],"s":[{},[0,0,0,3]]}]}],"s":[{"p":[{"a":[{},[0,0,3]],"i":[{},[0,0,5]]}],"s":[{"k":[{},[0,0,4]],"p":[{},[0,0,4]]}],"t":[{"a":[{},[0,0,3]],"r":[{},[0,0,0,3]],"ä":[{},[0,4]]}],"å":[{},[0,4]]},[4]],"t":[{"o":[{},[0,3]],"r":[{"e":[{},[0,5]]}],"s":[{"k":[{},[0,0,4,3]]}],"t":[{"e":[{},[0,0,5]],"o":[{"p":[{},[0,0,4]]}],"r":[{},[0,0,0,3]],"u":[{},[0,0,4]],"v":[{},[0,0,4]]}]},[2]],"v":[{"a":[{"k":[{},[0,2]]},[0,1]],"i":[{},[0,3]],"u":[{},[0,5]]}]}],"ö":[{"a":[{},[0,1]],"d":[{"a":[{"k":[{},[0,4]],"l":[{},[0,4]],"r":[{"v":[{},[0,4]]}]}],"e":[{"s":[{},[0,0,0,4,5]]}],"i":[{"s":[{},[0,4]]}],"r":[{"a":[{},[0,0,3]]}],"s":[{"e":[{},[0,0,3]]},[0,0,2]],"u":[{},[0,4]],"ö":[{},[0,4]]},[0,2]],"e":[{},[0,1]],"g":[{"a":[{"k":[{},[0,0,5]],"r":[{},[0,5]]},[0,1]],"d":[{},[1]],"e":[{"r":[{},[0,5]]},[0,1]],"g":[{},[0,0,0,4]],"l":[{},[0,0,1]],"n":[{"e":[{},[0,0,0,3]]},[0,0,2]],"o":[{},[1]],"s":[{"i":[{},[0,0,3]],"k":[{},[0,0,3]]}]}],"i":[{},[0,1]],"j":[{"o":[{},[0,3]],"s":[{"v":[{},[0,0,4]]}]}],"k":[{"a":[{"r":[{"m":[{},[0,4]]}]}],"i":[{},[0,1]],"n":[{},[0,0,3]],"s":[{"l":[{},[0,0,3]]},[0,0,2]]}],"l":[{"a":[{},[0,1]],"k":[{"v":[{},[0,0,4]],"ö":[{},[0,0,4]]}],"p":[{},[0,0,2]],"ä":[{},[0,5]]}],"m":[{"a":[{"n":[{},[0,0,0,0,4]]}],"k":[{"l":[{},[0,0,2]]}]}],"n":[{"a":[{"l":[{},[0,4]]}],"o":[{"m":[{},[0,2]]}],"s":[{"k":[{"e":[{},[0,0,0,3]]}],"o":[{},[0,0,4]],"t":[{"r":[{},[0,0,0,0,3]]}]}]}],"p":[{"e":[{"l":[{},[0,4]]},[0,3]],"i":[{},[0,3]],"l":[{"i":[{},[0,0,5]],"o":[{},[0,5]]}],"p":[{"n":[{},[1]]}],"r":[{},[0,4]]}],"r":[{"a":[{"n":[{"d":[{"e":[{},[0,3]]}]}],"s":[{"k":[{},[0,4]]},[0,3]]}],"b":[{},[0,0,0,4]],"d":[{"r":[{},[0,0,3,4]]}],"e":[{"n":[{"i":[{},[0,0,1]]}],"s":[{"t":[{"r":[{},[0,4]]}]},[0,3]],"t":[{},[0,3]],"v":[{"i":[{"g":[{},[0,0,5]]}]}]}],"g":[{},[0,0,3]],"i":[{"g":[{},[0,5]],"n":[{"g":[{},[0,3]],"t":[{},[0,0,3]]}],"r":[{},[0,0,5]],"v":[{},[0,0,5]]},[0,1]],"k":[{"a":[{"l":[{},[0,0,4]]}],"l":[{"i":[{},[0,0,5]]},[0,0,1,2]]}],"n":[{"i":[{"s":[{},[0,0,4]]}]}],"o":[{"l":[{},[0,0,3]],"r":[{},[0,0,1]]}],"p":[{"l":[{"a":[{},[0,0,2,5]]}]}],"s":[{"k":[{},[0,0,1,2]],"l":[{"ä":[{},[0,0,4]]},[0,0,3]]}],"t":[{"e":[{},[0,0,5]],"s":[{},[0,0,0,5]]}],"u":[{},[0,0,1]],"v":[{"r":[{},[0,0,3]]}],"y":[{},[0,0,3]],"ä":[{},[0,0,1]],"ö":[{"d":[{},[0,0,0,4]]}]}],"s":[{"a":[{"k":[{},[0,2]]}],"n":[{},[0,0,3]],"s":[{"j":[{},[0,0,4]],"k":[{},[0,0,2]],"p":[{},[0,0,4]]}],"t":[{"a":[{},[0,0,3]],"v":[{},[0,0,0,3]]}]}],"t":[{"a":[{"k":[{},[0,2]]}],"s":[{"k":[{"o":[{},[0,0,0,5]]}],"t":[{},[0,0,4]]}]}],"v":[{"e":[{"r":[{"e":[{},[5]]},[0,0,0,0,1]]},[0,0,0,4]],"j":[{},[0,2]],"r":[{"a":[{},[0,0,3]],"i":[{},[0,0,3]]}],"s":[{"k":[{},[0,0,4]]}]},[0,1]]}],"é":[{"e":[{},[0,3]]}]}';
  var hyphenation = [];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
