(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsTr = factory();
  }
})(this, function () {
  var patterns =
    '{"a":[{"a":[{},[0,3,2]],"â":[{},[0,3,2]],"e":[{},[0,3,2]],"ı":[{},[0,3,2]],"i":[{},[0,3,2]],"î":[{},[0,3,2]],"o":[{},[0,3,2]],"ö":[{},[0,3,2]],"u":[{},[0,3,2]],"ü":[{},[0,3,2]],"û":[{},[0,3,2]]},[2,1]],"â":[{"a":[{},[0,3,2]],"â":[{},[0,3,2]],"e":[{},[0,3,2]],"ı":[{},[0,3,2]],"i":[{},[0,3,2]],"î":[{},[0,3,2]],"o":[{},[0,3,2]],"ö":[{},[0,3,2]],"u":[{},[0,3,2]],"ü":[{},[0,3,2]],"û":[{},[0,3,2]]},[2,1]],"e":[{"c":[{"e":[{"k":[{".":[{},[2,2]]}]}]}],"a":[{},[0,3,2]],"â":[{},[0,3,2]],"e":[{},[0,3,2]],"ı":[{},[0,3,2]],"i":[{},[0,3,2]],"î":[{},[0,3,2]],"o":[{},[0,3,2]],"ö":[{},[0,3,2]],"u":[{},[0,3,2]],"ü":[{},[0,3,2]],"û":[{},[0,3,2]]},[2,1]],"ı":[{"a":[{},[0,3,2]],"â":[{},[0,3,2]],"e":[{},[0,3,2]],"ı":[{},[0,3,2]],"i":[{},[0,3,2]],"î":[{},[0,3,2]],"o":[{},[0,3,2]],"ö":[{},[0,3,2]],"u":[{},[0,3,2]],"ü":[{},[0,3,2]],"û":[{},[0,3,2]]},[2,1]],"i":[{"a":[{},[0,3,2]],"â":[{},[0,3,2]],"e":[{},[0,3,2]],"ı":[{},[0,3,2]],"i":[{},[0,3,2]],"î":[{},[0,3,2]],"o":[{},[0,3,2]],"ö":[{},[0,3,2]],"u":[{},[0,3,2]],"ü":[{},[0,3,2]],"û":[{},[0,3,2]]},[2,1]],"î":[{"a":[{},[0,3,2]],"â":[{},[0,3,2]],"e":[{},[0,3,2]],"ı":[{},[0,3,2]],"i":[{},[0,3,2]],"î":[{},[0,3,2]],"o":[{},[0,3,2]],"ö":[{},[0,3,2]],"u":[{},[0,3,2]],"ü":[{},[0,3,2]],"û":[{},[0,3,2]]},[2,1]],"o":[{"a":[{},[0,3,2]],"â":[{},[0,3,2]],"e":[{},[0,3,2]],"ı":[{},[0,3,2]],"i":[{},[0,3,2]],"î":[{},[0,3,2]],"o":[{},[0,3,2]],"ö":[{},[0,3,2]],"u":[{},[0,3,2]],"ü":[{},[0,3,2]],"û":[{},[0,3,2]]},[2,1]],"ö":[{"a":[{},[0,3,2]],"â":[{},[0,3,2]],"e":[{},[0,3,2]],"ı":[{},[0,3,2]],"i":[{},[0,3,2]],"î":[{},[0,3,2]],"o":[{},[0,3,2]],"ö":[{},[0,3,2]],"u":[{},[0,3,2]],"ü":[{},[0,3,2]],"û":[{},[0,3,2]]},[2,1]],"u":[{"a":[{},[0,3,2]],"â":[{},[0,3,2]],"e":[{},[0,3,2]],"ı":[{},[0,3,2]],"i":[{},[0,3,2]],"î":[{},[0,3,2]],"o":[{},[0,3,2]],"ö":[{},[0,3,2]],"u":[{},[0,3,2]],"ü":[{},[0,3,2]],"û":[{},[0,3,2]]},[2,1]],"ü":[{"a":[{},[0,3,2]],"â":[{},[0,3,2]],"e":[{},[0,3,2]],"ı":[{},[0,3,2]],"i":[{},[0,3,2]],"î":[{},[0,3,2]],"o":[{},[0,3,2]],"ö":[{},[0,3,2]],"u":[{},[0,3,2]],"ü":[{},[0,3,2]],"û":[{},[0,3,2]]},[2,1]],"û":[{"a":[{},[0,3,2]],"â":[{},[0,3,2]],"e":[{},[0,3,2]],"ı":[{},[0,3,2]],"i":[{},[0,3,2]],"î":[{},[0,3,2]],"o":[{},[0,3,2]],"ö":[{},[0,3,2]],"u":[{},[0,3,2]],"ü":[{},[0,3,2]],"û":[{},[0,3,2]]},[2,1]],"b":[{"b":[{},[2]],"c":[{},[2]],"ç":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"ğ":[{},[2]],"h":[{},[2]],"j":[{},[2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"r":[{},[2]],"s":[{},[2]],"ş":[{},[2]],"t":[{},[2]],"v":[{},[2]],"y":[{},[2]],"z":[{},[2]]},[1,1]],"c":[{"b":[{},[2]],"c":[{},[2]],"ç":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"ğ":[{},[2]],"h":[{},[2]],"j":[{},[2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"r":[{},[2]],"s":[{},[2]],"ş":[{},[2]],"t":[{},[2]],"v":[{},[2]],"y":[{},[2]],"z":[{},[2]]},[1,1]],"ç":[{"b":[{},[2]],"c":[{},[2]],"ç":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"ğ":[{},[2]],"h":[{},[2]],"j":[{},[2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"r":[{},[2]],"s":[{},[2]],"ş":[{},[2]],"t":[{},[2]],"v":[{},[2]],"y":[{},[2]],"z":[{},[2]]},[1,1]],"d":[{"b":[{},[2]],"c":[{},[2]],"ç":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"ğ":[{},[2]],"h":[{},[2]],"j":[{},[2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"r":[{},[2]],"s":[{},[2]],"ş":[{},[2]],"t":[{},[2]],"v":[{},[2]],"y":[{},[2]],"z":[{},[2]]},[1,1]],"f":[{"b":[{},[2]],"c":[{},[2]],"ç":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"ğ":[{},[2]],"h":[{},[2]],"j":[{},[2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"r":[{},[2]],"s":[{},[2]],"ş":[{},[2]],"t":[{},[2]],"v":[{},[2]],"y":[{},[2]],"z":[{},[2]]},[1,1]],"g":[{"b":[{},[2]],"c":[{},[2]],"ç":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"ğ":[{},[2]],"h":[{},[2]],"j":[{},[2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"r":[{},[2]],"s":[{},[2]],"ş":[{},[2]],"t":[{},[2]],"v":[{},[2]],"y":[{},[2]],"z":[{},[2]]},[1,1]],"ğ":[{"b":[{},[2]],"c":[{},[2]],"ç":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"ğ":[{},[2]],"h":[{},[2]],"j":[{},[2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"r":[{},[2]],"s":[{},[2]],"ş":[{},[2]],"t":[{},[2]],"v":[{},[2]],"y":[{},[2]],"z":[{},[2]]},[1,1]],"h":[{"b":[{},[2]],"c":[{},[2]],"ç":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"ğ":[{},[2]],"h":[{},[2]],"j":[{},[2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"r":[{},[2]],"s":[{},[2]],"ş":[{},[2]],"t":[{},[2]],"v":[{},[2]],"y":[{},[2]],"z":[{},[2]]},[1,1]],"j":[{"b":[{},[2]],"c":[{},[2]],"ç":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"ğ":[{},[2]],"h":[{},[2]],"j":[{},[2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"r":[{},[2]],"s":[{},[2]],"ş":[{},[2]],"t":[{},[2]],"v":[{},[2]],"y":[{},[2]],"z":[{},[2]]},[1,1]],"k":[{"b":[{},[2]],"c":[{},[2]],"ç":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"ğ":[{},[2]],"h":[{},[2]],"j":[{},[2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"r":[{},[2]],"s":[{},[2]],"ş":[{},[2]],"t":[{},[2]],"v":[{},[2]],"y":[{},[2]],"z":[{},[2]]},[1,1]],"l":[{"b":[{},[2]],"c":[{},[2]],"ç":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"ğ":[{},[2]],"h":[{},[2]],"j":[{},[2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"r":[{},[2]],"s":[{},[2]],"ş":[{},[2]],"t":[{},[2]],"v":[{},[2]],"y":[{},[2]],"z":[{},[2]]},[1,1]],"m":[{"b":[{},[2]],"c":[{},[2]],"ç":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"ğ":[{},[2]],"h":[{},[2]],"j":[{},[2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"r":[{},[2]],"s":[{},[2]],"ş":[{},[2]],"t":[{"r":[{"a":[{"k":[{},[0,1,4]]}]}]},[2]],"v":[{},[2]],"y":[{},[2]],"z":[{},[2]]},[1,1]],"n":[{"b":[{},[2]],"c":[{},[2]],"ç":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"ğ":[{},[2]],"h":[{},[2]],"j":[{},[2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"r":[{},[2]],"s":[{},[2]],"ş":[{},[2]],"t":[{},[2]],"v":[{},[2]],"y":[{},[2]],"z":[{},[2]]},[1,1]],"p":[{"b":[{},[2]],"c":[{},[2]],"ç":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"ğ":[{},[2]],"h":[{},[2]],"j":[{},[2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"r":[{},[2]],"s":[{},[2]],"ş":[{},[2]],"t":[{},[2]],"v":[{},[2]],"y":[{},[2]],"z":[{},[2]]},[1,1]],"r":[{"b":[{},[2]],"c":[{},[2]],"ç":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"ğ":[{},[2]],"h":[{},[2]],"j":[{},[2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"r":[{},[2]],"s":[{},[2]],"ş":[{},[2]],"t":[{},[2]],"v":[{},[2]],"y":[{},[2]],"z":[{},[2]]},[1,1]],"s":[{"b":[{},[2]],"c":[{},[2]],"ç":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"ğ":[{},[2]],"h":[{},[2]],"j":[{},[2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"r":[{},[2]],"s":[{},[2]],"ş":[{},[2]],"t":[{},[2]],"v":[{},[2]],"y":[{},[2]],"z":[{},[2]]},[1,1]],"ş":[{"b":[{},[2]],"c":[{},[2]],"ç":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"ğ":[{},[2]],"h":[{},[2]],"j":[{},[2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"r":[{},[2]],"s":[{},[2]],"ş":[{},[2]],"t":[{},[2]],"v":[{},[2]],"y":[{},[2]],"z":[{},[2]]},[1,1]],"t":[{"b":[{},[2]],"c":[{},[2]],"ç":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"ğ":[{},[2]],"h":[{},[2]],"j":[{},[2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"r":[{},[2]],"s":[{},[2]],"ş":[{},[2]],"t":[{},[2]],"v":[{},[2]],"y":[{},[2]],"z":[{},[2]],"u":[{"r":[{"k":[{},[0,0,4,4]]}]}]},[1,1]],"v":[{"b":[{},[2]],"c":[{},[2]],"ç":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"ğ":[{},[2]],"h":[{},[2]],"j":[{},[2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"r":[{},[2]],"s":[{},[2]],"ş":[{},[2]],"t":[{},[2]],"v":[{},[2]],"y":[{},[2]],"z":[{},[2]]},[1,1]],"y":[{"b":[{},[2]],"c":[{},[2]],"ç":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"ğ":[{},[2]],"h":[{},[2]],"j":[{},[2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"r":[{},[2]],"s":[{},[2]],"ş":[{},[2]],"t":[{},[2]],"v":[{},[2]],"y":[{},[2]],"z":[{},[2]]},[1,1]],"z":[{"b":[{},[2]],"c":[{},[2]],"ç":[{},[2]],"d":[{},[2]],"f":[{},[2]],"g":[{},[2]],"ğ":[{},[2]],"h":[{},[2]],"j":[{},[2]],"k":[{},[2]],"l":[{},[2]],"m":[{},[2]],"n":[{},[2]],"p":[{},[2]],"r":[{},[2]],"s":[{},[2]],"ş":[{},[2]],"t":[{},[2]],"v":[{},[2]],"y":[{},[2]],"z":[{},[2]]},[1,1]]}';
  var hyphenation = [];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
