(function (root, factory) {
  if (typeof define === "function" && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === "object" && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsUk = factory();
  }
})(this, function () {
  var patterns =
    '{"а":[{"а":[{"д":[{"р":[{"е":[{"с":[{},[0,0,4]]}]}]}],"-":[{},[8,8]]},[0,3]],"е":[{"т":[{"и":[{"л":[{},[0,0,4]]}]}],"ф":[{"е":[{"к":[{"т":[{},[0,0,4]]}]}]}],"-":[{},[8,8]]},[0,3]],"і":[{"с":[{"т":[{"о":[{"р":[{},[0,3,4]]}]}]}],"-":[{},[8,8]]},[0,3]],"о":[{"п":[{"і":[{"к":[{},[0,0,4]]}],"и":[{"с":[{},[0,0,4]]}]}],"х":[{"а":[{},[0,0,4]],"о":[{"т":[{},[0,0,4]]}]}],"щ":[{"а":[{"д":[{},[0,0,4]]}]}],"б":[{"р":[{"а":[{"з":[{},[0,0,4]]}]}]}],"-":[{},[8,8]]},[0,3]],"у":[{"д":[{"і":[{"о":[{},[0,0,0,0,4]]}],"а":[{"р":[{},[0,3,4]]}]}],"т":[{"е":[{"к":[{"о":[{"л":[{},[0,0,4,3]]}]}]}]}],"г":[{"о":[{"д":[{},[0,0,4]]}]}],"-":[{},[8,8]]},[0,3]],"ю":[{"-":[{},[8,8]]},[0,3]],"я":[{"-":[{},[8,8]]},[0,3]],"є":[{"-":[{},[8,8]]},[0,3]],"ї":[{"-":[{},[8,8]]},[0,3]],"й":[{"с":[{"б":[{"е":[{"р":[{"г":[{},[0,0,4,3]]}]}]}]}],"-":[{},[8,8]]},[0,2]],"в":[{"т":[{"о":[{"р":[{"и":[{"т":[{},[3,4]]}]}]}]}],"і":[{"а":[{},[0,0,0,4]]}],"о":[{"ї":[{"д":[{},[0,0,0,0,4]]}]}],"-":[{},[8,8]]}],"г":[{"е":[{"н":[{"т":[{},[3,4]]}]}],"р":[{"е":[{"с":[{},[3,4]]}]}],"-":[{},[8,8]]}],"д":[{"е":[{"к":[{"в":[{"а":[{"т":[{},[3,4]]}]}]}]}],"и":[{"т":[{"и":[{"в":[{},[3,4]]}]}]}],"-":[{},[8,8]]}],"з":[{"а":[{"р":[{"т":[{},[3,4]]}]}],"-":[{},[8,8]]}],"к":[{"т":[{"и":[{"в":[{},[3,4]]}],"у":[{"а":[{"л":[{},[3,4]]}]}]}],"у":[{"р":[{"а":[{"т":[{},[3,4]]}]}],"с":[{"т":[{},[3,4]]}]}],"ц":[{"е":[{"п":[{"т":[{},[3,4]]}]}],"и":[{"з":[{},[3,4]]}]}],"-":[{},[8,8]]}],"л":[{"е":[{"р":[{"г":[{"і":[{},[3,4]]}]}]}],"ь":[{"б":[{"і":[{"о":[{"н":[{},[0,0,0,0,0,5]]}]}]}]}],"-":[{},[8,8]]}],"м":[{"а":[{"т":[{"о":[{"р":[{},[3,4]]}]}]}],"-":[{},[8,8]]}],"н":[{"а":[{"л":[{"і":[{"з":[{},[3,4]]}]}],"т":[{"о":[{"м":[{},[3,4]]}]}],"в":[{"ч":[{},[0,0,0,3,4]]}]}],"-":[{},[8,8]]}],"п":[{"а":[{"р":[{"а":[{"т":[{},[3,4]]}]}]}],"е":[{"л":[{"я":[{"ц":[{},[3,4]]}]}]}],"о":[{"с":[{"т":[{"о":[{"л":[{},[3,4]]}]}]}]}],"т":[{"е":[{"ч":[{},[3,4]]}]}],"-":[{},[8,8]]}],"р":[{"г":[{"у":[{"м":[{"е":[{"н":[{},[3,4]]}]}]}]}],"о":[{"м":[{"а":[{"т":[{},[3,4]]}]}]}],"т":[{"а":[{"ф":[{"і":[{"ш":[{},[0,0,4,3]]}]}]}],"в":[{"з":[{"в":[{"о":[{"д":[{},[0,0,4,3]]}]}]}]}],"д":[{"е":[{"с":[{"а":[{"н":[{"т":[{},[0,0,4,3]]}]}]}]}]}],"к":[{"а":[{"ф":[{"е":[{},[0,0,4,3]]}]}]}],"м":[{"а":[{"й":[{"с":[{},[0,0,4,3]]}]}],"е":[{"д":[{"і":[{"а":[{},[0,0,4,3]]}]}],"й":[{"с":[{"т":[{},[0,0,4,3]]},[0,0,4,3]]}]}],"і":[{"н":[{},[0,0,4,3]]}]}],"о":[{"б":[{"с":[{"т":[{"р":[{},[0,0,4,3,4]]}]}]}],"д":[{"и":[{"н":[{},[0,0,4,3,4]]}]}],"з":[{"б":[{"р":[{},[0,0,4,3,4]]}]}]}],"п":[{"і":[{"д":[{},[0,0,4,3]]}]}],"р":[{"и":[{"н":[{},[0,0,4,3]]}]}],"у":[{"с":[{"т":[{"а":[{"н":[{},[0,0,4,3,4]]}]}]}]}],"ф":[{"а":[{"к":[{"т":[{},[0,0,4,3]]}]}]}],"х":[{"і":[{"м":[{},[0,0,4,3]]}]}],"ц":[{"е":[{"н":[{"т":[{"р":[{},[0,0,4,3]]}]}]}]}]}],"-":[{},[8,8]]}],"с":[{"о":[{"ц":[{"і":[{},[3,4]]}]}],"п":[{"е":[{"к":[{"т":[{},[3,4]]}]}]}],"-":[{},[8,8]]}],"т":[{"л":[{"е":[{"т":[{},[3,4]]}]}],"-":[{},[8,8]]}],"х":[{"а":[{"л":[{"і":[{},[3,4]]}]}],"о":[{"ї":[{"д":[{},[0,0,0,0,4]]}]}],"-":[{},[8,8]]}],"б":[{"и":[{"я":[{"к":[{},[0,0,0,0,4]]}]}],"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"\'":[{"-":[{},[8,8]]}]},[2,1]],"е":[{"а":[{"к":[{"т":[{},[0,0,4]]}],"в":[{"а":[{"р":[{"і":[{},[0,0,4]]}]}]}],"д":[{"р":[{"е":[{"с":[{},[0,0,4]]}]}]}],"-":[{},[8,8]]},[0,3]],"е":[{"ф":[{"е":[{"к":[{"т":[{},[0,0,4]]}]}]}],"м":[{"і":[{"с":[{"і":[{},[0,0,4]]}]}]}],"с":[{"т":[{"е":[{"т":[{},[0,0,4]]}]}]}],"-":[{},[8,8]]},[0,3]],"і":[{"с":[{"т":[{"о":[{"р":[{},[0,3,4]],"т":[{},[0,0,4]]}]}]}],"-":[{},[8,8]]},[0,3]],"о":[{"с":[{"в":[{"і":[{},[0,0,4]]}]}],"п":[{"а":[{"л":[{},[0,0,4]]}],"и":[{"с":[{},[0,0,4]]}],"л":[{"а":[{"ч":[{"у":[{"в":[{},[0,0,4]]}]}]}]}]}],"х":[{"а":[{},[0,0,4]],"о":[{"т":[{},[0,0,4]]}]}],"ц":[{"і":[{"н":[{},[0,0,4]]}]}],"б":[{"у":[{"р":[{},[0,0,4]]}],"р":[{"а":[{"з":[{},[0,0,4]]}]}]}],"г":[{"о":[{"л":[{"о":[{"ш":[{},[0,0,4]]}]}]}]}],"з":[{"о":[{"р":[{},[0,0,4]]}]}],"щ":[{"а":[{"д":[{},[0,0,4]]}]}],"к":[{"и":[{"с":[{"л":[{},[0,3,4]]}]}]}],"-":[{},[8,8]]},[0,3]],"у":[{"с":[{"т":[{"р":[{},[0,0,4]]}]}],"б":[{"о":[{"г":[{},[0,0,4]]}]}],"г":[{"о":[{"д":[{},[0,0,4]]}]}],"-":[{},[8,8]]},[0,3]],"ю":[{"-":[{},[8,8]]},[0,3]],"я":[{"-":[{},[8,8]]},[0,3]],"є":[{"-":[{},[8,8]]},[0,3]],"ї":[{"-":[{},[8,8]]},[0,3]],"й":[{"-":[{},[8,8]]},[0,2]],"к":[{"о":[{"л":[{"о":[{"г":[{},[3,4]]}]}],"н":[{"о":[{"м":[{},[3,4]]}]}]}],"с":[{"к":[{},[0,0,2,1]],"п":[{},[0,0,2,1]],"т":[{},[0,0,2,1]],"ц":[{},[0,0,2,1]]}],"-":[{},[8,8]]}],"л":[{"е":[{"г":[{"а":[{"н":[{"т":[{},[3,4]]}]}]}],"к":[{"т":[{"р":[{},[3,4]]}]}],"м":[{"е":[{"н":[{"т":[{},[3,4]]}]}]}]}],"-":[{},[8,8]]}],"м":[{"о":[{"ц":[{"і":[{},[3,4]]}]}],"і":[{"г":[{"р":[{},[3,4]]}]}],"р":[{"і":[{"й":[{},[0,3,4]]}]}],"-":[{},[8,8]]}],"н":[{"е":[{"р":[{"г":[{"о":[{"з":[{"б":[{"е":[{"р":[{"е":[{"ж":[{},[0,0,0,0,0,0,3,4]]}],"і":[{"г":[{},[0,0,0,0,0,0,3,4]]}]}]}]}]}]}]},[3,4]]}]}],"ь":[{"о":[{"к":[{"и":[{"с":[{"л":[{},[0,0,0,7,4]]}]}]}]}]}],"а":[{"в":[{"ч":[{},[0,0,0,3,4]]}]}],"-":[{},[8,8]]}],"с":[{"т":[{"а":[{"к":[{"а":[{"д":[{},[3,4]]}]}]}],"е":[{"т":[{},[3,4]]}]}],"-":[{},[8,8]]}],"т":[{"а":[{"п":[{},[3,4]]}],"і":[{"о":[{},[0,0,0,4]]}],"-":[{},[8,8]]}],"в":[{"и":[{"в":[{"ч":[{},[0,0,0,3,4]]}]}],"к":[{"а":[{"з":[{},[0,3,4]]}]}],"-":[{},[8,8]]}],"д":[{"о":[{"в":[{"ч":[{},[0,0,0,3,4]]}]}],"-":[{},[8,8]]}],"б":[{"-":[{},[8,8]]}],"г":[{"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"з":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]}],"р":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"х":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"\'":[{"-":[{},[8,8]]}]},[2,1]],"и":[{"а":[{"в":[{"а":[{"р":[{"і":[{},[0,0,4]]}]}]}],"-":[{},[8,8]]},[0,3]],"е":[{"м":[{"і":[{"с":[{"і":[{},[0,0,4]]}]}]}],"с":[{"т":[{"е":[{"т":[{},[0,0,4]]}]}]}],"-":[{},[8,8]]},[0,3]],"і":[{"с":[{"т":[{"о":[{"р":[{},[0,3,4]]}]}]}],"-":[{},[8,8]]},[0,3]],"о":[{"к":[{"и":[{"с":[{"л":[{},[0,3,4]]}]}]}],"-":[{},[8,8]]},[0,3]],"у":[{"-":[{},[8,8]]},[0,3]],"ю":[{"-":[{},[8,8]]},[0,3]],"я":[{"-":[{},[8,8]]},[0,3]],"є":[{"-":[{},[8,8]]},[0,3]],"ї":[{"-":[{},[8,8]]},[0,3]],"й":[{"т":[{"и":[{},[0,0,4]]}],"н":[{"я":[{},[0,0,4]]}],"-":[{},[8,8]]},[0,2]],"г":[{"о":[{"ї":[{"д":[{},[0,0,0,0,4]]}]}],"-":[{},[8,8]]}],"б":[{"-":[{},[8,8]]}],"в":[{"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"д":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"з":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"к":[{"-":[{},[8,8]]}],"л":[{"-":[{},[8,8]]}],"м":[{"-":[{},[8,8]]}],"н":[{"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]}],"р":[{"-":[{},[8,8]]}],"с":[{"-":[{},[8,8]]}],"т":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"х":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"\'":[{"-":[{},[8,8]]}]},[2,1]],"і":[{"а":[{"д":[{"р":[{"е":[{"с":[{},[0,0,4]]}]}]}],"-":[{},[8,8]]},[0,3]],"е":[{"т":[{"и":[{"л":[{},[0,0,4]]}]}],"-":[{},[8,8]]},[0,3]],"и":[{"-":[{},[8,8]]},[0,3]],"о":[{"н":[{"а":[{"в":[{"ч":[{},[0,0,0,0,3,4]]}]}]},[0,4]],"к":[{"т":[{"а":[{"н":[{},[0,0,4]]}]}]}],"-":[{},[8,8]]},[0,3]],"у":[{"-":[{},[8,8]]},[0,3]],"ю":[{"-":[{},[8,8]]},[0,3]],"я":[{"-":[{},[8,8]]},[0,3]],"є":[{"-":[{},[8,8]]},[0,3]],"ї":[{"-":[{},[8,8]]},[0,3]],"й":[{"т":[{"и":[{},[0,0,4]]}],"-":[{},[8,8]]},[0,2]],"н":[{"т":[{"е":[{"р":[{"в":[{"\'":[{"ю":[{},[0,0,0,0,0,3,0,4]]}]}]}],"н":[{"с":[{},[3,4]]}]}]}],"ф":[{"о":[{"р":[{"м":[{"а":[{"г":[{"е":[{"н":[{},[0,0,0,0,0,4,3]]}]}]}]},[3,4]]}]}]}],"і":[{"ц":[{"і":[{"а":[{"т":[{},[3,4]]}]}]}]}],"-":[{},[8,8]]}],"з":[{"о":[{"т":[{"о":[{"п":[{},[3,4]]}]}]}],"-":[{},[8,8]]}],"л":[{"ю":[{"с":[{"т":[{"р":[{},[3,4]]}]}]}],"е":[{"т":[{"и":[{"л":[{},[0,4,3,4]]}]}]}],"-":[{},[8,8]]}],"м":[{"о":[{"в":[{"і":[{"р":[{},[3,4]]}]}]}],"-":[{},[8,8]]}],"с":[{"н":[{"у":[{"в":[{},[3,4]]}]}],"-":[{},[8,8]]}],"і":[{"с":[{"т":[{"о":[{"р":[{},[0,3,4]]}]}]}],"-":[{},[8,8]]}],"б":[{"-":[{},[8,8]]}],"в":[{"-":[{},[8,8]]}],"г":[{"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"д":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"к":[{"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]}],"р":[{"-":[{},[8,8]]}],"т":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"х":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"\'":[{"-":[{},[8,8]]}]},[2,1]],"о":[{"а":[{"т":[{"о":[{"м":[{},[0,0,4]]}]}],"к":[{"т":[{},[0,0,4]],"а":[{"ц":[{"і":[{},[0,0,4]]}]}]}],"в":[{"а":[{"р":[{"і":[{},[0,0,4]]}]}]}],"д":[{"р":[{"е":[{"с":[{},[0,0,4]]}]}]}],"н":[{"а":[{"л":[{"і":[{"з":[{},[0,3,4]]}]}]},[0,0,4]]}],"-":[{},[8,8]]},[0,3]],"е":[{"к":[{"о":[{},[0,0,4]]}],"ф":[{"е":[{"к":[{"т":[{},[0,0,4]]}]}]}],"м":[{"і":[{"с":[{"і":[{},[0,0,4]]}]}]}],"с":[{"т":[{"е":[{"т":[{},[0,0,4]]}]}]}],"-":[{},[8,8]]},[0,3]],"і":[{"з":[{"о":[{"л":[{},[0,0,4]]}]}],"с":[{"т":[{"о":[{"р":[{},[0,3,4]],"т":[{},[0,0,4]]}]}]}],"-":[{},[8,8]]},[0,3]],"о":[{"б":[{"\'":[{},[0,0,0,0,3]],"м":[{},[0,0,0,3]],"р":[{"о":[{},[0,0,0,3]],"а":[{"з":[{},[0,0,4]]}]}],"і":[{"г":[{},[0,0,4]]}]},[0,0,4]],"п":[{"а":[{"л":[{},[0,0,4]]}],"и":[{"с":[{},[0,0,4]]}],"л":[{"а":[{"ч":[{"у":[{"в":[{},[0,0,4]]}]}]}]}]}],"с":[{"в":[{"і":[{},[0,0,4]]}]}],"к":[{"и":[{"с":[{"л":[{},[0,3,4]]}]}],"т":[{"а":[{"н":[{},[0,0,4]]}]}]},[0,0,4]],"д":[{"и":[{"н":[{"о":[{"к":[{},[0,0,4]]}]}]}],"е":[{"р":[{"ж":[{},[0,0,4]]}]}]}],"ц":[{"і":[{"н":[{},[0,0,4]]}]}],"ч":[{"и":[{"щ":[{},[0,0,4]],"с":[{"т":[{},[0,0,4]]}]}]}],"-":[{},[8,8]]},[0,3]],"у":[{"с":[{"т":[{"р":[{},[0,0,4]]}],"у":[{"н":[{},[0,0,4]]}]},[0,0,4]],"к":[{"о":[{"м":[{},[0,0,4]]}]}],"д":[{"а":[{"р":[{},[0,3,4]]}]}],"г":[{"о":[{"д":[{},[0,0,4]]}]}],"-":[{},[8,8]]},[0,3]],"ю":[{"-":[{},[8,8]]},[0,3]],"я":[{"-":[{},[8,8]]},[0,3]],"є":[{"-":[{},[8,8]]},[0,3]],"ї":[{"-":[{},[8,8]]},[0,3]],"й":[{"-":[{},[8,8]]},[0,2]],"в":[{"і":[{"д":[{},[0,0,0,4,3]]}],"и":[{"в":[{"ч":[{},[0,0,0,3,4]]}]}],"к":[{"а":[{"з":[{},[0,3,4]]}]}],"-":[{},[8,8]]}],"б":[{"\'":[{"є":[{"д":[{"н":[{},[3,4]]}],"к":[{"т":[{},[3,4]]}]}]},[0,0,0,3]],"і":[{"в":[{"\'":[{"є":[{},[0,0,0,3,0,4]]}]}],"д":[{"р":[{"а":[{"н":[{},[0,0,0,3,4]]}]}]},[3,4]],"ц":[{},[3,4]],"й":[{"д":[{},[0,0,0,3,4]],"т":[{},[0,0,0,3,4]],"н":[{"я":[{},[0,0,0,0,4]]}],"м":[{},[0,0,0,0,4]]}]}],"в":[{"\'":[{"я":[{},[0,0,3,0,4]]}]}],"м":[{"\'":[{"я":[{},[0,0,3,0,4]]}]}],"е":[{"р":[{"е":[{"ж":[{},[3,4]]}]}]}],"и":[{"р":[{"а":[{},[3,4]]}]}],"о":[{"р":[{"о":[{"н":[{},[3,4]]}]}],"й":[{"м":[{},[0,0,0,0,4]]}]}],"у":[{"м":[{"о":[{"в":[{},[0,0,5,4]]}]}]}],"л":[{"д":[{"е":[{"р":[{"ж":[{},[0,0,4,0,0,0,4]]}]}]}],"а":[{"д":[{"м":[{"і":[{"н":[{},[0,0,4,3,4]]}]}]}]}]}],"-":[{},[8,8]]}],"д":[{"\'":[{},[0,0,0,3]],"а":[{"л":[{"ь":[{},[3,4]]}]}],"я":[{"г":[{},[3,4]]}],"-":[{},[8,8]]}],"з":[{"б":[{"р":[{"о":[{},[3,4]]}]}],"а":[{"в":[{"ч":[{},[0,0,0,3,4]]}]}],"-":[{},[8,8]]}],"к":[{"р":[{"е":[{"м":[{},[3,4]]}]}],"-":[{},[8,8]]}],"п":[{"е":[{"р":[{"а":[{"т":[{},[3,4]]}]}]}],"л":[{"а":[{"т":[{},[3,4]]}]}],"т":[{"и":[{"м":[{},[3,4]]}]}],"у":[{"с":[{"т":[{},[3,4]]}],"ш":[{"е":[{},[3,4]]}],"щ":[{"е":[{},[3,4]]}]}],"-":[{},[8,8]]}],"р":[{"д":[{"и":[{"н":[{"а":[{"ц":[{},[3,4]]}]}]}]}],"е":[{"н":[{"д":[{},[3,4]]}]}],"-":[{},[8,8]]}],"с":[{"о":[{"б":[{},[3,4]]}],"я":[{"ж":[{"н":[{},[3,4]]}]}],"-":[{},[8,8]]}],"х":[{"о":[{"л":[{"о":[{},[3,4]]}],"р":[{"о":[{"н":[{},[3,4]]}]}],"ч":[{},[3,4]]}],"-":[{},[8,8]]}],"ч":[{"и":[{"с":[{"н":[{},[3,4]]}],"щ":[{},[3,4]]}],"-":[{},[8,8]]}],"н":[{"о":[{"ї":[{"д":[{},[0,0,0,0,4]]}]}],"а":[{"ї":[{"д":[{},[0,0,0,0,4]]}]}],"-":[{},[8,8]]}],"г":[{"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"л":[{"-":[{},[8,8]]}],"м":[{"-":[{},[8,8]]}],"т":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"\'":[{"-":[{},[8,8]]}]},[2,1]],"у":[{"а":[{"-":[{},[8,8]]},[0,3]],"е":[{"-":[{},[8,8]]},[0,3]],"і":[{"в":[{"\'":[{"є":[{},[0,0,3,0,4]],"ю":[{},[0,0,3,0,4]]}]}],"-":[{},[8,8]]},[0,3]],"о":[{"-":[{},[8,8]]},[0,3]],"у":[{"-":[{},[8,8]]},[0,3]],"ю":[{"-":[{},[8,8]]},[0,3]],"я":[{"в":[{},[0,0,4]],"-":[{},[8,8]]},[0,3]],"є":[{"-":[{},[8,8]]},[0,3]],"ї":[{"-":[{},[8,8]]},[0,3]],"й":[{"-":[{},[8,8]]},[0,2]],"в":[{"\'":[{"я":[{},[0,3,0,4]]}],"а":[{"г":[{},[3,4]],"ж":[{},[3,4]]}],"-":[{},[8,8]]}],"м":[{"\'":[{"я":[{},[0,3,0,4]]}],"и":[{"т":[{},[3,4]]}],"і":[{"л":[{},[3,4]]}],"-":[{},[8,8]]}],"п":[{"р":[{"а":[{"в":[{},[3,4,4]]}]}],"е":[{"р":[{"е":[{"д":[{},[3,4]]}]}]}],"-":[{},[8,8]]}],"г":[{"а":[{"в":[{},[3,4]]}],"-":[{},[8,8]]}],"з":[{"г":[{"о":[{"д":[{},[3,4]]}]}],"-":[{},[8,8]]}],"к":[{"л":[{"а":[{"д":[{},[3,4]]}]}],"о":[{"м":[{"п":[{"л":[{},[3,4]]}]}]}],"р":[{"у":[{"п":[{"н":[{},[3,4]]}]}],"а":[{"в":[{"т":[{},[0,0,0,3,4]]}],"г":[{"р":[{},[0,0,0,3,4]]}]}],"е":[{"к":[{"с":[{},[0,0,0,3,4]]}]}],"і":[{"н":[{"б":[{"а":[{"н":[{"к":[{},[0,0,0,3,4,4]]}]}]}]}]}]},[0,4,4]],"-":[{},[8,8]]}],"л":[{"ю":[{"б":[{"л":[{"е":[{"н":[{},[3,4]]}]}]}]}],"-":[{},[8,8]]}],"р":[{"а":[{"з":[{"л":[{"и":[{"в":[{},[3,4]]}]}]}]}],"б":[{"а":[{"н":[{},[3,4]]}]}],"о":[{"ч":[{"и":[{"с":[{"т":[{},[3,4]]}]}]}]}],"я":[{"д":[{"о":[{"в":[{},[3,4]]}]},[3,4]]}],"-":[{},[8,8]]}],"с":[{"п":[{"і":[{"ш":[{},[3,4]]}]}],"т":[{"а":[{"н":[{"о":[{"в":[{},[3,4]]}]}]}],"п":[{"і":[{"ш":[{},[3,4]]}]}]}],"у":[{"в":[{"а":[{"т":[{"и":[{},[3,4]]}]}]}]}],"-":[{},[8,8]]}],"т":[{"в":[{"о":[{"р":[{},[3,4]]}]}],"р":[{"о":[{"б":[{"н":[{},[3,4]]}]}]}],"-":[{},[8,8]]}],"б":[{"о":[{"ї":[{"д":[{},[0,0,0,0,4]]}]}],"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"д":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"н":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"х":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"\'":[{"-":[{},[8,8]]}]},[2,1]],"ю":[{"а":[{"-":[{},[8,8]]},[0,3]],"е":[{"-":[{},[8,8]]},[0,3]],"і":[{"-":[{},[8,8]]},[0,3]],"о":[{"-":[{},[8,8]]},[0,3]],"у":[{"-":[{},[8,8]]},[0,3]],"ю":[{"-":[{},[8,8]]},[0,3]],"я":[{"-":[{},[8,8]]},[0,3]],"є":[{"-":[{},[8,8]]},[0,3]],"ї":[{"-":[{},[8,8]]},[0,3]],"й":[{"-":[{},[8,8]]},[0,2]],"б":[{"-":[{},[8,8]]}],"в":[{"-":[{},[8,8]]}],"г":[{"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"д":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"з":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"к":[{"-":[{},[8,8]]}],"л":[{"-":[{},[8,8]]}],"м":[{"-":[{},[8,8]]}],"н":[{"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]}],"р":[{"-":[{},[8,8]]}],"с":[{"-":[{},[8,8]]}],"т":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"х":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"\'":[{"-":[{},[8,8]]}]},[2,1]],"я":[{"а":[{"в":[{"а":[{"р":[{"і":[{},[0,0,4]]}]}]}],"-":[{},[8,8]]},[0,3]],"е":[{"м":[{"і":[{"с":[{"і":[{},[0,0,4]]}]}]}],"-":[{},[8,8]]},[0,3]],"о":[{"-":[{},[8,8]]},[0,3]],"у":[{"-":[{},[8,8]]},[0,3]],"ю":[{"-":[{},[8,8]]},[0,3]],"я":[{"-":[{},[8,8]]},[0,3]],"є":[{"-":[{},[8,8]]},[0,3]],"ї":[{"-":[{},[8,8]]},[0,3]],"й":[{"-":[{},[8,8]]},[0,2]],"д":[{"е":[{"р":[{"н":[{},[3,4]]}]}],"-":[{},[8,8]]}],"з":[{"и":[{"к":[{},[3,4]]}],"-":[{},[8,8]]}],"к":[{"і":[{"с":[{},[3,4]]}],"-":[{},[8,8]]}],"р":[{"у":[{"с":[{},[3,4]]}],"-":[{},[8,8]]}],"с":[{"к":[{"р":[{"а":[{"в":[{},[3,4]]}]}]}],"о":[{"ї":[{"д":[{},[0,0,0,0,4]]}]}],"-":[{},[8,8]]}],"і":[{"с":[{"т":[{"о":[{"р":[{},[0,3,4]]}]}]}],"-":[{},[8,8]]}],"б":[{"-":[{},[8,8]]}],"в":[{"-":[{},[8,8]]}],"г":[{"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"л":[{"-":[{},[8,8]]}],"м":[{"-":[{},[8,8]]}],"н":[{"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]}],"т":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"х":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"\'":[{"-":[{},[8,8]]}]},[2,1]],"є":[{"у":[{"-":[{},[8,8]]},[0,3]],"ю":[{"-":[{},[8,8]]},[0,3]],"є":[{"-":[{},[8,8]]},[0,3]],"ї":[{"-":[{},[8,8]]},[0,3]],"й":[{"-":[{},[8,8]]},[0,2]],"д":[{"н":[{},[3,4,3]],"и":[{"н":[{},[3,4]]}],"-":[{},[8,8]]}],"п":[{"и":[{"с":[{"к":[{"о":[{"п":[{},[0,0,0,4,5]]}]},[3,4]]}]}],"і":[{"с":[{"к":[{"о":[{"п":[{},[0,0,0,4,5]]}]}]}]}],"-":[{},[8,8]]}],"р":[{"е":[{"й":[{},[3,4]]}],"-":[{},[8,8]]}],"в":[{"р":[{"а":[{"т":[{"о":[{"м":[{},[0,0,4,3]]}]}]}]}],"-":[{},[8,8]]}],"г":[{"е":[{"р":[{"м":[{"е":[{"й":[{"с":[{"т":[{},[0,0,0,4,3]]}]}]}]}]}]}],"-":[{},[8,8]]}],"а":[{"-":[{},[8,8]]}],"б":[{"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"е":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"з":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"і":[{"-":[{},[8,8]]}],"к":[{"-":[{},[8,8]]}],"л":[{"-":[{},[8,8]]}],"м":[{"-":[{},[8,8]]}],"н":[{"-":[{},[8,8]]}],"о":[{"-":[{},[8,8]]}],"с":[{"-":[{},[8,8]]}],"т":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"х":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}],"\'":[{"-":[{},[8,8]]}]},[2,1]],"ї":[{"е":[{"-":[{},[8,8]]},[0,3]],"о":[{"-":[{},[8,8]]},[0,3]],"ю":[{"-":[{},[8,8]]},[0,3]],"й":[{"-":[{},[8,8]]},[0,2]],"ж":[{"д":[{"ж":[{},[3,4]]}],"-":[{},[8,8]]}],"з":[{"д":[{},[3,4]],"-":[{},[8,8]]}],"с":[{"т":[{},[3,4]],"-":[{},[8,8]]}],"х":[{"а":[{"в":[{},[3,4]],"т":[{},[3,4]]}],"-":[{},[8,8]]}],"а":[{"-":[{},[8,8]]}],"б":[{"-":[{},[8,8]]}],"в":[{"-":[{},[8,8]]}],"г":[{"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"д":[{"-":[{},[8,8]]}],"є":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"і":[{"-":[{},[8,8]]}],"ї":[{"-":[{},[8,8]]}],"к":[{"-":[{},[8,8]]}],"л":[{"-":[{},[8,8]]}],"м":[{"-":[{},[8,8]]}],"н":[{"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]}],"р":[{"-":[{},[8,8]]}],"т":[{"-":[{},[8,8]]}],"у":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}],"\'":[{"-":[{},[8,8]]}]},[2,1]],"б":[{"к":[{"-":[{},[8,8]]},[2,1]],"п":[{"-":[{},[8,8]]},[2,1]],"с":[{".":[{},[6]],"т":[{".":[{},[6,6]],"в":[{".":[{},[6,6,6]]}],"р":[{".":[{},[6,6,6]]}]}],"ь":[{"к":[{".":[{},[6,6,6]]}]}],"-":[{},[8,8]]},[2,1]],"т":[{"-":[{},[8,8]]},[2,1]],"ф":[{"-":[{},[8,8]]},[2,1]],"х":[{"-":[{},[8,8]]},[2,1]],"ц":[{"ь":[{".":[{},[6,6]]}],"-":[{},[8,8]]},[2,1]],"ч":[{"-":[{},[8,8]]},[2,1]],"ш":[{"-":[{},[8,8]]},[2,1]],"щ":[{"-":[{},[8,8]]},[2,1]],"б":[{"-":[{},[8,8]]},[2,1]],"в":[{".":[{},[6]],"-":[{},[8,8]]}],"з":[{".":[{},[6]],"-":[{},[8,8]]}],"й":[{".":[{},[6]],"о":[{"р":[{"н":[{"с":[{},[0,0,0,0,4]]}]}]}],"-":[{},[8,8]]}],"л":[{".":[{},[6]],"ь":[{".":[{},[6,6]]}],"а":[{"ж":[{},[3]]}],"и":[{"ж":[{},[3]],"з":[{},[3]],"с":[{"к":[{},[3]]}]}],"о":[{"к":[{"п":[{"о":[{"с":[{"т":[{},[0,0,0,4,3]]}]}]}]},[3]],"ц":[{"і":[{},[3]]}]}],"-":[{},[8,8]]}],"н":[{".":[{},[6]],"-":[{},[8,8]]}],"р":[{".":[{},[6]],"а":[{"н":[{"д":[{"м":[{"е":[{"й":[{"с":[{"т":[{},[0,0,0,0,4,3]]}]}]}]}]},[0,0,0,0,4]]},[3]],"т":[{"и":[{},[3]]}]}],"е":[{"с":[{"т":[{},[3]]}]}],"и":[{"з":[{"к":[{},[3]]}],"т":[{"а":[{"н":[{},[3]]}]}]}],"у":[{"д":[{},[3]]}],"і":[{"д":[{"ж":[{"п":[{"о":[{"р":[{"т":[{},[0,0,0,4,0,3]]}]}]}]}]}]}],"-":[{},[8,8]]}],"е":[{"з":[{"в":[{"і":[{"д":[{},[0,0,0,0,0,4,3]]}]}],"і":[{"д":[{"е":[{"й":[{},[0,0,4,5,4]]}]}],"м":[{"е":[{"н":[{},[0,0,0,5,4]]}]}]}],"а":[{"в":[{"а":[{"р":[{"і":[{},[0,0,0,0,4]]}]}]}],"д":[{"р":[{"е":[{"с":[{},[0,0,0,3,4]]}]}]}]}],"е":[{"м":[{"і":[{"с":[{"і":[{},[0,0,0,0,4]]}]}]}]}],"у":[{"г":[{"л":[{},[0,0,0,0,4]]}],"п":[{"и":[{"н":[{},[0,0,0,0,4]]}]}]}]}],"й":[{"с":[{"б":[{"о":[{"л":[{},[0,0,0,4]]}]}]}]}],"к":[{"о":[{"н":[{},[0,0,5]]}]}],"-":[{},[8,8]]}],"а":[{"к":[{"т":[{"е":[{"р":[{"і":[{"о":[{},[0,0,0,0,0,0,0,4]]}]}]}]}],"а":[{"н":[{"а":[{"л":[{"і":[{"з":[{},[0,0,0,3,4]]}]}]}]}]}]}],"с":[{"е":[{"н":[{"е":[{"р":[{},[0,0,4,3]]}]}]}],"а":[{"н":[{"т":[{"р":[{"а":[{},[0,0,4,3]]}]}]}]}]}],"л":[{"ь":[{"н":[{"е":[{"о":[{},[0,0,0,0,0,0,4]]}]}]}],"е":[{"т":[{"м":[{"е":[{"й":[{"с":[{"т":[{},[0,0,0,0,4,3]]}]}]}]}]}]}]}],"г":[{"е":[{"р":[{"м":[{"е":[{"й":[{"с":[{"т":[{},[0,0,0,0,4,3]]}]}]}]}]}]}]}],"-":[{},[8,8]]}],"\'":[{"є":[{"т":[{"ь":[{},[0,0,4]]}]}],"-":[{},[8,8]]}],"і":[{"о":[{},[0,0,4,3]],"б":[{"л":[{"і":[{"о":[{},[0,0,0,0,0,4]]}]}]}],"-":[{},[8,8]]}],"о":[{"г":[{"д":[{"а":[{"н":[{},[0,0,4,3]]}]}]}],"є":[{"г":[{"о":[{"л":[{},[0,0,4,3]],"т":[{},[0,0,4,3]]}]}],"з":[{"а":[{"п":[{},[0,0,4,3]]}],"д":[{"а":[{"т":[{},[0,0,4,3]]}]}]}],"к":[{"о":[{"м":[{"п":[{},[0,0,4,3]]}]}]}],"п":[{"о":[{"с":[{"т":[{},[0,0,4,3]]}]}],"р":[{"и":[{"п":[{},[0,0,4,3]]}]}]}]}],"р":[{"и":[{"с":[{"п":[{},[0,0,0,0,4,5]]}]}],"т":[{"м":[{"е":[{"х":[{},[0,0,4,4,3]]}]}],"о":[{"п":[{"е":[{"р":[{},[0,0,4,4,3,4]]}]}]}],"п":[{"р":[{"о":[{},[0,0,4,4,3]]}]}],"р":[{"а":[{"д":[{},[0,0,4,4,3]]}]}],"і":[{"н":[{"ж":[{},[0,0,4,4,3,4]]}]}]}]}],"-":[{},[8,8]]}],"г":[{"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"д":[{"-":[{},[8,8]]}],"є":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"ї":[{"-":[{},[8,8]]}],"м":[{"-":[{},[8,8]]}],"у":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}]}],"в":[{"б":[{".":[{},[6]],"л":[{"а":[{"г":[{},[3,4,4]]}]}],"и":[{"в":[{},[3,4]]}],"-":[{},[8,8]]},[2,1]],"г":[{"-":[{},[8,8]]},[2,1]],"д":[{".":[{},[6]],"р":[{".":[{},[6,6]]}],"ь":[{".":[{},[6,6]]}],"а":[{"л":[{},[3,4]]}],"о":[{"в":[{"з":[{},[3,4]],"о":[{"л":[{},[3,4]]}]}]}],"-":[{},[8,8]]},[2,1]],"ж":[{".":[{},[6]],"и":[{"в":[{"а":[{"н":[{},[3,4]]}]}]}],"-":[{},[8,8]]},[2,1]],"з":[{".":[{},[6]],"ь":[{".":[{},[6,6]]}],"-":[{},[8,8]]},[2,1]],"к":[{".":[{},[6]],"л":[{"а":[{"д":[{},[3,4,4]]}]}],"-":[{},[8,8]]},[2,1]],"л":[{".":[{},[6]],"ь":[{".":[{},[6,6]]}],"а":[{"д":[{},[3,4]],"с":[{"н":[{},[3,4]]}],"ш":[{"т":[{},[3,4]]}]}],"о":[{"в":[{},[3,4]]}],"-":[{},[8,8]]},[2,1]],"м":[{".":[{},[6]],"\'":[{"я":[{},[0,3,0,4]]}],"-":[{},[8,8]]},[2,1]],"н":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"п":[{".":[{},[6]],"л":[{"и":[{"в":[{},[3,4,4]]}]}],"р":[{"а":[{"в":[{"н":[{},[3,4,4]]}]}]}],"е":[{"в":[{"н":[{},[3,4]]}]}],"о":[{"р":[{"я":[{"д":[{},[3,4]]}]}]}],"-":[{},[8,8]]},[2,1]],"р":[{".":[{},[6]],"о":[{"д":[{"л":[{"и":[{"в":[{},[3,4,4]]}]}]}],"ж":[{"а":[{"й":[{},[3,4]]}]}]}],"а":[{"з":[{"л":[{"и":[{"в":[{},[3,4]]}]}]}]}],"-":[{},[8,8]]},[2,1]],"с":[{".":[{},[6]],"т":[{"в":[{".":[{},[6,6,6]]}],"ь":[{".":[{},[6,6,6]]}]}],"ь":[{".":[{},[6,6]],"к":[{".":[{},[6,6,6]]}]}],"ю":[{"д":[{},[3,4]]}],"-":[{},[8,8]]},[2,1]],"т":[{".":[{},[6]],"р":[{"у":[{"т":[{},[3,4,4]],"ч":[{},[3,4,4]]}]}],"і":[{"л":[{},[3,4]]}],"-":[{},[8,8]]},[2,1]],"ф":[{"-":[{},[8,8]]},[2,1]],"х":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"ц":[{"ь":[{".":[{},[6,6]]}],"-":[{},[8,8]]},[2,1]],"ч":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"ш":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"щ":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"й":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"\'":[{"я":[{"з":[{},[3,0,4]]}],"-":[{},[8,8]]},[2,0,3]],"в":[{".":[{},[6]],"е":[{"д":[{"е":[{"н":[{},[3,4]]}]}]}],"-":[{},[8,8]]},[2,1]],"и":[{"ї":[{},[0,0,0,4]],"й":[{"д":[{},[0,0,3,4]],"т":[{},[0,0,3,4]],"м":[{},[0,0,0,4]]}],"н":[{"а":[{"й":[{"д":[{},[0,0,0,0,3,4]],"т":[{},[0,0,0,0,3,4]]}]}]}],"у":[{"ч":[{},[0,0,3,4]],"д":[{"и":[{},[0,0,0,4]]}]}],"я":[{"в":[{},[0,0,0,4]],"с":[{"н":[{},[0,0,0,4]]}]}],"-":[{},[8,8]]}],"і":[{"д":[{"у":[{"ч":[{},[0,0,0,0,4]]}],"в":[{"\'":[{"я":[{},[0,0,0,3,0,4]]}]}],"з":[{"н":[{"а":[{},[0,0,0,7]]}]}],"е":[{"н":[{},[0,0,5,4]],"о":[{},[0,0,5,4,4]]}],"о":[{"м":[{},[0,0,5,4]],"б":[{"р":[{"а":[{"ж":[{},[0,0,0,5,4]],"з":[{},[0,0,0,5,4]]}]}]}]}]}],"-":[{},[8,8]]}],"а":[{"н":[{"т":[{"р":[{"а":[{"ц":[{},[4,3]]}]}]}]}],"л":[{"ь":[{"д":[{"м":[{"е":[{"й":[{"с":[{"т":[{},[0,0,4,0,4,3]]}]}]}]}]}]}]}],"-":[{},[8,8]]}],"е":[{"р":[{"х":[{"н":[{},[0,0,0,4,3]]}]}],"л":[{"ь":[{"т":[{"м":[{"е":[{"й":[{"с":[{"т":[{},[0,0,4,0,4,3]]}]}]}]}]}]}]}],"-":[{},[8,8]]}],"о":[{"с":[{"к":[{"о":[{},[0,0,4,5]]}],"т":[{"а":[{"н":[{"н":[{"є":[{},[0,0,4]]}]}]}]}]}],"д":[{"о":[{"с":[{"т":[{"о":[{"к":[{},[0,0,0,0,5,4]]}]}]}],"з":[{"б":[{"і":[{"р":[{},[0,0,0,0,5,4]]}]}]}]}]}],"л":[{"ь":[{"т":[{"м":[{"е":[{"т":[{"р":[{},[0,0,0,0,4,3]]}]}]}],"а":[{"м":[{"п":[{"е":[{"р":[{},[0,0,0,0,4,3]]}]}]}]}]}]}]}],"є":[{"в":[{"о":[{"д":[{},[0,0,4]]}]}],"н":[{"а":[{"ч":[{},[0,0,4]]}]}]}],"-":[{},[8,8]]}],"у":[{"д":[{"а":[{"р":[{},[0,3,4]]}]}],"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"є":[{"-":[{},[8,8]]}],"ї":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}]}],"г":[{"к":[{"-":[{},[8,8]]},[2,1]],"п":[{"-":[{},[8,8]]},[2,1]],"с":[{".":[{},[6]],"т":[{"в":[{".":[{},[6,6,6]]}]}],"ь":[{".":[{},[6,6]]}],"-":[{},[8,8]]},[2,1]],"т":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"ф":[{"-":[{},[8,8]]},[2,1]],"ц":[{"-":[{},[8,8]]},[2,1]],"ч":[{"-":[{},[8,8]]},[2,1]],"ш":[{"-":[{},[8,8]]},[2,1]],"г":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"в":[{".":[{},[6]],"-":[{},[8,8]]}],"д":[{".":[{},[6]],"-":[{},[8,8]]}],"л":[{".":[{},[6]],"ь":[{".":[{},[6,6]]}],"а":[{"д":[{},[3]]}],"и":[{"б":[{},[3]],"н":[{},[3]]}],"о":[{"б":[{},[3]]}],"у":[{"з":[{},[3]],"ш":[{},[3]]}],"я":[{"д":[{},[3]],"н":[{},[3]]}],"-":[{},[8,8]]}],"м":[{".":[{},[6]],"-":[{},[8,8]]}],"н":[{".":[{},[6]],"а":[{"н":[{},[3]]}],"и":[{"л":[{},[3]]}],"о":[{"з":[{},[3]]}],"у":[{"ч":[{"к":[{},[3]]}]}],"-":[{},[8,8]]}],"р":[{".":[{},[6]],"а":[{"в":[{},[3]],"д":[{},[3]],"й":[{},[3]],"м":[{},[3]],"н":[{},[3]],"т":[{"и":[{},[3]]}],"ф":[{"о":[{"б":[{"р":[{"а":[{"з":[{},[0,0,0,0,3,4]]}]}]}]}]},[3]],"ш":[{},[3]],"ю":[{},[3]],"є":[{},[3]]}],"е":[{"с":[{},[3]],"ц":[{"ь":[{},[3]]}]}],"о":[{"б":[{},[3]],"ж":[{},[3]],"з":[{},[3]],"м":[{"а":[{"д":[{},[3]]}]}],"с":[{"м":[{"е":[{"й":[{"с":[{"т":[{},[0,0,0,4,3]]}]}]}]}]}]}],"у":[{"в":[{"а":[{"н":[{},[3]]}]}],"н":[{"т":[{},[3]]}],"п":[{},[3]]}],"і":[{"в":[{},[3]],"т":[{},[3]],"ш":[{},[3]]}],"-":[{},[8,8]]}],"і":[{"д":[{"р":[{"о":[{"м":[{"е":[{"т":[{},[0,0,4,5,0,5]]}]}]},[3,4]]}]}],"п":[{"е":[{"р":[{"а":[{"к":[{"т":[{},[0,0,0,0,0,3,4]]}]}],"е":[{"м":[{"і":[{"с":[{"і":[{},[0,0,0,0,0,3,4]]}]}]}]}]}]}]}],"-":[{},[8,8]]}],"е":[{"т":[{"ь":[{"м":[{"а":[{"н":[{},[0,0,2,0,3]]}]}]}]}],"о":[{},[0,0,4]],"л":[{"і":[{"о":[{},[0,0,0,0,4]]}]}],"н":[{"а":[{"н":[{"а":[{"л":[{"і":[{"з":[{},[0,0,0,3,4]]}]}]}]}]}]}],"-":[{},[8,8]]}],"о":[{"с":[{"п":[{"р":[{"о":[{"з":[{},[0,0,4,4,5]]}]}],"у":[{"г":[{"о":[{"д":[{},[0,0,0,4,3,4]]}]}]}]}]}],"м":[{"е":[{"о":[{},[0,0,0,0,4]]}]}],"ф":[{"м":[{"е":[{"й":[{"с":[{"т":[{},[0,0,4,3]]}]}]}]}]}],"-":[{},[8,8]]}],"а":[{"-":[{},[8,8]]}],"б":[{"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"є":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"з":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"ї":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"у":[{"-":[{},[8,8]]}],"х":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}],"\'":[{"-":[{},[8,8]]}]}],"д":[{"к":[{"-":[{},[8,8]]},[2,1]],"п":[{"-":[{},[8,8]]},[2,1]],"с":[{"т":[{"в":[{".":[{},[6,6,6]]}]}],"ь":[{"к":[{".":[{},[6,6,6]]}]}],"-":[{},[8,8]]},[2,1]],"т":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"ф":[{"-":[{},[8,8]]},[2,1]],"х":[{"-":[{},[8,8]]},[2,1]],"ц":[{"-":[{},[8,8]]},[2,1]],"ч":[{"-":[{},[8,8]]},[2,1]],"ш":[{"-":[{},[8,8]]},[2,1]],"щ":[{"-":[{},[8,8]]},[2,1]],"ь":[{"к":[{},[2,0,1]],"с":[{"ь":[{".":[{},[6,6,6]]}]},[2,0,1]],"т":[{},[2,0,1]],"ц":[{},[2,0,1]],".":[{},[6]],"-":[{},[8,8]]}],"д":[{"я":[{},[3]],"-":[{},[8,8]]},[2,1]],"ж":[{".":[{},[6]],"е":[{"н":[{"т":[{"л":[{"ь":[{},[0,0,0,0,4]]}]}]}]}],"-":[{},[8,8]]},[0,4]],"з":[{".":[{},[6]],"ь":[{".":[{},[6,6]]}],"е":[{"м":[{},[4,7]]}],"-":[{},[8,8]]},[0,4]],"л":[{".":[{},[6]],"-":[{},[8,8]]}],"м":[{".":[{},[6]],"-":[{},[8,8]]}],"н":[{".":[{},[6]],"і":[{"п":[{"р":[{},[0,4,0,3,4]]}]}],"-":[{},[8,8]]}],"р":[{".":[{},[6]],"а":[{"ж":[{},[3]]}],"о":[{"м":[{},[3]]}],"у":[{"ж":[{},[3]],"к":[{},[3]]}],"я":[{"п":[{},[3]]}],"і":[{"б":[{},[3]],"м":[{"а":[{},[3]]}]}],"-":[{},[8,8]]}],"і":[{"є":[{"в":[{"і":[{"д":[{},[0,0,4,0,0,4,3]]}]}]}],"й":[{"т":[{},[0,0,3,4]],"д":[{},[0,0,3,4]],"м":[{"а":[{},[0,0,0,4]]}]}],"о":[{"г":[{"е":[{"н":[{},[0,0,4]]}]}]},[0,0,4]],"а":[{"л":[{"о":[{"г":[{},[0,0,4]]}]}]}],"-":[{},[8,8]]}],"о":[{"о":[{"р":[{},[0,0,5,4]]}],"в":[{"\'":[{"є":[{},[0,0,3,0,4]],"ю":[{},[0,0,3,0,4]]}]}],"ї":[{"д":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"х":[{},[0,0,0,4]],"ж":[{},[0,0,0,4]],"с":[{"т":[{},[0,0,0,4]]}]}],"з":[{"в":[{"о":[{"л":[{},[0,0,3,4]]}],"і":[{"л":[{},[0,0,3,4]]}]}]}],"р":[{"о":[{"г":[{"о":[{"в":[{"к":[{"а":[{"з":[{},[0,0,0,0,0,0,5,4]]}]}]}]}]}]}]}],"у":[{"к":[{},[0,0,0,4]],"м":[{},[0,0,0,4]]}],"к":[{"м":[{"е":[{"й":[{"с":[{"т":[{},[0,0,4,3]]}]}]}]}]}],"й":[{"м":[{},[0,4,3,4]]}],"-":[{},[8,8]]}],"а":[{"н":[{},[3,4]],"-":[{},[8,8]]}],"б":[{"а":[{"в":[{},[3,4]],"л":[{},[3,4]],"н":[{},[3,4]],"т":[{},[3,4]],"є":[{},[3,4]]}],"-":[{},[8,8]]}],"в":[{"и":[{"г":[{},[3]]}],"о":[{"ю":[{},[3]],"є":[{},[3]],"х":[{"а":[{"т":[{"о":[{"м":[{},[0,0,0,0,4,5]]}]}]}]}]}],"і":[{"й":[{},[3]],"р":[{},[3]],"ч":[{"і":[{},[3]]}]}],"-":[{},[8,8]]}],"е":[{"р":[{"ж":[{"а":[{"т":[{"о":[{"м":[{},[0,0,0,4,5,4]]}]}],"д":[{"м":[{},[0,0,0,4,5,4]]}]}],"б":[{"ю":[{"д":[{"ж":[{},[0,0,0,4,5]]}]}],"е":[{"з":[{},[0,0,0,4,3]]}]}],"в":[{"и":[{"д":[{},[0,0,0,4,5]]}]}],"д":[{"у":[{"м":[{},[0,0,0,4,5]]}]}],"з":[{"а":[{"м":[{"о":[{"в":[{},[0,0,0,4,5]]}]}]}]}],"к":[{"о":[{"м":[{},[0,0,0,4,5]]}]}],"н":[{"а":[{"ф":[{"т":[{},[0,0,0,4,5]]}]}]}],"р":[{"е":[{"є":[{"с":[{},[0,0,0,4,5]]}],"з":[{"е":[{"р":[{"в":[{},[0,0,0,4,3]]}]}]}]}]}],"с":[{"т":[{"р":[{},[0,0,0,4,5]]}],"л":[{"у":[{"ж":[{},[0,0,0,4,5]]}]}]}]}]}],"я":[{"к":[{},[0,0,0,4]]}],"к":[{"р":[{"е":[{"т":[{"м":[{"е":[{"й":[{"с":[{"т":[{},[0,0,0,0,0,4,3]]}]}]}]}]}]}]}]}],"-":[{},[8,8]]}],"и":[{"с":[{"б":[{"а":[{"л":[{"а":[{"н":[{"с":[{},[]]}]}]}]}]}],"г":[{"а":[{"р":[{"м":[{},[0,0,4,3]]}]}]}],"к":[{"в":[{"а":[{"л":[{},[0,0,4,3]]}]}],"о":[{"м":[{"ф":[{},[0,0,4,3]]}],"н":[{"т":[{},[0,0,4,3]]}]}],"р":[{"е":[{"д":[{},[0,0,4,3]],"т":[{},[0,0,4,3]],"ц":[{},[0,0,4,3]]}],"и":[{"м":[{},[0,0,4,3]]}]}],"у":[{"с":[{"і":[{},[0,0,4,3]]}],"т":[{"у":[{},[0,0,4,3]]}]}]}],"л":[{"о":[{"к":[{},[0,0,4,3]]}]}],"п":[{"а":[{"р":[{"и":[{"т":[{},[0,0,4,3]]}]}]}],"е":[{"р":[{"с":[{},[0,0,4,3]]}],"т":[{"ч":[{},[0,0,4,3]]}]}],"л":[{"е":[{"й":[{},[0,0,4,3]]},[0,0,4,3]]}],"о":[{"з":[{"и":[{},[0,0,4,3]]}]}],"р":[{"о":[{"п":[{},[0,0,4,3]]}]}],"у":[{"т":[{},[0,0,4,3]]}]}],"т":[{"и":[{"л":[{},[0,0,4,3]]}],"р":[{"и":[{"б":[{},[0,0,4,3]]}],"о":[{"ф":[{},[0,0,4,3]]}]}]}],"ф":[{"у":[{"н":[{"к":[{"ц":[{},[0,0,4,3]]}]}]}]}]}],"-":[{},[8,8]]}],"у":[{"с":[{"і":[{"м":[{},[0,3,4]]}]}],"-":[{},[8,8]]}],"г":[{"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"є":[{"-":[{},[8,8]]}],"ї":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}],"\'":[{"-":[{},[8,8]]}]}],"ж":[{"к":[{"о":[{"м":[{"а":[{"т":[{"о":[{"м":[{},[0,0,0,4,5,4]]}]}]}]}]}],"-":[{},[8,8]]},[2,1]],"п":[{"-":[{},[8,8]]},[2,1]],"с":[{"ь":[{".":[{},[6,6]]}],"-":[{},[8,8]]},[2,1]],"т":[{"-":[{},[8,8]]},[2,1]],"ф":[{"-":[{},[8,8]]},[2,1]],"х":[{"-":[{},[8,8]]},[2,1]],"ц":[{"-":[{},[8,8]]},[2,1]],"ч":[{"-":[{},[8,8]]},[2,1]],"ш":[{"-":[{},[8,8]]},[2,1]],"ж":[{"-":[{},[8,8]]},[2,1]],"б":[{".":[{},[6]],"-":[{},[8,8]]}],"в":[{".":[{},[6]],"а":[{"в":[{},[3]]}],"-":[{},[8,8]]}],"д":[{"ь":[{".":[{},[6,6]]}],"-":[{},[8,8]]}],"м":[{"і":[{"т":[{"ь":[{},[3]]}]}],"-":[{},[8,8]]}],"р":[{"і":[{"т":[{"ь":[{},[3]]}]}],"-":[{},[8,8]]}],"о":[{"н":[{"а":[{"в":[{"ч":[{},[0,0,0,0,3,4]]}]}]}],"-":[{},[8,8]]}],"а":[{"-":[{},[8,8]]}],"г":[{"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"е":[{"-":[{},[8,8]]}],"є":[{"-":[{},[8,8]]}],"з":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"і":[{"-":[{},[8,8]]}],"ї":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"л":[{"-":[{},[8,8]]}],"н":[{"-":[{},[8,8]]}],"у":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}],"\'":[{"-":[{},[8,8]]}]}],"з":[{"к":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"п":[{"-":[{},[8,8]]},[2,1]],"с":[{"ь":[{".":[{},[6,6]]}],"-":[{},[8,8]]},[2,1]],"т":[{"-":[{},[8,8]]},[2,1]],"ф":[{"-":[{},[8,8]]},[2,1]],"х":[{"-":[{},[8,8]]},[2,1]],"ц":[{"-":[{},[8,8]]},[2,1]],"ч":[{"е":[{"п":[{},[3,4]]}],"-":[{},[8,8]]},[2,1]],"ш":[{"-":[{},[8,8]]},[2,1]],"щ":[{"-":[{},[8,8]]},[2,1]],"ь":[{"к":[{".":[{},[6,6]]},[2,0,1]],"с":[{},[2,0,1]],"т":[{},[2,0,1]],".":[{},[6]],"б":[{".":[{},[6,6]]}],"-":[{},[8,8]]}],"з":[{"-":[{},[8,8]]},[2,1]],"в":[{".":[{},[6]],"\'":[{"я":[{"з":[{},[3,4,4]]},[0,3,0,4]]}],"а":[{"ж":[{},[3]],"н":[{},[3]]}],"е":[{"д":[{},[3]],"л":[{},[3]],"с":[{"т":[{},[3]]}]}],"и":[{"с":[{"ь":[{},[3]]}],"ч":[{},[3]],"щ":[{},[3]]}],"о":[{"р":[{"у":[{"ш":[{},[3]]}]}]}],"у":[{"к":[{},[3]],"ч":[{},[3]]}],"і":[{"т":[{},[3]]}],"-":[{},[8,8]]}],"г":[{".":[{},[6]],"о":[{"д":[{},[3,4]]}],"-":[{},[8,8]]}],"д":[{".":[{},[6]],"в":[{".":[{},[6,6]]}],"н":[{".":[{},[6,6]]}],"ь":[{".":[{},[6,6]]}],"а":[{"т":[{},[3,4]]}],"о":[{"в":[{"ж":[{},[3,4]]}],"р":[{"о":[{"в":[{},[3,4]]}]}]}],"і":[{"й":[{"с":[{"н":[{},[3,4]]}],"н":[{"я":[{},[0,0,0,0,4]]}]}]}],"-":[{},[8,8]]}],"л":[{".":[{},[6]],"-":[{},[8,8]]}],"м":[{".":[{},[6]],"\'":[{"я":[{},[0,3,0,4]]}],"і":[{"н":[{},[3]],"ш":[{},[3]]}],"-":[{},[8,8]]}],"н":[{".":[{},[6]],"ь":[{".":[{},[6,6]]}],"а":[{"в":[{},[3]],"й":[{"д":[{},[0,0,0,3,4]],"т":[{},[0,0,0,3,4]]},[3]],"к":[{},[3]],"л":[{},[3]],"н":[{},[3]],"т":[{},[3]],"х":[{"о":[{"д":[{},[3]]}]}],"ч":[{},[3]],"ю":[{},[3]],"є":[{},[3]]}],"и":[{"ж":[{},[3]]}],"і":[{"м":[{},[3]]}],"-":[{},[8,8]]}],"р":[{".":[{},[6]],"о":[{"з":[{"у":[{"м":[{},[3]]}]}]}],"ю":[{"в":[{},[3]]}],"і":[{"в":[{},[3]],"л":[{},[3]],"н":[{},[3]]}],"-":[{},[8,8]]}],"а":[{"в":[{"в":[{"і":[{"д":[{},[0,0,4,0,0,4,3]]}]}],"\'":[{"є":[{},[0,0,3,0,4]],"я":[{},[0,0,3,0,4]],"ю":[{},[0,0,3,0,4]]}]}],"о":[{"р":[{},[0,0,5,4]]}],"ю":[{"ш":[{},[0,0,3,4]]}],"м":[{"\'":[{"я":[{},[0,0,3,0,4]]}]}],"я":[{"л":[{"о":[{},[0,0,3,4]]}],"в":[{},[0,0,0,4]]}],"п":[{"ч":[{"а":[{"с":[{"т":[{},[0,0,4,3]]}]}]}]}],"ї":[{"д":[{},[0,0,0,4]],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"х":[{},[0,0,0,4]]}],"у":[{"ч":[{},[0,0,3,4]]}],"к":[{"т":[{},[0,3,4]]}],"й":[{"н":[{"я":[{},[0,0,0,4]]}],"м":[{},[0,0,0,4]]}],"н":[{"а":[{"л":[{"і":[{"з":[{},[0,3,4]]}]}]}]}],"-":[{},[8,8]]}],"і":[{"в":[{"\'":[{"є":[{},[0,0,3,0,4]],"я":[{},[0,0,3,0,4]],"ю":[{},[0,0,3,0,4]]}]}],"м":[{"\'":[{"я":[{},[0,0,3,0,4]]}]}],"-":[{},[8,8]]}],"у":[{"р":[{"о":[{"ч":[{},[0,0,4]]}]}],"д":[{"а":[{"р":[{},[0,3,4]]}]}],"-":[{},[8,8]]}],"б":[{"р":[{"о":[{"й":[{},[3,4,4]],"ю":[{},[3,4,4]],"є":[{},[3,4,4]]}]}],"а":[{"г":[{"а":[{},[3,4]]}],"л":[{"а":[{"н":[{"с":[{},[3,4]]}]}]}]}],"у":[{"в":[{},[3,4]],"т":[{},[3,4]]}],"-":[{},[8,8]]}],"й":[{"о":[{"м":[{},[3]]}],"-":[{},[8,8]]}],"е":[{"к":[{"о":[{"н":[{"о":[{"м":[{"и":[{"т":[{"и":[{},[0,0,4]]}]}]}]}]}]}]}],"-":[{},[8,8]]}],"\'":[{"я":[{"с":[{"о":[{},[3,0,4]]}],"в":[{},[0,0,0,4]]}],"є":[{"д":[{"н":[{},[0,0,4]]}]}],"-":[{},[8,8]]}],"о":[{"к":[{"а":[{},[0,0,4]],"е":[{},[0,0,4]],"и":[{},[0,0,4]],"у":[{},[0,0,4]],"і":[{},[0,0,4]]}],"о":[{},[0,0,6]],"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"є":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"ї":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}]}],"к":[{"б":[{"-":[{},[8,8]]},[2,1]],"г":[{"-":[{},[8,8]]},[2,1]],"д":[{"-":[{},[8,8]]},[2,1]],"з":[{"-":[{},[8,8]]},[2,1]],"с":[{"п":[{},[2,1]],"т":[{".":[{},[6,6]]},[2,1]],"ь":[{"к":[{},[2,1]],".":[{},[6,6]]}],".":[{},[6]],"-":[{},[8,8]]}],"к":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"в":[{".":[{},[6]],"о":[{"ї":[{"д":[{},[0,0,0,0,4]]}]}],"а":[{"р":[{"т":[{"п":[{"л":[{"а":[{"т":[{},[0,0,0,0,4,3]]}]}]}],"и":[{"р":[{"м":[{"е":[{"й":[{"с":[{"т":[{},[0,0,0,0,0,0,4,3]]}]}]}]}]}]}]}]}]}],"-":[{},[8,8]]}],"л":[{".":[{},[6]],"ь":[{".":[{},[6,6]]}],"-":[{},[8,8]]}],"р":[{".":[{},[6]],"а":[{"н":[{"м":[{"е":[{"й":[{"с":[{"т":[{},[0,0,0,4,3]]}]}]}]}]}]}],"-":[{},[8,8]]}],"т":[{".":[{},[6]],"р":[{".":[{},[6,6]]}],"-":[{},[8,8]]}],"х":[{".":[{},[6]],"-":[{},[8,8]]}],"ш":[{".":[{},[6]],"-":[{},[8,8]]}],"о":[{"у":[{"р":[{"о":[{"ч":[{},[0,0,0,4]]}]}]}],"р":[{"о":[{"ї":[{"д":[{},[0,0,0,0,0,4]]}]}]}],"н":[{"т":[{"р":[{"р":[{"е":[{},[0,0,0,4]]}],"а":[{"р":[{"г":[{},[0,0,0,4,0,3]]}]}],"у":[{"д":[{"а":[{"р":[{},[0,0,0,0,0,3,4]]}]}]}]}]}],"ц":[{"е":[{"р":[{"т":[{"м":[{"е":[{"й":[{"с":[{"т":[{},[0,0,0,0,0,4,4,3]]}]}]}]}]}]}]}]}]}],"м":[{"у":[{"н":[{"е":[{"н":[{"е":[{"р":[{"г":[{},[0,0,0,0,4]]}]}]}]}]}]}]}],"-":[{},[8,8]]}],"а":[{"з":[{"а":[{"х":[{"с":[{"т":[{"а":[{"н":[{},[0,0,0,0,4,3]]}]}]}]}]}]}],"н":[{"а":[{"л":[{},[0,0,5]]}]}],"п":[{"е":[{"л":[{"ь":[{"м":[{"е":[{"й":[{"с":[{"т":[{},[0,0,0,0,4,0,3]]}]}]}]}]}]}]}]}],"-":[{},[8,8]]}],"и":[{"ї":[{"в":[{"е":[{"н":[{"е":[{"р":[{},[0,0,0,4]]}]}]}]}]}],"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"е":[{"-":[{},[8,8]]}],"є":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"і":[{"-":[{},[8,8]]}],"ї":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"м":[{"-":[{},[8,8]]}],"н":[{"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]}],"у":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}],"\'":[{"-":[{},[8,8]]}]}],"л":[{"б":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"в":[{"-":[{},[8,8]]},[2,1]],"г":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"ґ":[{"-":[{},[8,8]]},[2,1]],"д":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"ж":[{"-":[{},[8,8]]},[2,1]],"з":[{"-":[{},[8,8]]},[2,1]],"к":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"м":[{".":[{},[6]],"с":[{".":[{},[6,6]]}],"-":[{},[8,8]]},[2,1]],"н":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"п":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"р":[{"-":[{},[8,8]]},[2,1]],"с":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"т":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"ф":[{"-":[{},[8,8]]},[2,1]],"х":[{"в":[{".":[{},[6,6]]}],"-":[{},[8,8]]},[2,1]],"ц":[{"-":[{},[8,8]]},[2,1]],"ч":[{"-":[{},[8,8]]},[2,1]],"ь":[{"б":[{".":[{},[6,6]]},[2,0,1]],"в":[{".":[{},[6,6]]},[2,0,1]],"г":[{".":[{},[6,6]]},[2,0,1]],"д":[{".":[{},[6,6]],"с":[{".":[{},[6,6,6]]}]},[2,0,1]],"ж":[{},[2,0,1]],"з":[{".":[{},[6,6]]},[2,0,1]],"к":[{".":[{},[6,6]]},[2,0,1]],"м":[{".":[{},[6,6]]},[2,0,1]],"н":[{".":[{},[6,6]]},[2,0,1]],"п":[{".":[{},[6,6]]},[2,0,1]],"р":[{},[2,0,1]],"с":[{".":[{},[6,6]],"т":[{"в":[{".":[{},[6,6,6]]}]}],"ь":[{".":[{},[6,6,6]],"к":[{".":[{},[6,6,6]]}]}]},[2,0,1]],"т":[{".":[{},[6,6]],"р":[{".":[{},[6,6,6]]}]},[2,0,1]],"ф":[{".":[{},[6,6]]},[2,0,1]],"х":[{".":[{},[6,6]]},[2,0,1]],"ц":[{".":[{},[6,6]]},[2,0,1]],"ч":[{".":[{},[6,6]]},[2,0,1]],"ш":[{".":[{},[6,6]]},[2,0,1]],"щ":[{".":[{},[6,6]]},[2,0,1]],"й":[{},[2,0,1]],".":[{},[6]],"-":[{},[8,8]]}],"л":[{"я":[{},[3]],"є":[{},[3]],"ю":[{},[3]],".":[{},[6]],"ь":[{".":[{},[6,6]]}],"-":[{},[8,8]]},[2,1]],"а":[{"-":[{},[8,8]]}],"е":[{"-":[{},[8,8]]}],"є":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"і":[{"-":[{},[8,8]]}],"ї":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"о":[{"-":[{},[8,8]]}],"у":[{"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}],"\'":[{"-":[{},[8,8]]}]}],"м":[{"б":[{".":[{},[6]],"л":[{"ь":[{".":[{},[6,6,6]]}]}],"р":[{".":[{},[6,6]]}],"-":[{},[8,8]]},[2,1]],"в":[{"-":[{},[8,8]]},[2,1]],"г":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"д":[{"-":[{},[8,8]]},[2,1]],"ж":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"з":[{"-":[{},[8,8]]},[2,1]],"к":[{".":[{},[6]],"н":[{"е":[{},[3,4,4]],"у":[{},[3,4,4]],"і":[{},[3,4,4]]}],"-":[{},[8,8]]},[2,1]],"л":[{".":[{},[6]],"ь":[{".":[{},[6,6]]}],"-":[{},[8,8]]},[2,1]],"н":[{".":[{},[6]],"о":[{"ж":[{},[3,4]]}],"-":[{},[8,8]]},[2,1]],"п":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"р":[{".":[{},[6]],"і":[{"т":[{"ь":[{},[3,4]]}]}],"-":[{},[8,8]]},[2,1]],"с":[{".":[{},[6]],"т":[{"в":[{".":[{},[6,6,6]]}]}],"ь":[{".":[{},[6,6]],"к":[{".":[{},[6,6,6]]}]}],"-":[{},[8,8]]},[2,1]],"т":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"ф":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"х":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"ц":[{"-":[{},[8,8]]},[2,1]],"ч":[{"-":[{},[8,8]]},[2,1]],"ш":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"щ":[{"е":[{"н":[{},[3,4]]}],"-":[{},[8,8]]},[2,1]],"\'":[{"я":[{"к":[{"ш":[{},[3,0,4]]}],"т":[{},[3,0,4]]}],"-":[{},[8,8]]},[2,0,3]],"м":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"і":[{"н":[{"е":[{"к":[{"о":[{},[0,0,4,5,4]]}],"н":[{"е":[{"р":[{},[0,0,4,5,4]]}]}]}]}],"о":[{},[0,0,4]],"ж":[{"у":[{"с":[{"о":[{"б":[{},[0,0,0,0,4]]}]}]}],"а":[{"в":[{"а":[{"р":[{"і":[{},[0,0,0,3,4]]}]}]}],"н":[{"а":[{"л":[{"і":[{"з":[{},[0,0,0,3,4]]}]}]}]}]}]}],"-":[{},[8,8]]}],"о":[{"к":[{"р":[{"и":[{"й":[{},[0,0,4,5]]}]}]}],"н":[{"а":[{"в":[{"ч":[{},[0,0,0,0,3,4]]}]}]}],"-":[{},[8,8]]}],"е":[{"т":[{"е":[{"о":[{},[0,0,0,0,4]]}]}],"-":[{},[8,8]]}],"а":[{"н":[{"а":[{"л":[{"і":[{"з":[{},[0,3,4]]}]}]}]}],"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"є":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"ї":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"у":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}]}],"н":[{"б":[{"-":[{},[8,8]]},[2,1]],"в":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"г":[{".":[{},[6]],"л":[{".":[{},[6,6]],"ь":[{".":[{},[6,6,6]]}]}],"р":[{".":[{},[6,6]]}],"с":[{".":[{},[6,6]]}],"-":[{},[8,8]]},[2,1]],"д":[{".":[{},[6]],"ж":[{".":[{},[6,6]]}],"з":[{".":[{},[6,6]]}],"п":[{".":[{},[6,6]]}],"р":[{".":[{},[6,6]]}],"-":[{},[8,8]]},[2,1]],"ж":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"з":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"к":[{".":[{},[6]],"с":[{".":[{},[6,6]]}],"т":[{".":[{},[6,6]]}],"-":[{},[8,8]]},[2,1]],"л":[{"-":[{},[8,8]]},[2,1]],"м":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"п":[{"-":[{},[8,8]]},[2,1]],"р":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"с":[{".":[{},[6]],"к":[{".":[{},[6,6]]}],"т":[{".":[{},[6,6]],"в":[{".":[{},[6,6,6]]}],"р":[{".":[{},[6,6,6]]}]}],"ь":[{"к":[{".":[{},[6,6,6]],"й":[{".":[{},[6,6,6]]}]}]}],"-":[{},[8,8]]},[2,1]],"т":[{".":[{},[6]],"к":[{".":[{},[6,6]]}],"р":[{".":[{},[6,6]]}],"с":[{"т":[{"в":[{".":[{},[6,6,6]]}]}]}],"ь":[{".":[{},[6,6]]}],"а":[{"н":[{"а":[{"л":[{"і":[{"з":[{},[0,0,3,4]]}]}]}]}]}],"-":[{},[8,8]]},[2,1]],"ф":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"х":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"ц":[{".":[{},[6]],"ь":[{".":[{},[6,6]]}],"-":[{},[8,8]]},[2,1]],"ч":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"ш":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"щ":[{"-":[{},[8,8]]},[2,1]],"\'":[{"-":[{},[8,8]]},[2,0,3]],"ь":[{"б":[{".":[{},[6,6]]},[2,0,1]],"г":[{".":[{},[6,6]]},[2,0,1]],"з":[{},[2,0,1]],"к":[{".":[{},[6,6]]},[2,0,1]],"л":[{},[2,0,1]],"м":[{},[2,0,1]],"с":[{"ь":[{".":[{},[6,6,6]]}]},[2,0,1]],"т":[{},[2,0,1]],"х":[{},[2,0,1]],"ц":[{},[2,0,1]],"ч":[{},[2,0,1]],"ш":[{},[2,0,1]],"й":[{},[2,0,1]],".":[{},[6]],"-":[{},[8,8]]}],"н":[{"я":[{},[3]],".":[{},[6]],"-":[{},[8,8]]},[2,1]],"е":[{"в":[{"і":[{"д":[{"\'":[{},[0,0,0,0,4,0,3]]},[0,0,0,0,4,3]]}],"т":[{"о":[{"м":[{},[0,0,3,4]]}]}]}],"п":[{"о":[{"в":[{"\'":[{"я":[{},[0,0,0,0,3,0,4]]}]}]}]}],"у":[{"к":[{},[0,0,0,4]],"ч":[{},[0,0,3,4]]}],"д":[{"б":[{"а":[{"н":[{},[0,0,3,4]]}]}],"о":[{"ї":[{},[0,0,0,0,0,4]],"у":[{"ч":[{},[0,0,0,0,3,4]]}]}]}],"з":[{"в":[{"и":[{"ч":[{},[0,0,3,4]]}],"а":[{"ж":[{},[0,0,3,4]]}]}]}],"о":[{"п":[{"а":[{"л":[{},[0,0,0,4]]}]}],"л":[{"і":[{"т":[{},[0,0,4]],"б":[{"е":[{"р":[{},[0,0,4]]}]}]}],"а":[{"н":[{"д":[{"ш":[{},[0,0,4]]}]}]}],"о":[{"г":[{},[0,0,4]]}]}],"м":[{"а":[{"л":[{"ь":[{"т":[{},[0,0,4]]}]}]}]}],"к":[{"л":[{"а":[{"с":[{},[0,0,4]]}]}],"о":[{"м":[{"у":[{"н":[{},[0,0,4]]}]}]}]}],"н":[{"а":[{"ц":[{},[0,0,4]]}]}],"ф":[{"і":[{"т":[{},[0,0,4]]}]}]}],"ї":[{"с":[{"т":[{},[0,0,0,4]]}]}],"я":[{"с":[{"н":[{},[0,0,0,4]]}],"к":[{},[0,0,0,4]],"р":[{"о":[{"к":[{},[0,0,0,4]]}]}]}],"а":[{"б":[{"и":[{},[0,0,0,4]]}]}],"ю":[{"н":[{},[0,0,0,4]]}],"-":[{},[8,8]]}],"а":[{"д":[{"\'":[{},[0,0,4,0,3]],"у":[{"р":[{"о":[{"ч":[{},[0,0,0,0,4]]}]}]}],"з":[{"в":[{},[0,0,4,7,4]]}],"б":[{"а":[{"н":[{},[0,0,3,4]]}]}],"і":[{"с":[{"т":[{"о":[{"р":[{},[0,0,0,0,4]],"т":[{},[0,0,0,0,4]]}]}]}]}],"а":[{"в":[{"а":[{"р":[{"і":[{},[0,0,0,3,4]]}]}]}]}]}],"в":[{"\'":[{"я":[{},[0,0,3,0,4]],"ю":[{},[0,0,3,0,4]]}],"р":[{"я":[{"д":[{},[0,0,3,4]]}]}],"ч":[{"а":[{},[0,0,3,4]],"е":[{"н":[{},[0,0,3,4]]}],"і":[{"т":[{"ь":[{},[0,0,3,4]]}]}]}]}],"м":[{"\'":[{"я":[{},[0,0,3,0,4]]}]}],"й":[{"у":[{"б":[{"о":[{"г":[{},[0,0,4,3,4]]}]}]}],"а":[{"к":[{"т":[{},[0,0,0,0,4]]}]},[0,0,4,3]],"е":[{"ф":[{"е":[{"к":[{"т":[{},[0,0,0,3,4]]}]}]}]},[0,0,4,3]],"о":[{"б":[{"е":[{"р":[{"е":[{"ж":[{},[0,0,4,3]]}]},[0,0,4,7,4]]}],"р":[{"а":[{"з":[{},[0,0,0,3,4]]}]}]}],"г":[{"и":[{"д":[{},[0,0,4,7,4]]}],"о":[{"л":[{},[0,0,4,7,4]]}],"р":[{"я":[{"д":[{},[0,0,4,7,4]]}]}]}],"п":[{"у":[{"к":[{},[0,0,4,7,4]]}]}],"х":[{"а":[{"й":[{},[0,0,4,7,4]]}]}],"с":[{"т":[{"а":[{"н":[{"н":[{},[0,0,0,3,4]]}]}]}]}]}],"м":[{"а":[{"с":[{"л":[{},[0,0,4,3]]}]},[0,0,0,4]]}],"с":[{"п":[{"р":[{"и":[{},[0,0,4,3]]}]}]}],"я":[{"к":[{"і":[{"с":[{},[0,0,4,3]]}]}],"с":[{"н":[{},[0,0,0,3,4]]}]}],"і":[{"с":[{"т":[{"о":[{"р":[{},[0,0,0,3,4]],"т":[{},[0,0,0,0,4]]}]}]}]}],"н":[{"я":[{},[0,0,0,4]]}]}],"о":[{"р":[{},[0,0,0,4]]}],"б":[{"л":[{"и":[{"з":[{},[0,0,3,4]]}]}]}],"з":[{"в":[{},[0,0,3,4]]}],"ї":[{"в":[{"с":[{},[0,0,0,4]],"ш":[{},[0,0,0,4]]}],"ж":[{},[0,0,0,4]],"з":[{},[0,0,0,4]],"л":[{},[0,0,0,4]],"м":[{},[0,0,0,4]],"с":[{},[0,0,0,4]],"х":[{},[0,0,0,4]]}],"п":[{"л":[{"и":[{"в":[{},[0,0,5,4]]}]}],"о":[{"у":[{"м":[{},[0,0,0,0,0,4]]}]}],"і":[{"в":[{"а":[{"в":[{"а":[{"р":[{"і":[{},[0,0,0,0,0,3,4]]}]}]}]}]}]}]}],"у":[{"ч":[{},[0,0,3,4]]}],"я":[{"в":[{},[0,0,0,4]]}],"-":[{},[8,8]]}],"о":[{"м":[{"\'":[{"я":[{},[0,0,3,0,4]]}]}],"к":[{"а":[{"у":[{"т":[{},[0,0,4,3,4]]}]}]}],"-":[{},[8,8]]}],"і":[{"т":[{"р":[{"а":[{"т":[{},[0,0,4,5]]}]}]}],"я":[{"к":[{},[0,0,0,4]]}],"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"є":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"ї":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"у":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}]}],"п":[{"б":[{"-":[{},[8,8]]},[2,1]],"д":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"з":[{"-":[{},[8,8]]},[2,1]],"с":[{"п":[{},[2,1]],"т":[{"в":[{".":[{},[6,6,6]]}]},[2,1]],"ь":[{"к":[{},[2,1]],".":[{},[6,6]]}],".":[{},[6]],"к":[{"о":[{"в":[{},[3,4,4]]}]}],"о":[{"в":[{},[3,4]],"н":[{},[3,4]]}],"у":[{"в":[{},[3,4]]}],"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]},[2,1]],"л":[{".":[{},[6]],"-":[{},[8,8]]}],"р":[{".":[{},[6]],"о":[{"ф":[{"в":[{"і":[{"д":[{},[0,0,0,4,3,0,4,3]]}]}],"с":[{},[0,0,0,4,3]]}],"ї":[{},[0,0,0,0,4]],"с":[{"т":[{"и":[{"р":[{"а":[{"д":[{},[0,0,0,3,4]]}]}]}]}]}],"е":[{"к":[{"т":[{"н":[{},[0,0,0,4,0,0,3]]}]}]}],"б":[{"л":[{"е":[{"м":[{},[0,0,0,3,4]]}]}]}],"м":[{"м":[{"а":[{"й":[{},[0,0,0,4,3]]}]}]}],"п":[{"л":[{"а":[{"т":[{},[0,0,4,5]]}]}]}],"я":[{"с":[{"н":[{},[0,0,0,0,4]]}]}],"й":[{"м":[{},[0,0,0,0,4]]}]},[3,4]],"е":[{"й":[{"с":[{},[0,0,0,4,4]]}]},[3,4]],"и":[{"ї":[{},[0,0,0,0,4]],"в":[{"\'":[{"я":[{},[0,0,0,3,0,4]]}]}],"м":[{"\'":[{"я":[{},[0,0,0,3,0,4]]}]}],"у":[{"р":[{"о":[{"ч":[{},[0,0,0,0,4]]}]}]}],"о":[{"р":[{},[0,0,0,0,4]]}],"й":[{"т":[{},[0,0,0,3,4]],"д":[{},[0,0,0,3,4]],"м":[{},[0,0,0,0,4]]}],"н":[{"ц":[{"и":[{"п":[{},[0,0,0,4]]}]}]}]},[3,4]],"і":[{},[3,4]],"-":[{},[8,8]]}],"т":[{".":[{},[6]],"р":[{".":[{},[6,6]]}],"-":[{},[8,8]]}],"ф":[{".":[{},[6]],"-":[{},[8,8]]}],"ц":[{".":[{},[6]],"-":[{},[8,8]]}],"о":[{"о":[{"р":[{},[0,0,5,4]]}],"в":[{"\'":[{"є":[{},[0,0,3,0,4]],"я":[{},[0,0,3,0,4]],"ю":[{},[0,0,3,0,4]]}],"т":[{"о":[{"р":[{},[0,0,3,4]]}]}],"ч":[{"е":[{"н":[{},[0,0,3,4]]}],"і":[{"т":[{"ь":[{},[0,0,3,4]]}]}],"а":[{},[0,0,3,4]]}]}],"м":[{"\'":[{"я":[{},[0,0,3,0,4]]}]}],"з":[{"а":[{"у":[{"р":[{"о":[{"ч":[{},[0,0,0,0,0,4]]}]}]}]}],"б":[{"а":[{"в":[{},[0,0,5,4]]}]}]}],"у":[{"р":[{"о":[{"ч":[{},[0,0,0,4]]}]}]}],"б":[{"л":[{"и":[{"з":[{"у":[{},[0,0,3,4]]}]}]}],"е":[{"р":[{"е":[{},[0,4,5]]}]}]}],"ч":[{"н":[{"е":[{},[0,0,0,4]],"и":[{},[0,0,0,4]],"у":[{},[0,0,0,4]]}]}],"я":[{"в":[{},[0,0,0,4]],"с":[{"н":[{},[0,0,0,4]]},[0,0,0,4]]}],"д":[{"р":[{"о":[{"б":[{},[0,0,3,4]]}],"а":[{"з":[{},[0,0,3,4]]}]}],"в":[{"о":[{},[0,0,3,4]]}]}],"ж":[{"н":[{"і":[{"т":[{"ь":[{},[0,0,5,4]]}]}]}]}],"ї":[{"д":[{},[0,0,0,4]],"з":[{"д":[{},[0,0,0,4]]}]}],"с":[{"т":[{"р":[{"а":[{"д":[{"я":[{"н":[{},[0,0,4,4,5]]}],"і":[{},[0,0,4,4,3]]}]}]}],"к":[{"о":[{"м":[{"у":[{},[0,0,4,4,5]]},[0,0,0,4,3]],"н":[{"т":[{"р":[{"а":[{},[0,0,4,4,3]]}]}]}]}],"а":[{"п":[{},[0,0,0,4,3]]}]}],"д":[{"е":[{"к":[{"р":[{},[0,0,4,4,3]]}]}]}],"м":[{"е":[{"н":[{"о":[{"п":[{"а":[{"у":[{"з":[{},[0,0,4,4,3]]}]}]}]}]}]}]}],"п":[{"р":[{"и":[{"в":[{"а":[{"т":[{},[0,0,4,4]]}]}]}],"о":[{"ц":[{},[0,0,0,4,3]]}]}]}],"с":[{"о":[{"ц":[{"і":[{},[0,0,4,4,5]]},[0,0,0,4,3]]}]}],"н":[{"а":[{"т":[{},[0,0,0,4,3]]}]}],"ф":[{"і":[{"к":[{"с":[{},[0,0,0,4,3]]}]}]}],"і":[{"с":[{"т":[{"о":[{"р":[{},[0,0,0,0,3,4]]}]}]}]}],"а":[{"в":[{"а":[{"р":[{"і":[{},[0,0,0,0,3,4]]}]}]}]}]}]}],"л":[{"і":[{"т":[{"е":[{"к":[{"о":[{"н":[{},[0,0,0,0,4,5]]}]}]}]}],"о":[{},[0,0,0,0,4]],"ц":[{"м":[{"е":[{"й":[{"с":[{"т":[{},[0,0,0,0,4,3]]}]}]}]}]}],"а":[{"н":[{"а":[{"л":[{"і":[{"з":[{},[0,0,0,0,3,4]]}]}]}]}]}]}]}],"р":[{"т":[{"н":[{},[0,0,0,4,3]],"р":[{"е":[{"т":[{},[0,0,0,4,3]]}]}],"ф":[{"е":[{"л":[{},[0,0,0,4,3]]}]}]}]}],"ш":[{"т":[{"м":[{"е":[{"й":[{"с":[{"т":[{},[0,0,4,4,3]]}]}]}]}]}]}],"-":[{},[8,8]]}],"е":[{"р":[{"е":[{"о":[{"р":[{},[0,0,0,0,5,4]]}],"м":[{"\'":[{"я":[{},[0,0,0,0,3,0,4]]}]}],"ї":[{"д":[{},[0,0,0,0,0,4]],"ж":[{},[0,0,0,0,0,4]],"з":[{},[0,0,0,0,0,4]],"л":[{},[0,0,0,0,0,4]],"с":[{},[0,0,0,0,0,4]],"х":[{},[0,0,0,0,0,4]]}],"п":[{"л":[{"и":[{"в":[{},[0,0,0,0,5,4]]}]}]}],"й":[{"д":[{},[0,0,0,0,3,4]],"т":[{},[0,0,0,0,3,4]],"н":[{"я":[{},[0,0,0,0,0,4]]}],"м":[{},[0,0,0,0,0,4]]}],"г":[{"н":[{"і":[{"й":[{},[0,0,0,0,0,4]]}]}]}],"д":[{"о":[{"б":[{"і":[{"д":[{},[0,0,0,0,0,5,4]]}]}],"с":[{"т":[{"а":[{"н":[{"н":[{},[0,0,0,0,0,3,4]]}]}]}]}],"п":[{"л":[{"а":[{},[0,0,0,0,0,3,4]]}]}]}],"с":[{"м":[{},[0,0,0,0,4,5]]}],"у":[{"м":[{"о":[{"в":[{},[0,0,0,0,0,5,4]]}]}]}],"і":[{"с":[{"т":[{"о":[{"р":[{},[0,0,0,0,0,3,4]]}]}]}]}],"а":[{"в":[{"а":[{"р":[{"і":[{},[0,0,0,0,0,3,4]]}]}]}]}]}],"в":[{"т":[{"о":[{"м":[{},[0,0,0,0,3,4]]}]}]}],"у":[{"ч":[{},[0,0,0,0,3,4]]}]}]}],"д":[{"у":[{"ч":[{"и":[{},[0,0,0,3,4]]}]}]}],"-":[{},[8,8]]}],"і":[{"д":[{"о":[{"р":[{},[0,0,6,5,4]],"д":[{"и":[{"н":[{},[0,0,0,5,4]]}]}]}],"в":[{"\'":[{"я":[{},[0,0,0,3,0,4]]}]}],"і":[{"м":[{"\'":[{"я":[{},[0,0,0,0,3,0,4]]}]}],"й":[{"н":[{"я":[{},[0,0,0,0,0,4]]}]}]}],"у":[{"ч":[{},[0,0,0,3,4]]}]}],"в":[{"о":[{"с":[{"т":[{"р":[{},[0,0,0,5,4,4]]}]},[0,0,0,0,4]],"н":[{"і":[{},[0,0,5,4]]}],"в":[{"а":[{"л":[{},[0,0,0,3,4]]}]}]}],"е":[{"н":[{"ь":[{},[0,0,5,4]]}]}],"і":[{"с":[{"т":[{"о":[{"р":[{},[0,0,0,3,4]]}]}]}]}],"а":[{"к":[{"т":[{},[0,0,0,0,4]]}]}],"у":[{"г":[{"о":[{"д":[{},[0,0,0,3,4]]}]}]}]}],"й":[{"м":[{},[0,0,0,4]]}],"-":[{},[8,8]]}],"а":[{"л":[{"е":[{"о":[{},[0,0,0,0,4]]}]}],"н":[{"о":[{"т":[{"е":[{"ц":[{"ь":[{},[0,0,4,3,4]]}]}]}]}],"е":[{"с":[{"т":[{"е":[{"т":[{},[0,0,0,3,4]]}]}]}]}]}],"р":[{"е":[{"с":[{"т":[{"е":[{"т":[{},[0,0,0,3,4]]}]}]}]}]}],"-":[{},[8,8]]}],"в":[{"-":[{},[8,8]]}],"г":[{"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"є":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"ї":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"к":[{"-":[{},[8,8]]}],"м":[{"-":[{},[8,8]]}],"н":[{"-":[{},[8,8]]}],"у":[{"-":[{},[8,8]]}],"х":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}],"\'":[{"-":[{},[8,8]]}]}],"р":[{"б":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"в":[{".":[{},[6]],"а":[{"в":[{},[3,4]],"т":[{"и":[{},[3,4]]}]}],"і":[{"т":[{"ь":[{},[3,4]]}]}],"-":[{},[8,8]]},[2,1]],"г":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"ґ":[{"-":[{},[8,8]]},[2,1]],"д":[{".":[{},[6]],"в":[{".":[{},[6,6]]}],"ж":[{".":[{},[6,6]]}],"ь":[{".":[{},[6,6]]}],"-":[{},[8,8]]},[2,1]],"ж":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"з":[{".":[{},[6]],"н":[{".":[{},[6,6]]}],"ь":[{".":[{},[6,6]]}],"-":[{},[8,8]]},[2,1]],"к":[{".":[{},[6]],"с":[{".":[{},[6,6]]}],"т":[{".":[{},[6,6]]}],"-":[{},[8,8]]},[2,1]],"л":[{".":[{},[6]],"ь":[{".":[{},[6,6]],"з":[{".":[{},[6,6,6]]}]}],"-":[{},[8,8]]},[2,1]],"м":[{".":[{},[6]],"о":[{"ї":[{"д":[{},[0,0,0,0,4]]}]}],"-":[{},[8,8]]},[2,1]],"н":[{".":[{},[6]],"с":[{".":[{},[6,6]],"т":[{".":[{},[6,6,6]]}]}],"ь":[{".":[{},[6,6]]}],"-":[{},[8,8]]},[2,1]],"п":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"с":[{".":[{},[6]],"р":[{".":[{},[6,6]]}],"т":[{".":[{},[6,6]],"в":[{".":[{},[6,6,6]]}],"ь":[{".":[{},[6,6,6]]}]}],"ь":[{".":[{},[6,6]],"к":[{".":[{},[6,6,6]]}]}],"-":[{},[8,8]]},[2,1]],"т":[{".":[{},[6]],"в":[{".":[{},[6,6]]}],"р":[{".":[{},[6,6]]}],"ь":[{".":[{},[6,6]]}],"-":[{},[8,8]]},[2,1]],"ф":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"х":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"ц":[{".":[{},[6]],"ь":[{".":[{},[6,6]]}],"-":[{},[8,8]]},[2,1]],"ч":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"ш":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"щ":[{".":[{},[6]],"с":[{"ь":[{".":[{},[6,6,6]]}]}],"-":[{},[8,8]]},[2,1]],"й":[{"-":[{},[8,8]]},[2,1]],"\'":[{"-":[{},[8,8]]},[2,0,3]],"ь":[{"к":[{},[2,0,1]],"ц":[{},[2,0,1]],".":[{},[6]],"-":[{},[8,8]]}],"р":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"о":[{"з":[{"й":[{"о":[{"м":[{},[0,0,5,4]]}]}],"д":[{"в":[{"о":[{},[0,0,4,5,4]]}],"і":[{"л":[{},[0,0,4,5]]}]}],"м":[{"і":[{"н":[{"н":[{"и":[{"й":[{},[0,0,4,5]]}]}]}]}]}],"у":[{"ч":[{"е":[{"н":[{},[0,0,0,5,4]]}]}],"м":[{},[0,0,5,4]],"г":[{"о":[{"д":[{},[0,0,0,3,4]]}]}]}],"і":[{"м":[{"е":[{"н":[{},[0,0,0,5,4]]}]}]}],"в":[{"а":[{"н":[{"т":[{},[0,0,0,5]]}]}],"и":[{"н":[{},[0,0,0,5]],"т":[{},[0,0,0,5]]}],"е":[{"р":[{},[0,0,4,5]]}]}],"г":[{"о":[{"р":[{},[0,0,4,5]]}],"р":[{"о":[{"м":[{},[0,0,4,3]]}]}]}],"ч":[{"е":[{"п":[{},[0,0,4,5]]}]}],"\'":[{"є":[{"д":[{"н":[{},[0,0,4,0,5]]}]}],"я":[{"с":[{"н":[{},[0,0,0,0,0,4]]}],"р":[{},[0,0,0,0,0,4]]}]}],"л":[{"и":[{"в":[{},[0,0,4,3]]}]}],"о":[{"р":[{"а":[{".":[{},[0,0,5,4]],"м":[{},[0,0,5,4,5]],"х":[{},[0,0,5,4]]},[0,0,0,0,4]],"и":[{".":[{},[0,0,6,5,4]]},[0,0,5,4]],"о":[{},[0,0,5,4]],"у":[{},[0,0,5,4]],"я":[{},[0,0,5,4]],"ю":[{},[0,0,5,4]],"і":[{},[0,0,5,4]],"е":[{"ш":[{},[0,0,0,0,4]]},[0,0,0,0,4]],"н":[{},[0,0,0,0,4]]}]}]}],"-":[{},[8,8]]}],"а":[{"д":[{"і":[{"о":[{},[0,0,0,0,4]]}]}],"й":[{"в":[{"н":[{"о":[{},[0,0,0,3,4]]}]}]}],"-":[{},[8,8]]}],"у":[{"к":[{"о":[{"с":[{"т":[{"и":[{"с":[{"к":[{},[0,0,0,0,5,4]]}]}]}]}]}]}],"-":[{},[8,8]]}],"е":[{"а":[{"н":[{"а":[{"л":[{"і":[{"з":[{},[0,0,3,4]]}]}]}]}]}],"-":[{},[8,8]]}],"є":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"і":[{"-":[{},[8,8]]}],"ї":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}]}],"с":[{"б":[{"-":[{},[8,8]]},[2,1]],"г":[{"-":[{},[8,8]]},[2,1]],"д":[{"п":[{".":[{},[6,6]]}],"р":[{"п":[{".":[{},[6,6,6]]}]}],"-":[{},[8,8]]},[2,1]],"ь":[{"б":[{".":[{},[6,6]]},[2,0,1]],"д":[{},[2,0,1]],"к":[{"к":[{},[2,0,1]],"с":[{},[2,0,1]],"т":[{},[2,0,1]],".":[{},[6,6]],"в":[{"у":[{"г":[{},[0,0,4]]}]}]}],".":[{},[6]],"м":[{".":[{},[6,6]]}],"-":[{},[8,8]]}],"п":[{"к":[{},[2,1]],"п":[{},[2,1]],"с":[{},[2,1]],"т":[{},[2,1]],"х":[{},[2,1]],"ч":[{},[2,1]],".":[{},[6]],"е":[{"ц":[{"в":[{"і":[{"д":[{},[0,0,0,4,3,0,4,3]]}]}],"к":[{"у":[{"р":[{},[0,0,0,4,3]]}]}],"м":[{"о":[{"н":[{},[0,0,0,4,3]]}]}],"п":[{"р":[{},[0,0,0,4]]}],"с":[{},[0,0,0,4,3]]}],"к":[{"т":[{},[3,4]]}],"р":[{"м":[{},[3,4]]}]}],"і":[{"в":[{"в":[{"і":[{"д":[{},[0,0,0,0,0,0,4,3]]}]}]}],"т":[{"ь":[{},[3,4]]}],"ш":[{},[3,4]]},[3,4]],"л":[{"а":[{"в":[{},[3,4,4]],"т":[{},[3,4,4]],"ч":[{},[3,4,4]]}]}],"р":[{"а":[{"в":[{},[3,4,4]]}],"и":[{"т":[{"н":[{},[3,4,4]]}],"я":[{"т":[{},[3,4,4]]}]}],"о":[{"м":[{"о":[{"ж":[{},[3,4]]},[3,4,4]]}]}]}],"а":[{"д":[{},[3,4]]}],"и":[{"н":[{},[3,4]]}],"о":[{"в":[{"і":[{"д":[{},[3,4]]}]}],"ж":[{"и":[{"в":[{},[3,4]]}]}],"с":[{"т":[{"е":[{"р":[{},[3,4]]}]}]}],"р":[{"т":[{"в":[{"и":[{"р":[{},[0,0,0,0,4,3]]}]}],"з":[{"а":[{"л":[{},[0,0,0,0,4,3]]}]}],"к":[{"о":[{"м":[{},[0,0,0,0,4,3]]}],"л":[{"у":[{"б":[{},[0,0,0,0,4,3]]}]}]}],"м":[{"а":[{"й":[{},[0,0,0,0,4,3]]}]}],"с":[{"м":[{"е":[{},[0,0,0,0,4,4,3]]}]}]}]}]}],"-":[{},[8,8]]}],"с":[{"ь":[{"к":[{},[2,1]]}],".":[{},[6]],"-":[{},[8,8]]},[2,1]],"т":[{"к":[{},[2,1]],"п":[{},[2,1]],"с":[{"ь":[{},[2,1]]},[2,1]],"т":[{},[2,1]],"ф":[{},[2,1]],"ц":[{},[2,1]],".":[{},[6]],"в":[{".":[{},[6,6]],"о":[{"р":[{},[3,4,4]]}]}],"й":[{".":[{},[6,6]]}],"м":[{".":[{},[6,6]]}],"р":[{".":[{},[6,6]],"ь":[{".":[{},[6,6,6]]}],"а":[{"ж":[{"д":[{},[3,4,4]]}],"х":[{},[3,4,4]]}],"и":[{"б":[{},[3,4,4]],"ж":[{},[3,4,4]]}],"о":[{"й":[{},[3,4,4]],"к":[{},[3,4,4]],"м":[{},[3,4,4]],"ф":[{},[3,4,4]],"ч":[{},[3,4,4]],"ю":[{},[3,4,4]],"я":[{},[3,4,4]],"є":[{},[3,4,4]],"ї":[{},[3,4,4]]}],"у":[{"к":[{"т":[{},[3,4,4]],"ц":[{},[3,4,4]]}]}],"і":[{"й":[{},[3,4,4]],"л":[{},[3,4,4]],"ч":[{},[3,4,4]]}]}],"ь":[{".":[{},[6,6]]}],"а":[{"б":[{"і":[{"л":[{},[3,4]]}]}],"в":[{},[3,4]],"д":[{},[3,4]],"з":[{},[3,4]],"й":[{"н":[{},[3,4]]}],"л":[{},[3,4]],"н":[{},[3,4]],"р":[{"а":[{},[3,4]]},[3,4]],"т":[{"у":[{"п":[{"р":[{},[0,0,0,0,5]]}]}]},[3,4]],"ч":[{},[3,4]],"є":[{},[3,4]]}],"е":[{"п":[{},[3,4]],"р":[{"е":[{"ж":[{},[3,4]]}],"і":[{"г":[{},[3,4]]}]}]}],"и":[{"г":[{},[3,4]],"ж":[{},[3,4]],"с":[{"л":[{},[3,4]]}],"т":[{"у":[{},[3,4]]}]}],"о":[{"в":[{"б":[{},[3,4]]}],"й":[{},[3,4]],"р":[{"о":[{"н":[{},[3,4]]}],"і":[{"н":[{},[3,4]]}]}],"с":[{"о":[{},[3,4]],"у":[{},[3,4]]}],"ю":[{},[3,4]],"я":[{"н":[{},[3,4]]}]}],"у":[{"п":[{},[3,4]]}],"я":[{"г":[{},[3,4]]}],"і":[{"б":[{},[3,4]],"й":[{},[3,4]],"л":[{"ь":[{},[3,4]]}],"р":[{},[3,4]]}],"-":[{},[8,8]]}],"ш":[{"т":[{},[2,1]],"-":[{},[8,8]]}],"к":[{".":[{},[6]],"л":[{"а":[{"д":[{},[3,4,4]]}],"е":[{},[3,4,4]],"и":[{"т":[{},[3,4,4]]}],"о":[{},[3,4,4]]}],"р":[{"и":[{"п":[{"т":[{},[3,4,4]]}]}]}],"и":[{"д":[{},[3,4]]}],"о":[{"к":[{},[3,4]],"п":[{},[3,4]],"р":[{"о":[{"ч":[{},[3,4]]}]},[3,4]],"ч":[{},[3,4]]}],"і":[{"л":[{"ь":[{},[3,4]]}],"п":[{"л":[{},[3,4]]}]}],"-":[{},[8,8]]}],"л":[{".":[{},[6]],"ь":[{".":[{},[6,6]]}],"-":[{},[8,8]]}],"м":[{".":[{},[6]],"-":[{},[8,8]]}],"н":[{".":[{},[6]],"-":[{},[8,8]]}],"ц":[{"ь":[{".":[{},[6,6]]}],"-":[{},[8,8]]}],"у":[{"м":[{"\'":[{"я":[{},[0,0,3,0,4]]}]}],"п":[{"е":[{"р":[{"о":[{"б":[{"р":[{"а":[{"з":[{},[0,0,0,0,0,3,4]]}]}]}]}],"а":[{"в":[{"а":[{"р":[{"і":[{},[0,0,0,0,0,3,4]]}]}]}]}],"е":[{"ф":[{"е":[{"к":[{"т":[{},[0,0,0,0,0,3,4]]}]}]}]}]}]}]}],"-":[{},[8,8]]}],"ф":[{"е":[{"р":[{},[3,4]]}],"-":[{},[8,8]]}],"х":[{"и":[{"л":[{},[3,4]]}],"о":[{"в":[{},[3,4]]}],"і":[{"д":[{},[3,4]]}],"-":[{},[8,8]]}],"а":[{"н":[{"к":[{"т":[{},[0,0,0,4,4,3]]}]}],"м":[{"о":[{"у":[{"ч":[{},[0,0,0,0,3,4]]}]}]}],"-":[{},[8,8]]}],"е":[{"ї":[{"д":[{},[0,0,0,4]]}],"р":[{"ц":[{"е":[{"ї":[{"д":[{},[0,0,0,0,0,0,4]]}]}]}]}],"-":[{},[8,8]]}],"о":[{"р":[{"т":[{"н":[{},[0,0,0,4]]}]}],"ц":[{"і":[{"о":[{},[0,0,0,0,4]]}]}],"-":[{},[8,8]]}],"в":[{"о":[{"є":[{"ч":[{"а":[{"с":[{},[0,0,0,4]]}]}],"к":[{"о":[{"р":[{"и":[{"с":[{},[0,0,0,4]]}]}]}]}],"р":[{"і":[{"д":[{},[0,0,0,4]]}]}]}]}],"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"є":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"з":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"і":[{"-":[{},[8,8]]}],"ї":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"р":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}],"\'":[{"-":[{},[8,8]]}]}],"т":[{"б":[{"-":[{},[8,8]]},[2,1]],"г":[{"-":[{},[8,8]]},[2,1]],"д":[{"-":[{},[8,8]]},[2,1]],"ж":[{"-":[{},[8,8]]},[2,1]],"з":[{"т":[{".":[{},[6,6]]}],"-":[{},[8,8]]},[2,1]],"ь":[{"б":[{},[2,0,1]],".":[{},[6]],"с":[{"ь":[{".":[{},[6,6,6]]}]}],"м":[{"а":[{"р":[{},[3,4,4]]}],"я":[{"н":[{"і":[{},[3,4,4]]}]}]}],"-":[{},[8,8]]}],"с":[{"к":[{},[2,1]],"п":[{},[2,1]],"т":[{"в":[{".":[{},[6,6,6]]}]},[2,1]],"ь":[{"к":[{".":[{},[6,6,6]]},[2,1]]}],".":[{},[6]],"-":[{},[8,8]]}],"ш":[{"к":[{},[2,1]],"-":[{},[8,8]]}],"т":[{"я":[{},[3]],"ю":[{},[3]],".":[{},[6]],"-":[{},[8,8]]},[2,1]],"в":[{".":[{},[6]],"т":[{".":[{},[6,6]]}],"-":[{},[8,8]]}],"л":[{".":[{},[6]],"ь":[{".":[{},[6,6]]}],"-":[{},[8,8]]}],"м":[{".":[{},[6]],"р":[{".":[{},[6,6]]}],"-":[{},[8,8]]}],"р":[{".":[{},[6]],"а":[{"н":[{"с":[{},[0,0,0,0,4,3]]}]}],"-":[{},[8,8]]}],"ц":[{".":[{},[6]],"-":[{},[8,8]]}],"ч":[{".":[{},[6]],"-":[{},[8,8]]}],"е":[{"х":[{"в":[{"і":[{"д":[{},[0,0,4,3,0,4,3]]}]}]}],"о":[{"д":[{"о":[{"л":[{"і":[{"т":[{},[0,0,4]]}]}]}]}],"л":[{"о":[{"г":[{},[0,0,4]]}]}],"с":[{"о":[{"ф":[{},[0,0,4]]}]}]}],"-":[{},[8,8]]}],"к":[{"н":[{"е":[{"н":[{},[3,4,4]]}]}],"а":[{"н":[{},[3,4]]}],"-":[{},[8,8]]}],"о":[{"р":[{"г":[{"п":[{"р":[{"е":[{"д":[{},[0,0,0,4,3]]}]}]}]}]}],"-":[{},[8,8]]}],"у":[{"р":[{"к":[{"м":[{"е":[{"н":[{},[0,0,0,4,3]]}]}]}]}],"-":[{},[8,8]]}],"а":[{"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"є":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"і":[{"-":[{},[8,8]]}],"ї":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"н":[{"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"х":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}],"\'":[{"-":[{},[8,8]]}]}],"ф":[{"б":[{"-":[{},[8,8]]},[2,1]],"г":[{"-":[{},[8,8]]},[2,1]],"з":[{"-":[{},[8,8]]},[2,1]],"с":[{"п":[{},[2,1]],"т":[{"в":[{".":[{},[6,6,6]]}]},[2,1]],"ь":[{"к":[{},[2,1]]}],"-":[{},[8,8]]}],"ш":[{"т":[{},[2,1]],"-":[{},[8,8]]}],"ф":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"м":[{".":[{},[6]],"-":[{},[8,8]]}],"р":[{".":[{},[6]],"-":[{},[8,8]]}],"т":[{".":[{},[6]],"ь":[{".":[{},[6,6]]}],"-":[{},[8,8]]}],"ь":[{".":[{},[6]],"-":[{},[8,8]]}],"і":[{"з":[{"і":[{"о":[{},[0,0,0,0,4]]}]}],"-":[{},[8,8]]}],"о":[{"р":[{"с":[{"т":[{"м":[{"е":[{"й":[{"с":[{"т":[{},[0,0,4,4,4,3]]}]}]}]}]}]}]}],"-":[{},[8,8]]}],"а":[{"-":[{},[8,8]]}],"в":[{"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"д":[{"-":[{},[8,8]]}],"е":[{"-":[{},[8,8]]}],"є":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"ї":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"к":[{"-":[{},[8,8]]}],"л":[{"-":[{},[8,8]]}],"н":[{"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]}],"у":[{"-":[{},[8,8]]}],"х":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}],"\'":[{"-":[{},[8,8]]}]}],"х":[{"г":[{"-":[{},[8,8]]},[2,1]],"д":[{"-":[{},[8,8]]},[2,1]],"с":[{"т":[{},[2,1]],"ь":[{"к":[{},[2,1]]}],"-":[{},[8,8]]}],"х":[{"-":[{},[8,8]]},[2,1]],"в":[{".":[{},[6]],"о":[{"є":[{"г":[{"р":[{"и":[{"з":[{},[0,0,0,4,3,4]]}]}]}]}]}],"-":[{},[8,8]]}],"м":[{".":[{},[6]],"-":[{},[8,8]]}],"н":[{".":[{},[6]],"-":[{},[8,8]]}],"р":[{".":[{},[6]],"-":[{},[8,8]]}],"т":[{".":[{},[6]],"о":[{},[3,4]],"-":[{},[8,8]]}],"ш":[{".":[{},[6]],"-":[{},[8,8]]}],"і":[{"м":[{"і":[{"о":[{},[0,0,0,0,4]]}]}],"-":[{},[8,8]]}],"о":[{"к":[{"и":[{"с":[{"л":[{},[0,3,4]]}]}]}],"р":[{"м":[{"е":[{"й":[{"с":[{"т":[{},[0,0,4,3]]}]}]}]}]}],"-":[{},[8,8]]}],"а":[{"-":[{},[8,8]]}],"б":[{"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"е":[{"-":[{},[8,8]]}],"є":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"з":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"ї":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"к":[{"-":[{},[8,8]]}],"л":[{"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]}],"у":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}],"\'":[{"-":[{},[8,8]]}]}],"ц":[{"б":[{"-":[{},[8,8]]},[2,1]],"г":[{"-":[{},[8,8]]},[2,1]],"д":[{"-":[{},[8,8]]},[2,1]],"з":[{"-":[{},[8,8]]},[2,1]],"с":[{"т":[{},[2,1]],"-":[{},[8,8]]}],"ш":[{"к":[{},[2,1]],"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]},[2,1]],"т":[{"в":[{".":[{},[6,6]]}],"-":[{},[8,8]]}],"ь":[{".":[{},[6]],"к":[{".":[{},[6,6]]}],"-":[{},[8,8]]}],"у":[{"к":[{"р":[{"о":[{},[0,0,0,3]]}]}],"-":[{},[8,8]]}],"е":[{"н":[{"т":[{"р":[{"е":[{"н":[{"е":[{"р":[{"г":[{},[0,0,0,4,4,3]]}]}]}]}]}]}]}],"-":[{},[8,8]]}],"а":[{"н":[{"а":[{"л":[{"і":[{"з":[{},[0,3,4]]}]}]}]}],"-":[{},[8,8]]}],"в":[{"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"є":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"і":[{"-":[{},[8,8]]}],"ї":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"к":[{"-":[{},[8,8]]}],"л":[{"-":[{},[8,8]]}],"м":[{"-":[{},[8,8]]}],"н":[{"-":[{},[8,8]]}],"о":[{"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]}],"р":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"х":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}],"\'":[{"-":[{},[8,8]]}]}],"ч":[{"б":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"д":[{"-":[{},[8,8]]},[2,1]],"ж":[{"-":[{},[8,8]]},[2,1]],"ч":[{"-":[{},[8,8]]},[2,1]],"м":[{".":[{},[6]],"-":[{},[8,8]]}],"н":[{".":[{},[6]],"-":[{},[8,8]]}],"т":[{".":[{},[6]],"-":[{},[8,8]]}],"о":[{"р":[{"н":[{"о":[{"б":[{"р":[{"и":[{"в":[{},[0,0,0,0,0,3,4]]}]}]}]}]}]}],"-":[{},[8,8]]}],"а":[{"-":[{},[8,8]]}],"в":[{"-":[{},[8,8]]}],"г":[{"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"е":[{"-":[{},[8,8]]}],"є":[{"-":[{},[8,8]]}],"з":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"і":[{"-":[{},[8,8]]}],"ї":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"к":[{"-":[{},[8,8]]}],"л":[{"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]}],"р":[{"-":[{},[8,8]]}],"с":[{"-":[{},[8,8]]}],"у":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"х":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}],"\'":[{"-":[{},[8,8]]}]}],"ш":[{"б":[{"-":[{},[8,8]]},[2,1]],"г":[{"-":[{},[8,8]]},[2,1]],"т":[{"к":[{},[2,1]],"с":[{"ь":[{},[2,1]]}],".":[{},[6]],"в":[{".":[{},[6,6]]}],"а":[{"б":[{},[3,4]],"л":[{"м":[{"е":[{"й":[{"с":[{"т":[{},[0,0,0,4,3]]}]}]}]}]}]}],"у":[{"ч":[{},[3,4]]}],"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]},[2,1]],"в":[{".":[{},[6]],"-":[{},[8,8]]}],"л":[{"ь":[{".":[{},[6,6]]}],"-":[{},[8,8]]}],"м":[{".":[{},[6]],"-":[{},[8,8]]}],"н":[{".":[{},[6]],"л":[{".":[{},[6,6]]}],"-":[{},[8,8]]}],"с":[{"ь":[{".":[{},[6,6]]}],"-":[{},[8,8]]}],"к":[{"о":[{"д":[{},[3,4]],"л":[{},[3,4]]}],"і":[{"д":[{"л":[{},[3,4]]}],"л":[{},[3,4]],"р":[{},[3,4]]}],"-":[{},[8,8]]}],"а":[{"п":[{"і":[{"т":[{"м":[{"е":[{"й":[{"с":[{"т":[{},[0,0,0,0,4,3]]}]}]}]}]}]}]}],"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"д":[{"-":[{},[8,8]]}],"е":[{"-":[{},[8,8]]}],"є":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"з":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"і":[{"-":[{},[8,8]]}],"ї":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"о":[{"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]}],"р":[{"-":[{},[8,8]]}],"у":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"х":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}],"\'":[{"-":[{},[8,8]]}]}],"й":[{"б":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"в":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"г":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"д":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"ж":[{"-":[{},[8,8]]},[2,1]],"з":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"к":[{".":[{},[6]],"л":[{".":[{},[6,6]]}],"-":[{},[8,8]]},[2,1]],"л":[{".":[{},[6]],"ь":[{".":[{},[6,6]]}],"-":[{},[8,8]]},[2,1]],"м":[{".":[{},[6]],"с":[{".":[{},[6,6]]}],"а":[{},[3,4]],"е":[{"н":[{"н":[{},[3,4]]}]}],"и":[{"щ":[{},[3,4]]}],"о":[{"в":[{"і":[{"р":[{"н":[{},[3,4]]}]}]}]}],"у":[{".":[{},[3,4]],"т":[{"ь":[{},[3,4]]}]}],"і":[{"т":[{"ь":[{},[3,4]]}]}],"-":[{},[8,8]]},[2,1]],"н":[{".":[{},[6]],"с":[{".":[{},[6,6]]}],"-":[{},[8,8]]},[2,1]],"п":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"р":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"с":[{".":[{},[6]],"т":[{".":[{},[6,6]],"в":[{".":[{},[6,6,6]]}],"р":[{".":[{},[6,6,6]]}]}],"ь":[{".":[{},[6,6]],"к":[{".":[{},[6,6,6]]}]}],"-":[{},[8,8]]},[2,1]],"т":[{".":[{},[6]],"с":[{".":[{},[6,6]]}],"-":[{},[8,8]]},[2,1]],"ф":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"х":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"ц":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"ч":[{".":[{},[6]],"-":[{},[8,8]]},[2,1]],"ш":[{".":[{},[6]],"л":[{},[3,4,4]],"о":[{"в":[{},[3,4]]}],"-":[{},[8,8]]},[2,1]],"щ":[{"-":[{},[8,8]]},[2,1]],"й":[{"-":[{},[8,8]]},[2,1]],"о":[{"с":[{"в":[{"і":[{},[0,0,4]]}]}],"-":[{},[8,8]]},[3,6]],"у":[{"б":[{"о":[{"г":[{},[0,3,4]]}]}],"-":[{},[8,8]]}],"е":[{"с":[{"т":[{"е":[{"т":[{},[0,3,4]]}]}]}],"-":[{},[8,8]]}],"а":[{"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"є":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"і":[{"-":[{},[8,8]]}],"ї":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}],"\'":[{"-":[{},[8,8]]}]}],"ґ":[{"ґ":[{"-":[{},[8,8]]},[2,1]],"р":[{"у":[{"н":[{"т":[{},[3]]}]}],"-":[{},[8,8]]}],"а":[{"-":[{},[8,8]]}],"б":[{"-":[{},[8,8]]}],"в":[{"-":[{},[8,8]]}],"г":[{"-":[{},[8,8]]}],"д":[{"-":[{},[8,8]]}],"е":[{"-":[{},[8,8]]}],"є":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"з":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"і":[{"-":[{},[8,8]]}],"ї":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"к":[{"-":[{},[8,8]]}],"л":[{"-":[{},[8,8]]}],"м":[{"-":[{},[8,8]]}],"н":[{"-":[{},[8,8]]}],"о":[{"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]}],"с":[{"-":[{},[8,8]]}],"т":[{"-":[{},[8,8]]}],"у":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"х":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}],"\'":[{"-":[{},[8,8]]}]}],"щ":[{"щ":[{"-":[{},[8,8]]},[2,1]],"с":[{"ь":[{".":[{},[6,6]]}],"-":[{},[8,8]]}],"а":[{"-":[{},[8,8]]}],"б":[{"-":[{},[8,8]]}],"в":[{"-":[{},[8,8]]}],"г":[{"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"д":[{"-":[{},[8,8]]}],"е":[{"-":[{},[8,8]]}],"є":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"з":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"і":[{"-":[{},[8,8]]}],"ї":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"к":[{"-":[{},[8,8]]}],"л":[{"-":[{},[8,8]]}],"м":[{"-":[{},[8,8]]}],"н":[{"-":[{},[8,8]]}],"о":[{"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]}],"р":[{"-":[{},[8,8]]}],"т":[{"-":[{},[8,8]]}],"у":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"х":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}],"\'":[{"-":[{},[8,8]]}]}],"ь":[{"о":[{"-":[{},[8,8]]},[0,6]],"а":[{"-":[{},[8,8]]}],"б":[{"-":[{},[8,8]]}],"в":[{"-":[{},[8,8]]}],"г":[{"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"д":[{"-":[{},[8,8]]}],"е":[{"-":[{},[8,8]]}],"є":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"з":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"і":[{"-":[{},[8,8]]}],"ї":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"к":[{"-":[{},[8,8]]}],"л":[{"-":[{},[8,8]]}],"м":[{"-":[{},[8,8]]}],"н":[{"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]}],"р":[{"-":[{},[8,8]]}],"с":[{"-":[{},[8,8]]}],"т":[{"-":[{},[8,8]]}],"у":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"х":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}],"\'":[{"-":[{},[8,8]]}]},[6]],"\'":[{"ї":[{"в":[{},[0,0,4]],"з":[{},[0,0,4]],"д":[{},[0,0,4]],"ж":[{},[0,0,4]],"л":[{},[0,0,4]],"м":[{},[0,0,4]],"с":[{},[0,0,4]],"х":[{},[0,0,4]],"-":[{},[8,8]]}],"а":[{"-":[{},[8,8]]}],"б":[{"-":[{},[8,8]]}],"в":[{"-":[{},[8,8]]}],"г":[{"-":[{},[8,8]]}],"ґ":[{"-":[{},[8,8]]}],"д":[{"-":[{},[8,8]]}],"е":[{"-":[{},[8,8]]}],"є":[{"-":[{},[8,8]]}],"ж":[{"-":[{},[8,8]]}],"з":[{"-":[{},[8,8]]}],"и":[{"-":[{},[8,8]]}],"і":[{"-":[{},[8,8]]}],"й":[{"-":[{},[8,8]]}],"к":[{"-":[{},[8,8]]}],"л":[{"-":[{},[8,8]]}],"м":[{"-":[{},[8,8]]}],"н":[{"-":[{},[8,8]]}],"о":[{"-":[{},[8,8]]}],"п":[{"-":[{},[8,8]]}],"р":[{"-":[{},[8,8]]}],"с":[{"-":[{},[8,8]]}],"т":[{"-":[{},[8,8]]}],"у":[{"-":[{},[8,8]]}],"ф":[{"-":[{},[8,8]]}],"х":[{"-":[{},[8,8]]}],"ц":[{"-":[{},[8,8]]}],"ч":[{"-":[{},[8,8]]}],"ш":[{"-":[{},[8,8]]}],"щ":[{"-":[{},[8,8]]}],"ь":[{"-":[{},[8,8]]}],"ю":[{"-":[{},[8,8]]}],"я":[{"-":[{},[8,8]]}],"\'":[{"-":[{},[8,8]]}]},[6]],".":[{"б":[{"\'":[{},[0,0,8]],"д":[{},[0,0,6]],"р":[{},[0,0,6]],"е":[{"з":[{"\'":[{},[0,0,4,0,3]],"у":[{},[0,0,0,0,4]],"о":[{"д":[{},[0,0,5,4,3]],"с":[{"о":[{"б":[{},[0,0,0,5,4]]}]}]}],"в":[{"і":[{"д":[{},[0,0,0,0,0,4,3]]}]}],"р":[{"о":[{"з":[{},[0,0,0,3,0,4,3]]}]}],"е":[{".":[{},[0,0,5]]}]},[0,0,4,3]]}],"л":[{"і":[{"ц":[{"а":[{"н":[{"а":[{},[0,0,0,4,3]]}]}],"к":[{"р":[{"и":[{"г":[{},[0,0,0,4,3]]}]}]}],"о":[{"п":[{"и":[{"т":[{},[0,0,0,4,3]]}]}]}],"т":[{"о":[{"р":[{"г":[{},[0,0,0,4,3]]}]}],"у":[{"р":[{},[0,0,0,4,3]]}]}],"і":[{"с":[{"п":[{"и":[{"т":[{},[0,0,0,4,3,4]]}]}]}]}]}]}]}],"-":[{},[0,0,8]]}],"в":[{"\'":[{},[0,0,8]],"б":[{"\'":[{},[0,0,6,6]]},[0,0,6]],"в":[{"\'":[{},[0,0,6,6]]}],"г":[{},[0,0,6]],"д":[{},[0,0,6]],"ж":[{},[0,0,6]],"з":[{"д":[{},[0,0,6,6]]},[0,0,6]],"к":[{},[0,0,6]],"л":[{},[0,0,6]],"м":[{"\'":[{},[0,0,6,6]]},[0,0,6]],"п":[{"\'":[{},[0,0,6,6]],"х":[{},[0,0,6,6]]},[0,0,6]],"с":[{"т":[{},[0,0,6,6]]},[0,0,6]],"т":[{},[0,0,6]],"ш":[{"к":[{},[0,0,6,6]]}],"і":[{"д":[{"о":[{"м":[{},[0,0,5,4]],"з":[{"в":[{},[0,0,5,4]]}]}],"у":[{"н":[{},[0,0,5,4]]}],"а":[{},[0,0,5,4]],"е":[{"р":[{},[0,0,5,4]]}],"і":[{"м":[{"р":[{},[0,0,0,0,3,4]]}]},[0,0,5,4]],"\'":[{},[0,0,0,0,3]]},[0,0,4,3]]}],"и":[{"в":[{"ч":[{},[0,0,3,4]]}],"м":[{"р":[{},[0,0,3,4]]}]}],"-":[{},[0,0,8]]}],"д":[{"\'":[{},[0,0,8]],"ж":[{},[0,0,6]],"з":[{},[0,0,6]],"л":[{},[0,0,6]],"с":[{},[0,0,6]],"о":[{"ї":[{"в":[{},[0,0,0,4]],"л":[{"ь":[{},[0,0,0,5]]},[0,0,0,4]]}],"в":[{"ч":[{},[0,0,3,4]]}]}],"-":[{},[0,0,8]]}],"з":[{"\'":[{},[0,0,8]],"б":[{},[0,0,6]],"в":[{"\'":[{},[0,0,6,6]]}],"г":[{},[0,0,6]],"д":[{"з":[{},[0,0,6,6]]},[0,0,6]],"л":[{},[0,0,6]],"м":[{"\'":[{},[0,0,6,6]]}],"с":[{"к":[{},[0,0,6,6]],"т":[{},[0,0,6,6]]},[0,0,6]],"ч":[{},[0,0,6]],"ш":[{"к":[{},[0,0,6,6]]},[0,0,6]],"ґ":[{},[0,0,6]],"а":[{"ї":[{"к":[{},[0,0,0,4]],"ц":[{},[0,0,0,4]],"ч":[{},[0,0,0,4]]}],"в":[{"ч":[{},[0,0,3,4]],"м":[{"р":[{},[0,0,0,3,4]]}]}],"м":[{"р":[{},[0,0,3,4]]}]}],"і":[{"м":[{"р":[{},[0,0,3,4]]}]}],"-":[{},[0,0,8]]}],"м":[{"\'":[{},[0,0,8]],"с":[{},[0,0,6]],"ф":[{},[0,0,6]],"і":[{"ж":[{},[0,0,4,3]]}],"-":[{},[0,0,8]]}],"н":[{"\'":[{},[0,0,8]],"б":[{},[0,0,6]],"а":[{"п":[{"і":[{"в":[{},[0,0,0,0,4,3]]}]}],"ї":[{"д":[{},[0,0,0,4]]}],"в":[{"ч":[{},[0,0,3,4]]}],"м":[{"р":[{},[0,0,3,4]]}]}],"-":[{},[0,0,8]]}],"п":[{"\'":[{},[0,0,8]],"р":[{"и":[{"в":[{"ч":[{},[0,0,0,3,4]]}],"м":[{"р":[{},[0,0,0,3,4]]}]}]},[0,0,6]],"с":[{},[0,0,6]],"х":[{},[0,0,6]],"е":[{"р":[{"е":[{"д":[{"б":[{"а":[{"ч":[{},[0,0,0,0,4,3]]}]}],"в":[{"и":[{"б":[{},[0,0,0,0,4,3]]}]}],"г":[{},[0,0,0,0,4,3]],"д":[{},[0,0,0,0,4,3]],"м":[{},[0,0,0,0,4,3]],"о":[{"с":[{"т":[{},[0,0,0,0,4,3]]}]}],"п":[{"л":[{"а":[{},[0,0,0,0,4,3]]}],"о":[{"к":[{},[0,0,0,0,4,3]]}]}],"р":[{},[0,0,0,0,4,3]],"с":[{"в":[{},[0,0,0,0,4,3]]}],"у":[{"м":[{"о":[{"в":[{},[0,0,0,0,4,3]]}]}],"с":[{"і":[{},[0,0,0,0,4,3]]}]}],"ф":[{"р":[{},[0,0,0,0,4,3]]}],"ч":[{},[0,0,0,0,4,3]],"\'":[{},[0,0,0,0,4,0,3]]}],"м":[{"р":[{},[0,0,0,0,3,4]]}]},[0,0,0,0,3]]}],"о":[{"м":[{".":[{},[0,0,4]]}]}]}],"о":[{"н":[{"а":[{"д":[{"і":[{},[0,0,0,0,5,4]],"и":[{},[0,0,0,0,5,4]],"я":[{},[0,0,0,0,5,4]]},[0,0,0,0,4,3]]}]}],"ї":[{},[0,0,0,4]],"в":[{"ч":[{},[0,0,3,4]]}],"м":[{"р":[{},[0,0,3,4]]}]}],"і":[{"д":[{"о":[{},[0,0,5,4]],"і":[{},[0,0,5,4]],"\'":[{},[0,0,0,0,3]],"е":[{},[0,0,5,4]],"и":[{},[0,0,5,4]],"у":[{},[0,0,5,4]]},[0,0,4,3]],"в":[{},[0,0,4,3]]}],"-":[{},[0,0,8]]}],"р":[{"\'":[{},[0,0,8]],"т":[{},[0,0,6]],"о":[{"з":[{"і":[{},[0,0,5,4]],"е":[{},[0,0,5,4]],"а":[{},[0,0,5,4]],"\'":[{},[0,0,4,0,3]],"м":[{"р":[{},[0,0,0,3,4]]}]},[0,0,4,3]]}],"-":[{},[0,0,8]]}],"т":[{"\'":[{},[0,0,8]],"к":[{},[0,0,6]],"р":[{},[0,0,6]],"х":[{},[0,0,6]],"ь":[{},[0,0,6]],"-":[{},[0,0,8]]}],"ф":[{"\'":[{},[0,0,8]],"л":[{},[0,0,6]],"-":[{},[0,0,8]]}],"ш":[{"\'":[{},[0,0,8]],"к":[{},[0,0,6]],"л":[{},[0,0,6]],"п":[{},[0,0,6]],"т":[{},[0,0,6]],"-":[{},[0,0,8]]}],"й":[{"ш":[{},[0,0,6]],"-":[{},[0,0,8]]}],"к":[{"л":[{},[0,0,6]],"п":[{},[0,0,6]],"с":[{},[0,0,6]],"х":[{},[0,0,6]],"ш":[{},[0,0,6]],"-":[{},[0,0,8]]}],"л":[{"к":[{"с":[{},[0,0,6,6]]}],"с":[{},[0,0,6]],"ь":[{},[0,0,6]],"-":[{},[0,0,8]]}],"с":[{"к":[{"л":[{},[0,0,6,6]]},[0,0,6]],"л":[{},[0,0,6]],"п":[{"\'":[{},[0,0,6,6]],"л":[{},[0,0,6,6]],"х":[{},[0,0,6,6]],"і":[{"в":[{},[0,0,0,4,3]]}]},[0,0,6]],"т":[{},[0,0,6]],"х":[{"л":[{},[0,0,6,6]]},[0,0,6]],"-":[{},[0,0,8]]}],"х":[{"л":[{},[0,0,6]],"-":[{},[0,0,8]]}],"ц":[{"ь":[{},[0,0,6]],"-":[{},[0,0,8]]}],"ч":[{"х":[{},[0,0,6]],"е":[{"р":[{"е":[{"з":[{"\'":[{},[0,0,0,0,4,0,3]]},[0,0,0,0,4,3]]}]}]}],"-":[{},[0,0,8]]}],"о":[{"м":[{"р":[{"і":[{},[0,0,4]]}]}],"-":[{},[0,0,8]]}],"у":[{"м":[{"р":[{"и":[{},[0,0,4]],"і":[{},[0,0,4]],"у":[{},[0,0,4]],"е":[{},[0,0,4]]}]}],"-":[{},[0,0,8]]}],"а":[{"-":[{},[0,0,8]]}],"г":[{"-":[{},[0,0,8]]}],"ґ":[{"-":[{},[0,0,8]]}],"е":[{"-":[{},[0,0,8]]}],"є":[{"-":[{},[0,0,8]]}],"ж":[{"-":[{},[0,0,8]]}],"и":[{"-":[{},[0,0,8]]}],"і":[{"-":[{},[0,0,8]]}],"ї":[{"-":[{},[0,0,8]]}],"щ":[{"-":[{},[0,0,8]]}],"ь":[{"-":[{},[0,0,8]]}],"ю":[{"-":[{},[0,0,8]]}],"я":[{"-":[{},[0,0,8]]}],"\'":[{"-":[{},[0,0,8]]}]}],"-":[{"-":[{},[0,0,8]],"а":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"б":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"в":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"г":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"ґ":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"д":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"е":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"є":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"ж":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"з":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"и":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"і":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"ї":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"й":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"к":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"л":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"м":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"н":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"о":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"п":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"р":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"с":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"т":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"у":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"ф":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"х":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"ц":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"ч":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"ш":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"щ":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"ь":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"ю":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"я":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}],"\'":[{"а":[{},[0,0,8,8]],"б":[{},[0,0,8,8]],"в":[{},[0,0,8,8]],"г":[{},[0,0,8,8]],"ґ":[{},[0,0,8,8]],"д":[{},[0,0,8,8]],"е":[{},[0,0,8,8]],"є":[{},[0,0,8,8]],"ж":[{},[0,0,8,8]],"з":[{},[0,0,8,8]],"и":[{},[0,0,8,8]],"і":[{},[0,0,8,8]],"ї":[{},[0,0,8,8]],"й":[{},[0,0,8,8]],"к":[{},[0,0,8,8]],"л":[{},[0,0,8,8]],"м":[{},[0,0,8,8]],"н":[{},[0,0,8,8]],"о":[{},[0,0,8,8]],"п":[{},[0,0,8,8]],"р":[{},[0,0,8,8]],"с":[{},[0,0,8,8]],"т":[{},[0,0,8,8]],"у":[{},[0,0,8,8]],"ф":[{},[0,0,8,8]],"х":[{},[0,0,8,8]],"ц":[{},[0,0,8,8]],"ч":[{},[0,0,8,8]],"ш":[{},[0,0,8,8]],"щ":[{},[0,0,8,8]],"ь":[{},[0,0,8,8]],"ю":[{},[0,0,8,8]],"я":[{},[0,0,8,8]],"\'":[{},[0,0,8,8]]}]},[8,7]]}';
  var hyphenation = [];

  return {
    patterns: patterns,
    exceptions: hyphenation
  };
});
